%def_disable static

Name: Xbae
Version: 4.60.4
Release: alt2.qa2

Summary: The Motif matrix and caption widgets
License: MIT
Group: System/Libraries

Url: http://xbae.sourceforge.net
Source: xbae-%version.tar.gz
Packager: Michael Shigorin <mike@altlinux.org>

# Automatically added by buildreq on Sat Dec 06 2008
BuildRequires: ctags gcc-c++ imake libXext-devel libXmu-devel libXp-devel libXpm-devel man openmotif-devel xorg-cf-files

%package -n lib%name
Summary: The %name Widget Set
Group: System/Libraries

%package -n lib%name-devel
Summary: Header files for %name development
Group: Development/C
Requires: lib%name = %version-%release
Provides: %name-devel = %version
Obsoletes: %name-devel

%if_enabled static
%package -n lib%name-devel-static
Summary: Static library for %name development
Group: Development/C
Requires: lib%name-devel = %version-%release
Provides: %name-devel-static = %version
Obsoletes: %name-devel-static
%endif

%package -n lib%name-docs
Summary: Documentation for development with %name
Group: Documentation
BuildArch: noarch

%description
This package provides the Motif matrix widget used in Xacc, as well as
the Motif caption widget. The matrix widget is widely used and will
display up to four billion rows of data in a spreadsheet-like form.
The Motif caption widget is a simple Motif manager widget that
associates a label with a child.  You will need to have either Motif
or LessTif installed in order to use %name's widgets.

%description -n lib%name
This package provides the Motif matrix widget used in Xacc, as well as
the Motif caption widget. The matrix widget is widely used and will
display up to four billion rows of data in a spreadsheet-like form.
The Motif caption widget is a simple Motif manager widget that
associates a label with a child.  You will need to have either Motif
or LessTif installed in order to use %name's widgets.

%description -n lib%name-devel
This package provides the Motif matrix widget used in Xacc, as well as
the Motif caption widget. The matrix widget is widely used and will
display up to four billion rows of data in a spreadsheet-like form.
The Motif caption widget is a simple Motif manager widget that
associates a label with a child.  You will need to have either Motif
or LessTif installed in order to use %name's widgets.

This package provides the libraries, include files, and other
resources needed for developing %name applications.

%if_enabled static
%description -n lib%name-devel-static
This package provides the Motif matrix widget used in Xacc, as well as
the Motif caption widget. The matrix widget is widely used and will
display up to four billion rows of data in a spreadsheet-like form.
The Motif caption widget is a simple Motif manager widget that
associates a label with a child.  You will need to have either Motif
or LessTif installed in order to use %name's widgets.

This package provides the static library needed for developing
statically linked %name applications.
%endif

%description -n lib%name-docs
This package contains documentation; please refer to source package
for useful examples if developing with %name.

%prep
%setup -n xbae-%version

%build
autoconf
CFLAGS="%optflags" \
%configure --enable-shared %{subst_enable static}
%make_build

%install
%make_install install DESTDIR=%buildroot
rm -rf %buildroot%_datadir/%name/

%files -n lib%name
%_libdir/*so.*

%files -n lib%name-devel
%_includedir/*
%_mandir/man?/*
%_libdir/*so

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%files -n lib%name-docs
%doc doc/[^M]*

%changelog
