Name: abi-compliance-checker
Version: 2.3
Release: alt1

Summary: ABI compliance checker

License: GPLv2+
Group: Development/Other
Url: http://ispras.linuxbase.org/index.php/ABI_compliance_checker

Source: %version.tar.gz

Requires: gcc binutils

BuildArch: noarch

%description
ABI-compliance-checker is a lightweight tool for checking backward binary
compatibility of shared C/C++ libraries in OS Linux. It checks interface
signatures and data type definitions in two library versions (headers and
shared objects) and searches differences that may lead to incompatibility
according to ABI standards. Breakage of the compatibility may result in
crashing or incorrect behavior of applications built with an old version of
a library when it is running with a new one. ABI-compliance-checker was
intended for library developers that are interested in ensuring backward
binary compatibility. Also ABI-compliance-checker may be used for checking
forward binary compatibility and compliance checking of the same library
versions on different linux distributions.

%prep
%setup

%install
install -d %buildroot%_bindir
##install -m0755 abi-compliance-checker.pl %buildroot%_bindir/abi-compliance-checker
perl Makefile.pl -install --prefix=%prefix --destdir=%buildroot

%files
%doc doc README* INSTALL*
%_bindir/abi-compliance-checker
%_datadir/%name

%changelog
