%define _unpackaged_files_terminate_build 1

%global import_path filippo.io/age

Name: age
Version: 1.1.1
Release: alt1

Summary: simple, modern and secure file encryption tool
License: BSD-3-Clause
Group: Text tools
Url: https://github.com/FiloSottile/age

Source: %name-%version.tar

ExclusiveArch: %go_arches
BuildRequires(pre): rpm-build-golang

%description
A simple, modern and secure encryption tool (and Go library) with small
explicit keys, no config options, and UNIX-style composability.

%prep
%setup

%build
export GO111MODULE=off
export BUILDDIR="$PWD/.build"
export IMPORT_PATH="%import_path"
export GOPATH="$BUILDDIR:%go_path"

cp -r LICENSE README.md doc %_builddir/
%golang_prepare

cd .build/src/%import_path
%golang_build cmd/*

%install
export BUILDDIR="$PWD/.build"
export IGNORE_SOURCES=1
%golang_install

install -pD -m0644 doc/age.1 %buildroot%_man1dir/age.1
install -pD -m0644 doc/age-keygen.1 %buildroot%_man1dir/age-keygen.1

%files
%doc LICENSE README.md
%_bindir/*
%_man1dir/*

%changelog
