%define ver_major 0.12
%def_enable eds

Name: almanah
Version: %ver_major.3
Release: alt2

Summary: Diary editor for GNOME
License: LGPLv3+
Group: Graphical desktop/GNOME
Url: http://wiki.gnome.org/Apps/Almanah_Diary

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.xz

BuildRequires(pre): meson
BuildRequires: desktop-file-utils libappstream-glib-devel
BuildRequires: libgio-devel libgtksourceview3-devel libgtkspell3-devel
BuildRequires: libsqlite3-devel libcryptui-devel gcr-libs-devel libgpgme-devel
%{?_enable_eds:BuildRequires: evolution-data-server-devel >= 3.5.91}

%description
Almanah is a small GTK+3 application to allow you to keep a diary of your life.

%prep
%setup

%build
%meson \
	%{?_disable_eds:-Devolution=false}
%meson_build

%install
%meson_install
%find_lang --with-gnome %name

desktop-file-install --dir %buildroot%_desktopdir \
	--add-category=TextTools \
	%buildroot%_desktopdir/almanah.desktop

%files -f %name.lang
%_bindir/*
%_datadir/applications/*
%_iconsdir/hicolor/*x*/apps/%name.png
%_iconsdir/hicolor/scalable/*/%name-*.svg
%config %_datadir/glib-2.0/schemas/org.gnome.%name.gschema.xml
%_datadir/GConf/gsettings/%name.convert
%_datadir/metainfo/%name.appdata.xml
%doc README* AUTHORS NEWS

%changelog
