Group: Development/Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global revision 1688630
%global date     20150701

Name:           amqp
Version:        1.0
Release:        alt1_9.%{date}svn%{revision}
# increase Epoch to 1 cause of modified Release logic
Epoch:          1
Summary:        The AMQP specification

# Fedora treats these files as content, not code.
# The AMQP license does not give the right to modify.
License:        ASL 2.0

URL:            http://www.amqp.org
Source0:        %{name}-%{version}-%{revision}.tar.gz
# svn export -r %{revision} http://svn.apache.org/repos/asf/qpid/trunk/qpid/specs /tmp/%{name}-%{version}
# cd /tmp ; tar czf %{name}-%{version}-%{revision}.tar.gz /tmp/%{name}-%{version}

BuildArch:      noarch
BuildRequires:  libxslt xsltproc
Source44: import.info

%description
The AMQP (advanced message queuing protocol) specification in XML format.

%package devel
Group: Development/Other
Summary: Development files for %{name}
# be careful with epoch!
Requires: %{name} = %{epoch}:%{version}-%{release}

%description devel
%{summary}.


%prep
%setup -q

%build
find . -name \*.xml -exec xsltproc -o '{}.html' %{name}.xsl '{}' \;
rename -v '.xml' '' *.html

%install
install -d -m0755 %{buildroot}%{_datadir}/%{name}
install -p -m0644 *.xml *.dtd %{buildroot}%{_datadir}/%{name}

%files
%doc --no-dereference LICENSE
%doc NOTICE MOVED_FILE
%doc *.html

%files devel
%doc --no-dereference LICENSE
%{_datadir}/%{name}/


%changelog
