Epoch: 1
Group: Development/Java
# BEGIN SourceDeps(oneline):
BuildRequires: rpm-build-java
# END SourceDeps(oneline)
BuildRequires: /proc
BuildRequires: jpackage-generic-compat
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:          annogen 
Version:       0.1.0
Release:       alt1_19jpp8
Summary:       Java framework for JSR-175 annotations 
License:       ASL 2.0
URL:           https://github.com/codehaus/annogen
# git clone https://github.com/codehaus/annogen/ annogen-0.1.0
# rm -rf annogen-0.1.0/annogen/ide-projects rm -rf annogen-0.1.0/annogen/trunk
# mv annogen-0.1.0/annogen/tags/release-0_1_0 annogen-0.1.0
# rm -rf annogen-0.1.0/annogen
# mv annogen-0.1.0/release-0_1_0/* annogen-0.1.0
# rm -rf annogen-0.1.0/release-0_1_0
# find annogen-0.1.0/ -name '*.jar' -delete
# tar cJf annogen-0.1.0-CLEAN.tar.xz annogen-0.1.0
Source0:       %{name}-%{version}-CLEAN.tar.xz
Source1:       http://repo1.maven.org/maven2/annogen/annogen/0.1.0/annogen-0.1.0.pom
Patch0:        annogen-doc-build.patch
BuildArch:     noarch
BuildRequires: ant
BuildRequires: dos2unix
BuildRequires: java-devel
BuildRequires: javapackages-local
BuildRequires: qdox
Requires:      qdox
Source44: import.info

%description
Annogen is a framework which helps you work with JSR175 Annotations. 
In a nutshell, Annogen generates a proxy layer in front of your 
Annotations.

%package javadoc
Group: Development/Java
Summary:      API documentation for %{name}
BuildArch: noarch

%description javadoc
API documentation for %{name}.

%prep
%setup -q
%patch0 -p1

sed -i.tools_jar "s|/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.1.x86_64|%{_jvmdir}/java|" build-docs.xml

sed -i.version "s|0.1.1|%{version}|" build.properties

find examples -type f | xargs dos2unix
find license -type f | xargs dos2unix
find docs -name '*.html' -o -name '*.css' | xargs dos2unix

sed -i.qdox2 "s|import com.thoughtworks.qdox.model.AbstractJavaEntity;|import com.thoughtworks.qdox.model.impl.AbstractJavaEntity;|" \
 annogen/adapters/qdox/src/org/codehaus/annogen/override/QDoxElementIdPool.java \
 annogen/adapters/qdox/src/org/codehaus/annogen/view/QDoxAnnoViewer.java

for x in *.xml; do 
  sed -i -e "s/source='1.4'/source='1.6'/; s/target='1.4'/target='1.6'/;" $x;
done

%build

export CLASSPATH=$( build-classpath qdox)
ant jars
ant docs

%install
%mvn_file %{name}:%{name} %{name}
%mvn_artifact %{SOURCE1} build/distribution/%{name}-%{version}.jar
%mvn_install -J build/docs

%files -f .mfiles
%doc examples/
%doc --no-dereference license/LICENSE.txt license/NOTICE.txt

%files javadoc -f .mfiles-javadoc
%doc --no-dereference license/LICENSE.txt license/NOTICE.txt

%changelog
