Epoch: 0
Group: Development/Other
BuildRequires: /proc rpm-build-java
BuildRequires: jpackage-11-compat
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global srcname commons-parent

Name:           apache-commons-parent
Version:        52
Release:        alt1_1jpp11
Summary:        Apache Commons Parent Pom
License:        ASL 2.0
BuildArch:      noarch

%global upstream_version rel/%{srcname}-%{version}
%global upstream_archive %{srcname}-rel-%{srcname}-%{version}

URL:            https://commons.apache.org/commons-parent-pom.html
Source0:        https://github.com/apache/%{srcname}/archive/%{upstream_version}/%{srcname}-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(biz.aQute.bnd:biz.aQute.bndlib)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires:  mvn(org.apache:apache:pom:)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)

# Not generated automatically
BuildRequires:  mvn(org.apache.maven.plugins:maven-assembly-plugin)
Requires:       mvn(org.codehaus.mojo:build-helper-maven-plugin)
Source44: import.info

%description
The Project Object Model files for the apache-commons packages.


%prep
%setup -q -n %{upstream_archive}

# Plugin is not in fedora
%pom_remove_plugin :commons-build-plugin
%pom_remove_plugin :maven-scm-publish-plugin

# Plugins useless in package builds
%pom_remove_plugin :apache-rat-plugin
%pom_remove_plugin :buildnumber-maven-plugin
%pom_remove_plugin :maven-enforcer-plugin
%pom_remove_plugin :maven-site-plugin
%pom_remove_plugin :maven-source-plugin

# Remove profiles for plugins that are useless in package builds
for profile in animal-sniffer japicmp jacoco cobertura clirr; do
    %pom_xpath_remove "pom:profile[pom:id='$profile']"
done


%build
%mvn_build -- -Dmaven.compiler.source=1.8 -Dmaven.compiler.target=1.8 -Dmaven.javadoc.source=1.8 -Dmaven.compiler.release=8


%install
%mvn_install


%files -f .mfiles
%doc README.md RELEASE-NOTES.txt
%doc --no-dereference LICENSE.txt NOTICE.txt


%changelog
