#Module-Specific definitions
%define apache_version 2.2.6
%define mod_name mod_layout
%define mod_conf 15_%mod_name
%define mod_so %mod_name.so

Summary: Add custom header and/or footers for apache
Name: apache2-mod_layout
Version: 5.1
Release: alt2
Group: System/Servers
License: BSD-style
Url: http://software.tangent.org/
Packager: Boris Savelev <boris@altlinux.org>

Source: http://download.tangent.org/%mod_name-%version.tar.gz
Source1: %mod_conf.load
Source2: %mod_conf.conf
Patch: mod_layout-register.diff

# Automatically added by buildreq on Mon Feb 09 2009
BuildRequires: apache2-devel

%description
Mod_Layout creates a framework for doing design. Whether you need a simple
copyright or ad banner attached to every page, or need to have something more
challenging such a custom look and feel for a site that employs an array of
technologies (Java Servlets, mod_perl, PHP, CGI's, static HTML, etc...),
Mod_Layout creates a framework for such an environment. By allowing you to
cache static components and build sites in pieces, it gives you the tools for
creating large custom portal sites.

%prep
%setup -q -n %mod_name-%version
%patch0 -p0

%build
%apache2_apxs -c mod_layout.c utility.c layout.c

%install
mkdir -p %buildroot%apache2_moduledir
mkdir -p %buildroot%apache2_mods_available
install -m 644 .libs/*.so %buildroot%apache2_moduledir/%mod_name.so
install -m 644 %SOURCE1 %buildroot%apache2_mods_available
install -m 644 %SOURCE2 %buildroot%apache2_mods_available

%files
%doc ChangeLog README INSTALL
%apache2_mods_available/*.load
%config %apache2_mods_available/*.conf
%apache2_moduledir/*.so

%changelog
