Name:       apt-blacklist
Version:    0.01.2
Release:    alt3

Summary:    Forbids installation of packages based on some criteria
License:    GPLv3+
Group:      System/Configuration/Packaging
Packager:   Andrey Rahmatullin <wrar@altlinux.ru>

BuildArch:  noarch

Source0:    %name-%version.tar
Patch0:     port-on-python3.patch

BuildRequires: rpm-build-python3

Requires:   python3-module-rpm >= 4.13.0


%description
This small tool checks packages that apt wants to install and aborts the
installation process if some criteria are met. Now it has only one
criterion: last changelog entry author must not contain lines from
%_sysconfdir/%name/packagers. Also, it can warn you when apt going to
install package that changed by author from %_sysconfdir/%name/warning
and inform about packager changes for authors from %_sysconfdir/%name/watch.

%prep
%setup
%patch0 -p1

%install
mkdir -p %buildroot{%_bindir,%_sysconfdir/%name}
install -p -m755 %name %buildroot%_bindir/
touch %buildroot%_sysconfdir/%name/packagers
touch %buildroot%_sysconfdir/%name/warning
touch %buildroot%_sysconfdir/%name/watch
install -pD -m644 apt.conf %buildroot/etc/apt/apt.conf.d/10-%name.conf

%files
%_bindir/*
%config(noreplace) /etc/apt/apt.conf.d/*
%dir %_sysconfdir/%name
%config(noreplace) %_sysconfdir/%name/packagers
%config(noreplace) %_sysconfdir/%name/warning
%config(noreplace) %_sysconfdir/%name/watch


%changelog
