Epoch: 0
Group: Development/Java
# BEGIN SourceDeps(oneline):
BuildRequires: rpm-build-java unzip
# END SourceDeps(oneline)
BuildRequires: /proc
BuildRequires: jpackage-1.8-compat
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:          aspectjweaver 
Version:       1.8.9
Release:       alt2_8jpp8
Summary:       Java byte-code weaving library
License:       EPL
URL:           http://eclipse.org/aspectj/
Source0:       http://repo1.maven.org/maven2/org/aspectj/%{name}/%{version}/%{name}-%{version}-sources.jar
# This build.xml file was adapted from the Ubuntu package. The src jar has no build scripts.
Source1:       aspectjweaver-build.xml
Source2:       http://repo1.maven.org/maven2/org/aspectj/%{name}/%{version}/%{name}-%{version}.pom
Source3:       epl-v10.txt

BuildRequires: ant
BuildRequires: apache-commons-logging
BuildRequires: javapackages-local
BuildRequires: objectweb-asm
BuildRequires: glibc-locales

BuildArch:     noarch
Source44: import.info

%description
The AspectJ Weaver supports byte-code weaving for aspect-oriented
programming (AOP) in java.

%package javadoc
Group: Development/Java
Summary:        Javadoc for %{name}
BuildArch: noarch

%description javadoc
API documentation for %{summary}.

%prep
%setup -q -c
sed -i.objectweb-asm "s|import aj.|import |" \
 org/aspectj/weaver/bcel/asm/StackMapAdder.java

cp %{SOURCE1} build.xml

# JRockit is not open source, so we cannot build against it
rm org/aspectj/weaver/loadtime/JRockitAgent.java

cp %{SOURCE2} pom.xml
%pom_xpath_inject "pom:project" "
  <dependencies>
    <dependency>
      <groupId>org.ow2.asm</groupId>
      <artifactId>asm</artifactId>
      <version>5.0.3</version>
    </dependency>
  </dependencies>"

cp %{SOURCE3} .
  
%build

%mvn_file org.aspectj:%{name} %{name}
%mvn_alias org.aspectj:%{name} "org.aspectj:aspectjrt" "aspectj:aspectjrt"
LANG=en_US.ISO8859-1 CLASSPATH=$( build-classpath objectweb-asm/asm commons-logging ) ant
LANG=en_US.ISO8859-1 CLASSPATH=$( build-classpath objectweb-asm/asm commons-logging ) ant javadoc
%mvn_artifact pom.xml build/%{name}.jar

%install
%mvn_install -J javadoc

%files -f .mfiles
%doc --no-dereference epl-v10.txt

%files javadoc -f .mfiles-javadoc
%doc --no-dereference epl-v10.txt

%changelog
