# vim: set ft=spec: -*- rpm-spec -*-

Name: aterm
Version: 1.0.1
Release: alt4.qa2

Summary: An rxvt-based terminal emulator for X Window System
License: GPL
Group: Terminals
Url: http://www.afterstep.org/aterm.php

Packager: Sir Raorn <raorn@altlinux.ru>

Source: %name-%version.tar
Source1: %name-16.xpm
Source2: %name-32.xpm
Source3: %name-48.xpm
Source5: %name.alternatives

Patch: %name-%version-alt.patch

Provides: xvt, %_bindir/xvt
PreReq: libutempter, alternatives >= 0.0.6

# Automatically added by buildreq on Fri Feb 10 2006
BuildRequires: alternatives libICE-devel libSM-devel libX11-devel libXext-devel libXmu-devel libXt-devel libutempter-devel xorg-xproto-devel

%description
Aterm is a colour vt102 terminal emulator based on rxvt 2.4.8 with add ons
of Alfredo Kojima's NeXT-ish scrollbars, intended as an xterm replacement
for users who do not require features such as Tektronix 4014 emulation and
toolkit style configurability.

%prep
%setup
%patch -p1

find doc -type f -print0 |
	xargs -r0 chmod a-x --

%build
%__autoheader autoconf/configure.in
%__autoconf autoconf/configure.in > configure
%__chmod +x configure
%configure \
	--enable-xgetdefault \
	--with-term=rxvt
%make_build

%install
%make_install install DESTDIR=%buildroot

%__install -pD -m644 %SOURCE1 %buildroot%_miconsdir/%name.xpm
%__install -pD -m644 %SOURCE2 %buildroot%_niconsdir/%name.xpm
%__install -pD -m644 %SOURCE3 %buildroot%_liconsdir/%name.xpm
%__install -pD -m644 %SOURCE5 %buildroot%_altdir/%name

mkdir -p %buildroot%_desktopdir
cat > %buildroot%_desktopdir/%{name}.desktop <<EOF
[Desktop Entry]
Version=1.0
Type=Application
Name=aterm
GenericName=An rxvt-based terminal emulator for X Window System
Comment=%{summary}
Icon=%{name}
Exec=%name -name aterm
Terminal=false
Categories=System;TerminalEmulator;
EOF

%files
%attr(2711,root,utempter) %_bindir/%name
%_man1dir/*
%_desktopdir/*
%_altdir/%name
%_miconsdir/*.xpm
%_niconsdir/*.xpm
%_liconsdir/*.xpm
%doc %name.lsm ChangeLog* doc/{FAQ,README.*,etc,menu}

%changelog
