%define _unpackaged_files_terminate_build 1

Name: atftp
Version: 0.7.2
Release: alt2

URL: https://sourceforge.net/projects/atftp
Summary: Advanced Trivial File Transfer Protocol
License: GPLv2+
Group: System/Servers
Conflicts: tftpd

Source: %name-%version.tar

Source1: atftpd.init
Source2: atftpd.sysconfig
Source3: atftpd.tmpfiles.conf

Patch1: %name-%version-alt.patch

%description
atftp stands for Advanced Trivial File Transfer Protocol. It is called
"advanced", by contrast to others TFTP servers, for two reasons.
Firstly, it is intended to be fully compliant with all related
RFCs. This include RFC1350, RFC2090, RFC2347, RFC2348 and RFC2349.
To my knowledge, there is no TFTP server currently available in the
public domain that fulfills this requirement. Secondly, atftp is
intended for serving boot files to large clusters. It is
multi-threaded and support multicast (RFC2090 and PXE), allowing
faster boot of hundreds of machine simultaneously.

%prep
%setup
%patch1 -p1

%build
%configure --disable-libpcre
make

%install
%makeinstall
install -pm0755 -D %SOURCE1 %buildroot%_initdir/atftpd
install -pm0644 -D %SOURCE2 %buildroot%_sysconfdir/sysconfig/atftpd
install -pm0644 -D %SOURCE3 %buildroot%_tmpfilesdir/atftpd.tmpfiles.conf
mkdir -p %buildroot%_localstatedir/tftpboot
mkdir -pm0770 %buildroot%_logdir/atftpd
touch %buildroot%_sysconfdir/mtftp.conf
 
%pre
%_sbindir/groupadd -r -f _atftpd &> /dev/null
%_sbindir/useradd -r -g _atftpd -d /dev/null -s /dev/null -c 'ATFTP Service User' -n _atftpd &> /dev/null ||:

%post
%post_service atftpd

%preun
%preun_service atftpd

%files
%doc Changelog BUGS FAQ INSTALL LICENSE README README.CVS 
%doc README.MCAST README.PCRE TODO docs test/mtftp.conf

%config(noreplace) %_sysconfdir/sysconfig/atftpd
%ghost %config(noreplace) %_sysconfdir/mtftp.conf

%_tmpfilesdir/atftpd.tmpfiles.conf

%_initdir/atftpd

%_bindir/atftp
%_sbindir/atftpd
%_sbindir/in.tftpd

%_man1dir/atftp.1*
%_man8dir/atftpd.8*
%_man8dir/in.tftpd.8*

%dir %_localstatedir/tftpboot
%dir %attr(0770,root,_atftpd) %_logdir/atftpd

%changelog
