%def_enable snapshot

%define ver_major 2.7
%define gst_api_ver 1.0
%define _name videos
%define rdn_name io.elementary.%_name

Name: audience
%define xdg_name org.pantheon.%name
Version: %ver_major.3
Release: alt1

Summary: A modern media player
License: GPL-3.0
Group: Video
Url: https://launchpad.net/audience

%if_disabled snapshot
Source: https://github.com/elementary/videos/archive/%version/%_name-%version.tar.gz
%else
Vcs: https://github.com/elementary/videos.git
Source: %_name-%version.tar
%endif

Provides: %rdn_name = %version-%release

Requires: gst-plugins-base%gst_api_ver
Requires: gst-plugins-good%gst_api_ver
Requires: gst-plugins-bad%gst_api_ver
Requires: gst-plugins-ugly%gst_api_ver
Requires: gst-libav

BuildRequires(pre): meson
BuildRequires: gcc-c++ libgranite-devel libclutter-gtk3-devel
BuildRequires: libclutter-gst3.0-devel gst-plugins%gst_api_ver-devel
BuildRequires: vala-tools libgranite-vala
BuildRequires: gobject-introspection-devel

%description
Audience is a simple, modern media player that makes greater use of
hardware acceleration than most players out there.

%prep
%setup -n %_name-%version

%build
%meson
%meson_build

%install
%meson_install

%find_lang %rdn_name

%files -f %rdn_name.lang
%_bindir/%rdn_name
%_desktopdir/%rdn_name.desktop
%_datadir/glib-2.0/schemas/%rdn_name.gschema.xml
%_datadir/metainfo/%rdn_name.appdata.xml
%_iconsdir/hicolor/*x*/apps/%rdn_name.svg
%doc README.md

%changelog
