Name: aumix
Version: 2.9.1
Release: alt1.qa2

Summary: A GTK+/Ncurses audio mixer
License: GPL
Group: Sound

URL: http://www.jpj.net/~trevor/aumix.html
Source0: http://www.jpj.net/~trevor/aumix/%name-%version.tar.bz2

Source2: %name-16.xpm
Source3: %name-32.xpm
Source4: %name-48.xpm
Source5: %name-mute.1
Source6: %name.firsttime

Patch0: %name-2.6-mdk-datadir.patch
Patch1: %name-2.7-alt-taumix-deps.patch
Patch2: %name-2.7-mdk-devfs-compliant.patch
Patch3: aumix-2.9.1-alt-gtk_set_locale.patch
Patch6: %name-2.8-deb-autoconf25.patch
Patch7: aumix-2.9.1-alt-ru-po.patch
Patch9: %name-2.8-rh-cursor-color.patch
Patch10: aumix-2.9.1-alt-rh-crackrock.patch
Patch11: %name-2.8-deb-fgbg.patch
Patch13: aumix-2.9.1-alt-deb-failmsg.patch
Patch14: aumix-2.9.1-deb-no-common.patch

Requires: %name-minimal = %version-%release

# Automatically added by buildreq on Sat Oct 09 2010
BuildRequires: libgpm-devel libgtk+2-devel libncurses-devel

%package minimal
Summary: Command-line audio mixer
Group: Sound

%description
This is a program for adjusting audio mixers from the command
line or scripts, or interactively at the console or a terminal
with a full-screen, ncurses-based interface or a GTK-based X
interface.

%description minimal
This is a program for adjusting audio mixers from the command
line or scripts.

%prep
%setup
%patch1 -p1
%patch2 -p1
%patch3 -p1
#patch6 -p1
%patch7 -p1
%patch9
%patch10 -p1
%patch11 -p1
%patch13 -p1
%patch14 -p1
bzip2 -9fk ChangeLog

# Rename "xaumix" to "taumix".
grep -FrlZ xaumix . |
	xargs -r0 subst s/xaumix/taumix/g --
mv doc/{x,t}aumix.1
mv src/{x,t}aumix

%build
%autoreconf
%configure --prefix=/ --without-ncurses --without-gtk
%make_build
mv src/aumix{,-minimal}

%make distclean
%configure
%make_build

%install
%makeinstall
install -pDm755 {src,%buildroot/bin}/aumix-minimal

install -pDm644 %SOURCE2 %buildroot%_miconsdir/%name.xpm
install -pDm644 %SOURCE3 %buildroot%_niconsdir/%name.xpm
install -pDm644 %SOURCE4 %buildroot%_liconsdir/%name.xpm

install -pDm644 %SOURCE5 %buildroot%_man1dir/mute.1
install -pDm755 %SOURCE6 %buildroot%_sysconfdir/firsttime.d/%name

mkdir -p %buildroot%_desktopdir
cat > %buildroot%_desktopdir/%name.desktop <<EOF
[Desktop Entry]
Version=1.0
Type=Application
Name=Aumix
GenericName=Audio Mixer
Comment=Aumix Audio Mixer
Icon=%name
Exec=%name
Terminal=false
Categories=AudioVideo;Audio;Mixer;
EOF

%find_lang %name

%files -f %name.lang
%doc AUTHORS BUGS ChangeLog.bz2 NEWS README TODO
%_bindir/*
%_man1dir/*
%_datadir/%name
%_desktopdir/%name.desktop
%_miconsdir/*.xpm
%_niconsdir/*.xpm
%_liconsdir/*.xpm

%files minimal
/bin/%name-minimal
%config %_sysconfdir/firsttime.d/%name

%changelog
