Name: autoconf-archive
Version: 2021.02.19
Release: alt1
Summary: The Autoconf Macro Archive

Group: Development/Other
License: GPLv3+ with exceptions
URL: http://www.gnu.org/software/autoconf-archive/
# git://git.sv.gnu.org/autoconf-archive.git
Source: %name-%version.tar
Source2: AUTHORS
Patch: %name-%version-%release.patch
BuildArch: noarch

BuildRequires(pre): rpm-build-python3
BuildRequires: gnulib
# explicitly added texinfo for info files
BuildRequires: texinfo

%description
The GNU Autoconf Archive is a collection of more than 450 macros for
GNU Autoconf that have been contributed as free software by friendly
supporters of the cause from all over the Internet.

%prep
%setup -q
%patch -p1

sed -i 's|python|python3|' cfg.mk

sed -i 's|#!/usr/bin/env python|#!/usr/bin/env python3|' \
    $(find ./ -name '*.py')

# Use fresh bootstrap from gnulib
mkdir build-aux
install -pm755 %_datadir/gnulib/build-aux/git-version-gen ./build-aux/
install -pm644 %SOURCE2 ./
touch ChangeLog

# Build scripts expect to find the autoconf-archive version in this file.
echo -n %version > .tarball-version

%build
# %autoreconf
./bootstrap.sh
%configure
%make maintainer-all
%make_build

%install
%makeinstall

# remove dir file which will be generated by /sbin/install-info
rm -f %buildroot%_infodir/dir
# document files are installed another location
rm -rf %buildroot%_datadir/%name

%files
%doc AUTHORS COPYING* NEWS README TODO
%_datadir/aclocal/*.m4
%_infodir/autoconf-archive.info*

%changelog
