%def_enable check

Name: bash-completion
Epoch: 1
Version: 2.11
Release: alt1.git.157.g59d2322e

Summary: bash-completion offers programmable completion for bash
License: GPL2
Group: Shells
Url: https://github.com/scop/bash-completion

Packager: Ildar Mulyukov <ildar@altlinux.ru>

Source: %name-%version.tar
# https://github.com/scop/bash-completion.git
Source1: rpm-cache.filetrigger
Patch1: %name-alt-iptables.patch
Patch9: %name-alt-specific.patch
Source44: %name.watch

%if_enabled check
BuildRequires: pytest3 python3-module-pexpect
%endif

Requires: bash >= 4.1
BuildArch: noarch

%add_findreq_skiplist %_datadir/%name/completions/*
%add_findreq_skiplist %_datadir/%name/helpers/*
%add_findreq_skiplist %_datadir/pkgconfig/bash-completion.pc

%description
bash-completion is a collection of shell functions that take advantage
of the programmable completion feature of bash 2.04 and later.

%prep
%setup
%patch1 -p1
%patch9 -p1

%build
%autoreconf
%configure
%make

%check
# Currently fails
#= 20 failed, 1222 passed, 423 skipped, 16 xfailed, 4 xpassed in 941.69s (0:15:41) =
make -C test check ||:

%install
%makeinstall_std
mv %buildroot%_sysconfdir/{profile.d,bashrc.d}
mkdir -p %buildroot%_sysconfdir/bash_completion.d %buildroot%_rpmlibdir
install -p -m755 %SOURCE1 %buildroot%_rpmlibdir/

%files
%doc AUTHORS CHANGES README.md doc/*.txt
%_sysconfdir/bash_completion.d
%_sysconfdir/bashrc.d/bash_completion.sh
%_rpmlibdir/*
%_datadir/%name
%_datadir/pkgconfig/bash-completion.pc

%changelog
