%define bashversion 4.4
%define oversion 1.0.1

Name: bashdb
Version: %{bashversion}_%oversion
Release: alt2

Summary: BASH with Debugger and Improved Debug Support and Error Handling

Url: http://bashdb.sourceforge.net/
License: GPL
Group: Shells

Packager: Alexey Gladkov <legion@altlinux.ru>

# Source-url: http://prdownloads.sf.net/bashdb/%name-%bashversion-%oversion.tar.bz2
Source: %name-%version.tar
Patch0: bashdb-alt-use-mktemp.patch
Patch1: bashdb-alt-fix-builtin.patch

Requires: %_libexecdir/bash

# manually removed: tetex-core
# Automatically added by buildreq on Thu Aug 07 2008
BuildRequires: gcc-c++ bash-devel

BuildRequires: rpm-build-python3

%description
The Bash Debugger Project contains patched sources to BASH that enable
better debugging support as well as improved error reporting. In
addition, this project contains the most comprehensive source-code
debugger for bash that has been written.

%prep
%setup -n %name-%version
%patch0 -p2
%patch1 -p2 -b .fix

%__subst "s|/usr/bin/env python\$|/usr/bin/env python3|" lib/term-highlight.py

%build
export CFLAGS="$CFLAGS %optflags %optflags_shared"

%configure \
	--with-pic \
	--enable-getopt \
	--with-bash \
	--with-bash-src=%_includedir/bash
%make_build

%install
%makeinstall_std

mkdir -p -- %buildroot%_libexecdir/bash
mv -f -- %buildroot/%_datadir/%name/builtin/* %buildroot%_libexecdir/bash

%files
%doc README.md THANKS NEWS TODO
%_bindir/*
%_datadir/%name/
%_libexecdir/bash/*
%_infodir/*
%_man1dir/*

%changelog
