Name: basic256
Version: 2.0.0.11
Release: alt2
Summary: Simple BASIC IDE that allows young children to learn to programming
License: GPL-2.0+
Group: Development/Other
URL: http://basic256.org/

Packager: Andrey Cherepanov <cas@altlinux.org>

Source: http://ovh.dl.sourceforge.net/sourceforge/kidbasic/%name-%version.tar.gz
Source1: basic256.desktop
Source2: basic256_ru.ts

BuildRequires: gcc-c++
BuildRequires: qt5-base-devel
BuildRequires: qt5-multimedia-devel
BuildRequires: qt5-serialport-devel
BuildRequires: qt5-tools
BuildRequires: libespeak-devel
BuildRequires: libSDL-devel
BuildRequires: libSDL_mixer-devel
BuildRequires: libsqlite3-devel
BuildRequires: flex
BuildRequires: bison

%description
BASIC-256 is a simple BASIC IDE that allows young children to learn to program.
It was written in response to David Brin's article, "Why Johnny Can't Code,"
in which he bemoans the lack of a simple, line-oriented programming language
for children that runs on modern computers. It features a byte-code compiler
and interpreter, a debugger, easy to use graphical and text output, and an
editor.

%prep
%setup
install -Dpm0644 %SOURCE2 Translations/basic256_ru.ts
lupdate-qt5 *.pro

%build
%add_optflags -I%_includedir/espeak
qmake-qt5
%make_build CXXFLAGS="%optflags \$(DEFINES)"
lrelease-qt5 Translations/*.ts

%install
mkdir -p %buildroot
%make_install INSTALL_ROOT=%buildroot install
install -D %SOURCE1 %buildroot%_desktopdir/%name.desktop
install -Dpm0644 resources/icons/basic256.png %buildroot%_iconsdir/hicolor/64x64/apps/%name.png

%files
%doc CONTRIBUTORS
%_bindir/*
%_datadir/%name
%_desktopdir/%name.desktop
%_iconsdir/hicolor/64x64/apps/%name.png

%changelog
