Name: bdsync
Version: 0.11.2
Release: alt3

Summary: Remote sync for block devices

License: GPLv2
Group: File tools
Url: http://bdsync.rolf-fokkens.nl/

# Source-url: https://github.com/rolffokkens/%name/archive/v%version/%name-%version.tar.gz
Source: %name-%version.tar

Patch1: bdsync-0.10-buildflags.patch

BuildRequires: libssl-devel
BuildRequires: pandoc

%description
Bdsync can be used to synchronize block devices over a network. It generates
a "binary patchfile" in an efficient way by comparing MD5 checksums of 32k
blocks of the local block device LOCDEV and the remote block device REMDEV.

This binary patchfile can be sent to the remote machine and applied to its
block device DSTDEV, after which the local blockdev LOCDEV and the remote
block device REMDEV are synchronized.

bdsync was built to do the only thing rsync isn't able to do: synchronize
block devices.

%prep
%setup
%patch1 -p1

%build
%make_build

%check
make test

%install
mkdir -p %buildroot/%_bindir/
mkdir -p %buildroot/%_man1dir/
cp %name %buildroot/%_bindir/%name
cp %name.1 %buildroot/%_man1dir/%name.1

%files
%doc COPYING
%doc README.md
%_bindir/%name
%_man1dir/%name.1*

%changelog
