Group: Development/Java
BuildRequires: /proc rpm-build-java
BuildRequires: jpackage-1.8-compat
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# %%version is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define version 2.0.1
%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:           bean-validation-api
Summary:        Bean Validation API (JSR 349)
Version:        2.0.1
Release:        alt1_2jpp8
License:        ASL 2.0

URL:            http://beanvalidation.org/
Source0:        https://github.com/beanvalidation/beanvalidation-api/archive/%{namedversion}/%{name}-%{namedversion}.tar.gz

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.testng:testng)
Source44: import.info

%description
This package contains Bean Validation (JSR-349) API.


%package        javadoc
Group: Development/Java
Summary:        Javadoc for %{name}
BuildArch: noarch

%description    javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n beanvalidation-api-%{namedversion}

%pom_remove_plugin :license-maven-plugin
%pom_remove_plugin -r :maven-javadoc-plugin
%pom_remove_plugin :maven-source-plugin

%mvn_file : %{name}

# The byte array allocation should have triggered a OutOfMemoryError
find src/test/java -name "ValidationTest.java" -print -delete

%build
%mvn_build


%install
%mvn_install


%files -f .mfiles
%doc README.md
%doc --no-dereference license.txt copyright.txt

%files javadoc -f .mfiles-javadoc
%doc README.md
%doc --no-dereference license.txt copyright.txt


%changelog
