Name: bibletime
Version: 2.11.2
Release: alt1

Summary: BibleTime is a Bible study application based on Qt
Summary(ru_RU.UTF-8): BibleTime - простое в использовании средство для изучения Библии

License: %gpl2only
Url: http://www.bibletime.info/
Group: Text tools

Packager: Artem Zolochevskiy <azol@altlinux.ru>

# Source-url: https://github.com/bibletime/bibletime/archive/v%version.tar.gz
Source: %name/%name-%version.tar
#Patch: %name-%version-%release.patch

BuildRequires(pre): rpm-build-licenses rpm-macros-cmake

BuildRequires: cmake libclucene-core-devel libssl-devel qt5-imageformats qt5-svg-devel qt5-tools-devel qt5-webkit-devel

BuildRequires: libsword-devel >= 1.7

BuildRequires: librsvg-utils

Requires: qt5-imageformats

%description
BibleTime is a free and easy to use bible study tool for UNIX systems.

BibleTime provides easy handling of digitalized texts (Bibles, commentaries
and lexicons) and powerful features to work with these texts (search in
texts, write own notes, save, print etc.).
BibleTime is a frontend for the SWORD Bible Framework.

%prep
%setup
#patch -p1
# currently breaks build
subst 's/-Werror //' CMakeLists.txt

%build
%add_optflags -fpermissive
%cmake
%cmake_build

%install
%cmakeinstall_std
install -D -m 644 pics/icons/bibletime.svg %buildroot%_iconsdir/hicolor/scalable/apps/bibletime.svg
install -d %buildroot%_liconsdir/
rsvg-convert -w 48 -h 48 pics/icons/bibletime.svg -f png -o %buildroot%_liconsdir/bibletime.png
rm -f %buildroot%_iconsdir/%name.svg

%files
%doc ChangeLog README.md
%_bindir/*
%_datadir/%name/
%_desktopdir/*
%_liconsdir/*
%_iconsdir/hicolor/scalable/apps/%name.svg

%changelog
