Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-java
# END SourceDeps(oneline)
BuildRequires: /proc rpm-build-java
BuildRequires: jpackage-1.8-compat
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# SVN info
%global svnRev 96

# Prevent brp-java-repack-jars from being run.
%global __jar_repack %{nil}

Name:    bindex
Version: 2.2
Release: alt3_21.svn96jpp8
Summary: Bundle Manifest Header Mapper

License: ASL 2.0
URL:     http://www.osgi.org/Repository/BIndex

# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
#  svn export -r ${svnRev} \
#    http://www.osgi.org/svn/public/trunk/org.osgi.impl.bundle.bindex \
#    bindex
#  tar -czvf bindex.r${svnRev}.svn.tar.gz bindex
Source0: %{name}.r%{svnRev}.svn.tar.gz
Patch0: add-classpath.patch

BuildArch: noarch

BuildRequires: ant
BuildRequires: aqute-bnd
BuildRequires: felix-osgi-obr
BuildRequires: felix-osgi-core
BuildRequires: junit
BuildRequires: kxml
BuildRequires: xpp3

Requires: javapackages-tools
Source44: import.info

%description
A Java program that implements the manifest header to repository 
format mapping as described in the RFC-0112 Bundle Repository.

%prep
%setup -q -n %{name}
find . -type f -iname "*.jar" | xargs -t rm -f ;
mkdir -p bin
%patch0 -p1

%build
export CLASSPATH=$(build-classpath ant kxml junit xpp3 \
                                   felix/org.osgi.service.obr \
                                   felix/org.osgi.core)
javac -d bin $(find src -name *.java)
pushd jar
  ln -s $(build-classpath ant.jar)
  ln -s $(build-classpath kxml.jar) kxml2-min.jar
  ln -s $(build-classpath felix/org.osgi.service.obr.jar)
  ln -s $(build-classpath xpp3.jar)
popd
bnd buildx --output %{name}.jar bindex.bnd

%install
install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 %{name}.jar %{buildroot}%{_javadir}/%{name}.jar

%files
%doc README
%doc --no-dereference LICENSE.txt
%{_javadir}/*

%changelog
