Name:    blueman
Version: 2.3.5
Release: alt1

Summary: Blueman is a GTK+ Bluetooth Manager
License: GPL-3.0-or-later
Group:   Development/Python3
URL:     https://github.com/blueman-project/blueman

Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3 rpm-build-gir
BuildRequires: python3-dev
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(pygobject-3.0)
BuildRequires: pkgconfig(bluez)
BuildRequires: pkgconfig(polkit-agent-1)
BuildRequires: intltool >= 0.35.0
BuildRequires: iproute
BuildRequires: python3-module-Cython >= 0.21
BuildRequires: python3-module-dbus

Requires: bluez
Requires: typelib(Gtk) = 3.0

# Build with --disable-appindicator
%add_typelib_req_skiplist typelib(AppIndicator3)

%add_python3_req_skip gi.repository.GObject

%description
%summary

%prep
%setup

%build
# on P9 cython is python-2 executable, use cython3 explicitly
export CYTHONEXEC=cython3

%autoreconf
%configure \
	--with-dhcp-config=%_sysconfdir/dhcp/dhcpd.conf \
	--libexecdir=%_libexecdir \
	--enable-polkit \
	--disable-static \
	--disable-appindicator \
	--enable-settings-integration
%make_build

%install
%makeinstall_std

mkdir -p %buildroot%_altdir
cat > %buildroot%_altdir/%name <<EOF
%_bindir/bluetooth-sendto	%_bindir/blueman-sendto	20
EOF

# cleanup docs
rm -fr %buildroot/%_datadir/doc

# remove static library
rm -fr %buildroot/%python3_sitelibdir/_blueman.la

# replace config
mkdir -p %buildroot%_sysconfdir/dbus-1/system.d
mv %buildroot%_datadir/dbus-1/system.d/org.blueman.Mechanism.conf \
	%buildroot%_sysconfdir/dbus-1/system.d

%find_lang %name

%post
if [ $1 -eq 1 ] ; then
# Enable the services we install by default
/bin/systemctl preset \
blueman-mechanism.service
>/dev/null 2>&1 || :
fi

%preun
if [ $1 -eq 1 ] ; then
# Disable the services we install by default
/bin/systemctl disable \
blueman-mechanism.service
>/dev/null 2>&1 || :
fi

%files -f %name.lang
%_altdir/%name
%doc CHANGELOG.md FAQ README.md
%_bindir/blue*
%_prefix/lib/systemd/user/blueman-manager.service
%config(noreplace) %_sysconfdir/dbus-1/system.d/org.blueman.Mechanism.conf
%_datadir/dbus-1/system-services/org.blueman.Mechanism.service
%_datadir/dbus-1/services/org.blueman.Manager.service
%_datadir/applications/blueman-*.desktop
%_datadir/dbus-1/services/org.blueman.Applet.service
%_datadir/%name
%_datadir/glib-2.0/schemas/org.blueman.gschema.xml
%_datadir/polkit-1/actions/org.blueman.policy
%_datadir/polkit-1/rules.d/blueman.rules
%_datadir/Thunar/sendto/thunar-sendto-blueman.desktop
%_desktopdir/%name-manager.desktop
%_iconsdir/hicolor/*/*/*
%_libexecdir/%name-mechanism
%_libexecdir/blueman-rfcomm-watcher
%_man1dir/%name-*.1*
%_prefix/lib/systemd/user/blueman-applet.service
%_prefix/lib/systemd/system/blueman-mechanism.service
%python3_sitelibdir_noarch/blueman
%python3_sitelibdir/_blueman.so
%_sysconfdir/xdg/autostart/%name.desktop

%changelog
