%define git %nil
%define _libexecdir %_prefix/libexec
%def_enable obex
%def_enable btpclient
# since 5.44 the following tools marked as deprecated:
# hciattach hciconfig hcitool hcidump rfcomm sdptool ciptool gatttool
%def_enable deprecated
%def_enable experimental

Name: bluez
Version: 5.69
Release: alt1

Summary: Bluetooth utilities
License: GPL-2.0-or-later
Group: Networking/Other

Url: http://www.bluez.org/
Source: %name-%version.tar
Patch: %name-%version-%release.patch
Packager: L.A. Kostis <lakostis@altlinux.org>

# fc
Patch10: 0001-Allow-using-obexd-without-systemd-in-the-user-sessio.patch
Obsoletes: obex-data-server < 0.4.6-alt3
Conflicts: udev-extras < 169

BuildRequires: glib2-devel libudev-devel libdbus-devel libreadline-devel
BuildRequires: systemd-devel gtk-doc python3-module-docutils
%{?_enable_obex:BuildRequires: libical-devel libicu-devel}
%{?_enable_btpclient:BuildRequires: libell-devel >= 0.39}
# for check
BuildRequires: /proc

%description
Bluetooth protocol stack for Linux

%package -n lib%name
Summary: Libraries for use in Bluetooth applications
Group: System/Libraries
Obsoletes: lib%{name}4

%description -n lib%name
Libraries for use in Bluetooth applications

%package -n lib%name-devel
Summary: Development libraries for Bluetooth applications
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
lib%name-devel contains development libraries and headers for
use in Bluetooth applications

%package cups
Summary: CUPS printer backend for Bluetooth printers
Group: Networking/Other
Requires: %name = %version-%release

%description cups
This package contains the CUPS backend

%package btpclient
Summary: Tester protocol for Bluetooth stack client
Group: Networking/Other
Requires: %name = %version-%release

%description btpclient
BTP stands for Bluetooth Tester Protocol and aims at automated testing of BT
stack. BTP is binary protocol and is already implemented in Zephyr Project.

https://github.com/zephyrproject-rtos/zephyr/blob/master/tests/bluetooth/tester/btp_spec.txt

%package -n zsh-completion-%name
Summary: Zsh completion for %name
Group: Shells
BuildArch: noarch
Requires: %name = %version-%release

%description -n zsh-completion-%name
Zsh completion for %name.

%prep
%setup
%patch -p1
%patch10 -p1

%build
%autoreconf
export CFLAGS="%optflags -DFIRMWARE_DIR=\\\"\"/lib/firmware\"\\\""
export MISC_CFLAGS="%optflags %(getconf LFS_CFLAGS)"
%configure \
	--enable-library \
	--enable-threads \
	--enable-external-ell \
	%{subst_enable obex} \
	%{subst_enable btpclient} \
	--enable-cups \
	--enable-tools \
	--enable-hid2hci \
	--localstatedir=%_var \
	%{subst_enable deprecated} \
	%{subst_enable experimental}
%make_build

%install
%makeinstall_std
%{?_enable_deprecated:install -m755 attrib/gatttool %buildroot%_bindir/}
%{?_enable_btpclient:install -m755 tools/btpclient %buildroot%_bindir/}
%{?_enable_obex:install -m755 tools/obexctl %buildroot%_bindir/}
install -m755 tools/bneptest %buildroot%_bindir/
install -pD -m755 scripts/bluetooth.alt.init %buildroot%_initdir/bluetoothd
ln -s bluetooth.service %buildroot%_unitdir/bluetoothd.service
mkdir -p %buildroot%_libdir/bluetooth/plugins %buildroot%_localstatedir/bluetooth
# configdir
mkdir -p %buildroot%_sysconfdir/bluetooth
cp -a src/main.conf %buildroot%_sysconfdir/bluetooth/

find %buildroot%_libdir -name \*.la -delete

%check
%make check

%post
SYSTEMCTL=systemctl
%post_service bluetoothd
if [ $1 = 1 ] && "$SYSTEMCTL" --version >/dev/null 2>&1; then
    "$SYSTEMCTL" -q --user --global enable obex.service >/dev/null 2>&1 || :
fi

%preun
SYSTEMCTL=systemctl
%preun_service bluetoothd
if [ $1 = 0 ] && "$SYSTEMCTL" --version >/dev/null 2>&1; then
	"$SYSTEMCTL" -q --user --global disable obex.service >/dev/null 2>&1 || :
fi

%files
%doc AUTHORS ChangeLog README
%attr(555,root,root) %dir %_sysconfdir/bluetooth
%config %_sysconfdir/bluetooth/main.conf
%_initdir/bluetoothd
%_unitdir/*.service
%_prefix/lib/systemd/user/obex.service
/lib/udev/rules.d/*-hid2hci.rules
/lib/udev/hid2hci
%_bindir/bluemoon
%_bindir/bluetoothctl
%_bindir/btattach
%_bindir/btmon
%_bindir/hex2hcd
%_bindir/l2ping
%_bindir/l2test
%_bindir/mpris-proxy
%_bindir/rctest
%_bindir/bneptest
%_bindir/isotest
%{?_enable_obex:%_bindir/obexctl}

%if_enabled deprecated
%_bindir/ciptool
%_bindir/gatttool
%_bindir/hciattach
%_bindir/hciconfig
%_bindir/hcidump
%_bindir/hcitool
%_bindir/rfcomm
%_bindir/sdptool
%endif

%_libdir/bluetooth/
%_libexecdir/bluetooth/
%_datadir/dbus-1/system.d/bluetooth.conf
%_datadir/dbus-1/system-services/org.bluez.service
%_datadir/dbus-1/services/org.bluez.obex.service
%_localstatedir/bluetooth
%_man1dir/*.1*
%_man8dir/*.8*

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_includedir/bluetooth
%_libdir/*.so
%_pkgconfigdir/*.pc

%files cups
%_prefix/lib/cups/backend/bluetooth

%if_enabled btpclient
%files btpclient
%_bindir/btpclient
%endif

%files -n zsh-completion-%name
%_datadir/zsh/site-functions/_bluetoothctl

%changelog
