Name: bmake
Version: 20200710
Release: alt1

Summary: The NetBSD make(1) tool

License: BSD with advertising
Group: Development/Tools
Url: ftp://ftp.NetBSD.org/pub/NetBSD/misc/sjg/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: %name-%version.tar.gz

#Requires: pkgsrc-mk-files

%description
bmake, the NetBSD make(1) tool, is a program designed to simplify
the maintenance of other programs.  The input of bmake is a list
of specifications indicating the files upon which the targets
(programs and other files) depend.  bmake then detects which
targets are out of date based on their dependencies and triggers
the necessary commands to bring them up to date when that
happens.

bmake is similar to GNU make, even though the syntax for the
advanced features supported in Makefiles is very different.

Please install mk-files or pkgsrc-mk-files to use bmake.

%prep
%setup -n %name

%build
unset MAKEFLAGS
./boot-strap -q -o Linux \
	--prefix=%prefix \
	--with-default-sys-path=%_datadir/mk \
	--mksrc none \
	--sysconfdir=%_sysconfdir

%install
mkdir -p %buildroot%_datadir/mk
install -pDm644 bmake.1 %buildroot%_man1dir/bmake.1
install -pDm755 Linux/bmake %buildroot%_bindir/bmake

%files
%doc ChangeLog README
%_bindir/bmake
%_man1dir/*
%dir %_datadir/mk/

%changelog
