Epoch: 0
Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-java
# END SourceDeps(oneline)
BuildRequires: /proc rpm-build-java
BuildRequires: jpackage-11-compat
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:      brazil
Version:   2.3
Release:   alt3_25jpp11
Summary:   Extremely small footprint Java HTTP stack
License:   SPL
URL:       https://github.com/mbooth101/brazil

Source0:   https://github.com/mbooth101/brazil/archive/%{name}-%{version}.tar.gz

# upsteam's build script doesn't build javadocs, so use our own, better script
Source2:   brazil-build.xml

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    ant
Requires:         jpackage-utils
Source44: import.info

%description
Brazil is as an extremely small footprint HTTP stack and flexible architecture 
for adding URL-based interfaces to arbitrary applications and devices from Sun 
Labs. This package contains the core set of classes that are not dependent on 
any other external Java libraries.

%package javadoc
Group: Development/Java
Summary:   Java-docs for %{name}
BuildArch: noarch

%description javadoc
API documentation for %{name}.

%package demo
Group: Development/Other
Summary:   Demos for %{name}
Requires:  %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:  libtcl tcl

%description demo
Demonstrations and samples for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}

# fix permissions and interpreter in sample scripts
grep -lR -e ^\#\!/usr/sfw/bin/tclsh8.3 samples | xargs sed --in-place "s|/usr/sfw/bin/tclsh8.3|/usr/bin/tclsh|"
grep -lR -e ^\#\!/usr/bin/tclsh        samples | xargs chmod 755
grep -lR -e ^\#\!/bin/sh               samples | xargs chmod 755

%build
cp -p %{SOURCE2} build.xml
ant -Dant.build.javac.source=1.8 -Dant.build.javac.target=1.8  all

%install
# jars
mkdir -p %{buildroot}%{_javadir}
cp -p build/%{name}.jar %{buildroot}%{_javadir}/%{name}.jar

# javadoc
mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr build/javadoc/* %{buildroot}%{_javadocdir}/%{name}

# samples
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -pr samples %{buildroot}%{_datadir}/%{name}

%files
%doc README.md srcs/license.terms
%{_javadir}/%{name}.jar

%files javadoc
%doc %{_javadocdir}/%{name}

%files demo
%doc %{_datadir}/%{name}/samples/README
%{_datadir}/%{name}

%changelog
