Group: Development/Java
# BEGIN SourceDeps(oneline):
BuildRequires: unzip
# END SourceDeps(oneline)
BuildRequires: /proc rpm-build-java
BuildRequires: jpackage-1.8-compat
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:        Bitronix Transaction Manager
Name:           btm
Version:        2.1.2
Release:        alt1_15jpp8
Epoch:          0
License:        LGPLv3
URL:            http://bitronix.be
Source0:        http://bitronix.be/downloads/btm-dist-2.1.2.zip
Source1:        http://repo1.maven.org/maven2/org/codehaus/btm/btm-parent/2.1.2/btm-parent-2.1.2.pom
Source2:        http://repo1.maven.org/maven2/org/codehaus/btm/btm/2.1.2/btm-2.1.2.pom
Patch0:         %{name}-use-shared-jars.patch
Patch1:         btm-jdbc4.1.patch

BuildRequires:  ant >= 0:1.6
BuildRequires:  geronimo-jta
BuildRequires:  javapackages-local
BuildRequires:  xml-commons-apis
#BuildRequires:  mvn(javax.transaction:jta)
BuildRequires:  mvn(org.apache.geronimo.specs:geronimo-jms_1.1_spec)
BuildRequires:  mvn(org.codehaus:codehaus-parent:pom:)
BuildRequires:  mvn(org.slf4j:slf4j-api)

# Turn this on to make "ant test" work
# BuildRequires:  mockito
Requires:       junit
Requires:       xml-commons-apis
Requires:       java >= 1.6.0
Requires:       geronimo-jms
Requires:       geronimo-jta

BuildArch:      noarch
Source44: import.info

%description
The Bitronix Transaction Manager (BTM) is a simple but complete
implementation of the JTA 1.1 API. It is a fully working XA transaction
manager that provides all services required by the JTA API while trying 
to keep the code as simple as possible for easier understanding of the 
XA semantics.

%package javadoc
Group: Development/Java
Summary:        Javadoc for %{name}
BuildArch: noarch

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}-dist-%{version}
# remove all binary libs
find -name '*.jar' -exec rm -f '{}' \;


%patch0 -p1
%patch1 -p1

%mvn_file org.codehaus.%{name}:%{name} %{name}

%build

ant build

%install
%mvn_artifact %{SOURCE1}
%mvn_artifact %{SOURCE2} dist/%{name}-%{version}.jar
%mvn_install -J doc/api

%files -f .mfiles
%doc release-notes-%{version}.txt
%doc --no-dereference license.txt

%files javadoc -f .mfiles-javadoc
%doc --no-dereference license.txt


%changelog
