# SPEC file for cadaver package

Name:    cadaver
Version: 0.23.3
Release: alt6.git.4cbea82

Summary: a command-line WebDAV client
Summary(ru_RU.UTF-8): консольный клиент WebDAV

License: %gpl2plus
Group:   Networking/File transfer
URL:     http://www.webdav.org/cadaver/

Packager: Nikolay A. Fetisov <naf@altlinux.org>

Source0: %name-%version.tar
Patch0:  %name-%version-%release.patch

Patch1:  %name-0.23.2-debian-manpage_hyphen.patch
Patch2:  %name-0.23.3-alt-glibc-secure_getenv.patch

BuildRequires(pre): rpm-build-licenses

# Automatically added by buildreq on Sun Mar 20 2011
BuildRequires: libexpat-devel libkeyutils-devel libncurses-devel libneon-devel libreadline-devel libssl-devel zlib-devel

%description
cadaver is a command-line WebDAV client for Unix.  It supports
file upload, download, on-screen display, namespace operations
(move/copy), collection creation and deletion, and locking
operations.

%prep
%setup
%patch0 -p1

%patch1 -p1
%patch2 -p1

mv -f -- COPYING COPYING.orig
ln -s -- $(relative %_licensedir/GPL-2 %_docdir/%name/COPYING) COPYING

%build
./autogen.sh

# Add missed automake files:
for f in config.guess config.sub; do cp -p -- /usr/share/automake/$f .; done

autoconf -f
%configure --with-ssl=openssl --with-neon
%make_build

%install
%make_install DESTDIR=%buildroot install
%find_lang %name

%files  -f %name.lang
%doc FAQ README THANKS TODO BUGS INTEROP
%doc --no-dereference COPYING

%_bindir/%name
%_man1dir/%{name}*

%changelog
