%add_optflags -fcommon

Name: cdemu-daemon
Version: 3.2.4
Release: alt3

Summary: CDEmu daemon
License: GPLv2+
Group: System/Servers

URL: http://cdemu.sourceforge.net
Packager: Nazarov Denis <nenderus@altlinux.org>

# http://downloads.sourceforge.net/cdemu/%name-%version.tar.bz2
Source0: %name-%version.tar
Source1: %name.conf

BuildPreReq: libblkid-devel
BuildPreReq: libmount-devel
BuildPreReq: libpcre-devel
BuildPreReq: libselinux-devel
BuildPreReq: zlib-devel

BuildRequires: cmake
BuildRequires: intltool
BuildRequires: libao-devel >= 0.8.0
BuildRequires: libmirage-devel >= 3.2.0

%description
This is CDEmu daemon, the userspace daemon part of the userspace-cdemu suite, a 
free, GPL CD/DVD-ROM device emulator for linux.

It receives SCSI commands from kernel module and processes them, passing the 
requested data back to the kernel. Daemon implements the actual virtual device; 
one instance per each device registered by kernel module. It uses libMirage, an 
image access library that is part of userspace-cdemu suite, for the image access 
(e.g. sector reading).

The daemon registers itself on D-BUS' system or session bus (depending on the
options passed to it) where it exposes an interface that can be used by clients
to control it.

%prep
%setup

%build
%cmake -DCMAKE_INSTALL_LIBEXECDIR:PATH="%_libexecdir/%name"
%cmake_build

%install
%cmakeinstall_std
%__install -Dp -m0644 %SOURCE1 %buildroot%_sysconfdir/modules-load.d/%name.conf
%find_lang %name

%files -f %name.lang
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%_bindir/%name
%dir %_libexecdir/%name
%_libexecdir/%name/%name-session.sh
%_man8dir/%name.*
%_datadir/dbus-1/services/*.service
%config %_sysconfdir/modules-load.d/%name.conf

%changelog
