Group: Development/Java
AutoReq: yes,noosgi
BuildRequires: rpm-build-java-osgi
BuildRequires: /proc rpm-build-java
BuildRequires: jpackage-11-compat
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global srcname cdi

Name:           cdi-api
Version:        2.0
Release:        alt1_2jpp11
Summary:        Contexts and Dependency Injection API
License:        ASL 2.0

URL:            https://github.com/eclipse-ee4j/cdi
Source0:        %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(jakarta.interceptor:jakarta.interceptor-api)
BuildRequires:  mvn(javax.el:javax.el-api)
BuildRequires:  mvn(javax.inject:javax.inject)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.jboss.weld:weld-parent:pom:)
BuildRequires:  mvn(org.testng:testng)
Source44: import.info

%description
APIs for JSR-299: Contexts and Dependency Injection for Java EE


%package javadoc
Group: Development/Java
Summary:        Javadoc for %{name}
BuildArch: noarch

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{srcname}-%{version}


# do not build specification documentation
%pom_disable_module spec

# do not install useless parent POM
%mvn_package javax.enterprise:cdi-spec __noinstall

# use new jakarta interceptors coordinates
%pom_change_dep :javax.interceptor-api jakarta.interceptor:jakarta.interceptor-api api


%build
%mvn_build -- -Dmaven.compiler.source=1.8 -Dmaven.compiler.target=1.8 -Dmaven.javadoc.source=1.8 -Dmaven.compiler.release=8


%install
%mvn_install


%files -f .mfiles
%doc --no-dereference spec/src/main/asciidoc/license-asl2.asciidoc
%doc --no-dereference spec/src/main/asciidoc/license-jcp-final.asciidoc
%doc spec/src/main/asciidoc/cdi-spec.asciidoc

%files javadoc -f .mfiles-javadoc
%doc --no-dereference spec/src/main/asciidoc/license-asl2.asciidoc
%doc --no-dereference spec/src/main/asciidoc/license-jcp-final.asciidoc


%changelog
