Name: cherrytree
Version: 0.99.55
Release: alt1

Summary: Hierarchical note taking application
Summary(ru_RU.UTF-8): Записная книжка иерархической структуры для заметок

Group: Office
License: GPLv2+
Url: http://www.giuspen.com/cherrytree/

Packager: Konstantin Artyushkin <akv@altlinux.org>

# Source-url: https://www.giuspen.com/software/cherrytree_%version.tar.xz
Source: %name-%version.tar
Patch: categories.patch

BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: libgtkmm3-devel
BuildRequires: libxml++2-devel
BuildRequires: libgtksourceviewmm3-devel
BuildRequires: libsqlite3-devel
BuildRequires: libgspell-devel
BuildRequires: libfmt-devel
BuildRequires: libspdlog-devel
BuildRequires: gnome-icon-theme
BuildRequires: libuchardet-devel
BuildRequires: libcurl-devel
BuildRequires: libfribidi-devel
BuildRequires: libvte3-devel

Requires: %_bindir/7z

%description
CherryTree is a hierarchical note taking application, featuring rich text and
syntax highlighting, storing all the data (including images) in a single XML
file with extension ".ctd".

%description -l ru_RU.UTF-8
Иерархическое хранилище заметок с подсветкой синтаксиса и возможностью
экспорта в различные форматы.

%prep
%setup
%patch -p0
%ifarch %e2k
# workaround for EDG frontend
sed -i "s|g_autofree gchar\*|g_autofree_edg_ex(gchar,Glib::ustring) |" src/ct/ct_{misc_utils,storage_xml}.cc
sed -i "s|g_autofree gchar\*|g_autofree_edg_ex(gchar,std::string) |" src/ct/ct_*.cc
sed -i "s|pConverted+|(gchar*)&|" src/ct/ct_misc_utils.cc
sed -i "s|save_to_buffer(|&(gchar*\&)|" src/ct/ct_{imports,image,parser_html}.cc
sed -i "s|filename(pOutStr|filename((gchar*)pOutStr|" src/ct/ct_filesystem.cc
%endif

%build
%cmake  -DBUILD_TESTING=OFF -DCT_VERSION=%version
%cmake_build

%install
%cmakeinstall_std

%find_lang %name

%files -f %name.lang
%doc changelog.txt license.txt
%_bindir/%name
#_datadir/metainfo/com.giuspen.%name.metainfo.xml
%_datadir/%name/
%_desktopdir/%name.desktop
%_datadir/mime-info/*
%_datadir/metainfo/*
%_iconsdir/hicolor/scalable/apps/%%name.svg
%_datadir/mime-info/%name.*
%_man1dir/*.1*


%changelog
