Name: chess
Version: 6.2.8
Release: alt1

%define real_name gnu%name

Summary: The GNU chess program
License: GPL-3.0-or-later
Group: Games/Boards
URL: http://www.gnu.org/software/chess/

# repacked http://ftp.gnu.org/gnu/chess/gnuchess-%version.tar.gz
Source: %real_name-%version.tar
Source1: book_1.02.pgn
Source98: %real_name.watch
Source99: upstream-signing-key.asc

Patch1: gnuchess-6.2.7-cve-2021-30184.patch

Provides: %real_name = %version
Obsoletes: %real_name

BuildRequires(pre): rpm-build-licenses

BuildRequires: gcc-c++ flex libncurses-devel libreadline-devel help2man makeinfo

%description
The gnuchess package contains the GNU chess program.  By default, GNUchess
uses a curses text-based interface.  Alternatively, GNUchess can be used
in conjunction with the xboard user interface and the X Window System for
a graphical chessboard.

You should install the gnuchess package if you would like to play chess on
your computer.  You'll also need to install the curses package.  If you'd
like to use a graphical interface with GNUchess, you'll also need to
install the xboard package and the X Window System.

%prep
%setup  -n %real_name-%version
%patch1 -p0

%build
%configure --with-pluginsdir=%_gamesdatadir/%real_name/plugins
%make_build

#compile book
pushd src
./%real_name --addbook %SOURCE1
popd

%install
%makeinstall_std
install -pm644 src/book.bin %buildroot%_datadir/%real_name/

%find_lang %real_name

%files -f %real_name.lang
%_bindir/*
%_gamesdatadir/%real_name/
%_datadir/%real_name/
%_man1dir/%real_name.1.*
%_infodir/%real_name.info.*

%changelog
