Name: clamtk
Version: 6.13
Release: alt1

Summary: Easy to use front-end for ClamAV
Summary(ru_RU.UTF-8): Простой в использовании интерфейс для антивируса ClamAV

Packager: Vitaly Lipatov <lav@altlinux.ru>

License: GPL+ or Artistic 2.0
Group: File tools
Url: https://gitlab.com/dave_m/clamtk/wikis/Home

BuildArch: noarch

# Note! This is a release tarball, not source code tarball
# Source-url: https://github.com/dave-theunsub/clamtk/releases/download/v%version/clamtk-%version.tar.xz
Source: %name-%version.tar
Patch: %name-gtk.patch

Requires: clamav >= 0.95
Requires: gnome-icon-theme gnome-icon-theme-extras libcanberra-gtk3
Requires(post,postun): desktop-file-utils

BuildRequires: perl-Glib perl-Gtk3 perl-libwww perl-LWP-Protocol-https perl-base perl-Digest-SHA perl-Text-CSV perl-Text-CSV_XS perl-JSON perl-Encode perl-Locale-gettext perl-Time-Piece

# (clamtk:2505039): Gtk-WARNING **: 11:56:59.364: cannot open display: 
# /tmp/.private/lav/clamtk-buildroot/usr/bin/clamtk: deparse failed. isPerl=0.0416866315285098.
# find-requires: ERROR: /usr/lib/rpm/perl.req failed
AutoReq:yes,noperl
Requires: perl-Glib perl-Gtk3 perl-libwww perl-LWP-Protocol-https perl-base perl-Digest-SHA perl-Text-CSV perl-Text-CSV_XS perl-JSON perl-Encode perl-Locale-gettext perl-Time-Piece

%description
ClamTk is a front-end, point and click gui for ClamAV on Linux systems.
It supports easy signature-updates. It is meant to be lightweight and easy to use.

%description -l ru_RU.UTF-8
ClamTk - графический интерфейс для ClamAV, разработанный для простоты использования
антивирусного сканера и обновления баз сигнатур на системах Linux.

%prep
%setup
#patch -p2

%install
install -D -m755 %name %buildroot%_bindir/%name
mkdir -p %buildroot%perl_vendor_privlib/ClamTk
cp lib/*.pm %buildroot%perl_vendor_privlib/ClamTk/

install -D -m0644 images/%name.png %buildroot%_pixmapsdir/%name.png
install -D -m0644 clamtk.1.gz %buildroot%_man1dir/clamtk.1.gz
install -D -m0644 clamtk.desktop %buildroot%_desktopdir/clamtk.desktop

for n in po/*.mo; do
	install -D -m0644 $n %buildroot%_datadir/locale/`basename $n .mo`/LC_MESSAGES/clamtk.mo
done

%find_lang %name

%files -f %name.lang
%doc README.md DISCLAIMER CHANGES LICENSE
%_bindir/%name
%perl_vendor_privlib/ClamTk/
%_desktopdir/%name.desktop
%_pixmapsdir/%name.png
%_man1dir/*

%changelog
