Summary: Comic book viewer
Name: comix
Version: 4.0.4
Release: alt4
License: GPLv2+
Group: Graphics
Url: http://comix.sourceforge.net/
Packager: Ilya Mashkin <oddity@altlinux.ru>
Source: %name-%version.tar.gz

## FC patches
Patch1: FC-4.0.4-archive-directory-removed.patch
Patch2: FC-4.0.4-thumb-imaging_error.patch
Patch3: FC-4.0.4-gettext-usrmove.patch
Patch4: FC-4.0.4-pathname2url-utf8.patch
Patch5: FC-4.0.4-import-PIL-for-Image.patch
Patch6: FC-4.0.4-tobytes.patch
Patch7: FC-4.0.4-PIL6-version-deprecation.patch

## Ubuntu patches

## ALT patches
Patch501: %name.netbsd.patch1
Patch502: %name.netbsd.patch2
Patch503: %name-4.0.3-filechooser.patch
Patch504: %name-fix-install-opts.patch

## done

BuildArch: noarch
##Requires: python-module-imaging

##BuildPreReq: desktop-file-utils shared-mime-info GConf
##BuildRequires: GConf libjpeg-utils python-module-imaging python-module-pygobject unrar python-module-pygtk-devel python-module-pygtk libsqlite3-devel

# Automatically added by buildreq on Sat Mar 09 2019
# optimized out: libdbus-glib libgpg-error python-base python-module-cffi python-module-scandir python-module-six python-modules python-modules-compiler python-modules-ctypes python-modules-logging sh4 shared-mime-info
BuildRequires: GConf python-module-Pillow python-module-pathlib2 python-module-pygobject unrar

%description
Comix is a comic book viewer. It reads zip, rar, tar, tar.gz, and tar.bz2
archives (often called .cbz, .cbr and .cbt) as well as normal image files.

%prep
%setup
## FC apply patches
%patch1 -p1 -b .missing
%patch2 -p1 -b .debug1
%patch3 -p1 -b .usrmove
%patch4 -p1 -b .p2url
%patch5 -p1 -b .pil
%patch6 -p1 -b .tobytes
%patch7 -p1 -b .version

## Ubuntu apply patches

## ALT apply patches
%patch504 -p2

## Done

# Set correct python2 executable in shebang and scripts
subst 's|#!.*python$|#!%__python|' $(grep -Rl '#!.*python$' *) \
        $(find ./ -name '*.py')

%build
## XXX summon buildreq
mkdir BUILD
mv install.py setup.py
%python_build_install --dir=`pwd`/BUILD

%install
mkdir -p %buildroot%prefix
%python_install --dir=%buildroot%prefix

install -D mime/comix.xml %buildroot%_datadir/mime/packages/%name.xml
install -D mime/comicbook.schemas %buildroot%_sysconfdir/gconf/schemas/%name.schemas

%find_lang %name

%files -f %name.lang
%doc ChangeLog COPYING README
%_man1dir/*.1*
%_bindir/*
%_sysconfdir/gconf/schemas/%name.schemas
%_datadir/mime/packages/%name.xml
%_datadir/mime/*
%_datadir/%name/images/*
%_datadir/%name/src/*
%_datadir/applications/comix.desktop
%_datadir/icons/hicolor/*/apps/*
%_datadir/icons/hicolor/*/mimetypes/*
#_liconsdir/*
%_datadir/icons/hicolor/scalable/apps/comix.svg
#_datadir/pixmaps/*
%exclude %_datadir/mime/XMLnamespaces
%exclude %_datadir/mime/aliases
%exclude %_datadir/mime/application/x-cbr.xml
%exclude %_datadir/mime/application/x-cbt.xml
%exclude %_datadir/mime/application/x-cbz.xml
%exclude %_datadir/mime/generic-icons
%exclude %_datadir/mime/globs
%exclude %_datadir/mime/globs2
%exclude %_datadir/mime/icons
%exclude %_datadir/mime/magic
%exclude %_datadir/mime/mime.cache
%exclude %_datadir/mime/subclasses
%exclude %_datadir/mime/treemagic
%exclude %_datadir/mime/types
%exclude %_datadir/mime/version

%changelog
