%def_without test

Name: conan
Version: 1.56.0
Release: alt1

Summary: Conan - The open-source C/C++ package manager

Group: System/Libraries
License: MIT
Url: https://conan.io

# Source-url: https://github.com/conan-io/conan/archive/%version.tar.gz
Source: %name-%version.tar

Packager: Pavel Vainerman <pv@altlinux.org>

BuildArch: noarch

BuildRequires(pre): rpm-build-intro >= 2.2.5
BuildRequires(pre): rpm-build-python3

AutoProv: no

# generated by 'epm restore --dry-run' from conans/requirements.txt
#py3_use jwt < 2.0.0
%py3_use jwt >= 1.4.0
%py3_use requests < 3.0.0
%py3_use requests >= 2.25
%py3_use urllib3 < 1.27
%py3_use urllib3 >= 1.26.6
%py3_use colorama < 0.5.0
%py3_use colorama >= 0.3.3
#py3_use yaml < 6.0
%py3_use yaml >= 3.11
%py3_use patch-ng < 1.18
%py3_use patch-ng >= 1.17.4
%py3_use fasteners >= 0.14.1
%py3_use six <= 1.16.0
%py3_use six >= 1.10.0
%py3_use node_semver >= 0.6.1
%py3_use distro <= 1.6.0
%py3_use distro >= 1.0.2
%py3_use Pygments < 3.0
%py3_use Pygments >= 2.0
%py3_use tqdm < 5
%py3_use tqdm >= 4.28.1
#py3_use jinja2 < 4.0.0
%py3_use jinja2 >= 3.0
%py3_use dateutil < 3
%py3_use dateutil >= 2.7.0

# generated by 'epm restore --dry-run' from conans/requirements_dev.txt
#py3_buildrequires pytest < 7.0.0
%py3_buildrequires pytest >= 6.1.1
%py3_buildrequires pytest-xdist
%py3_buildrequires parameterized >= 0.6.3
#py3_buildrequires mock < 1.4.0
%py3_buildrequires mock >= 1.3.0
%py3_buildrequires webtest < 2.1.0
%py3_buildrequires webtest >= 2.0.18
%py3_buildrequires bottle

# conans/requirements_server.txt
%py3_use bottle >= 0.12.8
%py3_use bottle < 0.13
%py3_use pluginbase >= 0.5

%description
Decentralized, open-source (MIT), C/C++ package manager.

%prep
%setup

%__subst "s|node-semver==|node-semver>=|" conans/requirements.txt

# https://bugzilla.altlinux.org/show_bug.cgi?id=39271
find -type f -name "*.py" | xargs subst "s|from semver|from node_semver|"

%build
%python3_build

%install
%python3_install
%python3_prune
rm -rfv %buildroot%python_sitelibdir/conans/test_integration/

%check
%python3_test

%files
%_bindir/%{name}*
%python3_sitelibdir/%{name}*
%doc README.rst LICENSE.md

%changelog
