Name: cpan2rpm
Version: 2.028
Release: alt5

Summary: cpan2rpm - A Perl module packager

Packager: Vitaly Lipatov <lav@altlinux.ru>

License: GPL
Group: Development/Other
Url: http://perl.arix.com/cpan2rpm/

BuildArch: noarch
Source: %name-%version.tar.bz2
Patch: %name-%version-alt.patch
Patch1: cpan2rpm-2.028-untar.patch
Patch2: cpan2rpm-2.028-alt-viy-perl-version-check.patch
Patch3: cpan2rpm-2.028-alt-viy-fix-for-named-sourcedir.patch
# included in patch3
Patch4: cpan2rpm-2.028-alt-viy-perl526.patch

Requires: perl-Compress-Zlib perl-URI perl-devel perl-libwww sisyphus
# Automatically added by buildreq on Sun Feb 27 2005
BuildRequires: perl-Compress-Zlib perl-URI perl-devel perl-libwww perl(Pod/PlainText.pm)
BuildRequires: perl-podlators

%description
This script generates an RPM package from a Perl module.  It uses the
standard RPM file structure and creates a spec file, a source RPM,
and a binary, leaving these in their respective directories.

The script can operate on local files, directories, urls and CPAN
module names.  Install this package if you want to create RPMs out of
Perl modules.

The syntax for cpan2rpm supports multiple *distribution* names, which
can take one of four different forms:

1. a CPAN module name (e.g. XML::Simple) - When a module name is passed,
   the script will "walk" search.cpan.org to determine the latest distribution.
   If an exact match is not found, the CPAN module is used to make
   this determination.  If you have not yet configured this module,
   please refer to the REQUIREMENTS section below for further instructions.

2. a URL (both http:// and ftp:// style locators will work) - 
   In this and the above case, an automatic download of the needed tarball
   is performed (see notes for how).  The tarball is deposited in the SOURCES
   directory.

3. a path to a tarball (e.g. /tmp/XML-Simple-1.05.tar.gz) - 
   In this case, the tarball indicated gets copied to the SOURCES directory.

4. a directory path - The directory specified must contain a Makefile.PL.
   If the user intends to build a package from a directory
   (i.e. user does NOT specify --spec-only), the commands:

    perl Makefile.PL
    make
    make dist

will be performed in that directory in order to create the tarball
necessary for package creation.

%prep
%setup -q
%patch -b .orig -p2
%patch1 -p2
%patch2 -p2
%patch3 -p0
#patch4 -p1
sed -i "s|.*system.*||g" Makefile.PL
sed -i 's/Pod::Text/Pod::PlainText/' cpan2rpm

%build
# Do not build spec, it is unneeded and requests download action
echo Skipping >cpan2rpm.spec.PL
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%_bindir/*
%_man1dir/*
%doc README Changes

%changelog
