%global _unpackaged_files_terminate_build 1
%{?optflags_lto:%global optflags_lto %optflags_lto -ffat-lto-objects}
%define git_commit 73f759f4a39769f60990e7d225f561b4f4f06bcf
%define __nprocs 8
%def_disable embedded_yajl

Summary: OCI runtime written in C
Name: crun
Version: 1.8.7
Release: alt1
Group: Development/Other
License: GPLv2+
Url: https://github.com/containers/crun

Source0: %name-%version.tar
# git submodules
Source11: libocispec.tar
Source12: image-spec.tar
Source13: runtime-spec.tar
Source14: yajl.tar

BuildRequires: libcap-devel
BuildRequires: libsystemd-devel
BuildRequires: libseccomp-devel
%{?_disable_embedded_yajl:BuildRequires: libyajl-devel}
%ifarch aarch64 ppc64le x86_64
BuildRequires: libcriu-devel >= 3.13
%endif
BuildRequires: gperf
BuildRequires: go-md2man
BuildRequires: python3 python3-devel
BuildRequires: cmake
Provides: oci-runtime = 2

%description
crun is a runtime for running OCI containers.

%package -n lib%name
Summary: C library for crun
Group: System/Libraries

%description -n lib%name
C library for crun.

%package -n python3-module-crun
Summary: Python bindings for crun
Group: Development/Python3

%description -n python3-module-crun
Python bindings for crun.

%prep
%setup
tar -xf %SOURCE11 -C libocispec
tar -xf %SOURCE12 -C libocispec/image-spec
tar -xf %SOURCE13 -C libocispec/runtime-spec
tar -xf %SOURCE14 -C libocispec/yajl
echo "%version" > .tarball-version
printf "/* autogenerated.  */\n#ifndef GIT_VERSION\n# define GIT_VERSION \"%%s\"\n#endif\n" %git_commit > git-version.h

%build
%autoreconf
%configure \
	--disable-silent-rules \
	--with-python-bindings \
	%{?_enable_embedded_yajl:--enable-embedded-yajl=yes} \
	--enable-shared
%make_build

%install
%makeinstall_std
rm -f %buildroot%_libdir/lib%name.{a,la,so}
rm -f %buildroot%python3_sitelibdir/*.{a,la}

%files
%doc COPYING README.md
%_bindir/%name
%_man1dir/*

%files -n lib%name
%_libdir/lib%name.so.*

%files -n python3-module-crun
%python3_sitelibdir/python_%name.so

%changelog
