Summary: Twm based window manager for the X Window System
Summary(ru_RU): Основанный на twm оконный менеджер для X Window System
Name: ctwm
Version: 4.0.3
Epoch: 1
Release: alt2

Source: %name-%version.tar.xz
Url: http://ctwm.free.lp.se
Packager: Fr. Br. George <george@altlinux.ru>

#Source1: http://slhp1.epfl.ch/public/ctwm/ctwm-images.tar.gz
Source1: startctwm
Source2: %name.wmsession
Source3: %name.icon64x64.xpm
Source4: %name.desktop
#Source4: ctwm-3.7-Imakefile.local-additional

Patch: ctwm-3.8.2-GetFont.patch
License: BSD
Group: Graphical desktop/Other

# Automatically added by buildreq on Mon May 29 2017
# optimized out: asciidoc cmake-modules dblatex docbook-dtds docbook-style-xsl libICE-devel libSM-devel libX11-devel libXau-devel libXt-devel libgpg-error python-base python-modules python-modules-compiler python-modules-email python-modules-encodings python-modules-xml xml-common xml-utils xorg-kbproto-devel xorg-xextproto-devel xorg-xproto-devel xsltproc xz
BuildRequires: asciidoc-a2x cmake flex libXext-devel libXmu-devel libXpm-devel libjpeg-devel time

%description
Ctwm is a window manager for the X Window System.  It provides
titlebars, shaped windows, virtual screens (workspaces), several forms
of icon management, user-defined macro functions, click-to-type and
pointer-driven keyboard focus, and user-specified key and pointer
button bindings.  It is actually twm (Tab Window Manager) from the MIT
X11 distribution slightly modified to accommodate the use of several
virtual screens (workspaces). It is heavily inspired from the
Hewlett-Packard vuewm window manager.  In addition, ctwm can use
coloured, shaped icons and background root pixmaps in XPM format [from
Arnaud Le Hors], any format understood by the imconv package [from the
San Diego Supercomputer Center] and xwd files.  Ctwm can be compiled
to use both, either or none of the above icon/pixmap formats.

%description -l ru-RU
Ctwm -- оконный менеждер для X Windows System, основанный на одном из
старейших  оконных менеджеров для X11 -- twm (Tab Window Manager) из
дистрибутива Mit X11. Под влиянием vuewm от Hewlett-Packard в ctwm
добавлена поддержка "трёхмерных" заголовков, рамоки меню, виртуальные
экраны и многое другое. Ctwm поддерживает макросы в настройках,
разнообразные стили перемещения фокуса, заливку фона и т. д., а также
имеет несколько уникальных функций, например movepush, когда окно,
перемещаемое по экрану, расталкивает прочие окна в стороны.

%prep
%setup
#patch -p1
sed -ri 's/(#define[[:space:]]+MAX_BUTTONS[[:space:]]+).*/\1 24/' ctwm.h
ln -s build BUILD
%cmake \
	-DETCDIR=%_sysconfdir/X11/ctwm \
	-DDOCDIR=%_defaultdocdir/%name-%version \
	-DEXAMPLEDIR=%_defaultdocdir/%name-%version

# -DDO_CLIENT=ON

%build
%cmake_build
#xmkmf
#make_build CDEBUGFLAGS="-g -Og"

%install
%cmakeinstall_std
install -pD -m644 %SOURCE4 %buildroot%_datadir/xsessions/%name.desktop
install -pD -m644 %SOURCE3 %buildroot/%_iconsdir/hicolor/64x64/apps/%name.xpm
install -pD -m644 %SOURCE2 %buildroot/%_sysconfdir/X11/wmsession.d/07%name
install -pD -m644 system.ctwmrc %buildroot/%_sysconfdir/X11/%name/system.ctwmrc
install -Dm 755 %SOURCE1 %buildroot/%_bindir/startctwm

%files
%doc %_defaultdocdir/%name-%version
%_iconsdir/hicolor/64x64/apps/*
%_bindir/*
%_mandir/man1/*
%config(noreplace) %_sysconfdir/X11/%name/system.ctwmrc
%_sysconfdir/X11/wmsession.d/*
%_datadir/%name/
%_datadir/xsessions/%name.desktop

%changelog
