Name: dar
Version: 2.7.0
Release: alt1

Summary: DAR - Disk ARchive tool

License: LGPL
Group: File tools
Url: http://dar.linux.free.fr/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://prdownloads.sf.net/%name/%name-%version.tar

Requires: lib%name = %EVR

# manually removed: glibc-devel-static libgnustep-corebase-devel libgtk+3-devel libpolkit-devel libstdc++-devel-static man python-module-google python-module-mwlib python3-dev python3-module-yieldfrom python3-module-zope ruby ruby-stdlibs selinux-policy zlib-devel-static
# Automatically added by buildreq on Tue Jan 03 2017
# optimized out: glib2-devel glibc-devel-static gnustep-base-devel groff-base libgpg-error libgpg-error-devel libstdc++-devel perl python-base python-modules python3 python3-base xz zlib-devel
BuildRequires: bzlib-devel doxygen gcc-c++ libattr-devel libcap-devel libe2fs-devel libgcrypt-devel libgpgme-devel liblzma-devel liblzo2-devel zlib-devel libcurl-devel librsync-devel

BuildRequires: perl-devel groff-base man

%description
dar is a shell command, that makes backup of a directory tree and files.
It has been tested under Linux, Windows (95, 2000, NT, XP), Solaris 8,
FreeBSD and NetBSD, it has been reported as working under Mac OS X 10.3.

%package -n lib%name
Summary: Library for %name
Group: Development/C

%description -n lib%name
This package contains library for %name.

%package -n lib%name-devel
Summary: Devel files for lib%name
Group: Development/C
Requires: lib%name = %EVR

%description -n lib%name-devel
This package contains header files for %name.

%package doc
Summary: Documentation files for %name
Group: File tools
BuildArch: noarch

%description doc
This package contains documentation files for %name.

%prep
%setup
%__subst "s@\(O_WRONLY|O_CREAT|O_TRUNC|O_BINARY\)@\1, 0666@" src/testing/test_generic_file.cpp
# for autopoint
%__subst "s|AM_GNU_GETTEXT_VERSION|AM_GNU_GETTEXT_VERSION(0.18.2)|g" configure.ac

cat >>src/libdar/Makefile.am <<EOF
libdar64_la_LIBADD = -lcurl -lgpgme
libdar32_la_LIBADD = -lcurl -lgpgme
libdar_la_LIBADD = -lcurl -lgpgme
EOF

%autoreconf

%build
#autoreconf #for disable rpath
%configure --disable-static --disable-upx \
%ifarch x86_64
           --enable-mode=64 \
%endif
           --disable-rpath \
           --enable-curl-linking --enable-gpgme-linking
sed -ri 's/^(hardcode_libdir_flag_spec|runpath_var)=.*/\1=/' libtool
%make_build

%install
%makeinstall_std pkgdatadir=%_docdir/%name-%version
%find_lang %name

%files -f %name.lang
%config(noreplace) %_sysconfdir/darrc
%_bindir/*
%_man1dir/*

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%_pkgconfigdir/*.pc

%files doc
%_docdir/%name-%version/

#%files -n lib%name-devel-static
#%_libdir/*.a

%changelog
