Name: dav1d
Version: 0.9.2
Release: alt1

Summary: AV1 cross-platform Decoder
License: BSD
Group: Video

Url: https://code.videolan.org/videolan/dav1d
# Source-url: https://github.com/videolan/dav1d/archive/%version.tar.gz
Source: %name-%version.tar
Packager: Vitaly Lipatov <lav@altlinux.ru>

BuildRequires: gcc
BuildRequires: nasm
BuildRequires: doxygen
BuildRequires: meson >= 0.47.0

%description
dav1d is a new AV1 cross-platform Decoder, open-source, and focused on speed
and correctness.

%package -n libdav1d
Group: Video
Summary: Library files for dav1d

%description -n libdav1d
Library files for dav1d, the AV1 cross-platform Decoder.

%package -n libdav1d-devel
Group: Video
Summary: Development files for dav1d
Requires: libdav1d = %EVR

%description -n libdav1d-devel
Development files for dav1d, the AV1 cross-platform Decoder.

%prep
%setup

%build
%meson

%meson_build
#meson_build doc/html

%install
%meson_install

%check
%meson_test

%files
%doc COPYING doc/PATENTS
%doc CONTRIBUTING.md NEWS README.md
%_bindir/dav1d

%files -n libdav1d
%doc COPYING doc/PATENTS
%_libdir/libdav1d.so.*

%files -n libdav1d-devel
#doc %_target_platform/doc/html
%_includedir/%name
%_libdir/libdav1d.so
%_pkgconfigdir/%name.pc

%changelog
