%define _enable_debug_packages %nil
%define debug_package %nil
%define java_version java

%ifarch %ix86
%define davarch x86
%endif
%ifarch x86_64
%define davarch x86_64
%endif

Name:     davmail
Version:  6.1.0
Release:  alt1
Summary:  POP/IMAP/SMTP/Caldav/Carddav/LDAP gateway for Microsoft Exchange
URL:      http://davmail.sourceforge.net/
Group:    Networking/Other
License:  GPL-2.0+

ExclusiveArch: x86_64

Source0:  %name-%version.tar
Source1:  %name.desktop

Patch1: davmail-alt-disable-jrefx.patch

Requires: %java_version
Requires: javapackages-tools

Provides: davmail6 = %EVR
Obsoletes: davmail6 < %EVR

BuildRequires: %{java_version}-devel /proc
BuildRequires: ant
BuildRequires: desktop-file-utils 
BuildRequires: xml-commons-apis
#BuildRequires: openjfx-devel

%description
DavMail is a POP/IMAP/SMTP/Caldav/Carddav/LDAP Exchange gateway allowing
users to use any mail/calendar client with an Exchange server, even from
the internet or behind a firewall through Outlook Web Access. DavMail
now includes an LDAP gateway to Exchange global address book and user
personal contacts to allow recipient address completion in mail compose
window and full calendar support with attendees free/busy display.

%prep
%setup
%patch1 -p1

%build
sed -i '/class-path/I d' build.xml
ANT_OPTS="-Dfile.encoding=UTF-8" ant

%install
install -p -Dm755 src/bin/%name %buildroot%_bindir/%name
install -p -Dm644 %SOURCE1 %buildroot%_desktopdir/%name.desktop
install -p -Dm644 src/java/tray2.png %buildroot%_datadir/icons/hicolor/16x16/apps/%name.png
install -p -Dm644 src/java/tray32.png %buildroot%_datadir/icons/hicolor/32x32/apps/%name.png
install -p -Dm644 src/java/tray48.png %buildroot%_datadir/icons/hicolor/48x48/apps/%name.png

rm -f dist/lib/*win32*.jar
mkdir -p %buildroot%_datadir/%name/lib/
install -p -m664 dist/lib/*.jar %buildroot%_datadir/%name/lib/
rm -f dist/lib/*x86*.jar
install -p -m664 dist/lib/* %buildroot%_datadir/%name/lib/
install -p -m664 dist/*.jar %buildroot%_datadir/%name/
install -p -Dm644 src/etc/%name.properties %buildroot%_sysconfdir/%name/%name.properties

sed -i 's/\r//' releaseguide.txt

%files
%doc releaseguide.txt
%_sysconfdir/%name/
%_bindir/%name
%_datadir/%name/
%_desktopdir/%name.desktop
%_iconsdir/hicolor/*/apps/%name.png

%changelog
