Name: dbh
Version: 5.0.22
Release: alt1

Summary: Disk based hash library
License: GPL
Group: Databases
Packager: Ilya Mashkin <oddity@altlinux.ru>
Url: http://dbh.sourceforge.net

Source: libdbh2-%version.tar.gz
Patch0: %name-5.0.13-bigendian.patch

# Automatically added by buildreq on Tue Nov 07 2006
BuildRequires: gcc-c++ glib2-devel gtk-doc

%description
Disk based hashes is a method to create multidimensional binary trees on disk.
This library permits the extension of database concept to a plethora of
electronic data, such as graphic information. With the multidimensional binary
tree it is possible to mathematically prove that access time to any
particular record is minimized (using the concept of critical points from
calculus), which provides the means to construct optimized databases for
particular applications.

%package -n lib%name
Summary: dbh shared library
Group: System/Libraries

%description -n lib%name
This package contains shared library required for packaging
libdbh-based software.

%package -n lib%name-devel
Summary: Development files for libdbh
Group: Development/C
#PreReq: lib%name = %version-%release

%description -n lib%name-devel
This package contains development files required for packaging
libdbh-based software.

%prep
%setup -n lib%{name}2-%version
%patch0 -p1 -b .bigendian

%build
autoreconf -vifs
export LDFLAGS="$LDFLAGS -lm"
%configure \
	--enable-debug=no \
	--disable-rpath

%make_build

%install

#mv %buildroot%_pkgconfigdir/%{name}2.pc %buildroot%_pkgconfigdir/%name-2.0.pc
#makeinstall
%makeinstall_std
mv $RPM_BUILD_ROOT/usr/share/gtk-doc .
rm -rf $RPM_BUILD_ROOT/usr/share/dbh

%files -n lib%name
%doc AUTHORS COPYING ChangeLog README
%_libdir/*.so.*

%files -n lib%name-devel
%doc examples/*.c examples/Makefile* doc/html gtk-doc
%_libdir/lib*.so
%_libdir/pkgconfig/*
%_includedir/*
#%_mandir/man1/dbh*
%_man3dir/dbh*

%changelog
