Name: ddd
Version: 3.3.12
Release: alt4

Summary: Graphical debugger front-end for GDB, DBX, Ladebug, JDB, Perl, Python
License: GPL
Group: Development/Other

Url: http://www.gnu.org/software/%name/
Packager: Ilya Mashkin <oddity@altlinux.ru>
# ftp://alpha.gnu.org/gnu/%name/
Source: ftp://ftp.gnu.org/gnu/%name/%name-%version.tar.gz
Source3: http://www.cs.tu-bs.de/softech/ddd/ftp/doc/vse.ps.bz2

Patch1: ddd-3.3.8-alt-texinfo.patch
Patch2: ddd-texinfo-5.0.patch
Patch3: ddd-buildcompare.patch
Patch4: ddd-wrong-memcpy.patch
Patch5: ddd-3.3.12-alt-e2k-lcc.patch
Patch6: ddd-3.3.12-make_gcc_happy.patch

Requires: gdb
Obsoletes: ddd-static, ddd-semistatic, ddd-dynamic

# Added by buildreq2 on Чтв Окт 05 2006
BuildRequires: flex gcc-c++ libX11-devel libXext-devel libXi-devel libXaw-devel libXp-devel libreadline-devel libtinfo-devel openmotif-devel

BuildRequires: makeinfo

%package doc-html
Summary: HTML documentation for %name
Group: Development/Other
Requires: %name = %version-%release

%package doc-ps
Summary: PostScript documentation for %name
Group: Development/Other
Requires: %name = %version-%release

%description
DDD is a graphical front-end for command-line debuggers such as GDB,
DBX, WDB, Ladebug, JDB, XDB, the Perl debugger, or the Python debugger.
Besides "usual" front-end features such as viewing source texts, DDD has
become famous through its interactive graphical data display, where data
structures are displayed as graphs.

%description doc-html
DDD is a graphical front-end for command-line debuggers such as GDB,
DBX, WDB, Ladebug, JDB, XDB, the Perl debugger, or the Python debugger.
Besides "usual" front-end features such as viewing source texts, DDD has
become famous through its interactive graphical data display, where data
structures are displayed as graphs.

This packages contains HTML documentation for DDD.

%description doc-ps
DDD is a graphical front-end for command-line debuggers such as GDB,
DBX, WDB, Ladebug, JDB, XDB, the Perl debugger, or the Python debugger.
Besides "usual" front-end features such as viewing source texts, DDD has
become famous through its interactive graphical data display, where data
structures are displayed as graphs.

This packages contains PostScript documentation for DDD.

%prep
%setup
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p0

install -pm644 %SOURCE3 doc/
rm -f doc/html/%name.html ddd/*.info*
touch ddd/ddd.info.txt
find -type f -name \*.orig -print -delete

%build
%set_automake_version 1.10
#set_autoconf_version 2.5

# Fix build via precaching configure variables.
export \
	ac_cv_func_alloca=yes \
	ac_cv_lib_dnet=no \
	ac_cv_lib_dnet_dnet_ntoa=no \
	ac_cv_lib_dnet_stub_dnet_ntoa=no \
	ac_cv_header_elf_h=no \
	ac_cv_header_libelf_h=no \
	ac_cv_header_sys_elf_h=no \
	ac_cv_lib_elf_elf_version=no \
	ice_cv_external_templates=no \
	ice_cv_have_named_return_values=no \
	ac_cv_path_RSH=ssh \
	ac_cv_prog_DEBUGGER=gdb \
	ac_cv_prog_LPR=lpr \
	ac_cv_prog_XTERM=xvt \
	#

# Fix tinfo support.
find -type f -name configure -print0 |
	xargs -r0 subst -p 's/mytinfo/tinfo/g' configure*

%add_optflags -DWITH_READLINE
%configure --with-readline

rm -rf readline libiberty

# Fix packager information.
cat >ddd/userinfo.C <<__EOF__
#include <stdio.h>
int main (void){ puts ("%packager"); return 0; }
__EOF__

%make_build LIBREADLINE=-lreadline
bzip2 -9fk doc/*.ps

%install
mkdir -p $RPM_BUILD_ROOT%_libdir
%makeinstall

rm -fv $RPM_BUILD_ROOT%_datadir/%name-%version/[A-Z]*
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/X11/app-defaults
mv $RPM_BUILD_ROOT%_datadir/%name-%version/%name/Ddd $RPM_BUILD_ROOT%_sysconfdir/X11/app-defaults
rmdir $RPM_BUILD_ROOT%_datadir/%name-%version/%name

%define docdir %_docdir/%name-%version
rm -rf $RPM_BUILD_ROOT%docdir
mkdir -p $RPM_BUILD_ROOT%docdir
cp -a AUTHORS NEWS PROBLEMS TIPS TODO doc/*.ps.* doc/html \
	$RPM_BUILD_ROOT%docdir/

# The manpage installed contains a reference to a logo .eps file in the
# build directory which isn't even created; remove this reference to
# eliminate man warnings.
sed -i -e '/^\.PSPIC/d' %buildroot/%_man1dir/ddd.1

%files
%config %_sysconfdir/X11/app-defaults/*
%_bindir/*
%_datadir/%name-%version
%_mandir/man?/*
%_infodir/*.info*
%_desktopdir/%name.desktop
%dir %docdir
%docdir/[A-Z]*

%files doc-ps
%dir %docdir
%docdir/*.ps.*

%files doc-html
%dir %docdir
%docdir/html

%changelog
