Name: distribute
Version: 0.4.1
Release: alt10

Summary: Distribute a collection of packages on multiple CDs (especially good for future use with APT)
Summary(ru_RU.UTF8): Программа для подготовки набора пакетов к распространению на компакт-дисках (и использования с APT)

Group: Development/Other
Url: http://git.altlinux.org/people/imz/packages/distribute
License: GPL

Source: %name-%version.tar
Source1: %name-disk-description.template
Patch: %name-%version.patch
Patch1: %name-php.patch

BuildArch: noarch

Requires: common-licenses

#for colorification utils:
Requires: termutils

%description
`%name' program makes doing the tasks related to creating a CD set for
distribution of a collection of packages easier. The tasks include:
laying out the CDs filesystem (splitting the large amount of packages into
several discs etc.), preparing the collection for use by APT
(indexing), creating ISO images and recording the discs.

Periodical updates to the initially distributed collection can be issued with
help of `%name'.

This utility will be useful to you, if you have a collection of
packages on one machine (probably a mirror or a development site), and
you want to bring them to your home computer (and install them
to/upgrade the system there), or if you want to give them to a friend,
or if you would like to distribute the collection of packages for some
other purpose.

Particularly, if you have an ALT-Sisyphus-based system at home,
and if you want to upgrade it to the current state of Sisyphus, you can
download them to another machine, use `%name' utility there to create a
CD set, come home and use APT to upgrade.

You don't need to be your system's administrator to use `%name': you
can extract the contents to your home directory and use it (by setting
apropriate P_ROOT). For distributing Sisyphus, have a look at
%_sysconfdir/%name/tasks/Sisyphus.

%description -l ru_RU.UTF8
Программа `%name' предназначена для упрощения создания компакт-дисков,
содержащих репозиторий пакетов, и позволяет следующее: разделение
пакетов на части по размеру компакт-дисков, создание индексов пакетов
для программы управления пакетами APT, создание образов компакт-дисков
и запись компакт-дисков.

Также с помощью `%name' можно создавать диски, содержащие только обновления
к первоначально сформированному набору пакетов.

Эта программа может быть полезна вам, если вы имеете набор пакетов на
одном компьютере и хотите перенести его на другой компьютер (и установить
их или обновить там систему), или если вы хотите их кому-то передать,
или собираетесь распространять набор пакетов с какими-то другими целями.

В частности, если у вас дома установлена система, периодически обновляемая
из ALTLinux Sisyphus, и вы хотите обновить её до текущего состояния
Сизифа, вы можете скачать пакеты на одном компьютере, затем использовать
программу `%name' для создания набора дисков, прийти домой и обновить
систему с помощью APT.

Вам не требуется быть системным администратором для использования
'%name': вы можете распаковать содержимое пакета в ваш домашний каталог и
использовать программу (установив переменную P_ROOT). Для распространения
Сизифа смотрите в файл %_sysconfdir/%name/tasks/Sisyphus.

%prep
%setup
%patch
%patch1

%build
cp %SOURCE1 usr/lib/distribute
find . -type f | xargs %__subst "s|/usr/lib|%_datadir|g"
mv usr/lib .%_datadir

%install
mkdir -p  %buildroot/
cp -a etc/ usr/ %buildroot/

%files
%doc I_am_not_the_admin Sisyphus example.ru ABOUT NEWS
%_bindir/%name
%dir %_sysconfdir/%name/
%dir %_sysconfdir/%name/tasks
%_datadir/%name/
%config(noreplace) %_sysconfdir/%name/tasks/Sisyphus

%changelog
