Name: docx2txt
Version: 1.4
Release: alt1

Summary: Convert Docx documents to Text

License: GPLv3+
Group: Office
Url: http://docx2txt.sourceforge.net/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://prdownloads.sourceforge.net/%name/%name-%version.tar

BuildArch: noarch

BuildRequires: perl

Requires: unzip

# Sent upstream by email on 2013-09-25
Patch: docx2txt-1.2-Allow-specifying-the-root-of-the-installation.patch

# Not sent upstream, the changelogs from the scripts show that it was a
# desired change on their part.
Patch1: docx2txt-1.4-Fix-the-shebang-lines.patch

%description
Command line utility to convert Docx documents to equivalent Text documents.
It supports the following features during text extraction:

 * Character conversions (" ' < & > - ... fraction and some mathematical
   symbols etc.); currency characters are converted to respective names like
   Euro.
 * Capitalisation of text blocks.
 * Center and right justification of text fitting in a line of (configurable)
   80 columns.
 * Horizontal ruler, line breaks, paragraphs separation, tabs.
 * Indicating hyperlinked text along with the hyperlink. (configurable)
 * Naive nested list formatting - assumed 8 level nesting, however you can
   handle even deeper nesting by commenting/uncommenting appropriate lines in
   Perl script.

%prep
%setup

%patch0 -p1
#patch1 -p1

%build
# Nothing to build

%install
%makeinstall_std BINDIR=%_bindir

# Fix permissions
chmod 0644 %buildroot%_sysconfdir/%name.config

%files
%doc AUTHORS ChangeLog COPYING README
%_bindir/%{name}*
%config(noreplace) %_sysconfdir/%name.config

%changelog
