Name: doxypy
Version: 0.4.2
Release: alt2

Summary: doxypy is an input filter for Doxygen
License: GPLv2
Group: Development/Python3
Url: https://pypi.python.org/pypi/doxypy/
BuildArch: noarch

# https://github.com/0xCAFEBABE/doxypy.git
Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-pytest python-tools-2to3


%description
doxypy is an input filter for Doxygen. It reformats python comments to
conform to doxygen documentation blocks. This makes it possible to use
the Doxygen/Javadoc syntax inside of docstrings when writing code
documentation and automatically generate API documentation out of it
instead of being forced to use non-python documentation blocks or to
document code redundantly.

%prep
%setup

find -type f -name '*.py' -exec 2to3 -w -n '{}' +

%build
pushd src
%python3_build_debug
popd

%install
pushd src
%python3_install
popd

%check
py.test3 test/src/test.py

%files
%doc README doc/*
%_bindir/*
%python3_sitelibdir/*


%changelog
