Name: dropbear
Summary: Relatively small SSH 2 server
Version: 2017.75
Release: alt2
License: MIT-style
Group: System/Servers
Url: http://matt.ucc.asn.au/dropbear/dropbear.html

Patch: dropbear-2013.62-authkey_fp.patch

Source: %name-%version.tar.bz2

# Automatically added by buildreq on Wed Sep 14 2011
BuildRequires: libtomcrypt-devel libtommath-devel zlib-devel

%description
Dropbear is a relatively small SSH 2 server.

WARNING: PAM and %_sysconfdir/shadow are not supported by ths package.
You should use %_sysconfdir/passwd file or pubkey authentication.

%package scp
Summary: SCP support for dropbear SSH
Group: %group

Conflicts: openssh-common

%description scp
SCP support for dropbear SSH

%package client
Summary: Relatively small SSH 2 client
Group: %group
%description client
Relatively small SSH 2 client

%package doc
Summary: Manpages and other documentation for dropbear SSH
BuildArch: noarch
Group: %group
%description doc
Manpages and other documentation for dropbear SSH.

# TODO: Use static versons for embedding and leave documentation where it belongs

%prep
%setup
%patch -p2

%build
export LIBS=-lcrypt CFLAGS="-I/usr/include/tomcrypt -I/usr/include/tommath"
%configure --disable-shadow --disable-lastlog
%make_build PROGRAMS="dropbear dbclient dropbearkey dropbearconvert scp"

%install
%makeinstall
install -D -m 0755 scp %buildroot%_bindir/scp
install -D dbclient.1 %buildroot%_man1dir/dbclient.1
install -D dropbear.8 %buildroot%_man8dir/dropbear.8
install -D dropbearkey.1 %buildroot%_man1dir/dropbearkey.1
install -D dropbearconvert.1 %buildroot%_man1dir/dropbearconvert.1

%files
%_bindir/dropbearconvert
%_bindir/dropbearkey
%_sbindir/dropbear

%files doc
%doc [A-Z][A-Z]*
%_mandir/*/*

%files client
%_bindir/dbclient

%files scp
%_bindir/scp

%changelog
