Name: dvblast
Version: 3.4
Release: alt2

Summary: Video/Audio streaming application based on the linux-dvb API
License: GPLv2+
Group: Video
Url: http://www.videolan.org/projects/dvblast.html
Packager: Alexei Takaseev <taf@altlinux.ru>

Source: %name-%version.tar
Patch0: %name-%version-%release.patch

BuildRequires: bitstream-headers libev-devel

%description 
DVBlast is a simple and powerful streaming application based on the
linux-dvb API. It opens a DVB device, tunes it, places PID filters,
configures a CAM module, and demultiplexes the packets to several RTP
outputs.

DVBlast is designed to be the core of a custom IRD or CID, based on
a PC with Linux-supported DVB cards.

DVBlast does not do any kind of processing on the elementary streams,
such as transcoding, PID remapping or remultiplexing. It does not
stream from plain files, only DVB devices. If you were looking for
these features, switch to VLC.

%prep
%setup
%patch0 -p1

%build
%make

%install
mkdir -p %buildroot%_bindir
install -pm755 dvblast %buildroot%_bindir/dvblast
install -pm755 dvblastctl %buildroot%_bindir/dvblastctl
install -pm755 dvblast_mmi.sh %buildroot%_bindir/dvblast_mmi.sh
install -pm0644 -D dvblast.1 %buildroot%_man1dir/dvblast.1

%files
%doc COPYING README INSTALL TODO AUTHORS NEWS
%_bindir/*
%_man1dir/dvblast.1*

%changelog
