%set_verify_elf_method stack=strict
%def_enable snapshot
%define video_format PAL
# imagemagick or graphicsmagick
%define magick graphicsmagick

Name: dvdauthor
Version: 0.7.2
Release: alt4

Summary: set of tools to author a DVD
Group: Video
License: GPLv2
Url: http://sourceforge.net/projects/dvdauthor/

%if_disabled snapshot
Source: http://downloads.sourceforge.net/%name/%name-%version.tar.gz
%else
#VCS: https://github.com/ldo/dvdauthor.git
Source: %name-%version.tar
%endif

Provides: /etc/%name.conf

%if %magick == "imagemagick"
BuildRequires: libImageMagick-devel
%else %if %magick == "graphicsmagick"
BuildRequires: libGraphicsMagick-devel
%endif

BuildRequires: bison flex
BuildRequires: libdvdread-devel libfreetype-devel
BuildRequires: fontconfig-devel libpng-devel libxml2-devel libfribidi-devel
BuildRequires: docbook-utils

%description
dvdauthor is a program that will generate a DVD movie from a valid
mpeg2 stream that should play when you put it in a DVD player.

%prep
%setup -n %name%{?_enable_snapshot:-%version}

%build
%add_optflags -Wl,-z,noexecstack
./bootstrap
%autoreconf
%configure --enable-default-video-format=%video_format \
       --with-%magick
%make_build

%install
%makeinstall_std

mkdir -p %buildroot%_sysconfdir
touch %buildroot%_sysconfdir/%name.conf

%files
%_bindir/%name
%_bindir/dvddirdel
%_bindir/dvdunauthor
%_bindir/mpeg2desc
%_bindir/spumux
%_bindir/spuunmux
%_mandir/man?/*
%doc README TODO ChangeLog
%config(noreplace) %_sysconfdir/%name.conf
%_datadir/%name

%changelog
