Name: dvdisaster
Version: 0.79.6
Release: alt1

Summary: Additional error protection for CD/DVD media
License: GPL-3.0+
Group: File tools

URL: http://www.dvdisaster.com/
Source: http://deb.debian.org/debian/pool/main/d/dvdisaster/dvdisaster-%version.tar.bz2
Source1: dvdisaster.desktop
Patch: dvdisaster-0.72.3-alt-libpng15.patch

# Automatically added by buildreq on Tue Mar 08 2011
BuildRequires: bzlib-devel libgtk+2-devel libpng-devel

Requires: %name-help = %version
BuildRequires: desktop-file-utils

%description
dvdisaster provides a margin of safety against data loss on CD and DVD media
caused by aging or scratches. It creates error correction data, which is used
to recover unreadable sectors if the disc becomes damaged at a later time.

%package help
Summary: Help files for %name
Group: File tools
BuildArch: noarch

%description help
Help files for %name.

%prep
%setup
#%patch -p2

subst 's/\@\$/\$/' GNUmakefile.template
subst 's/-O2/%optflags/' configure

subst 's~glib/gstrfuncs.h~glib.h~' memtrack.c dvdisaster.h

%build
export CFLAGS="$CFLAGS -fcommon"
./configure --prefix=/usr --with-embedded-src-path=no --docdir=%_docdir --with-nls=yes
# parallel builds fail randomly (sometimes), therefore:
NPROCS=1
%make_build

%install
%make_install install \
	BUILDROOT=%buildroot LOCALEDIR=%_prefix/share/locale MANDIR=%_mandir

rm -f %buildroot%_bindir/dvdisaster-uninstall.sh
install -pD -m644 contrib/dvdisaster16.png %buildroot%_miconsdir/dvdisaster.png
install -pD -m644 contrib/dvdisaster32.png %buildroot%_niconsdir/dvdisaster.png
install -pD -m644 contrib/dvdisaster48.png %buildroot%_liconsdir/dvdisaster.png
install -pD -m644 contrib/dvdisaster48.png %buildroot%_pixmapsdir/dvdisaster.png
install -pD -m644 %SOURCE1 %buildroot%_desktopdir/dvdisaster.desktop

%find_lang %name
desktop-file-install --dir %buildroot%_desktopdir \
	--remove-category=System \
	--remove-category=Utility \
	--remove-category=Archiving \
	--add-category=AudioVideo \
	--add-category=DiscBurning \
	%buildroot%_desktopdir/dvdisaster.desktop

%files -f %name.lang
%_bindir/dvdisaster
%_pixmapsdir/*
%_miconsdir/*
%_niconsdir/*
%_liconsdir/*
%_desktopdir/*
%_man1dir/*
%lang(de) %_mandir/de/man1/*
#%lang(it) %_mandir/it/man1/*
#%lang(cs) %_mandir/cs/man1/*

%files help
# Do not remove docs below - documentation accessed from GUI!
#%doc documentation/en documentation/images
# file COPYING accessed from Help->License menu item in GUI, so we package it
#%doc COPYING
%_defaultdocdir/dvdisaster-%version

%changelog
