%define _unpackaged_files_terminate_build 1
Name: eepm
Version: 3.57.6
Release: alt1

Summary: Etersoft EPM package manager

License: AGPL-3.0+
Group: System/Configuration/Packaging
Url: http://wiki.etersoft.ru/EPM

Packager: Vitaly Lipatov <lav@altlinux.ru>

# Source-url: https://github.com/Etersoft/eepm/archive/refs/tags/%version.tar.gz
Source: %name-%version.tar

BuildArchitectures: noarch

%if "%_vendor" == "alt"
Obsoletes: epm
Provides: epm = %EVR

# FIXHERE: Replace with target platform package manager
Requires: apt rpm apt-scripts update-kernel
# TODO: don't use at all
Requires: apt-repo

%endif

AutoProv:no
AutoReq:no

# TODO: drop gzip (used in some pack.d/repack.d/play.d)
Requires: coreutils diffutils findutils file gawk grep gzip less sed bash termutils

%description
Etersoft EPM is the package manager for any platform
and any platform version. It provides
universal interface to any package manager.
Can be useful for system administrators working
with various distros.

See detailed description here: http://wiki.etersoft.ru/EPM

%package repack
Summary: Etersoft EPM package manager (repack requirements)
Group: System/Configuration/Packaging
Requires: %name = %EVR
Requires: alien dpkg patchelf p7zip
Requires: /usr/bin/rpmbuild

%description repack
This package has requirements needed for using epm repack on ALT
(repack rpm packages and repack/install deb packages).

See https://bugzilla.altlinux.org/show_bug.cgi?id=34308 for
a discussion about extra requirements.

%prep
%setup

%install
%make_install install DESTDIR=%buildroot \
	datadir=%_datadir bindir=%_bindir mandir=%_mandir \
	sysconfdir=%_sysconfdir version=%version-%release

%files
%doc README.md TODO LICENSE
%dir %_sysconfdir/eepm/
%dir %_sysconfdir/eepm/play.d/
%dir %_sysconfdir/eepm/pack.d/
%dir %_sysconfdir/eepm/repack.d/
%dir %_sysconfdir/eepm/prescription.d/
%config(noreplace) %_sysconfdir/eepm/eepm.conf
%config(noreplace) %_sysconfdir/eepm/serv.conf
%config(noreplace) %_sysconfdir/eepm/*.list
%config(noreplace) %_sysconfdir/eepm/repack.d/*
%config(noreplace) %_sysconfdir/eepm/pack.d/*
%config(noreplace) %_sysconfdir/eepm/play.d/*
%config(noreplace) %_sysconfdir/eepm/prescription.d/*
%_bindir/epm*
%_bindir/eepm
%_bindir/serv
%_bindir/distr_info
%_bindir/esu
%dir /var/lib/eepm/
%dir /var/cache/eepm/
%_man1dir/*
%_datadir/%name/
%_sysconfdir/bash_completion.d/serv
%_sysconfdir/bash_completion.d/eepm

%if "%_vendor" == "alt"
%files repack
%endif


%changelog
