
Name: eigen2
Version: 2.0.17
Release: alt3

Group: Development/C++
Summary: Lightweight C++ template library for vector and matrix math, a.k.a. linear algebra
License: LGPL
Url: http://eigen.tuxfamily.org/
BuildArch: noarch

Provides: %name-devel = %version-%release

Source: eigen-%version.tar
Patch1: eigen_ftbfs.patch

# Automatically added by buildreq on Thu Apr 13 2017 (-bi)
# optimized out: cmake-modules fontconfig ghostscript-classic libgpg-error libstdc++-devel pkg-config python-base python-modules python3 python3-base rpm-build-python3 ruby tex-common texlive-base texlive-base-bin texlive-common texlive-generic-recommended texlive-latex-base
#BuildRequires: cmake doxygen gcc-c++ ghostscript-common python-module-google python3-dev ruby-stdlibs
BuildRequires: cmake doxygen gcc-c++ ghostscript-common

%description
Eigen is a lightweight C++ template library for vector and matrix math, a.k.a.
linear algebra.

%prep
%setup -q -n eigen-%version
%patch1 -p1

%build
%add_optflags -DNDEBUG
%define lib_suffix %nil
%ifarch x86_64 ppc64
%define lib_suffix 64
%endif
mkdir -p %_target_platform
pushd %_target_platform
cmake .. \
    -DCMAKE_INSTALL_PREFIX=%prefix \
    -DCMAKE_BUILD_TYPE:STRING=Release \
    -DCMAKE_C_FLAGS_RELEASE:STRING='%optflags' \
    -DCMAKE_CXX_FLAGS_RELEASE:STRING='%optflags' \
    -DLIB_DESTINATION=%_lib \
    -DLIB_SUFFIX=%lib_suffix
popd
%make_build -C %_target_platform VERBOSE=1
%make_build -C %_target_platform/doc VERBOSE=1

%install
%make -C %_target_platform DESTDIR=%buildroot install

%files
%doc %_target_platform/doc/html
%_includedir/eigen2/
%_datadir/pkgconfig/%name.pc

%changelog
