# TODO: build from sources
Name: electron
Version: 6.0.12
Release: alt1.qa1

Summary: Build cross platform desktop apps with JavaScript, HTML, and CSS

License: MIT License
Url: https://electronjs.org/
Group: Development/Other

# Source-url: https://github.com/electron/electron/releases/download/v%version/electron-v%version-linux-x64.zip
Source: %name-%version.tar
# Source1-url: https://github.com/electron/electron/releases/download/v%version/electron-v%version-linux-ia32.zip
Source1: %name-%version-i586.tar
# Source2-url: https://github.com/electron/electron/releases/download/v%version/electron-v%version-linux-arm64.zip
Source2: %name-%version-aarch64.tar

Source10: patch_binary.sh

#ExclusiveArch: x86_64 i586 aarch64

%set_verify_elf_method skip
#add_findreq_skiplist %_libdir/%name/bin/code
AutoReq:yes,nonodejs,nonodejs_native,nomono,nopython,nomingw32,nomingw64,noshebang
AutoProv: no

BuildRequires: libgtk+3 libxkbfile libnss libnspr libXtst libalsa libcups libXScrnSaver libGConf
# bundled:
# library libnode.so not found
# library libffmpeg.so not found

%description
Build cross platform desktop apps with JavaScript, HTML, and CSS.

%prep
%setup
%ifarch i586
tar xfv %SOURCE1
%endif

%ifarch aarch64
tar xfv %SOURCE2
rm -rf swiftshader
%endif

# drop undefined symbols from binaries
#sh %SOURCE10 ./%name

%install
%ifnarch i586 x86_64 aarch64
exit 0
%endif

mkdir -p %buildroot%_libdir/%name/
cp -a * %buildroot%_libdir/%name/
mkdir -p %buildroot%_bindir/
ln -rs %buildroot%_libdir/%name/%name %buildroot/%_bindir/%name

cd %buildroot%_libdir/%name
strip \
%ifarch i586 x86_64
	swiftshader/libGLESv2.so \
	swiftshader/libEGL.so \
%endif
	libffmpeg.so \
	libGLESv2.so \
	libEGL.so \
	electron \
	chrome-sandbox \
	#

%files
%ifarch i586 x86_64 aarch64
%_bindir/%name
%_libdir/%name/
%endif

%changelog
