%def_disable static

Name: enca
Version: 1.19
Release: alt1

Summary: A program that guesses encoding of text files
License: GPL
Group: Text tools

Url: http://cihar.com/software/enca
Source: http://dl.cihar.com/enca/%name-%version.tar
Packager: Michael Shigorin <mike@altlinux.org>

Requires: lib%name = %version-%release

# Automatically added by buildreq on Fri Mar 04 2011
BuildRequires: gtk-doc librecode-devel perl-Encode perl-Unicode-Map

Summary(ru_RU.UTF-8): Программа, "угадывающая" кодировку текстовых файлов
Summary(uk_UA.UTF-8): Програма, що "вгадує" кодування текстових файлів

%description
Enca (Extremely Naive Charset Analyser) is a simple utility
guessing encoding of text files and optionally converting them
to some other encoding using either a built-in convertor, a
system conversion library or an external conversion program.

Currently, it has support for Belarussian, Czech, Polish,
Russian, Slovak, Ukrainian, Bulgarian, Croatian, Estonian,
Hungarian, Latvian, Lithuanian, Slovene and some multibyte
encodings (mostly variants of Unicode) independent on language.

Install Enca if you need to cope with text files of dubious
origin and unknown encoding and convert them to some reasonable
encoding.

%description -l ru_RU.UTF-8
Enca (Extremely Naive Charset Analyser) - простая утилита,
которая позволяет "угадывать" кодировку текстового файла и,
возможно, конвертировать его в другую известную.

Сейчас поддерживаются белорусский, чешский, польский, русский,
словацкий, украинский, болгарский, хорватский, эстонский,
венгерский, латвийский, литовский, словацкий языки и несколько
мультибайтных кодировок вне зависимости от языка.

%description -l uk_UA.UTF-8
Enca (Extremely Naive Charset Analyser) - проста утиліта,
що надає можливість "вгадувати" кодування тектового файлу
та, можливо, конвертувати його у інше відоме.

На цей час підтримуються білоруська, чеська, польська, російська,
словацька, українська, болгарська, хорватська, естонська,
угорська, латвійська, литовська, словацька мови та декілька
мультибайтових кодувань незалежно від мови.

%package -n lib%name
Summary: Shared Enca library
Group: System/Libraries

%description -n lib%name
This package contains shared Enca library which other programs
may use.

%package -n lib%name-devel
Summary: Header files and libraries for Enca development
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package contains the development library and header files
for writing programs using the Extremely Naive Charset Analyser
library, and its API documentation.

Install this package if you are going to create applications
using the Enca library.

%if_enabled static
%package -n lib%name-devel-static
Summary: Static libraries for Enca development
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
This package contains the static library for building statically
linked programs using the Extremely Naive Charset Analyser library.
%endif

%prep
%setup

%build
%autoreconf
%configure %{subst_enable static}
%make_build

%install
%makeinstall HTML_DIR=%buildroot%_docdir/%name-%version/html

%files
%_bindir/enca
%_bindir/enconv
%_libexecdir/%name/
%doc %_man1dir/*
%doc AUTHORS COPYING ChangeLog ChangeLog.prelib NEWS README.md THANKS TODO

%files -n lib%name
%_libdir/libenca.so.*

%files -n lib%name-devel
%_includedir/enca.h
%_libdir/libenca.so
%_pkgconfigdir/enca.pc
%doc DEVELOP.md
%doc devel-docs/html

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

# TODO:
# - fix devel-docs/html/ build

%changelog
