Name: enchant
Version: 1.6.0
Release: alt3.qa1
Summary: An Enchanting Spell Checking Program
Group: Text tools
License: LGPL
URL: http://www.abisource.com/projects/enchant

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Requires:  lib%name = %version-%release

Source: http://www.abisource.com/downloads/enchant/%version/%name-%version.tar.gz
Source1: %name-spell

BuildRequires: gcc-c++ glib2-devel libdbus-glib-devel libhunspell-devel

%description
This package contains simple programs that wrap other spell checking backends,
including an Ispell compatible script.

%package -n lib%name
Summary: An Enchanting Spell Checking Library
Group: System/Libraries

%description -n lib%name
A library that wraps other spell checking backends.

%package -n lib%name-devel
Summary: Support files necessary to compile applications with libenchant.
Group: Development/C++
Requires: lib%name = %version-%release

%description -n lib%name-devel
Libraries, headers, and support files necessary to compile applications
using libenchant.

%prep
%setup -q

%build
%autoreconf
%configure \
	--with-myspell-dir=%_datadir/myspell \
	--disable-aspell \
	--disable-ispell \
	--disable-zemberek \
	--disable-static
%make_build

%install
%make DESTDIR=%buildroot install

install -m755 %SOURCE1 %buildroot%_bindir/

cat <<EOF >%buildroot%_datadir/%name/%name.ordering
*:myspell
EOF

mkdir -p %buildroot%_altdir
cat <<EOF >%buildroot%_altdir/%name
%_bindir/spell	%_bindir/%name-spell	60
EOF

%files
%_altdir/%name
%_bindir/*
%_man1dir/*

%files -n lib%name
%doc AUTHORS COPYING.LIB README
%_libdir/*.so.*
%dir %_libdir/%name
%_libdir/%name/*.so*
%_datadir/%name

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%_pkgconfigdir/*

%changelog
