%define _unpackaged_files_terminate_build 1

%global realname fast_tls

%set_verify_elf_method relaxed

Name: erlang-%realname
Version: 1.1.13
Release: alt1
Summary: TLS / SSL OpenSSL-based native driver for Erlang / Elixir
Group: Development/Erlang
License: Apache-2.0
Url: https://github.com/processone/fast_tls

# https://github.com/processone/fast_tls.git
Source: %name-%version.tar

BuildRequires(pre): rpm-build-erlang
BuildRequires: erlang-otp-devel erlang-devel
BuildRequires: /usr/bin/rebar
BuildRequires: erlang-p1_utils
BuildRequires: openssl-devel

%description
Fast TLS is a native TLS / SSL driver for Erlang / Elixir.
It is based on OpenSSL, a proven and efficient TLS implementation.

It is designed for efficiency, speed and compliance.

%prep
%setup

%build
%autoreconf
%configure
%rebar_compile

%install
%rebar_install %realname

%check
%rebar_eunit -C rebar.test.config

%files
%doc LICENSE.txt
%doc README.md
%_erllibdir/%realname-%version

%changelog
