Name: esvn
Version: 0.6.12
Release: alt4

%define qtdir %_qt3dir
%define vrel 1

Summary: eSvn is a cross-platform (QT-based) GUI frontend for the Subversion revision system
Group: Development/Other
License: GPL v2 or later
URL: http://esvn.sourceforge.net/

Source0: %name-%version-%vrel.tar.gz
Source1: esvn-48x48.png
Source2: esvn-32x32.png
Source3: esvn-16x16.png

Patch0: esvn-alt-desktop-file.patch

Requires: subversion

Packager: Igor Zubkov <icesik@altlinux.org>

# Automatically added by buildreq on Mon Feb 07 2011
BuildRequires: gcc-c++ libqt3-devel

%description
eSvn is a cross-platform (QT-based) GUI frontend for the Subversion revision
system.

%prep
%setup -q -n %name
%patch0 -p1
%__subst s/doc\\/esvn/doc\\/esvn-%version/ src/mainwindow.cpp

%build
PATH=$PATH:%qtdir/bin
qmake esvn.pro
qmake esvn-diff-wrapper.pro
%__subst s/-fno-exceptions/-fexceptions/ esvn.mak
%__subst s/-fno-exceptions/-fexceptions/ esvn-diff-wrapper.mak
%__make -f esvn.mak
%__make -f esvn-diff-wrapper.mak

%install
mkdir -p %buildroot/{%_bindir,%_datadir/pixmaps,%_datadir/applications,%_docdir/%name-%version}
install -m755 %name %buildroot%_bindir/%name
install -m755 esvn-diff-wrapper %buildroot%_bindir/esvn-diff-wrapper
install -m644 %name.png %buildroot/%_datadir/pixmaps/%name.png
install -m644 eSvn.desktop %buildroot%_datadir/applications/%name.desktop
install -m644 AUTHORS COPYING LICENSE README VERSION ChangeLog %buildroot%_docdir/%name-%version
cp -f -r html-docs %buildroot/%_docdir/%name-%version/

mkdir -p %buildroot%_liconsdir/
mkdir -p %buildroot%_niconsdir/
mkdir -p %buildroot%_miconsdir/

install -m644 %SOURCE1 %buildroot%_liconsdir/%name.png
install -m644 %SOURCE2 %buildroot%_niconsdir/%name.png
install -m644 %SOURCE3 %buildroot%_miconsdir/%name.png

sed -i -e 's,Categories=Development;,Categories=Development;RevisionControl;,' %buildroot%_desktopdir/%name.desktop

%files
%_bindir/%name
%_bindir/esvn-diff-wrapper
%_datadir/pixmaps/%name.png
%_liconsdir/%name.png
%_niconsdir/%name.png
%_miconsdir/%name.png
%_desktopdir/%name.desktop
%dir %_docdir/%name-%version
%dir %_docdir/%name-%version/html-docs
%_docdir/%name-%version/*

%changelog
