# TODO: drop fonts like /usr/share/exe/tools/fMath/fonts/dejavu

Name:       exe
Version:    2.4.1
Release:    alt5

Summary:    Tool to create and publish open educational resources.

License:    %gpl2plus
Group:      Education
Url:        http://exelearning.net

Source:     %name-%version.tar
Patch1:     %name-fix-process-wait.patch

BuildArch:  noarch

BuildRequires(pre): rpm-build-licenses
BuildRequires: desktop-file-utils
BuildRequires: python-module-distutils-extra

Requires: python-module-%name = %EVR

%add_python_req_skip AppKit Carbon Foundation GDK
%add_python_req_skip PAM SOAPpy cfsupport
%add_python_req_skip kqsyscall msvcrt pythoncom
%add_python_req_skip pyui pyunit pywintypes qt
%add_python_req_skip win32api win32com win32con
%add_python_req_skip win32event win32file win32gui
%add_python_req_skip win32pipe win32process win32security


%description
This authoring environment enables teachers and students to create and publish
educational content without the need to become proficient in HTML or XML markup.
Content generated using eXeLearning can be exported as web pages, as
educational-standard packages used by any Learning Management System, as epub3
files and on mobile devices.

%package -n python-module-%name
License:    %gpl2plus
Group:      Development/Python
Summary:    Python modules for eXeLearning.
BuildArch:  noarch

Requires: mimetex
Requires: python-module-lxml
Requires: python-module-Pillow
Requires: python-module-zope.interface
Requires: python-module-twisted-core-test

%description -n python-module-%name
This authoring environment enables teachers and students to create and publish
educational content without the need to become proficient in HTML or XML markup.
Content generated using eXeLearning can be exported as web pages, as
educational-standard packages used by any Learning Management System, as epub3
files and on mobile devices.

Package contains python modules for eXeLearning.

%prep
%setup -n %name
%patch1 -p2

%build
%python_build

%install
%python_install

rm -rf %buildroot%_datadir/%name/formless 
rm -rf %buildroot%_datadir/%name/templates/*.cgi 
rm -rf %buildroot%_datadir/%name/templates/*.exe
rm -rf %buildroot%_datadir/%name/twisted/internet/cfsupport
rm -rf %buildroot%_datadir/%name/twisted/internet/iocpreactor

ln -s %_var/www/cgi-bin/mimetex.cgi %buildroot%_datadir/%name/templates/

# It is the file in the package named Thumbs.db or Thumbs.db.gz, 
# which is normally a Windows image thumbnail database. 
# Such databases are generally useless in packages and were usually 
# accidentally included by copying complete directories from the source tarball.
find $RPM_BUILD_ROOT \( -name 'Thumbs.db' -o -name 'Thumbs.db.gz' \) -print -delete
desktop-file-install --dir %buildroot%_desktopdir \
    --remove-category=Editor \
    --remove-category=Application \
    --add-category=TextEditor \
    %buildroot%_desktopdir/exe.desktop

mkdir -p %buildroot%_datadir/mime/packages/
cp exe.xml %buildroot%_datadir/mime/packages/

rm -rf %buildroot%_datadir/doc/
rm -f %buildroot%_datadir/pixmaps/exe.xpm

%find_lang exe

%files -f exe.lang
%_datadir/%name/
%_desktopdir/%name.desktop
%_liconsdir/%name.png
%_bindir/%{name}*
%_datadir/mime/packages/exe.xml

%files -n python-module-%name
%python_sitelibdir/%{name}*


%changelog
