Name: faketime
Version: 0.2.8
Release: alt1

Summary: Execute program with changed notion of system time
License: GPLv3+
Group: Development/Other
Url: http://git.altlinux.org/people/ldv/packages/faketime.git

# git://git.altlinux.org/gears/f/faketime.git
Source: %name-%version.tar

BuildRequires: help2man, gnulib >= 0.1.2305.95c96

%description
The faketime utility helps to execute programs with changed notion of
system time.

%prep
%setup
install -pm755 %_datadir/gnulib/build-aux/bootstrap .
echo -n %version > .tarball-version
mkdir build-aux
# remove timespectod() to avoid compilation warnings in unused code.
sed '/Return an approximation/,/}$/d' < %_datadir/gnulib/lib/timespec.h > timespec.h

%build
./bootstrap --gnulib-srcdir=%_datadir/gnulib --no-git --skip-po --force
%configure
%make_build

%install
%makeinstall_std
rm %buildroot%_libdir/*.la

%check
%make_build -k check

cat > exp <<'EOF'
Fri Feb 13 20:44:50 UTC 2009
EOF
LC_ALL=C TZ=UTC LD_LIBRARY_PATH=%buildroot%_libdir \
	%buildroot%_bindir/faketime -d '1970-01-01 1234557890 seconds' -- date > out
diff exp out

date -u -r/ '+%%Y-%%m-%%d %%H:%%M:%%S' > exp
LC_ALL=C LD_LIBRARY_PATH=%buildroot%_libdir \
	%buildroot%_bindir/faketime -r/ -- \
	date -u '+%%Y-%%m-%%d %%H:%%M:%%S' > out
diff exp out

%define _unpackaged_files_terminate_build 1
%define _stripped_files_terminate_build 1
%set_verify_elf_method strict

%files
%_bindir/*
%_libdir/*.so
%_man1dir/*

%changelog
