%define _unpackaged_files_terminate_build 1

Name: fbreader
Version: 0.99.5
Release: alt6
Summary: E-Book Reader
Summary (ru_RU.UTF-8): Программа для чтения электронных книг (E-Book, Ebook)
License: GPL
Group: Text tools
URL: https://fbreader.org

Source: FBReader-%version.tar
Source1: watch
Source2: %{name}16.png
Source3: %{name}32.png
Source4: %{name}48.png
Source5: x-fb2.desktop

Patch1: %name-%version-alt-gcc6.patch
Patch2: %name-%version-alt-debuginfo.patch
Patch3: %name-%version-alt-crash.patch
Patch4: %name-%version-alt-fix-menu-about.patch
Patch5: %name-%version-alt-qt5.patch

BuildRequires: bzlib-devel gcc-c++ libexpat-devel libfribidi-devel qt5-base-devel libsqlite3-devel libunibreak-devel zlib-devel

%description
E-Book Reader. Supports several e-book formats: fb2 (fictionbook), html, plucker, palmdoc, zTxt, plain text.

%description -l ru_RU.UTF-8
Программа для чтения электронных книг (E-book, Ebook). Поддерживает форматы: fb2 (fictionbook), html, plucker, palmdoc, zTxt, plain text.

%prep
%setup -n FBReader-%version
%patch1 -p1
%patch2 -p2
%patch3 -p2
%patch4 -p2
%patch5 -p2

%build
# explicitly setting -std=c++11 is required for building on p8, c8 and older branches.
# fPIC is required for Qt5
%add_optflags -std=c++11 -fPIC
%make_build ZLSHARED=no TARGET_ARCH=desktop UI_TYPE=qt4 TARGET_STATUS=debug CC=g++ CFLAGS="%optflags"

%install
#%__subst "s,mozilla,firefox," fbreader/data/default/external.desktop.xml
#%__subst "s,FBReader.png,fbreader.png," fbreader/desktop/desktop
%make ZLSHARED=no TARGET_ARCH=desktop UI_TYPE=qt4 TARGET_STATUS=debug CC=g++ CFLAGS="%optflags" LIBDIR=%_libdir DESTDIR=%buildroot INSTALLDIR=/usr install
ln -s FBReader %buildroot%_bindir/fbreader
%__install -pD -m644 %SOURCE2 %buildroot%_miconsdir/%name.png
%__install -pD -m644 %SOURCE3 %buildroot%_niconsdir/%name.png
%__install -pD -m644 %SOURCE4 %buildroot%_liconsdir/%name.png
%__install -pD -m644 %SOURCE5 %buildroot%_datadir/mimelnk/application/x-fb2.desktop
#echo "MimeType=application/x-zip-compressed-fb2;application/x-fb2;application/rtf;application/x-chm;application/vnd.palm" >>%buildroot%_datadir/applications/FBReader.desktop

%files
%_bindir/*
%_datadir/FBReader
%_datadir/pixmaps/*
%_datadir/zlibrary
%_datadir/applications/FBReader.desktop
%_datadir/mimelnk/application/x-fb2.desktop
%_miconsdir/%name.png
%_niconsdir/%name.png
%_liconsdir/%name.png

%changelog
