%define _unpackaged_files_terminate_build 1

Name: feh
Version: 3.7
Release: alt1
Summary: Image viewer using Imlib 2
Group: Graphics
License: BSD

Url: https://feh.finalrewind.org/

Packager: Ilya Mashkin <oddity@altlinux.ru>
# git://github.com/derf/feh.git refs/tags/v%%version
Source: %name-%version.tar
Patch0:         feh-1.10.1-dejavu.patch

# Automatically added by buildreq on Thu Sep 08 2011
# optimized out: imlib2 imlib2-devel libX11-devel xorg-xproto-devel zlib-devel
BuildRequires: libXinerama-devel libXt-devel libcurl-devel libgiblib-devel libpng-devel libexif-devel libjpeg-utils

%description
feh is a versatile and fast image viewer using imlib2, the
premier image file handling library. feh has many features,
from simple single file viewing, to multiple file modes using
a slideshow or multiple windows. feh supports the creation of
montages as index prints with many user-configurable options.

%prep
%setup
%patch0 -p1

%build
export VERSION="%version"
export CFLAGS="%optflags"
export PREFIX="%_prefix"

%make_build exif=1

%install
export VERSION="%version"
export CFLAGS="%optflags"
export PREFIX="%_prefix"

%makeinstall_std exif=1

%files
%_bindir/*
%_man1dir/*
%_datadir/%name
%_desktopdir/%name.desktop
%_liconsdir/%name.png
%_iconsdir/hicolor/scalable/apps/%name.svg

%exclude %_datadir/doc/%name

%doc AUTHORS ChangeLog README.md TODO
%doc COPYING

%changelog
