# $Revision: 1.60 $, $Date: 2011/05/27 11:58:40 $
# TODO:
#	- fet doesn't respect locale settings
#
Name: fet
Version: 6.0.4
Release: alt1

Summary: FET is open source free software for automatically scheduling the timetable
License: GPLv3
Group: Office

Url: http://www.lalescu.ro/liviu/fet
Source0: http://www.lalescu.ro/liviu/fet/download/%name-%version.tar.bz2
# TODO fresh documentation
Source1: http://www.lalescu.ro/liviu/fet/doc/en/faq.html
Source2: http://www.lalescu.ro/liviu/fet/doc/en/instructions.html
Source3: http://www.lalescu.ro/liviu/fet/doc/en/tips.html

# Automatically added by buildreq on Fri Jul 02 2021
# optimized out: fontconfig gcc-c++ glibc-kernheaders-generic glibc-kernheaders-x86 libImageMagick6-common libglvnd-devel libqt5-core libqt5-gui libqt5-network libqt5-printsupport libqt5-widgets libstdc++-devel python3 python3-base qt5-base-devel sh4
BuildRequires: ImageMagick-tools qt5-phonon-devel qt5-tools-devel

Summary(hu.UTF-8):	FET egy nyílt forrású órarend-készítő program
Summary(pl.UTF-8):	Narzędzie do automatycznego układania planów dla szkół i uczelni
Summary(ru_RU.UTF-8):	Программа для составления расписаний учебного заведения

%description
FET is open source free software for automatically scheduling the
timetable of a school, high-school or university. It uses a fast and
efficient timetabling algorithm.

%description -l ru_RU.UTF-8
FET — это программа для автоматического составления расписания занятий
в школе, техникуме или ВУЗе, использующая быстрый и эффективный
алгоритм, названный автором «рекурсивным обменом».

%description -l hu.UTF-8
FET egy nyílt forrású szoftver, amely általános iskolák, középiskolák,
egyetemek órarendjét (időbeosztását) készíti el. Egy gyors és hatékony
algoritmust használ.

%description -l pl.UTF-8
FET jest oprogramowaniem o otwartych źródłach służącym do
automatycznego układania planów zajęć szkół i uczelni. Program ten
używa szybkiego i efektywnego algorytmu układającego harmonogramy.

%package examples
Summary: Sample inputs to FET
Summary(hu.UTF-8):	Példafájlok FET-hez
Summary(pl.UTF-8):	Przykładowe pliki wejściowe dla programu FET
Group: Office
Requires: %name = %version-%release
BuildArch: noarch

%description examples
Sample input files to FET from all the world.

%description examples -l ru_RU.UTF-8
Прримеры входных файлов для программы составления расписаний FET

%description examples -l hu.UTF-8
Példafájlok FET-hez a világ minden tájáról.

%description examples -l pl.UTF-8
Przykładowe pliki wejściowe dla programu FET.

%package doc
Summary: FET documentation by Volker Dirr
Summary(hu.UTF-8):	FET dokumentáció Volker Dirr "szerkesztésében"
Summary(pl.UTF-8):	Dokumentacja do programu FET autorstwa Volkera Dirra
Summary(ru_RU.UTF-8):	Документация к программе составления расписаний FET
Group: Office

%description doc
FET documentation by Volker Dirr.

%description doc -l ru_RU.UTF-8
Документация к программе составления расписаний FET

%description doc -l hu.UTF-8
FET dokumentáció Volker Dirr tollából.

%description doc -l pl.UTF-8
Dokumentacja do programu FET autorstwa Volkera Dirra.

%prep
%setup
install %SOURCE1 %SOURCE2 %SOURCE3 .

sed -i '/documentation.path *=/s@=.*@= %_defaultdocdir/%name-%version@' fet.pro

cat > %name.desktop <<@@@
[Desktop Entry]
Type=Application
Name=FET
Comment=Automatical scheduling the timetable of a school
Comment[ru]=Автоматическое составлени расписаний в школе
Terminal=false
Exec=%name
Categories=Office;Calendar;
GenericName=Timetable generating
GenericName[hu]=Órarend generáló
GenericName[ru]=Составление распианий
Icon=%name
@@@

for i in 16 32 48 64 92 128; do
	convert icons/fet.png $i.png
done

%build
%ifarch %e2k
# -std=c++03 by default as of lcc 1.23.20
%add_optflags -std=c++11
%endif
%qmake_qt5 fet.pro
%make_build

%install
%makeinstall_std INSTALL_ROOT=%buildroot

for i in 16 32 48 64 92 128; do
	install -D $i.png %buildroot%_iconsdir/hicolor/${i}x${i}/apps/fet.png
done

%find_lang --with-qt fet

%files -f fet.lang
%doc AUTHORS ChangeLog README REFERENCES THANKS TODO TRANSLATORS doc/*/* faq.html instructions.html tips.html
%_bindir/*
%dir %_datadir/%name
%dir %_datadir/%name/translations
%_datadir/%name/translations/fet_untranslated.qm
%_desktopdir/%name.desktop
%_iconsdir/hicolor/*/apps/%name.*
%_pixmapsdir/*
%_man1dir/*

%files examples
%_datadir/%name/examples

%changelog
