Name: flam3
Version: 3.1.1
Release: alt3

Summary: Programs to generate and render cosmic recursive fractal flames
License: GPL-3.0-or-later
Group: Graphics
Url: https://flam3.com
Vcs: https://github.com/scottdraves/flam3

Source: %name-%version.tar
Patch1: 001-manpage_whatis_fix.patch
Patch2: 002-libxml.patch
Patch3: 003-ljpeg.patch
Patch4: 004-flam3.patch
Patch5: 005-readme.patch
Patch6: 006-icu67.patch
Patch7: 007-autoconf.patch

Requires: %name-palettes = %EVR

# Automatically added by buildreq on Mon Dec 07 2020 (-bi)
BuildRequires: libjpeg-devel libpng-devel libxml2-devel zlib-devel

%description
Flam3 renders fractal flames and manipulates their genomes.

%package devel
Summary: Development environment for building applications with %name
Group: Development/C
Requires: %name = %EVR

%description devel
This package contains the files needed to develop programs which use
the %name library.

%package palettes
Summary: The %name palettes xml file
Group: Graphics
BuildArch: noarch

%description palettes
The %name palettes xml file.

%prep
%setup
%autopatch -p1

%build
%autoreconf
%configure --enable-shared --disable-static
%make_build

%install
%makeinstall_std
%find_lang %name

%define _stripped_files_terminate_build 1
%define _unpackaged_files_terminate_build 1

%files -f %name.lang
%_libdir/lib%name.so.*
%_bindir/%name-*
%_man1dir/%{name}*.1*
%doc README.txt COPYING

%files -n %name-palettes
%_datadir/%name

%files -n %name-devel
%_includedir/*.*
%_libdir/lib%name.so
%_pkgconfigdir/%name.pc

%changelog
