%define _name flare

Name: %_name-engine
Version: 1.14
Release: alt1

Summary: A simple game engine for single-player 2D action RPGs
License: GPLv3+
Group: Games/Adventure

URL: https://flarerpg.org/
Vcs: https://github.com/flareteam/flare-engine.git
Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires(pre): rpm-macros-cmake
BuildRequires: gcc-c++ cmake libSDL2-devel libSDL2_image-devel libSDL2_mixer-devel libSDL2_ttf-devel

%define _unpackaged_files_terminate_build 1

%description
Flare (Free Libre Action Roleplaying Engine) is a simple game engine
built to handle a very specific kind of game: single-player 2D action
RPGs. Flare is not a reimplementation of an existing game or engine.
It is a tribute to and exploration of the action RPG genre.
Rather than building a very abstract, robust game engine, the goal of
this project is to build several real games and harvest an engine from
the common, reusable code.

%prep
%setup
%patch -p1

%build
%cmake -DBINDIR=bin -DDATADIR=share/%_name
%cmake_build

%install
%cmake_install

%files
%_bindir/%_name
%_datadir/%_name/
%_desktopdir/%_name.desktop
%_iconsdir/hicolor/scalable/apps/%_name.svg
%_man6dir/*

%changelog
