Name: fmit
Version: 1.2.14
Release: alt1

Summary: Free Music Instrument Tuner

License: GPL
Group: Sound
Url: http://gillesdegottex.github.io/fmit/

Packager: Vitaly Lipatov <lav@altlinux.ru>

# Source-url: https://github.com/gillesdegottex/fmit/archive/v%version.tar.gz
Source: %name-%version.tar

BuildRequires: itstool libalsa-devel libfftw3-devel libportaudio2-devel
# core gui opengl multimedia svg
BuildRequires: qt5-base-devel qt5-multimedia-devel qt5-svg-devel

BuildRequires: desktop-file-utils

# due missed GL headers
# ../src/modules/GLStatistics.cpp:374:2: error: 'glShadeModel' was not declared in this scope
ExcludeArch: armh

%description
Free Music Instrument Tuner. Features:
Error history
Volume history
Wave shape
Harmonic ratios
Microtonal tuning (with Scala file support)
Discrete Fourier Transform view
JACK, OSS, ALSA, Portaudio support

%prep
%setup
%ifarch %e2k
# strip UTF-8 BOM for lcc < 1.24
find -name '*.cpp' -o -name '*.h' | xargs sed -ri 's,^\xEF\xBB\xBF,,'
%endif

%build
mkdir BUILD
cd BUILD
qmake-qt5 "CONFIG+=acs_qt acs_alsa acs_portaudio" "PREFIX=%prefix" ../fmit.pro

%make_build

%install
cd BUILD
%makeinstall_std INSTALL_ROOT=%buildroot
desktop-file-install --dir %buildroot%_desktopdir \
	--add-category=Music \
	%buildroot%_desktopdir/fmit.desktop

%files
%doc README.txt
%_bindir/%name
%_datadir/%name/
# FIXME: add macro for appdata
%_datadir/appdata/fmit.appdata.xml
%_iconsdir/hicolor/*/apps/fmit.*
%_iconsdir/hicolor/symbolic/apps/fmit-symbolic.svg
%_desktopdir/%name.desktop

%changelog
