%def_with xfs
%define fname  cyr_rfx
%define cname  koi8-r
%define origname koi8-1
%define _fontsdir %_datadir/fonts/bitmap

Name: fonts-bitmap-%fname-%cname
Version: 1.1
Release: alt17
License: distributable
Group: System/Fonts/X11 bitmap
URL: http://www.inp.nsk.su/~bolkhov/files/fonts/cyr-rfx/00index.ru.html
Summary: Cyrillic bitmap fonts for the X Window System in koi8-r encoding

Source: cyr-rfx-%origname-%version.bdfs.tar.bz2
Source1: Makefile.fonts-koi8-r
BuildArch: noarch

PreReq: fontconfig >= 2.4.2
Obsoletes: cyr_rfx-koi8-1 XFree86-cyr_rfx-fonts-koi8-1 XFree86-%fname-fonts-%cname

Requires: fonts-bitmap-%fname-%cname-misc = %EVR
Requires: fonts-bitmap-%fname-%cname-75dpi = %EVR

# Automatically added by buildreq on Wed Oct 01 2003
BuildRequires: xorg-font-utils xorg-font-encodings

%description
Collection of cyrillic raster fonts for X Window System by D. Bolkhovityanov.

%package -n fonts-bitmap-%fname-%cname-misc
Group: System/Fonts/X11 bitmap
Summary: Cyrillic bitmap fonts in koi8-r encoding - misc part
Conflicts: fonts-bitmap-%fname-%cname < 1.1-alt15

%description -n fonts-bitmap-%fname-%cname-misc
Collection of cyrillic raster fonts for X Window System  in koi8-r encoding
by D. Bolkhovityanov, misc part.

%package -n fonts-bitmap-%fname-%cname-75dpi
Group: System/Fonts/X11 bitmap
Summary: Cyrillic bitmap fonts in koi8-r encoding - 75dpi part
Conflicts: fonts-bitmap-%fname-%cname < 1.1-alt15

%description -n fonts-bitmap-%fname-%cname-75dpi
Collection of cyrillic raster fonts for X Window System  in koi8-r encoding
by D. Bolkhovityanov, 75dpi part.

%prep
%setup -q -n  %origname
cd 75dpi
sed -i 's/-Adobe/-rfx/g' *.bdf
sed -i 's/\"Adobe/\"rfx/g' *.bdf
sed -i 's/koi8-1/koi8-r/g' *.bdf
sed -i 's/\"-adobe-/\"-rfx-/g' fonts.alias
sed -i 's/ -b\&h-lucida-/ -rfx-serene-/g' fonts.alias
sed -i 's/ -b\&h-lucidatypewriter-/ -rfx-serenetypewriter-/g' fonts.alias
echo 'variable     -*-helvetica-bold-r-normal-*-*-120-*-*-*-*-koi8-r' >> fonts.alias
cd -
cd misc
sed -i 's/-Adobe/-rfx/g' *.bdf
sed -i 's/\"Adobe/\"rfx/g' *.bdf
sed -i 's/koi8-1/koi8-r/g' *.bdf
grep -v helvetica-bold-r-normal fonts.alias > fonts.alias.0
mv fonts.alias.0 fonts.alias

cd -
cp %SOURCE1 ./Makefile
subst 's,koi8-1,koi8-r,g' */fonts.alias


%build
make

%install
mkdir -p %buildroot%_fontsdir/%fname-%cname
make FONTDIR=%buildroot%_fontsdir/%fname-%cname install
for n in 75dpi misc; do mkfontdir -e /usr/share/X11/fonts/encodings %buildroot%_fontsdir/%fname-%cname/$n; done

%if_with xfs
mkdir -p %buildroot%_sysconfdir/X11/fontpath.d
ln -s ../../..%_fontsdir/%fname-%cname/misc \
	%buildroot%_sysconfdir/X11/fontpath.d/bitmap-%fname-%cname-misc:unscaled:pri=10
ln -s ../../..%_fontsdir/%fname-%cname/75dpi \
	%buildroot%_sysconfdir/X11/fontpath.d/bitmap-%fname-%cname-75dpi:unscaled:pri=10
%endif

%files
%doc doc/*

%files -n fonts-bitmap-%fname-%cname-misc
%if_with xfs
%_sysconfdir/X11/fontpath.d/*misc*
%endif
%dir %_fontsdir/%fname-%cname
%_fontsdir/%fname-%cname/misc

%files -n fonts-bitmap-%fname-%cname-75dpi
%if_with xfs
%_sysconfdir/X11/fontpath.d/*75dpi*
%endif
%dir %_fontsdir/%fname-%cname
%_fontsdir/%fname-%cname/75dpi

%changelog
