Name: freedink
Version: 109.6
Release: alt1
Summary: Adventure and role-playing game
Group: Games/Adventure
#BuildRequires: fontconfig-devel libffi-devel gcc-c++
License: GPLv3+
Url: http://www.freedink.org/
Source: %name-%version.tar.gz

Requires: freedink-engine = %version-%release  freedink-dfarc freedink-data

# Automatically added by buildreq on Thu Jan 23 2020
# optimized out: fontconfig glib2-devel glibc-kernheaders-generic glibc-kernheaders-x86 gnu-config libSDL2-devel libfreetype-devel libstdc++-devel pkg-config python2-base sh4
BuildRequires: fontconfig-devel gcc-c++ help2man libSDL2_gfx-devel libSDL2_image-devel libSDL2_mixer-devel libSDL2_ttf-devel libglm-devel

%description
Dink Smallwood is an adventure/role-playing game, similar to Zelda,
made by RTsoft. Besides twisted humour, it includes the actual game
editor, allowing players to create hundreds of new adventures called
Dink Modules or D-Mods for short.

GNU FreeDink is a new and portable version of the game engine, which
runs the original game as well as its D-Mods, with close
compatibility, under multiple platforms.

This package is a metapackage to install the game, its data and a
front-end to manage game options and D-Mods.

%package engine
Summary: Adventure and role-playing game (engine)
Group: Games/Adventure
Requires: freedink-data

%description engine
Dink Smallwood is an adventure/role-playing game, similar to Zelda,
made by RTsoft. Besides twisted humour, it includes the actual game
editor, allowing players to create hundreds of new adventures called
Dink Modules or D-Mods for short.

GNU FreeDink is a new and portable version of the game engine, which
runs the original game as well as its D-Mods, with close
compatibility, under multiple platforms.

This package contains the game engine alone.

%prep
%setup
sed -i 's@SDL_SetHint(SDL_HINT_ANDROID_SEPARATE_MOUSE_AND_TOUCH, "0");@@' src/input.cpp
# RPM/BUILD/freedink-109.6/src/input.cpp:  SDL_SetHint(SDL_HINT_ANDROID_SEPARATE_MOUSE_AND_TOUCH, "0");

%build
# Using '--disable-embedded-resources' because 'rpmbuild' will remove
# them anyway (so it can make the -debuginfo package -- too bad :/)
%configure --disable-embedded-resources --disable-tests
%make

%install
%makeinstall
%find_lang %name
%find_lang %name-gnulib
# %files only support one '-f' argument (see below)
cat %name-gnulib.lang >> %name.lang

%files
%files engine -f %name.lang
%doc AUTHORS COPYING NEWS README THANKS TROUBLESHOOTING ChangeLog
%_bindir/*
%_datadir/applications/*
%_datadir/%name/
%_datadir/pixmaps/*
%_mandir/man6/*
%_iconsdir/hicolor/scalable/apps/freedink.svg
%_datadir/metainfo/freedink.appdata.xml

%changelog
