%define _unpackaged_files_terminate_build 1

%def_disable static

%define	TDSVER 7.4
%define	name freetds
%define	release alt1
%define	version 1.3

Name:		%name
Version:	%version
Release:	%release

Summary:	An OpenSource implementation of the tubular data stream protocol
License:	GPL/LGPL
Group:		System/Libraries
URL:		http://www.freetds.org/

Source0:	%name-%version.tar
Source1:	%name.sh
Source2:	%name.csh

Patch1: %name-alt-revert-dblib-fix-TDS_DONE_RESULT-empty-rowsets.patch

# Automatically added by buildreq on Sun Aug 19 2018
# optimized out: glibc-kernheaders-generic glibc-kernheaders-x86 libcom_err-devel libkrb5-devel libncurses-devel libtinfo-devel libunixODBC-devel-compat perl pkg-config python-base python-modules python3 python3-base python3-dev ruby sh3
BuildRequires: doxygen glibc-devel-static libgnutls-devel libreadline-devel libssl-devel libunixODBC-devel

%if_enabled static
BuildRequires: glibc-devel-static
%endif


%description
FreeTDS is a free (open source) implementation of Sybase's db-lib,
ct-lib, and ODBC libraries. Currently, dblib and ctlib are most mature.
Both of these libraries have several programs know to compile and run
against them.

This package is built with support of TDS version %TDSVER.

%package -n lib%name
Summary:	An OpenSource implementation of the tubular data stream protocol
License:	GPL/LGPL
Group:		System/Libraries
Provides:	%name

%description -n lib%name
FreeTDS is a free (open source) implementation of Sybase's db-lib,
ct-lib, and ODBC libraries. Currently, dblib and ctlib are most mature.
Both of these libraries have several programs know to compile and run
against them.

This package is built with support for TDS version %TDSVER.

%package -n lib%name-unixodbc
Summary:	FreeTDS driver for unixODBC. 
License:	GPL/LGPL
Group:		System/Libraries
Provides:	%name

%description -n lib%name-unixodbc
FreeTDS driver for unixODBC. FreeTDS is a free (open source) implementation
of Sybase's db-lib, ct-lib, and ODBC libraries. Currently, dblib and ctlib
are most mature. Both of these libraries have several programs know to compile
and run against them.

This package is built with support for TDS version %TDSVER.

%package -n lib%name-devel
Summary: 	An OpenSource implementation of the TDS protocol. Development files
License:	GPL/LGPL
Group: 		Development/C
PreReq:		lib%name = %EVR
Provides:	%name-devel

%description -n lib%name-devel
FreeTDS is a free (open source) implementation of Sybase's db-lib,
ct-lib, and ODBC libraries. The freetds-devel allows you to compile
applications with freetds libraries.

This package is built with support for TDS version %TDSVER.

%package -n lib%name-devel-static
Summary: 	An OpenSource implementation of the TDS protocol. Static libraries
License:	GPL/LGPL
Group: 		Development/C
PreReq:		lib%name-devel = %EVR
Provides:	%name-devel-static

%description -n lib%name-devel-static
FreeTDS is a free (open source) implementation of Sybase's db-lib,
ct-lib, and ODBC libraries. The freetds-devel allows you to compile
applications with freetds libraries. Package with static libraries.

This package is built with support for TDS version %TDSVER.


%package -n %name-utils
Summary:	An OpenSource implementation of the TDS protocol. Utilities
License:	GPL/LGPL
Group:		Databases
PreReq:		lib%name = %EVR
Provides:	%name-utils

%description -n %name-utils
FreeTDS is a free (open source) implementation of Sybase's db-lib,
ct-lib, and ODBC libraries. Currently, dblib and ctlib are most mature.  Both
of these libraries have several programs know to compile and run against them.

This package is built with support for TDS version %TDSVER and contains some
useful utilities.


%prep
%setup
%patch1 -p1

%build
%add_optflags -fno-strict-aliasing
%autoreconf
%configure \
	--sysconfdir=%_sysconfdir/%name \
	--with-tdsver=%TDSVER \
	--enable-threadsafe \
	--enable-odbc \
	--disable-debug \
	--with-openssl \
	%{subst_enable static}

%make_build

%install
%makeinstall_std


%files -n lib%name
%_libdir/libct.so.4*
%_libdir/libsybdb.so.5*
%dir %_sysconfdir/%name
%config(noreplace) %_sysconfdir/%name/freetds.conf
%config(noreplace) %_sysconfdir/%name/locales.conf

%files -n lib%name-unixodbc
%_libdir/libtdsodbc.so.0*

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%files -n %name-utils
%doc %_docdir/%name/*
%config(noreplace) %_sysconfdir/%name/pool.conf
%_bindir/bsqlodbc
%_bindir/fisql
%_bindir/freebcp
%_bindir/tdspool
%_bindir/tsql
%_bindir/osql
%_bindir/bsqldb
%_bindir/defncopy
%_bindir/datacopy
%_man1dir/*
%_man5dir/*
%dir %_docdir/%name


%changelog
