Name: frescobaldi
Version: 3.2
Release: alt2

Summary: LilyPond music score editor
License: %gpl2plus
Group: Publishing

Url: http://www.frescobaldi.org/

BuildRequires(pre): rpm-build-licenses rpm-macros-qt5-webengine

BuildRequires: ImageMagick-tools
BuildRequires: librsvg-utils python3-module-setuptools

ExcludeArch: %not_qt5_qtwebengine_arches

Requires: lilypond

Requires: python3(popplerqt5)

AutoProv:yes,nopython,nopython3

# Source-url: https://github.com/wbsoft/frescobaldi/archive/v%version.tar.gz
Source: %name-%version.tar

%add_python3_self_prov_path %buildroot%python3_sitelibdir/frescobaldi_app

%description
Frescobaldi is a LilyPond music score editor, with following features:

* Enter LilyPond scores, build and preview them with a mouseclick
* Point-and-click support: click on notes or error messages to jump to the
  correct position
* A powerful Score Wizard to quickly setup a musical score
* Editing tools to:
  - manipulate the rhythm
  - hyphenate lyrics
  - quickly enter or add articulations and other symbols to existing music
  - run the document through convert-ly to update it to a newer LilyPond version
  - translate pitch names
* Context sensitive autocomplete, helping you to quickly enter LilyPond commands
* Expansion manager to enter larger snippets of LilyPond input using short
  mnemonics
* A powerful Rumor plugin, using the Rumor program to quickly enter music by
  playing it on a MIDI keyboard or even your computer keyboard
* Quick buttons to open, send, play or print LilyPond-generated files.
* Built-in comprehensive User Guide
* Translated into Dutch, English, French, German, Italian, Czech, Russian,
  Spanish, Turkish and Polish.

%prep
%setup

%build
%make_build -C i18n
%python3_build
%make_build -C linux

%install
%python3_install
if [ "%python3_sitelibdir" != "%python3_sitelibdir_noarch" ] ; then
    mkdir -p %buildroot/%python3_sitelibdir
    mv %buildroot/%python3_sitelibdir_noarch/* %buildroot/%python3_sitelibdir/
fi

install -d %buildroot%_liconsdir/
rsvg-convert -w 48 -h 48  \
%buildroot%_iconsdir/hicolor/scalable/apps/org.frescobaldi.Frescobaldi.svg \
  -o %buildroot%_liconsdir/org.frescobaldi.Frescobaldi.png


%files
%doc README.md
%_bindir/%name
%python3_sitelibdir/*
%_desktopdir/*.desktop
%_iconsdir/hicolor/scalable/apps/*.svg
%_datadir/metainfo/org.frescobaldi.Frescobaldi.metainfo.xml
%_liconsdir/*.png
%_man1dir/*

%changelog
