%define realname	siefs

Packager: Denis Smirnov <mithraen@altlinux.ru>

Name: fuse-siefs
Version: 0.5
Release: alt8.qa1

Summary: Work with storage memory of Siemens mobiles via datacable
Summary(ru_RU.KOI8-R):      
License: GPL
Group: Communications

Url: http://chaos.allsiemens.com/siefs/

Source: %realname-%version.tar.gz

Patch0: siefs-0.5-alt-fuse-pkgconfig.patch
Patch1: siefs-0.5-alt-fix-getdir.patch
Patch2: siefs-0.5-alt-fix-qwe3-close.patch
Patch3: siefs-0.5-alt-utf-8.patch
Patch4: siefs-0.5-alt-includes.patch
Patch5: siefs-0.5-alt-command-line.patch
Patch6: siefs-0.5-alt-man-pages.patch

Requires: mount >= 2.11
Requires: fuse

Provides: SieFS
Obsoletes: SieFS

# Automatically added by buildreq on Sun Nov 27 2005
BuildRequires: libfuse-devel

BuildRequires(pre): fuse >= 2.2

%description
SieFS is a virtual filesystem for accessing a storage memory (flexmem or
MultiMediaCard) of Siemens mobile phones via datacable, IRDA or
BlueTooth.  It is currently tested on S45, ME45, SL45(i), S55, SL55,
M55, MC60, CX65, M65, but should work also on C55/M50/MT50 with enabled
serial interface.  There should not be any problems with other new
Siemens phones (C60, S65, etc).

SieFS consists of filesystem module (siefs) and command-line utility
(slink).  SieFS depends on Filesystem in USErspace (FUSE) package.

The syntax of mount command is:

  "siefs [-o options] COMM_DEVICE MOUNT_DIR"
  "mount -t siefs [-o options] COMM_DEVICE MOUNT_DIR".

After mounting, the phone's memory will be visible as an ordinary
directory with files, you can copy, move, delete files, create
directories on it.  You can enter mount command when your mobile is not
connected to PC.  Also you can connect and disconnect it at any time
without need to remount filesystem.

For automatic mounting, add something like this to your /etc/fstab:

  "siefs  /mnt/mobile  siefs  device=/dev/ttyS0,allow_other  0 0".

slink is an utility for working with phone's memory without mounting.
Type "slink -h" to view all supported commands.

%description -l ru_RU.KOI8-R
SieFS -         (flexmem
 MultiMediaCard)      
,    BlueTooth.    
 S45, ME45, SL45(i), S55, SL55, M55, MC60, CX65, M65,  
   C55/M50/MT50,   
.           
 (C60, S65, etc).

 SieFS     (siefs)  
 (slink).  SieFS    FUSE (Filesystem in
USErspace),     .

      :

  "siefs [-o options] COMM_DEVICE MOUNT_DIR"
  "mount -t siefs [-o options] COMM_DEVICE MOUNT_DIR".

         
,   , ,  , 
   .      ,
      .    
        .

  ,   "/etc/fstab" ,
 :

  "siefs  /mnt/mobile  siefs  device=/dev/ttyS0,allow_other  0 0".

slink -        .
    ,  "slink -h".

%prep
%setup -q -n %realname-%version
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
autoreconf -vif
%configure
%make_build

%install
%makeinstall
mkdir -p $RPM_BUILD_ROOT/sbin
ln -s /usr/bin/siefs $RPM_BUILD_ROOT/sbin/mount.siefs

%files
%_bindir/*
%exclude %_bindir/vmo2wav
%_man1dir/*
%_man8dir/*
/sbin/mount.siefs
%doc README AUTHORS COPYING

%changelog
