Name: ganttproject
Version: 2.7.2
Release: alt4

Summary: GanttProject is a tool for creating a project schedule by means of Gantt chart and resource load chart

License: GPLv2 with library exceptions
Group: Office
Url: http://www.ganttproject.biz/

Packager: Andrey Chetepanov <cas@altlinux.org> 

Source: %name-%version.tar
Source1: %name.desktop
Source2: %name.xml
Source3: %name.png

BuildArch: noarch

BuildRequires: rpm-build-java ant
BuildRequires: java-1.8.0-openjdk-devel

AutoProv: yes,noosgi

Requires: java >= 1.8.0

%description
GanttProject is a tool for creating a project schedule by means
of Gantt chart and resource load chart.
With GanttProject you can break down your project into a tree of tasks
and assign human resources that have to work on each task. You can also
establish dependencies between tasks, like "this task can't start
until this one is finished". GanttProject renders your project
using two charts: Gantt chart for tasks and resource load chart
for resources. You may print your charts, generate PDF and HTML
reports, exchange data with Microsoft(R) Project(TM)
and spreadsheet applications.

%prep
%setup
cd ganttproject-builder

%build

%install
cd ganttproject-builder
%ant -Dinstall.dir=%buildroot%_datadir/%name build

# Fix executable bit to program
chmod +x %buildroot%_datadir/%name/%name

# Make symlink to /usr/bin
install -d %buildroot%_bindir
ln -s %_datadir/%name/%name %buildroot%_bindir/%name 

# Create the desktop entry
install -Dm0755 %SOURCE1 %buildroot%_desktopdir/%name.desktop

# Create the mime-type for GanttProject
install -Dm0644 %SOURCE2 %buildroot%_datadir/mime/packages/%name.xml

# Copy the icon
install -Dm0644 %SOURCE3 %buildroot%_datadir/icons/hicolor/64x64/apps/%name.png

%files
%doc ganttproject/AUTHORS ganttproject/LICENSE ganttproject/README
%_bindir/%name
%_datadir/%name/
%_desktopdir/*.desktop
%_datadir/mime/packages/%name.xml
%_datadir/icons/hicolor/*/apps/%name.png

%changelog
