# Spec file for gapcmon project

%define version 0.8.9
%define release alt2

Name: gapcmon
Version: %version
Release: %release

Summary: a GUI monitor for apcupsd
Summary(ru_RU.UTF-8): графический монитор состояния ИБП для apcupsd

License: %gpl2plus
Group: Monitoring
Url: http://gapcmon.sourceforge.net/

Packager: Nikolay A. Fetisov <naf@altlinux.ru>

Source0: http://prdownloads.sourceforge.net/gapcmon/%name-%version.tar.bz2

Source1: %name-16.png
Source2: %name-32.png
Source3: %name-48.png
Source4: %name.desktop

Patch0:  %name-0.8.9-alt-gold.patch

AutoReqProv: yes
BuildPreReq: GConf2 gnome-vfs-devel libgtk+2-devel rpm-build-licenses

%description
A Gtk2/GLib2 GUI application used to monitor UPS devices controlled
by the  APCUPSD package.  The program uses  the  NIS interface from
apcupsd to collect event  and status information for display to the
end-user.

%description -l ru_RU.UTF-8
Графическая утилита для  мониторинга состояния  устройств ИБП,
управляемых демоном apcupsd  из одноимённого пакета. Программа
использует интерфейс NIS демона для сбора сообщений о событиях
и состоянии  ИБП и представляет  их в удобном для пользователя
виде.

%prep
%setup
%patch0

mv -- gapcmon.desktop gapcmon.desktop.orig
cp -- %SOURCE4 gapcmon.desktop

%build
%autoreconf
%configure
%make_build

%install
%makeinstall

# Need it there because of using COPYING in makefile
mv -f -- COPYING COPYING.GPL.orig
ln -s -- $(relative %_licensedir/GPL-2 %_docdir/%name/COPYING) COPYING

mkdir -p -- %buildroot%_miconsdir %buildroot%_liconsdir %buildroot%_niconsdir
install -m0644 -- %SOURCE1 %buildroot%_miconsdir/%name.png
install -m0644 -- %SOURCE2 %buildroot%_niconsdir/%name.png
install -m0644 -- %SOURCE3 %buildroot%_liconsdir/%name.png

%files
%doc AUTHORS ChangeLog INSTALL README
%doc --no-dereference COPYING

%exclude %_docdir/%name

%_bindir/%name

%_miconsdir/%{name}*
%_niconsdir/%{name}*
%_liconsdir/%{name}*
%_pixmapsdir/*.png
%_desktopdir/%name.desktop

%changelog
