%define        gemname curb

Name:          gem-curb
Version:       1.0.0
Release:       alt1
Summary:       Ruby bindings for libcurl
License:       MIT
Group:         Development/Ruby
Url:           https://github.com/taf2/curb
Vcs:           https://github.com/taf2/curb.git
Packager:      Ruby Maintainers Team <ruby@packages.altlinux.org>

Source:        %name-%version.tar
BuildRequires(pre): rpm-build-ruby
BuildRequires: libcurl-devel

%add_findreq_skiplist %ruby_gemslibdir/**/*
%add_findprov_skiplist %ruby_gemslibdir/**/*
%ruby_ignore_names bench
Obsoletes:     ruby-curb < %EVR
Provides:      ruby-curb = %EVR
Provides:      gem(curb) = 1.0.0


%description
Curb (probably CUrl-RuBy or something) provides Ruby-language bindings for the
libcurl(3), a fully-featured client-side URL transfer library. cURL and libcurl
live at http://curl.haxx.se/ .

Curb is a work-in-progress, and currently only supports libcurl's 'easy' and
'multi' modes.


%package       -n gem-curb-doc
Version:       1.0.0
Release:       alt1
Summary:       Ruby bindings for libcurl documentation files
Summary(ru_RU.UTF-8): Файлы сведений для самоцвета curb
Group:         Development/Documentation
BuildArch:     noarch

Requires:      gem(curb) = 1.0.0

%description   -n gem-curb-doc
Ruby bindings for libcurl documentation files.

Curb (probably CUrl-RuBy or something) provides Ruby-language bindings for the
libcurl(3), a fully-featured client-side URL transfer library. cURL and libcurl
live at http://curl.haxx.se/ .

Curb is a work-in-progress, and currently only supports libcurl's 'easy' and
'multi' modes.

%description   -n gem-curb-doc -l ru_RU.UTF-8
Файлы сведений для самоцвета curb.


%package       -n gem-curb-devel
Version:       1.0.0
Release:       alt1
Summary:       Ruby bindings for libcurl development package
Summary(ru_RU.UTF-8): Файлы для разработки самоцвета curb
Group:         Development/Ruby
BuildArch:     noarch

Requires:      gem(curb) = 1.0.0

%description   -n gem-curb-devel
Ruby bindings for libcurl development package.

Curb (probably CUrl-RuBy or something) provides Ruby-language bindings for the
libcurl(3), a fully-featured client-side URL transfer library. cURL and libcurl
live at http://curl.haxx.se/ .

Curb is a work-in-progress, and currently only supports libcurl's 'easy' and
'multi' modes.

%description   -n gem-curb-devel -l ru_RU.UTF-8
Файлы для разработки самоцвета curb.


%prep
%setup

%build
%ruby_build

%install
%ruby_install

%check
%ruby_test

%files
%doc README.markdown
%ruby_gemspec
%ruby_gemlibdir
%ruby_gemextdir

%files         -n gem-curb-doc
%doc README.markdown
%ruby_gemdocdir

%files         -n gem-curb-devel
%doc README.markdown
%ruby_includedir/*


%changelog
