%define        gemname curses

Name:          gem-curses
Version:       1.4.4
Release:       alt1
Summary:       Ruby binding for curses, ncurses, and PDCurses
License:       Ruby or BSD-2-Clause
Group:         Development/Ruby
Url:           https://github.com/ruby/curses
Vcs:           https://github.com/ruby/curses.git
Packager:      Ruby Maintainers Team <ruby@packages.altlinux.org>

Source:        %name-%version.tar
BuildRequires(pre): rpm-build-ruby
BuildRequires: libncursesw-devel
BuildRequires: gem(bundler) >= 0
BuildRequires: gem(rake) >= 0

%add_findreq_skiplist %ruby_gemslibdir/**/*
%add_findprov_skiplist %ruby_gemslibdir/**/*
%ruby_ignore_names bench
Obsoletes:     ruby-curses < %EVR
Provides:      ruby-curses = %EVR
Provides:      gem(curses) = 1.4.4


%description
A Ruby binding for curses, ncurses, and PDCurses. curses is an extension library
for text UI applications. Formerly part of the Ruby standard library.


%package       -n gem-curses-doc
Version:       1.4.4
Release:       alt1
Summary:       Ruby binding for curses, ncurses, and PDCurses documentation files
Summary(ru_RU.UTF-8): Файлы сведений для самоцвета curses
Group:         Development/Documentation
BuildArch:     noarch

Requires:      gem(curses) = 1.4.4

%description   -n gem-curses-doc
Ruby binding for curses, ncurses, and PDCurses documentation files.

A Ruby binding for curses, ncurses, and PDCurses. curses is an extension library
for text UI applications. Formerly part of the Ruby standard library.

%description   -n gem-curses-doc -l ru_RU.UTF-8
Файлы сведений для самоцвета curses.


%package       -n gem-curses-devel
Version:       1.4.4
Release:       alt1
Summary:       Ruby binding for curses, ncurses, and PDCurses development package
Summary(ru_RU.UTF-8): Файлы для разработки самоцвета curses
Group:         Development/Ruby
BuildArch:     noarch

Requires:      gem(curses) = 1.4.4
Requires:      gem(bundler) >= 0
Requires:      gem(rake) >= 0

%description   -n gem-curses-devel
Ruby binding for curses, ncurses, and PDCurses development package.

A Ruby binding for curses, ncurses, and PDCurses. curses is an extension library
for text UI applications. Formerly part of the Ruby standard library.

%description   -n gem-curses-devel -l ru_RU.UTF-8
Файлы для разработки самоцвета curses.


%prep
%setup

%build
%ruby_build

%install
%ruby_install

%check
%ruby_test

%files
%doc README.md
%ruby_gemspec
%ruby_gemlibdir
%ruby_gemextdir

%files         -n gem-curses-doc
%doc README.md
%ruby_gemdocdir

%files         -n gem-curses-devel
%doc README.md


%changelog
