%define        gemname ffi

Name:          gem-ffi
Version:       1.15.5
Release:       alt1
Summary:       Ruby foreign function interface
License:       BSD-3-Clause
Group:         Development/Ruby
Url:           https://github.com/ffi/ffi/wiki
Vcs:           https://github.com/ffi/ffi.git
Packager:      Ruby Maintainers Team <ruby@packages.altlinux.org>

Source:        %name-%version.tar
BuildRequires(pre): rpm-build-ruby
BuildRequires: libffi-devel
BuildRequires: gem(rake) >= 13.0 gem(rake) < 14
BuildRequires: gem(rake-compiler) >= 1.0 gem(rake-compiler) < 2
BuildRequires: gem(rake-compiler-dock) >= 0.7.2 gem(rake-compiler-dock) < 2
BuildRequires: gem(rspec) >= 2.14.1 gem(rspec) < 4

%add_findreq_skiplist %ruby_gemslibdir/**/*
%add_findprov_skiplist %ruby_gemslibdir/**/*
%ruby_use_gem_dependency rspec >= 3.10.0,rspec < 4
%ruby_use_gem_dependency rake-compiler >= 1.1.2,rake-compiler < 2
Obsoletes:     ruby-ffi < %EVR
Provides:      ruby-ffi = %EVR
Provides:      gem(ffi) = 1.15.5


%description
Ruby-FFI is a gem for programmatically loading dynamically-linked native
libraries, binding functions within them, and calling those functions from Ruby
code. Moreover, a Ruby-FFI extension works without changes on CRuby (MRI),
JRuby, Rubinius and TruffleRuby. Discover why you should write your next
extension using Ruby-FFI.


%package       -n gem-ffi-doc
Version:       1.15.5
Release:       alt1
Summary:       Ruby foreign function interface documentation files
Summary(ru_RU.UTF-8): Файлы сведений для самоцвета ffi
Group:         Development/Documentation
BuildArch:     noarch

Requires:      gem(ffi) = 1.15.5

%description   -n gem-ffi-doc
Ruby foreign function interface documentation files.

Ruby-FFI is a gem for programmatically loading dynamically-linked native
libraries, binding functions within them, and calling those functions from Ruby
code. Moreover, a Ruby-FFI extension works without changes on CRuby (MRI),
JRuby, Rubinius and TruffleRuby. Discover why you should write your next
extension using Ruby-FFI.

%description   -n gem-ffi-doc -l ru_RU.UTF-8
Файлы сведений для самоцвета ffi.


%package       -n gem-ffi-devel
Version:       1.15.5
Release:       alt1
Summary:       Ruby foreign function interface development package
Summary(ru_RU.UTF-8): Файлы для разработки самоцвета ffi
Group:         Development/Ruby
BuildArch:     noarch

Requires:      gem(ffi) = 1.15.5
Requires:      gem(rake) >= 13.0 gem(rake) < 14
Requires:      gem(rake-compiler) >= 1.0 gem(rake-compiler) < 2
Requires:      gem(rake-compiler-dock) >= 0.7.2 gem(rake-compiler-dock) < 2
Requires:      gem(rspec) >= 2.14.1 gem(rspec) < 4

%description   -n gem-ffi-devel
Ruby foreign function interface development package.

Ruby-FFI is a gem for programmatically loading dynamically-linked native
libraries, binding functions within them, and calling those functions from Ruby
code. Moreover, a Ruby-FFI extension works without changes on CRuby (MRI),
JRuby, Rubinius and TruffleRuby. Discover why you should write your next
extension using Ruby-FFI.

%description   -n gem-ffi-devel -l ru_RU.UTF-8
Файлы для разработки самоцвета ffi.


%prep
%setup

%build
%ruby_build

%install
%ruby_install

%check
%ruby_test

%files
%doc README.md
%ruby_gemspec
%ruby_gemlibdir
%ruby_gemextdir

%files         -n gem-ffi-doc
%doc README.md
%ruby_gemdocdir

%files         -n gem-ffi-devel
%doc README.md
%ruby_includedir/*


%changelog
