%define        gemname flexmock

Name:          gem-flexmock
Version:       2.3.6.1
Release:       alt1.1
Summary:       Simple mock object library for Ruby unit testing
License:       MIT
Group:         Development/Ruby
Url:           https://github.com/doudou/flexmock
Vcs:           https://github.com/doudou/flexmock.git
Packager:      Ruby Maintainers Team <ruby@packages.altlinux.org>
BuildArch:     noarch

Source:        %name-%version.tar
BuildRequires(pre): rpm-build-ruby
%if_with check
BuildRequires: gem(minitest) >= 0
BuildRequires: gem(rake) >= 0
BuildRequires: gem(simplecov) >= 0.11.0
BuildRequires: gem(coveralls) >= 0
BuildRequires: gem(rspec) >= 2.11
%endif

%add_findreq_skiplist %ruby_gemslibdir/**/*
%add_findprov_skiplist %ruby_gemslibdir/**/*
Obsoletes:     ruby-flexmock < %EVR
Provides:      ruby-flexmock = %EVR
Provides:      gem(flexmock) = 2.3.6.1

%ruby_use_gem_version flexmock:2.3.6.1

%description
FlexMock is a simple, but flexible, mock object library for Ruby unit testing.


%package       -n gem-flexmock-doc
Version:       2.3.6.1
Release:       alt1.1
Summary:       Simple mock object library for Ruby unit testing documentation files
Summary(ru_RU.UTF-8): Файлы сведений для самоцвета flexmock
Group:         Development/Documentation
BuildArch:     noarch

Requires:      gem(flexmock) = 2.3.6.1

%description   -n gem-flexmock-doc
Simple mock object library for Ruby unit testing documentation files.

FlexMock is a simple, but flexible, mock object library for Ruby unit testing.

%description   -n gem-flexmock-doc -l ru_RU.UTF-8
Файлы сведений для самоцвета flexmock.


%package       -n gem-flexmock-devel
Version:       2.3.6.1
Release:       alt1.1
Summary:       Simple mock object library for Ruby unit testing development package
Summary(ru_RU.UTF-8): Файлы для разработки самоцвета flexmock
Group:         Development/Ruby
BuildArch:     noarch

Requires:      gem(flexmock) = 2.3.6.1
Requires:      gem(minitest) >= 0
Requires:      gem(rake) >= 0
Requires:      gem(simplecov) >= 0.11.0
Requires:      gem(coveralls) >= 0
Requires:      gem(rspec) >= 2.11

%description   -n gem-flexmock-devel
Simple mock object library for Ruby unit testing development package.

FlexMock is a simple, but flexible, mock object library for Ruby unit testing.

%description   -n gem-flexmock-devel -l ru_RU.UTF-8
Файлы для разработки самоцвета flexmock.


%prep
%setup

%build
%ruby_build

%install
%ruby_install

%check
%ruby_test

%files
%doc README.md
%ruby_gemspec
%ruby_gemlibdir

%files         -n gem-flexmock-doc
%doc README.md
%ruby_gemdocdir

%files         -n gem-flexmock-devel
%doc README.md


%changelog
