%define        gemname highline

Name:          gem-highline
Epoch:         1
Version:       2.0.3
Release:       alt1
Summary:       HighLine is a high-level command-line IO Ruby library
License:       Ruby
Group:         Development/Ruby
Url:           https://github.com/JEG2/highline
Vcs:           https://github.com/jeg2/highline.git
Packager:      Ruby Maintainers Team <ruby@packages.altlinux.org>
BuildArch:     noarch

Source:        %name-%version.tar
BuildRequires(pre): rpm-build-ruby
BuildRequires: gem(bundler) >= 0
BuildRequires: gem(rake) >= 0
BuildRequires: gem(minitest) >= 0

%add_findreq_skiplist %ruby_gemslibdir/**/*
%add_findprov_skiplist %ruby_gemslibdir/**/*
Obsoletes:     ruby-highline < %EVR
Provides:      ruby-highline = %EVR
Provides:      gem(highline) = 2.0.3


%description
A high-level IO library that provides validation, type conversion, and more for
command-line interfaces. HighLine also includes a complete menu system that can
crank out anything from simple list selection to complete shells with just
minutes of work.


%package       -n gem-highline-doc
Version:       2.0.3
Release:       alt1
Summary:       HighLine is a high-level command-line IO Ruby library documentation files
Summary(ru_RU.UTF-8): Файлы сведений для самоцвета highline
Group:         Development/Documentation
BuildArch:     noarch

Requires:      gem(highline) = 2.0.3

%description   -n gem-highline-doc
HighLine is a high-level command-line IO Ruby library documentation files.

A high-level IO library that provides validation, type conversion, and more for
command-line interfaces. HighLine also includes a complete menu system that can
crank out anything from simple list selection to complete shells with just
minutes of work.

%description   -n gem-highline-doc -l ru_RU.UTF-8
Файлы сведений для самоцвета highline.


%package       -n gem-highline-devel
Version:       2.0.3
Release:       alt1
Summary:       HighLine is a high-level command-line IO Ruby library development package
Summary(ru_RU.UTF-8): Файлы для разработки самоцвета highline
Group:         Development/Ruby
BuildArch:     noarch

Requires:      gem(highline) = 2.0.3
Requires:      gem(bundler) >= 0
Requires:      gem(rake) >= 0
Requires:      gem(minitest) >= 0

%description   -n gem-highline-devel
HighLine is a high-level command-line IO Ruby library development package.

A high-level IO library that provides validation, type conversion, and more for
command-line interfaces. HighLine also includes a complete menu system that can
crank out anything from simple list selection to complete shells with just
minutes of work.

%description   -n gem-highline-devel -l ru_RU.UTF-8
Файлы для разработки самоцвета highline.


%prep
%setup

%build
%ruby_build

%install
%ruby_install

%check
%ruby_test

%files
%doc README.md
%ruby_gemspec
%ruby_gemlibdir

%files         -n gem-highline-doc
%doc README.md
%ruby_gemdocdir

%files         -n gem-highline-devel
%doc README.md


%changelog
