%define        gemname i18n

Name:          gem-i18n
Version:       1.10.0
Release:       alt1
Summary:       I18n and localization solution for Ruby
License:       MIT
Group:         Development/Ruby
Url:           https://github.com/svenfuchs/i18n
Vcs:           https://github.com/svenfuchs/i18n.git
Packager:      Ruby Maintainers Team <ruby@packages.altlinux.org>
BuildArch:     noarch

Source:        %name-%version.tar
BuildRequires(pre): rpm-build-ruby
BuildRequires: tzdata
BuildRequires: gem(concurrent-ruby) >= 1.0 gem(concurrent-ruby) < 2

%add_findreq_skiplist %ruby_gemslibdir/**/*
%add_findprov_skiplist %ruby_gemslibdir/**/*
Requires:      gem(concurrent-ruby) >= 1.0 gem(concurrent-ruby) < 2
Obsoletes:     ruby-i18n < %EVR
Provides:      ruby-i18n = %EVR
Provides:      gem(i18n) = 1.10.0


%description
Ruby internationalization and localization (i18n) solution.


%package       -n gem-i18n-doc
Version:       1.10.0
Release:       alt1
Summary:       I18n and localization solution for Ruby documentation files
Summary(ru_RU.UTF-8): Файлы сведений для самоцвета i18n
Group:         Development/Documentation
BuildArch:     noarch

Requires:      gem(i18n) = 1.10.0

%description   -n gem-i18n-doc
I18n and localization solution for Ruby documentation files.

Ruby internationalization and localization (i18n) solution.

%description   -n gem-i18n-doc -l ru_RU.UTF-8
Файлы сведений для самоцвета i18n.


%package       -n gem-i18n-devel
Version:       1.10.0
Release:       alt1
Summary:       I18n and localization solution for Ruby development package
Summary(ru_RU.UTF-8): Файлы для разработки самоцвета i18n
Group:         Development/Ruby
BuildArch:     noarch

Requires:      gem(i18n) = 1.10.0

%description   -n gem-i18n-devel
I18n and localization solution for Ruby development package.

Ruby internationalization and localization (i18n) solution.

%description   -n gem-i18n-devel -l ru_RU.UTF-8
Файлы для разработки самоцвета i18n.


%prep
%setup

%build
%ruby_build

%install
%ruby_install

%check
%ruby_test

%files
%doc README.md
%ruby_gemspec
%ruby_gemlibdir

%files         -n gem-i18n-doc
%doc README.md
%ruby_gemdocdir

%files         -n gem-i18n-devel
%doc README.md


%changelog
