%define        gemname kgio

Name:          gem-kgio
Version:       2.11.4
Release:       alt1
Summary:       kinder, gentler I/O for Ruby
License:       LGPL-2.1+
Group:         Development/Ruby
Url:           https://bogomips.org/kgio
Vcs:           https://bogomips.org/kgio.git
Packager:      Ruby Maintainers Team <ruby@packages.altlinux.org>

Source:        %name-%version.tar
BuildRequires(pre): rpm-build-ruby
BuildRequires: gem(test-unit) >= 3.0 gem(test-unit) < 4

%add_findreq_skiplist %ruby_gemslibdir/**/*
%add_findprov_skiplist %ruby_gemslibdir/**/*
Obsoletes:     ruby-kgio < %EVR
Provides:      ruby-kgio = %EVR
Provides:      gem(kgio) = 2.11.4


%description
kgio provides non-blocking I/O methods for Ruby without raising exceptions on
EAGAIN and EINPROGRESS. It is intended for use with the Unicorn and Rainbows!
Rack servers, but may be used by other applications (that run on Unix-like
platforms).


%package       -n gem-kgio-doc
Version:       2.11.4
Release:       alt1
Summary:       kinder, gentler I/O for Ruby documentation files
Summary(ru_RU.UTF-8): Файлы сведений для самоцвета kgio
Group:         Development/Documentation
BuildArch:     noarch

Requires:      gem(kgio) = 2.11.4

%description   -n gem-kgio-doc
kinder, gentler I/O for Ruby documentation files.

kgio provides non-blocking I/O methods for Ruby without raising exceptions on
EAGAIN and EINPROGRESS. It is intended for use with the Unicorn and Rainbows!
Rack servers, but may be used by other applications (that run on Unix-like
platforms).

%description   -n gem-kgio-doc -l ru_RU.UTF-8
Файлы сведений для самоцвета kgio.


%package       -n gem-kgio-devel
Version:       2.11.4
Release:       alt1
Summary:       kinder, gentler I/O for Ruby development package
Summary(ru_RU.UTF-8): Файлы для разработки самоцвета kgio
Group:         Development/Ruby
BuildArch:     noarch

Requires:      gem(kgio) = 2.11.4
Requires:      gem(test-unit) >= 3.0 gem(test-unit) < 4

%description   -n gem-kgio-devel
kinder, gentler I/O for Ruby development package.

kgio provides non-blocking I/O methods for Ruby without raising exceptions on
EAGAIN and EINPROGRESS. It is intended for use with the Unicorn and Rainbows!
Rack servers, but may be used by other applications (that run on Unix-like
platforms).

%description   -n gem-kgio-devel -l ru_RU.UTF-8
Файлы для разработки самоцвета kgio.


%prep
%setup

%build
%ruby_build

%install
%ruby_install

%check
%ruby_test

%files
%doc README
%ruby_gemspec
%ruby_gemlibdir
%ruby_gemextdir

%files         -n gem-kgio-doc
%doc README
%ruby_gemdocdir

%files         -n gem-kgio-devel
%doc README
%ruby_includedir/*


%changelog
