%define        gemname libxml-ruby

Name:          gem-libxml-ruby
Version:       3.2.3
Release:       alt2
Summary:       Ruby language bindings for the GNOME Libxml2 XML toolkit
License:       MIT
Group:         Development/Ruby
Url:           http://xml4r.github.io/libxml-ruby
Vcs:           https://github.com/xml4r/libxml-ruby.git
Packager:      Ruby Maintainers Team <ruby@packages.altlinux.org>

Source:        %name-%version.tar
Patch:         %name-%version-%release.patch
BuildRequires(pre): rpm-build-ruby
BuildRequires: libxml2-devel
BuildRequires: zlib-devel
BuildRequires: gem(rake-compiler) >= 0
BuildRequires: gem(minitest) >= 0

%add_findreq_skiplist %ruby_gemslibdir/**/*
%add_findprov_skiplist %ruby_gemslibdir/**/*
Obsoletes:     libxml-ruby < %EVR
Provides:      libxml-ruby = %EVR
Provides:      gem(libxml-ruby) = 3.2.3


%description
The LibXML/Ruby project provides Ruby language bindings for the GNOME Libxml2
XML toolkit.


%package       -n gem-libxml-ruby-doc
Version:       3.2.3
Release:       alt1
Summary:       Ruby language bindings for the GNOME Libxml2 XML toolkit documentation files
Summary(ru_RU.UTF-8): Файлы сведений для самоцвета libxml-ruby
Group:         Development/Documentation
BuildArch:     noarch

Requires:      gem(libxml-ruby) = 3.2.3
Obsoletes:     libxml-ruby-doc < %EVR
Provides:      libxml-ruby-doc = %EVR

%description   -n gem-libxml-ruby-doc
Ruby language bindings for the GNOME Libxml2 XML toolkit documentation files.

%description   -n gem-libxml-ruby-doc -l ru_RU.UTF-8
Файлы сведений для самоцвета libxml-ruby.


%package       -n gem-libxml-ruby-devel
Version:       3.2.3
Release:       alt1
Summary:       Ruby language bindings for the GNOME Libxml2 XML toolkit development package
Summary(ru_RU.UTF-8): Файлы для разработки самоцвета libxml-ruby
Group:         Development/Ruby
BuildArch:     noarch

Requires:      gem(libxml-ruby) = 3.2.3
Requires:      gem(rake-compiler) >= 0
Requires:      gem(minitest) >= 0

%description   -n gem-libxml-ruby-devel
Ruby language bindings for the GNOME Libxml2 XML toolkit development package.

%description   -n gem-libxml-ruby-devel -l ru_RU.UTF-8
Файлы для разработки самоцвета libxml-ruby.


%prep
%setup
%patch -p1

%build
%ruby_build

%install
%ruby_install

%check
%ruby_test

%files
%doc README.rdoc
%ruby_gemspec
%ruby_gemlibdir
%ruby_gemextdir

%files         -n gem-libxml-ruby-doc
%doc README.rdoc
%ruby_gemdocdir

%files         -n gem-libxml-ruby-devel
%doc README.rdoc
%ruby_includedir/*


%changelog
