%define        gemname pg

Name:          gem-pg
Version:       1.3.5
Release:       alt1
Summary:       Ruby interface to PostgreSQL RDBMS
License:       BSD-2-Clause
Group:         Development/Ruby
Url:           https://bitbucket.org/ged/ruby-pg/
Vcs:           https://bitbucket.org/ged/ruby-pg.git
Packager:      Ruby Maintainers Team <ruby@packages.altlinux.org>

Source:        %name-%version.tar
BuildRequires(pre): rpm-build-ruby
BuildRequires: postgresql-devel
BuildRequires: uni2ascii

%add_findreq_skiplist %ruby_gemslibdir/**/*
%add_findprov_skiplist %ruby_gemslibdir/**/*
Obsoletes:     ruby-pg < %EVR
Provides:      ruby-pg = %EVR
Provides:      gem(pg) = 1.3.5


%description
This is the extension library to access a PostgreSQL database from Ruby. This
library works with PostgreSQL 6.4-8.x; it probably works with 6.3 or earlier
with slight modification, but not tested at all.


%package       -n gem-pg-doc
Version:       1.3.5
Release:       alt1
Summary:       Ruby interface to PostgreSQL RDBMS documentation files
Summary(ru_RU.UTF-8): Файлы сведений для самоцвета pg
Group:         Development/Documentation
BuildArch:     noarch

Requires:      gem(pg) = 1.3.5

%description   -n gem-pg-doc
Ruby interface to PostgreSQL RDBMS documentation files.

This is the extension library to access a PostgreSQL database from Ruby. This
library works with PostgreSQL 6.4-8.x; it probably works with 6.3 or earlier
with slight modification, but not tested at all.

%description   -n gem-pg-doc -l ru_RU.UTF-8
Файлы сведений для самоцвета pg.


%package       -n gem-pg-devel
Version:       1.3.5
Release:       alt1
Summary:       Ruby interface to PostgreSQL RDBMS development package
Summary(ru_RU.UTF-8): Файлы для разработки самоцвета pg
Group:         Development/Ruby
BuildArch:     noarch

Requires:      gem(pg) = 1.3.5
Requires:      postgresql-devel

%description   -n gem-pg-devel
Ruby interface to PostgreSQL RDBMS development package.

This is the extension library to access a PostgreSQL database from Ruby. This
library works with PostgreSQL 6.4-8.x; it probably works with 6.3 or earlier
with slight modification, but not tested at all.

%description   -n gem-pg-devel -l ru_RU.UTF-8
Файлы для разработки самоцвета pg.


%prep
%setup

%build
%ruby_build

%install
%ruby_install

%check
%ruby_test

%files
%doc README.rdoc README.ja.rdoc
%ruby_gemspec
%ruby_gemlibdir
%ruby_gemextdir

%files         -n gem-pg-doc
%doc README.rdoc README.ja.rdoc
%ruby_gemdocdir

%files         -n gem-pg-devel
%doc README.rdoc README.ja.rdoc
%ruby_includedir/*


%changelog
