%define        gemname psych

Name:          gem-psych
Version:       4.0.4
Release:       alt1
Summary:       A libyaml wrapper for Ruby
License:       MIT
Group:         Development/Ruby
Url:           https://github.com/ruby/psych
Vcs:           https://github.com/ruby/psych.git
Packager:      Ruby Maintainers Team <ruby@packages.altlinux.org>

Source:        %name-%version.tar
BuildRequires(pre): rpm-build-ruby
BuildRequires: gem(stringio) >= 0

%add_findreq_skiplist %ruby_gemslibdir/**/*
%add_findprov_skiplist %ruby_gemslibdir/**/*
Requires:      gem(stringio) >= 0
Provides:      gem(psych) = 4.0.4


%description
Psych is a YAML parser and emitter. Psych leverages libyaml for its YAML parsing
and emitting capabilities. In addition to wrapping libyaml, Psych also knows how
to serialize and de-serialize most Ruby objects to and from the YAML format.


%package       -n gem-psych-doc
Version:       4.0.4
Release:       alt1
Summary:       A libyaml wrapper for Ruby documentation files
Summary(ru_RU.UTF-8): Файлы сведений для самоцвета psych
Group:         Development/Documentation
BuildArch:     noarch

Requires:      gem(psych) = 4.0.4

%description   -n gem-psych-doc
A libyaml wrapper for Ruby documentation files.

Psych is a YAML parser and emitter. Psych leverages libyaml for its YAML parsing
and emitting capabilities. In addition to wrapping libyaml, Psych also knows how
to serialize and de-serialize most Ruby objects to and from the YAML format.

%description   -n gem-psych-doc -l ru_RU.UTF-8
Файлы сведений для самоцвета psych.


%package       -n gem-psych-devel
Version:       4.0.4
Release:       alt1
Summary:       A libyaml wrapper for Ruby development package
Summary(ru_RU.UTF-8): Файлы для разработки самоцвета psych
Group:         Development/Ruby
BuildArch:     noarch

Requires:      gem(psych) = 4.0.4

%description   -n gem-psych-devel
A libyaml wrapper for Ruby development package.

Psych is a YAML parser and emitter. Psych leverages libyaml for its YAML parsing
and emitting capabilities. In addition to wrapping libyaml, Psych also knows how
to serialize and de-serialize most Ruby objects to and from the YAML format.

%description   -n gem-psych-devel -l ru_RU.UTF-8
Файлы для разработки самоцвета psych.


%prep
%setup

%build
%ruby_build

%install
%ruby_install

%check
%ruby_test

%files
%doc README.md
%ruby_gemspec
%ruby_gemlibdir
%ruby_gemextdir

%files         -n gem-psych-doc
%doc README.md
%ruby_gemdocdir

%files         -n gem-psych-devel
%doc README.md
%ruby_includedir/*


%changelog
