%define        gemname puppet
%define        _unpackaged_files_terminate_build 1
%define        confdir ext/redhat

Name:          gem-puppet
Version:       7.20.0
Release:       alt1
Summary:       A network tool for managing many disparate systems
License:       Apache-2.0
Group:         Development/Ruby
Url:           https://puppet.com/
Vcs:           https://github.com/puppetlabs/puppet.git
Packager:      Pavel Skrylev <majioa@altlinux.org>
BuildArch:     noarch

Source5:       puppet.conf
Source4:       auth.conf
Source3:       puppet-nm-dispatcher
Source2:       puppet.service
Source1:       client.init
Source:        %name-%version.tar
Patch4:        fix_yaml.patch
Patch3:        puppet-alt-aptrpm-osfamily.patch
Patch2:        puppet-fix-locale-loading.patch
Patch1:        puppet-alt-adjust-default-paths.patch
BuildRequires(pre): rpm-build-ruby
BuildRequires: gem(facter) >= 2.4.0 gem(facter) < 5
BuildRequires: gem(hiera) >= 3.2.1 gem(hiera) < 4
BuildRequires: gem(semantic_puppet) >= 1.0 gem(semantic_puppet) < 2
BuildRequires: gem(fast_gettext) >= 1.1 gem(fast_gettext) < 3
BuildRequires: gem(locale) >= 2.1 gem(locale) < 3
BuildRequires: gem(multi_json) >= 1.13 gem(multi_json) < 2
BuildRequires: gem(concurrent-ruby) >= 1.0 gem(concurrent-ruby) < 2
BuildRequires: gem(deep_merge) >= 1.0 gem(deep_merge) < 2
BuildRequires: gem(scanf) >= 1.0 gem(scanf) < 2
BuildRequires: gem(CFPropertyList) >= 2.2 gem(CFPropertyList) < 4
BuildRequires: gem(gettext-setup) >= 1.0.1 gem(gettext-setup) < 1.1

%add_findreq_skiplist %ruby_gemslibdir/**/*
%add_findprov_skiplist %ruby_gemslibdir/**/*
%ruby_use_gem_dependency CFPropertyList >= 2.2,CFPropertyList < 4
%ruby_use_gem_dependency gettext-setup >= 1.1,gettext-setup < 2
Requires:      gem(facter) >= 2.4.0 gem(facter) < 5
Requires:      gem(hiera) >= 3.2.1 gem(hiera) < 4
Requires:      gem(semantic_puppet) >= 1.0 gem(semantic_puppet) < 2
Requires:      gem(fast_gettext) >= 1.1 gem(fast_gettext) < 3
Requires:      gem(locale) >= 2.1 gem(locale) < 3
Requires:      gem(multi_json) >= 1.13 gem(multi_json) < 2
Requires:      gem(concurrent-ruby) >= 1.0 gem(concurrent-ruby) < 2
Requires:      gem(deep_merge) >= 1.0 gem(deep_merge) < 2
Requires:      gem(scanf) >= 1.0 gem(scanf) < 2
Requires:      gem(CFPropertyList) >= 2.2 gem(CFPropertyList) < 4
Requires:      puppet = %EVR
Provides:      gem(puppet) = %EVR

%ruby_use_gem_version puppet:%version

%description
Puppet lets you centrally manage every important aspect of your system using a
cross-platform specification language that manages all the separate elements
normally aggregated in different files, like users, cron jobs, and hosts, along
with obviously discrete elements like packages, services, and files.


%package       -n puppet
Summary:       A network tool for managing many disparate systems executable(s)
Summary(ru_RU.UTF-8): Исполнямка для самоцвета puppet
Group:         System/Servers
BuildArch:     noarch

Requires:      gem(puppet) = %EVR
Requires:      shadow-change
Requires(preun,post): %name = %EVR

%description   -n puppet
A network tool for managing many disparate systems executable(s).

Puppet lets you centrally manage every important aspect of your system using a
cross-platform specification language that manages all the separate elements
normally aggregated in different files, like users, cron jobs, and hosts, along
with obviously discrete elements like packages, services, and files.

%description   -n puppet -l ru_RU.UTF-8
Исполнямка для самоцвета puppet.


%package       -n gem-puppet-doc
Summary:       A network tool for managing many disparate systems documentation files
Summary(ru_RU.UTF-8): Файлы сведений для самоцвета puppet
Group:         Development/Documentation
BuildArch:     noarch

Requires:      gem(puppet) = %EVR

%description   -n gem-puppet-doc
A network tool for managing many disparate systems documentation files.

Puppet lets you centrally manage every important aspect of your system using a
cross-platform specification language that manages all the separate elements
normally aggregated in different files, like users, cron jobs, and hosts, along
with obviously discrete elements like packages, services, and files.

%description   -n gem-puppet-doc -l ru_RU.UTF-8
Файлы сведений для самоцвета puppet.


%package       -n gem-puppet-devel
Summary:       A network tool for managing many disparate systems development package
Summary(ru_RU.UTF-8): Файлы для разработки самоцвета puppet
Group:         Development/Ruby
BuildArch:     noarch

Requires:      gem(puppet) = %EVR
Requires:      gem(gettext-setup) >= 1.0.1 gem(gettext-setup) < 1.1
Requires:      gem(CFPropertyList) >= 3.0 gem(CFPropertyList) < 4

%description   -n gem-puppet-devel
A network tool for managing many disparate systems development package.

Puppet lets you centrally manage every important aspect of your system using a
cross-platform specification language that manages all the separate elements
normally aggregated in different files, like users, cron jobs, and hosts, along
with obviously discrete elements like packages, services, and files.

%description   -n gem-puppet-devel -l ru_RU.UTF-8
Файлы для разработки самоцвета puppet.


%prep
%setup
%autopatch -p1

%build
%ruby_build

%install
%ruby_install

# SysVInit files
install -Dp -m0644 %confdir/client.sysconfig %buildroot%_sysconfdir/sysconfig/puppet
install -Dp -m0755 %SOURCE1 %buildroot%_initrddir/puppet
# Systemd files
install -Dp -m0644 %SOURCE2 %buildroot%_unitdir/puppet.service
ln -s %_unitdir/puppet.service %buildroot%_unitdir/puppetagent.service

install -Dp -m0644 conf/fileserver.conf %buildroot%_sysconfdir/puppet/fileserver.conf

# Create other configuration directories
mkdir -p %buildroot%_sysconfdir/puppet/ssl/{public_keys,certificate_requests,certs,ca/requests,ca/private,ca/signed,private,private_keys}
mkdir -p %buildroot%_sysconfdir/puppet/code/environments/production/manifests

# Setup tmpfiles.d config
mkdir -p %buildroot%_tmpfilesdir
echo "D /run/%gemname 0755 _%gemname %gemname -" > \
    %buildroot%_tmpfilesdir/%gemname.conf

# Create puppet modules directory for puppet module tool
mkdir -p %buildroot%_sysconfdir/%gemname/code/modules
touch %buildroot%_sysconfdir/puppet/code/modules/.dir

# Create service directory
mkdir -p %buildroot{%_cachedir,%_logdir,/run}/puppet

# Create puppet modules link
ln -s %_libexecdir/puppet-modules %buildroot%ruby_gemlibdir/vendor_modules

# Install NetworkManager dispatcher
install -Dpv %SOURCE3 \
    %buildroot%_sysconfdir/NetworkManager/dispatcher.d/98-%{name}

touch %buildroot%_sysconfdir/puppet/autosign.conf
install -Dm644 %SOURCE4 %buildroot%_sysconfdir/puppet/auto.conf
install -Dm644 %SOURCE5 %buildroot%_sysconfdir/puppet/puppet.conf

# link to gem library code base
ln -s %ruby_gemlibdir %buildroot%_datadir/%gemname

# TODO fix backward link to a foreman ? from theforeman-foreman
ln -s %_libexecdir/puppet-modules/theforeman-foreman/files/foreman-report_v2.rb %buildroot%ruby_gemlibdir/lib/puppet/reports/foreman.rb

# Create public subdirectory
mkdir -p %buildroot%ruby_gemlibdir/public
touch %buildroot%ruby_gemlibdir/public/.dir

# Create locale and modules directories
mkdir -p %buildroot%_datadir/puppet-locale %buildroot%_libexecdir/puppet-modules
touch %buildroot%_datadir/puppet-locale/.dir %buildroot%_libexecdir/puppet-modules/.dir

# Remove demo files
rm -rf %buildroot%_libexecdir/demo %buildroot%_datadir/ri/demo

%check
%ruby_test

%pre           -n puppet
[ ! -d %_sysconfdir/puppetlabs/puppet/ssl ] || (
   cp -rf %_sysconfdir/puppetlabs/puppet/ssl %_sysconfdir/puppet &&
   rm -rf %_sysconfdir/puppetlabs/puppet/ssl)
getent group foreman >/dev/null || %_sbindir/groupadd -r foreman
getent group puppet >/dev/null || %_sbindir/groupadd -r puppet
%_sbindir/useradd -r -N -G puppet,foreman -d %_cachedir/puppet -s /dev/null -c Puppet _puppet >/dev/null 2>&1 ||:

%post          -n puppet
%post_service puppet
sed -e "s,sample.server.name,$(hostname)," \
    -i %_sysconfdir/puppet/puppet.conf

%preun         -n puppet
%preun_service puppet

%files
%doc README.md
%ruby_gemspec
%ruby_gemlibdir
%_libexecdir/puppet-modules

%files         -n puppet
%doc README.md
%_bindir/puppet
%_initdir/puppet
%_unitdir/puppet.service
%_unitdir/puppetagent.service
%config(noreplace) %_tmpfilesdir/%gemname.conf
%dir %_sysconfdir/puppet
%attr(0771,_puppet,puppet) %dir %_sysconfdir/puppet/ssl
%attr(0755,_puppet,puppet) %dir %_sysconfdir/puppet/ssl/public_keys
%attr(0755,_puppet,puppet) %dir %_sysconfdir/puppet/ssl/certificate_requests
%attr(0755,_puppet,puppet) %dir %_sysconfdir/puppet/ssl/certs
%attr(0755,_puppet,puppet) %dir %_sysconfdir/puppet/ssl/ca
%attr(0755,_puppet,puppet) %dir %_sysconfdir/puppet/ssl/ca/requests
%attr(0750,_puppet,puppet) %dir %_sysconfdir/puppet/ssl/ca/private
%attr(0755,_puppet,puppet) %dir %_sysconfdir/puppet/ssl/ca/signed
%attr(0750,_puppet,puppet) %dir %_sysconfdir/puppet/ssl/private
%attr(0750,_puppet,puppet) %dir %_sysconfdir/puppet/ssl/private_keys
%dir %_sysconfdir/puppet/code/environments
%dir %_sysconfdir/puppet/code/environments/production
%dir %_sysconfdir/puppet/code/environments/production/manifests
%dir %_sysconfdir/puppet/code
%_sysconfdir/puppet/code
%attr(0664,_puppet,puppet) %config(noreplace) %_sysconfdir/puppet/autosign.conf
%config(noreplace) %_sysconfdir/puppet/auto.conf
%config(noreplace) %_sysconfdir/puppet/puppet.conf
%config(noreplace) %_sysconfdir/sysconfig/puppet
%config(noreplace) %_sysconfdir/puppet/fileserver.conf
%_sysconfdir/NetworkManager/dispatcher.d/98-%{name}
%_datadir/puppet
%_datadir/puppet-locale
%attr(1770,_puppet,puppet) %dir %_cachedir/puppet
%_cachedir/puppet/
%attr(1770,_puppet,puppet) %dir %_logdir/puppet
%attr(1770,_puppet,puppet) %dir /run/puppet
%doc %_man8dir/*
%doc %_man5dir/puppet.conf.5*

%files         -n gem-puppet-doc
%doc README.md
%ruby_gemdocdir

%files         -n gem-puppet-devel
%doc README.md


%changelog
