%define        gemname racc

Name:          gem-racc
Epoch:         1
Version:       1.6.1
Release:       alt1
Summary:       Ruby LALR(1) parser generator
License:       Ruby or BSD-2-Clause
Group:         Development/Ruby
Url:           http://i.loveruby.net/en/projects/racc/
Vcs:           https://github.com/tenderlove/racc.git
Packager:      Ruby Maintainers Team <ruby@packages.altlinux.org>

Source:        %name-%version.tar
BuildRequires(pre): rpm-build-ruby
%if_with check
BuildRequires: gem(bundler) >= 0
BuildRequires: gem(rake) >= 0
BuildRequires: gem(rake-compiler) >= 0
BuildRequires: gem(test-unit) >= 0
%endif

%add_findreq_skiplist %ruby_gemslibdir/**/*
%add_findprov_skiplist %ruby_gemslibdir/**/*
Requires:      racc = %EVR
Obsoletes:     ruby-racc < %EVR
Provides:      ruby-racc = %EVR
Provides:      gem(racc) = 1.6.1

%ruby_on_build_rake_tasks compile

%description
Racc is an LALR(1) parser generator. It is written in ruby itself, and generates
ruby programs.

NOTE: Ruby 1.8.x comes with Racc runtime module. You can run your parsers
generated by racc 1.4.x out of the box.


%package       -n racc
Epoch:         1
Version:       1.6.1
Release:       alt1
Summary:       Ruby LALR(1) parser generator executable(s)
Summary(ru_RU.UTF-8): Исполнямка для самоцвета racc
Group:         Development/Other
BuildArch:     noarch

Requires:      gem(racc) = 1.6.1

%description   -n racc
Ruby LALR(1) parser generator executable(s).

Racc is an LALR(1) parser generator. It is written in ruby itself, and generates
ruby programs.

NOTE: Ruby 1.8.x comes with Racc runtime module. You can run your parsers
generated by racc 1.4.x out of the box.

%description   -n racc -l ru_RU.UTF-8
Исполнямка для самоцвета racc.


%package       -n gem-racc-doc
Epoch:         1
Version:       1.6.1
Release:       alt1
Summary:       Ruby LALR(1) parser generator documentation files
Summary(ru_RU.UTF-8): Файлы сведений для самоцвета racc
Group:         Development/Documentation
BuildArch:     noarch

Requires:      gem(racc) = 1.6.1

%description   -n gem-racc-doc
Ruby LALR(1) parser generator documentation files.

Racc is an LALR(1) parser generator. It is written in ruby itself, and generates
ruby programs.

NOTE: Ruby 1.8.x comes with Racc runtime module. You can run your parsers
generated by racc 1.4.x out of the box.

%description   -n gem-racc-doc -l ru_RU.UTF-8
Файлы сведений для самоцвета racc.


%package       -n gem-racc-devel
Epoch:         1
Version:       1.6.1
Release:       alt1
Summary:       Ruby LALR(1) parser generator development package
Summary(ru_RU.UTF-8): Файлы для разработки самоцвета racc
Group:         Development/Ruby
BuildArch:     noarch

Requires:      gem(racc) = 1.6.1
Requires:      gem(bundler) >= 0
Requires:      gem(rake) >= 0
Requires:      gem(rake-compiler) >= 0
Requires:      gem(test-unit) >= 0

%description   -n gem-racc-devel
Ruby LALR(1) parser generator development package.

Racc is an LALR(1) parser generator. It is written in ruby itself, and generates
ruby programs.

NOTE: Ruby 1.8.x comes with Racc runtime module. You can run your parsers
generated by racc 1.4.x out of the box.

%description   -n gem-racc-devel -l ru_RU.UTF-8
Файлы для разработки самоцвета racc.


%prep
%setup

%build
%ruby_build

%install
%ruby_install

%check
%ruby_test

%files
%doc README.ja.rdoc README.rdoc
%ruby_gemspec
%ruby_gemlibdir
%ruby_gemextdir

%files         -n racc
%doc README.ja.rdoc README.rdoc
%_bindir/racc

%files         -n gem-racc-doc
%doc README.ja.rdoc README.rdoc
%ruby_gemdocdir

%files         -n gem-racc-devel
%doc README.ja.rdoc README.rdoc


%changelog
