%define        gemname rake-compiler

Name:          gem-rake-compiler
Version:       1.2.0
Release:       alt1
Summary:       Provide a standard and simplified way to build and package Ruby C and Java extensions using Rake as glue
License:       MIT
Group:         Development/Ruby
Url:           https://github.com/rake-compiler/rake-compiler
Vcs:           https://github.com/rake-compiler/rake-compiler.git
Packager:      Ruby Maintainers Team <ruby@packages.altlinux.org>
BuildArch:     noarch

Source:        %name-%version.tar
BuildRequires(pre): rpm-build-ruby
BuildRequires: gem(rake) >= 0
BuildRequires: gem(bundler) >= 0
BuildRequires: gem(rspec) >= 2.8.0 gem(rspec) < 4
# BuildRequires: gem(cucumber) >= 1.1.4 gem(cucumber) < 1.2

%add_findreq_skiplist %ruby_gemslibdir/**/*
%add_findprov_skiplist %ruby_gemslibdir/**/*
%ruby_use_gem_dependency rspec >= 3.10.0,rspec < 4
Requires:      gem(rake) >= 0
Provides:      gem(rake-compiler) = 1.2.0


%description
rake-compiler is first and foremost a productivity tool for Ruby developers. Its
goal is to make the busy developer's life easier by simplifying the building and
packaging of Ruby extensions by simplifying code and reducing duplication.


%package       -n rake-compiler
Version:       1.2.0
Release:       alt1
Summary:       Provide a standard and simplified way to build and package Ruby C and Java extensions using Rake as glue executable(s)
Summary(ru_RU.UTF-8): Исполнямка для самоцвета rake-compiler
Group:         Other
BuildArch:     noarch

Requires:      gem(rake-compiler) = 1.2.0

%description   -n rake-compiler
Provide a standard and simplified way to build and package Ruby C and Java
extensions using Rake as glue executable(s).

rake-compiler is first and foremost a productivity tool for Ruby developers. Its
goal is to make the busy developer's life easier by simplifying the building and
packaging of Ruby extensions by simplifying code and reducing duplication.

%description   -n rake-compiler -l ru_RU.UTF-8
Исполнямка для самоцвета rake-compiler.


%package       -n gem-rake-compiler-doc
Version:       1.2.0
Release:       alt1
Summary:       Provide a standard and simplified way to build and package Ruby C and Java extensions using Rake as glue documentation files
Summary(ru_RU.UTF-8): Файлы сведений для самоцвета rake-compiler
Group:         Development/Documentation
BuildArch:     noarch

Requires:      gem(rake-compiler) = 1.2.0

%description   -n gem-rake-compiler-doc
Provide a standard and simplified way to build and package Ruby C and Java
extensions using Rake as glue documentation files.

rake-compiler is first and foremost a productivity tool for Ruby developers. Its
goal is to make the busy developer's life easier by simplifying the building and
packaging of Ruby extensions by simplifying code and reducing duplication.

%description   -n gem-rake-compiler-doc -l ru_RU.UTF-8
Файлы сведений для самоцвета rake-compiler.


%package       -n gem-rake-compiler-devel
Version:       1.2.0
Release:       alt1
Summary:       Provide a standard and simplified way to build and package Ruby C and Java extensions using Rake as glue development package
Summary(ru_RU.UTF-8): Файлы для разработки самоцвета rake-compiler
Group:         Development/Ruby
BuildArch:     noarch

Requires:      gem(rake-compiler) = 1.2.0
Requires:      gem(bundler) >= 0
Requires:      gem(rspec) >= 2.8.0 gem(rspec) < 4
# Requires:      gem(cucumber) >= 1.1.4 gem(cucumber) < 1.2

%description   -n gem-rake-compiler-devel
Provide a standard and simplified way to build and package Ruby C and Java
extensions using Rake as glue development package.

rake-compiler is first and foremost a productivity tool for Ruby developers. Its
goal is to make the busy developer's life easier by simplifying the building and
packaging of Ruby extensions by simplifying code and reducing duplication.

%description   -n gem-rake-compiler-devel -l ru_RU.UTF-8
Файлы для разработки самоцвета rake-compiler.


%prep
%setup

%build
%ruby_build

%install
%ruby_install

%check
%ruby_test

%files
%doc README.md
%ruby_gemspec
%ruby_gemlibdir

%files         -n rake-compiler
%doc README.md
%_bindir/rake-compiler

%files         -n gem-rake-compiler-doc
%doc README.md
%ruby_gemdocdir

%files         -n gem-rake-compiler-devel
%doc README.md


%changelog
