%define        gemname sqlite3

Name:          gem-sqlite3
Version:       1.5.4
Release:       alt1
Summary:       A Ruby interface for the SQLite database engine
License:       BSD-3-Clause
Group:         Development/Ruby
Url:           https://github.com/sparklemotion/sqlite3-ruby
Vcs:           https://github.com/sparklemotion/sqlite3-ruby.git
Packager:      Ruby Maintainers Team <ruby@packages.altlinux.org>

Source:        %name-%version.tar
BuildRequires(pre): rpm-build-ruby
BuildRequires: libsqlite3-devel
BuildRequires: gem(mini_portile2) >= 2.8.0 gem(mini_portile2) < 2.9
%if_with check
BuildRequires: gem(minitest) >= 5.15 gem(minitest) < 6
BuildRequires: gem(rake-compiler) >= 1.1.2 gem(rake-compiler) < 2
BuildRequires: gem(rake-compiler-dock) >= 0.7.2 gem(rake-compiler-dock) < 1.3
BuildRequires: gem(rdoc) >= 4.0 gem(rdoc) < 7
BuildRequires: gem(minitest) >= 5.15 gem(minitest) < 6
BuildRequires: gem(rake-compiler) >= 1.2.0 gem(rake-compiler) < 2
BuildRequires: gem(rake-compiler-dock) >= 1.2.1 gem(rake-compiler-dock) < 1.3
BuildRequires: gem(rdoc) >= 4.0 gem(rdoc) < 7
BuildRequires: gem(mini_portile2) >= 2.8.0 gem(mini_portile2) < 2.9
%endif

%add_findreq_skiplist %ruby_gemslibdir/**/*
%add_findprov_skiplist %ruby_gemslibdir/**/*
Requires:      gem(mini_portile2) >= 2.8.0 gem(mini_portile2) < 2.9
Obsoletes:     sqlite3-ruby < %EVR
Provides:      sqlite3-ruby = %EVR
Provides:      gem(sqlite3) = 1.5.4


%description
A Ruby interface for the SQLite database engine.


%package       -n gem-sqlite3-doc
Version:       1.5.4
Release:       alt1
Summary:       A Ruby interface for the SQLite database engine documentation files
Summary(ru_RU.UTF-8): Файлы сведений для самоцвета sqlite3
Group:         Development/Documentation
BuildArch:     noarch

Requires:      gem(sqlite3) = 1.5.4

%description   -n gem-sqlite3-doc
A Ruby interface for the SQLite database engine documentation files.

%description   -n gem-sqlite3-doc -l ru_RU.UTF-8
Файлы сведений для самоцвета sqlite3.


%package       -n gem-sqlite3-devel
Version:       1.5.4
Release:       alt1
Summary:       A Ruby interface for the SQLite database engine development package
Summary(ru_RU.UTF-8): Файлы для разработки самоцвета sqlite3
Group:         Development/Ruby
BuildArch:     noarch

Requires:      gem(sqlite3) = 1.5.4
Requires:      gem(minitest) >= 5.15 gem(minitest) < 6
Requires:      gem(rake-compiler) >= 1.2.0 gem(rake-compiler) < 2
Requires:      gem(rake-compiler-dock) >= 1.2.1 gem(rake-compiler-dock) < 1.3
Requires:      gem(rdoc) >= 4.0 gem(rdoc) < 7
Requires:      libsqlite3-devel

%description   -n gem-sqlite3-devel
A Ruby interface for the SQLite database engine development package.

%description   -n gem-sqlite3-devel -l ru_RU.UTF-8
Файлы для разработки самоцвета sqlite3.


%prep
%setup

%build
%ruby_build

%install
%ruby_install

%check
%ruby_test

%files
%doc README.md
%ruby_gemspec
%ruby_gemlibdir
%ruby_gemextdir

%files         -n gem-sqlite3-doc
%doc README.md
%ruby_gemdocdir

%files         -n gem-sqlite3-devel
%doc README.md
%ruby_includedir/*


%changelog
