%define name	gentoo
%define version	0.20.7
%define release	alt3

Summary: gentoo is a Gtk+ file manager for Linux
Name: %name
Version: %version
Release: %release
License: GPL
Group: File tools
# Automatically added by buildreq on Thu Nov 10 2005
BuildRequires: glib2-devel libgtk+2-devel libgtk+3-devel
BuildRequires: desktop-file-utils
BuildRequires: gtk3-demo libgail3-devel libgtk+3 libgtk+3-gir-devel
BuildRequires: gettext gettext-tools

Packager: Ilya Mashkin <oddity@altlinux.ru>
Url: https://sourceforge.net/projects/gentoo/
Source: http://downloads.sourceforge.net/%name/%name-%version.tar.gz
Source1: gentoo_16.xpm.bz2
Source2: gentoo_32.xpm.bz2
Source3: gentoo_48.xpm.bz2
Source4: gentoo.desktop
Patch1: gentoo-0.15.3-0.2-nmu.diff

%description
gentoo is a file manager for Linux written from scratch in pure C. It
uses the GTK+ toolkit for all of its interface needs. gentoo provides
100%% GUI configurability; no need to edit config files by hand and re-
start the program. gentoo supports identifying the type of various
files (using extension, regular expressions, and/or the 'file' command),
and can display files of different types with different colors and icons.
gentoo borrows some of its look and feel from the classic Amiga
file manager "Directory OPUS"(TM) (written by Jonathan Potter).

%prep
%setup
#patch1 -p0

# Don't define GTK_DISABLE_DEPRECATED since GtkComboBoxEntry is deprecated in
# GTK 2.23
sed -i -e '/GTK_DISABLE_DEPRECATED/d' configure

%build
%configure
%make_build

%install
install -d $RPM_BUILD_ROOT%_bindir
install -d $RPM_BUILD_ROOT%_libdir/gentoo/icons
install -d $RPM_BUILD_ROOT%_mandir/man1

install -s -m 755 src/gentoo	$RPM_BUILD_ROOT%_bindir
install -m 644 icons/*		$RPM_BUILD_ROOT%_libdir/gentoo/icons
install -m 644 docs/gentoo.1x*	$RPM_BUILD_ROOT%_mandir/man1

mkdir -p $RPM_BUILD_ROOT%_menudir
cat << EOF >  $RPM_BUILD_ROOT%_menudir/%name
?package(%name): \
	needs="x11" \
	section="Applications/File tools" \
	title="Gentoo" \
	longtitle="Gtk File Manager" \
	command="%_bindir/gentoo" \
	icon="%name.xpm"
EOF

mkdir -p $RPM_BUILD_ROOT%_niconsdir $RPM_BUILD_ROOT%_miconsdir $RPM_BUILD_ROOT%_liconsdir
bzcat %SOURCE1 > $RPM_BUILD_ROOT/%_miconsdir/%name.xpm
bzcat %SOURCE2 > $RPM_BUILD_ROOT/%_niconsdir/%name.xpm
bzcat %SOURCE3 > $RPM_BUILD_ROOT/%_liconsdir/%name.xpm

desktop-file-install --dir %buildroot%_datadir/applications %SOURCE4

%find_lang %name

%files -f %name.lang
%doc docs BUGS COPYING INSTALL README*
%_bindir/gentoo
%_libdir/gentoo
%_mandir/man1/gentoo.1x*
#_menudir/*
%_datadir/applications/gentoo.desktop
%_niconsdir/*.xpm
%_liconsdir/*.xpm
%_miconsdir/*.xpm

%changelog
