Name: gerbv
Version: 2.7.0
Release: alt1

Summary: Gerber file viewer

Packager: Vitaly Lipatov <lav@altlinux.ru>

Url: http://gerbv.gpleda.org/
License: GPL
Group: Graphics

# Source-url: http://downloads.sourceforge.net/gerbv/%name-%version.tar.gz
Source: %name-%version.tar

Patch1: %name-2.7.0-Fix-Werror-format-security-problem.patch
Patch3: gerbv-2.7.0-gcc10.patch

# Automatically added by buildreq on Wed Nov 12 2008
BuildRequires: desktop-file-utils gcc-c++ libgtk+2-devel libpng-devel

%description
Gerber Viewer (gerbv) is a viewer for Gerber files. Gerber files
are generated from PCB CAD system and sent to PCB manufacturers
as basis for the manufacturing process. The standard supported
by gerbv is RS-274X.

gerbv also supports drill files. The format supported are known
under names as NC-drill or Excellon. The format is a bit undefined
and different EDA-vendors implement it different.

%package examples
Summary: Gerber file examples for gerbv
Requires: gerbv
Group: Graphics
BuildArch: noarch

%description examples
Example files for gerbv.


%package -n lib%name
Summary: %name library files
Group: Development/Other

%description -n lib%name
lib%name library.


%package -n lib%name-devel
Summary: Header files for lib%name
Group: Development/Other
Requires: lib%name = %version-%release

%description -n lib%name-devel
Header files for lib%name library.

%prep
%setup
%patch1 -p1
%patch3 -p2

%build
%autoreconf
%configure --enable-exportpng --enable-gtk2 --disable-static
sed -ri 's/^(hardcode_libdir_flag_spec|runpath_var)=.*/\1=/' libtool
%make_build

%install
%makeinstall_std
mkdir -p %buildroot%_datadir/gerbv
cp -r example %buildroot%_datadir/gerbv
cp -r doc %buildroot%_datadir/gerbv

rm -f %buildroot%_desktopdir/*.cache

%find_lang %name

%files -f %name.lang
%dir %_datadir/gerbv
%dir %_datadir/gerbv/doc
%dir %_datadir/gerbv/scheme
%doc AUTHORS ChangeLog NEWS README TODO
%_bindir/gerbv
%_man1dir/gerbv.*
%_datadir/gerbv/doc/*
%_datadir/gerbv/scheme/*.scm
%_datadir/gerbv/gerbv_icon.ico
%_desktopdir/*.desktop
%_iconsdir/*/*/*/*

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_pkgconfigdir/*.pc
%_includedir/%name-*/
%_libdir/*.so

%files examples
%dir %_datadir/gerbv/example
%_datadir/gerbv/example/*

%changelog
