%define _libexecdir %_prefix/libexec

%define ver_major 2.10
%define oldver 2.0

%define mypaint_ver 1.3
%define brushes_ver 1.0

Name: gimp
Version: %ver_major.30
Release: alt1

Summary: The GNU Image Manipulation Program
License: %gpl3only
Group: Graphics
Url: http://www.gimp.org/

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Obsoletes: gimp2 < %version-%release
Provides: gimp2 = %version-%release
Conflicts: gimp2-perl create-resources <= 0.1.3-alt1
Requires: lib%name = %version-%release
Requires: iso-codes icc-profiles mypaint-brushes%brushes_ver

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires(pre): rpm-build-licenses
BuildRequires: bzlib-devel gcc-c++ gtk-doc gvfs intltool libXcursor-devel libXmu-devel libXpm-devel libalsa-devel libexpat-devel
BuildRequires: libgegl-devel libgexiv2-devel libgs-devel libgudev-devel liblcms2-devel liblzma-devel libmng-devel libopenjpeg2.0-devel
BuildRequires: libpoppler-glib-devel librsvg-devel libtiff-devel libwebkitgtk2-devel libwebp-devel libwmf-devel
BuildRequires: openexr-devel xdg-utils libpng-devel iso-codes-devel libheif-devel libXfixes-devel
BuildRequires: python-module-pycairo-devel python-module-pygtk-devel
BuildRequires: libmypaint-devel >= %mypaint_ver mypaint-brushes%brushes_ver-devel

%description
The GIMP (GNU Image Manipulation Program) is a powerful image
composition and editing program, which can be extremely useful for
creating logos and other graphics for Web pages.  The GIMP has many of
the tools and filters you would expect to find in similar commercial
offerings, and some interesting extras as well. The GIMP provides a
large image manipulation toolbox, including channel operations and
layers, effects, sub-pixel imaging and anti-aliasing, and conversions,
all with multi-level undo.

%package -n lib%name
Summary: GIMP libraries
Group: System/Libraries
License: %lgpl3only
Obsoletes: libgimp2 < %version-%release
Provides: libgimp2 = %version-%release

%description -n lib%name
Libraries used to communicate between The GIMP and other programs which
may function as "GIMP plugins".

%package -n lib%name-devel
Summary: GIMP plugin and extension development kit
Group: Graphics
Requires: lib%name = %version-%release
Obsoletes: libgimp2-devel < %version-%release
Provides: libgimp2-devel = %version-%release

%description -n lib%name-devel
Development libraries and header files for writing GIMP plugins and extensions.

%add_python_lib_path %_libdir/%name/%oldver/python

%prep
%setup -q
%patch -p1

%build
gtkdocize
%autoreconf
%configure \
	--with-gimpdir=%name \
	--enable-gtk-doc \
	--disable-gimp-console \
	--enable-python

%ifarch %e2k
# FIXME: lcc 1.23.12 and sisyphus_e2k's current libgraphite2/libharfbuzz =>
# /usr/bin/ld: core/libappcore.a(gimppickable-contiguous-region.o):
# undefined reference to symbol `__gxx_personality_v0'
sed -i '/^CCLD =/s/(CC)/(CXX)/' app/Makefile
%endif

%make_build V=1

%install
%make DESTDIR=%buildroot install

find %buildroot%_libdir/%name -name \*.la -delete

# Execute find_lang for all components and merge the resulting lists
%find_lang --output=global.lang gimp20 gimp20-libgimp gimp20-std-plug-ins gimp20-script-fu gimp20-tips gimp20-python

%files -f global.lang
%doc AUTHORS NEWS README README.i18n
%dir %_sysconfdir/%name
%dir %_sysconfdir/%name/%oldver
%config %_sysconfdir/%name/%oldver/*
%_bindir/%name
%_bindir/%name-*
%_libdir/%name
%_datadir/%name
%_datadir/metainfo/*.xml
%_iconsdir/hicolor/*/apps/*
%_desktopdir/%name.desktop
%_man1dir/*
%_man5dir/*

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_datadir/gtk-doc/html/*
%_includedir/*
%_bindir/gimptool*
%_libexecdir/gimp-debug-tool-2.0
%_libdir/*.so
%_pkgconfigdir/*.pc
%_datadir/aclocal/*

%changelog
