Group: Development/Java
BuildRequires: /proc rpm-build-java
BuildRequires: jpackage-11-compat
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# %%version is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define version 1.3.2
%global namedreltag %{nil}
%global namedversion %{version}%{?namedreltag}
%global oname javax.annotation-api
%global sname javax.annotation

Name:          glassfish-annotation-api
Version:       1.3.2
Release:       alt2_2jpp11
Summary:       Common Annotations API Specification (JSR 250)
License:       CDDL-1.1 or GPLv2 with exceptions

# NOTE: The new upstream repository under the Eclipse EE4J umbrella is here:
# https://github.com/eclipse-ee4j/common-annotations-api
# However, the new package provides a different groupId:artifactId.
URL:           https://github.com/javaee/%{sname}
Source0:       %{url}/archive/%{version}/%{sname}-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(net.java:jvnet-parent:pom:)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-remote-resources-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires: mvn(org.glassfish.build:spec-version-maven-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-javadoc-plugin)
# xmvn-builddep misses this one
BuildRequires: mvn(org.glassfish:legal)

BuildArch:     noarch
Source44: import.info

%description
Common Annotations APIs for the Java Platform (JSR 250).

%package javadoc
Group: Development/Java
Summary:       Javadoc for %{name}
BuildArch: noarch

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{sname}-%{namedversion}

%pom_remove_plugin :findbugs-maven-plugin
%pom_remove_plugin :maven-gpg-plugin

%mvn_file :%{oname} %{name}

%build
%mvn_build -- -Dmaven.compile.source=1.8 -Dmaven.compile.target=1.8 -Dmaven.javadoc.source=1.8

%install
%mvn_install

%files -f .mfiles
%doc --no-dereference LICENSE

%files javadoc -f .mfiles-javadoc
%doc --no-dereference LICENSE

%changelog
