Name: glaxium
Version: 0.5
Release: alt6.1.qa4

Group: Games/Arcade
Summary: OpenGL-based space-ship "shoot-em-up"
License: GPLv2
Url: http://xhosxe.free.fr/glaxium/
Packager: Ilya Mashkin <oddity@altlinux.ru>

Source: %{name}_%version.tar.gz
Source1: glaxuim.16.png
Source2: glaxuim.32.png
Source3: glaxuim.48.png

Patch1: glaxium_0.5_gl.patch
Patch2: glaxium_0.5_fix_stencil.patch
Patch3: glaxium-0.5-gcc41.patch
Patch4: glaxium-0.5-glut_initialisation.patch
Patch5: glaxium-0.5-alt-src-crash_fix.patch
Patch6: glaxium-0.5-alt-DSO.patch

# due to desktop file
Requires: /usr/bin/sound_wrapper

# Automatically added by buildreq on Tue Jun 10 2003
BuildRequires: libX11-devel libXmu-devel libXi-devel aalib gcc-c++ libGLU-devel libSDL-devel libSDL_mixer-devel libalsa-devel libaudiofile-devel libglut-devel libogg-devel libpng-devel libslang-devel libsmpeg-devel libvorbis-devel zlib-devel

%description
Glaxium is an OpenGL-based space-ship "shoot-em-up" styled game.
It is designed to provide the same feel as the old 2D games of that
type, but with 3D for the special effects.

%prep
%setup -n %{name}_%version
%patch1 -p1
%patch2 -p1
%patch3 -p0
%patch4 -p1
%patch5 -p2
%patch6 -p2

%build
%configure
%make_build

%install
install -pD -m755 %name %buildroot%_bindir/%name

mkdir -p %buildroot%_datadir/games/%name/{textures,samples}
install -p -m644 textures/* %buildroot%_datadir/games/%name/textures/
install -p -m644 samples/* %buildroot%_datadir/games/%name/samples/

# Menu entry
mkdir -p %buildroot%_desktopdir
cat > %buildroot%_desktopdir/%{name}.desktop <<EOF
[Desktop Entry]
Version=1.0
Type=Application
Name=Glaxium
Comment=OpenGL-based space-ship shoot-em-up
Icon=%{name}
#Exec=%_gamesbindir/%name
Exec=sound_wrapper %name
Terminal=false
Categories=Game;ArcadeGame;
EOF

install -D -m 644 %SOURCE1 %buildroot%_miconsdir/%name.png
install -D -m 644 %SOURCE2 %buildroot%_niconsdir/%name.png
install -D -m 644 %SOURCE3 %buildroot%_liconsdir/%name.png

mkdir -p %buildroot%_man6dir/

install -pD -m644 %name.6 %buildroot%_man6dir

%files
%_bindir/*
%_man6dir/*
%_miconsdir/*.png
%_niconsdir/*.png
%_liconsdir/*.png
%_desktopdir/%{name}.desktop
%_datadir/games/%name
%doc CHANGES* README*

%changelog
