%def_disable snapshot

%define _unpackaged_files_terminate_build 1
%define ver_major 40
%define xdg_name org.gnome.font-viewer

Name: gnome-font-viewer
Version: %ver_major.0
Release: alt1

Summary: The GNOME Font Viewer
Group: Graphical desktop/GNOME
License: GPL-2.0-or-later
Url: http://www.gnome.org

%if_disabled snapshot
Source: %gnome_ftp/%name/%ver_major/%name-%version.tar.xz
%else
Source: %name-%version.tar
%endif

%define glib_ver 2.56.0
%define gtk_ver 3.24.1
%define handy_ver 1.0.0

BuildRequires(pre): meson rpm-build-gnome
BuildRequires: libgio-devel >= %glib_ver libgtk+3-devel >= %gtk_ver
BuildRequires: fontconfig-devel libfreetype-devel libharfbuzz-devel
BuildRequires: libgnome-desktop3-devel
BuildRequires: pkgconfig(libhandy-1) >= %handy_ver

%description
GNOME Font Viewer is a simple application to preview fonts.

%prep
%setup

%build
%meson
%meson_build

%install
%meson_install
%find_lang --with-gnome %name

%files -f %name.lang
%_bindir/%name
%_bindir/gnome-thumbnail-font
%_desktopdir/%xdg_name.desktop
%_datadir/thumbnailers/%name.thumbnailer
%_datadir/dbus-1/services/%xdg_name.service
%_iconsdir/hicolor/*/*/%{xdg_name}*.svg
%_datadir/metainfo/%xdg_name.appdata.xml
%doc NEWS

%changelog
