Name: gnu-efi
Version: 3.0.12
Release: alt1
Epoch: 1
Summary: Building EFI applications using the GNU toolchain
# Intel and HP's BSD-like license, except setjmp code coming from GRUB
License: GPL v2+ (setjmp code), BSD-like (all the rest)
Group: Development/Other

Url: http://gnu-efi.sourceforge.net/
# git https://git.code.sf.net/p/gnu-efi/code
Source: %name-%version.tar
Patch: %name-%version-%release.patch
ExclusiveArch: %ix86 x86_64 armh aarch64
Conflicts: gnu-efi-3.0r gnu-efi-3.0u gnu-efi-3.0.5
%define efidir altlinux

%description
GNU-EFI development environment allows to create EFI applications
for IA-64 and x86 platforms using the GNU toolchain.

%prep
%setup
%patch0 -p1

%build
%make
%make apps
%ifarch x86_64
setarch linux32 -B make ARCH=ia32 PREFIX=%prefix LIBDIR=%prefix/lib
setarch linux32 -B make ARCH=ia32 PREFIX=%prefix LIBDIR=%prefix/lib apps
%endif


%install
%make install INSTALLROOT=%buildroot PREFIX=%prefix LIBDIR=%_libdir
%ifarch x86_64
setarch linux32 -B make PREFIX=%prefix LIBDIR=%_prefix/lib INSTALLROOT=%buildroot ARCH=ia32 install
%endif


%files
%doc ChangeLog README.* apps
%_libdir/libefi.a
%_libdir/libgnuefi.a
%_libdir/crt0-efi-*.o
%_libdir/elf_*_efi.lds
%ifarch x86_64
%_prefix/lib/*
%endif
%_includedir/efi

%changelog
