%set_verify_elf_method unresolved=strict

Name: gnustep-opal
Version: r37181
Release: alt6

Summary: Vector drawing library with an API similar to Quartz 2D

License: LGPLv2.1+
Group: Graphical desktop/GNUstep
Url: http://www.gnustep.org/

Packager: Andrey Cherepanov <cas@altlinux.org>

# http://svn.gna.org/svn/gnustep/libs/opal/trunk/
Source: %name-%version.tar
Patch1: link-libs.patch
Patch2: build-against-gcc-10.patch

ExcludeArch: aarch64

BuildRequires: gnustep-make-devel /proc
BuildRequires: gnustep-base-devel gnustep-corebase-devel libcairo-devel
BuildRequires: liblcms-devel libjpeg-devel libtiff-devel libpng-devel

Requires: lib%name = %version-%release
Requires: gnustep-back

%description
Opal is a vector drawing library with an API similar to
Quartz 2D. Opal is built on top of Cairo.

Opal is also a gemstone consisting of amorphous hydrated
silicon dioxide (SiO2 . nH2O) which is sometimes included
in the quartz group of minerals.

%package -n lib%name
Summary: Shared libraries of GNUstep's Opal
Group: System/Libraries

%description -n lib%name
Opal is a vector drawing library with an API similar to
Quartz 2D. Opal is built on top of Cairo.

Opal is also a gemstone consisting of amorphous hydrated
silicon dioxide (SiO2 . nH2O) which is sometimes included
in the quartz group of minerals.

This package contains shared libraries of Opal.

%package -n lib%name-devel
Summary: Development files of GNUstep's Opal
Group: Development/Objective-C
Provides: %name-devel = %version-%release
Requires: lib%name = %version-%release
Conflicts: libopal-devel

%description -n lib%name-devel
Opal is a vector drawing library with an API similar to
Quartz 2D. Opal is built on top of Cairo.

Opal is also a gemstone consisting of amorphous hydrated
silicon dioxide (SiO2 . nH2O) which is sometimes included
in the quartz group of minerals.

This package contains development files of Opal.

%prep
%setup
%patch1 -p1
%patch2 -p1
subst "s|png_sizeof|sizeof|" Source/OpalGraphics/image/OPImageCodecPNG.m

%build
. %_datadir/GNUstep/Makefiles/GNUstep.sh

%make_build \
	messages=yes \
	debug=yes \
	strip=no \
	shared=yes \
	CONFIG_SYSTEM_LIBS='-lX11 -lgnustep-base'
 
%install
. %_datadir/GNUstep/Makefiles/GNUstep.sh

%makeinstall_std GNUSTEP_INSTALLATION_DOMAIN=SYSTEM

%files
%doc ChangeLog README TODO
%_bindir/*

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so

%changelog
