# BEGIN SourceDeps(oneline):
BuildRequires: tex(dehypht.tex) tex(latex)
# END SourceDeps(oneline)
Name: gnustep-renaissance
Version: 0.9.0
Release: alt10
Summary: The GNUstep development framework
License: LGPLv2.1+
Group: Development/Tools
Url: http://www.gnustep.it/Renaissance/index.html
Packager: Andrey Cherepanov <cas@altlinux.org>

# http://svn.gna.org/svn/gnustep/libs/renaissance/trunk/
Source: %name-%version.tar
#Source1: %name.menu
Patch1: link-libs.patch

BuildPreReq: gnustep-make-devel gnustep-base-devel
BuildPreReq: gnustep-gui-devel /proc
BuildPreReq: texlive-latex-base

Requires: lib%name = %version-%release
Requires: gnustep-back

%description
Renaissance is an alternative way to make GUIs using which supports
automatic layout of widgets as well as for internationalization. GUIs
are specified in renaissance using a user-editable and readable XML
based format.

%package -n lib%name
Summary: Shared libraries of the GNUstep development framework
Group: System/Libraries

%description -n lib%name
Renaissance is an alternative way to make GUIs using which supports
automatic layout of widgets as well as for internationalization. GUIs
are specified in renaissance using a user-editable and readable XML
based format.

This package contains shared libraries of Renaissance.

%package -n lib%name-devel
Summary: Development files of the GNUstep development framework
Group: Development/Objective-C
Provides: %name-devel = %version-%release
Requires: lib%name = %version-%release
Requires: %name = %version-%release

%description -n lib%name-devel
Renaissance is an alternative way to make GUIs using which supports
automatic layout of widgets as well as for internationalization. GUIs
are specified in renaissance using a user-editable and readable XML
based format.

This package contains development files of Renaissance.

%package doc
Summary: Documentation for the GNUstep development framework
Group: Development/Documentation
BuildArch: noarch

%description doc
Renaissance is an alternative way to make GUIs using which supports
automatic layout of widgets as well as for internationalization. GUIs
are specified in renaissance using a user-editable and readable XML
based format.

This package contains documentation for Renaissance.

%prep
%setup
%patch1 -p1

%build
. %_datadir/GNUstep/Makefiles/GNUstep.sh

%make_build \
	messages=yes \
	debug=yes \
	strip=no \
	shared=yes \
	CONFIG_SYSTEM_LIBS='-lgnustep-gui -lgnustep-base'

%make_build -C Documentation \
	messages=yes
 
%install
. %_datadir/GNUstep/Makefiles/GNUstep.sh

%makeinstall_std GNUSTEP_INSTALLATION_DOMAIN=SYSTEM

%makeinstall_std -C Documentation \
	GNUSTEP_INSTALLATION_DOMAIN=SYSTEM

gzip ChangeLog

#install -p -D -m644 %SOURCE1 %buildroot%_menudir/%name

%files
%doc AUTHORS ChangeLog* NEWS README TODO
%_bindir/*
%_libdir/GNUstep
#_menudir/*

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so

%files doc
%_docdir/GNUstep

%changelog
