Name: gnustep-systempreferences
Version: 1.2.0
Release: alt3
Summary: Implementation of the PreferencePanes framework (NSPreferencePane)
License: GPLv2+
Group: Graphical desktop/GNUstep
Url: http://www.gnustep.org/
Packager: Andrey Cherepanov <cas@altlinux.org>

# http://svn.gna.org/svn/gnustep/apps/systempreferences/trunk/
Source: %name-%version.tar
Source1: %name.menu
Patch1: link-libs.patch

BuildPreReq: gnustep-make-devel gnustep-base-devel
BuildPreReq: gnustep-gui-devel /proc

Requires: lib%name = %version-%release
Requires: gnustep-back

%description
This is the implementation of the PreferencePanes framework
(NSPreferencePane) as described in the Apple Documentation.

Inspiration for some of the panels comes from Jeff Teunissen's original
Preferences application (Backbone project:
http://www.nongnu.org/backbone/ ).

%package -n lib%name
Summary: Shared libraries of %name
Group: System/Libraries

%description -n lib%name
This is the implementation of the PreferencePanes framework
(NSPreferencePane) as described in the Apple Documentation.

This package contains shared libraries of %name.

%package -n lib%name-devel
Summary: Development files of %name
Group: Development/Objective-C
Provides: %name-devel = %version-%release
Requires: lib%name = %version-%release

%description -n lib%name-devel
This is the implementation of the PreferencePanes framework
(NSPreferencePane) as described in the Apple Documentation.

This package contains development files of %name.

%prep
%setup
%patch1 -p1

%build
. %_datadir/GNUstep/Makefiles/GNUstep.sh

%make_build \
	messages=yes \
	debug=yes \
	strip=no \
	shared=yes \
	CONFIG_SYSTEM_LIBS='-lgnustep-base'
 
%install
. %_datadir/GNUstep/Makefiles/GNUstep.sh

%makeinstall_std GNUSTEP_INSTALLATION_DOMAIN=SYSTEM

pushd %buildroot%_libdir
for i in *.so*; do
	rm -f $i
	mv GNUstep/Frameworks/PreferencePanes.framework/Versions/1/$i ./
	for j in *.so.*.*; do
		ln -s %_libdir/$j \
			GNUstep/Frameworks/PreferencePanes.framework/Versions/1/$i
	done
done
rm -f \
	GNUstep/Frameworks/PreferencePanes.framework/Versions/1/PreferencePanes
ln -s %_libdir/$j \
	GNUstep/Frameworks/PreferencePanes.framework/Versions/1/PreferencePanes
rm -f \
	GNUstep/Frameworks/PreferencePanes.framework/Headers
ln -s Versions/1/Headers \
	GNUstep/Frameworks/PreferencePanes.framework/Headers
popd

install -Dp -m 644 %SOURCE1 %buildroot%_menudir/%name

%files
%doc ChangeLog README TODO
%_bindir/*
%_libdir/GNUstep
%exclude %_libdir/GNUstep/Frameworks/PreferencePanes.framework/Versions/1/Headers
%exclude %_libdir/GNUstep/Frameworks/PreferencePanes.framework/Headers
%_menudir/*

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%_libdir/GNUstep/Frameworks/PreferencePanes.framework/Versions/1/Headers
%_libdir/GNUstep/Frameworks/PreferencePanes.framework/Headers

%changelog
