Name: goaccess

Summary: Is an open source real-time web log analyzer
Version: 1.5.1
Release: alt1

URL: https://goaccess.io/
#URL: http://goaccess.prosoftcorp.com/

Source0: %name-%version.tar
Patch0:  %name-%version-%release.patch

Packager: Valentin Rosavitskiy <valintinr@altlinux.org>
License: %mit
Group: Other

BuildRequires(pre): rpm-build-licenses

# Automatically added by buildreq on Tue Jul 20 2021
# optimized out: glib2-devel glibc-kernheaders-generic glibc-kernheaders-x86 libncurses-devel libtinfo-devel perl python3 python3-base python3-module-paste ruby ruby-stdlibs sh4 shared-mime-info tzdata xz
BuildRequires: glib2-devel libGeoIP-devel libncursesw-devel libssl-devel


%description
GoAccess is an open source real-time web log analyzer
and interactive viewer that runs in a terminal in *nix
systems. It provides fast and valuable HTTP statistics
for system administrators that require a visual server
report on the fly.

%prep
%setup
%patch0 -p1

%build
%autoreconf
#%%add_optflags -fcommon
%configure --with-getline \
           --with-openssl \
           --enable-geoip=legacy \
           --enable-utf8  \
           %nil
%make

%install
%makeinstall
%find_lang %name

%files -f %name.lang
%doc AUTHORS ChangeLog NEWS COPYING README TODO

%dir %_sysconfdir/%name
%config(noreplace) %_sysconfdir/%name/goaccess.conf
%config %_sysconfdir/%name/browsers.list
%config %_sysconfdir/%name/podcast.list

%_bindir/goaccess
%_man1dir/goaccess*


%changelog
