%def_disable snapshot

%define ver_major 1.68
%def_enable doctool
%def_enable check
%def_enable gtk_doc

Name: gobject-introspection
Version: %ver_major.0
Release: alt2

Summary: Introspection system for GObject-based libraries
Group: System/Libraries
License: GPL-2.0-or-later and LGPL-2.0-or-later and MIT
Url: https://live.gnome.org/GObjectIntrospection

Provides: gir-repository = %version-%release
Obsoletes: gir-repository

%if_enabled snapshot
Source: %name-%version.tar
%else
Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.xz
%endif
Patch0: doctool-Add-templates_dir-CLI-argument.patch
Patch1: build-Avoid-the-doctemplates-hack.patch

# use python3
AutoReqProv: nopython
%define __python %nil
%add_python3_path %_libdir/%name/giscanner
%add_python3_path %_libdir/%name/giscanner
#https://bugzilla.altlinux.org/38965
# python3(pkgconfig) provided by giscanner/pkgconfig.py
%filter_from_provides /python3(pkgconfig)/d
%add_python3_req_skip distutils.msvccompiler

%define glib_ver 2.66.0

BuildRequires(pre): meson rpm-build-python3 rpm-build-gir
BuildRequires: /proc libgio-devel >= %glib_ver
BuildRequires: flex gtk-doc libcairo-devel libcairo-gobject-devel libffi-devel
BuildRequires: python3-devel
%{?_enable_doctool:BuildRequires: python3-module-mako python3-module-markdown}

%description
GObject introspection provides tools and libraries to help manage its
common metadata format for representing GObject-based C APIs, designed
for bindings, documentation tools and API verification.

%package x11
Summary: x11-dependent typelibs
Group: System/Libraries
Requires: %name = %version-%release

%description x11
This package provides x11-dependent typelibs from %name package.

%package devel
Summary: Libraries and headers for gobject-introspection
Group: Development/C
Requires: %name = %version-%release libgio-devel rpm-build-gir
Requires: %name-x11 = %version-%release
Provides: gir-repository-devel = %version-%release
Obsoletes: gir-repository-devel

%description devel
GObject introspection provides tools and libraries to help manage its
common metadata format for representing GObject-based C APIs, designed
for bindings, documentation tools and API verification.

This package provides libraries and headers for gobject-introspection.

%package devel-doc
Summary: Documentation for gobject-introspection
Group: Development/C
BuildArch: noarch
Conflicts: %name < %version

%description devel-doc
GObject introspection provides tools and libraries to help manage its
common metadata format for representing GObject-based C APIs, designed
for bindings, documentation tools and API verification.

This package provides development documentation for
gobject-introspection.

%prep
%setup
%patch0 -p1
%patch1 -p1

%build
%add_optflags %(getconf LFS_CFLAGS)
%meson \
	%{?_enable_doctool:-Ddoctool=enabled} \
	%{?_enable_gtk_doc:-Dgtk_doc=true} \
	-Dpython=%__python3
%meson_build

%install
%meson_install

%check
export LD_LIBRARY_PATH=%buildroot%_libdir
%meson_test

%files
%_libdir/lib*.so.*
%dir %_typelibdir/
%_typelibdir/DBus-1.0.typelib
%_typelibdir/DBusGLib-1.0.typelib
%_typelibdir/GIRepository-2.0.typelib
%_typelibdir/GL-1.0.typelib
%_typelibdir/GLib-2.0.typelib
%_typelibdir/GModule-2.0.typelib
%_typelibdir/GObject-2.0.typelib
%_typelibdir/Gio-2.0.typelib
%_typelibdir/cairo-1.0.typelib
%_typelibdir/fontconfig-2.0.typelib
%_typelibdir/freetype2-2.0.typelib
%_typelibdir/libxml2-2.0.typelib
%_typelibdir/win32-1.0.typelib
%_typelibdir/Vulkan-1.0.typelib

%files x11
%_typelibdir/xfixes-4.0.typelib
%_typelibdir/xft-2.0.typelib
%_typelibdir/xlib-2.0.typelib
%_typelibdir/xrandr-1.3.typelib

%files devel
%_includedir/%name-1.0
%_bindir/g-ir-*
%_libdir/lib*.so
%dir %_libdir/%name
%_libdir/%name/giscanner/
%_pkgconfigdir/*.pc
%_girdir/
%_datadir/%name-1.0
%_datadir/aclocal/*.m4
%_man1dir/*.1*

%if_enabled gtk_doc
%files devel-doc
%_datadir/gtk-doc/html/*
%endif

%changelog
