Name: gperftools
Version: 2.9.1
Release: alt1

Provides: google-perftools

Summary: Performance tools for C++
Group: Development/Other
Url: http://github.com/gperftools
License: BSD

Source: %name-%version.tar.gz
Requires: binutils

# Automatically added by buildreq on Thu Dec 04 2008
BuildRequires: gcc-c++ libunwind-devel
BuildRequires: rpm-build-licenses

%description
The %name packages contains some utilities to improve and analyze the
performance of C++ programs.  This includes an optimized thread-caching
malloc() and cpu and heap profiling utilities.

%package -n lib%name
Summary: Performance tools for C++ - shared libraries
Group: Development/Other
Provides: libgoogle-perftools

%description -n lib%name
The lib%name package is part of %name. It contains shared libraries
for analize the performance of C++ programs.

%package -n lib%name-devel
Summary: Performance tools for C++
Group: Development/Other
Requires: lib%name = %version-%release
Provides: %name-devel = %version-%release

%description -n lib%name-devel
The lib%name-devel package contains static and debug libraries and header
files for developing applications that use the %name package.

%prep
%setup
# no // in ansi-compiled tests
sed -i '\@^[ 	]*//@d' src/google/malloc_hook_c.h

%build
%add_optflags -fpermissive
%configure --disable-static
%make_build

%install
%make_install DESTDIR=%buildroot install

%files
%doc %_defaultdocdir/%name
%_bindir/pprof
%_man1dir/pprof.*

%files -n lib%name
%_libdir/lib*.so.*

%files -n lib%name-devel
%exclude %_includedir/google
%_includedir/%name
%_libdir/lib*.so
%_pkgconfigdir/*.pc

%changelog
