Name: gramps
Version: 5.1.4
Release: alt1

Summary: Genealogical Research and Analysis Management Programming System
Summary(ru_RU.UTF-8): Программная система анализирования и управления генеалогическими изысканиями

Packager: Vitaly Lipatov <lav@altlinux.ru>

License: GPLv2
Group: Databases
Url: http://gramps.sourceforge.net/

Source: http://prdownloads.sf.net/%name/%name-%version.tar

BuildArch: noarch

BuildRequires(pre): rpm-build-gir rpm-build-python3

BuildRequires: intltool

#Requires: typelib(GConf) typelib(GExiv2) typelib(OsmGpsMap) typelib(GLib) typelib(GObject) typelib(Gdk) typelib(GdkPixbuf) typelib(Gtk) typelib(GtkSpell) typelib(Pango) typelib(PangoCairo)

AutoReq:yes,nopython
AutoProv:no

%add_typelib_req_skiplist typelib(GtkosxApplication) typelib(Gtkspell)

%add_python3_req_skip winreg
%add_python3_req_skip gi.repository.GLib
%add_python3_req_skip gi.repository.Gio

# TODO: need build python-module-osmgpsmap
%add_python3_req_skip osmgpsmap

%py3_requires PyICU

%description
gramps (Genealogical Research and Analysis Management Programming
System) is a GNOME based genealogy program supporting a Python
based plugin system.

%description -l ru_RU.UTF-8
GRAMPS (Программная система управления генеалогическими
изысканиями и анализом) - основанная на GNOME генеалогическая
программа, поддерживающая подключаемые модули на Питоне.

%prep
%setup

%build
%python3_build
# TODO: python3_build --server

%install
%python3_install --resourcepath=%_datadir

mkdir -p %buildroot%_datadir/locale
cp -pr build/mo/* %buildroot%_datadir/locale/
#Remove duplicate doc
rm -f %buildroot%_datadir/%name/COPYING

mkdir -p %buildroot%_desktopdir/
cp -p build/data/gramps.desktop %buildroot%_desktopdir/

mkdir -p %buildroot%_datadir/mime/packages/
cp -p build/data/gramps.xml %buildroot%_datadir/mime/packages/

mkdir -p %buildroot%_datadir/application-registry/
cp -p data/gramps.applications %buildroot%_datadir/application-registry/

mkdir -p %buildroot%_datadir/appdata/
cp -p build/data/gramps.appdata.xml %buildroot%_datadir/appdata/

mkdir -p %buildroot%_man1dir/
cp -p build/data/man/gramps.1.gz %buildroot%_man1dir/gramps.1.gz

mkdir -p %buildroot%_pixmapsdir/
cp -p images/gramps.png %buildroot%_pixmapsdir/

rm -rf %buildroot%_docdir/gramps/
#rm -rf %buildroot%_iconsdir/

mkdir -p %buildroot%_iconsdir/hicolor/48x48/apps/
cp -p %buildroot%_datadir/%name/images/%name.png %buildroot%_iconsdir/hicolor/48x48/apps/

echo -n "%_datadir" > %buildroot%python3_sitelibdir/gramps/gen/utils/resource-path

#install -D -m644 %buildroot%_datadir/gramps/images/gramps.png %buildroot%_liconsdir/gramps.png
%find_lang %name

%files -f %name.lang
%doc AUTHORS FAQ NEWS README.md TODO
%_bindir/%name
%python3_sitelibdir/gramps/
%python3_sitelibdir/gramps-*.egg-info
%_man1dir/*
%_datadir/%name/
%_desktopdir/*
%_datadir/mime-info/*
%_iconsdir/hicolor/48x48/apps/*
%_datadir/application-registry/*
%_datadir/appdata/*
#%config %_sysconfdir/gconf/schemas/*
%_datadir/mime/packages/*
%_pixmapsdir/%name.png
%_iconsdir/hicolor/*/apps/gramps.*
%_iconsdir/hicolor/*/mimetypes/*

%changelog
