Name: gsmlib
Version: 1.11
Release: alt5.041028

Summary: Library to access GSM mobile phones through GSM modems
License: LGPLv2
Group: System/Libraries

URL: http://www.pxh.de/fs/gsmlib
Source: http://www.pxh.de/fs/gsmlib/snapshots/gsmlib-pre1.11-041028.tar.gz

Patch1: gsmlib-template.patch
Patch2: gsmlib-1.11-fix-build-with-gettext-0.20.patch
Patch3: gsmlib-1.10-underlink.patch

# Patches from arc@help0.ru  Arcady Ivanov
# 28 Apr 2006
#
#1. In gsmsendsms added key "-u", which means, that sended string encoded in UNICODE
#2. Correct bugs in sending multipart SMS.

Patch10: gsmlib_me_ta.patch
Patch11: gsmlib_motor1.patch
Patch12: gsmsendsms.patch

# FTBFS fixes:
Patch100: gsmlib-1.11-gcc41.patch
Patch101: gsmlib-1.11-gcc43.patch

Obsoletes: gsmlib-ext <= %version
Provides: gsmlib-ext

# Automatically added by buildreq on Tue May 16 2006
BuildRequires: gcc-c++

%package utils
Summary: Utilities to access GSM mobile phones through GSM modems
Group: Communications

%package devel
Summary: Development tools for programs which will use the gsmlib library
Group: Development/C
Requires: gsmlib = %version-%release

%description
This distribution contains a library to access GSM mobile phones through GSM
modems. Features include:
 * modification of phonebooks stored in the mobile phone or on the SIM card
 * reading and writing of SMS messages stored in the mobile phone
 * sending and reception of SMS messages
Additionally, some simple command line programs are provided to use these
functionalities.

%description utils
Simple command line programs to access GSM mobile phones through GSM modems.

%description devel
The gsmlib-devel package includes the header files and static libraries
necessary for developing programs which use the gsmlib library.

%prep
%setup

%patch1 -p1
%patch2 -p2
%patch3 -p1

%patch11 -p0
%patch10 -p1
%patch12 -p1

%patch100 -p1
%patch101 -p1

# Play ghost-busters! :) gsmsstk is ghost that exist only in Makefile
subst 's/^gsmsstk/#gsmsstk/g; s/gsmsiexfer gsmsstk/gsmsiexfer/' ext/Makefile.am

%build
# supplied libtool is broken (C++ library linking)
%autoreconf
%configure --disable-static
%make_build CXX="g++ -DHAVE_LOCALE_H"

%install
%makeinstall_std

%find_lang %name

%files -f %name.lang
%_libdir/lib*.so.*
%doc README ext/README.sieme
%doc doc/README.developers doc/FAQ

%files utils
%_bindir/*
%_man1dir/*
%_man7dir/*
%_man8dir/*

%files devel
%_includedir/gsmlib
%_libdir/*.so

%changelog
