Name: gtkglext
Version: 1.2.0
Release: alt5

Summary: An OpenGL extention to GTK2

License: LGPLv2+
Group: System/Libraries
Url: http://gtkglext.sourceforge.net/

Packager: Vitaly Lipatov <lav@altlinux.ru>

# Source-url: http://download.sourceforge.net/%name/%name-%version.tar.gz
Source: %name-%version.tar

Patch0: gtkglext-support-pango.patch
Patch1: gtkglext-1.2.0-newer-gtk.patch
Patch2: gtkglext-1.2.0-alt-DSO.patch
Patch3: gtkglext-fedora-GCC-8-fixes.patch
Patch4: gtkglext-1.2.0-fedora-no-pangox.patch

%define gtk_ver 2.4.0
%define gtk_doc_ver 1.1
%def_disable static

BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: gtk-doc >= %gtk_doc_ver

# Automatically added by buildreq on Wed Dec 08 2010
BuildRequires: gtk-doc imake libGLU-devel libXmu-devel libgtk+2-devel
BuildPreReq: xorg-cf-files libGL-devel libXext-devel gcc-c++

%description
GtkGLExt is an OpenGL extension to GTK2.

This package is composed of GdkGLExt library and GtkGLExt library.
GdkGLExt library provides the GDK objects which support OpenGL
rendering in GTK. GtkGLExt library provides the GtkWidget API add-ons
to make GTK+ widgets OpenGL-capable.

%package -n lib%name
Summary: An OpenGL extention to GTK2
Group: System/Libraries

%description -n lib%name
A library of dynamically linked GtkGLExt

%package -n lib%name-devel
Summary: An OpenGL extention to GTK2 development files
Group: Development/GNOME and GTK+
Requires: lib%name = %version-%release
# FC compat
Provides: %name-devel = %version-%release

%description -n lib%name-devel
This package contents development files and documentation
for compiling programs that use GtkGLExt.

%package -n lib%name-devel-static
Summary: An OpenGL extention to GTK2 static libraries
Group: Development/GNOME and GTK+
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
This package contains the libraries needed for compiling programs
statically linked against GtkGLExt.

%prep
%setup
%patch0 -p0
%patch1 -p2
%patch2 -p2
%patch3 -p1
%patch4 -p1

%build
%autoreconf
%configure --disable-gtk-doc %{subst_enable static}

%make_build
#%make_build examples

%install
%makeinstall_std
rm -rf %buildroot%_datadir/gtk-doc/html

%files -n lib%name
%_libdir/*.so.*
%doc AUTHORS README TODO

%files -n lib%name-devel
%_libdir/*.so
%_includedir/*
%_aclocaldir/*
%_pkgconfigdir/*
%_libdir/%name-1.0/

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%changelog
