# SPEC-file for gutenpy
#
#

%define real_name GutenPy

Name: gutenpy
Version: 0.3.0
Release: alt7

Summary: text reader and catalog browser for Project Gutenberg
Summary(ru_RU.UTF-8): утилита для поиска и чтения текстов из Project Gutenberg

License: %gpl2only
Group: Text tools
URL: http://gutenpy.sourceforge.net/

Packager: Nikolay A. Fetisov <naf@altlinux.org>
#BuildArch: noarch

Source0: %name-%version.tar
Patch0:  %name-0.3.0-alt-urls.patch 
Source1: %name.desktop
Source2: %name.png
Source3: %name-16.png
Source4: %name-32.png
Source5: %name-48.png

BuildRequires(pre): rpm-build-licenses
BuildRequires(pre): rpm-build-python

# Automatically added by buildreq on Thu May 14 2020
# optimized out: python-modules python2-base python3 python3-base python3-dev ruby ruby-stdlibs sh4
BuildRequires: python3-module-mpl_toolkits

%description
GutenPy  is designed to be a comfortable  text reader and catalog
browser for Project Gutenberg. It provides automatic bookmarking,
navigational sidebar, offline catalog browser and other useful 
features.

%description -l ru_RU.UTF-8
GutenPy  предназначается для комфортного чтения текстов и 
просмотра каталога  Project Gutenberg.   Он предоставляет 
возможности  автоматической  установки закладок,  боковую
навигационную панель, просмотр каталога в оффлайне и
другие полезные возможности.

%define gp_libdir %python_sitelibdir/%real_name
%define gp_pixdir %_pixmapsdir/%name
%define gp_docdir %_datadir/%name

%prep
%setup
%patch0

%build
sed -e  's@share/doc/gutenpy@share/gutenpy@' -i %name.py
sed -e  's@#!/usr/bin/python2.4@#!/usr/bin/python2@' -i gutenpy.py
sed -e  's@#!/usr/bin/python2.4@#!/usr/bin/python2@' -i py2exe_setup.py
sed -e  's@#!/usr/bin/python2.4@#!/usr/bin/python2@' -i setup.py

%install
mkdir -p -- %buildroot%_bindir
mkdir -p -- %buildroot%gp_libdir
mkdir -p -- %buildroot%gp_pixdir
mkdir -p -- %buildroot%gp_docdir

install -m 0644 -- GutenPy/* %buildroot%gp_libdir/
install -m 0755 -- %name.py  %buildroot%gp_libdir/
install -m 0644 -- docs/*    %buildroot%gp_docdir/
install -m 0644 -- icons/*   %buildroot%gp_pixdir/

cat >%name <<END 
#!/bin/sh
exec %gp_libdir/%name.py
END

install -m 0755 -- %name %buildroot%_bindir/%name

mkdir -p -- %buildroot%_desktopdir
install -m 0644 -- %SOURCE1 %buildroot%_desktopdir/%name.desktop

mkdir -p -- %buildroot%_miconsdir %buildroot%_liconsdir \
            %buildroot%_niconsdir %buildroot%_iconsdir/hicolor/64x64/apps

install -m0644 -- %SOURCE2 %buildroot%_iconsdir/hicolor/64x64/apps/%name.png
install -m0644 -- %SOURCE3 %buildroot%_miconsdir/%name.png
install -m0644 -- %SOURCE4 %buildroot%_niconsdir/%name.png
install -m0644 -- %SOURCE5 %buildroot%_liconsdir/%name.png

%files
%doc ChangeLog README.txt
%dir %gp_libdir
     %gp_libdir/*
%dir %gp_docdir
     %gp_docdir/*
%dir %gp_pixdir
     %gp_pixdir/*
%_bindir/%name
%_desktopdir/%name.desktop

%_miconsdir/%{name}*
%_niconsdir/%{name}*
%_liconsdir/%{name}*
%_iconsdir/hicolor/64x64/apps/%{name}*


%changelog
