BuildRequires: desktop-file-utils
%define oname gXNeur

Name: gxneur
Version: 0.20.0
Release: alt2

Summary: GTK frontend for X Neural Switcher
License: GPL-2.0+
Group: Office

Url: http://xneur.ru/
Source: %{name}_%version.orig.tar.gz
Source1: %name.png
Patch1: 01-gconf.patch
Patch2: 02-gconf.patch
Patch3: 03-glib-deprecated.patch
Patch4: 04-no-werror.patch

BuildRequires: libGConf libGConf-devel libglade-devel libxneur-devel intltool

Requires: xneur >= %version

%define flagsdir %_iconsdir/flags

%description
Xneur is program like Punto Switcher, but has other
functionality and features for configuring.

%package -n icon-flags
Summary: Custom country flags for language layout indicators
Group: Graphics
BuildArch: noarch

%description -n icon-flags
Custom country flags for language layout indicators
(from gxneur sources).

%prep
%setup
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%autoreconf
%configure
%make_build

%install
%makeinstall_std
rm -rf %buildroot%prefix/doc/
%find_lang %name

install -Dm 0644 %SOURCE1 %buildroot%_pixmapsdir/%name.png
mkdir -p %buildroot%_desktopdir/
cat > %buildroot%_desktopdir/%name.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=gXNeur
GenericName=Keyboard Layout Switcher
GenericName[ru]=Переключатель раскладки клавиатуры
Type=Application
Exec=gxneur
Icon=gxneur
Categories=Utility;GTK;GNOME;Accessibility
Comment=Automatic keyboard layout switcher
Comment[ru]=Автоматический переключатель раскладки клавиатуры
StartupNotify=false
Terminal=false
EOF

for src in %buildroot%_iconsdir/hicolor/24x24/apps/gxneur-??.png; do
	install -pDm644 "$src" %buildroot%flagsdir/"${src##*-}"
done

%files -f %name.lang
%doc AUTHORS ChangeLog NEWS README TODO
%_bindir/gxneur
%_datadir/%name/
%_man1dir/*
%_desktopdir/*.desktop
%_iconsdir/hicolor/*/apps/*
%_iconsdir/hicolor/scalable/apps/%name.*
%_pixmapsdir/%name.png
%_datadir/glib-2.0/schemas/com.gxneur.settings.gschema.xml

%files -n icon-flags
%flagsdir/??.png

%changelog
