Name: hasher
Version: 1.7.2
Release: alt0.p10.1

Summary: Modern safe package building technology
License: GPLv2+
Group: Development/Other
Url: http://en.altlinux.org/Hasher
BuildArch: noarch

Source: %url/%name-%version.tar

%define _libexecdir %_prefix/libexec
%define helperdir %_libexecdir/%name-priv

Requires: %helperdir
Requires: getopt, ash-static, cpio-static, find-static
Requires: apt
# due to pkglist-query
Requires: apt-repo-tools
# due to "enable -f /usr/lib/bash/lockf lockf"
Requires: bash-builtin-lockf >= 0:0.2
# due to "b2sum"
Requires: coreutils >= 8.26
# due to "find -exec {} +"
Requires: findutils >= 0:4.2.28
# due to hasher-priv makedev removal
Requires: hasher-priv >= 1.6.0
# due to prepare_x11_forwarding()
Requires: mktemp >= 1:1.3.1
# first libshell version with fixed shell-quote
Requires: libshell >= 0:0.0.2-alt4
# due to def_cache_compress
Requires: lz4

# due to hsh-fakedev removal
Conflicts: mkimage < 0.2.28

Obsoletes: pkg-build-utils, libbte

BuildPreReq: help2man, libshell >= 0:0.0.2-alt4

%description
Hasher is a set of tools for constructing chroot and safe building of
packages in the clean environment.  It makes clean environment on every
new build.  Hasher obtains packages from APT repositories so fast
network connection or local mirror is highly recommended.

%prep
%setup

%build
%make_build

%install
%makeinstall_std

%files
%_bindir/*
%_mandir/man?/*
%doc FAQ QUICKSTART README apt.conf *.sh

%changelog
