Name: hass
Version: 2021.6.6
Release: alt1

Summary: Home automation platform
License: APL
Group: System/Servers
Url: https://www.home-assistant.io/

Source0: %name-%version-%release.tar

BuildArch: noarch
BuildRequires: rpm-build-python3 python3-module-setuptools

%package core
Summary: Home automation platform
Group: System/Servers
Requires: python3-module-yaml >= 5.4.1
Requires: python3-module-pip >= 8.0.3
Requires: python3-module-astral >= 2.2
Requires: python3-module-aiohttp >= 3.7.4
Requires: python3-module-voluptuous >= 0.12.1
Requires: python3-module-text-unidecode >= 1.3
Requires: python3-module-websocket-client >= 0.56.0
Requires: python3-module-hass-frontend >= 20210603.0

%package -n python3-module-hass
Summary: Home automation platform
Group: System/Servers
AutoReq: no

%define desc Home Assistant is a home automation platform running on Python 3.\
It is able to track and control all devices at home and offer a platform \
for automating control.

%description
%desc

%description core
%desc
This package contains core modules only.

%description -n python3-module-hass
%desc
This package contains most of Home Assistant modules.

%prep
%setup

%build
%python3_build

%install
%python3_install
install -pm0644 -D hass.service %buildroot%_unitdir/hass.service
install -pm0644 -D hass.sysconfig %buildroot%_sysconfdir/sysconfig/hass
mkdir -p %buildroot%_localstatedir/hass

find %buildroot%python3_sitelibdir/homeassistant/components -type f -name manifest.json |\
	fgrep -vf precious |sed -re 's,^%buildroot(/.+)/manifest.json,%exclude \1,' > core.files
sed -re 's,%exclude ,,' < core.files > rest.files

%pre core
%_sbindir/groupadd -r -f _hass &> /dev/null
%_sbindir/useradd -r -g _hass -d %_localstatedir/hass -s /dev/null \
	-c 'Home Assistant' -n _hass &> /dev/null ||:

%set_python3_req_method strict
# optional
%add_python3_req_skip av
%add_python3_req_skip colorlog colorlog.escape_codes
%add_python3_req_skip custom_components
%add_python3_req_skip hbmqtt.broker
%add_python3_req_skip importlib_metadata
# deprecated
%add_python3_req_skip homeassistant.components.zwave

%files core -f core.files
%_sysconfdir/sysconfig/hass
%_unitdir/hass.service
%_bindir/hass

%python3_sitelibdir/homeassistant
%python3_sitelibdir/homeassistant-%version-*-info

%dir %attr(0770,root,_hass) %_localstatedir/hass

%files -n python3-module-hass -f rest.files

%changelog
