%define _unpackaged_files_terminate_build 1

Name: homebank
Version: 5.5.5
Release: alt1

# Note: _unstable suffix sometimes appears in some versions of the tarball.
%define _version %{version}

Summary: Free easy personal accounting for all!
License: GPL-2.0-or-later
Group: Graphical desktop/GNOME
Url: https://%name.free.fr/index.php

Source: http://%name.free.fr/public/%name-%_version.tar.gz

Requires: %name-help = %EVR

BuildRequires(pre): rpm-build-licenses
# From configure.ac
BuildRequires: intltool
BuildRequires: glib2-devel >= 2.40
BuildRequires: libgtk+3-devel >= 3.16
BuildRequires: libsoup-devel >= 2.26
BuildRequires: libofx-devel
BuildRequires: perl-XML-Parser desktop-file-utils libappstream-glib-devel

%description
HomeBank is the free software you have always wanted to manage your
personal accounts at home. The main concept is to be light, simple and
very easy to use.

It brings you many features that allow you to analyze your finances in
a detailed way instantly and dynamically with powerful report tools
based on filtering and graphical charts.

Furthermore HomeBank benefits now for more than 10 years of users
experience and feedback as its development started in 1995 on Amiga
computers. It is now available on Amiga, GNU/Linux, and will probably be
soon available for Microsoft Windows and MacOS X systems, as GTK+ exists
on it.

%package help
Summary: Help files for HomeBank
Group: Graphical desktop/GNOME
BuildArch: noarch
Requires: homebank = %EVR

%description help
HomeBank is the free software you have always wanted to manage your
personal accounts at home. The main concept is to be light, simple and
very easy to use.

It brings you many features that allow you to analyze your finances in
a detailed way instantly and dynamically with powerful report tools
based on filtering and graphical charts.

This package contains help files for HomeBank. The manual is easy to
read and rather useful for a first time user.

%prep
%setup -n %name-%_version

%build
%configure \
    --with-ofx

%make_build

%install
%makeinstall_std

%find_lang --with-gnome %name

%files -f %name.lang
%_bindir/%name
%_desktopdir/%name.desktop
%dir %_datadir/%name
%dir %_datadir/%name/images
%_datadir/%name/images/*
%_datadir/%name/icons/
%_datadir/%name/datas/
%_datadir/mime-info/%name.keys
%_datadir/mime-info/%name.mime
%_datadir/mime/packages/%name.xml
%_iconsdir/hicolor/*/apps/%name.*
%_datadir/application-registry/%name.applications
%_datadir/appdata/%name.appdata.xml
%doc README ChangeLog

%files help
%dir %_datadir/%name/help
%_datadir/%name/help/*


%changelog
