Name: hostapd
Version: 2.10
Release: alt2

Summary: User space daemon for extended IEEE 802.11 management
License: BSD
Group: System/Kernel and hardware
Url: http://hostap.epitest.fi/

Source0: %name-%version-%release.tar
Source1: src-%version-%release.tar
Source2: hostapd.sysconfig
Source3: hostapd.service
Source4: hostapd.init

BuildRequires: libssl-devel libnl3-devel

Obsoletes: hostap-tools

%description
This is a user space daemon for access point and authentication servers.
It implements IEEE 802.11 access point management, IEEE 802.1X/WPA/WPA2/EAP
Authenticators, RADIUS client, EAP server, and RADIUS authentication server.

%prep
%setup -c -a1

%build
cp %name/defconfig %name/.config
CFLAGS='%optflags' \
make -C %name

%install
install -pD -m0644 %SOURCE2 %buildroot%_sysconfdir/sysconfig/%name
install -pD -m0644 %SOURCE3 %buildroot%_unitdir/%name.service
install -pD -m0755 %SOURCE4 %buildroot%_initdir/%name

install -pD -m0755 %name/%name %buildroot%_sbindir/%name
install -p -m0755 %name/%{name}_cli %buildroot%_sbindir

install -pD -m0600 %name/hostapd.conf %buildroot%_sysconfdir/%name/%name.conf
install -pm0600 %name/hostapd.accept  %name/hostapd.deny %buildroot%_sysconfdir/%name
install -pm0644 -D %name/%name.8 %buildroot%_man8dir/%name.8
install -pm0644 -D %name/%{name}_cli.1 %buildroot%_man1dir/%{name}_cli.1

%post
%post_service %name

%preun
%preun_service %name

%files
%doc %name/ChangeLog %name/README %name/README-WPS %name/eap_testing.txt

%dir %_sysconfdir/%name
%config(noreplace) %_sysconfdir/%name/%name.conf
%config(noreplace) %_sysconfdir/%name/%name.accept
%config(noreplace) %_sysconfdir/%name/%name.deny

%config(noreplace) %_sysconfdir/sysconfig/%name

%_unitdir/%name.service
%_initdir/%name

%_sbindir/hostapd
%_sbindir/hostapd_cli

%_man1dir/*
%_man8dir/*

%changelog
