Name: hydra
Version: 9.2
Release: alt1

Summary: A very fast network logon cracker which support many different services
Summary(ru_RU.KOI8-R):        
Group: Networking/Other
License: AGPL-3.0
#Url: http://thc.org/thc-hydra/
URL:            https://github.com/vanhauser-thc/thc-hydra
#Source0:        https://github.com/vanhauser-thc/thc-hydra/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

Packager: Ilya Mashkin <oddity@altlinux.ru>
Source: %name-%version.tar.gz
Source1: x%name.desktop
Source2: xhydra.png
Patch0: hydra-5.4-open-fix.patch
Patch1:         hydra-use-system-libpq-fe.patch
Patch2:         hydra-fix-dpl4hydra-dir.patch

# APR used in libsvn needs inclusion of the linux limits.h first
# already implemented upstream
# https://github.com/vanhauser-thc/thc-hydra/commit/db9025bf86e79f1af1e1d70bdc6ea133e486c781.patch
Patch3:         hydra-fix-apr-svn.patch
# In Fedora the firebird includes are not in /include but /include/firebird
# Reported upstream: https://github.com/vanhauser-thc/thc-hydra/pull/500
Patch4:         hydra-fix-firebird-includes.patch

#set_gcc_version 8


Provides: hydra = %version-%release
Requires: hydra-common hydra-gtk hydra-pwinspector 

# Automatically added by buildreq on Wed Jun 08 2005
BuildRequires: fontconfig freetype2 glib2-devel libatk-devel libgtk+2-devel libpango-devel libssl-devel pkgconfig gcc-c++ libssh-devel desktop-file-utils gcc
#libpq-devel


%description
A very fast network logon cracker which support many different services

%description -l ru_RU.KOI8-R
        

%package common
Summary: Main hydra executable
Summary(ru_RU.KOI8-R):    hydra
Group: Networking/Other
Provides: hydra-common = %version-%release

%description common
Main hydra executable

%description common -l ru_RU.KOI8-R
   hydra

%package gtk
Summary: Graphical frontend for hydra
Summary(ru_RU.KOI8-R):    hydra
Group: Networking/Other
Requires: %name-common = %version-%release
Provides: hydra-gtk = %version-%release

%description gtk
Graphical frontend for hydra

%description gtk -l ru_RU.KOI8-R
   hydra

%package pwinspector
Summary: PW-Inspector reads passwords in and prints those which meet the requirements
Summary(ru_RU.KOI8-R): PW-Inspector      
Group: Networking/Other
Provides: hydra-pwinspector = %version-%release

%description pwinspector
PW-Inspector reads passwords in and prints those which meet the requirements.
The return code is the number of valid passwords found, 0 if none was found.
Use for security: check passwords, if 0 is returned, reject password choice.
Use for hacking: trim your dictionary file to the pw requirements of the target.
Usage only allowed for legal purposes.

%description pwinspector -l ru_RU.KOI8-R
PW-Inspector      

%prep

%setup -qn thc-hydra-%{version}

#patch0 -p1

#patch1 -p0
#patch2 -p0

#fix permissions - already fixed upstream in 8.3-dev
chmod -x *.csv hydra-gtk/src/*.c hydra-gtk/src/*.h



%build
#set_automake_version 1.10
#set_autoconf_version 2.5

#export CC=gcc-4.3 CXX=g++-4.3
%configure
%make

%install

#make install PREFIX="%{buildroot}"
# PREFIX="%{buildroot}/usr" MANDIR="%{buildroot}/usr/share/man"

mkdir -p %{buildroot}%{_datadir}/{applications,pixmaps}
install -m 644 -p %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/

desktop-file-install --dir %{buildroot}%{_datadir}/applications %{SOURCE1};


%__install -pm755 -d %buildroot%_bindir
%__install -pm755 -d %buildroot%_man1dir
%__install -pm755 %name %buildroot%_bindir/%name
%__install -pm755 x%name %buildroot%_bindir/x%name
%__install -pm755 pw-inspector %buildroot%_bindir/pw-inspector
%__install -pm755 hydra-wizard.sh %buildroot%_bindir/hydra-wizard.sh
%__install -pm755 dpl4hydra.sh %buildroot%_bindir/dpl4hydra.sh



bzip2 %name.1
bzip2 xhydra.1
bzip2 pw-inspector.1
install -pD -m644 %name.1.bz2 %buildroot%_man1dir/%name.1.bz2
install -pD -m644 x%name.1.bz2 %buildroot%_man1dir/x%name.1.bz2
install -pD -m644 pw-inspector.1.bz2 %buildroot%_man1dir/pw-inspector.1.bz2


%find_lang %name

%files  -f %name.lang
%doc CHANGES README.md LICENSE

%files common
%_bindir/%name
%_bindir/hydra-wizard.sh
%_bindir/dpl4hydra.sh
%_man1dir/hydra*

%files gtk
%doc hydra-gtk/AUTHORS hydra-gtk/COPYING hydra-gtk/INSTALL hydra-gtk/NEWS hydra-gtk/README
%_bindir/x%name
%_man1dir/xhydra*
%_datadir/pixmaps/*
%_datadir/applications/*


%files pwinspector
%_bindir/pw-inspector
%_man1dir/pw-inspector*

%changelog
