Name: inotify-tools
Version: 3.20.1
Release: alt1

Summary: Command line utilities for inotify
Group: System/Kernel and hardware
License: GPL
Url: https://github.com/rvoicilas/inotify-tools/wiki/

Source: %name-%version.tar

Packager: Igor Zubkov <icesik@altlinux.org>

Requires: libinotifytools = %version-%release

# Automatically added by buildreq on Sun Apr 15 2012
BuildRequires: doxygen

%description
inotify-tools is a set of command-line programs for Linux providing
a simple interface to inotify. These programs can be used to monitor
and act upon filesystem events.

%package -n libinotifytools
Summary: Shared library for inotifytools
Group: System/Libraries

%description -n libinotifytools
inotify-tools is a set of command-line programs for Linux providing
a simple interface to inotify. These programs can be used to monitor
and act upon filesystem events.

This is package contains shared library.

%package devel
Summary: Headers and libraries for building apps that use libinotifytools
Group: Development/C
Requires: libinotifytools = %version-%release

%description devel
inotify-tools is a set of command-line programs for Linux providing
a simple interface to inotify. These programs can be used to monitor
and act upon filesystem events.

This package contains headers and libraries required to build applications
that use the libinotifytools library.

%prep
%setup -q

%build
%autoreconf
%configure \
	--disable-static
%make_build
make check || exit 1

%install
%make_install DESTDIR=%buildroot install

rm -rf %buildroot%_datadir/doc/

%files
%doc AUTHORS NEWS README
%_bindir/*
%_man1dir/*

%files -n libinotifytools
%_libdir/libinotifytools.so.*

%files devel
%doc libinotifytools/src/doc/html/*
%_libdir/libinotifytools.so
%dir %_includedir/inotifytools
%_includedir/inotifytools/*.h

%changelog
