Name: installer-feature-simply-livecd
Version: 10.4.0
Release: alt1

Summary: LiveCD install hooks for Simply Linux.
License: GPLv2+
Group: System/Configuration/Other
Url: http://www.altlinux.org/Installer/beans
BuildArch: noarch
Source: %name-%version.tar

Requires: alterator-livecd >= 0.5
Conflicts: installer-common-stage2
Conflicts: livecd-install < 0.7-alt1
Provides: installer-features-simply-livecd
Obsoletes: installer-features-simply-livecd < 0.3

Requires: libshell

# Run installer features while install from LiveCD.
Requires: livecd-installer-features

# For luks installer step. Despite it is installer
# package it seems harmless enough to be used
# on live system.
Requires: installer-distro-simply-linux

# Alterator modules used for livecd-install
# Only require alterator-grub for arches that have grub.
%ifarch  %ix86 x86_64 aarch64 ppc64le
Requires: alterator-grub
%endif
Requires: alterator-vm
Requires: alterator-luks

# Installer fearures for Simply Linux.
# NOTE: installer-feature-bell-off-stage3 uneeded:
# the same changes are made by rootfs image script
# in mkimage-profiles.
# NOTE: installer-feature-online-repo replaced
# by m-p use/live/repo feature.
Requires: installer-feature-lightdm-stage3
Requires: installer-feature-samba-usershares-stage2
Requires: installer-feature-desktop-suspend-stage2

%description
LiveCD install hooks for Simply Linux.

%prep
%setup

%install
%define init_hookdir %_libexecdir/alterator/hooks/livecd-initinstall.d
%define pre_hookdir %_libexecdir/alterator/hooks/livecd-preinstall.d
%define post_hookdir %_libexecdir/alterator/hooks/livecd-postinstall.d
mkdir -p %buildroot%_datadir/livecd-install/alterator-menu/
mkdir -p %buildroot%init_hookdir
mkdir -p %buildroot%pre_hookdir
mkdir -p %buildroot%post_hookdir
install -pm755 livecd-initinstall.d/* %buildroot%init_hookdir/
install -pm755 livecd-preinstall.d/* %buildroot%pre_hookdir/
install -pm755 livecd-postinstall.d/* %buildroot%post_hookdir/
cp -ar alterator-menu/ %buildroot%_datadir/livecd-install

%files
%init_hookdir/*
%pre_hookdir/*
%post_hookdir/*
%_datadir/livecd-install/

%changelog
