
Name: instead
Version: 3.3.2
Release: alt1
Group: Games/Adventure
License: GPLv2
Summary: STEAD text adventures/visual novels engine
Summary(ru_RU.UTF-8): Интерпретатор текстовых приключение и визуальных новелл STEAD
Url: http://instead.syscall.ru
Source: %version.tar.gz
Patch: %name-1.7.0-Rules.make.system.patch
Provides: %name-sdl = %version-%release
Obsoletes: %name-sdl < %version-%release

# Automatically added by buildreq on Mon Oct 05 2020
# optimized out: at-spi2-atk cmake-modules fontconfig glib2-devel glibc-kernheaders-generic glibc-kernheaders-x86 libImageMagick6-common libSDL2-devel libat-spi2-core libatk-devel libcairo-devel libcairo-gobject libcairo-gobject-devel libgdk-pixbuf libgdk-pixbuf-devel libgio-devel libgpg-error libharfbuzz-devel libpango-devel libsasl2-3 libstdc++-devel libwayland-client libwayland-cursor libwayland-egl pkg-config python2-base sh4 zlib-devel
BuildRequires: ImageMagick-tools cmake gcc-c++ glibc-devel-static libSDL2_image-devel libSDL2_mixer-devel libSDL2_ttf-devel libgtk+3-devel lua-devel

%description
INSTEAD was designed to interpret the games that are the mix of visual novels,
text quests and classical 90's quests.

%description -l ru_RU.UTF-8
Интерпретатор STEAD (Simple Text Adventure) позволяет проигрывать игры, которые
по жанру являются смесью визуальной новеллы, текстового квеста и классических
квестов 90-х. Особенности STEAD игры:

    * очень простой исходный текст историй. (В качестве основы используется LUA);
    * возможность использования графического или текстового (readline) интерфейса для игры;
    * в графическом интерфейсе поддерживается музыка и графика;
    * поддержка тем для графического интерпретатора -- конкретная игра может менять вид интерфейса;
    * переносимость (изначально написана для Linux, зависит от SDL и lua).

%prep
%setup
%patch -p2

for N in 16 32 48 64 128; do convert -resize ${N}x${N} icon/sdl_%name.png ${N}x${N}.png; done

%build
%cmake -DCMAKE_C_FLAGS:PATH="-I /usr/include/harfbuzz" -DWITH_GTK3=1
%cmake_build

%install
%cmakeinstall_std
for N in 16 32 48 64 128; do install -pD ${N}x${N}.png %buildroot/%_iconsdir/hicolor/${N}x${N}/apps/sdl_%name.png; done
mkdir -p %buildroot%_localstatedir/%name/games

%files
%doc doc README*
%dir %_datadir/%name
%dir %attr(1775,root,games) %_localstatedir/%name/games
%_datadir/%name/*
%_man6dir/*
%_bindir/*
%_iconsdir/hicolor/*/apps/sdl_%name.png
%_pixmapsdir/*
%_desktopdir/%name.desktop

%changelog
