Group: Development/Java
BuildRequires: /proc rpm-build-java
BuildRequires: jpackage-1.8-compat
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# %%version is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define version 2.0.2
%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:    jboss-jsf-2.1-api
Version: 2.0.2
Release: alt3_19jpp8
Summary: JavaServer Faces 2.1 API
License: CDDL or GPLv2 with exceptions
URL:     http://www.jboss.org

# git clone git://github.com/jboss/jboss-jsf-api_spec.git jboss-jsf-2.1-api
# cd jboss-jsf-2.1-api/ && git archive --format=tar --prefix=jboss-jsf-2.1-api-2.0.2.Final/ jboss-jsf-api_2.1_spec-2.0.2.Final | xz > jboss-jsf-2.1-api-2.0.2.Final.tar.xz
Source0: %{name}-%{namedversion}.tar.xz

# Fix the FSF address in the license file:
Patch0:  %{name}-fix-fsf-address.patch

BuildRequires: mvn(javax.validation:validation-api)
BuildRequires: mvn(org.jboss:jboss-parent:pom:)
BuildRequires: mvn(org.jboss.spec.javax.el:jboss-el-api_2.2_spec)
BuildRequires: mvn(org.jboss.spec.javax.servlet.jsp:jboss-jsp-api_2.2_spec)
BuildRequires: mvn(org.jboss.spec.javax.servlet.jstl:jboss-jstl-api_1.2_spec)
BuildRequires: maven-local
BuildRequires: maven-plugin-bundle
BuildRequires: objenesis

BuildArch:     noarch
Source44: import.info


%description
JavaServer Faces API classes based on Version 2.1 of Specification.

%package javadoc
Group: Development/Java
Summary: Javadoc for %{name}
BuildArch: noarch

%description javadoc	
This package contains the API documentation for %{name}.

%prep

# Unpack the sources:
%setup -q -n %{name}-%{namedversion}
# Apply the patches:
%patch0 -p1

%mvn_file :jboss-jsf-api_2.1_spec %{name}
%mvn_alias :jboss-jsf-api_2.1_spec javax.faces:jsf-api

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc --no-dereference LICENSE
%doc README

%files javadoc -f .mfiles-javadoc
%doc --no-dereference LICENSE
%doc README

%changelog
