Group: Development/Java
# BEGIN SourceDeps(oneline):
BuildRequires: rpm-build-java
# END SourceDeps(oneline)
BuildRequires: /proc
BuildRequires: jpackage-generic-compat
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# %%version is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define version 1.0.4
%define namedreltag .Final
%define namedversion %{version}%{?namedreltag}

Name:          jboss-rmi-1.0-api
Version:       1.0.4
Release:       alt3_20jpp8
Summary:       Java Remote Method Invocation 1.0 API
License:       GPLv2 with exceptions
URL:           http://www.jboss.org

# git clone https://github.com/jboss/jboss-rmi-api_spec
# cd jboss-rmi-api_spec/ && git archive --format=tar --prefix=jboss-rmi-1.0-api-1.0.4.Final/ jboss-rmi-api_1.0_spec-1.0.4.Final | xz > jboss-rmi-1.0-api-1.0.4.Final.tar.xz
Source0:       %{name}-%{namedversion}.tar.xz

# Fix the address of the FSF in the license file:
Patch0:        %{name}-fix-fsf-address.patch

BuildRequires: maven-local
BuildRequires: mvn(jacorb:jacorb) >= 2.3.1
BuildRequires: mvn(org.apache.maven.plugins:maven-dependency-plugin)
BuildRequires: mvn(org.jboss:jboss-parent:pom:)

BuildArch:     noarch
Source44: import.info

%description
Java Remote Method Invocation 1.0 API classes.

%package javadoc
Group: Development/Java
Summary:       Javadoc for %{name}
BuildArch: noarch

%description javadoc	
This package contains the API documentation for %{name}.

%prep

# Unpack the sources:
%setup -q -n %{name}-%{namedversion}

# Apply the patches:
%patch0 -p1

# Force as Requires dep
%pom_xpath_remove "pom:dependency[pom:groupId = 'jacorb']/pom:scope"

%mvn_file : %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc --no-dereference src/main/resources/LICENSE

%files javadoc -f .mfiles-javadoc
%doc --no-dereference src/main/resources/LICENSE

%changelog
