Name: jed
Version: 0.99.19
Release: alt2.qa2.2
Serial: 2

%define srcname %name-0.99-19

Summary: A fast, compact editor based on the slang screen library
Summary(ru_RU.KOI8-R): ,     .
License: GPLv2
Group: Editors
Url: http://www.jedsoft.org/jed/

Packager: Ilya Mashkin <oddity@altlinux.ru>

Source: ftp://ftp.jedsoft.org/pub/davis/jed/v0.99/%srcname.tar.bz2
Source1: %name.conf

# old
#Patch: %name-info.patch
#Patch1: jed-0.99-16-alt-xft.patch

Patch1: jed-0.99.12-xkeys.patch
Patch2: jed-etc.patch
Patch3: jed-multilib-newauto.patch
#Patch4: jed-selinux.patch
Patch5: jed-newauto.patch
Patch6: jed-0.99-18-slutf8.patch

#Patch5: jed-0.99-18-recipe.patch



Requires: %name-common = %{?serial:%serial:}%version-%release

# Automatically added by buildreq on Wed Mar 20 2013
# optimized out: fontconfig fontconfig-devel gnu-config libICE-devel libX11-devel libXrender-devel libfreetype-devel pkg-config xorg-renderproto-devel xorg-xproto-devel
BuildRequires: libXft-devel libXt-devel libgpm-devel libncurses-devel libslang2-devel

BuildRequires: /proc
# explicitly added texinfo for info files
BuildRequires: texinfo

%package common
Summary: Files needed by any Jed editor
Summary(ru_RU.KOI8-R):       JED 
Group: Editors

%package xjed
Summary: The X Window System version of the Jed text editor
Summary(ru_RU.KOI8-R):  JED c  X Window System
Group: Editors
Requires: %name-common = %{?serial:%serial:}%version-%release

%package -n rgrep
Summary: A grep utility which can recursively descend through directories
Summary(ru_RU.KOI8-R):    grep
Group: File tools

%description
Jed is a fast, compact editor based on the slang screen library.  Jed
features include emulation of the Emacs, EDT, WordStar and Brief editors;
support for extensive customization with slang macros, colors,
keybindings, etc.; and a variety of programming modes with syntax
highlighting.

%description -l ru_RU.KOI8-R
      ,   
 slang. JED     
,   Emacs, EDT, WordStar  Brief;   
     :
 -  
 -  "" 
 -    .

%description common
The %name-common package contains files (such as .sl files) that are
needed by any %name binary in order to run.

%description -l ru_RU.KOI8-R common
 %name-common -- - () 
  %name.     
-,    %name.

%description xjed
X%name is a version of the Jed text editor that will work with the X Window
System.

You should install xjed if you like Jed and you'd like to use it with X.
You'll also need to have the X Window System installed.

%description -l ru_RU.KOI8-R xjed
X%name --  %name,     X Window System.

%description -n rgrep
The rgrep utility can recursively descend through directories as
it greps for the specified pattern.  Note that this ability does
take a toll on rgrep's performance, which is somewhat slow.  Rgrep
will also highlight the matching expression.

Install the rgrep package if you need a recursive grep which can
highlight the matching expression.

%description -n rgrep -l ru_RU.KOI8-R
  grep     ,
   .

%prep

%setup -q -n %srcname

#patch -p1
#patch1 -p1

%patch1 -p1 -b .xkeys
%patch2 -p1
%if "%{_lib}" == "lib64"
%patch3 -p1
%endif
#patch5 -p1
#patch6 -p1

cd autoconf
autoconf
mv configure ..
cd ..


%build
%configure --prefix=%_datadir -exec-prefix=%prefix --with-x

# enable gmp and Xft support
#XFTCFLAGS=`xft-config --cflags`
#XFTLIBS=`xft-config --libs`
XFTCFLAGS="-I/usr/include/freetype2"
XFTLIBS="-lXft -lX11 -lfreetype -lfontconfig -lXrender -lX11"

sed -i "
     s!^#\(MOUSEFLAGS.*\)!\1!
     s!^#\(MOUSELIB.*\)!\1!
     s!^#\(GPMMOUSEO.*\)!\1!
     s!^#\(OBJGPMMOUSEO.*\)!\1!
     s!^#\(XRENDERFONTLIBS\).*!\1 = $XFTLIBS!
     s!^\(XINCLUDE = .*\)!\1 $XFTCFLAGS!
     " src/Makefile

sed -i '
     /XJED_HAS_XRENDERFONT/ s!0!1!
     ' src/jed-feat.h

sed -i '
     s/doc\/txt/help/
     ' lib/*.sl

sed -i '
     s!@INFODIR@!%_infodir!g
     s!@DATADIR@!%_datadir!g
     s!@LIBDIR@!%_libdir!g			     
     ' %SOURCE1

touch src/Makefile

%make_build all JED_ROOT=%_datadir/%name
%make_build xjed rgrep getmail JED_ROOT=%_datadir/%name

%set_verify_info_method relaxed

%install
mkdir -p %buildroot%_infodir
mkdir -p %buildroot%_datadir/%name/lib/colors/X%name
mkdir -p %buildroot%_datadir/%name/help
mkdir -p %buildroot%_libdir/%name

install -pD -m755 src/objs/x%name    %buildroot%_x11bindir/x%name
install -pD -m755 src/objs/%name     %buildroot%_bindir/%name
install -pD -m755 src/objs/rgrep     %buildroot%_bindir/rgrep
install -pD -m755 src/objs/getmail   %buildroot%_libdir/%name/getmail

pushd %buildroot%_bindir
	ln -s %name %name-script
popd

install -pD -m644 %SOURCE1           %buildroot%_sysconfdir/%name.conf

install -pD -m644 doc/manual/%name.1 %buildroot%_man1dir/%name.1
install -pD -m644 doc/manual/rgrep.1 %buildroot%_man1dir/rgrep.1

install -m644 info/%name.*           %buildroot%_infodir
install -m644 doc/txt/*              %buildroot%_datadir/jed/help

cp -r         lib                    %buildroot%_datadir/%name/

# now make .slc files (comment 21042011)
#( 
#    export JED_ROOT=%buildroot%_datadir/%name
#    %buildroot%_bindir/%name -batch -n -l preparse.sl </dev/null
#) || :

JED_ROOT=%buildroot%_datadir/%name %buildroot%_bindir/%name -batch -n -l preparse.sl </dev/null

while ps -C jed > /dev/null; do sleep 1; done

%files
%_bindir/%{name}*

%files common
     %_sysconfdir/%name.conf
     %_man1dir/%name.1*
     %_datadir/%name/*
     %_libdir/%name/*
     %_infodir/%name.*
%dir %_datadir/%name
%dir %_libdir/%name
%doc COPYRIGHT README changes.txt INSTALL.unx

%files xjed
%_x11bindir/x%name

%files -n rgrep
%_bindir/rgrep
%_man1dir/rgrep.1*

%changelog
