Epoch: 0
Group: Development/Java
BuildRequires: /proc rpm-build-java
BuildRequires: jpackage-1.8-compat
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           jmdns
Version:        3.5.5
Release:        alt1_1jpp8
Summary:        Java implementation of multi-cast DNS

License:        ASL 2.0
URL:            https://github.com/jmdns/jmdns
Source0:        %{url}/archive/%{name}-%{version}/%{name}-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.slf4j:slf4j-api)

BuildArch:      noarch
Source44: import.info

%description
JmDNS is a Java implementation of multi-cast DNS
and can be used for service registration and discovery
in local area networks. JmDNS is fully compatible
with Apple's Bonjour.


%prep
%setup -q -n %{name}-%{name}-%{version}


# Remove duplicate jar execution
%pom_xpath_remove "pom:plugin[pom:artifactId='maven-jar-plugin']/pom:executions"

# Javadoc temporary disabled while upsteam not fix javadoc generation
# https://github.com/jmdns/jmdns/issues/199
%pom_xpath_remove "pom:plugin[pom:artifactId='maven-javadoc-plugin']"
%pom_xpath_remove "pom:properties[pom:javadoc.opts]"

chmod -x README.md


%build
# Tests are disabled because they try to use network
%mvn_build -f --skip-javadoc


%install
%mvn_install


%files -f .mfiles
%doc --no-dereference LICENSE
%doc README.md



%changelog
