Name: juffed
Version: 0.10
Release: alt3.git7746772.1

Summary: Simple tabbed text editor
License: GPL-2.0+
Group:	 Editors
URL: https://github.com/Mezomish/juffed

Source:	%name-%version.tar
Patch1:	%name-%version-fedora-cmake.patch

BuildRequires(pre): cmake rpm-macros-ninja-build
BuildRequires: gcc-c++
BuildRequires: ninja-build
BuildRequires: qt5-base-devel
BuildRequires: qt5-tools-devel
BuildRequires: libqscintilla2-qt5-devel
BuildRequires: libenca-devel
BuildRequires: chrpath

Provides: %name-plugins = %EVR
Obsoletes: %name-plugins < %EVR

%description
Simple tabbed text editor with syntax highlighting for C++, Python,
HTML, PHP, XML, TeX, Makefiles, ini-files and patch-files

%package devel
Summary: Includes for juffed
Group:   Development/KDE and QT
Requires: %name = %EVR
BuildArch: noarch

%description devel
%{summary}

See http://code.google.com/p/juffed-plugins/wiki/JuffEd_Plugins_Tutorial
for details.

%prep
%setup
#patch1 -p1

%build
%cmake -GNinja \
	-DUSE_QT5=TRUE \
	-DUSE_ENCA=TRUE \
	-DQSCINTILLA_NAMES=qscintilla2_qt5

%ninja_build -C "%_cmake__builddir"

%install
%ninja_install -C "%_cmake__builddir"
#chrpath -d %buildroot%_bindir/%name
#chrpath -d %buildroot%_libdir/libjuff.so
#mkdir -p %buildroot/%_libdir/%name/plugins

%files
%doc COPYING ChangeLog README
%_bindir/%name
%_libdir/libjuff.*
%_libdir/libjuffed-engine-qsci.so*
%dir %_datadir/%name
%_datadir/%name
%dir %_libdir/%name/plugins
%_libdir/%name/plugins
%_desktopdir/%name.desktop
%_datadir/pixmaps/%name.png

%files devel
%_includedir/%name

%changelog
