%define _unpackaged_files_terminate_build 1

%define rname k9copy

Name: %rname
Version: 3.0.3
Release: alt2
Group: Video
Summary: Copy, split and shrink DVDs
Summary(ru_RU.UTF8): Копирование, разделение и уменьшение DVD-дисков
License: GPL
Url: http://k9copy.sourceforge.net

%K5init no_altplace

Requires: dvdauthor dvd+rw-tools mencoder

Provides: kde4-%rname = %EVR
Obsoletes: kde4-%rname < %EVR

Source: %name-%version.tar

Patch1: %name-%version-alt.patch

BuildRequires(pre): rpm-build-kf5
BuildRequires: cmake
BuildRequires: gcc-c++ libavformat-devel libmpeg2-devel libswscale-devel libxine2-devel libdvdread-devel libdvdnav-devel
BuildRequires: qt5-base-devel qt5-x11extras-devel
BuildRequires: qt5-phonon-devel
BuildRequires: extra-cmake-modules
BuildRequires: kf5-ki18n-devel kf5-kauth-devel kf5-kconfig-devel kf5-kdesu-devel kf5-kpty-devel kf5-kcoreaddons-devel
BuildRequires: kf5-kwidgetsaddons-devel kf5-kdoctools-devel kf5-kxmlgui-devel kf5-solid-devel kf5-kio-devel kf5-kiconthemes-devel

%description
K9Copy is a small utility which allows the copy of DVD on Linux.
The DVD video stream is compressed by the program Vamps. 

Copy without menus :
 In this case, dvdauthor is used to create a new DVD structure.
 It is possible to choose the order in which the video sequences are played. 

Copy with menus :
 As dvdauthor does not make it possible to integrate the original menus,
 K9Copy reproduces the original structure of the DVD. The navigation packs
 as well as IFO files are modified to point on the compressed MPEG stream.

%description -l ru_RU.UTF8
K9Copy - маленькая программа для копирования DVD в Linux.
Видео поток DVD сжимается с помощью программы Vamps.

Копирование без меню:
 В этом случае dvdauthor используется для создания новой структуры DVD.
 Возможно выбирать порядок, в котором видео фрагменты будут воспроизводиться.

Копирование с меню:
 Посколько dvdauthor не позволяет интегрировать оригинальное меню,
 K9Copy воспроизводит оригинальную структуру DVD. Навигационные пакеты, так же как
 и IFO файлы модифицируются для указания мест в сжатом MPEG потоке.

%prep
%setup
%patch1 -p1

# remove bundled libraries
rm -rf src/libdvdnav-NOW src/libdvdread-NOW

%build
%K5build \
	-DQT5_BUILD:BOOL=ON \
	%nil

%install
%K5install
%K5install_move data solid

# this translation is ignored by %%find_lang
rm -f %buildroot%_datadir/locale/sr@Latn/LC_MESSAGES/%{rname}.mo

%find_lang %rname --with-kde --all-name

%files -f %rname.lang
%doc COPYING
%doc README
%_K5bin/*
%_K5xdgapp/*
%_K5icon/hicolor/*/actions/*
%_datadir/%rname
%_K5xmlgui/%rname
%_K5data/solid/actions/%{rname}_*.desktop

%changelog
