# Spec file for kcollectd package

%define _unpackaged_files_terminate_build 1

Name: kcollectd
Version: 0.12.0
Release: alt1

Summary: collectd graphing frontend for KDE
License: %gpl3plus
Group: Office
Url: https://www.antonioerusso.com/projects/kcollectd/
#URL: https://gitlab.com/aerusso/kcollectd

Packager: Nikolay A. Fetisov <naf@altlinux.org>

Source: %name-%version.tar
Patch0: %name-%version-%release.patch

Patch1: %name-0.12.0-alt-desktop_fix.patch

BuildRequires(pre): rpm-build-licenses rpm-build-xdg


# Automatically added by buildreq on Tue May 19 2020
# optimized out: boost-devel boost-devel-headers cmake cmake-modules docbook-dtds docbook-style-xsl fontconfig gcc-c++ glibc-kernheaders-generic glibc-kernheaders-x86 gtk-update-icon-cache kf5-kauth-devel kf5-kbookmarks-devel kf5-kcodecs-devel kf5-kcompletion-devel kf5-kconfig-devel kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kdoctools kf5-kitemviews-devel kf5-kjobwidgets-devel kf5-kservice-devel kf5-kwidgetsaddons-devel kf5-kwindowsystem-devel kf5-kxmlgui-devel kf5-solid-devel libglvnd-devel libgpg-error libqt5-concurrent libqt5-core libqt5-dbus libqt5-gui libqt5-network libqt5-printsupport libqt5-svg libqt5-widgets libqt5-x11extras libqt5-xml libsasl2-3 libstdc++-devel libxcbutil-keysyms pkg-config python-modules python2-base python3 python3-base python3-dev qt5-base-devel ruby ruby-stdlibs sh4 shared-mime-info xml-common xml-utils
BuildRequires: appstream boost-filesystem-devel extra-cmake-modules kf5-kdoctools-devel kf5-kguiaddons-devel kf5-ki18n-devel kf5-kiconthemes-devel kf5-kio-devel librrd-devel libssl-devel


%description
Kcollectd is a graphical KDE5 frontend to collectd  that allows
to view RRD files that have been created by collectd. It allows
to easily navigate in the data with the mouse and can be used
as a chart recorder.

%prep
%setup
%patch0 -p1

%patch1

mv -f -- COPYING COPYING.GPL3.orig
ln -s -- $(relative %_licensedir/GPL-3 %_docdir/%name/COPYING) COPYING


%build
%cmake -DRRD_BASEDIR=/var/lib/collectd -DCMAKE_BUILD_TYPE=Release
%cmake_build

%install
%cmakeinstall_std
%find_lang --with-kde %name


%files -f %name.lang
%doc ChangeLog AUTHORS README.md TODO
%doc --no-dereference COPYING

%_bindir/%name
%_man1dir/%{name}*
%_defaultdocdir/HTML/en/%name

%_desktopdir/%name.desktop
%_xdgmimedir/packages/%name.xml

%_iconsdir/hicolor/*/apps/*
%_iconsdir/hicolor/*/mimetypes/*


%changelog
