%define rname akonadi-search

Name: kde5-%rname
Version: 23.04.3
Release: alt1
%K5init altplace

Group: Graphical desktop/KDE
Summary: Akonadi searching implementation
Url: http://www.kde.org
License: GPLv2+ / LGPLv2+

Requires: kde5-akonadi

Source: %rname-%version.tar

# Automatically added by buildreq on Thu Aug 13 2015 (-bi)
# optimized out: cmake cmake-modules elfutils kf5-kdoctools-devel libEGL-devel libGL-devel libdbusmenu-qt52 libgpg-error libjson-c libqt5-core libqt5-dbus libqt5-gui libqt5-network libqt5-printsupport libqt5-sql libqt5-svg libqt5-test libqt5-widgets libqt5-x11extras libqt5-xml libstdc++-devel libxcbutil-keysyms python-base python3 python3-base ruby ruby-stdlibs
#BuildRequires: boost-devel-headers extra-cmake-modules gcc-c++ kde5-akonadi-devel kde5-kcalcore-devel kde5-kcontacts-devel kde5-kmime-devel kde5-pimlibs-devel kf5-karchive-devel kf5-kauth-devel kf5-kbookmarks-devel kf5-kcodecs-devel kf5-kcompletion-devel kf5-kconfig-devel kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kcrash-devel kf5-kdbusaddons-devel kf5-kdelibs4support kf5-kdelibs4support-devel kf5-kdesignerplugin-devel kf5-kdoctools kf5-kdoctools-devel kf5-kemoticons-devel kf5-kguiaddons-devel kf5-ki18n-devel kf5-kiconthemes-devel kf5-kinit-devel kf5-kio-devel kf5-kitemmodels-devel kf5-kitemviews-devel kf5-kjobwidgets-devel kf5-knotifications-devel kf5-kparts-devel kf5-kservice-devel kf5-ktextwidgets-devel kf5-kunitconversion-devel kf5-kwidgetsaddons-devel kf5-kwindowsystem-devel kf5-kxmlgui-devel kf5-solid-devel kf5-sonnet-devel libdb4-devel libical-devel libxapian-devel python-module-google qt5-base-devel rpm-build-python3 rpm-build-ruby
BuildRequires(pre): rpm-build-kf5 rpm-build-ubt
BuildRequires: extra-cmake-modules gcc-c++ qt5-base-devel
BuildRequires: boost-devel-headers libical-devel libxapian-devel
BuildRequires: kde5-akonadi-devel kde5-kcalcore-devel kde5-kcontacts-devel kde5-kmime-devel kde5-akonadi-mime-devel
BuildRequires: kf5-karchive-devel kf5-kauth-devel kf5-kbookmarks-devel kf5-kcodecs-devel kf5-kcompletion-devel kf5-kconfig-devel kf5-kconfigwidgets-devel
BuildRequires: kf5-kcoreaddons-devel kf5-kcrash-devel kf5-kdbusaddons-devel
BuildRequires: kf5-kdelibs4support kf5-kdelibs4support-devel kf5-kdesignerplugin-devel kf5-kdoctools kf5-kdoctools-devel
BuildRequires: kf5-kemoticons-devel kf5-kguiaddons-devel kf5-ki18n-devel kf5-kiconthemes-devel kf5-kinit-devel kf5-kio-devel kf5-kitemmodels-devel
BuildRequires: kf5-kitemviews-devel kf5-kjobwidgets-devel kf5-knotifications-devel kf5-kparts-devel kf5-kservice-devel kf5-ktextwidgets-devel
BuildRequires: kf5-kunitconversion-devel kf5-kwidgetsaddons-devel kf5-kwindowsystem-devel kf5-kxmlgui-devel kf5-solid-devel kf5-sonnet-devel
BuildRequires: kf5-krunner-devel kf5-kcmutils-devel kf5-plasma-framework-devel kf5-kpackage-devel

%description
%summary.

%package common
Summary: %name common package
Group: System/Configuration/Other
BuildArch: noarch
Requires: kf5-filesystem
%description common
%name common package

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package -n libkf5akonadisearchxapian
Group: System/Libraries
Summary: KF5 library
Requires: %name-common = %version-%release
%description -n libkf5akonadisearchxapian
KF5 library

%package -n libkf5akonadisearchcore
Group: System/Libraries
Summary: KF5 library
Requires: %name-common = %version-%release
%description -n libkf5akonadisearchcore
KF5 library

%package -n libkf5akonadisearchpim
Group: System/Libraries
Summary: KF5 library
Requires: %name-common = %version-%release
%description -n libkf5akonadisearchpim
KF5 library

%package -n libkf5akonadisearchdebug
Group: System/Libraries
Summary: KF5 library
Requires: %name-common = %version-%release
%description -n libkf5akonadisearchdebug
KF5 library


%prep
%setup -n %rname-%version

# disable krunner by default
#sed -i 's|^X-KDE-PluginInfo-EnabledByDefault=.*$|X-KDE-PluginInfo-EnabledByDefault=false|' runner/plasma-krunner-pimcontacts.desktop*
sed -i '/EnabledByDefault/s|true|false|' runner/plasma-krunner-pimcontacts.json.*

%build
%K5build

%install
%K5install
%K5install_move data akonadi
%find_lang %name --with-kde --all-name

%files common -f %name.lang
%doc LICENSES/*
%_datadir/qlogging-categories5/*.*categories

%files
%_K5bin/*
%_K5plug/pim5/akonadi/*.so
%_K5plug/kf5/krunner/*krunner*.so
%_K5plug/kf5/krunner/kcms/*krunner*.so
%_datadir/akonadi5/agents/*.desktop

%files devel
%_includedir/KPim5/AkonadiSearch/
%_K5link/lib*.so
%_K5lib/cmake/K*5AkonadiSearch/

%files -n libkf5akonadisearchxapian
%_K5lib/libKPim5AkonadiSearchXapian.so.*
%files -n libkf5akonadisearchcore
%_K5lib/libKPim5AkonadiSearchCore.so.*
%files -n libkf5akonadisearchpim
%_K5lib/libKPim5AkonadiSearchPIM.so.*
%files -n libkf5akonadisearchdebug
%_K5lib/libKPim5AkonadiSearchDebug.so.*

%changelog
