%define libbasket_soname 5
%define libbasketcommon libbasketcommon%libbasket_soname
%define rname basket
%define rev   60e38c6

Name: 	 kde5-%rname
Version: 2.49
Release: alt4.git%rev
%K5init no_altplace

Summary: multi-purpose note-taking application
License: GPLv2+
Group:   Graphical desktop/KDE
Url:     https://github.com/basket-notepads/basket

Requires: %libbasketcommon = %version-%release
Provides: basket = %version-%release
Provides: kde4-basket = %version-%release
Obsoletes: kde4-basket < %version-%release

Source:  %rname-%version.tar
Source1: ru.po
Patch0:  kde5-basket-2.49-fix-locale.patch

BuildRequires(pre): rpm-build-kf5 rpm-build-ubt
BuildRequires: extra-cmake-modules gcc-c++
BuildRequires: glib2-devel glibc-devel kde5-libkdepim-devel
BuildRequires: kf5-karchive-devel kf5-kcompletion-devel kf5-kconfig-devel kf5-kconfigwidgets-devel
BuildRequires: kf5-kcoreaddons-devel kf5-kcrash-devel kf5-kdbusaddons-devel kf5-kdoctools-devel
BuildRequires: kf5-kfilemetadata-devel kf5-kglobalaccel-devel kf5-kguiaddons-devel kf5-ki18n-devel
BuildRequires: kf5-kiconthemes-devel kf5-kcmutils-devel kf5-kio-devel kf5-knotifications-devel
BuildRequires: kf5-kparts-devel kf5-kservice-devel kf5-ktextwidgets-devel kf5-kwidgetsaddons-devel
BuildRequires: kf5-kwindowsystem-devel kf5-kxmlgui-devel
BuildRequires: qt5-base-devel qt5-phonon-devel

%description
This multi-purpose note-taking application can helps you to:

* Easily take all sort of notes
* Collect research results and share them
* Centralize your project data and re-use them
* Quickly organize your toughts in idea boxes
* Keep track of your information in a smart way
* Make intelligent To Do lists
* And a lot more...

%package devel
Summary: Development files for %name
Group: Development/KDE and QT
%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package -n %libbasketcommon
Summary: Library for %name
Group: System/Libraries
%description -n %libbasketcommon
Library for %name

%prep
%setup -q -n %rname-%version
%patch0 -p1
cp -f %SOURCE1 po/

%build
%K5build

%install
%K5install
%K5install_move data basket
%find_lang %name --with-kde --all-name

%files -f %name.lang
%doc AUTHORS README.md
%_K5bin/*
%_K5plug/basketthumbcreator.so
%_K5plug/kcm_basket.so
%_K5xdgapp/basket.desktop
%_K5data/basket
%_K5icon/hicolor/*/apps/basket.*
%_K5icon/hicolor/*/actions/likeback_*.png
%_K5icon/hicolor/*/actions/tag_*.png
%_K5srv/basket_config_*.desktop
%_K5srv/basketthumbcreator.desktop
%_K5xmlgui/basket

#%files devel
#%_K5link/libbasketcommon.so

%files -n %libbasketcommon
%_K5lib/libbasketcommon.so.%libbasket_soname
%_K5lib/libbasketcommon.so.%libbasket_soname.*.*

%changelog
