%define rname kde-dev-scripts

%add_findreq_skiplist %_K5bin/kdedoc
%add_findreq_skiplist %_K5bin/package_crystalsvg
%add_findreq_skiplist %_K5bin/kde-systemsettings-tree.py
%filter_from_requires /^cvs$/d

Name: kde5-dev-scripts
Version: 23.04.3
Release: alt1
%K5init altplace no_appdata

Group: Graphical desktop/KDE
Summary: Various development scripts
Url: http://www.kde.org
License: GPLv2+ / LGPLv2+

BuildArch: noarch

Source: %rname-%version.tar

# Automatically added by buildreq on Thu Oct 01 2015 (-bi)
# optimized out: cmake cmake-modules docbook-dtds docbook-style-xsl kf5-kdoctools-devel less libgpg-error libqt5-core libstdc++-devel perl-Encode perl-HTTP-Date perl-HTTP-Message perl-Pod-Escapes perl-Pod-Simple perl-Pod-Usage perl-Term-ANSIColor perl-URI perl-XML-Parser perl-XML-RegExp perl-libwww python-base python3 python3-base rpm-build-gir termutils xml-common xml-utils
#BuildRequires: cvs extra-cmake-modules gcc-c++ git-core graphviz kde5-konqueror kf5-kdelibs4support kf5-kdoctools kf5-kdoctools-devel perl-XML-DOM perl-podlators python-module-google qt5-base-devel rpm-build-python3 ruby ruby-stdlibs subversion
BuildRequires(pre): rpm-build-kf5
BuildRequires: extra-cmake-modules gcc-c++ qt5-base-devel
BuildRequires: graphviz perl-XML-DOM perl-podlators rpm-build-python rpm-build-python3 ruby ruby-stdlibs
BuildRequires: kf5-kdelibs4support kf5-kdoctools kf5-kdoctools-devel

%description
%summary.

%prep
%setup -n %rname-%version

%build
%K5build

%install
%K5install
%K5install_move data uncrustify

# fix shebang
sed -i \
  -e "s|^#![[:space:]]*/usr/bin/env python$|#!%{__python3}|g" \
  %buildroot/%_K5bin/*

# fix scripts for strong /usr/lib/rpm/find-requires
for f in  %buildroot/%_K5bin/*
do
    file $f | grep -q shell || continue
    grep -q ^=head $f || continue
    mv "$f" "$f.tmp"
    awk 'BEGIN{found=0;} /^=head/ {if (found==0){print "cat <<\\__EOF__";found=1;};} {print} END{if (found!=0) print "__EOF__";}' <"$f.tmp" >"$f"
    rm -f "$f.tmp"
    chmod a+x $f
done


%find_lang %name --with-kde --all-name

%files -f %name.lang
%doc COPYING* README
%_bindir/*
%_K5bin/*
%_K5data/*/

%changelog
