%{expand: %(sed 's,^%%,%%global ,' /usr/lib/rpm/macros.d/ubt)}
%define ubt_id %__ubt_branch_id

%define rname konsole

%_K5if_ver_gteq %ubt_id M100
%def_enable obsolete_kde4
%else
%def_disable obsolete_kde4
%endif

%define sover 1
%define libkonsoleprivate libkonsoleprivate%sover
%define libkonsoleapp libkonsoleapp%sover

Name: kde5-%rname
Version: 23.04.3
Release: alt1
%K5init %{?_enable_obsolete_kde4:no_altplace} %{?_enable_obsolete_kde4:appdata}%{!?_enable_obsolete_kde4:no_appdata}

Group: Terminals
Summary: Terminal emulator for KDE
Url: http://www.kde.org
License: GPLv2+ / LGPLv2+

Requires(post,preun): alternatives >= 0.2
Provides: x-terminal-emulator xvt %_x11bindir/xvt
#Requires: fonts-bitmap-misc
%if_enabled obsolete_kde4
Provides: kde4-konsole = %version-%release
Obsoletes: kde4-konsole < %version-%release
%endif

Source: %rname-%version.tar
Source10: profiles.tar
Patch12: alt-def-font.patch
Patch13: alt-def-colors.patch
Patch14: alt-fix-empty-profile.patch
Patch15: alt-disable-colorfilter.patch
Patch16: alt-new-tab-button.patch

# Automatically added by buildreq on Mon Apr 27 2015 (-bi)
# optimized out: alternatives cmake cmake-modules docbook-dtds docbook-style-xsl elfutils kf5-kdoctools-devel libEGL-devel libGL-devel libICE-devel libSM-devel libX11-devel libXau-devel libXext-devel libXfixes-devel libXi-devel libXrender-devel libXt-devel libcloog-isl4 libdbusmenu-qt52 libgpg-error libjson-c libqt5-core libqt5-dbus libqt5-gui libqt5-network libqt5-printsupport libqt5-script libqt5-svg libqt5-widgets libqt5-x11extras libqt5-xml libstdc++-devel libxcbutil-keysyms python-base qt5-base-devel ruby ruby-stdlibs xml-common xml-utils xorg-kbproto-devel xorg-xf86miscproto-devel xorg-xproto-devel
#BuildRequires: extra-cmake-modules gcc-c++ kf5-karchive-devel kf5-kauth-devel kf5-kbookmarks-devel kf5-kcodecs-devel kf5-kcompletion-devel kf5-kconfig-devel kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kcrash-devel kf5-kdbusaddons-devel kf5-kdelibs4support kf5-kdelibs4support-devel kf5-kdesignerplugin-devel kf5-kdoctools kf5-kdoctools-devel kf5-kemoticons-devel kf5-kguiaddons-devel kf5-ki18n-devel kf5-kiconthemes-devel kf5-kinit-devel kf5-kio-devel kf5-kitemmodels-devel kf5-kitemviews-devel kf5-kjobwidgets-devel kf5-knotifications-devel kf5-knotifyconfig-devel kf5-kparts-devel kf5-kpty-devel kf5-kservice-devel kf5-ktextwidgets-devel kf5-kunitconversion-devel kf5-kwidgetsaddons-devel kf5-kwindowsystem-devel kf5-kxmlgui-devel kf5-solid-devel kf5-sonnet-devel libXScrnSaver-devel libXcomposite-devel libXcursor-devel libXdamage-devel libXdmcp-devel libXft-devel libXinerama-devel libXmu-devel libXpm-devel libXrandr-devel libXtst-devel libXv-devel libXxf86misc-devel libXxf86vm-devel libdb4-devel libxkbfile-devel python-module-google qt5-script-devel rpm-build-ruby
BuildRequires(pre): rpm-build-kf5 rpm-build-ubt
BuildRequires: rpm-build-xdg
BuildRequires: libalternatives-devel
BuildRequires: extra-cmake-modules gcc-c++ qt5-base-devel qt5-script-devel qt5-multimedia-devel
BuildRequires: libdb4-devel zlib-devel
BuildRequires: kf5-karchive-devel kf5-kauth-devel kf5-kbookmarks-devel kf5-kcodecs-devel kf5-kcompletion-devel
BuildRequires: kf5-kconfig-devel kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kcrash-devel kf5-kdbusaddons-devel
BuildRequires: kf5-kdelibs4support kf5-kdelibs4support-devel
BuildRequires: kf5-kdoctools kf5-kdoctools-devel
BuildRequires: kf5-kdesignerplugin-devel kf5-kemoticons-devel kf5-kguiaddons-devel kf5-ki18n-devel kf5-kiconthemes-devel
BuildRequires: kf5-kinit-devel kf5-kio-devel kf5-kitemmodels-devel kf5-kitemviews-devel kf5-kjobwidgets-devel kf5-knotifications-devel
BuildRequires: kf5-knotifyconfig-devel kf5-kparts-devel kf5-kpty-devel kf5-kservice-devel kf5-ktextwidgets-devel
BuildRequires: kf5-kunitconversion-devel kf5-kwidgetsaddons-devel kf5-kwindowsystem-devel kf5-kxmlgui-devel kf5-solid-devel
BuildRequires: kf5-sonnet-devel kf5-knewstuff-devel kf5-kglobalaccel-devel
BuildRequires: libXScrnSaver-devel libXcomposite-devel libXcursor-devel libXdamage-devel libXdmcp-devel libXft-devel libXinerama-devel
BuildRequires: libXmu-devel libXpm-devel libXrandr-devel libXtst-devel libXv-devel libXxf86misc-devel libXxf86vm-devel
BuildRequires: libxkbfile-devel

%description
As well as being a standalone program, it is also used by other KDE programs
such as the Kate editor and KDevelop development environment to provide easy
access to a terminal window. Konsole's features and usage are explained and
illustrated in the Konsole handbook, which can be accessed by browsing to
"help:/konsole" in Konqueror.

%package common
Summary: %name common package
Group: System/Configuration/Other
BuildArch: noarch
Requires: kf5-filesystem
%description common
%name common package

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package -n %libkonsoleprivate
Group: System/Libraries
Summary: %name library
Requires: %name-common = %version-%release
%description -n %libkonsoleprivate
%name library

%package -n %libkonsoleapp
Group: System/Libraries
Summary: %name library
Requires: %name-common = %version-%release
%description -n %libkonsoleapp
%name library

%prep
%setup -q -n %rname-%version -a10
#patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1

%build
%K5build \
%if_enabled obsolete_kde4
    -DCONFIG_INSTALL_DIR:PATH=%_xdgconfigdir \
    -DDATA_INSTALL_DIR=%_datadir \
%else
    -DCONFIG_INSTALL_DIR:PATH=%_K5xdgconf \
    -DDATA_INSTALL_DIR=%_K5data \
%endif
    #

%install
%K5install
%K5install_move data kglobalaccel kio knsrcfiles kconf_update

# install profiles
KONSOLE_DATA_DIR=%buildroot/%_K5data/konsole/
%if_enabled obsolete_kde4
KONSOLE_DATA_DIR=%buildroot/%_datadir/konsole/
%endif
for f in profiles/*.profile ; do
    install -m 0644 $f $KONSOLE_DATA_DIR
done

# install alternatives
install -d %buildroot/%_sysconfdir/alternatives/packages.d
cat > %buildroot/%_sysconfdir/alternatives/packages.d/kde5-konsole <<__EOF__
%_x11bindir/xvt %_K5bin/konsole        55
%_x11bindir/x-terminal-emulator %_K5bin/konsole        55
__EOF__

%find_lang %name --with-kde --all-name

%files common -f %name.lang
%doc LICENSES/*
%_datadir/qlogging-categories5/*.*categories

%files
%config %_sysconfdir/alternatives/packages.d/kde5-konsole
# konsole may problems for some reasons because sgid
#%attr(2711,root,utempter) %_K5bin/konsole
%_K5bin/konsole
%_K5bin/konsoleprofile
%_K5conf_bin/konsole_globalaccel
%_K5plug/konsole*.so
%_K5plug/konsoleplugins/
%_K5xdgapp/org.kde.konsole.desktop
%if_enabled obsolete_kde4
%config %_xdgconfigdir/*konsole*
%_datadir/konsole/
%else
%config %_K5xdgconf/*konsole*
%_K5data/konsole/
%endif
%_K5conf_bin/*konsole*
%_K5conf_up/*konsole*
%_K5data/kio/servicemenus/konsolerun.desktop
#
%_K5srv/*.desktop
%_K5srvtyp/*.desktop
%_K5notif/*
%_K5data/knsrcfiles/*konsole*
%_K5data/kglobalaccel/*konsole*
%if_enabled obsolete_kde4
%_datadir/metainfo/*konsole*
%endif

%files -n %libkonsoleprivate
%_K5lib/libkonsoleprivate.so.*
%_K5lib/libkonsoleprivate.so.%sover

%files -n %libkonsoleapp
%_K5lib/libkonsoleapp.so.*
%_K5lib/libkonsoleapp.so.%sover

%changelog
