#%%define __kde4_alternate_placement 1
%define origname krusader

Name: kde5-%origname
Version: 2.8.0
Release: alt1

# Source-url: https://download.kde.org/stable/%origname/%version/%origname-%version.tar.xz
Source0: %origname-%version.tar

Source1: %origname.po

Patch1: not_show_hidden_files.patch

Packager: Konstantin Artyushkin <akv@altlinux.org>

Group: File tools
Summary: Advanced KDE twin-panel file-manager
License: GPLv3+
Url: http://www.%origname.org/

BuildRequires(pre): rpm-build-kf5
BuildRequires: gcc-c++ extra-cmake-modules gettext zlib-devel
BuildRequires: qt5-base-devel kf5-plasma-framework-devel
BuildRequires: kf5-kio-devel
BuildRequires: kf5-karchive-devel
BuildRequires: kf5-kparts-devel
BuildRequires: kf5-kwallet-devel
BuildRequires: kf5-kxmlgui-devel
BuildRequires: kf5-kdoctools-devel kf5-kdoctools-devel-static
BuildRequires: kf5-ki18n-devel
BuildRequires: kf5-kiconthemes-devel
BuildRequires: kf5-knotifications-devel
BuildRequires: kf5-ktextwidgets-devel
BuildRequires: kf5-kwindowsystem-devel
BuildRequires: kf5-kguiaddons-devel
# need some binaries for work
Requires: kf5-kio
Requires: kf5-kinit

%description
Krusader is an advanced twin panel (commander style) file manager
for KDE and other desktops in the *nix world, silar to Midnight
or Total Commander. It provides all the file management features
you could possibly want.

Plus: extensive archive handling, mounted filesystem support, FTP,
advanced search module, an internal viewer/editor, directory
synchronisation, file content comparisons, powerful batch renaming
and much much more. It supports a wide variety of archive formats
and can handle other KIO slaves such as smb or fish.

It is (almost) completely customizable, very user friendly,
fast and looks great on your desktop! You should give it a try.

This piece of software is developed by the Krusader Krew,
published under the GNU General Public Licence
(http://www.gnu.org/copyleft/gpl.html).

%prep
%setup -n %origname-%version
%patch1 -p2
cp -f %SOURCE1 po/ru/

%build
%add_optflags -fpermissive
%K5build

%install
%K5install

%find_lang %origname --with-kde

%files -f %origname.lang
%doc README AUTHORS ChangeLog TODO INSTALL CREDITS
%_K5bin/%origname
%_K5xdgapp/*.desktop
%_datadir/%origname
%_K5xdgconf/kio_isorc
%_K5icon/*/*/apps/*.png
%_K5plug/kf5/kio/kio_*.so
%_K5xmlgui/%origname
%_K5doc/*/%origname
%_datadir/metainfo/org.kde.%origname.appdata.xml

%changelog
