%define rname kwave

%define sover 23
%define libkwavegui libkwavegui%sover
%define libkwave libkwave%sover

Name: kde5-%rname
Version: 23.04.3
Release: alt1
%K5init no_appdata

Group: Sound
Summary: Simple Sound Editor
Url: http://www.kde.org
License: GPLv2+ / LGPLv2+

Requires: lame

Source: %rname-%version.tar
Patch2: alt-opus-pkgconvig-wrong-version.patch

# Automatically added by buildreq on Mon Apr 03 2017 (-bi)
# optimized out: cmake cmake-modules docbook-dtds docbook-style-xsl elfutils fontconfig gcc-c++ glib-networking gtk-update-icon-cache kf5-kauth-devel kf5-kbookmarks-devel kf5-kcodecs-devel kf5-kcompletion-devel kf5-kconfig-devel kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kdoctools kf5-kdoctools-devel kf5-ki18n-devel kf5-kitemviews-devel kf5-kjobwidgets-devel kf5-kservice-devel kf5-kwidgetsaddons-devel kf5-kxmlgui-devel kf5-solid-devel kf5-sonnet-devel libEGL-devel libGL-devel libflac-devel libgdk-pixbuf libgpg-error libogg-devel libqt5-concurrent libqt5-core libqt5-dbus libqt5-gui libqt5-multimedia libqt5-network libqt5-printsupport libqt5-svg libqt5-widgets libqt5-x11extras libqt5-xml libstdc++-devel libwayland-client libwayland-server libxcbutil-keysyms perl pkg-config python-base python-modules python3 python3-base qt5-base-devel rpm-build-python3 ruby ruby-stdlibs xml-common xml-utils
#BuildRequires: ImageMagick-tools dconf doxygen extra-cmake-modules kf5-kcrash-devel kf5-kdbusaddons-devel kf5-kdelibs4support kf5-kdoctools-devel kf5-kiconthemes-devel kf5-kio-devel kf5-ktextwidgets-devel libGConf libalsa-devel libaudiofile-devel libfftw3-devel libflac++-devel libopus-devel libpulseaudio-devel libsamplerate-devel libvorbis-devel python-module-google python3-dev qt5-multimedia-devel rpm-build-ruby
BuildRequires(pre): rpm-build-kf5 rpm-build-ubt
BuildRequires: extra-cmake-modules qt5-base-devel qt5-multimedia-devel
BuildRequires: dconf doxygen librsvg-utils
BuildRequires: desktop-file-utils
BuildRequires: libGConf libalsa-devel libaudiofile-devel libfftw3-devel libflac++-devel libopus-devel libpulseaudio-devel libsamplerate-devel libvorbis-devel
BuildRequires: id3lib-devel libmad-devel
BuildRequires: kf5-kcrash-devel kf5-kdbusaddons-devel kf5-kdelibs4support kf5-kdoctools-devel kf5-kiconthemes-devel kf5-kio-devel kf5-ktextwidgets-devel
BuildRequires: kf5-karchive-devel

%description
Kwave is a simple sound editor.

%package common
Summary: %name common package
Group: System/Configuration/Other
BuildArch: noarch
Requires: kf5-filesystem
%description common
%name common package

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package -n %libkwavegui
Group: System/Libraries
Summary: %name library
Requires: %name-common = %version-%release
%description -n %libkwavegui
%name library

%package -n %libkwave
Group: System/Libraries
Summary: KF5 library
Requires: %name-common = %version-%release
%description -n %libkwave
%name library


%prep
%setup -n %rname-%version
%patch2 -p1

%build
%K5build \
    #

%install
%K5install
%K5install_move data kwave
desktop-file-install --mode=0755 --dir %buildroot/%_K5xdgapp \
    --set-key="X-DocPath" \
    --set-value="kwave/index.html" \
    %buildroot/%_K5xdgapp/org.kde.kwave.desktop

%find_lang %name --with-kde --all-name

%files common -f %name.lang
%doc *LICENSE*

%files
%_K5bin/kwave
%_K5plug/kwave/
%_K5data/kwave/
%_K5icon/*/*/*/*kwave*.*
%_K5xdgapp/*kwave*.desktop

#%files devel
#%_K5inc/kwave_version.h
#%_K5inc/kwave/
#%_K5link/lib*.so
#%_K5lib/cmake/kwave
#%_K5archdata/mkspecs/modules/qt_kwave.pri

%files -n %libkwave
%_K5lib/libkwave.so.%sover
%_K5lib/libkwave.so.*
%files -n %libkwavegui
%_K5lib/libkwavegui.so.%sover
%_K5lib/libkwavegui.so.*

%changelog
