%define rname kdenetwork-filesharing
%define req_samba_pkgs samba,samba-common-tools,samba-client,samba-usershares

Name: kde5-network-filesharing
Version: 23.04.3
Release: alt2
%K5init

Group: Graphical desktop/KDE
Summary: Samba Filesharing Plugin
Url: http://www.kde.org
License: GPL-2.0-or-later

#Requires: %req_samba_pkgs

Source: %rname-%version.tar
Source10: ru-add.po
Patch1: alt-allow-guest.patch
Patch2: alt-uid-min-max.patch
Patch3: alt-i18n.patch
Patch4: alt-max-domain-uid.patch
Patch5: alt-share-under-domain-user.patch
Patch6: alt-share-group.patch

# Automatically added by buildreq on Wed Jan 13 2016 (-bi)
# optimized out: cmake cmake-modules elfutils gcc-c++ kf5-kdoctools-devel libEGL-devel libGL-devel libgpg-error libqt5-core libqt5-dbus libqt5-gui libqt5-network libqt5-svg libqt5-widgets libqt5-x11extras libqt5-xml libstdc++-devel libxcbutil-keysyms python-base python-modules python3 python3-base ruby ruby-stdlibs
#BuildRequires: extra-cmake-modules kf5-kauth-devel kf5-kbookmarks-devel kf5-kcodecs-devel kf5-kcompletion-devel kf5-kconfig-devel kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kdoctools kf5-kdoctools-devel kf5-ki18n-devel kf5-kio-devel kf5-kitemviews-devel kf5-kjobwidgets-devel kf5-kservice-devel kf5-kwidgetsaddons-devel kf5-kxmlgui-devel kf5-solid-devel python-module-google qt5-base-devel rpm-build-python3 rpm-build-ruby
BuildRequires(pre): rpm-build-kf5 rpm-build-ubt
BuildRequires: extra-cmake-modules qt5-base-devel qt5-declarative-devel
BuildRequires: packagekit-qt-devel
BuildRequires: qcoro5-devel
BuildRequires: kf5-kauth-devel kf5-kbookmarks-devel kf5-kcodecs-devel kf5-kcompletion-devel kf5-kconfig-devel
BuildRequires: kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kdoctools kf5-kdoctools-devel
BuildRequires: kf5-ki18n-devel kf5-kio-devel kf5-kitemviews-devel kf5-kjobwidgets-devel kf5-kservice-devel
BuildRequires: kf5-kwidgetsaddons-devel kf5-kxmlgui-devel kf5-solid-devel kf5-kdeclarative-devel
BuildRequires: kf5-kpackage-devel

%description
Adds Configuration of Samba sharing for folders in Dolphin.

%prep
%setup -n %rname-%version
#%patch1 -p1
%patch2 -p1
%patch3 -p1 -b .i18n
%patch4 -p1
%patch5 -p1
%patch6 -p1

mv po/ru/kfileshare.po{,.old}
msgcat --use-first po/ru/kfileshare.po.old %SOURCE10 > po/ru/kfileshare.po
rm -f po/ru/kfileshare.po.old

%build
%K5build \
    -DSAMBA_INSTALL=ON \
    -DSAMBA_PACKAGE_NAME=\"%req_samba_pkgs\" \
    #

%install
%K5install
%find_lang %name --with-kde --all-name

%files -f %name.lang
%doc LICENSES/*
%_K5plug/kf5/propertiesdialog/*amba*.so
#
%_K5dbus_sys_srv/org.kde.filesharing.samba.service
%_K5libexecdir/kauth/authhelper
%_K5dbus/system.d/org.kde.filesharing.samba.conf
%_datadir/polkit-1/actions/org.kde.filesharing.samba.policy

%changelog
