%define rname pim-data-exporter

%define pim_sover 5
%define libpimdataexporterprivate libpimdataexporterprivate%pim_sover

Name: kde5-%rname
Version: 23.04.3
Release: alt1
%K5init no_appdata

Group: Graphical desktop/KDE
Summary: PIM Setting Exporter
Url: http://www.kde.org
License: GPLv2+ / LGPLv2+

ExcludeArch: %not_qt5_qtwebengine_arches

Source: %rname-%version.tar

# Automatically added by buildreq on Mon Mar 20 2017 (-bi)
# optimized out: cmake cmake-modules docbook-dtds docbook-style-xsl elfutils fontconfig gcc-c++ kde5-libkleo-devel kf5-karchive-devel kf5-kauth-devel kf5-kbookmarks-devel kf5-kcodecs-devel kf5-kcompletion-devel kf5-kconfig-devel kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kcrash-devel kf5-kdbusaddons-devel kf5-kdelibs4support kf5-kdesignerplugin-devel kf5-kdoctools kf5-kdoctools-devel kf5-kemoticons-devel kf5-kguiaddons-devel kf5-ki18n-devel kf5-kiconthemes-devel kf5-kinit-devel kf5-kitemmodels-devel kf5-kitemviews-devel kf5-kjobwidgets-devel kf5-knotifications-devel kf5-kparts-devel kf5-kservice-devel kf5-ktextwidgets-devel kf5-kunitconversion-devel kf5-kwidgetsaddons-devel kf5-kwindowsystem-devel kf5-kxmlgui-devel kf5-solid-devel kf5-sonnet-devel libEGL-devel libGL-devel libdb4-devel libdbusmenu-qt52 libgpg-error libgpg-error-devel libgpgme-devel libgst-plugins1.0 libical-devel libqt5-core libqt5-dbus libqt5-gui libqt5-network libqt5-opengl libqt5-positioning libqt5-printsupport libqt5-qml libqt5-quick libqt5-quickwidgets libqt5-script libqt5-sensors libqt5-sql libqt5-svg libqt5-test libqt5-webchannel libqt5-webenginecore libqt5-webenginewidgets libqt5-webkit libqt5-webkitwidgets libqt5-widgets libqt5-x11extras libqt5-xml libsasl2-3 libstdc++-devel libxcbutil-keysyms perl pkg-config python-base python-modules python3 python3-base qt5-base-devel rpm-build-python3 xml-common xml-utils
#BuildRequires: boost-devel-headers extra-cmake-modules kde5-akonadi-calendar-devel kde5-akonadi-contacts-devel kde5-akonadi-devel kde5-akonadi-mime-devel kde5-calendarsupport-devel kde5-kalarmcal-devel kde5-kcalcore-devel kde5-kcontacts-devel kde5-kholidays-devel kde5-kidentitymanagement-devel kde5-kimap-devel kde5-kmailtransport-devel kde5-kmime-devel kde5-kpimtextedit-devel kde5-libkdepim-devel kde5-mailcommon-devel kde5-messagelib-devel kde5-pimcommon-devel kf5-kdelibs4support-devel kf5-kdoctools-devel kf5-kio-devel kf5-kwallet-devel libassuan-devel libsasl2-devel python-module-google python3-dev ruby ruby-stdlibs
BuildRequires(pre): rpm-build-kf5 rpm-build-ubt rpm-macros-qt5-webengine
BuildRequires: extra-cmake-modules qt5-base-devel
BuildRequires: boost-devel libassuan-devel libsasl2-devel
BuildRequires: libqtkeychain-qt5-devel
BuildRequires: kde5-libkleo-devel
BuildRequires: kde5-akonadi-calendar-devel kde5-akonadi-contacts-devel kde5-akonadi-devel kde5-akonadi-mime-devel kde5-calendarsupport-devel
BuildRequires: kde5-kcalcore-devel kde5-kcontacts-devel kde5-kidentitymanagement-devel
BuildRequires: kde5-kimap-devel kde5-kmailtransport-devel kde5-kmime-devel kde5-kpimtextedit-devel kde5-libkdepim-devel
BuildRequires: kde5-mailcommon-devel kde5-messagelib-devel kde5-pimcommon-devel kde5-akonadi-notes-devel
BuildRequires: kf5-kdelibs4support-devel kf5-kdoctools-devel kf5-kio-devel kf5-kwallet-devel kf5-kholidays-devel

%description
PIM Setting Exporter allows to export and import PIM settings and local mail.
You can backup and restore settings from various programs.

%package common
Summary: %name common package
Group: System/Configuration/Other
BuildArch: noarch
Requires: kf5-filesystem
Conflicts: kde5-pim-common < 16.12
%description common
%name common package

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package -n %libpimdataexporterprivate
Group: System/Libraries
Summary: %name library
Requires: %name-common = %version-%release
%description -n %libpimdataexporterprivate
%name library

%prep
%setup -n %rname-%version
for d in po/*/docs/pimsettingexporter ; do
    b_dir=`dirname "$d"`
    [ -e "$b_dir/pimdataexporter" ] || cp -ar "$d" "$b_dir/pimdataexporter"
done

%build
%K5build

%install
%K5install
%K5install_move data kconf_update
%find_lang %name --with-kde --all-name

%files common -f %name.lang
%doc LICENSES/*
%_datadir/qlogging-categories5/*.*categories

%files
%_K5bin/*pimdataexporter*
#%_K5conf_up/*pimsettingexporter*
%_K5xdgapp/*pimdataexporter*.desktop
%_K5cfg/*pimdataexporter*

#%files devel
#%_K5inc/pim-data-exporter_version.h
#%_K5inc/pim-data-exporter/
#%_K5link/lib*.so
#%_K5lib/cmake/pim-data-exporter
#%_K5archdata/mkspecs/modules/qt_pim-data-exporter.pri

%files -n %libpimdataexporterprivate
%_K5lib/libpimdataexporterprivate.so.%pim_sover
%_K5lib/libpimdataexporterprivate.so.*

%changelog
