%define rname print-manager

%define sover 0.2
%define libkcupslib libkcupslib%sover

Name: kde5-%rname
Version: 23.04.3
Release: alt1
%K5init altplace

Group: System/Configuration/Printing
Summary: Printer management for KDE
Url: http://www.kde.org
License: GPL-2.0-or-later

Requires: cups
#Requires: printer-drivers-X11
Requires: system-config-printer-lib
Requires: system-config-printer-udev

Source: %rname-%version.tar
Source10: add-ppdtranslations-ru.po
Patch1: alt-lib-sover.patch
Patch2: alt-queue-window.patch
Patch3: alt-remove-help-button.patch
Patch4: alt-print-opts-i18n.patch

# Automatically added by buildreq on Mon Aug 24 2015 (-bi)
# optimized out: cmake cmake-modules elfutils libEGL-devel libGL-devel libdbusmenu-qt52 libgpg-error libjson-c libqt5-core libqt5-dbus libqt5-gui libqt5-network libqt5-qml libqt5-quick libqt5-svg libqt5-widgets libqt5-x11extras libqt5-xml libstdc++-devel libxcbutil-keysyms python-base python3 python3-base qt5-base-devel ruby ruby-stdlibs
#BuildRequires: extra-cmake-modules gcc-c++ kf5-kauth-devel kf5-kbookmarks-devel kf5-kcmutils-devel kf5-kcodecs-devel kf5-kcompletion-devel kf5-kconfig-devel kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kdbusaddons-devel kf5-ki18n-devel kf5-kiconthemes-devel kf5-kio-devel kf5-kitemviews-devel kf5-kjobwidgets-devel kf5-knotifications-devel kf5-kpackage-devel kf5-kservice-devel kf5-kwidgetsaddons-devel kf5-kwindowsystem-devel kf5-kxmlgui-devel kf5-plasma-framework-devel kf5-solid-devel libcups-devel python-module-google qt5-declarative-devel rpm-build-python3 rpm-build-ruby
BuildRequires(pre): rpm-build-kf5
BuildRequires: extra-cmake-modules gcc-c++ qt5-base-devel qt5-declarative-devel
BuildRequires: /usr/bin/msgcat
BuildRequires: libcups-devel
BuildRequires: kf5-kauth-devel kf5-kbookmarks-devel kf5-kcmutils-devel kf5-kcodecs-devel kf5-kcompletion-devel kf5-kconfig-devel kf5-kconfigwidgets-devel
BuildRequires: kf5-kcoreaddons-devel kf5-kdbusaddons-devel kf5-ki18n-devel kf5-kiconthemes-devel kf5-kio-devel kf5-kitemviews-devel kf5-kjobwidgets-devel
BuildRequires: kf5-knotifications-devel kf5-kpackage-devel kf5-kservice-devel kf5-kwidgetsaddons-devel kf5-kwindowsystem-devel kf5-kxmlgui-devel
BuildRequires: kf5-plasma-framework-devel kf5-solid-devel

%description
%summary.

%package common
Summary: %name common package
Group: System/Configuration/Other
BuildArch: noarch
Requires: kf5-filesystem
%description common
%name common package

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package -n %libkcupslib
Group: System/Libraries
Summary: KF5 library
Requires: %name-common = %version-%release
%description -n %libkcupslib
KF5 library


%prep
%setup -n %rname-%version
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

tmp_file=`mktemp`
msgcat --use-first po/ru/print-manager.po %SOURCE10 >"$tmp_file"
cat "$tmp_file" >po/ru/print-manager.po
msgcat --use-first po/ru/plasma_applet_org.kde.plasma.printmanager.po %SOURCE10 >"$tmp_file"
cat "$tmp_file" >po/ru/plasma_applet_org.kde.plasma.printmanager.po
rm -f "$tmp_file"

%build
%K5build

%install
%K5install
%find_lang %name --with-kde --all-name

%files common -f %name.lang
%doc LICENSES/*

%files
%_K5bin/configure-printer
%_K5bin/kde-add-printer
%_K5bin/kde-print-queue
%_K5plug/plasma/kcms/systemsettings_qwidgets/*print*.so
%_K5plug/kf5/kded/*print*.so
%_K5xdgapp/*rint*.desktop
%_K5data/plasma/plasmoids/org.kde.plasma.printmanager/
%_K5qml/org/kde/plasma/printmanager/
%_K5notif/printmanager.notifyrc

%files -n %libkcupslib
%_K5lib/libkcupslib.so.%sover
%_K5lib/libkcupslib.so.*

%changelog
