%define _unpackaged_files_terminate_build 1

Name: kdiff3
Version: 1.8.4
Release: alt1
Summary: Compare + merge 2 or 3 files or directories
 
License: GPLv2
Group: Text tools
URL: https://invent.kde.org/sdk/kdiff3

# https://invent.kde.org/sdk/kdiff3.git
Source: %name-%version.tar

Patch1: %name-1.8.3-gentoo-hidpi.patch

BuildRequires(pre): rpm-build-kf5 
BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: kf5-kio-devel 
BuildRequires: kf5-kwidgetsaddons-devel
BuildRequires: kf5-kparts-devel
BuildRequires: kf5-kiconthemes-devel
BuildRequires: kf5-kdoctools-devel
BuildRequires: kf5-kcrash-devel
BuildRequires: kf5-kcoreaddons-devel
BuildRequires: kf5-ki18n-devel
BuildRequires: kf5-kbookmarks-devel
BuildRequires: rpm-macros-cmake 
BuildRequires: cmake-modules
BuildRequires: extra-cmake-modules
BuildRequires: kf5-ktextwidgets-devel

%description
KDiff3 is a program that
- compares and merges two or three input files or directories,
- shows the differences line by line and character by character (!),
- provides an automatic merge-facility and
- an integrated editor for comfortable solving of merge-conflicts
- has support for KDE-KIO (ftp, sftp, http, fish, smb)
- and has an intuitive graphical user interface.

%prep
%setup
%patch1 -p1

%build
%K5build

%install
%K5install
%K5install_move data appdata

%find_lang %name --with-kde --all-name

%files -f %name.lang

%doc AUTHORS ChangeLog INSTALL NEWS README
%_K5bin/%name
%_K5plug/kf5/kfileitemaction/kdiff3fileitemaction.so
%_K5plug/kf5/parts/kdiff3part.so
%_datadir/metainfo/org.kde.%name.appdata.xml
%_K5xdgapp/org.kde.%name.desktop
%_K5icon/hicolor/*/apps/*.png
%_K5icon/hicolor/scalable/apps/kdiff3.svgz
%_K5srv/kdiff3part.desktop
%_K5xmlgui/%name
%_K5xmlgui/kdiff3part

%changelog
