%define rname knewstuff

Name: kf5-%rname
Version: 5.110.0
Release: alt1
%K5init altplace

Group: System/Libraries
Summary: KDE Frameworks 5 downloading and sharing additional application data
Url: http://www.kde.org
License: GPLv2+ / LGPLv2+

Requires: kf5-kirigami

Source: %rname-%version.tar
Patch1: alt-check-ghns-auth.patch

# Automatically added by buildreq on Tue Feb 17 2015 (-bi)
# optimized out: cmake cmake-modules elfutils libEGL-devel libGL-devel libcloog-isl4 libqt5-core libqt5-dbus libqt5-gui libqt5-network libqt5-printsupport libqt5-svg libqt5-widgets libqt5-x11extras libqt5-xml libstdc++-devel libxcbutil-keysyms python-base ruby ruby-stdlibs
#BuildRequires: extra-cmake-modules gcc-c++ kf5-attica-devel kf5-karchive-devel kf5-kauth-devel kf5-kbookmarks-devel kf5-kcodecs-devel kf5-kcompletion-devel kf5-kconfig-devel kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kdbusaddons-devel kf5-kglobalaccel-devel kf5-kguiaddons-devel kf5-ki18n-devel kf5-kiconthemes-devel kf5-kio-devel kf5-kitemviews-devel kf5-kjobwidgets-devel kf5-kservice-devel kf5-ktextwidgets-devel kf5-kwidgetsaddons-devel kf5-kwindowsystem-devel kf5-kxmlgui-devel kf5-solid-devel kf5-sonnet-devel python-module-google qt5-base-devel rpm-build-ruby
BuildRequires(pre): rpm-build-kf5
BuildRequires: extra-cmake-modules gcc-c++ qt5-base-devel qt5-declarative-devel qt5-tools-devel
BuildRequires: kf5-attica-devel kf5-karchive-devel kf5-kauth-devel kf5-kbookmarks-devel
BuildRequires: kf5-kcodecs-devel kf5-kcompletion-devel kf5-kconfig-devel kf5-kconfigwidgets-devel
BuildRequires: kf5-kcoreaddons-devel kf5-kdbusaddons-devel kf5-kglobalaccel-devel kf5-kguiaddons-devel
BuildRequires: kf5-ki18n-devel kf5-kiconthemes-devel kf5-kio-devel kf5-kitemviews-devel
BuildRequires: kf5-kjobwidgets-devel kf5-kservice-devel kf5-ktextwidgets-devel kf5-kwidgetsaddons-devel
BuildRequires: kf5-kwindowsystem-devel kf5-kxmlgui-devel kf5-solid-devel kf5-sonnet-devel
BuildRequires: kf5-kpackage-devel kf5-syndication-devel

%description
The KNewStuff library implements collaborative data sharing for
applications. It uses libattica to support the Open Collaboration Services
specification.

%package common
Summary: %name common package
Group: System/Configuration/Other
BuildArch: noarch
Requires: kf5-filesystem
%description common
%name common package

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package -n libkf5newstuff
Group: System/Libraries
Summary: KF5 library
Requires: %name-common = %version-%release
%description -n libkf5newstuff
KF5 library

%package -n libkf5newstuffcore
Group: System/Libraries
Summary: KF5 library
Requires: %name-common = %version-%release
%description -n libkf5newstuffcore
KF5 library

%package -n libkf5newstuffwidgets
Group: System/Libraries
Summary: KF5 library
Requires: %name-common = %version-%release
%description -n libkf5newstuffwidgets
KF5 library


%prep
%setup -n %rname-%version
%patch1 -p1

# clean kmoretools menu
for app in \
    disk \
    org.kde.partitionmanager \
    org.gnome.clocks \
    gnome-search-tool \
    #
do
    rm -f data/kmoretools-desktopfiles/"$app".desktop
done

%build
%K5build

%install
%K5install
%find_lang %name --all-name
%K5find_qtlang %name --all-name

%files common -f %name.lang
%doc LICENSES/* README.md
%_datadir/qlogging-categories5/*.*categories
#%_K5data/knewstuff/
%_K5data/kmoretools/

%files
%_K5bin/knewstuff-dialog*
%_K5xdgapp/*knewstuff-dialog*.desktop

%files devel
%_K5plug/designer/*newstuff*.so
%_K5inc/KNewStuff3/
%_K5inc/KMoreTools/
%_K5link/lib*.so
%_K5lib/cmake/*NewStuff*/
%_K5archdata/mkspecs/modules/qt_*NewStuff*.pri

%files -n libkf5newstuff
%_K5lib/libKF5NewStuff.so.*
%_K5qml/org/kde/newstuff/

%files -n libkf5newstuffcore
%_K5lib/libKF5NewStuffCore.so.*

%files -n libkf5newstuffwidgets
%_K5lib/libKF5NewStuffWidgets.so.*


%changelog
