# Copyright (c) 2009 Fedora Linux, Lviv, Ukrain.
# Copyright (c) 2010 Michael Shigorin
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.

Name: kuzya
Version: 2.1.12_rc20170720
Release: alt2.qa1

Summary: Integrated Development Environment for students
License: GPL
Group: Education

Url: http://sourceforge.net/projects/kuzya/
Source: %name-%version.tar
Patch1: %name-2.1.12-qscintilla.patch
Patch2: %name-2.1.12-e2k.patch
Packager: Michael Shigorin <mike@altlinux.org>

BuildRequires: qt5-base-devel rpm-macros-qt5 libqscintilla2-qt5-devel gcc-c++
BuildRequires: desktop-file-utils
# for generate.py (version.h generator)
BuildRequires: rpm-build-python3

%description
Kuzya is simple crossplatform IDE for people who study
programming. Main idea of it is to concentrate attention
of the users only on learning the programming language
but not on usage of IDE.

Idea:
--------
  Grygoriy Zlobin <zlobin@electronics.wups.lviv.ua>

Team leader:
--------
  Andriy Shevchyk <shevchyk@users.sourceforge.net>

Developers:
--------
  Volodymyr Shevchyk <volder@users.sourceforge.net>
  Viktor Sklyar <bouyantgrambler@users.sourceforge.net>
  Alex Chmykhalo <alexchmykhalo@users.sourceforge.net>

%prep
%setup
%patch1 -p1
%ifarch e2k
%patch2 -p1
%endif

%build
pushd src
%__python3 generate.py -v 2.1.12
popd

%qmake_qt5
%make_build

%install
%makeinstall_std INSTALL_ROOT=%buildroot
desktop-file-install --dir %buildroot%_desktopdir \
	--add-category=IDE \
	--add-category=ComputerScience \
	%buildroot%_desktopdir/kuzya.desktop

%files
%_bindir/*
#_datadir/%name/doc/
%_includedir/*
%_datadir/%name/
%_iconsdir/*
%_desktopdir/*

%changelog
