%def_enable snapshot
%define _name tap-plugins

Name: ladspa-%_name
Version: 1.0.1
Release: alt1

Summary: Tom's Audio Processing plugins for LADSPA
License: GPL-2.0
Group: Sound
Url: https://tomscii.sig7.se/tap-plugins

%if_disabled snapshot
Source: https://github.com/tomszilagyi/tap-plugins/archive/v%version/%_name-%version.tar.gz
%else
Vcs: https://github.com/tomszilagyi/tap-plugins.git
Source: %_name-%version.tar
%endif

%define ladspa_ver 1.12-alt2

Requires(pre): ladspa_sdk >= %ladspa_ver

BuildRequires: ladspa_sdk >= %ladspa_ver

%description
TAP-plugins is short for Tom's Audio Processing plugins. It is a bunch
of LADSPA plugins for digital audio processing, intended for use in a
professional DAW environment such as Ardour.

Now available plugins: 
TAP AutoPanner,
TAP DeEsser,
TAP Dynamics
TAP Equalizer,
TAP Fractal Doubler
TAP Pink/Fractal Noise
TAP Pitch Shifter,
TAP Reflector
TAP Reverberator,
TAP Rotary Speaker,
TAP Stereo Echo,
TAP Tremolo,
TAP Vibrato,

%prep
%setup -n %_name-%version

%build
%define _optlevel 3
%make_build CC="%__cc $RPM_OPT_FLAGS"

%install
%make_install INSTALL_PLUGINS_DIR=%buildroot%_ladspa_path \
    INSTALL_LRDF_DIR=%buildroot%_ladspa_datadir/rdf install

%files
%_ladspa_path/*.so
%_ladspa_datadir/rdf/*
%doc README CREDITS

%changelog
