Name: lcdproc
Version: 0.5.7
Release: alt4

Summary: Show info on LCD displays
License: GPLv2
Group: System/Kernel and hardware

Url: http://lcdproc.omnipotent.net
Source0: %name-%version.tar.gz
Source1: lcdd.init
Source2: lcdproc.service
Source100: lcdproc.watch
Patch0: lcdproc-fix-return.diff
Patch1: lcdproc-add-serdisplib.diff
Patch2: %name-%version-alt-ftdi.patch

BuildRequires: libfreetype-devel
BuildRequires: libftdi1-devel
BuildRequires: libhid-devel
BuildRequires: liblirc-devel
BuildRequires: libncurses-devel
BuildRequires: libpth-devel
BuildRequires: libusb-devel
BuildRequires: libX11-devel

%description
LCDproc is a client/server suite inclduding drivers for all
kinds of nifty LCD displays. The server supports several
serial devices: Matrix Orbital, Crystal Fontz, Bayrad, LB216,
LCDM001 (kernelconcepts.de), Wirz-SLI and PIC-an-LCD; and some
devices connected to the LPT port: HD44780, STV5730, T6963,
SED1520 and SED1330. Various clients are available that display
things like CPU load, system load, memory usage, uptime, and a lot more.
See also %url.

%prep
%setup
#patch1 -p1
%patch2 -p2
subst "s#\(DriverPath\)=.*#\1=%_libdir/lcdproc/#" LCDd.conf

%build
%autoreconf
%add_optflags -fcommon
%configure \
	--enable-libusb \
	--enable-stat-nfs \
	--enable-lcdproc-menus \
	--enable-stat-smbfs \
	--enable-drivers=all

%make_build

%install
%makeinstall
install -pDm755 %SOURCE1 %buildroot%_initdir/%name
install -pDm644 %SOURCE2 %buildroot%_unitdir/%name.service

%post
%post_service %name

%preun
%preun_service %name

%files
%doc %_mandir/man?/*.*
%_bindir/*
%exclude %_bindir/lcdmetar.pl
%_sbindir/*
%_libdir/lcdproc
%config %_sysconfdir/*.conf
%_initdir/*
%_unitdir/*

%changelog
