Summary: Visual brick construction tool for kids
Summary (ru_RU.UTF-8): Детский конструктор, использующий блоки с шипами
Name: leocad
Version: 21.06
Release: alt2

License: GPL-2.0
Url: http://www.leocad.org
# Source-url: https://github.com/leozide/leocad/archive/refs/tags/v%version.tar.gz
Source: %name-%version.tar
Group: Games/Puzzles
Packager: Fr. Br. George <george@altlinux.ru>

Source1: %name.desktop

BuildRequires: gcc-c++
BuildRequires: qt5-base-devel
BuildRequires: qt5-tools
BuildRequires: zlib-devel

BuildPreReq: rpm-build-xdg

Requires: %name-data >= 1:20.03

%description
LeoCAD is a CAD program that uses bricks similar to those found in many
toys (but they don't represent any particular brand). Currently it has
a library of more than 1000 different pieces. LEGO is a trademark of the
LEGO Group of companies which does not sponsor, authorize or endorse
this software.

%description -l ru_RU.UTF-8
LeoCAD -- программа для конструирования чего угодно из блоков с шипами.
В прилагаемой библиотеке таких блоков содержится более 1000 различных
видов. Блоки похожи на те, что используются некоторыми фирмами,
производящими разборные игрушки. LEGO -- торговая марка группы компаний
LEGO, которые не спонсируют и не курируют LeoCAD, а также не имеют
авторских прав на эту программу.

%prep
%setup

%build
#make PREFIX=/usr
%qmake_qt5 QMAKE_LRELEASE=lrelease-qt5
%ifarch %e2k
# fixes the include of a non-existent file for the Elbrus compiler
# from the gcc arguments: "-include build/release/.obj/leocad"
# also fixes missing declarations from "lc_global.h" for the other headers
# how does this work with GCC?
echo '#include "lc_global.h"' > build/release/.obj/leocad
%endif
%make_build

%install
%makeinstall INSTALL_ROOT=%buildroot

%files
%doc %_defaultdocdir/%name
%_bindir/*
%_iconsdir/*/*/*/*
%_man1dir/%name.*
%_desktopdir/%name.desktop
%_datadir/metainfo/%name.appdata.xml
%_xdgmimedir/packages/*

%changelog
