%define _name SDL_gfx
%define ver_major 2.0

Name: lib%_name
Version: %ver_major.25
Release: alt1

Summary: SDL graphics drawing primitives and other support functions
License: zlib
Group: System/Libraries

URL: http://www.ferzkopp.net/Software/%_name-%ver_major/
Source: http://www.ferzkopp.net/Software/%_name-%ver_major/%_name-%version.tar.gz

BuildRequires: gcc-c++ imake libICE-devel libSDL-devel xorg-cf-files

%description
The %_name library offers several components: Graphic Primitives, Rotozoomer,
Framerate control, and MMX image filters. The Primitives component provides
basic drawing routines: pixels, hlines, vlines, lines, aa-lines, rectangles,
circles, ellipses, trigons, polygons, Bezier curves, and an 8x8 pixmap font for
drawing onto any SDL Surface. Full alpha blending, hardware surface locking, and
all surface depths are supported. The Rotozoomer can use interpolation for high
quality output.

%package devel
Summary: Development tools for programs which will use the %name library
Group: Development/C
Requires: %name = %version-%release

%description devel
The %name-devel package includes the header files necessary for developing
programs which will use the %name library.

%prep
%setup -n %_name-%version

%build
./autogen.sh
%configure --enable-shared --disable-static --with-x \
%ifnarch %ix86 x86_64
    --disable-mmx
%endif

%make_build

%install
%makeinstall_std

%files
%_libdir/*.so.*

%files devel
%_libdir/*.so
%_includedir/SDL/*
%_pkgconfigdir/*

%changelog
