Name: libavc1394
Version: 0.5.4
Release: alt1.qa1

Summary: A library to control AV firewire devices

License: LGPLv2+
Group: System/Libraries
Url: https://sourceforge.net/projects/libavc1394/
Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: https://downloads.sourceforge.net/%name/%name-%version.tar.gz

BuildRequires: gcc-c++ libraw1394-devel

%description
libavc1394 is a programming interface for the 1394 Trade
Association AV/C (Audio/Video Control) Digital Interface
Command Set.

%package devel
Summary: Development files for %name
Group: Development/C
Requires: %name = %version-%release

%description devel
libavc1394 is a programming interface for the 1394 Trade
Association AV/C (Audio/Video Control) Digital Interface
Command Set.

This package contains development files needed to compile applications
using %name.

%package devel-static
Summary: Static version of %name
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
libavc1394 is a programming interface for the 1394 Trade
Association AV/C (Audio/Video Control) Digital Interface
Command Set.

This package contains libraries needed to compile applications
statically linked with %name.

%package utils
Summary: FireWire interface
Group: System/Kernel and hardware
Requires: %name = %version-%release

%description utils
libavc1394 is a programming interface for the 1394 Trade
Association AV/C (Audio/Video Control) Digital Interface
Command Set.

This package contains utilities from %name package.

%prep
%setup
subst "s|@libdir@|\$(libdir)|" Makefile.am

%build
%autoreconf
%configure
%make_build

%install
%makeinstall
cp test/.libs/romtest %buildroot%_bindir

# remove non-packaged files
rm -f %buildroot%_libdir/*.la

%files
%_libdir/*.so.*
%doc README NEWS INSTALL AUTHORS ChangeLog

%files devel
%_includedir/*
%_libdir/*.so
%_pkgconfigdir/*

%files devel-static
%_libdir/*.a

%files utils
%_bindir/*
%_man1dir/*

%changelog
