Group: System/Libraries
%add_optflags %optflags_shared
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		libax25
Version:        1.1.1
Release:        alt1_1
Summary:	AX.25 library for hamradio applications

License:	LGPLv2+

URL:		https://github.com/ve7fet/linuxax25

# git clone https://github.com/ve7fet/linuxax25.git
# cd linuxax25/libax25
# git archive --prefix=libax25-1.1.1/ -o ../libax25-1.1.1.tar.gz HEAD
Source0:	%{name}-%{version}.tar.gz

BuildRequires:  autoconf automake gcc libtool
BuildRequires:  gettext-tools libasprintf-devel
BuildRequires:  zlib-devel
Source44: import.info


%description
libax25 is a library for ham radio applications that use the ax25 protocol. 
Included are routines to do ax25 address parsing, common ax25 application
config file parsing, etc. 


%package	devel
Group: Development/Other
Summary:	Development files for %{name}
Requires:	%{name} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
# hack; added -lz; report upstream
sed -i -e "s,libax25_la_SOURCES,libax25_la_LIBADD = -lz\nlibax25_la_SOURCES," Makefile.am
sed -i -e "s,libax25io_la_SOURCES,libax25io_la_LIBADD = -lz\nlibax25io_la_SOURCES," Makefile.am




%build
autoreconf -fisv
./autogen.sh
%configure --disable-static
%make_build


%install
%makeinstall_std
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

# Create /etc/ax25
mkdir -p %{buildroot}%{_sysconfdir}/ax25

# These headers conflict with glibc-headers.
rm -f %{buildroot}%{_includedir}/{netax25/ax25.h,netrom/netrom.h,netrose/rose.h}





%files
%doc AUTHORS ChangeLog README
%doc --no-dereference COPYING
%{_libdir}/*.so.*
%{_mandir}/man?/*
%dir %{_sysconfdir}/ax25

%files devel
%{_includedir}/*
%{_libdir}/*.so


%changelog
