Name: libchipmunk
Version: 7.0.3
Release: alt2.1
Summary: Physics engine for 2D games

Group: System/Libraries
License: MIT
Url: http://chipmunk-physics.net
Source0: http://files.slembcke.net/chipmunk/release/Chipmunk-%version.tgz
Patch: Chipmunk-7.0.3-alt-gcc10.patch

# Automatically added by buildreq on Sun Mar 03 2013
# optimized out: cmake-modules libGL-devel libGLU-devel libICE-devel libSM-devel libX11-devel libXau-devel libXext-devel libXfixes-devel libXi-devel libXrender-devel libXt-devel libstdc++-devel xorg-kbproto-devel xorg-xproto-devel
BuildRequires: cmake gcc-c++ libGLUT-devel libXScrnSaver-devel libXcomposite-devel libXcursor-devel libXdamage-devel libXdmcp-devel libXft-devel libXinerama-devel libXmu-devel libXpm-devel libXrandr-devel libXres-devel libXtst-devel libXv-devel libXxf86vm-devel libxkbfile-devel xorg-xf86miscproto-devel libglew-devel libglfw-devel

%description
Chipmunk is a 2D rigid body physics library distributed under the MIT
license. Though not yet complete, it is intended to be fast, numerically
stable, and easy to use.

%package devel
Summary: Development tools for programs which will use the chipmunk library
Group: Development/C
Requires: %name = %version-%release

%description devel
Chipmunk is a 2D rigid body physics library distributed under the MIT
license. Though not yet complete, it is intended to be fast, numerically
stable, and easy to use.

This package contains the header files and  static libraries to develop
programs that will use the chipmunk library.  You should install this
package if you need to develop programs which will use the chipmunk
library functions.  You'll also need to install the chipmunk package.

%package demos
Summary: Demo binary and source for %name
Group: Development/C
%description demos
Demo binary and source for %name

%prep
%setup -n Chipmunk-%version
%patch -p1

%build
%add_optflags -DCHIPMUNK_FFI
sed -i 's@target_link_libraries(chipmunk m)@target_link_libraries(chipmunk m pthread)@' src/CMakeLists.txt

%cmake -DBUILD_STATIC=False -DINSTALL_STATIC=False -DINSTALL_DEMOS=True
%cmake_build

%install
%cmake_install

%files
%doc *.txt README.*
%_libdir/*.so.*

%files devel
%doc doc/
%_includedir/chipmunk
%_libdir/*.so

%files demos
%doc demo/
%_bindir/*

%changelog
