Name:          libdmtx
Version:       0.7.5
Release:       alt1.1
Summary:       Library for working with Data Matrix 2D bar-codes
Group:         System/Libraries
License:       BSD-2-Clause
Url:           https://www.openhub.net/p/libdmtx
Vcs:           https://github.com/dmtx/libdmtx.git

Source:        %name-%version.tar

%description
libdmtx is open source software for reading and writing Data Matrix 2D
bar-codes on Linux, Unix, OS X, Windows, and mobile devices. At its core
libdmtx is a shared library, allowing C/C++ programs to use its capabilities
without restrictions or overhead.

The included utility programs, dmtxread and dmtxwrite, provide the official
interface to libdmtx from the command line, and also serve as a good reference
for programmers who wish to write their own programs that interact with
libdmtx.


%package       devel-static
Summary:       Development files for %name
Group:         Development/C
Requires:      %name = %version-%release

%description   devel-static
The %name-devel package contains static libraries and header files for
developing applications that use %name.


%package       devel
Summary:       Development files for %name
Group:         Development/C
Requires:      %name = %version-%release

%description   devel
The %name-devel package contains libraries and header files for
developing applications that use %name.


%prep
%setup

%build
%autoreconf
%configure
%make_build

%install
%make install DESTDIR=%buildroot INSTALL_ROOT=%buildroot

%check
# make check

%files
%doc AUTHORS LICENSE ChangeLog KNOWNBUG NEWS README README.linux TODO
%_libdir/%name.so.*

%files         devel
%doc
%_includedir/*
%_libdir/%name.so
%_libdir/pkgconfig/%name.pc
%_mandir/man3/%name.3*

%files        devel-static
%_libdir/%name.a

%changelog
