Name: libewf
Version: 20171104
Release: alt1

Summary: Library and tools to support the Expert Witness Compression Format

Url: http://code.google.com/p/libewf
Group: System/Libraries
License: BSD

# Source-url: https://googledrive.com/host/0B3fBvzttpiiSMTdoaVExWWNsRjg/libewf-20140406.tar.gz
Source: %name-%version.tar

BuildRequires: gcc-c++ libssl-devel libuuid-devel zlib-devel

BuildPreReq: libfuse-devel python3-devel flex

%description
libewf is library for support of the Expert Witness Compression Format (EWF).
libewf allows you to read media information of EWF files in the SMART (EWF-S01)
format and the EnCase (EWF-E01) format. libewf allows to read files created by
EnCase 1 to 5, linen and FTK Imager.

Several tools for reading and writing EWF files are included in this package.

%package devel
Summary: Header files and libraries for developing applications which will use libewf
Group: Development/C
Requires: libewf = %version-%release

%description devel
Header files and libraries for developing applications which will use libewf.

%package -n python3-module-pyewf
Summary: python3 bindings for libewf
Group: Development/Python3
Requires: libewf = %version-%release

%description -n python3-module-pyewf
libewf is library for support of the Expert Witness Compression Format (EWF).
libewf allows you to read media information of EWF files in the SMART (EWF-S01)
format and the EnCase (EWF-E01) format. libewf allows to read files created by
EnCase 1 to 5, linen and FTK Imager.

This package contains python3 bindings for libewf.

%prep
%setup

%build
%autoreconf
%configure \
	--disable-static \
	--disable-rpath \
	--enable-wide-character-type \
	--enable-python3
%make_build

%install
%makeinstall_std

find %buildroot -name '*.la' -delete

%files
%doc AUTHORS COPYING NEWS README
%_bindir/*
%_libdir/*.so.*
%_man1dir/*

%files devel
%doc AUTHORS COPYING NEWS README ChangeLog
%_libdir/*.so
%_includedir/%name/
%_includedir/%name.h
%_man3dir/*
%_pkgconfigdir/libewf.pc

%files -n python3-module-pyewf
%python3_sitelibdir/*.so

%changelog
