# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/doxygen gcc-c++ imake libXt-devel xorg-cf-files
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define major     0
%define oname     fakekey
%define libname   lib%{oname}%{major}
%define develname lib%{oname}-devel

Name:           libfakekey
Version:        0.1
Release:        alt6_10
Summary:        Converting characters to X key-presses

Group:          System/Libraries
License:        LGPLv2+
URL:            http://projects.o-hand.com/matchbox/
Source0:        http://matchbox-project.org/sources/libfakekey/0.1/%{name}-%{version}.tar.bz2
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(x11)
Source44: import.info
Patch33: libfakekey-0.1-alt-link-fix.patch

%description
libfakekey is a simple library for converting UTF-8 characters into
'fake' X key-presses.

%package -n %{libname}
Summary:        Converting characters to X key-presses
Group:          System/Libraries

%description -n %{libname}
libfakekey is a simple library for converting UTF-8 characters into
'fake' X key-presses.

%package -n %{develname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides: fakekey-devel = %version-%release

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q

# make autoreconf happy
sed -i -e 's,\(^LT_AGE.*\),\1\nAC_SUBST(LT_AGE),' configure.ac
%patch33 -p1

%build
# to recognize aarch64
autoreconf -vfi

%configure --disable-static
%make_build LIBS+=-lX11

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/libfakekey.so.%{major}*

%files -n %{develname}
%{_includedir}/fakekey/
%{_libdir}/libfakekey.so
%{_libdir}/pkgconfig/libfakekey.pc


%changelog
