Name: libfreehand
Version: 0.1.2
Release: alt1.1
Summary: A library for import of Macromedia/Adobe FreeHand documents

Group: System/Libraries
License: MPLv2.0
Url: http://www.freedesktop.org/wiki/Software/libfreehand/
Source: %name-%version.tar.xz
Patch1: 0001-Add-missing-semicolon-to-fix-build-with-icu-65.1.patch

# Automatically added by buildreq on Mon Jul 31 2017
# optimized out: glibc-kernheaders-x86 libstdc++-devel perl pkg-config python-base xz
BuildRequires: doxygen gcc-c++ glibc-kernheaders-generic gperf libicu-devel liblcms2-devel librevenge-devel zlib-devel

BuildRequires: boost-devel-headers
BuildRequires: pkgconfig(librevenge-0.0) pkgconfig(librevenge-stream-0.0) pkgconfig(librevenge-generators-0.0)
BuildRequires: pkgconfig(zlib)

BuildRequires: doxygen
BuildRequires: gperf cppunit-devel

%description
libfreehand is library providing ability to interpret and import
Macromedia/Adobe FreeHand documents into various applications.

%package devel
Summary: Development files for %name
Group: Development/C++
Requires: %name = %version-%release

%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package doc
Summary: Documentation of %name API
Group: Documentation
BuildArch: noarch

%description doc
The %name-doc package contains documentation files for %name.

%package tools
Summary: Tools to transform Macromedia/Adobe FreeHand documents into other formats
Group: Publishing

%description tools
Tools to transform Macromedia/Adobe FreeHand documents into other formats.
Currently supported: SVG, raw.

%prep
%setup
%patch1 -p1

%build
mkdir -p m4
%autoreconf
%configure --disable-silent-rules --disable-static --disable-werror
%make_build

%install
%makeinstall_std
# we install API docs directly from build
rm -rf %buildroot/%_docdir/%name

%files
%doc AUTHORS COPYING
%_libdir/*.so.*

%files devel
%doc ChangeLog
%_includedir/*
%_libdir/*.so
%_pkgconfigdir/*.pc

%files doc
%doc COPYING
%doc docs/doxygen/html

%files tools
%_bindir/*

%changelog
