
Name: libgaiagraphics
Version: 0.5
Release: alt1
Summary: Graphics canvas for GIS rendering

Group: System/Libraries
License: LGPLv3+
Packager: Ilya Mashkin <oddity@altlinux.ru>
Url: https://www.gaia-gis.it/fossil/libgaiagraphics
Source0: http://www.gaia-gis.it/gaia-sins/%name-%version.tar.gz

BuildRequires: libcairo-devel
BuildRequires: libgeotiff-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libxml2-devel
# Is only checked for, but not actually used
BuildRequires: libproj-devel

%description
Libgaiagraphics wraps raster- and vector graphics, to implement a reasonably
abstract and platform independent graphics canvas for GIS rendering.

%package devel
Summary: Development files for %name
Group: System/Libraries
Requires: %name%{?_isa} = %version-%release
Requires: pkgconfig

%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%prep
%setup

%build
%configure --disable-static

# Remove links to unused libraries
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

%make_build

%install
%makeinstall_std

# Delete libtool archives, because we don't ship them
find %buildroot -name '*.la' -exec rm -f {} ';'

%files
%doc AUTHORS COPYING
%_libdir/%name.so.*

%files devel
%_includedir/gaiagraphics.h
%_libdir/%{name}*.so
%_libdir/pkgconfig/gaiagraphics.pc

%changelog
