Name: libgflags
Summary: A commandline flags library that allows for distributed flags
Version: 2.2.2
Release: alt1
Group: System/Libraries
Url: http://gflags.github.io/gflags/
License: BSD

Source: v%version.tar

# Automatically added by buildreq on Wed Mar 30 2011
BuildRequires: gcc-c++ cmake

%description
The %name package contains a library that implements commandline flags
processing.  As such it's a replacement for getopt().  It has increased
flexibility, including built-in support for C++ types like string, and
the ability to define flags in the source file in which they're used.

%package devel
Summary: A commandline flags library that allows for distributed flags
Group: Development/C++
Requires: %name = %EVR

%description devel
The %name-devel package contains static and debug libraries and header
files for developing applications that use the %name package.

%prep
%setup -n gflags-%version

mv BUILD BUILD.txt

%build
%cmake -DBUILD_SHARED_LIBS=True -DBUILD_gflags_nothreads_LIB=False
%cmake_build

%install
%cmakeinstall_std

# remove cmake files
# they are broken, due to that can't build blender with this library on aarch64/ppc64le arches
rm -rf %buildroot%_libdir/cmake

%files
%doc AUTHORS.txt BUILD.txt ChangeLog.txt COPYING.txt
%_libdir/*.so.*
%_bindir/gflags_completions.sh

%files devel
%doc README.md
%_includedir/gflags
%_libdir/*.so
%_pkgconfigdir/*.pc

%changelog
