Name: libghttp
Version: 1.0.9
Release: alt6.qa1

Summary: GNOME HTTP client library
License: LGPL
Group: System/Libraries

URL: http://www.gnome.org/
# ftp://ftp.gnome.org/pub/gnome/sources/libghttp/1.0/
Source: libghttp-%version.tar.bz2
Packager: Repocop Q. A. Robot <repocop@altlinux.org>

# autotools
Patch0: libghttp-1.0.9-alt-ac25.patch

# debian
Patch10: libghttp-1.0.9-deb-http_proxy.patch
Patch11: libghttp-1.0.9-deb-sprintf-locale.patch
Patch12: libghttp-1.0.9-deb-malloc.patch
Patch13: libghttp-1.0.9-deb-flush_chunked.patch

%package devel
Summary: GNOME HTTP client development
Group: Development/GNOME and GTK+
Requires: libghttp = %version-%release

%package devel-static
Summary: GNOME HTTP client static library
Group: Development/GNOME and GTK+
Requires: libghttp-devel = %version-%release

%description
gHTTP is a GNOME library for making HTTP 1.1 requests.

This library has been replaced in the GNOME project by gnome-vfs,
and is orphaned upstream.  New projects will probably want to use
gnome-vfs or libcurl instead of libghttp.

%description devel
gHTTP is a GNOME library for making HTTP 1.1 requests.
This package contains include files for libghttp development.

This library has been replaced in the GNOME project by gnome-vfs,
and is orphaned upstream.  New projects will probably want to use
gnome-vfs or libcurl instead of libghttp.

This library is fully compliant with HTTP 1.1 as defined in the
draft 5 update of RFC 2068.

%description devel-static
gHTTP is a GNOME library for making HTTP 1.1 requests.
This package contains the static version of the library.

This library has been replaced in the GNOME project by gnome-vfs,
and is orphaned upstream.  New projects will probably want to use
gnome-vfs or libcurl instead of libghttp.

This library is fully compliant with HTTP 1.1 as defined in the
draft 5 update of RFC 2068.

%prep
%setup -q
%patch0 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1

%build
autoreconf -fisv
%def_disable static
%configure %{subst_enable static}
%make_build

%install
%makeinstall

# split docs
%define pkgdocdir %_docdir/libghttp-%version
mkdir -p %buildroot%pkgdocdir
cp -p AUTHORS ChangeLog doc/ghttp.html %buildroot%pkgdocdir/

%files
%_libdir/*.so.*
%dir %pkgdocdir
%pkgdocdir/AUTHORS

%files devel
%_includedir/*.h
%_libdir/*.so
%_libdir/*.sh
#_libdir/*.a
%dir %pkgdocdir
%pkgdocdir/ChangeLog
%pkgdocdir/ghttp.html

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
