%define _unpackaged_files_terminate_build 1

%define realname gnome-sharp

Summary: GNOME bindings for Mono
Name: lib%{realname}
Version: 2.24.2
Release: alt7
License: LGPLv2+
Group: Development/Other
Packager: Mono Maintainers Team <mono@packages.altlinux.org>
Source: http://ftp.gnome.org/pub/GNOME/sources/%realname/2.20/%realname-%version.tar.bz2

# Patches from Fedora
Patch0: gnome-sharp-2241-getopts.patch
# init gtype before using gconf
Patch2: gnome-sharp-gconf-init.patch
# https://github.com/meebey/gnome-sharp/commit/e9d06b56a54dcd399d1d3eaaf62bdacb7e07084d
Patch3: gnome-sharp-2.24.2-dbus-thread-fix.patch
# https://github.com/mono/gnome-sharp/commit/d797ce61a18f8238acd2f9a7bf97b157ae70b443
Patch4: gnome-sharp-2.24.2-canvaspathdef.patch
# https://github.com/mono/gnome-sharp/commit/cfabe1b0a581f8cd10ec75d347a93ebc1c365ac7
Patch5: gnome-sharp-2.24.2-gconf-path.patch

# Patches from ALT
Patch11: %realname-2.20.0-fix-configs.patch

Url: http://www.mono-project.com/

BuildPreReq: glib2-devel >= 2.13.0
BuildPreReq: libgtk+2-devel >= 2.13.0
BuildPreReq: libgtk-sharp2-devel >= 2.12.2
BuildPreReq: libgtk-sharp2-gapi >= 2.12.2
BuildPreReq: libart_lgpl-devel >= 2.3.20
BuildPreReq: gnome-vfs-devel >= 2.22.0
BuildPreReq: libgnomecanvas-devel >= 2.20.0
BuildPreReq: libgnomeui-devel >= 2.23.0

BuildPreReq: rpm-build-mono
BuildRequires: /proc

BuildRequires: mono-core libSM-devel mono-devel >= 2.8

%description
Gnome# is a .NET language binding for assorted GNOME libraries.
This assembly has following configuration:
   Optional assemblies included in the build:
      * art-sharp.dll: yes
      * gnomevfs-sharp.dll: yes
      * gnome-sharp.dll: yes

%package devel
Summary: .Net language bindings for GNOME: development files
Group: Development/Other
Requires: %name = %EVR

%description devel
This package includes development files for the Gtk\# project
to parse and bind Gnome libraries.

%prep
%setup -n %realname-%version
%patch0 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch11 -p1

%build
%autoreconf
%configure --disable-static
%make_build

%install
%makeinstall

%files
%_bindir/gconfsharp2-schemagen
%_libdir/*.so
%prefix/lib/gtk-sharp-2.0/*
%_monodir/gac/*
%_monodir/gtk-sharp-2.0/*
%doc AUTHORS README ChangeLog

%files devel
%_datadir/gapi-2.0/*.xml
%_pkgconfigdir/*

%changelog
