%define ver_major 2.11
%def_disable static

Name: libgtkhtml
Version: %ver_major.1
Release: alt1.qa1

Summary: GTK HTML widget 2
License: LGPL
Group: System/Libraries
Url: ftp://ftp.gnome.org

Provides: gtkhtml2 = %version-%release

Source: %gnome_ftp/%name/%ver_major/%name-%version.tar.bz2

%define gnome_vfs_ver 2.6.1.1
%define gail_ver 1.6.6
%define libxml2_ver 2.5.6
%define gtk_ver 2.4.9

BuildPreReq: rpm-build-gnome
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libxml2-devel >= %libxml2_ver
BuildPreReq: libgail-devel >= %gail_ver
BuildPreReq: gnome-vfs-devel >= %gnome_vfs_ver

BuildRequires: gcc-c++ libbonobo-devel libgnomecanvas-devel zlib-devel

%description
GTK HTML Widget for the GNOME 2 platform.
GtkHTML is a HTML rendering/editing library. GtkHTML is not designed
to be the ultimate HTML browser/editor: instead, it is designed to be
easily embedded into applications that require lightweight HTML
functionality.

%package -n %{name}2
Summary: GTk HTML widget 2
Group: System/Libraries

%description -n %{name}2
GTK HTML Widget for the GNOME 2 platform.
GtkHTML is a HTML rendering/editing library. GtkHTML is not designed
to be the ultimate HTML browser/editor: instead, it is designed to be
easily embedded into applications that require lightweight HTML
functionality.

%package -n %{name}2-devel
Summary: Header and development libraries for libgtkhtml
Group: Development/GNOME and GTK+
Requires: %{name}2 = %version-%release

%description -n %{name}2-devel
GTK HTML Widget for the GNOME 2 platform.
GtkHTML is a HTML rendering/editing library. GtkHTML is not designed
to be the ultimate HTML browser/editor: instead, it is designed to be
easily embedded into applications that require lightweight HTML
functionality.
This package contains the files necessary to develop applications
with GtkHTML.

%package -n %{name}2-devel-static
Summary: Static libraries for libgtkhtml
Group: Development/GNOME and GTK+
Requires: %{name}2-devel = %version-%release

%description -n %{name}2-devel-static
GTK HTML Widget for the GNOME 2 platform.
GtkHTML is a HTML rendering/editing library. GtkHTML is not designed
to be the ultimate HTML browser/editor: instead, it is designed to be
easily embedded into applications that require lightweight HTML
functionality.

This package contains the files necessary to develop statically
linked applications with GtkHTML.

%prep
%setup -q

%build
%configure \
	%{subst_enable static}

# SMP-incompatible build
%make_build

%install
%makeinstall

%files -n libgtkhtml2
%_libdir/*.so.*
%doc AUTHORS ChangeLog README NEWS

%files -n libgtkhtml2-devel
%_includedir/*
%_libdir/*.so
%_pkgconfigdir/*
%doc docs/IDEAS

%if_enabled static
%files -n libgtkhtml2-devel-static
%_libdir/*.a
%endif

%changelog
