# Note: be in sync with gtkspell, see http://gtkspell.sourceforge.net/NEWS
Name: libgtkspellmm3
Version: 3.0.5
Release: alt1

Summary: On-the-fly spell checking for GtkTextView widgets - C++ bindings

License: GPLv2+
Group: System/Libraries
Url: http://gtkspell.sourceforge.net/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://prdownloads.sf.net/gtkspell/gtkspellmm/gtkspellmm-%version.tar

# manually removed: python3 ruby ruby-stdlibs
# Automatically added by buildreq on Fri Oct 10 2014
# optimized out: at-spi2-atk fontconfig fontconfig-devel glib2-devel gnu-config libat-spi2-core libatk-devel libatkmm-devel libcairo-devel libcairo-gobject libcairo-gobject-devel libcairomm-devel libcloog-isl4 libenchant-devel libfreetype-devel libgdk-pixbuf libgdk-pixbuf-devel libgio-devel libglibmm-devel libgtk+3-devel libpango-devel libpangomm-devel libsigc++2-devel libstdc++-devel libwayland-client libwayland-cursor libwayland-server pkg-config python3-base
BuildRequires: doxygen gcc-c++ glibc-devel graphviz libdb4-devel libgtkmm3-devel libgtkspell3-devel xsltproc

# http://gtkspell.sourceforge.net/NEWS
BuildRequires: libgtkspell3-devel >= 3.0.9

%description
GtkSpell provides word-processor-style highlighting and replacement of
misspelled words in a GtkTextView widget as you type. Right-clicking a
misspelled word pops up a menu of suggested replacements.

%package devel
Group: Development/Other
Summary: Development files for %name
Requires: %name = %version-%release

%description devel
The %name-devel package provides header and documentation files for
developing C++ applications which use GtkSpell.

%package doc
Group: Documentation
Summary: Documentation for %name
BuildArch: noarch
#Requires: libgtkmm3-doc

%description doc
This package contains the full API documentation for %name.

%prep
%setup -n gtkspellmm-%version

%build
%add_optflags -std=c++11
%configure --disable-static
%make_build

%install
%makeinstall_std
find %buildroot -name "*.la" -exec rm {} \;

%files
%doc AUTHORS ChangeLog COPYING NEWS README
%_libdir/libgtkspellmm-3.0.so.0*

%files devel
%_includedir/gtkspellmm-3.0
%_libdir/libgtkspellmm-3.0.so
%_pkgconfigdir/gtkspellmm-3.0.pc
%_libdir/gtkspellmm-3.0

%files doc
%doc COPYING
%_datadir/devhelp/books/gtkspellmm-3.0
%_docdir/gtkspellmm-3.0

%changelog
