Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-cmake rpm-macros-fedora-compat
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global gittag0 RELEASE_2_3_0RC3

Name:           libharu
Version:        2.3.0
Release:        alt2_13
Summary:        C library for generating PDF files
License:        zlib with acknowledgement
URL:            http://libharu.org
# not available. rebuilt from ZIP in this package
Source0:        https://github.com/libharu/${name}/archive/%{gittag0}/%{name}-%{version}-rc3.tar.gz
Patch0:         libharu-RELEASE_2_3_0_cmake.patch
Patch1:         libharu-2.3.0-triangleshading.patch
Patch2:         libharu-2.3.0-smallnumber.patch

BuildRequires:  gcc
BuildRequires:  ctest cmake
BuildRequires:  libpng-devel
BuildRequires:  zlib-devel
Source44: import.info
Patch33: libharu-2.3.0-1-Included-necessary-char-widths-in-generated-PDF.patch
Patch34: libharu-2.3.0-2-Avoid-issue-with-libtiff-duplicate-symbols.patch

%description
libHaru is a library for generating PDF files. 
It is free, open source, written in ANSI C and cross platform.

%package        devel
Group: Development/Other
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -qn %{name}-%{gittag0}
# fix cmake build
%patch0 -p1 -b .cmake
# github #157 pull request
%patch1 -p1 -b .triangleshading
# github #187 pull request
%patch2 -p1 -b .smallnumber
%patch33 -p1
%patch34 -p1

%build
%{fedora_v2_cmake} -DLIBHPDF_STATIC=NO

%fedora_v2_cmake_build

%install
%fedora_v2_cmake_install



%files
%doc README
%{_libdir}/libhpdf.so.*
%exclude %{_datadir}/%{name}

%files devel
%{_includedir}/*
%{_libdir}/libhpdf.so

%changelog
