Group: System/Libraries
%add_optflags %optflags_shared
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           libirman
Epoch:          1
Version:        0.5.2
Release:        alt1_10
Summary:        Library for IRMAN hardware


#The files which make up the library are covered under the GNU Library
#General Public License, which is in the file COPYING.lib.
#The files which make up the test programs and the documentation are covered
#under the GNU General Public License, which is in the file COPYING.
License:        GPLv2+ and LGPLv2+
URL:            http://sourceforge.net/projects/libirman/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  autoconf, automake, libtool
BuildRequires:  liblirc-devel >= 0.9.4
Source44: import.info

%description
Runtime libraries for accessing the IrMan hardware.

The IrMan hardware((http://www.intolect.com/irmandetail.htm) is  nowadays
discontinued. However, some modern hardware (notably the irtoy) is able to
emulate the irman protocol.


%package        devel
Group: Development/Other
Summary:        Development files for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    devel
Libraries and header files for developing applications that use %{name}.

The IrMan hardware((http://www.intolect.com/irmandetail.htm) is  nowadays
discontinued. However, some modern hardware (notably the irtoy) is able to
emulate the irman protocol.


%package  -n    lirc-drv-irman
Group: System/Libraries
Summary:        lircd(8) plugin for handling IrMan devices.
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       lirc >= 0.9.4

%description  -n lirc-drv-irman
A lirc plugin with a single driver, replacing the irman support which
was built-in in lirc prior to 0.9.4.


%prep
%setup -q


%build
libtoolize --force --copy --install
autoreconf -i
%configure --disable-static
%make_build


%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -delete
rm  $RPM_BUILD_ROOT%{_docdir}/libirman/TECHNICAL





%files
%doc COPYING* README TODO NEWS
%config(noreplace) %{_sysconfdir}/irman.conf
%{_bindir}/*
%{_libdir}/*.so.*

%files devel
%doc TECHNICAL
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libirman.pc

%files -n lirc-drv-irman
%{_libdir}/lirc/plugins/irman.so
%{_docdir}/lirc/plugindocs/irman.html
%{_datadir}/lirc/configs/irman.conf


%changelog
