Name: libiscsi
Version: 1.19.0
Release: alt2

Summary: iSCSI client library
License: LGPLv2.1+
Group: System/Libraries

Url: https://github.com/sahlberg/libiscsi
Source: %name-%version.tar
Patch0: %name-%version-gcc-10.patch

Packager: Michael Shigorin <mike@altlinux.org>
BuildRequires: bc
BuildRequires: libgcrypt-devel
BuildRequires: docbook-style-xsl xsltproc
BuildRequires: rdma-core-devel

%description
libiscsi is a library for attaching to iSCSI resources
across a network.

%package utils
Summary: iSCSI Client Utilities
Group: System/Configuration/Networking
License: GPLv2+

%description utils
This package provides a set of assorted utilities to connect to iSCSI
servers without having to set up the Linux iSCSI initiator.

%package devel
Summary: iSCSI client development libraries
Group: Development/Other
Requires: libiscsi = %version-%release

%description devel
The libiscsi-devel package includes the header files for libiscsi.

%prep
%setup
%patch0 -p1

%build
%autoreconf
%configure --disable-static --disable-werror
%make_build

%install
%makeinstall_std

%files
%doc COPYING README TODO
%_libdir/%name.so.*

%files utils
%_bindir/*
%_man1dir/*
%exclude %_bindir/ld_iscsi*

%files devel
%_includedir/*
%_libdir/%name.so
%_pkgconfigdir/%name.pc

%changelog
