Name: libjsw
Version: 1.5.6
Release: alt1.qa1

Summary: UNIX joystick driver wrapper library

License: GPL
Group: System/Libraries
#Url: http://wolfpack.twu.net/libjsw/index.html
Url: http://freshmeat.net/projects/libjsw/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://wolfpack.twu.net/users/wolfpack/%name-%version.tar.bz2
Patch: %name-gcc4.patch

# Automatically added by buildreq on Mon Dec 25 2006
BuildRequires: gcc-c++

BuildConflicts: %name-devel

Provides: %name.so

%description
The UNIX Joystick Driver Wrapper Library and Calibrator (aka libjsw) provides
the programmer with the assistance to easily code applications that need to
use the joystick driver and a convience to users by storing the calibration
information in a .joystick calibration file


%package devel
Summary: Headers for developing programs that will use %name
Group: Development/C
Requires: %name = %version

%description devel
This package contains the headers that programmers will need to develop
applications which will use %name.

%package calibrator
Summary: Joystick calibrator
Group: Development/C
Requires: %name = %version

%description calibrator
Joystick calibrator itself

%prep
%setup
%patch

DIRS="jscalibrator libjsw"
for DIR in $DIRS; do
	subst 's|^PREFIX = /usr|PREFIX = \$(RPM_BUILD_ROOT)%prefix|g' $DIR/Makefile
	subst 's|^CFLAGS = [^\\]*|CFLAGS = \$(RPM_OPT_FLAGS) -fPIC|g' $DIR/Makefile.Linux
done
subst 's|^LIB_DIRS =|LIB_DIRS = -L../libjsw|g' jscalibrator/Makefile
subst 's|<jsw.h>|"../include/jsw.h"|' jscalibrator/jc*.*

%build
cd libjsw
make -f Makefile.Linux
cd -

%install
cd libjsw
%makeinstall JSW_MAN_DIR=%buildroot%_man3dir JSW_LIB_DIR=%buildroot%_libdir
cd -
rm -f %buildroot%_man1dir/

%files
%doc AUTHORS LICENSE README jswdemos
%_libdir/lib*.so.*
# Strange so loading?
%_libdir/*.so

%files devel
%_includedir/*
%_man3dir/*

%changelog
