Name: liblangtag
Version: 0.6.3
Release: alt1

Summary: An interface library to access tags for identifying languages
License: (LGPLv3+ or MPLv2.0) and UCD
Group: System/Libraries

Url: http://tagoh.bitbucket.org/liblangtag/
Source: %name-%version.tar.bz2

# Automatically added by buildreq on Sun Jul 28 2013
# optimized out: gnu-config pkg-config
BuildRequires: gtk-doc libxml2-devel

BuildRequires: glib2-devel

%description
%name is an interface library to access tags for identifying
languages.

Features:
* several subtag registry database supports:
  - language
  - extlang
  - script
  - region
  - variant
  - extension
  - grandfathered
  - redundant
* handling of the language tags
  - parser
  - matching
  - canonicalizing

%package devel
Summary: Development files for %name
Group: Development/C
Requires: %name%{?_isa} = %version-%release

%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%prep
%setup

%build
%ifarch %e2k
# TODO: report the problem upstream
sed -i 's,-Werror=pointer-arith,,g' configure* aclocal.m4
%endif
%configure --disable-static --enable-shared --disable-introspection
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
%make_build V=1 \
    LD_LIBRARY_PATH=`pwd`/liblangtag/.libs${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}

%check
LD_LIBRARY_PATH=`pwd`/liblangtag/.libs make check

%install
%makeinstall_std

%files
%doc AUTHORS COPYING NEWS README
%_libdir/%name.so.*
%_libdir/%name/*.so
%_datadir/%name

%files devel
%doc COPYING
%_includedir/%name
%_libdir/%name.so
%_libdir/pkgconfig/%name.pc
%_datadir/gtk-doc/html/%name

%changelog
