Name: libleveldb
Version: 1.22
Release: alt2

Summary: A fast and lightweight key/value database library by Google

License: BSD
Group: Development/Databases
Url: http://code.google.com/p/leveldb/

Packager: Alexei Takaseev <taf@altlinux.ru>

Source: %name-%version.tar
Patch0: %name-%version-%release.patch

## patches from Fedora (as of leveldb-1.12.0-10.fc23, rediff)
Patch3: leveldb-0003-bloom_test-failure-on-big-endian-archs.patch
Patch4: leveldb-0004-Allow-leveldbjni-build.patch
Patch5: leveldb-0005-Added-a-DB-SuspendCompations-and-DB-ResumeCompaction.patch
Patch6: leveldb-0006-allow-Get-calls-to-avoid-copies-into-std-string.patch

# Automatically added by buildreq on Tue Apr 16 2013
# optimized out: libstdc++-devel
BuildRequires: gcc-c++ libsnappy-devel rpm-macros-cmake cmake

%description
LevelDB is a fast key-value storage library written at Google that provides an
ordered mapping from string keys to string values.

%package devel
Summary: The development files for %name
Group: Development/Databases
Requires: %name = %version-%release

%description devel
Additional header files for development with %name.

%prep
%setup
%patch0 -p1
# fedora patches
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
%cmake -DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=yes
%cmake_build

%install
%cmakeinstall_std

cat > leveldb.pc << EOF
prefix=%prefix
exec_prefix=%prefix
libdir=%_libdir
includedir=%_includedir

Name: leveldb
Description: %summary
Version: %version
Libs: -lleveldb
EOF

mkdir -p %buildroot%_libdir/pkgconfig
cp -a leveldb.pc %buildroot%_libdir/pkgconfig/

%files
%doc doc/ AUTHORS LICENSE README.md
%_libdir/%name.so.*

%files devel
%_includedir/leveldb/
%_libdir/%name.so
%_libdir/pkgconfig/*
%_libdir/cmake/leveldb/

%changelog
