%def_disable static

Name: liblrdf
Version: 0.6.1
Release: alt1

Summary: Library for handling RDF descriptions of audio plugins
License: GPLv2+
Group: System/Libraries
Url: http://lrdf.sourceforge.net

# https://github.com/swh/LRDF.git
Source: %name-%version.tar.gz

BuildPreReq: ladspa_sdk >= 1.12-alt2
BuildPreReq: raptor2-devel

# Automatically added by buildreq on Sun Apr 04 2004
BuildRequires: gcc-c++ glib2-devel ladspa_sdk libcurl-devel libssl-devel libstdc++-devel libxml2-devel pkgconfig zlib-devel

%description
liblrdf is a library for handling RDF (http://www.w3.org/RDF/)
descriptions of LADSPA (and potentially other format) plugins.

It allows grouping of plugins into trees for user slection and finer
description of plugins and ports than the .so format allows (for example
to indicatate textual equivalents of integer port values). It also
provides named and described defaults and presets, metadata and general
semnatic goodness.

%package devel
Summary: Headers for developing programs that will use %name
Group: Development/C++
Requires: %name = %version-%release
Requires: raptor2-devel

%description devel
This package contains the headers that programmers will need to develop
applications which will use libraries from %name.

%prep
%setup
rm -f m4/*

%build
%autoreconf
%configure \
    %{subst_enable static}

%make_build

%install
%makeinstall_std

%files
%_libdir/*.so.*
%_ladspa_datadir/rdf/ladspa.rdfs

%files devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*
%doc AUTHORS ChangeLog NEWS README

%changelog
