# Unpackaged files in buildroot should terminate build
%define _unpackaged_files_terminate_build 1

Name: liblxqt
Version: 1.3.0
Release: alt1

Summary: Core utility library for LxQt components
License: LGPL
Group: Graphical desktop/Other

Url: https://lxqt.org
Source: %name-%version.tar
Patch: liblxqt-0.14.1-fix_translate_load.patch

BuildRequires: gcc-c++ cmake rpm-macros-cmake
BuildRequires: qt5-base-devel qt5-x11extras-devel qt5-tools-devel
BuildRequires: kf5-kwindowsystem-devel
BuildRequires: lxqt-build-tools libqtxdg-devel
BuildRequires: libpolkitqt5-qt5-devel
BuildRequires: git-core
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gio-unix-2.0)

Provides: librazorqt = %version
Obsoletes: librazorqt < 0.7.0

Provides: %name-data = %version
Obsoletes: %name-data < 0.11.0
Obsoletes: lxqt-backlight_backend
Obsoletes: lxqt-l10n

%description
%summary

%package devel
Summary: Development headers for LXQt library
Group: Development/C++
Requires: %name = %version
Requires: lxqt-build-tools

%description devel
This package provides the development files for LXQt library.

%prep
%setup
%patch -p1

%build
%cmake -DUPDATE_TRANSLATIONS=ON \
	
%cmake_build

%install
%cmakeinstall_std

%files
%_libdir/*.so.*
%doc AUTHORS CHANGELOG COPYING README.md
%_bindir/lxqt-backlight_backend
%dir %_datadir/lxqt
%_datadir/lxqt/*
%_datadir/polkit-1/actions/org.lxqt.backlight.pkexec.policy

%files devel
%_libdir/*.so
%_includedir/*/
%_pkgconfigdir/*.pc
%_datadir/cmake/*/

%changelog
