Name: libmemcached
Version: 1.1.4
Release: alt1

Summary: Client library to the memcached
License: BSD
Group: System/Libraries
Url: https://github.com/awesomized/libmemcached/
Source: %name-%version.tar
Patch0: %name-%version-%release.patch

BuildRequires(pre): cmake
BuildRequires: flex gcc-c++

%description
libmemcached is a C and C++ client library to the memcached
server.  It has been designed to be light on memory usage,
thread safe, and provide full access to server side methods.

%package utils
Summary: Collection of utilities designed to work with memcached
Group: Development/C
Requires: %name = %version-%release

%description utils
Collection of utilities designed to work with memcached.

%package devel
Summary: Files needed to develop programs which use the %name library
Group: Development/C
Requires: %name = %version-%release

%description devel
libmemcached is a C and C++ client library to the memcached
server.  It has been designed to be light on memory usage,
thread safe, and provide full access to server side methods.

This package contains the header files and development libraries
for %name.

%prep
%setup
%patch0 -p1

%build
%cmake -DENABLE_STATIC=FALSE
%cmake_build

%install
%cmakeinstall_std
rm -f %buildroot%_libdir/libp9y.a
rm -f %buildroot%_libdir/cmake/libmemcached-awesome/p9y*

%files
%_libdir/*.so.*
%doc AUTHORS ChangeLog COPYING README.md BUGS.md TODO

%files utils
%_bindir/*

%files devel
%_libdir/*.so
%_includedir/libhashkit
%_includedir/libhashkit-1.0
%_includedir/libmemcached
%_includedir/libmemcached-1.0
%_includedir/libmemcachedprotocol-0.0
%_includedir/libmemcachedutil-1.0
%_aclocaldir/*.m4
%_pkgconfigdir/%name.pc
%_libdir/cmake/*

%changelog
