# BEGIN SourceDeps(oneline):
BuildRequires: libxml2-devel
# END SourceDeps(oneline)
Group: System/Libraries
%add_optflags %optflags_shared
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		libmetalink
Version:	0.1.3
Release:	alt1_13
Summary:	Metalink library written in C
License:	MIT
URL:		https://launchpad.net/libmetalink
Source0:	https://launchpad.net/libmetalink/trunk/%{name}-%{version}/+download/%{name}-%{version}.tar.bz2
# https://bugs.launchpad.net/libmetalink/+bug/1888672
Patch0:     libmetalink-0.1.3-ns_uri.patch

BuildRequires:  gcc
BuildRequires:	libexpat-devel
BuildRequires:	CUnit-devel
Source44: import.info

%description
libmetalink is a Metalink C library. It adds Metalink functionality such as
parsing Metalink XML files to programs written in C.

%package	devel
Group: Development/Other
Summary:	Files needed for developing with %{name}
Requires:	%{name} = %{version}-%{release}

%description	devel
Files needed for building applications with libmetalink.

%prep
%setup -q
%patch0 -p1


%build
%configure --disable-static
%make_build

%check
make check

%install
%makeinstall_std
find $RPM_BUILD_ROOT -name *.la -exec rm {} \;



%files
%{!?_licensedir:%global license %%doc}
%doc --no-dereference COPYING
%doc README 
%{_libdir}/libmetalink.so.*


%files devel
%dir %{_includedir}/metalink/
%{_includedir}/metalink/metalink_error.h
%{_includedir}/metalink/metalink.h
%{_includedir}/metalink/metalink_parser.h
%{_includedir}/metalink/metalink_types.h
%{_includedir}/metalink/metalinkver.h
%{_libdir}/libmetalink.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/*


%changelog
