Name: libmicrohttpd
Version: 0.9.76
Release: alt1

Summary: Library providing compact API and implementation of an HTTP/1.1 webserver
License: LGPL-2.1-or-later
Group: System/Libraries
Url: http://www.gnu.org/software/libmicrohttpd/
Vcs: https://gnunet.org/libmicrohttpd.git
Source: %name-%version.tar

BuildRequires: libgnutls-devel >= 2.12.20
# For tests
BuildRequires: curl libcurl-devel

%description
Library providing compact API and implementation of an HTTP/1.1 webserver

%package devel
Summary: Development files for %name
Group: Development/C++
Requires: %name = %version-%release

%description devel
This package contains the headers and libraries for libmicrohttpd development.

%prep
%setup
# starting with curl-7.82.0 test fails with: curl_easy_perform failed: `Out of memory'
sed -ri '/^\s+TEST_HTTPS_SNI/ s,=.+$,=,' src/testcurl/https/Makefile.am

%build
%autoreconf
%configure \
	--disable-static \
	--disable-doc \
	--disable-examples \
	--enable-gcc-hardening \
	--enable-linker-hardening
%make_build

%install
%makeinstall_std

%check
%make check

%files
%doc AUTHORS COPYING README NEWS ChangeLog
%_libdir/*.so.*

%files devel
%_includedir/*
%_libdir/*.so
%_pkgconfigdir/*

%changelog
