Name: libmpc3
Version: 1.2.1
Release: alt1

Summary: C library for multiple precision complex arithmetic
License: LGPL-3.0-or-later and GFDL-1.3-or-later
Group: System/Libraries
Url: http://multiprecision.org/

# http://multiprecision.org/mpc/download/mpc-%version.tar.gz
Source: mpc-%version.tar

BuildRequires: libgmp-devel libmpfr-devel

Provides: libmpc = %version-%release

%description
The GNU MPC library is a C library for the arithmetic of complex numbers
with arbitrarily high precision and correct rounding of the result.
It is built upon and follows the same principles as MPFR.

%package -n libmpc-devel
Summary: Header files for the GNU MPC library
Group: Development/C
Requires: %name = %version-%release

%description -n libmpc-devel
Header files for the GNU MPC library.

%prep
%setup -n mpc-%version
rm m4/{lt*,libtool}.m4

%build
%autoreconf
export EGREP=egrep
%configure --disable-static
%make_build

%install
%makeinstall_std

%check
%make_build -k check

%files
%doc AUTHORS NEWS README
%_libdir/libmpc.so.*

%files -n libmpc-devel
%_libdir/libmpc.so
%_includedir/mpc.h
%_infodir/mpc.info*

%changelog
