Name: libmspack
Version: 0.6
Release: alt2

Summary: Compressors and decompressors for Microsoft compression formats

License: LGPL
Group: Development/C
Url: http://www.cabextract.org.uk/libmspack/

Packager: Vitaly Lipatov <lav@altlinux.ru>

# Source-url: https://github.com/kyz/libmspack/archive/v%{version}alpha.tar.gz
Source: %name-%version.tar

Patch1: upstream-CVE-2018-18584.patch

BuildRequires: gcc

%package devel
Summary: Development files for libmspack
Group: Development/C

%description
The purpose of libmspack is to provide compressors and decompressors,
archivers and dearchivers for Microsoft compression formats: CAB, CHM,
HLP, KWAJ, LIT and SZDD. It is also designed to be easily embeddable,
stable, robust and resource-efficient.

The library is not intended as a generalised "any archiver" interface.
Users of the library must explicitly choose the format they intend to work
with.

%description devel
This package contains development files required
in development of the %name-based applications.

%package tools
Summary: Tool from libmspack
Group: File tools
Conflicts: mscompress

%description tools
This package contains tools
cabrip, chmextract, msexpand, oabextract
based on %name.

%prep
%setup
%patch1 -p1

%build
cd libmspack
mkdir m4
%autoreconf
%configure --disable-static
%make_build

%install
cd libmspack
%makeinstall_std

%files
%doc libmspack/README
%_libdir/*.so.*

%files devel
%doc libmspack/doc/*
%_includedir/mspack.h
%_libdir/*.so
%_pkgconfigdir/*.pc

%files tools
%doc libmspack/README
%_bindir/cabrip
%_bindir/chmextract
%_bindir/msexpand
%_bindir/oabextract

%changelog
