Group: System/Libraries
%define oldname mythes
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:      libmythes
Summary:   A thesaurus library
Version:   1.2.4
Release:   alt1_15
Source:    http://downloads.sourceforge.net/hunspell/%{oldname}-%{version}.tar.gz
URL:       http://hunspell.sourceforge.net/
License:   BSD and MIT
BuildRequires: hunspell-utils libhunspell-devel, gcc-c++
Source44: import.info

%description
MyThes is a simple thesaurus that uses a structured text data file and an
index file with binary search to look up words and phrases and return 
information on part of speech, meanings, and synonyms.

%package devel
Group: Development/Other
Requires: libmythes = %{version}-%{release}, pkgconfig
Summary: Files for developing with mythes

%description devel
Includes and definitions for developing with mythes

%prep
%setup -n %{oldname}-%{version} -q

%build
%configure --disable-rpath --disable-static
%make_build

%check
./example th_en_US_new.idx th_en_US_new.dat checkme.lst
./example morph.idx morph.dat morph.lst morph.aff morph.dic

%install
%makeinstall_std
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/mythes



%files
%doc README COPYING AUTHORS
%{_libdir}/*.so.*
%{_datadir}/mythes

%files devel
%doc data_layout.txt
%{_includedir}/mythes.hxx
%{_libdir}/*.so
%{_libdir}/pkgconfig/mythes.pc
%{_bindir}/th_gen_idx.pl

%changelog
