Name: libnatspec
Version: 0.3.1
Release: alt3

Summary: Library for national and language-specific issues

License: LGPL
Group: System/Libraries
Url: https://github.com/vitlav/libnatspec

Packager: Vitaly Lipatov <lav@altlinux.ru>

# Source-git: https://github.com/vitlav/libnatspec
Source: %name-%version.tar

# Automatically added by buildreq on Fri Jul 22 2005
BuildRequires: libpopt-devel
# due aclocaldir
BuildRequires: rpm-build-compat

%description
Library for national and language-specific issues.
This library provides userful functions for
mount, submount, mkisofs, multimedia players.
This library try to help resolve charset hell (encoding problem)
in a various programs depends on locale and messages.
See detailed description at
http://www.freesource.info/wiki/Lokalizacija/NATSPECDescription
or http://freesource.info/wiki/Lokalizacija/BibliotekaNATSPEC

%package devel
Summary: Development package of library for national and language-specific issues
Group: Development/C
Requires: %name = %version-%release

%description devel
The %name-devel package contains the necessary include files
for developing applications with %name
This library try to help resolve charset hell (encoding problem)
in a various programs depends on locale and messages.

%package devel-examples
Summary: Examples of %name using
Group: Development/Documentation
BuildArch: noarch

%description devel-examples
The %name-devel package contains examples of patches
for developing applications with %name

%package -n python-module-natspec
Summary: Python binding
Group: Development/Python
Requires: %name = %version-%release

%description -n python-module-natspec
Python binding for natspec

%prep
%setup

%build
%autoreconf
%configure
%make_build

%install
%makeinstall_std

# FIXME: I don't know how to install in /lib
# move to /lib
mkdir -p %buildroot/%_lib
mv %buildroot%_libdir/%{name}.* %buildroot/%_lib

%files
%doc AUTHORS README ChangeLog NEWS TODO README-ru.html
/%_lib/*.so.*
%_bindir/*
%_man1dir/*
#/etc/profile.d/*

%files devel
#doc docs/html
%_includedir/*
/%_lib/%name.so
%_pkgconfigdir/*
%_aclocaldir/*

%files devel-examples
%doc examples profile

#%files -n python-module-natspec
#%python_sitelibdir/natspec.py
#%python_sitelibdir/_natspec.so


%changelog
