# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
%add_optflags %optflags_shared
%define oldname net6
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           libnet6
Version:        1.3.14
Release:        alt1_15
Summary:        A TCP protocol abstraction for library C++

Group:          Development/Other
License:        LGPLv2
URL:            http://releases.0x539.de/net6/
Source0:        http://releases.0x539.de/net6/%{oldname}-%{version}.tar.gz
Patch1:         net6-1.3.14-drop-deprecated-gnutls-call.patch

BuildRequires:  libsigc++2-devel libgnutls-devel libgnutlsxx-devel
Requires:       libgnutls
Source44: import.info
Provides: net6 = %{version}-%{release}

%description
net6 is a library which eases the development of network-based applications
as it provides a TCP protocol abstraction for C++. It is portable to both
the Windows and Unix-like platforms.


%package devel
Summary:        Development libraries for net6
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}
Requires:       pkg-config
Provides: net6-devel = %{version}-%{release}

%description devel
net6 is a library which eases the development of network-based applications
as it provides a TCP protocol abstraction for C++. It is portable to both
the Windows and Unix-like platforms.

This package contains the header files for the use of the net6 development
library.


%prep
%setup -n %{oldname}-%{version} -q
%patch1 -p1


%build
# Build in C++11 mode as glibmm headers use C++11 features. This can be dropped
# when GCC in Fedora switches to C++11 by default (with GCC 6, most likely).
export CXXFLAGS="%{optflags} -std=c++11"

%configure --disable-static
%make_build


%install
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %oldname


%files -f %{oldname}.lang
%doc README AUTHORS ChangeLog COPYING NEWS
%{_libdir}/*.so.*

%files devel
%{_includedir}/net6
%{_libdir}/*.so
%{_libdir}/pkgconfig/*


%changelog
