Name: libofx
Version: 0.10.2
Release: alt1

Summary: The OFX parser library
Group: System/Libraries
License: GPL-2.0
Url: http://libofx.sourceforge.net

Source: http://download.sourceforge.net/%name/%name-%version.tar.gz
Source1: %name.watch

BuildRequires: libOpenSP-devel gcc-c++ libcurl-devel
BuildRequires: libxml++2-devel gengetopt help2man

%description
This is the LibOFX library. It is a API designed to allow applications
to very easily support OFX command responses, usually provided by
financial institutions. See http://www.ofx.net/ for details and
specification.

%package devel
Summary: The OFX parser development library
Group: Development/C++
Requires: %name = %version-%release
Provides: %name-docs = %version-%release
Obsoletes: %name-docs

%description devel
This is the LibOFX library.  It is a API designed to allow applications
to very easily support OFX command responses, usually provided
by financial institutions.  See http://www.ofx.net/ for details
and specification. LibOFX is based on the excellent OpenSP library
written by James Clark, and now part of the OpenJADE
http://openjade.sourceforge.net/ project.  OpenSP by itself is not
widely distributed.  OpenJADE 1.3.1 includes a version on OpenSP that
will link, however, it has some major problems with LibOFX and isn't
recommended. Since LibOFX uses the generic interface to OpenSP, it
should be compatible with all recent versions of OpenSP (It has been
developed with OpenSP-1.5pre5). LibOFX is written in C++, but provides
a C style interface usable transparently from both C and C++ using
a single include file.

Headers, documentation and other files for development with libofx.

%prep
%setup
rm -f ofxdump/ofxdump.1

%build
%add_optflags -std=c++11
%autoreconf
%configure --disable-static
%make

%install
%makeinstall_std

%check
%make check

%files
%_bindir/ofxdump
%_bindir/ofxconnect
%_bindir/ofx2qif
%_libdir/*.so.*
%_datadir/%name
%_man1dir/ofxdump.1*
%_man1dir/ofxconnect.1*

%files devel
%doc AUTHORS NEWS README totest.txt
%_libdir/*.so
%_includedir/*
%_pkgconfigdir/%name.pc
%_docdir/%name/

%changelog
