Name: libogg
Version: 1.3.5
Release: alt1

Summary: Ogg Bitstream Library
Summary(ru_RU.UTF-8): Библиотека потокового формата Ogg
License: BSD-3-Clause
Group: System/Libraries
Url: https://www.xiph.org/ogg/
# https://downloads.xiph.org/releases/ogg/%name-%version.tar.xz
Source: %name-%version.tar

%def_disable static

%description
Libogg is a library for manipulating ogg bitstreams. It handles
both making ogg bitstreams and getting packets from ogg bitstreams.

%description -l ru_RU.UTF-8
Libogg - это библиотека для работы с потоками формата ogg.
С ее помощью создаются потоки и производится их разбор на пакеты.

%package devel
Summary: Development files for libogg
Group: Development/C
PreReq: %name = %version-%release

%description devel
This package contains the header files and documentation needed
to develop applications with libogg.

%description devel -l ru_RU.UTF-8
В этом пакете находятся файлы, необходимые для использования libogg
в разработке приложений.

%package devel-static
Summary: Static libraries for libogg
Group: Development/C
PreReq: %name-devel = %version-%release

%description devel-static
This package contains development libraries required for packaging
statically linked libogg-based software.

%description devel-static -l ru_RU.UTF-8
В этом пакете находятся статические библиотеки, необходимые
для использования libogg в разработке статических приложений.

%prep
%setup

%build
%autoreconf
%configure %{subst_enable static}
%make_build OGG_CFLAGS="%optflags"

%install
%makeinstall_std
%define docdir %_docdir/%name
install -pm644 AUTHORS CHANGES COPYING %buildroot%docdir/

%define _unpackaged_files_terminate_build 1
%define _stripped_files_terminate_build 1
%set_verify_elf_method strict

%files
%_libdir/*.so.*
%dir %docdir/
%docdir/[AC]*

%files devel
%_libdir/*.so
%_includedir/*
%_pkgconfigdir/*.pc
%_aclocaldir/*
%docdir/
%exclude %docdir/[AC]*

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
