# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
%add_optflags %optflags_shared
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           liboglappth
Summary:        An OpenGL wrapper library
Version:        1.0.0
Release:        alt1_6
License:        GPLv2+
Group:          Engineering
URL:            http://www.bioinformatics.org/ghemical/ghemical/index.html
Source0:        http://www.bioinformatics.org/ghemical/download/current/%{name}-%{version}.tar.gz
BuildRequires:  libtool
BuildRequires:  libGL-devel
BuildRequires:  libGLU-devel
Source44: import.info

%description
Library for creating portable OpenGL applications with easy-to-code
scene setup and selection operations.

%package devel
Summary:    Libraries and header files from %{name}
Group:      Development/Other
Requires:   %{name} = %{version}-%{release}
Requires:   pkgconfig

%description devel
Libraries and header include files for developing programs
based on %{name}.

%prep
%setup -n %{name}-%{version} -q
# FIXME: set -e behavior change between f26 and f27??
[ -s NEWS ] && exit 1 || :
[ -s README ] && exit 1 || :

%build
autoreconf -v -f -i
%configure --disable-static
%make_build CCOPTIONS="%{optflags}" LIBS="-lGL -lGLU"

%install
make DESTDIR="%{buildroot}" INSTALL="install -p" install
find %{buildroot}%{_libdir} -name *.la -exec rm -rf {} \;

%files
%doc AUTHORS ChangeLog COPYING
%{_libdir}/liboglappth.so.*

%files devel
%{_includedir}/oglappth/
%{_libdir}/liboglappth.so
%{_libdir}/pkgconfig/liboglappth.pc


%changelog
