# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define major 6
%define liboldx liboldx%{major}
%define devoldx liboldx-devel

Name: liboldx
Summary:  The oldX Library
Version: 1.0.1
Release: alt1_16
Group: Development/C
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/liboldX-%{version}.tar.bz2
BuildRequires: pkgconfig(x11) >= 1.0.0
BuildRequires: xorg-proto-devel >= 1.0.0
BuildRequires: xorg-util-macros >= 1.0.1
Source44: import.info

%description
X.Org X11 liboldX runtime library.

#-----------------------------------------------------------

%package -n %{liboldx}
Summary:  The oldX Library
Group: Development/C
Provides: %{name} = %{version}

%description -n %{liboldx}
The oldX Library

%files -n %{liboldx}
%{_libdir}/liboldX.so.%{major}
%{_libdir}/liboldX.so.%{major}.0.0

#-----------------------------------------------------------

%package -n %{devoldx}
Summary: Development files for %{name}
Group: Development/C
Requires: %{liboldx} = %{version}-%{release}
Provides: liboldx-devel = %{version}-%{release}
Obsoletes: %{_lib}oldx6-devel < 1.0.1-11
Obsoletes: %{_lib}oldx6-static-devel < 1.0.1-11

%description -n %{devoldx}
Development files for %{name}.

%files -n %{devoldx}
%{_libdir}/liboldX.so
%{_libdir}/pkgconfig/oldx.pc
%{_includedir}/X11/X10.h

#-----------------------------------------------------------

%prep
%setup -q -n liboldX-%{version}

%build
# fix build on aarch64
autoreconf -vfi

%configure \
	--disable-static
%make_build

%install
%makeinstall_std

find %{buildroot} -name "*.la" -delete


%changelog
