Name: libopenobex
Version: 1.7.2
Release: alt1

Summary: OpenOBEX - Free implementation of the Object Exchange protocol
License: LGPL
Group: System/Libraries
URL: http://openobex.sourceforge.net
Packager: Valery Inozemtsev <shrek@altlinux.ru>

# VCS: https://gitlab.com/openobex/mainline.git
Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires: gcc-c++ cmake libbluez-devel libusb-devel libudev-devel
BuildRequires: doxygen xmlto

%description
OpenOBEX - Free implementation of the Object Exchange protocol

%package devel
Summary: Development files of OpenOBEX libraries
Group: Development/C
Requires: %name = %version-%release

%description devel
This package contains development files of Open OBEX library

%define _pkgdocdir %_docdir/%name-%version

%prep
%setup
%patch -p1
# fix udev rule
#subst 's|GROUP=\"plugdev\"|ENV{ID_MEDIA_PLAYER}="1"|' udev/openobex.rules.in
sed -i 's|MODE="660", GROUP="plugdev"|TAG+="uaccess"|' udev/openobex.rules.in

%build
%cmake -DCMAKE_INSTALL_DOCDIR=%_pkgdocdir
%cmake_build

%install
%cmakeinstall_std
cp AUTHORS ChangeLog README %buildroot%_pkgdocdir

%files
%_sbindir/obex-check-device
%_libdir/*.so.*
%_udevrulesdir/60-openobex.rules
%doc %_pkgdocdir/AUTHORS
%doc %_pkgdocdir/ChangeLog
%doc %_pkgdocdir/README

%files devel
%_includedir/*
%_libdir/*.so
%_pkgconfigdir/*.pc
%_libdir/cmake/OpenObex-%version/openobex-config-version.cmake
%_libdir/cmake/OpenObex-%version/openobex-config.cmake
%_libdir/cmake/OpenObex-%version/openobex-target-release.cmake
%_libdir/cmake/OpenObex-%version/openobex-target.cmake
%doc %_pkgdocdir/html/

%changelog
