# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
# END SourceDeps(oneline)
%add_optflags %optflags_shared
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:      liborigin
Version:   20080225
Release:   alt1_24
Summary:   Library for reading OriginLab OPJ project files

License:   GPLv2
Group:     Development/Other
URL:       http://sourceforge.net/projects/%{name}/

Source:    http://master.dl.sourceforge.net/project/liborigin/liborigin/2008/%{name}-%{version}.tar.gz
# Include <cstddef> into tree.hh
Patch0:    %{name}-%{version}-gcc.patch
Patch1:    %{name}-%{version}-cxx11.patch

BuildRequires: gcc-c++
BuildRequires: ctest cmake
Source44: import.info

%description
A library for reading OriginLab OPJ project files.

%package devel
Summary:  Header files, libraries and development documentation for %{name}
Group:    Development/Other
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build

# fix for hardcoded path of %%{_libdir}
sed -i "s|install(TARGETS origin DESTINATION lib)|install(TARGETS origin DESTINATION %{_lib})|" CMakeLists.txt

%{fedora_cmake}

make VERBOSE=1 %{?_smp_mflags}

%install
make INSTALL="install -p" DESTDIR=%{buildroot} install

install -d  %{buildroot}%{_includedir}/%{name}/
install -pm 644 OPJFile.h tree.hh %{buildroot}%{_includedir}/%{name}/

#W: spurious-executable-perm 
chmod 0644 ws4.opj





%files
%doc COPYING README ws4.opj import.qs
%{_bindir}/opj2dat
%{_libdir}/%{name}.so.0*

%files devel
%{_includedir}/%{name}/
%{_libdir}/%{name}.so

%changelog
