Name: libortp
Version: 1.0.2
Release: alt3

Group: System/Libraries
Summary: Real-time Transport Protocol Stack
Url: http://www.linphone.org/eng/documentation/dev/ortp.html
License: LGPL

Packager: Alexei Takaseev <taf@altlinux.ru>

Source: %name-%version.tar
Patch0: %name-%version-%release.patch
BuildRequires: doxygen glibc-devel libbctoolbox-devel gcc8

%description
oRTP is a LGPL licensed C library implementing the RTP protocol
(rfc1889). It is available for most unix clones (primilarly Linux and
HP-UX), and Microsoft Windows.

%package devel
Summary: Headers, libraries and docs for the oRTP library
Group: Development/C
Requires: %name = %version-%release
Conflicts: libortp0.7-devel

%description devel
oRTP is a LGPL licensed C library implementing the RTP protocol
(rfc1889). It is available for most unix clones (primilarly Linux and
HP-UX), and Microsoft Windows.

This package contains header files and development libraries needed to
develop programs using the oRTP library.

%prep
%setup
%patch0 -p1

%build
%define _optlevel 3
%add_optflags %optflags_shared %optflags_strict %optflags_notraceback
%ifnarch %e2k
# as of lcc-1.23.12
%add_optflags -fno-schedule-insns -fschedule-insns2
%endif
%ifarch %ix86
%add_optflags -malign-double
%endif
%ifnarch %e2k
%set_gcc_version 8
export CC="gcc-%{_gcc_version}"
%endif
./autogen.sh
%configure \
    --disable-static \
    --enable-shared
%make_build CFLAGS="%optflags" CXXFLAGS="%optflags"

%install
%make install DESTDIR=%buildroot

%files
%doc AUTHORS COPYING ChangeLog NEWS README.md
%_libdir/*.so.*

%files devel
%exclude %_docdir/ortp*
%doc doc/html
%_libdir/*.so
%_libdir/pkgconfig/*.pc
%_includedir/*

%changelog
