# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define major 12
%define libname libosip2_%{major}
%define libname_devel libosip2-devel

Summary:	Impleimentation of SIP - rfc3261
Name:		libosip2
Version: 	5.0.0
Release: 	alt1_3
License: 	LGPLv2+
Group:		System/Libraries
URL: 		http://savannah.gnu.org/projects/osip/
Source0:	http://ftp.gnu.org/gnu/osip/%{name}-%{version}.tar.gz
Patch0:		1ae06daf3b2375c34af23083394a6f010be24a45.patch
Source44: import.info

%description
This is the oSIP library. It has been designed to provide the
Internet Community a simple way to support the Session Initiation
Protocol. SIP is described in the RFC3261 which is available at
http://www.ietf.org/rfc/rfc3261.txt.

%package -n	%{libname}
Summary:	Implementation of SIP - rfc2543
Group:		System/Libraries
Obsoletes:	libosip2 < %version
Obsoletes:	%{_lib}osip2_4 < %version
Conflicts:	libosip2_7 < %version

%description -n	%{libname}
This is the oSIP library. It has been designed to provide the
Internet Community a simple way to support the Session Initiation
Protocol. SIP is described in the RFC3261 which is available at
http://www.ietf.org/rfc/rfc3261.txt.

%package -n	%{libname_devel}
Summary:	Header file required to build programs using liboSIP
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{libname_devel}
Developments files for %{libname} (oSIP Library). Needed to build
apps such as linphone and siproxd.

%prep
%setup -q
%patch0 -p1

%build
autoreconf -fi -Iscripts
%configure --disable-static
%make_build

%install
%makeinstall_std

mv %{buildroot}%{_mandir}/man1/osip.1 %{buildroot}%{_mandir}/man1/osip2.1

# don't ship .a, .la
rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc AUTHORS BUGS ChangeLog NEWS README TODO
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*
%{_mandir}/man1/*

%files -n %{libname_devel}
%{_libdir}/*.so
%{_includedir}/osip2
%{_includedir}/osipparser2
%{_libdir}/pkgconfig/*.pc


%changelog
