Name:       libpagemap
Version:    0.0.1 
Release:    alt2

Summary:    Pagemap interface library
License:    GPLv3+
Group:      System/Libraries
URL:        https://github.com/pholasek/libpagemap

Source0:    https://github.com/pholasek/%{name}/archive/v%{version}.tar.gz
Source44:   import.info

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-devel python-tools-2to3


%description
Package contains library and headers for using kernel pagemap interface

%package devel
Summary: Development files for %{name}
Group: Development/Other
Requires: %{name} = %{version}-%{release}

%description devel
Development files for %{name}.

%prep
%setup -q

find -type f -name '*.py' -exec 2to3 -w -n '{}' +

%build
%add_optflags %optflags_shared

cd libpagemap-%{version}
make CFLAGS="%{optflags}"
sed -i 1s,python,python3, pagemapdata.py

%install
cd libpagemap-%{version}
make install DESTDIR=%{buildroot}
install -D -p -m 755 pagemapdata.py $RPM_BUILD_ROOT/%{python3_sitelibdir_noarch}/pagemapdata.py

%files
%{_bindir}/pgmap
%{_libdir}/libpagemap.so.*
%{python3_sitelibdir_noarch}/pagemapdata.py*
%attr(0644,root,root) %{_mandir}/man1/pgmap.1*
%doc libpagemap-%{version}/contrib/
%doc libpagemap-%{version}/README
%doc libpagemap-%{version}/COPYING

%files devel
%{_includedir}/libpagemap.h
%{_libdir}/libpagemap.so


%changelog
