Name: libproj
Version: 6.3.1
Release: alt1

Summary: PROJ.4 - cartographic projections library
Group: Sciences/Geosciences
License: MIT
Url: https://proj4.org/
Source: proj-%version.tar.gz

BuildRequires: gcc-c++ libstdc++-devel libsqlite3-devel sqlite3

%description
This package contains the PROJ.4 cartographic projections library.

%package -n proj
Summary: PROJ.4 programs
Group: Sciences/Geosciences
Requires: %name = %version-%release
%description -n proj
This package contains PROJ.4 programs.

%package devel
Summary: PROJ.4 development files
Group: Sciences/Geosciences
Requires: %name = %version-%release
Obsoletes: proj-devel
Provides:  proj-devel
%description devel
This package contains PROJ.4 development files.

%if_enabled static
%package devel-static
Group: Sciences/Geosciences
Summary: PROJ.4 static library
Requires: %name-devel = %version-%release
%description devel-static
This package contains PROJ.4 static library.
%endif #enabled static

%package nad
Summary: Empty package. US and Canadian datum shift grids moved to libproj
Group: Sciences/Geosciences
BuildArch: noarch
%description nad
Empty package. US and Canadian datum shift grids moved to libproj

%prep
%setup

%build
# do autoreconf to avoid RPATH with standard paths
# see: http://lists.altlinux.org/pipermail/devel/2011-December/192727.html
%autoreconf
%configure
%make_build

%install
%makeinstall

%files
%doc NEWS AUTHORS COPYING README ChangeLog
%_libdir/*.so.*
%_datadir/proj/*
%dir %_datadir/proj

%files -n proj
%_bindir/*
%_mandir/man1/*.1*

%files devel
%_mandir/man3/*.3*
%_includedir/*.h
%_includedir/proj/*.hpp
%dir %_includedir/proj
%_libdir/*.so
%_pkgconfigdir/*.pc

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%files nad

%changelog
