Name: libqtkeychain
Version: 0.9.1
Release: alt3.1

%define sover 1
%define libqtkeychain libqtkeychain%sover

Group: Development/KDE and QT
Summary: QtKeychain is a Qt API to store passwords and other secret data securely
License: 2-clause BSD
Url: https://github.com/frankosterfeld/qtkeychain

Source0: %name-%version.tar
Patch1: alt-build-qt4.patch
BuildRequires: cmake gcc-c++ libqt4-devel pkgconfig(QtDBus) libsecret-devel

%description
QtKeychain is a Qt API to store passwords and other secret data securely.
If running, GNOME Keyring is used, otherwise  qtkeychain tries to use
KWallet (via D-Bus), if available.

%package -n qtkeychain-common
Summary: %name common package
Group: System/Configuration/Other
BuildArch: noarch
Requires: qt4-common
Conflicts: libqtkeychain < 0.7
%description -n qtkeychain-common
%name common package

%package -n %libqtkeychain
Group: Development/KDE and QT
Summary: A password store library
Provides: qtkeychain = %version
Requires: qtkeychain-common
%description -n %libqtkeychain
The qtkeychain library allows you to store passwords easy and secure.

%package devel
Group: Development/KDE and QT
Summary: QtKeychain devel files
Provides: qtkeychain-devel = %version
Requires: libsecret-devel
%description devel
QtKeychain devel files.

%prep
%setup
%patch1 -p1

%build
QTDIR="%_qt4dir" \
%cmake .. \
    -DBUILD_WITH_QT4:BOOL=ON \
    -DQTKEYCHAIN_STATIC=OFF \
    -DECM_MKSPECS_INSTALL_DIR=%_datadir/qt4/mkspecs \
    -DCMAKE_BUILD_TYPE=Release
%cmake_build

%install
PATH=$PATH:%_qt4dir/bin \
%cmake_install

%find_lang --with-qt qtkeychain

%files -n qtkeychain-common -f qtkeychain.lang
%doc ReadMe.txt
%doc COPYING

%files -n %libqtkeychain
%_libdir/libqtkeychain.so.%sover
%_libdir/libqtkeychain.so.*

%files devel
%_includedir/qtkeychain/
%_libdir/cmake/QtKeychain/
%_libdir/libqtkeychain.so
%_datadir/qt4/mkspecs/qt_QtKeychain.pri

%changelog
