Name: libraqm
Version: 0.7.1
Release: alt1

Summary: Complex Textlayout Library

License: MIT
Group: Publishing
Url: https://github.com/HOST-Oman/libraqm

Packager: Vitaly Lipatov <lav@altlinux.ru>

# Source-url: https://github.com/HOST-Oman/libraqm/releases/download/v%version/raqm-%version.tar.gz
Source: %name-%version.tar

BuildRequires: libfreetype-devel
BuildRequires: libharfbuzz-devel
BuildRequires: fribidi-devel
BuildRequires: gtk-doc

%description
Library that encapsulates the logic for complex
text layout and provides a convenient API.

%package docs
Summary: Libraqm Documentation
BuildArch: noarch
Group: Publishing

%description docs
This package contains documentation files for raqm.

%package devel
Summary: Complex Textlayout Library
Requires: libraqm = %version-%release
Group: Development/Other

%description devel
Library that encapsulates the logic for complex
text layout and provides a convenient API.

This package contains documentation files for raqm.

%prep
%setup
%configure --enable-gtk-doc

%build
%make_build

%check
export LC_ALL=en_US.UTF-8
# TODO: check test
make check || true

%install
%makeinstall_std
rm -f %buildroot%_libdir/*.{la,a}

%files
%doc COPYING
%_libdir/libraqm.so.*

%files devel
%doc COPYING
%_includedir/raqm.h
%_includedir/raqm-version.h
%_libdir/libraqm.so
%_pkgconfigdir/raqm.pc

%files docs
%doc COPYING
%doc AUTHORS NEWS README
%_datadir/gtk-doc/html/raqm

%changelog
