%def_disable static

Name: librelp
Version: 1.10.0
Release: alt1

Summary: The RELP (reliable event logging protocol) core protocol library
License: GPLv3
Group: System/Libraries
Url: http://www.librelp.com/
# https://github.com/rsyslog/librelp.git
Source: %name-%version.tar

BuildRequires: pkgconfig(gnutls) >= 2.0.0
BuildRequires: pkgconfig(openssl)

%description
librelp is an easy to use library for the RELP protocol. RELP in turn
provides reliable event logging over the network (and consequently
RELP stands for Reliable Event Logging Protocol).

%package devel
Summary: Headers for %name
Group: Development/C
Requires: %name = %version-%release

%description devel
Headers for building software that uses %name

%package devel-static
Summary: Static libraries for %name
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
Static libs for building statically linked software that uses %name

%prep
%setup

%build
%autoreconf
%configure \
	%{subst_enable static}

%make_build

%install
%makeinstall_std

%files
%_libdir/%name.so.*
%doc AUTHORS ChangeLog doc/relp.html

%files devel
%_pkgconfigdir/*.pc
%_libdir/%name.so
%_includedir/%name.h

%if_enabled static
%files -n lib%name-devel-static
%_libdir/%name.a
%endif

%changelog
