%define _unpackaged_files_terminate_build 1

%def_enable static

Name: libsdp
Summary: LD_PRELOAD-able library for using SDP
Version: 1.1.108
Release: alt1.0.17.ga6958ef
License: %gpl2only
Group: System/Libraries
Url: http://www.openfabrics.org

Source: %name-%version.tar

BuildRequires(pre): rpm-build-licenses
BuildRequires: flex

%description
%name can be LD_PRELOAD-ed to have a sockets application use
InfiniBand Sockets Direct Protocol (SDP) instead of TCP, transparently
and without recompiling the application.

%package devel
Summary: Development files for the %name
Group: Development/C
Requires: %name = %EVR

%description devel
Development files of %name.

%if_enabled static
%package devel-static
Summary: Static %name library
Group: Development/C
Requires: %name-devel = %EVR

%description devel-static
Static %name library.
%endif

%prep
%setup

%build
./autogen.sh
%configure %{subst_enable static}
%make_build

%install
%make_install DESTDIR=%buildroot install
install -Dm 644 scripts/libsdp.logrotate %buildroot%_logrotatedir/libsdp

%if_disabled static
rm -f %buildroot%_libdir/*.a
%endif

%files
%doc README NEWS ChangeLog COPYING
%config(noreplace) %_sysconfdir/libsdp.conf
%config(noreplace) %_logrotatedir/libsdp
%_libdir/*.so.*

%files devel
%_includedir/linux/sdp_inet.h
%_libdir/*.so

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
