%def_enable man

Name: libshell
Version: 0.4.11
Release: alt1

Summary: A library of shell functions
License: GPL-2.0-or-later
Group: Development/Other
BuildArch: noarch
Packager: Alexey Gladkov <legion@altlinux.ru>

Url: https://github.com/legionus/libshell.git

Source: %name-%version.tar

BuildRequires: help2man
%if_enabled man
BuildRequires: scdoc
%endif

%description
This package contains common functions for shell projects to increase code reuse.

%package single
Summary: A library of shell functions (single file)
Group: Development/Other

%description single
This package contains common functions for shell projects to increase code reuse
as single file.

%package -n cgrep
Epoch: 1
Summary: Simple program output colorifer
Group: Text tools

%description -n cgrep
This package contains simple wrapper to colorize output from any programs.

%prep
%setup -q

sed -i -e 's,^#!/bin/ash,#!/bin/sh,' \
	utils/cgrep.in

%build
%make \
	%{?_disable_man:MD2MAN=}

%install
%make_install \
	%{?_disable_man:MD2MAN=} \
	DESTDIR=%buildroot \
	install
%make_install \
	%{?_disable_man:MD2MAN=} \
	DESTDIR=%buildroot \
	install-single

%check
%make check

%files
/bin/*
%exclude /bin/shell-lib
%_datadir/%name
%doc COPYING
%if_enabled man
%_man3dir/*
%endif

%files single
/bin/shell-lib

%files -n cgrep
%_bindir/*
%if_enabled man
%_man1dir/*
%endif

%changelog
