%global _geocallback "--disable-geocallbacks"

Name: libspatialite
Version: 4.3.0a
Release: alt3
Summary: Enables SQLite to support spatial data
Group: System/Libraries
License: MPLv1.1 or GPLv2+ or LGPLv2+
Packager: Ilya Mashkin <oddity@altlinux.ru>
Url: https://www.gaia-gis.it/fossil/libspatialite
Source0: http://www.gaia-gis.it/gaia-sins/%name-sources/%name-%version.tar.gz

BuildRequires: libproj-devel
BuildRequires: freexl-devel
BuildRequires: libsqlite3-devel
BuildRequires: libgeos-devel
BuildRequires: libxml2-devel
BuildRequires: zlib-devel

%description
SpatiaLite is a a library extending the basic SQLite core
in order to get a full fledged Spatial DBMS, really simple
and lightweight, but mostly OGC-SFS compliant.

%package devel
Summary: Development libraries and headers for SpatiaLite
Group: System/Libraries
Requires: %name%{?_isa} = %version-%release
Requires: pkgconfig

%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%prep
%setup

%build
%add_optflags -DACCEPT_USE_OF_DEPRECATED_PROJ_API_H=1
%configure \
    --disable-static \
    %{?_geocallback}

%make_build

%install
%makeinstall_std

# Delete undesired libtool archives
rm -f %buildroot%_libdir/*.la


%files
%doc COPYING AUTHORS
%_libdir/%name.so.*
%_libdir/mod_spatialite.so.*

%files devel
%doc examples/*.c
%_includedir/spatialite.h
%_includedir/spatialite
%_libdir/%name.so
%_libdir/mod_spatialite.so
%_libdir/pkgconfig/spatialite.pc

%changelog
