Name: libtheora
Version: 1.1.1
Release: alt6
Epoch: 2

Summary: Theora Video Compression Codec
License: BSD-style
Group: System/Libraries
Url: http://www.theora.org/
# http://downloads.xiph.org/releases/theora/%name-%version.tar.bz2
Source: %name-%version.tar
Patch: libtheora-1.1.1-alt-link.patch
Patch1: 0001-Correct-an-operator-precedence-error-in-the-visualiz.patch
Patch2: 0002-Fix-pp_sharp_mod-calculation.patch
Patch3: 0003-examples-fix-underlinking.patch
Patch4: 0004-examples-png_sizeof-no-longer-available-since-libpng.patch
Patch5: 0005-Make-autoreconf-i-f-work.patch

# Automatically added by buildreq on Tue Nov 23 2010
BuildRequires: doxygen libSDL-devel libpng-devel libvorbis-devel

%description
Theora is Xiph.Org's first publicly released video codec, intended
for use within the Ogg's project's Ogg multimedia streaming system.
Theora is derived directly from On2's VP3 codec.  Currently the two are
nearly identical, varying only in encapsulating decoder tables in the
bitstream headers, but Theora will make use of this extra freedom
in the future to improve over what is possible with VP3.

%package devel
Summary: Development files for %name
Group: Development/C
Requires: %name = %epoch:%version-%release

%description devel
This package contains development files for the software development
using %name library.

%package devel-doc
Summary: Documentation for developing Theora applications
Group: Development/C
BuildArch: noarch
Requires: %name = %epoch:%version-%release

%description devel-doc
This package contains documentation for the software development
using %name library.

%package -n theora-tools
Summary: Command line tools for Theora videos
Group: Video
Requires: %name = %epoch:%version-%release

%description -n theora-tools
This package contains simple command line tools for use with
theora bitstreams.

%prep
%setup
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%autoreconf
%configure --disable-static
%make_build

%install
%makeinstall_std
mkdir -p %buildroot%_bindir
install -pm755 examples/.libs/dump_video \
	%buildroot%_bindir/theora_dump_video
install -pm755 examples/.libs/encoder_example \
	%buildroot%_bindir/theora_encode
install -pm755 examples/.libs/player_example \
	%buildroot%_bindir/theora_player
install -pm755 examples/.libs/png2theora \
	%buildroot%_bindir/png2theora
%define docdir %_docdir/%name-%version
install -pm644 AUTHORS CHANGES COPYING LICENSE README %buildroot%docdir/

%check
%make_build -k check

%files
%dir %docdir
%docdir/[ACLR]*
%_libdir/*.so.*

%files devel
%_libdir/*.so
%_includedir/*
%_pkgconfigdir/*.pc

%files devel-doc
%docdir
%exclude %docdir/[ACLR]*
%exclude %docdir/latex
%exclude %docdir/*.stamp
%exclude %docdir/*.xml

%files -n theora-tools
%_bindir/*

%changelog
