Summary: Library to access different kinds of (video) capture devices
Name: libunicap
Version: 0.9.12
Release: alt2
License: GPLv2+
Group: Development/C
Url: http://www.unicap-imaging.org/
Packager: Vitaly Kuznetsov <vitty@altlinux.ru>

Source: libunicap-%version.tar.gz
Source1: unicap-filter.sh
Patch0: libunicap-0.9.8-alt-v4l.patch
# mga patches
Patch1:	libunicap-0.9.12-link.patch
Patch2:	libunicap-0.9.12-includes.patch
Patch3:	libunicap-0.9.12-memerrs.patch
Patch4:	libunicap-0.9.12-arraycmp.patch
Patch5:	libunicap-0.9.12-warnings.patch
Patch6:	libunicap-bz641623.patch
Patch7:	libunicap-bz642118.patch
Patch8:	libunicap-0.9.12-udevrules-dir.patch
Patch9: alt-ftbfs-structs.patch

BuildRequires: gtk-doc intltool libraw1394-devel libv4l-devel

%description
Unicap provides a uniform interface to video capture devices. It allows
applications to use any supported video capture device via a single API.
The included ucil library provides easy to use functions to render text
and graphic overlays onto video images.

%package devel
Summary: Development files for the unicap library
Group: Development/C
Requires: %name = %version-%release

%description devel
The libunicap-devel package includes header files and libraries necessary for
for developing programs which use the unicap, unicapgtk and ucil library. It
contains the API documentation of the library, too.

%prep
%setup -q
%patch -p2
%patch1 -p0
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p0
%patch9 -p1

sed -i -e 's/\(SYSFS\|ATTRS\)/ATTRS/g' data/50-euvccam.rules

%build
%autoreconf
%configure --enable-libv4l
%make_build

%install
%makeinstall_std

mkdir -p %buildroot%_udevrulesdir
mv %buildroot{/usr/lib/udev/rules.d,%_udevrulesdir}/50-euvccam.rules

# Don't install any static .a and libtool .la files
rm -f %buildroot%_libdir/{,unicap2/cpi/}*.{a,la}

%find_lang unicap

%files -f unicap.lang
%doc AUTHORS ChangeLog COPYING README
%_libdir/*.so.*
%_libdir/unicap2
%_udevrulesdir/50-euvccam.rules

%files devel
%_libdir/*.so
%_pkgconfigdir/*.pc
%_includedir/unicap
%_datadir/gtk-doc/html/*

%changelog
