# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: gcc-c++
# END SourceDeps(oneline)
Group: Communications
%add_optflags %optflags_shared
%define oldname unshield
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           libunshield
Version:        1.4.3
Release:        alt1_1
Summary:        Install InstallShield applications on a Pocket PC

License:        MIT
URL:            https://github.com/twogood/unshield
Source0:        https://github.com/twogood/unshield/archive/%{version}/%{oldname}-%{version}.tar.gz

BuildRequires:  zlib-devel
BuildRequires:  ctest cmake
BuildRequires:  gcc
Source44: import.info
Provides: unshield = %{version}-%{release}

%description
This tool allows the extraction of InstallShield format cabinet files (which
are different from Microsoft cabinet files). It was initially developed as a
part of the SynCE project to aid with installing applications for Pocket PC
devices, which were often contained in InstallShield installers, but these days
that is rather less likely to be the primary use case.

%package devel
Group: Development/Other
Summary:        Files needed for software development with %{oldname}
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Provides: unshield-devel = %{version}-%{release}

%description devel
The %{oldname}-devel package contains the files needed for development with
%{oldname}.

%prep
%setup -q -n %{oldname}-%{version}


%build
%{fedora_cmake}
%make_build

%install
%makeinstall_std
rm -f $RPM_BUILD_ROOT%{_libdir}/libunshield.{,l}a



%files
%doc --no-dereference LICENSE
%doc README.md
%{_bindir}/unshield
%{_mandir}/man1/unshield.1*
%{_libdir}/libunshield.so.0
%{_libdir}/libunshield.so.0.0.0

%files devel
%{_libdir}/libunshield.so
%{_includedir}/libunshield.h
%{_libdir}/pkgconfig/libunshield.pc

%changelog
