Name: libutempter
Version: 1.2.1
Release: alt1

Summary: A privileged helper for utmp/wtmp updates
License: LGPLv2+
Group: System/Libraries
Url: https://github.com/altlinux/libutempter

Source: %name-%version.tar

Provides: utempter = 0.5.2
Obsoletes: utempter

%define helperdir %_libexecdir/utempter

%description
This library provides interface for terminal emulators such as
screen and xterm to record user sessions to utmp and wtmp files.

%package devel
Summary: Development environment for utempter
Group: Development/C
Requires: %name = %version-%release
Provides: utempter-devel = %version
Obsoletes: utempter-devel

%package devel-static
Summary: Static utempter library
Group: Development/C
Requires: %name-devel = %version-%release
Provides: utempter-devel-static = %version
Obsoletes: utempter-devel-static

%description devel
This package contains development files required to build
utempter-based software.

%description devel-static
This package contains static library required to build
statically linked utempter-based software.

%prep
%setup

%build
%add_optflags -Werror
%make_build libdir="%_libdir" libexecdir="%_libexecdir" "COMPILE_LFS=$(getconf LFS_CFLAGS)"

%install
%makeinstall_std libdir="%_libdir" libexecdir="%_libexecdir"

%pre
/usr/sbin/groupadd -r -f utmp
/usr/sbin/groupadd -r -f utempter

%files
%_libdir/*.so.*
%attr(710,root,utempter) %dir %helperdir
%attr(2711,root,utmp) %helperdir/*
%doc README

%files devel
%_libdir/*.so
%_includedir/*
%_man3dir/*

%files devel-static
%_libdir/*.a

%changelog
