
# %%define _without_vcmmd yes
%{?_without_vcmmd:%global _without_vcmmd --without-vcmmd}

Name: libvzctl
Summary: OpenVZ Containers API library
Version: 7.0.664
Release: alt2
License: LGPLv2.1
Group: System/Libraries
Url: https://openvz.org/
Vcs: https://src.openvz.org/scm/ovzl/libvzctl.git

Source: %name-%version.tar
Patch: %name-%version.patch

ExclusiveArch: x86_64

Requires: libvzevent >= 7.0.0
Requires: libploop >= 7.0.199
Requires: cgroup
Requires: crtools-ovz >= 3.15.0.9
Requires: e2fsprogs gdisk iputils iproute2
BuildRequires: kernel-headers-ovz-el7 >= 3.10.0
BuildRequires: libvzevent-devel >= 5.0.0
BuildRequires: libploop-devel >= 7.0.199
BuildRequires: libe2fs-devel
BuildRequires: libxml2-devel >= 2.6.16
BuildRequires: libuuid-devel
BuildRequires: libdbus-devel

%if 0%{!?_without_vcmmd:1}
Requires: libvcmmd >= 7.0.22
BuildRequires: libvcmmd-devel >= 7.0.22
%endif

%add_findreq_skiplist %_datadir/%name/dists/scripts/*
%filter_from_requires /^\/etc\/vz\/vz.conf/d
%define _pkglibdir %_libdir/%name

%description
OpenVZ Containers API library

%package devel
Summary: OpenVZ Containers API development library
Group: Development/C
License: LGPLv2.1
Requires: %name  = %version-%release

%description devel
OpenVZ Containers API development library

%prep
%setup -q
%patch -p1

%build
%autoreconf
%configure %{?_without_vcmmd}
%make_build

%install
%makeinstall_std

%files
%_libdir/*.so.*
%_pkglibdir
%_datadir/%name

%files devel
%_libdir/*.so
%_includedir/vzctl

%changelog
