Name: libx86
Version: 1.1
Release: alt10
Summary: a hardware-independent library for executing real-mode x86 code
Url: http://www.codon.org.uk/~mjg59/libx86/
License: BSD
Group: System/Libraries
ExcludeArch: armh aarch64 ppc64le

Packager: Vladislav Zavjalov <slazav@altlinux.org>

Source: http://www.codon.org.uk/~mjg59/%name/downloads/%name-%version.tar
#.gz

%if_enabled static
BuildPreReq: glibc-devel-static
%endif

%description
It's often useful to be able to make real-mode x86 BIOS calls from userland.
lrmi provides a simple interface to this for x86 machines, but this doesn't help
on other platforms. libx86 provides the lrmi interface, but will also run on
platforms such as amd64 and alpha.

%package devel
Group: Development/C
Summary: Development files of %name
Requires: %name = %version-%release

%description devel
It's often useful to be able to make real-mode x86 BIOS calls from userland.
lrmi provides a simple interface to this for x86 machines, but this doesn't help
on other platforms. libx86 provides the lrmi interface, but will also run on
platforms such as amd64 and alpha.

This package contains the C headers and documentation required for building
programs based on %name.

%if_enabled static
%package static-devel
Group: Development/C
Summary: Static library of %name
Requires: %name-devel = %version-%release

%description static-devel
It's often useful to be able to make real-mode x86 BIOS calls from userland.
lrmi provides a simple interface to this for x86 machines, but this doesn't help
on other platforms. libx86 provides the lrmi interface, but will also run on
platforms such as amd64 and alpha.

This package contains the static library required for statically linking
applications based on %name.

%endif #enabled static

%prep
%setup -q

%build
%ifarch %ix86
BACKEND=
%else
BACKEND=x86emu
%endif
%make_build BACKEND=$BACKEND

%install
%makeinstall DESTDIR=%buildroot LIBDIR=%_libdir

%files
%_libdir/*.so.*
%doc COPYRIGHT x86emu/LICENSE

%files devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*.pc

%if_enabled static
%files static-devel
%_libdir/*.a
%endif

%changelog
