Name: livecd-webkiosk
Version: 0.6.3
Release: alt2

Summary: start the browser for a suitable webkiosk environment
License: ALT-Public-Domain
Group: System/X11

Url: http://en.altlinux.org/starterkits
Packager: Michael Shigorin <mike@altlinux.org>

Requires: ratpoison xinit libshell
ExcludeArch: armh
ExcludeArch: %{ix86} ppc64le

%define skeldir %_sysconfdir/skel
%define ifacedir %_sysconfdir/net/ifaces/eth0
%define xsfile %skeldir/.xsession
%define wrapper %_bindir/webkiosk-browser

%description
%summary
(livecd specific; also employs some ratpoison)

%package seamonkey
Summary: seamonkey webkiosk setup
Group: System/X11
Requires: %name = %version-%release
Requires: seamonkey

%description seamonkey
%summary
(the browser == seamonkey)

%package firefox
Summary: firefox webkiosk setup
Group: System/X11
Requires: %name = %version-%release
Requires: livecd-firefox firefox-r-kiosk

%description firefox
%summary
(the browser == firefox)

%package chromium
Summary: chromium webkiosk setup
Group: System/X11
Requires: %name = %version-%release
Requires: chromium

%description chromium
%summary
(the browser == chromium)

%package falkon
Summary: falkon webkiosk setup
Group: System/X11
Requires: %name = %version-%release
Requires: falkon

%description falkon
%summary
(the browser == falkon)

%prep

%build

%install
mkdir -p %buildroot{%skeldir,%ifacedir}

cat > %buildroot%xsfile << _EOF_
#!/bin/sh

ratpoison &

. shell-cmdline

read cmdline < /proc/cmdline
cmdline_get url url
[ -z "\$url" -a -f /image/index.html ] && url=/image/index.html

while :; do
	xset s off; xset -dpms
	webkiosk-browser \$url
done
_EOF_
chmod +x %buildroot%xsfile

cat > %buildroot%skeldir/.ratpoisonrc << _EOF_
startup_message off
set border 0
set padding 0 0 0 0
set barpadding 0 0
escape F25
banish
_EOF_

cat > %buildroot%ifacedir/options << _EOF_
BOOTPROTO=dhcp
_EOF_

%post seamonkey
cat > %wrapper << _EOF_
#!/bin/sh
exec seamonkey -chrome "\$@"
_EOF_
chmod +x %wrapper

%post firefox
cat > %wrapper << _EOF_
#!/bin/sh
exec firefox "\$@"
_EOF_
chmod +x %wrapper

%post chromium
cat > %wrapper << _EOF_
#!/bin/sh
exec chromium --kiosk --start-maximized --disable-translate --no-first-run "\$@"
_EOF_
chmod +x %wrapper

%post falkon
cat > %wrapper << _EOF_
#!/bin/sh
exec falkon --fullscreen "\$@"
_EOF_
chmod +x %wrapper

%files
%skeldir/.ratpoisonrc
%ifacedir/options
%xsfile

%ifnarch ppc64le
%files firefox
%endif

%ifarch %ix86 x86_64
#files seamonkey
%ifarch x86_64
%files chromium
%endif
%files falkon
%endif

%changelog
