Name: lmarbles
Version: 1.0.8
Release: alt1.qa1
Serial: 1

Group: Games/Puzzles
Summary: Atomix-style arcade game
License: GPL
Url: http://lgames.sourceforge.net/index.php?project=LMarbles
Packager: Ilya Mashkin <oddity@altlinux.ru>
Provides: marbles = %serial:%version-%release
Obsoletes: marbles <= %serial:%version-%release

Source0: %name-%version.tar.gz
#
Source5: %{name}16.xpm
Source6: %{name}32.xpm
Source7: %{name}48.xpm

# Automatically added by buildreq on Fri Jul 02 2004 (-bi)
BuildRequires: libSDL-devel libSDL_mixer-devel desktop-file-utils

%description
Marbles is very similar to Atomix and was heavily inspired by it.
Goal is to create a more or less complex figure out of single
marbles within a time limit to reach the next level.
Sounds easy? Well, there is a problem: If a marble starts to move it
will not stop until it hits a wall or marble. And to make it even
more interesting there are obstacles like arrows,
crumbling walls and teleports!

%prep
%setup -q


%build
%configure --bindir=%_gamesbindir --datadir=%_gamesdatadir --localstatedir=%_localstatedir/games
%make_build

%install
%make install DESTDIR=%buildroot
touch %buildroot/%_localstatedir/games/%name.prfs

mkdir -p %buildroot/%_menudir/

# todo: report category ArcadeGame to upstream
# move and fix desktop file
desktop-file-install --dir %buildroot%_desktopdir --delete-original \
	--add-category ArcadeGame %buildroot%_gamesdatadir/applications/%name.desktop

# fix desktop file
sed -i -e 's,^Icon=.*,Icon=%name,' %buildroot%_desktopdir/%name.desktop

install -D -m644 %SOURCE6 %buildroot/%_niconsdir/%name.xpm
install -D -m644 %SOURCE5 %buildroot/%_miconsdir/%name.xpm
install -D -m644 %SOURCE7 %buildroot/%_liconsdir/%name.xpm

%files
%doc AUTHORS ChangeLog TODO src/manual
%attr(2711, root, games) %_gamesbindir/*
%attr(664, games, games) %_localstatedir/games/%name.prfs
%_datadir/games/lmarbles
%_desktopdir/%name.desktop
%_datadir/games/icons/lmarbles48.gif
%_niconsdir/*.xpm
%_miconsdir/*
%_liconsdir/*
%doc %_man6dir/*

%changelog
