%def_disable static

%define origname lpsolve
%define libname lib%origname

%define lp_branch 5.5
%define lp_subver 2.5

Name: lp_solve
Version: %lp_branch.%lp_subver
Release: alt1

Summary: Tool that solves linear programming problem
License: LGPL
Group: Sciences/Mathematics

Url: http://sourceforge.net/projects/lpsolve
Source: %{name}_%{version}_source.tar.gz
Patch0: lp_solve-5.5.0.15-alt-shared.patch
Patch1: lpsolve-5.5.0.11-fedora-cflags.patch
Patch2: lpsolve-5.5.2.5-gcc6.patch
Packager: Michael Shigorin <mike@altlinux.org>

%description
Tool that solves linear programming problem using Simplex algorithm.

%package -n %libname
Summary: Library that solves linear programming problem
Group: Sciences/Mathematics

%description -n %libname
Library that solves linear programming problem using Simplex algorithm.

%package -n %libname-devel
Summary: %libname header files
Group: Development/C
Requires: %libname = %version-%release

%description -n %libname-devel
%libname header files.

%if_enabled static
%package -n %libname-devel-static
Summary: Static %libname library
Group: Development/C
Requires: %libname-devel = %version-%release

%description -n %libname-devel-static
Static %libname library.
%endif

%prep
%setup -n %{name}_%lp_branch
%patch1 -p1
%patch2 -p1

%build
cd lpsolve55
sh -x ccc
rm bin/ux*/liblpsolve55.a
cd ../lp_solve
sh -x ccc

#check
#make test

%install
install -d %buildroot{%_bindir,%_libdir,%_includedir/%name}
install -pm755 lp_solve/bin/ux*/lp_solve %buildroot%_bindir/
install -pm755 lpsolve55/bin/ux*/liblpsolve55.so %buildroot%_libdir/
install -pm644 lp*.h %buildroot%_includedir/%name
ln -s %name %buildroot%_includedir/%origname

%files
%doc README.txt bfp/bfp_LUSOL/LUSOL/LUSOL*.txt
%_bindir/%name

%files -n %libname
%_libdir/*.so*

%files -n %libname-devel
%_includedir/%name/
%_includedir/%origname

%if_enabled static
%files -n %libname-devel-static
%_libdir/lib*.a
%_libdir/lib*.la
%_libdir/%name/lib*.a
%_libdir/%name/lib*.la
%endif

%changelog
