%global lua_version 5.1

%define _origname luajit

Name: luajit-ppc64le
Version: 2.1
Release: alt14.gitf0e865dd

Summary: a Just-In-Time Compiler for Lua (ppc64le fork)
License: MIT
Group: Development/Other
Url: http://luajit.org

Source: %name-%version.tar
Requires: lib%name = %EVR
BuildRequires(pre): rpm-macros-luajit

Provides: %_origname = %version-%release

ExclusiveArch: ppc64le

Patch1: luajit-2.1.0-fedora-ppc64le-support.patch

%description
LuaJIT is a Just-In-Time Compiler (JIT) for the Lua programming language.
Lua is a powerful, dynamic and light-weight programming language.
It may be embedded or used as a general-purpose, stand-alone language.

%package -n lib%name
Summary: library for luajit
Group: Development/Other
Provides: lua(abi) = %lua_version
Provides: lib%_origname = %version-%release

%description -n lib%name
LuaJIT is a Just-In-Time Compiler (JIT) for the Lua programming language.
Lua is a powerful, dynamic and light-weight programming language.
It may be embedded or used as a general-purpose, stand-alone language.

%package -n lib%name-devel
Summary:  Development package that includes the luajit header files
Group: Development/Other
Requires: lib%name = %EVR
Provides: lib%_origname-devel = %version-%release

%description -n lib%name-devel
LuaJIT is a Just-In-Time Compiler (JIT) for the Lua programming language.
Lua is a powerful, dynamic and light-weight programming language.
It may be embedded or used as a general-purpose, stand-alone language.

%package -n lib%name-devel-static
Summary: static library for luajit
Group: System/Libraries
Requires: lib%name-devel = %EVR
Provides: lib%_origname-devel-static = %version-%release

%description -n lib%name-devel-static
LuaJIT is a Just-In-Time Compiler (JIT) for the Lua programming language.
Lua is a powerful, dynamic and light-weight programming language.
It may be embedded or used as a general-purpose, stand-alone language.

%prep
%setup
%patch1 -p1

%build
%make_build amalg \
	    PREFIX=%_prefix \
	    MULTILIB=%_lib \
	    TARGET_STRIP='@:' \
	    Q=

%install
%makeinstall_std PREFIX=%_prefix \
		 MULTILIB=%_lib \
		 INSTALL_LMOD=%buildroot%_datadir/lua/%lua_version \
		 INSTALL_CMOD=%buildroot%_libdir/lua/%lua_version \
		 LDCONFIG=true \
		 INSTALL_LIB=%buildroot%_libdir \
		 Q=

mv %buildroot%_bindir/luajit-2.1.0-beta3 %buildroot%_bindir/luajit


%files
%_bindir/*
%_man1dir/*

%files -n lib%name
%_libdir/*.so.*
%_datadir/%_origname-*

%files -n lib%name-devel
%doc doc/*
%_libdir/*.so
%_includedir/*
%_pkgconfigdir/*

%files -n lib%name-devel-static
%_libdir/*.a

%changelog
