Group: Games/Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install /usr/bin/glib-gettextize
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           lucidlife
Version:        0.9.2
Release:        alt3_27
Summary:        A Conway's Life simulator

License:        GPLv2+
URL:            http://linux.softpedia.com/get/GAMES-ENTERTAINMENT/Simulation/LucidLife-26633.shtml
Source0:        http://mirror.thecodergeek.com/src/lucidlife-0.9.2.tar.gz
Patch1: 	%{name}-fix-FSF-address.patch
Patch2: 	%{name}-printf-format-security.patch

BuildRequires:  gcc
BuildRequires:  libgtk+2-devel >= 2.6.0
BuildRequires:	gnome-vfs-devel
BuildRequires:	desktop-file-utils
BuildRequires:	perl(XML/Parser.pm)
BuildRequires:	gettext gettext-tools	
Source44: import.info
Patch33: lucidlife-0.9.2-alt-DSO.patch

%description
LucidLife is a Conway's Life simulator. The rules are rather simple. The game
is started with a large grid of cell locations, and an arbitrary set of
living cells. On each turn, each cell thrives or dies based on the number of 
cells which surround it. A dead (empty) cell with three live cells around it
becomes a living cell (a birth); a living cell with two or three neighbors
survives; otherwise the cell dies (due to overcrowding) or remains dead
(due to loneliness). It is based on the the GtkLife project, but with a
more modern user interface and other enhancements.


%prep
%setup -q
%patch1 -p0 -b .fix-FSF-address
%patch2 -p0 -b .printf-format-security
%patch33 -p2


%build
autoconf
%configure LDFLAGS='-lX11'
%make_build


%install
make install DESTDIR=%{buildroot}
%find_lang %{name}
desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications	\
	--delete-original	\
	--remove-category=Application	\
	--add-category=LogicGame	\
	%{buildroot}%{_datadir}/applications/lucidlife.desktop
 

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%doc doc/*.png doc/*.html doc/*.gif doc/*.css
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*%{name}.desktop


%changelog
