%define _unpackaged_files_terminate_build 1
%define origname lxpanel
%define gtkver 2

Name: lxde-%origname
Version: 0.10.1
Release: alt1

Summary: LXPanel is a lightweight X11 desktop panel
License: GPL
Group: Graphical desktop/Other
Packager: LXDE Development Team <lxde at packages.altlinux.org>

Url: https://github.com/lxde/lxpanel
Source: %origname-%version.tar

#Requires: lxde-freedesktop-menu
Requires: altlinux-freedesktop-menu-lxde
Requires: menu-cache

# Automatically added by buildreq on Wed Jan 23 2013
# optimized out: fontconfig fontconfig-devel glib2-devel libX11-devel libatk-devel libcairo-devel libfreetype-devel libgdk-pixbuf libgdk-pixbuf-devel libgio-devel libgpg-error libgtk+2-devel libmenu-cache libpango-devel libsystemd-daemon libwayland-client libwayland-server pkg-config xml-common xml-utils xorg-kbproto-devel xorg-xproto-devel xz
BuildRequires: docbook-dtds docbook-style-xsl imake intltool libalsa-devel libmenu-cache-devel libwireless-devel libwnck-devel xorg-cf-files xsltproc 

BuildRequires: libfm-devel libxml2-devel libkeybinder-devel
BuildRequires: libgdk-pixbuf-xlib-devel
BuildRequires: libcurl-devel
BuildPreReq: rpm-build-xdg libgtk+%gtkver-devel

%description
lxpanel is a program that provides a panel for desktop, usually LXDE.
It is lightweight GTK+ %gtkver.x based desktop panel.

%package devel
Summary: development headers to build %name plugins
License: LGPL
Group: System/Libraries
Requires: %name = %version

%description devel
This package provides files required to build plugins
for %name

%prep
%setup -n %origname-%version

%build
%autoreconf
%configure \
	--enable-man \
	--with-plugins=all \
	--enable-cast-checks \
%if %gtkver==3
    --enable-gtk3
%endif

%make_build

%install
%makeinstall_std
%find_lang %origname

%files -f %origname.lang
%doc AUTHORS ChangeLog README
%_bindir/*
%_xdgconfigdir/%origname
%_datadir/%origname
%_libdir/%origname
%_man1dir/*

%files devel
%_includedir/*
%_pkgconfigdir/*.pc

%changelog
