# Unpackaged files in buildroot should terminate build
%define _unpackaged_files_terminate_build 1

Name: lxqt-globalkeys
Version: 1.3.0
Release: alt1

Summary: Service used to register global keyboard shortcuts
License: LGPL
Group: Graphical desktop/Other

Url: https://lxqt.org
Source: %name-%version.tar
Patch: lxqt-globalkeys-conf-alt.patch

BuildRequires: gcc-c++ cmake rpm-macros-cmake
BuildRequires: liblxqt-devel qt5-base-devel qt5-tools-devel
BuildRequires: rpm-build-xdg libqtxdg-devel
BuildRequires: libqt5-widgets
BuildRequires: kf5-kwindowsystem-devel

Provides: razorqt-globalkeyshortcuts = %version
Obsoletes: razorqt-globalkeyshortcuts < 0.7.0

Conflicts: lxqt-common <= 0.11.0

%description
%summary

%package devel
Summary: Development headers for %name
Group: Development/C++
Requires: %name = %version

%description devel
This package provides the development files for %name.

%prep
%setup
%patch -p1

%build
%cmake
%cmake_build

%install
%cmakeinstall_std

# Fix FTBFS for lxqt-runner, lxqt-panel 0.14.1
sed -i '/find_dependency(lxqt-globalkeys 0.14.2)/d' \
  %buildroot%_datadir/cmake/lxqt-globalkeys-ui/lxqt-globalkeys-ui-config.cmake

%files
%_bindir/*
%_libdir/*.so.*
%_xdgconfigdir/*/*
%_datadir/lxqt/translations/lxqt-config-globalkeyshortcuts/
%_datadir/lxqt/globalkeyshortcuts.conf
%_desktopdir/*.desktop
%doc AUTHORS CHANGELOG LICENSE README.md

%files devel
%_libdir/*.so
%_includedir/*/
%_pkgconfigdir/*.pc
%_datadir/cmake/*/

%changelog
