# Unpackaged files in buildroot should terminate build
%define _unpackaged_files_terminate_build 1

Name: lxqt-panel
Version: 1.3.0
Release: alt1

Summary: Desktop panel
License: LGPL
Group: Graphical desktop/Other

Url: https://lxqt.org
Source: %name-%version.tar
Patch: alt-settings.patch

BuildRequires(pre): rpm-build-xdg
BuildRequires: gcc-c++ cmake rpm-macros-cmake
BuildRequires: liblxqt-devel
BuildRequires: libqtxdg-devel
BuildRequires: qt5-base-devel
BuildRequires: qt5-tools-devel
BuildRequires: kf5-solid-devel
BuildRequires: kf5-kwindowsystem-devel
#kf5-kguiaddons-devel
BuildRequires: libdbusmenu-qt5-devel
BuildRequires: lxqt-globalkeys-devel
BuildRequires: libalsa-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXdamage-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXrender-devel
BuildRequires: libxcbutil-devel
BuildRequires: libxcbutil-image-devel
BuildRequires: libmenu-cache-devel
BuildRequires: libstatgrab-devel
BuildRequires: libsensors3-devel
BuildRequires: libxkbcommon-devel
BuildRequires: libxkbcommon-x11-devel
BuildRequires: libgio-devel

# see bug 34612
BuildRequires: pkgconfig(libpulse)

BuildRequires: libsysstat-devel >= 0.3.0

Provides: razorqt-panel = %version
Obsoletes: razorqt-panel < 0.7.0

Conflicts: lxqt-common <= 0.11.0

Requires: menu-cache
Requires: udisks2 gvfs

%description
%summary

%package devel
Summary: Development headers for %name
Group: Development/C++
BuildArch: noarch
Requires: %name = %EVR

%description devel
This package provides the development files for %name.

%prep
%setup
%patch -p1

%build
%cmake -DVOLUME_USE_PULSEAUDIO=ON
%cmake_build

%install
%cmakeinstall_std

%files
%_man1dir/*
%_bindir/*
%_libdir/*/*.so
%_xdgconfigdir/*/*
%_datadir/lxqt/*
%_datadir/desktop-directories/*
%doc AUTHORS CHANGELOG LICENSE README.md

%files devel
%_includedir/*/*.h

%changelog
