Name: make
Version: 4.3.0
Release: alt1
Epoch: 2

Summary: A GNU tool which simplifies the build process for users
License: GPLv3+
Group: Development/Other
Url: http://www.gnu.org/software/make/

# ftp://ftp.gnu.org/gnu/make/make-%version.tar.bz2
Source: make-%version.tar
Patch01: 0001-ALT-getcwd.patch
Patch02: 0002-ALT-job_slots.patch
Patch03: 0003-REDHAT-newlines.patch
Patch04: 0004-REDHAT-weird-shell.patch
Patch05: 0005-ALT-disable-test.patch
Patch06: 0006-Obey-order-of-multiple-print-no-print-directory-opti.patch
Patch07: 0007-Only-set-APPEND-mode-for-regular-files.patch
Patch08: 0008-Change-directories-before-checking-jobserver-auth.patch
Patch09: 0009-Use-the-system-default-PATH-if-PATH-is-not-set.patch

BuildRequires: /proc
BuildRequires: makeinfo

%description
A GNU tool for controlling the generation of executables and other
non-source files of a program from the program's source files.
Make allows users to build and install packages without any significant
knowledge about the details of the build process.  The details about
how the program should be built are provided for make in the program's
makefile.

%prep
%setup
%patch01 -p2
%patch02 -p2
%patch03 -p2
%patch04 -p2
%patch05 -p2
%patch06 -p2
%patch07 -p2
%patch08 -p2
%patch09 -p2

find -type f -name \*.orig -delete -print
rm doc/*.info*

%build
%autoreconf

# Enable mkstemp explicitly, not rely on configure (Owl).
export ac_cv_func_mkstemp=yes
%configure
%make_build

%install
%makeinstall_std
ln -sf make %buildroot%_bindir/gmake

%find_lang %name

%check
%make_build -k check

%files -f %name.lang
%_bindir/*
%_mandir/man?/*
%_infodir/*.info*
%doc AUTHORS NEWS README

%changelog
