%define uname   MangoHud
%define srcname %uname-v%version-1-Source
%define srcpath %uname-v%version-1

Name: mangohud
Version: 0.6.9
Release: alt1

Summary: A Vulkan overlay layer for monitoring FPS, temperatures, CPU/GPU load and more
License: MIT
Group: Games/Arcade

Url: https://github.com/flightlessmango/MangoHud
# DFSG tarball excludes nonfree nvml.h
Source: https://github.com/flightlessmango/MangoHud/releases/download/v%version/%srcname-DFSG.tar.xz

BuildRequires: gcc-c++ cmake
BuildRequires: meson
BuildRequires: glslang libspdlog-devel
BuildRequires: pkgconfig(dbus-1)
BuildRequires: pkgconfig(gl)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(libdrm)
BuildRequires: python3(mako)

%description
A Vulkan overlay layer for monitoring FPS, temperatures, CPU/GPU load and more.

To enable the MangoHud Vulkan overlay layer, set `MANGOHUD=1` in the shell,
or use the `mangohud` command to launch programs.
See '%_docdir/%name' for configuration details.
%ifarch %ix86 x86_64

The `goverlay` package provides a third-party GUI frontend for MangoHud.
%endif

%prep
%setup -n %srcpath

%build
%meson \
  -Dinclude_doc=true \
  -Duse_system_spdlog=enabled \
  -Dwith_nvml=disabled \
  -Dwith_xnvctrl=disabled
# NVML is nonfree, XNVCtrl is not packaged yet (but could be enabled if it is)

%meson_build

%install
%meson_install

%files
%doc README.md 
%doc LICENSE
%_bindir/%name
%_libdir/%name/
%_man1dir/%name.1*
%_datadir/icons/hicolor/scalable/*/*.svg
%_datadir/vulkan/implicit_layer.d/*Mango*.json
%_docdir/%name/%uname.conf.example
%_datadir/metainfo/*.metainfo.xml

%changelog
