%define max_connections 16
%define max_files 256
%define binderydir %_localstatedir/%name/bd
%define sname nwserv

Name: mars_nwe
Version: 0.99
Release: alt6

Summary: NetWare file and print servers which run on Linux systems.
License: GPL
Group: System/Servers

Url: http://www.compu-art.de/mars_nwe/
Source:  ftp://ftp.compu-art.de/mars_nwe/mars_nwe-0.99.pl21.tar.bz2
Source1: %name-mk.li.gz
Source2: %name-config.h.in.gz
Source3: %name-%sname.conf.bz2
Source5: %name.init.gz
Source6: %name.log
Patch0: %name-0.99pl21-tools.patch.gz
Patch1: %name-glibc21.patch.bz2
Patch2: %name-0.99.pl19-buffer.patch.bz2
Patch3: %name-0.99.pl20-emutli1.patch.gz
Patch4: %name-glibc-sys-errlist.patch

Conflicts: mars-nwe
Obsoletes: mars-nwe

# Automatically added by buildreq on Tue Oct 03 2006
BuildRequires: libgdbm-devel

%description
The %name (MARtin Stover's NetWare Emulator) package enables Linux
to provide both file and print services for NetWare clients (i.e.,
providing the services of a Novell NetWare file server). %name
allows the sharing of files between Linux machines and Novell NetWare
clients, using NetWare's native IPX protocol suite.

%prep
%setup -n %name
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p2
gzip -dc %SOURCE1 > mk.li
gzip -dc %SOURCE1 \
    | sed -e 's|/lib/|/%_lib/|g' \
    > mk.li
chmod 755 mk.li
gzip -dc %SOURCE2 \
    | sed -e 's/@MAX_CONNECTIONS@/%max_connections/' \
	  -e 's/@MAX_FILES@/%max_files/' \
	  -e 's|@PATHNAME_BINDERY@|%binderydir|' > config.h

%build
%make_build CFLAGS="%optflags -DUSE_GDBM -Wp,-D_FORTIFY_SOURCE=0"

%install
install -d -m 0700 %buildroot{%_localstatedir/%name/sys/{login,mail,print,public,system},%binderydir}
install -d -m 0755 %buildroot{/var/run,%_logdir,%_sysconfdir,%_sbindir}
:> %buildroot%_logdir/%name.log
chmod 0644 %buildroot%_logdir/%name.log
:> %buildroot/var/run/%name.routes
chmod 0644 %buildroot/var/run/%name.routes
install -m 0644 examples/%sname.stations %buildroot%_sysconfdir/
install -s -m 0755 %sname nwconn ncpserv nwclient nwbind %buildroot%_sbindir/
bzip2 -dc %SOURCE3 > %buildroot%_sysconfdir/%sname.conf
chmod 0600 %buildroot%_sysconfdir/%sname.conf
install -d -m 0755 %buildroot%_initdir
install -d -m 0750 %buildroot%_sysconfdir/logrotate.d
gzip -dc %SOURCE5 > %buildroot%_initdir/%name
chmod 0755 %buildroot%_initdir/%name
install -m 0644 %SOURCE6 %buildroot%_sysconfdir/logrotate.d/%name.log

%post
%post_service %name ||:

%preun
%preun_service %name ||:

%files
%doc README doc examples
%dir %_localstatedir/%name
%_localstatedir/%name/sys
%dir %binderydir
%ghost %_logdir/%name.log
%ghost /var/run/%name.routes
%config(noreplace) %_sysconfdir/%sname.conf
%config(noreplace) %_sysconfdir/%sname.stations
%config(noreplace) %_sysconfdir/logrotate.d/%name.log
%_sbindir/*
%_initdir/*

%changelog
