# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-java
BuildRequires: unzip
# END SourceDeps(oneline)
BuildRequires: /proc
BuildRequires: jpackage-11-compat maven-plugins-pom mvn(org.apache.maven:maven-plugin-descriptor) apache-commons-lang
#maven-plugin-testing-harness
Name:           maven-help-plugin
Version:        2.2
Release:        alt3_8jpp11
Summary:        Plugin to to get relative information about a project or the system

Group:          Development/Other
License:        ASL 2.0
URL:            http://maven.apache.org/plugins/maven-help-plugin/
Source0:        http://repo2.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip
Patch0:         maven3-api-fixes.patch
Patch1:         reduce-exception.patch
BuildArch: noarch

BuildRequires: plexus-utils
BuildRequires: ant
BuildRequires: junit-addons
BuildRequires: maven-local
BuildRequires: maven-install-plugin
BuildRequires: maven-plugin-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-plugin-testing-harness
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: xstream
BuildRequires: javapackages-tools rpm-build-java
BuildRequires: plexus-containers-component-metadata
BuildRequires: maven-plugin-tools-generators
BuildRequires: mvn(org.apache.maven:maven-monitor)
Requires: ant
Requires: javapackages-tools
Requires: xstream
Requires: maven-plugin-tools-generators
Source44: import.info

%description
The Maven Help Plugin is used to get relative information about a project
or the system. It can be used to get a description of a particular plugin,
including the plugin's mojos with their parameters and component requirements,
the effective POM and effective settings of the current build,
and the profiles applied to the current project being built.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}
BuildArch: noarch

%description javadoc
API documentation for %{name}.


%prep
%setup -q
%patch0 -b .maven3-api-fixes
%patch1 -b .reduce-exception

# Use compatibility API
%pom_remove_dep org.apache.maven:maven-plugin-parameter-documenter
%pom_add_dep org.apache.maven:maven-compat

# Add missing test deps
%pom_add_dep net.sf.cglib:cglib:any:test

# In newer versions of maven-plugin-tools the PluginUtils.toText()
# static method was moved to GeneratorUtils class.
%pom_add_dep org.apache.maven.plugin-tools:maven-plugin-tools-generators
sed -i "s|PluginUtils.toText|org.apache.maven.tools.plugin.generator.GeneratorUtils.toText|" \
    src/main/java/org/apache/maven/plugins/help/DescribeMojo.java

%build
%mvn_build -f -- -Dmaven.compiler.source=1.8 -Dmaven.compiler.target=1.8 -Dmaven.javadoc.source=1.8 -Dmaven.compiler.release=8

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE

%changelog
