# Unpackaged files in buildroot should terminate build
%define _unpackaged_files_terminate_build 1

Name: menu-cache
Version: 1.1.0
Release: alt2

Summary: Library and utils to speed up the manipulation for freedesktop.org menu
License: LGPLv2+ and GPLv2+
Group: Graphical desktop/Other

Url: http://lxqt.org
Source: %name-%version.tar
Packager: LXDE Development Team <lxde at packages.altlinux.org>

# Automatically added by buildreq on Wed Jan 23 2013
# optimized out: glib2-devel pkg-config
BuildRequires: gtk-doc libfm-devel libgio-devel

# https://github.com/lxde/menu-cache/pull/19
Patch: menu-cache-1.1.0-0001-Support-gcc10-compilation.patch

%description
libmenu-cache is a library creating and utilizing caches to speed up
the manipulation for freedesktop.org defined application menus.
It can be used as a replacement of libgnome-menu of gnome-menus.

Advantages:
1. Shorten time for loading menu entries.
2. Ease of use. (API is very similar to that of libgnome-menu)
3. Lightweight runtime library. (Parsing of the menu definition files
   are done by menu-cache-gen when the menus are really changed.)
4. Less unnecessary and complicated file monitoring.
5. Heavily reduced disk I/O.

%package -n lib%name
Summary: Library and utils to speed up the manipulation for freedesktop.org menu
License: LGPL
Group: System/Libraries

%description -n lib%name
libmenu-cache is a library creating and utilizing caches to speed up
the manipulation for freedesktop.org defined application menus.
It can be used as a replacement of libgnome-menu of gnome-menus.

This package contains shared libraries for libmenu-cache.

%package -n lib%name-devel
Summary: Library and utils to speed up the manipulation for freedesktop.org menu
License: LGPL
Group: Development/C

%description -n lib%name-devel
libmenu-cache is a library creating and utilizing caches to speed up
the manipulation for freedesktop.org defined application menus.
It can be used as a replacement of libgnome-menu of gnome-menus.

This package contains development headers for libmenu-cache.

%prep
%setup
%patch -p1

%build
%autoreconf
%configure --libexecdir=%_libexecdir/%name
%make_build

%install
%makeinstall_std
%find_lang %name

%files -f %name.lang
%doc ChangeLog README
%_libexecdir/%name

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_libdir/*.so
%_pkgconfigdir/*.pc
%_includedir/%name
%exclude %_libdir/*.a

%changelog
