Name: mintlocale
Version: 1.5.8
Release: alt1

Summary: Language selection tool for Cinnamon
License: GPLv2+
Group: Graphical desktop/GNOME

Url: https://github.com/linuxmint/mintlocale
Source0: %name-%version.tar

BuildArch: noarch

Patch: %name-%version-%release.patch

%add_python3_path %_prefix/lib/linuxmint

Requires: iso-flag-png

BuildPreReq: rpm-build-python3
BuildPreReq: rpm-build-gir
BuildRequires: gobject-introspection

# Remove python2 parasite dependency
AutoReqProv: nopython
%define __python %nil

%description
Language selection tool for Cinnamon

%prep
%setup -n %name-%version
%patch0 -p1

%build

%install
install -m 0755 -d %buildroot%{_prefix}/
cp -Rp usr %buildroot

rm -f %buildroot%_bindir/add-remove-locales \
  %buildroot%_datadir/applications/%{name}-im.desktop \
  %buildroot%_prefix/lib/linuxmint/mintlocale/synaptic-install-packages \
  %buildroot%_prefix/lib/linuxmint/mintlocale/add.py \
  %buildroot%_prefix/lib/linuxmint/mintlocale/install_remove.py

echo 'LANG=$locale' > %{buildroot}%{_datadir}/linuxmint/mintlocale/templates/default_locale.template

# In the UI we provide it is not possible to call APT-related code
%filter_from_requires /python3(apt)/d
%filter_from_requires /python3(mintcommon.aptdaemon)/d

%files
%_bindir/mintlocale
# This utility is Mint specific and doesn't work in other distros
%exclude %_bindir/mintlocale-im
%_bindir/set-default-locale
%_prefix/lib/linuxmint
%_datadir/applications/%{name}.desktop
%_datadir/icons/hicolor/*/apps/%{name}-im.svg
%_datadir/icons/hicolor/*/apps/%{name}-im.png
%_datadir/linuxmint
%_datadir/polkit-1/actions/com.linuxmint.mintlocale.policy

%doc debian/copyright debian/changelog

%changelog
