%define set_disable() %{expand:%%force_disable %1} %{expand:%%undefine _enable_%1}
%define set_enable() %{expand:%%force_enable %1} %{expand:%%undefine _disable_%1}
%define mIF_ver_gt() %if "%(rpmvercmp '%1' '%2')" > "0"
%define mIF_ver_gteq() %if "%(rpmvercmp '%1' '%2')" >= "0"
%define mIF_ver_lt() %if "%(rpmvercmp '%2' '%1')" > "0"
%define mIF_ver_lteq() %if "%(rpmvercmp '%2' '%1')" >= "0"

%define is_ffmpeg %([ -n "`rpmquery --qf '%%{SOURCERPM}' libavformat-devel 2>/dev/null | grep -e '^libav'`" ] && echo 0 || echo 1)

%def_disable debug
%def_enable libvidstab
%def_enable opencv

%define Name MLT
%define nam mlt
%define mlt_major 7
%define mlt_sover 7
%define libmlt libmlt%mlt_sover
%define mltxx_sover 7
%define libmltxx libmlt++%mltxx_sover

Name: %nam%mlt_major
Version: 7.16.0
Release: alt1
%K5init no_altplace

Summary: Multimedia framework designed for television broadcasting
License: GPL-3.0-or-later
Group: Video
Url: https://www.mltframework.org/

Source: %nam-%version.tar
Source1: mlt++-config.h
# Debian
Patch20: 01-changed-preset-path.diff
# ALT
Patch102: alt-no-version-script.patch
Patch103: alt-libav.patch
Patch104: alt-ix86.patch

# Automatically added by buildreq on Sun Mar 18 2018 (-bi)
# optimized out: elfutils gcc-c++ glib2-devel glibc-kernheaders-generic glibc-kernheaders-x86 libGL-devel libSDL-devel libX11-devel libavcodec-devel libavformat-devel libavutil-devel libcdio-paranoia libdc1394-22 libgpg-error libopencore-amrnb0 libopencore-amrwb0 libp11-kit libqt5-core libqt5-gui libqt5-svg libqt5-widgets libqt5-xml libraw1394-11 libstdc++-devel libvdpau-devel libx265-130 perl pkg-config python-base python-devel python-modules qt5-base-devel rpm-build-gir swig-data xorg-xproto-devel
#BuildRequires: frei0r-devel ladspa_sdk libSDL2-devel libSDL2_image-devel libalsa-devel libavdevice-devel libavfilter-devel libexif-devel libfftw3-devel libjack-devel libopencv-devel libpulseaudio-devel libsamplerate-devel libsox-devel libswscale-devel libxml2-devel qt5-svg-devel swig
#BuildRequires: frei0r-devel ladspa_sdk libSDL_image-devel libalsa-devel libavdevice-devel libavformat-devel libexif-devel libfftw3-devel libjack-devel libpulseaudio-devel libsamplerate-devel libsox-devel libswfdec-devel libswscale-devel libxml2-devel python-module-google python3-dev qt5-svg-devel rpm-build-ruby swig
BuildRequires(pre): rpm-build-kf5 rpm-build-python3 libavformat-devel
BuildRequires: qt5-svg-devel
BuildRequires: cmake
BuildRequires: frei0r-devel libSDL-devel libSDL2-devel libSDL2_image-devel libalsa-devel libexif-devel
BuildRequires: libavfilter-devel libswscale-devel libavdevice-devel libavformat-devel
%if %is_ffmpeg
BuildRequires: libswresample-devel
%endif
BuildRequires: libfftw3-devel libjack-devel libpulseaudio-devel libsamplerate-devel libsox-devel
BuildRequires: librubberband-devel libvorbis-devel
BuildRequires: libxml2-devel swig ladspa_sdk
%if_enabled libvidstab
BuildRequires: libvidstab-devel
%endif
%if_enabled opencv
BuildRequires: libopencv-devel
%endif
BuildRequires: python3-devel
BuildRequires: libgdk-pixbuf-devel libpango-devel

%description
%Name is a multimedia framework designed for television broadcasting.

%package -n %nam-utils
Summary: %Name utils
Group: Video
%description -n %nam-utils
%Name utils.

%package -n %libmlt
Summary: %Name framework library
Group: System/Libraries
%description -n %libmlt
%Name is a multimedia framework designed for television broadcasting.

%package -n %libmltxx
Summary: C++ wrapping for the MLT library
Group: System/Libraries
%description -n %libmltxx
This mlt sub-project provides a C++ wrapping for the MLT library.

%package -n %name-devel
Summary: Development files for %Name framework
Group: Development/C
%description -n %name-devel
Development files for %Name framework.

%package -n %{name}xx-devel
Summary: Development files for %Name
Group: Development/C++
Requires: %name-devel
%description -n %{name}xx-devel
Development files for %Name.

%package -n python3-module-%name
Summary: Python package to work with %Name
Group: Development/Python
%description -n python3-module-%name
This module allows to work with %Name using python..

%prep
%setup -n %nam-%version
%if %is_ffmpeg
%else
%patch20 -p1
%endif
%patch102 -p1
%if %is_ffmpeg
%else
%patch103 -p1
%endif
%patch104 -p1

[ -f src/mlt++/config.h ] || \
    install -m 0644 %SOURCE1 src/mlt++/config.h

%ifarch %e2k
sed -i 's,-fno-tree-pre,,' src/modules/xine/CMakeLists.txt
%endif

%build
%mIF_ver_lt %_qt5_version 5.9
%add_optflags -std=c++11
%endif
%ifarch %e2k
# -std=c++03 by default as of lcc 1.23.12
%add_optflags -std=c++11
%endif
export CC=gcc CXX=g++ CFLAGS="%optflags" QTDIR=%_qt5_prefix
%if %is_ffmpeg
%add_optflags -DAVDATADIR="%_datadir/ffmpeg/"
%else
%add_optflags -DAVDATADIR="%_datadir/avconv/"
%endif
%K5build \
    -DSWIG_PYTHON=ON \
    -DMOD_OPENCV=%{?_enable_opencv:ON}%{!?_enable_opencv:OFF} \
    #

%install
%make -C BUILD DESTDIR=%buildroot install

%files -n %nam-utils
%_bindir/melt*
%_man1dir/*.1.*

%files -n %libmlt
%_libdir/libmlt-%mlt_major.so.%mlt_sover
%_libdir/libmlt-%mlt_major.so.*
%_libdir/mlt-%mlt_major/
%_datadir/mlt-%mlt_major/

%files -n %libmltxx
%_libdir/libmlt++-%mlt_major.so.%mltxx_sover
%_libdir/libmlt++-%mlt_major.so.*

%files -n python3-module-%name
%python3_sitelibdir/*%{name}*
%python3_sitelibdir/*/*%{name}*

%files -n %name-devel
%dir %_includedir/mlt-%mlt_major/
%_includedir/mlt-%mlt_major/framework/
%_libdir/libmlt-%mlt_major.so
%_libdir/cmake/Mlt7/
%_pkgconfigdir/mlt-framework-%mlt_major.pc

%files -n %{name}xx-devel
%_includedir/mlt-%mlt_major/mlt++/
%_libdir/libmlt++-%mlt_major.so
%_pkgconfigdir/mlt++-%mlt_major.pc

%changelog
