%define libname libmpeg2

Name: mpeg2dec
Version: 0.5.1
Release: alt3.svn20120718

Summary: mpeg-1 and mpeg-2 streams decoder
License: GPL
Group: Video
Url: http://%libname.sourceforge.net

# svn://svn.videolan.org/libmpeg2/trunk
Source: %name-%version.tar.bz2

Requires: %libname = %version-%release

# Automatically added by buildreq on Mon Jun 12 2006
BuildRequires: esound imake libSDL-devel libXt-devel libXv-devel xorg-cf-files

%description
%libname is a free library for decoding mpeg-2 and mpeg-1 video streams

%name is a test program for %libname. It decodes mpeg-1 and mpeg-2
video streams, and also includes a demultiplexer for mpeg-1 and mpeg-2
program streams. It is purposely kept simple : it does not include
features like reading files from a DVD, CSS, fullscreen output,
navigation, etc... The main purpose of %name is to have a simple test
bed for %libname.

%package -n %libname
Summary: Shared version of %libname library
Group: System/Libraries

%description -n %libname
Shared library for decoding mpeg-2 and mpeg-1 video streams.

%package -n %libname-devel
Summary: %libname development files
Group: Development/C
Requires: %libname = %version-%release

%description -n %libname-devel
This package contains header files and development libraries for %libname

%package -n %libname-devel-static
Summary: Static version of %libname library
Group: Development/C
Requires: %libname-devel = %version-%release

%description -n %libname-devel-static
This package contains static versions of %libname

%prep
%setup -n %name-%version

%build
%add_optflags %optflags_shared
%autoreconf
%configure --enable-shared --with-x
%make_build

%install
%makeinstall_std

# remove non-packaged files
rm -f %buildroot%_libdir/*.la

%files
%_bindir/*
%_man1dir/*

%files -n %libname
%_libdir/*.so.*
%doc AUTHORS ChangeLog NEWS README

%files -n %libname-devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*
%doc CodingStyle TODO doc/*.txt

%files -n %libname-devel-static
%_libdir/*.a

%changelog
