Summary: A simple tool to provide site-wide and per-user defaults for which MPI implementation to use

Name: mpi-selector
Version: 1.0.3
Release: alt3
License: BSD
Group: System/Base

Source: %name-%version.tar
Source1: post_mpi_selector
Source2: preun_mpi_selector

BuildArch: noarch

Packager: Stanislav Ievlev <inger@altlinux.org>
Requires: rpm-macros-%{name} = %{version}-%{release}
BuildRequires: perl-podlators

%description
A simple tool that allows system administrators to set a site-wide
default for which MPI implementation is to be used, but also allow
users to set their own defaults MPI implementation, thereby overriding
the site-wide default.

The default can be changed easily via the mpi-selector command --
editing of shell startup files is not required.


%package -n rpm-macros-%{name}
Summary: Set of RPM macros for packaging %name-based applications
Group: Development/Other

%description -n rpm-macros-%{name}
Set of RPM macros for packaging %name-based applications for ALT Linux.
Install this package if you want to create RPM packages that use %name.

%prep

%setup -q -n %name-%version


%build

%configure --with-shell-startup-dir=%buildroot%_sysconfdir/profile.d
%make_build


%install
%makeinstall

install -d -m 755 %buildroot%_localstatedir/%name/data
install -Dpm 644 /dev/null %buildroot%_sysconfdir/sysconfig/%name

install -d %buildroot%_sysconfdir/rpm/macros.d
cat >%buildroot%_sysconfdir/rpm/macros.d/%name<<EOF
%%post_mpi_selector %_sbindir/post_mpi_selector
%%preun_mpi_selector %_sbindir/preun_mpi_selector
EOF

install -Dpm755 %SOURCE1 %buildroot%_sbindir/post_mpi_selector
install -Dpm755 %SOURCE2 %buildroot%_sbindir/preun_mpi_selector

%files
%_bindir/*
%_sbindir/*
%_man1dir/*
#%_sysconfdir/rpm/macros.d/*
%_sysconfdir/profile.d/*
%_localstatedir/%name
%ghost %config(noreplace) %_sysconfdir/sysconfig/%name
%exclude %_sysconfdir/rpm/macros.d/*

%files -n rpm-macros-%{name}
%_sysconfdir/rpm/macros.d/*


%changelog
