Name: mytetra
Version: 1.44.160
Release: alt1

Summary: Simple cross-platform manager for data collecting
Summary(ru_RU.UTF-8): несложный кроссплатформенный менеджер накопления информации
License: GPLv3
Group: Office
Url: http://webhamster.ru/site/page/index/articles/projectcode/105
VCS: https://github.com/xintrea/mytetra_dev
Packager: Malo Skryleve <malo@altlinux.org>

Source: %name-%version.tar

BuildRequires(pre): rpm-macros-qt5
BuildRequires: gcc-c++ desktop-file-utils
BuildRequires: qt5-base-devel qt5-svg-devel

%description
MyTetra is open source and cross platform personal manager for information
accumulation. It is powerful program for data memorization and structuring
notes. All notes are organized in tree structure (usually by "basic"
attribute), and also supplies with keywords(tags). The main task of Mytetra
is to provide a natural, intuitive interface for writing notes and provide
the ability to quickly navigate through the tree and convenient search.

%description -l ru_RU.UTF-8
Программа MyTetra — это открытый и кроссплатформенный менеджер накопления
информации. Программа предназначена для хранения статей и заметок.
Все записи организуются в древовидную структуру (обычно по «основному»
признаку), а так же снабжаются ключевыми словами-тегами. Основная задача
MyTetra — предоставить естественный, интуитивно-понятный интерфейс для
написания заметок, обеспечить возможность быстрой навигации по дереву и
удобный поиск.

%prep
%setup
echo "QMAKE_CXXFLAGS = %optflags" >> %name.pro
subst 's/^TARGET_OS=.*$/TARGET_OS=ANY_OS/' app/*.pro
subst 's|/usr/local/bin|%_bindir|' app/*.pro

%build
qmake-qt5 %name.pro
%make_build

%install
%makeinstall_std TARGET_OS=ANY_OS INSTALL_ROOT=%buildroot BINARY_INSTALL_PATH=%_bindir install
rm -f %buildroot/usr/share/icons/hicolor/scalable/apps/mytetra.svg
desktop-file-install --dir %buildroot%_desktopdir \
	--add-category=TextTools \
	%buildroot%_desktopdir/mytetra.desktop

%files
%doc *.txt *.md
%_bindir/*
%_desktopdir/%name.desktop
%_liconsdir/%name.png

%changelog
