Name: nemiver
Version: 0.9.6
Release: alt7

Summary: A GNOME C/C++ Debugger
Group: Development/Debuggers
License: GPL-2.0
Url: https://wiki.gnome.org/Apps/Nemiver

Source: %name-%version.tar

Requires: gdb

# Automatically added by buildreq on Sat Apr 17 2021
# optimized out: at-spi2-atk dconf fontconfig fontconfig-devel glib2-devel glibc-kernheaders-generic glibc-kernheaders-x86 libat-spi2-core libatk-devel libatkmm-devel libcairo-devel libcairo-gobject libcairo-gobject-devel libcairomm-devel libfreetype-devel libgdk-pixbuf libgdk-pixbuf-devel libgio-devel libglibmm-devel libgpg-error libgtk+3-devel libgtkmm3-devel libgtksourceview3-devel libharfbuzz-devel libpango-devel libpangomm-devel libsigc++2-devel libstdc++-devel libwayland-client libwayland-cursor libwayland-egl perl perl-Encode perl-XML-Parser perl-parent pkg-config python2-base python3-base python3-module-libxml2 sh4 shared-mime-info xml-utils
BuildRequires: boost-devel-headers doxygen gcc-c++ intltool itstool libGConf-devel libappstream-glib-devel libgtksourceviewmm3-devel libgtop-devel libsqlite3-devel libvte3-devel libxml2-devel
BuildRequires: yelp-tools

%description
Nemiver is an ongoing effort to write a standalone graphical debugger that
integrates well in the GNOME desktop environment. It currently features a
backend which uses the well known GNU Debugger (gdb) to debug C/C++ programs.

The yelp package must be installed to make use of Nemiver's documentation.

%package devel
Summary: Header files for %name
Group: Development/C
BuildArch: noarch
Requires: %name = %version-%release

%description devel
The %name-devel package contains header files for developing new debugging
backends for Nemiver.

%prep
%setup

%build
%autoreconf
export ac_cv_path_GDB_PROG=%_bindir/gdb
%configure --disable-static
%make_build
make doc

%install
%makeinstall_std
%find_lang --with-gnome %name

%files -f %name.lang
%_bindir/%name
%_libdir/%name/
%_datadir/applications/%name.desktop
%_iconsdir/hicolor/*/apps/%{name}*
%_datadir/%name/
%_datadir/appdata/%name.appdata.xml
%_man1dir/*
%doc AUTHORS NEWS README TODO

%files devel
%doc docs/reference/html
%_includedir/%name/

%changelog
