Name: nethogs
Version: 0.8.5
Release: alt1

Summary: net top
License: GPL
Group: Monitoring

Url: https://github.com/raboof/nethogs
Source0: %name-%version.tar
Source1: nethogs.control
#Patch2: nethogs-0.8.0-alt-pid32.patch
Packager: Michael Shigorin <mike@altlinux.org>

# Automatically added by buildreq on Tue Apr 07 2009
BuildRequires: gcc-c++ libncurses-devel libpcap-devel
BuildRequires: /proc

Summary(pl.UTF-8): Sieciowy top

%description
NetHogs is a small 'net top' tool. Instead of breaking the traffic
down per protocol or per subnet, like most such tools do, it groups
bandwidth by process - and does not rely on a special kernel module to
be loaded. So if there's suddenly a lot of network traffic, you can
fire up NetHogs and immediately see which PID is causing this, and if
it's some kind of spinning process, kill it.

%description -l pl.UTF-8
NetHogs to małe narzędzie sieciowe w stylu programu top. Zamiast
rozbijania ruchu na protokoły lub podsieci, jak robi większość
narzędzi, grupuje pasmo według procesów - i nie polega przy tym na
specjalnym module jądra. Jeśli nagle jest duży ruch w sieci, można
uruchomić NetHogs i od razu zobaczyć, który PID to powoduje i
ewentualnie go zabić.

%prep
%setup -n %name-%version
#%patch2 -p1

%build
%make PREFIX=%_usr GCC="g++" CFLAGS="%optflags -I%_includedir/ncurses"

%install
install -pDm755 src/%name %buildroot%_sbindir/%name
install -pDm644 doc/%name.8 %buildroot%_man8dir/%name.8
install -pDm755 %SOURCE1 %buildroot%_controldir/%name

%pre
%_sbindir/groupadd -r -f netadmin >/dev/null 2>&1
%pre_control %name

%post
%post_control -s netadmin %name

%files
%doc Changelog README.md
%_sbindir/*
%_man8dir/*
%config %_controldir/%name

%changelog
