Name: netpanzer
Version: 0.8.7
Release: alt1
Summary: An Online Multiplayer Tactical Warfare Game

Group: Games/Arcade
License: GPLv2+
Packager: Ilya Mashkin <oddity@altlinux.ru>

URL:            http://www.netpanzer.info
Source0:	http://www.netpanzer.info/Download/NetPanzer/Releases/0.8.7/netpanzer-0.8.7-source.zip
Source1:	netpanzer.desktop
Patch0: netpanzer-desktop.patch

Patch4:         netpanzer-0.8.2-MapSelectionView-memory.patch
Patch6:         netpanzer-0.8.7-ccflags.patch
Patch8:		netpanzer-0.8.7-syslibs.patch
Patch9:         netpanzer-python3.patch

#set_gcc_version 8
BuildRequires: jam libphysfs-devel unzip desktop-file-utils doxygen gcc gcc-c++ scons liblua5.1-compat-devel
BuildRequires: libSDL-devel >= 1.2.5, libSDL_mixer-devel >= 1.2, libSDL_image-devel >= 1.2
Obsoletes: netpanzer-data <= 0.8 
Provides: netpanzer-data = %version-%release
Requires(post): coreutils
Requires(postun): coreutils

%description
netPanzer is an online multiplayer tactical warfare game designed for FAST
ACTION combat. Gameplay concentrates on the core -- no resource management is
needed. The game is based on quick tactical action and unit management in
real-time. Battles progress quickly and constantly as destroyed players respawn
with a set of new units. Players can join or leave multiplayer games at any
time.

%prep
%setup -qcn netpanzer-0.8.7


#Correct .desktop file
#patch0 -p0

%patch4 -p0
%patch6 -p1
%patch8 -p1
%patch9 -p0
rm -r src/Lib/lua src/Lib/physfs


%build
CCFLAGS="%{optflags} -std=c++14" scons datadir=%{_datadir}/netpanzer %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 netpanzer $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/netpanzer/
cp -pr cache/ $RPM_BUILD_ROOT%{_datadir}/netpanzer/
cp -pr maps/ $RPM_BUILD_ROOT%{_datadir}/netpanzer/
cp -pr pics/ $RPM_BUILD_ROOT%{_datadir}/netpanzer/
cp -pr powerups/ $RPM_BUILD_ROOT%{_datadir}/netpanzer/
cp -pr scripts/ $RPM_BUILD_ROOT%{_datadir}/netpanzer/
cp -pr units/ $RPM_BUILD_ROOT%{_datadir}/netpanzer/
cp -pr wads/ $RPM_BUILD_ROOT%{_datadir}/netpanzer/
cp -pr sound/ $RPM_BUILD_ROOT%{_datadir}/netpanzer/

# Install desktop item
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/netpanzer.desktop
rm -f $RPM_BUILD_ROOT%{_datadir}/pixmaps/netpanzer.xpm

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
mv netpanzer.png \
   $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps

desktop-file-install \
	--dir ${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}

%files
%doc  COPYING README*  docs/
%_bindir/netpanzer
#{_datadir}/appdata/%{name}.appdata.xml
%_datadir/applications/netpanzer.desktop
%_datadir/icons/hicolor/48x48/apps/netpanzer.png
%_datadir/netpanzer

%changelog
