Summary:	A Linux clone of Notepad++
Name:		notepadqq
Version:	1.4.8
Release:	alt2
License:	GPLv3
Group:		Editors
URL:		http://notepadqq.altervista.org/wp/
Source0:	%name-%version.tar
Source1:	codemirror.tar

Patch1:     fix-context-menu-translation.patch

BuildRequires: gcc-c++
BuildRequires: qt5-base-devel
BuildRequires: qt5-tools
BuildRequires: qt5-declarative-devel
BuildRequires: qt5-webkit-devel
BuildRequires: qt5-tools-devel
BuildRequires: qt5-svg-devel

Requires:       qt5-translations

%description
Notepadqq is a Notepad++-like editor for the Linux desktop.

%prep
%setup -q
tar xf %SOURCE1
mkdir -p src/editor/libs/codemirror/mode/m4

# (tpg) fix libdir
sed -i -e "s/lib/%{_lib}/g" src/ui/ui.pro

%patch1 -p0

%build
%configure --qmake=qmake-qt5 --lrelease=lrelease-qt5
%make_build

%install
%makeinstall_std INSTALL_ROOT=%buildroot

# (tpg) bug #1136
ln -sf ../%_lib/notepadqq/notepadqq-bin %buildroot%_bindir/notepadqq-bin

# Rename metainfo to appdata
mv %buildroot%_datadir/{metainfo,appdata}

%files
%doc README.md CONTRIBUTING.md
%_bindir/notepadqq*
%_libdir/notepadqq/notepadqq-bin
%_datadir/applications/notepadqq.desktop
%_iconsdir/hicolor/*/apps/notepadqq.*g
%_datadir/appdata/%name.appdata.xml
%_datadir/notepadqq

%changelog
