Summary:	Netscape Portable Runtime (NSPR)
Name:		nspr
Version:	4.35
Release:	alt1
Epoch:		1
License:	MPL-2.0
Group:		System/Libraries
Url:		http://www.mozilla.org/projects/nspr/
Packager:	Alexey Gladkov <legion@altlinux.ru>

Source0:	%name-%version.tar
Source1:	%name.pc.in

# Automatically added by buildreq on Wed Feb 13 2008 (-bi)
BuildRequires: gcc-c++

%description
Netscape Portable Runtime (NSPR) provides a platform-neutral API for system level and libc like functions. 
The API is used in the Mozilla client, many of Netscape/AOL/iPlanet's and other software offerings.

%package -n lib%name
Summary:        Netscape Portable Runtime (NSPR)
Group:          System/Libraries
Provides:	%name = %version-%release

%description -n lib%name
Netscape Portable Runtime (NSPR) provides a platform-neutral API for system level and libc like functions. 
The API is used in the Mozilla client, many of Netscape/AOL/iPlanet's and other software offerings.

%package -n lib%name-devel
Summary: NSPR development kit
Group: Development/C
Requires: lib%name = %epoch:%version-%release
Provides: %name-devel = %version-%release

%description -n lib%name-devel
NSPR development kit

%package -n lib%name-devel-static
Summary: NSPR static libraries
Group: Development/C
Requires: lib%name-devel = %epoch:%version-%release
Provides: %name-devel-static = %version-%release

%description -n lib%name-devel-static
NSPR development kit (static libs)

%{?optflags_lto:%global optflags_lto %optflags_lto -ffat-lto-objects}

%prep
%setup -q

sed -i \
	-e 's@AC_CONFIG_AUX_DIR(\${srcdir}/build/autoconf)@AC_CONFIG_AUX_DIR(build/autoconf)@' \
	nspr/configure.in

%build
cd nspr
%add_optflags %optflags_shared
%configure \
	--includedir=%_includedir/%name \
	--with-mozilla \
	%{?_is_lp64:--enable-64bit} \
	--enable-optimize="%optflags" \
	--enable-mdupdate \
	--with-pthreads \
	--disable-cplus \
	#

%make_build

%install
cd nspr
%makeinstall install export \
	  includedir=%buildroot/%_includedir/%name

find %buildroot/%_includedir/nspr -type f -name '*.h' -print0 |
    xargs -r0 sed -i -e 's@^\([[:space:]]*#include[[:space:]]\+\)"\([^"]\+\)"@\1<nspr/\2>@g'

%__mkdir_p %buildroot/%_datadir/%name-%version
mv -f %buildroot/%_bindir/prerr.properties %buildroot/%_datadir/%name-%version/

NSPR_LIBS=`%buildroot/%_bindir/nspr-config --libs`
NSPR_CFLAGS=`%buildroot/%_bindir/nspr-config --cflags`
NSPR_VERSION=`%buildroot/%_bindir/nspr-config --version`
%__mkdir_p %buildroot/%_libdir/pkgconfig
sed -e "s,@libdir@,%_libdir,g" \
    -e "s,@prefix@,%_prefix,g" \
    -e "s,@exec_prefix@,%_prefix,g" \
    -e "s,@includedir@,%_includedir/nspr,g" \
    -e "s,@NSPR_VERSION@,$NSPR_VERSION,g" \
    -e "s,@FULL_NSPR_LIBS@,$NSPR_LIBS,g" \
    -e "s,@FULL_NSPR_CFLAGS@,$NSPR_CFLAGS,g" \
	%SOURCE1 > %buildroot/%_libdir/pkgconfig/nspr.pc

%files -n lib%name
%_libdir/*.so*

%files -n lib%name-devel
%_bindir/%name-config
%_includedir/nspr
%_libdir/pkgconfig/*
%_datadir/%name-%version
%_datadir/aclocal/*

%files -n lib%name-devel-static
%_libdir/*.a

%changelog
