Name: nvclock
Version: 0.8b4
Release: alt6

Summary: An overclocking tool for NVIDIA cards
License: GPL
Group: System/Configuration/Hardware

Url: http://www.linuxhardware.org/nvclock/
Source0: %url/%name%version.tar.bz2
Source1: %name.png
Patch0: nvclock-0.8b-alt-makefile.patch
Patch1: nvclock-0.8b-alt-DSO.patch
Patch2: %{name}0.8b4-makefile.patch
Patch3: nvclock-0.8b4-make-gcc10-happy.patch
Packager: Vyacheslav Dikonov <slava@altlinux.ru>

ExclusiveArch: %ix86 x86_64

Requires: NVIDIA_GLX
BuildRequires: fontconfig freetype2 gcc-c++ glib2-devel libatk-devel libgtk+2-devel libpango-devel libqt3-devel libstdc++-devel pkgconfig

Summary(ru_RU.UTF-8): Средство для разгона графических карт NVIDIA
Summary(uk_UA.UTF-8): Утиліта для "розгону" графічних карток NVIDIA

%description
This program allows you to overclock your NVIDIA based graphics card
to reach their peak performance.

%description -l ru_RU.UTF-8
NVClock позволяет вручную изменять тактовую частоту процессоров графических
карт на основе набора микросхем NVIDIA, чтобы добиться предельной
производительности.

%description -l uk_UA.UTF-8
NVClock дозволяє користувачу змінювати тактову частоту процесорів графічних
карток на базі набору мікросхем NVIDIA для досягнення найбільшої
продуктивності.

%package gtk
Summary: An overclocking tool for NVIDIA cards
Summary(ru_RU.UTF-8): GTK-интерфейс для разгона графических карт NVIDIA
Summary(uk_UA.UTF-8): GTK-Інтерфейс для "розгону" графічних карток NVIDIA
License: GPL
Group: System/Configuration/Hardware
Requires: %name

%description gtk
This is the GTK interface for nvclock - a program the allows you to overclock 
your NVIDIA based graphics card to reach their peak performance.

%description gtk -l ru_RU.UTF-8
GTK-интерфейс для nvclock - программы, которая позволяет вручную изменять 
тактовую частоту процессоров графических карт на основе набора микросхем
NVIDIA, чтобы добиться предельной производительности.

%description gtk -l uk_UA.UTF-8
GTK-iнтерфейс для nvclock - програми, яка дозволяє користувачу змінювати
тактову частоту процесорів графічних карток на базі набору мікросхем NVIDIA
для досягнення найбільшої продуктивності.

%package qt
Summary: An overclocking tool for NVIDIA cards
Summary(ru_RU.UTF-8): Qt-интерфейс для разгона графических карт NVIDIA
Summary(uk_UA.UTF-8): Qt-Інтерфейс для "розгону" графічних карток NVIDIA
License: GPL
Group: System/Configuration/Hardware
Requires: %name

%description qt
This is the Qt interface for nvclock - a program the allows you to overclock 
your NVIDIA based graphics card to reach their peak performance.

%description qt -l ru_RU.UTF-8
Qt-интерфейс для nvclock - программы, которая позволяет вручную изменять
тактовую частоту процессоров графических карт на основе набора микросхем
NVIDIA, чтобы добиться предельной производительности.

%description qt -l uk_UA.UTF-8
Qt-iнтерфейс для nvclock - програми, яка дозволяє користувачу змінювати
тактову частоту процесорів графічних карток на базі набору мікросхем NVIDIA
для досягнення найбільшої продуктивності.

%prep
%setup -n %name%version
%patch0 -p1
%patch1 -p2
%patch2 -p1
%patch3 -p2

%build
unset QTDIR || : ; . /etc/profile.d/qt3dir.sh
export PATH=$QTDIR/bin:$PATH
%autoreconf
%configure --enable-qt --enable-gtk
# SMP incompatible build
%make

%install
%makeinstall
install -pDm644 %SOURCE1 $RPM_BUILD_ROOT%_datadir/pixmaps/%name.png
# Menu
install -dm755 %buildroot%_desktopdir/
cat > %buildroot%_desktopdir/%{name}-qt.desktop <<EOF
[Desktop Entry]
Version=1.0
Type=Application
Name=NVIDIA Overclocker (QT)
Name[ru]=Разгон видеокарт NVIDIA (QT)
Comment=An overclocking tool for NVIDIA cards
Comment[ru]=Средство для разгона графических карт NVIDIA
TryExec=nvclock_qt
Exec=xdg-su nvclock_qt
Icon=nvclock
Terminal=false
Categories=QT;Settings;HardwareSettings;X-ALTLinux-VideoSettings;
EOF
cat > %buildroot%_desktopdir/%{name}-gtk.desktop <<EOF
[Desktop Entry]
Version=1.0
Type=Application
Name=NVIDIA Overclocker (GTK)
Name[ru]=Разгон видеокарт NVIDIA (GTK)
Comment=An overclocking tool for NVIDIA cards
Comment[ru]=Средство для разгона графических карт NVIDIA
TryExec=nvclock_gtk
Exec=xdg-su nvclock_gtk
Icon=nvclock
Terminal=false
Categories=GTK;Settings;HardwareSettings;X-ALTLinux-VideoSettings;
EOF

# clean up misinstalled docs
rm -rf %_docdir/%name/

%files
%_bindir/%name
%_man1dir/*
%doc AUTHORS ChangeLog COPYING FAQ README

%files gtk
%_bindir/%{name}_gtk
%_datadir/pixmaps/%name.*
%_liconsdir/%name.*
%_desktopdir/%name-gtk.desktop
%exclude %_desktopdir/%name.desktop

%files qt
%_bindir/%{name}_qt
%_datadir/pixmaps/%name.*
%_liconsdir/%name.*
%_desktopdir/%name-qt.desktop

%changelog
