%ifnarch %ix86 armh 
%def_with check
%else
%def_without check
%endif
%define modulename bigstringaf
Name: ocaml-%modulename
Version: 0.8.0
Release: alt1
Summary: Bigstring intrinsics and fast blits based on memcpy/memmove
License: BSD-3-Clause
Group: Development/ML
Url: https://github.com/inhabitedtype/bigstringaf
Source: %name-%version.tar
BuildRequires: dune ocaml-bigarray-compat-devel
%if_with check
BuildRequires: ocaml-alcotest-devel
%endif

%description
The OCaml compiler has a bunch of intrinsics for Bigstrings, but they're not
widely-known, sometimes misused, and so programs that use Bigstrings are slower
than they have to be. And even if a library got that part right and exposed the
intrinsics properly, the compiler doesn't have any fast blits between
Bigstrings and other string-like types.

So here they are. Go crazy.


%package devel
Summary: Development files for %name
Requires: %name = %version-%release
Group: Development/ML

%description devel
The %name-devel package contains libraries and signature files for
developing applications that use %name.

%prep
%setup

%build
%dune_build -p %modulename

%install
%dune_install

%check
%dune_check

%files -f ocaml-files.runtime

%files devel -f ocaml-files.devel

%changelog
