%define libname gen
Name: ocaml-%libname
Version: 0.5.3
Release: alt4
Summary: Simple and efficient iterators (modules Gen and GenLabels).
License: BSD
Group: Development/ML
Url: https://github.com/c-cube/sequence/
Source0: %name-%version.tar
BuildRequires: ocaml-findlib-devel ocaml-dune-configurator-devel ocaml-result-devel
BuildRequires: ocaml-qcheck-devel ocaml-ounit-devel ocaml-odoc ocaml-qtest-devel

%description
%name provides additional modules GenClone and GenMList for lower-level control
over persistency and duplication of iterators.

%package devel
Summary: Development files for %name
Group: Development/ML
Requires: %name = %version-%release

%description devel
The %name-devel package contains libraries and signature files for
developing applications that use %name.

%prep
%setup

%build
sed -si 's,Pervasives.,Stdlib.,g' src/gen.ml
%dune_build -p %libname

%install
%dune_install

%check
# check disabled on armh due to https://github.com/ocaml/dune/issues/2527
%ifnarch armh
# supressed a warning 33 (Unused open)
export OCAMLPARAM="_,w=-33"
%dune_check
%endif

%files -f ocaml-files.runtime
%doc README.md LICENSE CHANGELOG.md


%files devel -f ocaml-files.devel

%changelog
