%define libname ppxlib

# tests fail on armh:
#( cd _build/default && /usr/bin/ocamlopt.opt -w -24 -o src/.cinaps/cinaps.exe /usr/lib/ocaml/unix.cmxa -I /usr/lib/ocaml /usr/lib/ocaml/cinaps/runtime/cinaps_runtime.cmxa /usr/lib/ocaml/re/re.cmxa src/cinaps/ppxlib_cinaps_helpers.cmxa src/.cinaps/.cinaps.eobjs/native/dune__exe__Cinaps.cmx)
# /usr/bin/ld.default: src/.cinaps/.cinaps.eobjs/native/dune__exe__Cinaps.o: relocation R_ARM_THM_MOVW_ABS_NC against `camlCinaps_runtime' can not be used when making a shared object; recompile with -fPIC
# src/.cinaps/.cinaps.eobjs/native/dune__exe__Cinaps.o: in function `.L297':
# :(.text+0xdec): dangerous relocation: unsupported relocation
# ...
# ...
# /usr/bin/ld.default: warning: creating DT_TEXTREL in a PIE
# collect2: error: ld returned 1 exit status
# File "caml_startup", line 1:
# Error: Error during linking (exit code 1)

%ifarch armh
%def_without check
%endif

Name: ocaml-%libname
Version: 0.23.0
Release: alt1
Summary: Base library and tools for ppx rewriters.
License: MIT
Group: Development/ML
Url: https://github.com/ocaml-ppx/ppxlib
Source0: %name-%version.tar
Patch0: %name-%version-%release.patch
BuildRequires: ocaml-findlib-devel dune cinaps ocaml-result-devel
BuildRequires: ocaml-re-devel ocaml-compiler-libs-devel ocaml-ppx_derivers-devel
BuildRequires: ocaml-sexplib0-devel ocaml-stdio-devel
BuildRequires: ocaml-base-devel /proc

%description
A comprehensive toolbox for ppx development. It features:

 * a OCaml AST / parser / pretty-printer snapshot,to create a full frontend
   independent of the version of OCaml;
 * a library for library for ppx rewriters in general, and type-driven code
   generators in particular;
 * a feature-full driver for OCaml AST transformers;
 * a quotation mechanism allowing to write values representing the OCaml AST
   in the OCaml syntax;
 * a generator of open recursion classes from type definitions.

%package devel
Summary: Development files for %name
Group: Development/ML
Requires: %name = %version-%release
Requires: ocaml-result-devel

%description devel
The %name-devel package contains libraries and signature files for
developing applications that use %name.

%prep
%setup
%patch0 -p1

%build
sed -i 's/ stdlib-shims//' */dune */*/dune
%dune_build -p %libname

%install
%dune_install
rm -rf %buildroot%_bindir

%check
%dune_check

%files -f ocaml-files.runtime
%doc README.md LICENSE.md CHANGES.md


%files devel -f ocaml-files.devel

%changelog
