Name: openrgb
Version: 0.8
Release: alt2.1

Summary: Open source RGB lighting control that doesn't depend on manufacturer software

License: GPL-2.0-only
Group: System/Configuration/Other
Url: https://gitlab.com/CalcProgrammer1/OpenRGB

# Source-url: https://gitlab.com/CalcProgrammer1/OpenRGB/-/archive/release_%version/OpenRGB-release_%version.tar.bz2
Source: %name-%version.tar

#https://openrgb.org/releases/release_0.8/60-openrgb.rules
#Source1: 60-openrgb.rules

BuildRequires(pre): rpm-macros-qt5

BuildRequires: libhidapi-devel libusb-devel
BuildRequires: libmbedtls-compat-devel
BuildRequires: qt5-tools qt5-base-devel

%description
Open source RGB lighting control that doesn't depend on manufacturer software.

Supports a wide variety of RGB components, peripherals, accessories, and lights across many manufacturers.

%prep
%setup

%build
%qmake_qt5 OpenRGB.pro
%make_build

%install
mkdir -p %buildroot/%_udevrulesdir
mkdir -p %buildroot/%_bindir
mkdir -p %buildroot/%_desktopdir
mkdir -p %buildroot/%_iconsdir/hicolor/128x128/apps/
mkdir -p %buildroot/%_datadir/metainfo/

cp qt/OpenRGB.desktop %buildroot/%_desktopdir/OpenRGB.desktop
cp qt/OpenRGB.png %buildroot/%_iconsdir/hicolor/128x128/apps/OpenRGB.png
cp qt/org.openrgb.OpenRGB.metainfo.xml %buildroot/%_datadir/metainfo/org.openrgb.OpenRGB.metainfo.xml

#cp SOURCE1  %buildroot/%_udevrulesdir/60-openrgb.rules

#%makeinstall_std
#%make_install install
%make_install INSTALL_ROOT=%buildroot install

mv %buildroot%_libexecdir/udev/rules.d/60-openrgb.rules %buildroot/%_udevrulesdir/60-openrgb.rules

%files
%_udevrulesdir/60-openrgb.rules
%_bindir/openrgb
%_desktopdir/OpenRGB.desktop
%_datadir/metainfo/org.openrgb.OpenRGB.metainfo.xml
%_iconsdir/hicolor/128x128/apps/OpenRGB.png

%changelog
