Name: openslide
Version: 3.4.1
Release: alt1

Summary: C library for reading virtual slides
License: LGPLv2
Group: System/Libraries

Url: http://openslide.org/
Source: https://github.com/%name/%name/releases/download/v%version/%name-%version.tar.xz
Source100: openslide.watch
Packager: Michael Shigorin <mike@altlinux.org>

BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(cairo)
BuildRequires: pkgconfig(zlib)
BuildRequires: libpng-devel
BuildRequires: pkgconfig(libtiff-4)
BuildRequires: libopenjpeg-devel
BuildRequires: pkgconfig(gdk-pixbuf-2.0)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(sqlite3)

BuildRequires: libturbojpeg-devel
BuildRequires: libjpeg-devel

%description
The OpenSlide library allows programs to access virtual slide files
regardless of the underlying image format.

%package -n lib%name
Summary: Shared library for %name
Group: System/Libraries

%description -n lib%name
This package contains shared libraries for applications that use %name.

%package -n lib%name-devel
Summary: Development files for %name
Group: Development/Other
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package contains libraries and header files for
developing applications that use %name.

%package tools
Summary: Command line tools for %name
Group: Video

%description tools
This package contains command line tools for working
with virtual slides.

%prep
%setup

%build
%configure --disable-static
%make_build

%install
%makeinstall_std

%files -n lib%name
%doc README.txt lgpl-2.1.txt LICENSE.txt CHANGELOG.txt
%_libdir/*.so.*

%files -n lib%name-devel
%_includedir/%name/
%_libdir/*.so
%_pkgconfigdir/*.pc

%files tools
%_bindir/*
%_man1dir/*

%changelog
