%add_findprov_lib_path /%_lib/security

Name: pam_ldap
Version: 186
Release: alt1

Summary: PAM module for LDAP
License: LGPL
Group: System/Base

Url: http://www.padl.com/

Source0: %url/download/%name-%version.tar.gz
Source1:%name-system_auth-alt

Patch0: %name-46-pam_console.patch
Patch1: %name-125-null.patch

Patch5: fixbuild.patch

Patch100: pam_ldap-180-debug_checkhost-gns.patch
Patch101: pam_ldap-182-debug_checkhost-st1.patch

Packager: Anton Gorlov <stalker@altlinux.ru>

# Automatically added by buildreq on Wed Aug 31 2005
BuildRequires: libldap-devel libpam-devel libsasl2-devel

Summary(ru_RU.KOI8-R):  PAM  LDAP

%description
Pam_ldap is a module for Linux-PAM that supports password changes, V2
clients, Netscapes SSL, ypldapd, Netscape Directory Server password
policies, access authorization, crypted hashes, etc.

Install %name if you need to run LDAP access clients.

%description -l ru_RU.KOI8-R
pam_ldap -    Linux-PAM.   ,
 LDAP  2, Netscapes SSL, ypldapd,  
Netscape Directory Server,  ,    ..

%prep
%setup
%patch0 -p1
##patch1 -p1
#patch5 -p1

%patch101 -p0

### We create example dir for place here examples for ALT Linux
mkdir alt-examples
install -pm644 %SOURCE1 alt-examples/system_auth

%build
%autoreconf
%configure \
	--with-ldap-lib=openldap \
	--with-ldap-conf-file=%_sysconfdir/pam_ldap.conf \
	--with-ldap-secret-file=%_sysconfdir/pam_ldap.secret \
	--libdir=/%_lib
	
%make_build

%check
%make check

%install
mkdir -p %buildroot{%_sysconfdir,/%_lib,%_libdir}

# Install the nsswitch module.
install -pDm755 pam_ldap.so %buildroot/%_lib/security/pam_ldap.so
# Install the default configuration file, but change the search bases to
# something generic.
sed -e 's/dc=padl/dc=example/g' ldap.conf >%buildroot%_sysconfdir/pam_ldap.conf
sed -i 's/#timelimit 30/timelimit 5/g' %buildroot%_sysconfdir/pam_ldap.conf
sed -i 's/#bind_timelimit 30/bind_timelimit 5/g' %buildroot%_sysconfdir/pam_ldap.conf
chmod 644 %buildroot%_sysconfdir/pam_ldap.conf
rm -f %buildroot%_sysconfdir/nsswitch.ldap
rm -f %buildroot%_sysconfdir/ldap.conf

%files
/%_lib/security/*
### This file is different from nss_ldap package! It's in TODO for next release
%config(noreplace) %_sysconfdir/pam_ldap.conf
%doc AUTHORS ChangeLog README pam.d ldap.conf
%doc alt-examples

%changelog
