Name:     papirus-icon-theme
Version:  20230901
Release:  alt2

Summary:  All Papirus icon themes
License:  GPLv3
Group:    Other
Url:      https://github.com/PapirusDevelopmentTeam/papirus-icon-theme

Packager: Andrey Cherepanov <cas@altlinux.org>

Source:   %name-%version.tar

BuildArch: noarch

Requires: icon-theme-Papirus = %EVR
Requires: icon-theme-Papirus-Dark = %EVR
Requires: icon-theme-Papirus-Education = %EVR
Requires: icon-theme-Papirus-Light = %EVR
Requires: icon-theme-ePapirus = %EVR

%description
Papirus is a free and open source SVG icon theme for Linux, based on
Paper Icon Set with a lot of new icons and a few extras, like
Hardcode-Tray support, KDE colorscheme support, Folder Color support,
and others.

Papirus icon theme is available in five variants:

* Papirus
* Papirus Dark
* Papirus Education
* Papirus Light
* ePapirus (for elementary OS and Pantheon Desktop)

%package -n icon-theme-Papirus
Summary: Papirus icon theme
Group: Other

%description -n icon-theme-Papirus
%summary.

%package -n icon-theme-Papirus-Dark
Summary: Papirus-Dark icon theme
Group: Other
Requires(pre): icon-theme-Papirus

%description -n icon-theme-Papirus-Dark
%summary.

%package -n icon-theme-Papirus-Education
Summary: Papirus-Education icon theme
Group: Other
Requires(pre): icon-theme-Papirus

%description -n icon-theme-Papirus-Education
%summary.

%package -n icon-theme-Papirus-Light
Summary: Papirus-Light icon theme
Group: Other
Requires(pre): icon-theme-Papirus

%description -n icon-theme-Papirus-Light
%summary.

%package -n icon-theme-ePapirus
Summary: ePapirus icon theme
Group: Other
Requires(pre): icon-theme-Papirus

%description -n icon-theme-ePapirus
%summary.

%prep
%setup

%build
# Make network menu item in ALT looks like upstream Internet menu item
for i in 16 22 24 32 48 64;do
    ln -s internet-web-browser.svg Papirus/${i}x${i}/apps/applications-network.svg
done

# Make new theme Papirus-Education with orange folder icons 
color=orange
THEME_DIR=Papirus-Edu
mkdir $THEME_DIR
cp Papirus-Light/index.theme $THEME_DIR
subst 's/Light/Education/g; s/bright themes/ALT Education/g; s/breeze/orange/g' $THEME_DIR/index.theme

# Total copy all directory from Papirus as symlinks except 'places'
for dir in Papirus/*; do
	[ -d "$dir" ] || continue
	size="${dir#*/}"
	mkdir $THEME_DIR/$size
	for d in $dir/*; do
		category="$(basename $d)"
		if [ "$category" = "places" ]; then
			# Create directory places and fill it by icon symlinks
			mkdir $THEME_DIR/$size/places
			for i in Papirus/$size/places/*.svg; do
				if [ -L "$i" ]; then
					# Copy symlinks because its source shoud be local, not base theme (ex. inode-directory.svg)
					cp -P $i $THEME_DIR/$size/places
				else
					# Symlink to icon in base theme
					ln -s ../../../$i $THEME_DIR/$size/places
				fi
			done
			pushd $THEME_DIR/$size/places
			# Replaced standard icons by colored variant
			for prefix in folder user; do
				for icon in ${prefix}-${color}*.svg; do
					symlink="${icon/$prefix-$color/$prefix}"
					[ -e "$symlink" ] || continue
					rm -f "$symlink"
					ln -s "$icon" "$symlink"
				done
			done
			popd
		else
			# Make symlink to category directory
			ln -s ../../Papirus/$size/$category $THEME_DIR/$size
		fi
	done
done

rm -rf $THEME_DIR/24x24/panel
ln -s ../../Papirus-Light/24x24/panel $THEME_DIR/24x24/panel
rm -rf $THEME_DIR/22x22/panel
ln -s ../../Papirus-Light/22x22/panel $THEME_DIR/22x22/panel
rm -rf $THEME_DIR/16x16/panel
ln -s ../../Papirus-Light/16x16/panel $THEME_DIR/16x16/panel

%install
mkdir -p %buildroot%_iconsdir
cp -a Papirus Papirus-Dark Papirus-Edu Papirus-Light ePapirus %buildroot%_iconsdir

%files
%doc AUTHORS LICENSE README.md

%files -n icon-theme-Papirus
%doc AUTHORS LICENSE README.md
%_iconsdir/Papirus

%files -n icon-theme-Papirus-Dark
%doc AUTHORS LICENSE README.md
%_iconsdir/Papirus-Dark

%files -n icon-theme-Papirus-Education
%doc AUTHORS LICENSE README.md
%_iconsdir/Papirus-Edu

%files -n icon-theme-Papirus-Light
%doc AUTHORS LICENSE README.md
%_iconsdir/Papirus-Light

%files -n icon-theme-ePapirus
%doc AUTHORS LICENSE README.md
%_iconsdir/ePapirus

%changelog
