Name: paps
Version: 0.6.8
Release: alt1

License: LGPLv2+
Url: http://paps.sourceforge.net/
Source0: http://downloads.sourceforge.net/%name/%name-%version.tar.gz
Source1: paps.convs
Source2: repatch_spec.sh
Source3: repatch_spec.unused

## FC patches
Patch1: FC-0.6.8-shared.patch
Patch2: FC-0.6.8-wordwrap.patch
Patch3: FC-langinfo.patch
Patch4: FC-0.6.6-lcnumeric.patch
Patch5: FC-exitcode.patch
Patch6: FC-854897-manpage.patch
Patch7: FC-cups.patch
Patch8: FC-cpilpi.patch
Patch9: FC-dsc-compliant.patch
Patch10: FC-autoconf262.patch
Patch11: FC-fix-cpi.patch
Patch12: FC-fix-loop-in-split.patch
Patch13: FC-fix-tab-width.patch
Patch14: FC-fix-non-weak-symbol.patch
Patch15: FC-correct-fsf-address.patch
Patch16: FC-ft-header.patch

## Ubuntu patches
Patch101: Ubuntu-autotools-files.patch
Patch102: Ubuntu-manpage_units.patch
Patch103: Ubuntu-manpage_fixes.patch
Patch104: Ubuntu-gutter-width.patch
Patch105: Ubuntu-cpi_scale_calculation.patch
Patch106: Ubuntu-autoconf262.patch
Patch107: Ubuntu-fix-loop-in-split.patch
Patch108: Ubuntu-shared-library.patch
Patch109: Ubuntu-fix-as-needed.patch
Patch110: Ubuntu-freetype2.5.patch

## ALT patches

Summary: Plain Text to PostScript converter
Group: Publishing
# Automatically added by buildreq on Mon Jun 02 2014
# optimized out: fontconfig fontconfig-devel glib2-devel libfreetype-devel pkg-config
BuildRequires: doxygen libcups-devel libpango-devel

%description
paps is a PostScript converter from plain text file using Pango.

%package libs
Summary: Libraries for paps
Group: System/Libraries
%description libs
paps is a PostScript converter from plain text file using Pango.

This package contains the library for paps.

%package devel
Summary: Development files for paps
Group: Development/C
Requires: %name-libs = %version-%release
%description devel
paps is a PostScript converter from plain text file using Pango.

This package contains the development files that is necessary to develop
applications using paps API.

%prep
%setup

## FC apply patches
%patch1 -p1 -b .shared
%patch2 -p1 -b .wordwrap
%patch3 -p1 -b .langinfo
%patch4 -p1 -b .lcnumeric
%patch5 -p1 -b .exitcode
%patch6 -p1 -b .manpage
%patch7 -p1 -b .cups
%patch8 -p1 -b .cpilpi
%patch9 -p1 -b .dsc
%patch10 -p1 -b .autoconf262
%patch11 -p1 -b .fixcpi
%patch12 -p1 -b .loop
%patch13 -p1 -b .tab
%patch14 -p1 -b .weak-symbol
%patch15 -p1 -b .fsf
%patch16 -p1 -b .ft-header

## Ubuntu apply patches
%patch101 -p1
%patch102 -p1
%patch103 -p1
%patch104 -p1
##patch105 -p1
#patch106 -p1
##patch107 -p1
##patch108 -p1
##patch109 -p1
##patch110 -p1

## ALT apply patches

%build
%autoreconf
%configure --disable-static
%make_build

%install
%makeinstall_std INSTALL="/usr/bin/install -p"

# remove unnecessary files
rm %buildroot%_libdir/libpaps.la

# make a symlink for CUPS filter
install -d %buildroot/usr/lib/cups/filter # Not libdir
ln -s %_bindir/paps %buildroot/usr/lib/cups/filter/texttopaps

install -d %buildroot%_datadir/cups/mime
install -p -m0644 %SOURCE1 %buildroot%_datadir/cups/mime/

%files
%doc AUTHORS COPYING.LIB README TODO
%_bindir/paps
%_mandir/man1/paps.1*
/usr/lib/cups/filter/texttopaps
%_datadir/cups/mime/paps.convs

%files libs
%doc COPYING.LIB
%_libdir/libpaps.so.*

%files devel
%doc COPYING.LIB
%_includedir/libpaps.h
%_libdir/libpaps.so

%changelog
