Group: Archiving/Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name: par2cmdline
Version: 0.8.1
Release: alt1_4
Summary: PAR 2.0 compatible file verification and repair tool

License: GPLv2+
URL: https://github.com/Parchive/par2cmdline/
Source0: https://github.com/Parchive/par2cmdline/releases/download/v%{version}/par2cmdline-%{version}.tar.bz2
Source1: https://github.com/Parchive/par2cmdline/releases/download/v%{version}/par2cmdline-%{version}.tar.bz2.sig
# GitHub releases are signed by GitHub user https://github.com/BlackIkeEagle
# which has verified his GitHub handle via his Keybase.io profile
# https://keybase.io/blackikeeagle.
Source2: https://keybase.io/blackikeeagle/pgp_keys.asc?fingerprint=db2277bcd500aa3825610bdddb323392796ca067#/gpg-db2277bcd500aa3825610bdddb323392796ca067.asc
# Fix tests to account for endianness correctly.
# Backport of https://github.com/Parchive/par2cmdline/commit/4f3576a314d7169912842ec9dc1e595e61e52653.
Patch0: 0001-Fix-for-Github-issue-143.-Test-did-not-account-for-e.patch

BuildRequires: gcc-c++
# Needed for source file verification.
BuildRequires: gnupg gnupg2
Source44: import.info
Conflicts: par2 < 0.5
Obsoletes: par2 < 0.5
Provides: par2 = %version


%description
par2cmdline is a program for creating and using PAR2 files to detect damage
in data files and repair them if necessary. PAR2 files are usually
published in binary newsgroups on Usenet; they apply the data-recovery
capability concepts of RAID-like systems to the posting and recovery of
multi-part archives.


%prep
%setup -q
%patch0 -p1


# Remove executable permission from text files
chmod -x ChangeLog configure.ac INSTALL Makefile.am NEWS stamp-h.in


%build
%configure
%make_build


%install
%makeinstall_std


%check
make check-TESTS


%files
%doc --no-dereference COPYING
%doc AUTHORS ChangeLog README
%{_bindir}/par2
%{_bindir}/par2create
%{_bindir}/par2repair
%{_bindir}/par2verify
%{_mandir}/man1/par2.1*


%changelog
