Name: pekwm
Version: 0.1.17
Release: alt4
Summary: Fast & lightweight window manager
License: GPLv2
Group: Graphical desktop/Other
Url: http://pekwm.org
Source: %name-%version.tar.bz2
source1: %name.png

Patch: pekwm-0.1.17-gcc10.patch

# Automatically added by buildreq on Sun Sep 15 2013
# optimized out: fontconfig fontconfig-devel libICE-devel libX11-devel libXrender-devel libfreetype-devel libstdc++-devel pkg-config xorg-kbproto-devel xorg-randrproto-devel xorg-renderproto-devel xorg-xextproto-devel xorg-xproto-devel
BuildRequires: gcc-c++ imake libSM-devel libXext-devel libXft-devel libXinerama-devel libXpm-devel libXrandr-devel libjpeg-devel libpng-devel xorg-cf-files

%description
pekwm is a window manager that once up on a time was based on the aewm++
window manager, but it has evolved enough that it no longer resembles
aewm++ at all. It has a much expanded feature-set, including window
grouping (similar to ion, pwm, or fluxbox), autoproperties, xinerama,
keygrabber that supports keychains, and much more.

%prep
%setup
%patch -p1
cat > %name.wmsession <<@@@
NAME=PekWM
ICON=%_iconsdir/hicolor/64x64/apps/pekwm.png
EXEC=/usr/bin/pekwm
DESC=Fast & lightweight window manager
SCRIPT:
exec /usr/bin/pekwm
@@@
cat > %name.desktop <<@@@
[Desktop Entry]
Name=PekWM
Comment=Fast & lightweight window manager
Comment[ru]=Быстрый и легковесный оконный менеджер
Icon=%name
Exec=%name
Type=Application
@@@

%build
%add_optflags -std=c++14
%autoreconf
%configure
%make_build

%install
%makeinstall_std
mkdir -p %buildroot/%_sysconfdir/X11/wmsession.d
install -pD -m644 %name.wmsession %buildroot/%_sysconfdir/X11/wmsession.d/08%name
install -pD -m644 %name.desktop %buildroot%_datadir/xsessions/%name.desktop
install -D %SOURCE1 %buildroot%_iconsdir/hicolor/64x64/apps/%name.png

%files
%doc README
%_bindir/*
%_sysconfdir/%name
%_sysconfdir/X11/wmsession.d/*
%_datadir/xsessions/%name.desktop
%_datadir/%name
%_man1dir/%name.*
%_iconsdir/hicolor/64x64/apps/%name.png

%changelog
