Name: pentobi
Version: 19.0
Release: alt1

Summary: A computer program that plays the board game Blokus

License: GPLv3
Group: Games/Boards
Url: https://pentobi.sourceforge.io

# Source-url: https://github.com/enz/pentobi/archive/refs/tags/v%version.tar.gz
Source: %name-%version.tar.xz

BuildRequires(pre): rpm-macros-cmake
BuildRequires: docbook-xsl itstool xsltproc librsvg-utils
BuildRequires: libGConf libappstream-glib-devel libgtk+3-devel libpolkit-devel
BuildRequires: qt5-imageformats qt5-quickcontrols2-devel qt5-svg-devel qt5-tools-devel qt5-translations qt5-wayland-devel qt5-webengine-devel
BuildRequires: cmake gcc-c++

%description
Pentobi is a computer program that plays the board game Blokus.

- Supports the game variants Classic, Classic Two-Player, and Duo
- Different levels of playing strength
- Save and load games in Smart Game Format including comments and move variations
- Board display with optional move numbers and coordinate labels
- Export images of board positions
- Source code is available under the GNU General Public License

%prep
%setup

%build
%cmake
%cmake_build

%install
%cmake_install
mkdir -p %buildroot%_sysconfdir

%files
%_bindir/pentobi
%_bindir/pentobi-thumbnailer
%_desktopdir/*.desktop
%_iconsdir/hicolor/*/*/*
%_datadir/mime/packages/*.xml
%_datadir/thumbnailers/*
%_datadir/metainfo/*
%_datadir/help/*/%name/
%_man6dir/*
%_mandir/*/man6/*

%changelog
