Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(parent.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-App-Nopaste
Version:        1.013
Release:        alt1_1
Summary:        Easy access to any pastebin
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/App-Nopaste
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/App-Nopaste-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(CPAN/Meta/Requirements.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Runtime
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Class/Load.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(File/Basename.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(File/Temp.pm)
BuildRequires:  perl(Getopt/Long/Descriptive.pm)
BuildRequires:  perl(JSON.pm)
BuildRequires:  perl(JSON/MaybeXS.pm)
BuildRequires:  perl(Module/Metadata.pm)
BuildRequires:  perl(Module/Pluggable.pm)
BuildRequires:  perl(Module/Runtime.pm)
BuildRequires:  perl(Path/Tiny.pm)
BuildRequires:  perl(POSIX.pm)
BuildRequires:  perl(URI/Escape.pm)
BuildRequires:  perl(WWW/Mechanize.pm)
BuildRequires:  perl(namespace/clean.pm)
# Tests only
BuildRequires:  perl(File/Spec/Functions.pm)
BuildRequires:  perl(List/Util.pm)
BuildRequires:  perl(LWP/Protocol.pm)
BuildRequires:  perl(Test/Deep.pm)
BuildRequires:  perl(Test/Fatal.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Trap.pm)
BuildRequires:  perl(version.pm)
# for ssh plugin
Requires:       /usr/bin/scp
Requires:       perl(Clipboard.pm)
Requires:       perl(Browser/Open.pm)
Requires:       perl(WWW/Pastebin/PastebinCom/Create.pm)
Requires:       perl(HTTP/Request/Common.pm)
Source44: import.info

%description
Pastebins (also known as nopaste sites) let you post text, usually code,
for public viewing. They're used a lot in IRC channels to show code that
would normally be too long to give directly in the channel (hence the
name nopaste).

%package -n nopaste
Group: Development/Other
# needs to beat old nopaste-2835-3
Epoch:          1
License:        GPL+ or Artistic
Summary:        Access pastebins from the command line
Requires:       %{name} = 0:%{version}-%{release}

%description -n nopaste
This application lets you post text to pastebins from the command line.

Pastebins (also known as nopaste sites) let you post text, usually code, for
public viewing. They're used a lot in IRC channels to show code that would
normally be too long to give directly in the channel (hence the name nopaste).


%prep
%setup -q -n App-Nopaste-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes CONTRIBUTING README
%doc --no-dereference LICENSE
%{perl_vendor_privlib}/App*

%files -n nopaste
%{_bindir}/*
%{_mandir}/man1/*

%changelog
