Name: perl-Authen-DigestMD5
Version: 0.04
Release: alt2

Summary: SASL DIGEST-MD5 authentication (RFC2831)

License: GPL+ or Artistic
Group: Development/Other
Url: https://metacpan.org/release/Authen-DigestMD5
Packager: Vitaly Lipatov <lav@altlinux.ru>

# Source-url: https://cpan.metacpan.org/modules/by-module/Authen/Authen-DigestMD5-%version.tar.gz
Source: %name-%version.tar
Patch0: Authen-DigestMD5-0.04-UTF8.patch
Patch1: Authen-DigestMD5-0.04-shellbang.patch

BuildArch: noarch

BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators

# Build
BuildRequires: su
BuildRequires: findutils
BuildRequires: perl-devel
BuildRequires: perl(ExtUtils/MakeMaker.pm)

# Runtime
Requires: perl(Carp.pm)
Requires: perl(Digest/MD5.pm)
Requires: perl(strict.pm)
Requires: perl(warnings.pm)

# Test Suite
BuildRequires: perl(Test/More.pm)

%description
This module supports DIGEST-MD5 SASL authentication as defined in RFC-2831.

%prep
%setup

# Fix wrong script interpreter, and set permissions to avoid extra deps
%patch1
chmod -c 644 digest-md5-auth.pl

# Fix character encoding
%patch0 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%buildroot
find %buildroot -type f -name .packlist -delete
# %_fixperms -c %buildroot

# Get rid of sample code that introduces additional dep on perl(OpenLDAP)
rm -f %buildroot%perl_vendor_privlib/Authen/digest-md5-auth.pl

%check
make test

%files
%doc Changes README digest-md5-auth.pl
%perl_vendor_privlib/Authen/

%changelog
