Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
#
# Rebuild option:
#
#   --with testsuite         - run the test suite
#

Name:           perl-GSSAPI
Version:        0.28
Release:        alt6_28
Summary:        Perl extension providing access to the GSSAPIv2 library
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/GSSAPI
Source0:        https://cpan.metacpan.org/authors/id/A/AG/AGROLMS/GSSAPI-%{version}.tar.gz
BuildRequires:  findutils
BuildRequires:  gcc
BuildRequires:  libkrb5-devel
BuildRequires:  which
%{?_with_testsuite:BuildRequires: perl(constant.pm)}
%{?_with_testsuite:BuildRequires: perl(Carp.pm)}
%{?_with_testsuite:BuildRequires: perl(Exporter.pm)}
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
%{?_with_testsuite:BuildRequires: perl(ExtUtils/testlib.pm)}
BuildRequires:  perl(Getopt/Long.pm)
%{?_with_testsuite:BuildRequires: perl(Test/More.pm)}
%{?_with_testsuite:BuildRequires: perl(Test/Pod.pm)}
%{?_with_testsuite:BuildRequires: perl(XSLoader.pm)}
Source44: import.info

%description
This module gives access to the routines of the GSSAPI library, as
described in rfc2743 and rfc2744 and implemented by the Kerberos-1.2
distribution from MIT.

%prep
%setup -q -n GSSAPI-%{version}
chmod -c a-x examples/*.pl

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name '*.bs' -empty -delete
# %{_fixperms} %{buildroot}/*

%check
# fails a couple of tests if network not available
%{?_with_testsuite:make test}

%files
%doc Changes README examples/
%{perl_vendor_archlib}/auto/*
%{perl_vendor_archlib}/GSSAPI*

%changelog
