%define _unpackaged_files_terminate_build 1
%define dist Gtk2
Name: perl-%dist
Version: 1.24993
Release: alt1

Summary: Perl bindings to the gtk+-2.x library
License: LGPL
Group: Development/Perl

URL: http://gtk2-perl.sourceforge.net/
Source0: http://www.cpan.org/authors/id/X/XA/XAOC/%{dist}-%{version}.tar.gz

Patch0: perl-Gtk2-1.224-alt-gtk_version.patch
Patch1: perl-Gtk2-1.224-alt-gtk_init.patch
Patch2: perl-Gtk2-1.242-alt-cairo.patch

%define base_ver 1.240
Requires: perl-Glib >= %base_ver
Requires: perl-Pango >= 1.220
BuildPreReq: perl-Glib-devel >= %base_ver
BuildPreReq: perl-Pango-devel >= 1.220

# Automatically added by buildreq on Sun Oct 09 2011
BuildRequires: fonts-ttf-dejavu gnome-icon-theme libgtk+2-devel perl-ExtUtils-Depends perl-ExtUtils-PkgConfig perl-Pango-devel perl-podlators xvfb-run

%package devel
Summary: Perl bindings to the gtk+-2.x library (development files)
Group: Development/Perl
Requires: %name = %version-%release
Requires: libgtk+2-devel
# Gtk2/Install/Files.pm:deps
Requires: perl-Glib-devel
Requires: perl-Cairo-devel
Requires: perl-Pango-devel

%description
This module provides perl access to the gtk+-2.x library.
Gtk+ is the GIMP ToolKit (GTK+), a library for creating graphical
user interfaces for the X Window System.  GTK+ was originally written
for the GIMP (GNU Image Manipulation Program) image processing program,
but is now used by several other programs as well.

%description devel
This module provides perl access to the gtk+-2.x library.
Gtk+ is the GIMP ToolKit (GTK+), a library for creating graphical
user interfaces for the X Window System.  GTK+ was originally written
for the GIMP (GNU Image Manipulation Program) image processing program,
but is now used by several other programs as well.

This package contains Gtk2 development files and documentation
for developers (overview of internals and internal API reference).

%prep
%setup -q -n %{dist}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p2

%build
%ifndef _build_display
%def_without test
%endif

%perl_vendor_build

# Temporary disabled tests due to strange timeouts
#xvfb-run -a make test

%install
%perl_vendor_install

%define pkgdocdir %_docdir/%name-%version
mkdir -p %buildroot%pkgdocdir
cp -av gtk-demo examples %buildroot%pkgdocdir/

%files
## roboflag: noautoupdate doc
%doc NEWS AUTHORS README examples
	%perl_vendor_archlib/Gtk2.pm
%dir	%perl_vendor_archlib/Gtk2
%dir	%perl_vendor_archlib/Gtk2/Gdk
	%perl_vendor_archlib/Gtk2/Gdk/Keysyms.pm
	%perl_vendor_archlib/Gtk2/Helper.pm
	%perl_vendor_archlib/Gtk2/Pango.pm
	%perl_vendor_archlib/Gtk2/SimpleList.pm
	%perl_vendor_archlib/Gtk2/SimpleMenu.pm
%dir	%perl_vendor_autolib/Gtk2
	%perl_vendor_autolib/Gtk2/Gtk2.so

%files devel
## roboflag: noautoupdate doc
%doc examples gtk-demo
%dir	%perl_vendor_archlib/Gtk2
	%perl_vendor_archlib/Gtk2/CodeGen.pm
	%perl_vendor_archlib/Gtk2/TestHelper.pm
%dir	%perl_vendor_archlib/Gtk2/Install
	%perl_vendor_archlib/Gtk2/Install/*
# pod
%doc	%perl_vendor_archlib/Gtk2/*.pod
%dir	%perl_vendor_archlib/Gtk2/Buildable
%doc	%perl_vendor_archlib/Gtk2/Buildable/*.pod
%dir	%perl_vendor_archlib/Gtk2/Gdk
%doc	%perl_vendor_archlib/Gtk2/Gdk/*.pod
%dir	%perl_vendor_archlib/Gtk2/Gdk/Cairo
%doc	%perl_vendor_archlib/Gtk2/Gdk/Cairo/*.pod
%dir	%perl_vendor_archlib/Gtk2/Gdk/Event
%doc	%perl_vendor_archlib/Gtk2/Gdk/Event/*.pod
%dir	%perl_vendor_archlib/Gtk2/Gdk/Pango
%doc	%perl_vendor_archlib/Gtk2/Gdk/Pango/*.pod
%dir	%perl_vendor_archlib/Gtk2/Pango
%doc	%perl_vendor_archlib/Gtk2/Pango/*.pod
%dir	%perl_vendor_archlib/Gtk2/Pango/Cairo
%doc	%perl_vendor_archlib/Gtk2/Pango/Cairo/*.pod

%changelog
