#set_perl_req_method relaxed
#define _without_test 1
%define _unpackaged_files_terminate_build 1
BuildRequires: perl-podlators
Epoch: 2
%define dist IO-AIO
Name: perl-%dist
Version: 4.75
Release: alt5

Summary: Asynchronous Input/Output
License: GPL or Artistic
Group: Development/Perl

URL: %CPAN %dist
Source0: http://www.cpan.org/authors/id/M/ML/MLEHMANN/%{dist}-%{version}.tar.gz
Patch0:		IO-AIO-4.4-shellbang.patch

# patch1&2: for perl7
Patch1:		IO-AIO-4.75-alt-add-not-defined.patch
Patch2:		IO-AIO-4.75-alt-import-add.patch

# Automatically added by buildreq on Sat Oct 08 2011
BuildRequires: perl-common-sense perl-devel perl(Canary/Stability.pm)
# in perl-devel
BuildRequires: %{perl_libdb_pkgname}-devel libgdbm-devel

%description
This module implements asynchronous I/O using whatever means your
operating system supports.

Asynchronous means that operations that can normally block your program
(e.g. reading from disk) will be done asynchronously: the operation
will still block, but you can do something else in the meantime. This
is extremely useful for programs that need to stay interactive even
when doing heavy I/O (GUI programs, high performance network servers
etc.), but can also be used to easily do operations in parallel that are
normally done sequentially, e.g. stat'ing many files, which is much faster
on a RAID volume or over NFS when you do a number of stat operations
concurrently.

%package scripts
Summary: %name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release
BuildArch: noarch

%description scripts
scripts for %name


%prep
%setup -q -n %{dist}-%{version}

# Fix shellbang in treescan (perl 5.32 syntax)
%patch0

# an attempt of perl7 support
#patch1 -p1
#patch2 -p1

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_autolib/IO
%perl_vendor_archlib/IO

%files scripts
%_bindir/*
%_man1dir/*


%changelog
