%define _unpackaged_files_terminate_build 1
%define module_name Math-MPFR
# BEGIN SourceDeps(oneline):
BuildRequires: libgmp-devel libmpfr-devel perl(Config.pm) perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Math/BigInt.pm) perl(Math/GMP.pm) perl(Math/GMPf.pm) perl(Math/GMPq.pm) perl(Math/GMPz.pm) perl(Math/LongDouble.pm) perl(Math/Trig.pm) perl(overload.pm) perl(subs.pm)
# END SourceDeps(oneline)
BuildRequires: rpm-build-perl perl-devel perl-podlators
%ifnarch %e2k %arm aarch64
BuildRequires: perl(Math/Decimal64.pm)
%endif
# not needed for now, but safe due to -Wl,as-needed
%ifnarch %e2k %arm aarch64
BuildRequires: libquadmath-devel
%endif
# not yet implemented _Decimal64 on aarch64 in our gcc9?
#https://gcc.gnu.org/legacy-ml/gcc-patches/2017-07/msg00788.html
ExcludeArch: aarch64 %arm

Name: perl-%module_name
Version: 4.16
Release: alt1
Summary: perl interface to the MPFR (floating point) library..
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://www.cpan.org/authors/id/S/SI/SISYPHUS/%{module_name}-%{version}.tar.gz

%description
A bigfloat module utilising the MPFR library. Basically.
   this module simply wraps the 'mpfr' floating point functions
   provided by that library.
   Operator overloading is also available.
   The following documentation heavily plagiarises the mpfr
   documentation.
   See also the Math::MPFR test suite for some examples of usage.

%prep
%setup -q -n %{module_name}-%{version}

# todo: MPFR?
%ifarch ppc64le
#expected 1.00000000000000000000000000000001, got 9.99999999999999999999999999999991
rm t/LongDouble.t
%endif

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CHANGES README
%perl_vendor_archlib/M*
%perl_vendor_autolib/*

%changelog
