Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:	A tiny replacement for Module::Build
Name:		perl-Module-Build-Tiny
Version:	0.039
Release:	alt1_15
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Module-Build-Tiny
Source0:	https://cpan.metacpan.org/modules/by-module/Module/Module-Build-Tiny-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	rpm-build-perl
BuildRequires:	perl-devel
# Module
BuildRequires:	perl(CPAN/Meta.pm)
BuildRequires:	perl(DynaLoader.pm)
BuildRequires:	perl(Exporter.pm)
BuildRequires:	perl(ExtUtils/CBuilder.pm)
BuildRequires:	perl(ExtUtils/Config.pm)
BuildRequires:	perl(ExtUtils/Helpers.pm)
BuildRequires:	perl(ExtUtils/Install.pm)
BuildRequires:	perl(ExtUtils/InstallPaths.pm)
BuildRequires:	perl(ExtUtils/ParseXS.pm)
BuildRequires:	perl(File/Path.pm)
BuildRequires:	perl(File/Spec/Functions.pm)
BuildRequires:	perl(Getopt/Long.pm)
BuildRequires:	perl(JSON/PP.pm)
BuildRequires:	perl(Pod/Man.pm)
BuildRequires:	perl(TAP/Harness/Env.pm)
# Test
BuildRequires:	perl(blib.pm)
BuildRequires:	perl(Carp.pm)
BuildRequires:	perl(Cwd.pm)
BuildRequires:	perl(Data/Dumper.pm)
BuildRequires:	perl(File/ShareDir.pm)
BuildRequires:	perl(File/Spec.pm)
BuildRequires:	perl(File/Temp.pm)
BuildRequires:	perl(IO/File.pm)
BuildRequires:	perl(IO/Handle.pm)
BuildRequires:	perl(IPC/Open2.pm)
BuildRequires:	perl(IPC/Open3.pm)
BuildRequires:	perl(Test/More.pm)
BuildRequires:	perl(Test/Pod.pm)
BuildRequires:	perl(XSLoader.pm)
# Runtime
Requires:	perl(DynaLoader.pm)
Requires:	perl(ExtUtils/CBuilder.pm)
Requires:	perl(ExtUtils/ParseXS.pm)
Requires:	perl(Pod/Man.pm)
Requires:	perl(TAP/Harness/Env.pm)

# ExtUtils::CBuilder in EL-8 has no dependency on gcc or c++ (#1547165)
# so pull them in ourselves
%if 0%{?el8}
BuildRequires:	gcc, gcc-c++
Requires:	gcc, gcc-c++
%endif
Source44: import.info

%description
Many Perl distributions use a Build.PL file instead of a Makefile.PL file to
drive distribution configuration, build, test and installation. Traditionally,
Build.PL uses Module::Build as the underlying build system. This module
provides a simple, lightweight, drop-in replacement.

Whereas Module::Build has over 6,700 lines of code; this module has less than
70, yet supports the features needed by most pure-Perl distributions.

%prep
%setup -q -n Module-Build-Tiny-%{version}
rm t/simple.t

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot} --create_packlist=0

%check
AUTHOR_TESTING=1 RELEASE_TESTING=1 ./Build test

%files
%doc --no-dereference LICENSE
%doc Changes README Todo
%{perl_vendor_privlib}/Module/

%changelog
