Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		perl-MouseX-Getopt
Summary:	Mouse role for processing command line options
Version:	0.38
Release:	alt1_12
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/MouseX-Getopt
Source0:	https://cpan.metacpan.org/modules/by-module/MouseX/MouseX-Getopt-%{version}.tar.gz
Patch0:		MouseX-Getopt-0.38-GLD-0.107.patch
BuildArch:	noarch
# Module Build
BuildRequires:	rpm-build-perl
BuildRequires:	perl-devel
BuildRequires:	perl(Module/Build/Tiny.pm)
BuildRequires:	perl(strict.pm)
BuildRequires:	perl(warnings.pm)
# Module Runtime
BuildRequires:	perl(Carp.pm)
BuildRequires:	perl(Getopt/Long.pm)
BuildRequires:	perl(Getopt/Long/Descriptive.pm)
BuildRequires:	perl(Mouse.pm)
BuildRequires:	perl(Mouse/Meta/Attribute.pm)
BuildRequires:	perl(Mouse/Role.pm)
BuildRequires:	perl(Mouse/Util/TypeConstraints.pm)
# Test Suite
BuildRequires:	perl(File/Spec.pm)
BuildRequires:	perl(Mouse/Meta/Class.pm)
BuildRequires:	perl(Scalar/Util.pm)
BuildRequires:	perl(Test/Exception.pm)
BuildRequires:	perl(Test/More.pm)
BuildRequires:	perl(Test/Mouse.pm)
BuildRequires:	perl(Test/Warn.pm)
# Optional Tests (have circular dependencies)
%if 0%{!?perl_bootstrap:1}
BuildRequires:	perl(MouseX/ConfigFromFile.pm)
BuildRequires:	perl(MouseX/SimpleConfig.pm)
%endif
# Runtime
Requires:	perl(Mouse.pm) >= 0.640
Requires:	perl(Mouse/Meta/Attribute.pm)

# Filter under-specified dependency

Source44: import.info
%filter_from_requires /^perl(Mouse.pm)/d

%description
This is a Mouse role that provides an alternate constructor for creating
objects using parameters passed in from the command line.

%prep
%setup -q -n MouseX-Getopt-%{version}

# Fix compatibility with GLD 0.107
%patch0

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot} --create_packlist=0

%check
./Build test

%files
# Note: malformed LICENSE file in 0.35 .. 0.38 not shipped
# https://github.com/gfx/mousex-getopt/issues/2
%doc Changes README.md
%{perl_vendor_privlib}/MouseX/

%changelog
