%define _unpackaged_files_terminate_build 1
Name: perl-Plack
Version: 1.0048
Release: alt1

Summary: Plack - Perl Superglue for Web frameworks and Web Servers (PSGI toolkit)
License: Perl
Group: Development/Perl

Url: %CPAN Plack
Source: %name-%version.tar

BuildRequires: perl-Apache-LogFormat-Compiler perl-HTTP-Tiny perl-File-ShareDir-Install perl-File-ShareDir perl-unicore perl-devel
BuildRequires: perl-Hash-MultiValue perl-Devel-StackTrace-AsHTML perl-Try-Tiny perl-libwww perl-Devel-StackTrace
BuildRequires: perl-Test-TCP perl-HTTP-Body perl-Test-Requires perl-URI perl-Filesys-Notify-Simple perl-parent
BuildRequires: perl-CGI-Emulate-PSGI perl-CGI-Compile perl-FCGI-Client perl-CGI apache2-mod_perl perl-FCGI perl-HTTP-Server-Simple-PSGI perl-Moose
BuildRequires: perl-Net-FastCGI perl-Module-Refresh perl-podlators perl-Stream-Buffered
BuildRequires: perl(Cookie/Baker.pm) perl(HTTP/Headers/Fast.pm) perl(HTTP/Entity/Parser.pm) perl(HTTP/Entity/Parser/JSON.pm) perl(JSON/PP.pm)
BuildArch: noarch

# faster that way than to fix incorrect dependencies
Provides: perl(Plack/Component.pm) = 1.004.700

%description
Plack is a set of tools for using the PSGI stack. It contains middleware
components, a reference server and utilities for Web application
frameworks. Plack is like Ruby's Rack or Python's Paste for WSGI.

%package Apache2
Summary: Apache 2.0 handlers to run PSGI application
Group: Development/Perl
Requires: %name = %version-%release

%description Apache2
This is a handler module to run any PSGI application with mod_perl
on Apache 2.x.

%package FCGI
Summary: FastCGI handler for Plack
Group: Development/Perl
Requires: %name = %version-%release

%description FCGI
This is a handler module to run any PSGI application as a standalone
FastCGI daemon or a .fcgi script.

%prep
%setup -q
# don't need this for build
sed -i "/authority/d" Makefile.PL
sed -i "/author_tests/d" Makefile.PL

# remove apache1 support
find . -iname 'apache1*' -delete

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README*
%_bindir/plackup
%_man1dir/plackup.1*
%perl_vendor_privlib/HTTP/Message/PSGI.pm
%perl_vendor_privlib/HTTP/Server/PSGI.pm
%perl_vendor_privlib/auto/share/dist/Plack/baybridge.jpg
%perl_vendor_privlib/auto/share/dist/Plack/face.jpg
%perl_vendor_privlib/Plack*
%doc Changes
%exclude %perl_vendor_privlib/Plack/Handler/Apache2.pm
%exclude %perl_vendor_privlib/Plack/Handler/Apache2/Registry.pm
%exclude %perl_vendor_privlib/Plack/Handler/FCGI.pm

%files Apache2
%perl_vendor_privlib/Plack/Handler/Apache2.pm
%perl_vendor_privlib/Plack/Handler/Apache2/Registry.pm

%files FCGI
%perl_vendor_privlib/Plack/Handler/FCGI.pm

%changelog
