%define _unpackaged_files_terminate_build 1
%define module common-sense

Name: perl-%module
Version: 3.75
Release: alt2

Summary: "Common sense" Perl defaults
License: Perl
Group: Development/Perl

Url: %CPAN %module
Source0: http://www.cpan.org/authors/id/M/ML/MLEHMANN/%{module}-%{version}.tar.gz
Patch1:	common-sense-3.71-podenc.patch

#BuildArch: noarch

# Automatically added by buildreq on Thu Apr 08 2010
BuildRequires: perl-devel

%description
This module implements some sane defaults for Perl programs, as defined
by two typical (or not so typical - use your common sense) specimens of
Perl coders:

It's supposed to be mostly the same, with much lower memory usage, as:

	use utf8;
	use strict qw(vars subs);
	use feature qw(say state switch);
	use feature qw(unicode_strings unicode_eval current_sub fc evalbytes);
	no feature qw(array_base);
	no warnings;
	use warnings qw(FATAL closed threads internal debugging pack
			prototype inplace io pipe unpack malloc
			deprecated glob digit printf layer
			reserved taint closure semicolon);
	no warnings qw(exec newline unopened);


%prep
%setup -q -n %{module}-%{version}
%patch1

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_archlib/common

%changelog
