%define pg_ver 14

%define _unpackaged_files_terminate_build 1
%define _stripped_files_terminate_build 1
%set_verify_elf_method strict,lfs=relaxed

Name: pg_rman%pg_ver
Version: 1.3.14
Release: alt4
Summary: pg_rman is an online backup and restore tool for PostgreSQL
License: BSD-3-Clause
Group: Databases
Url: https://github.com/ossc-db/pg_rman

# https://github.com/ossc-db/pg_rman.git
Source: %name-%version.tar

# Automatically added by buildreq on Sat Apr 19 2014 (-bi)
# optimized out: elfutils libcloog-isl4 libcom_err-devel libkrb5-devel libpq-devel libsasl2-3 postgresql-devel python-base setproctitle
BuildRequires: libecpg-devel-static libpq5-devel-static libpam-devel libreadline-devel libselinux-devel libssl-devel setproctitle-devel zlib-devel
BuildRequires: postgresql%pg_ver-server-devel
BuildRequires: libkrb5-devel liblz4-devel

Requires: postgresql%pg_ver-server

Conflicts: pg_rman
Conflicts: pg_rman10
Conflicts: pg_rman11
Conflicts: pg_rman12
Conflicts: pg_rman13

%description
The goal of the pg_rman project is providing a method for online
backup and PITR as easy as pg_dump. Also, it maintains a backup
catalog per database cluster. Users can maintain old backups
including archive logs with one command.

%prep
%setup

%build
%make_build PG_CONFIG=%_bindir/pg_server_config

%install
install -pD -m 755 pg_rman %buildroot%_bindir/pg_rman

mkdir examples
cp -r sql examples/

%files
%doc COPYRIGHT README.md
%doc docs
%doc examples
%_bindir/*

%changelog
