Name: pgfouine
Version: 1.2
Release: alt3

Summary: PgFouine PostgreSQL log analyzer

BuildArch: noarch
License: GPL
Group: Development/Tools
Source0: %name-%version.tar
Source2: pgfouine-tutorial.txt
Url: http://pgfouine.projects.postgresql.org

Patch1: pgfouine-0.7-include_path.patch

Requires: fonts-ttf-dejavu

%description
pgFouine is a PostgreSQL log analyzer. It generates text
or HTML reports from PostgreSQL log files. These reports
contain the list of the slowest queries, the queries that
take the most time and so on.

pgFouine can also:
- analyze VACUUM VERBOSE output to help you improve your
VACUUM strategy,
- generate Tsung sessions file to benchmark your
PostgreSQL server.

%prep
%setup -q
%patch1 -p0
sed -i 's!@INCLUDEPATH@!%_datadir/%name!' pgfouine_vacuum.php
sed -i 's!@INCLUDEPATH@!%_datadir/%name!' pgfouine.php

cp %SOURCE2 .

%build
%install

# creating required directories
install -m 755 -d %buildroot/%_datadir/%name
install -m 755 -d %buildroot/%_bindir

# installing pgFouine
for i in include version.php; do
	cp -rp $i %buildroot/%_datadir/%name/
done

install -m 755 pgfouine.php %buildroot/%_bindir/
install -m 755 pgfouine_vacuum.php %buildroot/%_bindir/

# remove bundled font (see ALT 25364)
rm %buildroot%_datadir/%name/include/reporting/artichow/font/DejaVuSans.ttf
ln -srf %buildroot%_datadir/fonts/ttf/dejavu/DejaVuSans.ttf %buildroot%_datadir/%name/include/reporting/artichow/font/DejaVuSans.ttf

%files
%doc AUTHORS ChangeLog COPYING THANKS README pgfouine-tutorial.txt
%attr(0755, root, root) %_bindir/pgfouine.php
%attr(0755, root, root) %_bindir/pgfouine_vacuum.php
%_datadir/%name

%changelog
