
Name: phpipam
Epoch: 1
Version: 1.5.2
Release: alt1
Summary: PHP-based virtual machine control tool
Group: Networking/WWW
License: GPLv3
Url: http://phpipam.net
Source: %name-%version.tar
Source21: captcha.tar
Source22: GoogleAuthenticator.tar
Source23: PHPMailer.tar
Source24: php-saml.tar
Source25: qrcodejs.tar
Source26: xmlseclibs.tar
Source27: parsedown.tar

Source11: %name-apache.conf
# Patch: %%name-%%version-%%release.patch

Provides: %name-php = %EVR
Provides: %name-php7 = %EVR
Obsoletes: %name-php7 < %EVR
Conflicts: %name-php5
BuildArch: noarch
Requires: webserver-common
Requires: php7-gmp php7-ldap php7-sockets php7-openssl php7-pdo php7-pdo_mysql php7-pcntl php7-mbstring php7-mcrypt php7-snmp php7-gd2 pear-core

BuildRequires(pre): rpm-macros-webserver-common rpm-macros-apache2


%description
phpipam is an open-source web IP address management application.
Its goal is to provide light and simple IP address management application.
It is ajax-based using jQuery libraries, it uses php scripts and javascript
and some HTML5/CSS3 features, so some modern browser is preferred
to be able to display javascript quickly and correctly.

Features and tools:
- Section / Subnet separation
- Subnet nesting
- IPv4/IPv6 support
- REST API
- Subnet ICMP/telnet scanning and automatic status updates
- Displays free range and number of clients
- Subnet statistics
- User management
- AD/LDAP/OpenLDAP/NetIQ/Radius authentication support (multiple servers)
- E-Mail notification with IP details
- Import IP addresses from XLS / CSV file
- Export IP database to XLS file
- IPv4/IPv6 calculator
- Search IP database
- IP request module
- Custom IP address fields
- and much more...
- PowerDNS integration (3.4+);

%package apache2
Group: Networking/WWW
BuildArch: noarch
Summary: apache2 configs for %name
Requires: %name = %version-%release
Requires: apache2-httpd-prefork-like php-engine

%description apache2
%summary

%prep
%setup
tar -xf %SOURCE21 -C app/login/captcha
tar -xf %SOURCE22 -C functions/GoogleAuthenticator
tar -xf %SOURCE23 -C functions/PHPMailer
tar -xf %SOURCE24 -C functions/php-saml
tar -xf %SOURCE25 -C functions/qrcodejs
tar -xf %SOURCE26 -C functions/xmlseclibs
tar -xf %SOURCE27 -C functions/parsedown
#%%patch -p1

%install
mkdir -p %buildroot%webserver_webappsdir
cp -r ../%name-%version %buildroot%webserver_webappsdir/%name
#cleaup
#rm -rf %%buildroot%%webserver_webappsdir/%%name/misc
rm -f %buildroot%webserver_webappsdir/%name/{INSTALL.txt,README,UPDATE}
rm -f %buildroot%webserver_webappsdir/%name/.gitattributes
rm -f %buildroot%webserver_webappsdir/%name/.gitignore
rm -f %buildroot%webserver_webappsdir/%name/.gitmodules

install -pDm644 %SOURCE11 %buildroot%apache2_extra_available/%name.conf
%__subst 's|--dir--|%webserver_webappsdir/%name|g' %buildroot%apache2_extra_available/%name.conf

chmod 644 INSTALL.txt README.md UPDATE misc/CHANGELOG misc/Roadmap

# Cleanup
rm -f %buildroot%webserver_webappsdir/%name/functions/PHPMailer/.gitattributes
rm -f %buildroot%webserver_webappsdir/%name/functions/PHPMailer/.gitignore
rm -f %buildroot%webserver_webappsdir/%name/functions/PHPMailer/.scrutinizer.yml
rm -f %buildroot%webserver_webappsdir/%name/functions/PHPMailer/.travis.yml
rm -f %buildroot%webserver_webappsdir/%name/functions/PHPMailer/travis.phpunit.xml.dist
rm -rf %buildroot%webserver_webappsdir/%name/functions/PHPMailer/{.github,docs,examples,test}
rm -f %buildroot%webserver_webappsdir/%name/functions/php-saml/.gitattributes
rm -f %buildroot%webserver_webappsdir/%name/functions/php-saml/.gitignore
rm -f %buildroot%webserver_webappsdir/%name/functions/php-saml/.travis.yml
rm -rf %buildroot%webserver_webappsdir/%name/functions/php-saml/{demo-old,demo1,demo2,docs,tests}
rm -f %buildroot%webserver_webappsdir/%name/functions/qrcodejs/.gitignore
rm -f %buildroot%webserver_webappsdir/%name/app/login/captcha/.gitattributes
rm -rf %buildroot%webserver_webappsdir/%name/app/login/captcha/examples
rm -f %buildroot%webserver_webappsdir/%name/functions/GoogleAuthenticator/.gitignore
rm -f %buildroot%webserver_webappsdir/%name/functions/GoogleAuthenticator/.travis.yml
rm -rf %buildroot%webserver_webappsdir/%name/functions/GoogleAuthenticator/tests
rm -rf %buildroot%webserver_webappsdir/%name/.github

%files
%doc INSTALL.txt README.md UPDATE misc/CHANGELOG misc/Roadmap
%dir %webserver_webappsdir/%name/
%webserver_webappsdir/%name/*
%webserver_webappsdir/%name/.htaccess
%dir %attr(0770, root, _webserver) %webserver_webappsdir/%name/app/admin/import-export/upload
%dir %attr(0770, root, _webserver) %webserver_webappsdir/%name/app/subnets/import-subnet/upload

%files apache2
%config(noreplace) %apache2_extra_available/%name.conf

%changelog
