Name: pinta
Version: 1.7
Release: alt1

Summary: An easy to use drawing and image editing program

Group: Graphics

# the code is licensed under the MIT license while the icons are licensed as CC-BY
License: MIT and CC-BY-2.5
Url: http://pinta-project.com/

Packager: Vitaly Lipatov <lav@altlinux.ru>

# Source-url: https://github.com/PintaProject/Pinta/archive/%version.tar.gz
Source: %name-%version.tar
Patch0: %name-%version-alt-fix-MonoPosix.patch

# Mono only available on these:
ExclusiveArch: %ix86 x86_64 ppc ppc64 ia64 %arm sparcv9 alpha s390x


# Manually:
BuildRequires(pre): rpm-build-mono
BuildRequires: glib2-devel
BuildRequires: intltool
BuildRequires: libgtk-sharp2-devel
BuildRequires: mono-addins-devel
BuildRequires: mono-devel

Requires: icon-theme-hicolor
Requires: mono-addins

# Interfaces of slightly older versions are required, upstream corrects it by modifying 'Requires'
%define __find_provides sh -c '/usr/lib/rpm/find-provides | sort | uniq'
%define __find_requires sh -c '/usr/lib/rpm/find-requires | sort | uniq | \
	sed -e "/mono\(Mono.Cairo\) = 2.0/d" | \
	sed -e "/mono\(Mono.Posix\) = 2.0/d"'

%description
Pinta is an image drawing/editing program.
It's goal is to provide a simplified alternative to GIMP for casual users.

%prep
%setup
%patch0 -p1
%__subst 's!$(InstallPrefix)/lib/!$(InstallPrefix)/%_lib/!' Pinta/Pinta.csproj
%__subst 's!@prefix@/lib/!%_libdir/!' pinta.in
%__subst 's!$(InstallPrefix)/lib/!$(InstallPrefix)/%_lib/!' Pinta.Install.proj

%build
%autoreconf
%configure
%make_build

%install
%makeinstall_std
%find_lang %name

%files -f %name.lang
%doc readme.md license-mit.txt license-pdn.txt
%_bindir/%name
%_libdir/%name/
%_desktopdir/%name.desktop
%_iconsdir/hicolor/*/*/%name.*
%_man1dir/%{name}*
%_pixmapsdir/%{name}*

%changelog
