%define rname breeze

%define breezecommon_sover 5
%define libbreezecommon libbreezecommon%breezecommon_sover

Name: plasma5-%rname
Version: 5.27.8
Release: alt1
Epoch: 1
%K5init altplace no_appdata

Group: Graphical desktop/KDE
Summary: KDE Workspace 5 visual style
Url: http://www.kde.org
License: GPL-2.0-or-later

Requires: icon-theme-breeze

Source: %rname-%version.tar
Patch1: alt-breeze-fix-build.patch

# Automatically added by buildreq on Sat Mar 21 2015 (-bi)
# optimized out: cmake cmake-modules elfutils libEGL-devel libGL-devel libcloog-isl4 libqt5-core libqt5-dbus libqt5-gui libqt5-svg libqt5-widgets libqt5-x11extras libqt5-xml libstdc++-devel libxcb-devel libxcbutil-keysyms pkg-config python-base qt5-base-devel ruby ruby-stdlibs
#BuildRequires: extra-cmake-modules gcc-c++ kf5-frameworkintegration-devel kf5-kauth-devel kf5-kcodecs-devel kf5-kconfig-devel kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kdbusaddons-devel kf5-kdecoration-devel kf5-kguiaddons-devel kf5-ki18n-devel kf5-kiconthemes-devel kf5-kitemviews-devel kf5-kservice-devel kf5-kwidgetsaddons-devel kf5-kwindowsystem-devel python-module-google qt5-x11extras-devel rpm-build-gir rpm-build-ruby
BuildRequires(pre): rpm-build-kf5 rpm-build-ubt
BuildRequires: extra-cmake-modules gcc-c++ qt5-base-devel qt5-declarative-devel qt5-x11extras-devel
BuildRequires: kf5-frameworkintegration-devel kf5-kauth-devel kf5-kcodecs-devel kf5-kconfig-devel kf5-kconfigwidgets-devel
BuildRequires: kf5-kcoreaddons-devel kf5-kdbusaddons-devel plasma5-kdecoration-devel kf5-kguiaddons-devel kf5-ki18n-devel
BuildRequires: kf5-kiconthemes-devel kf5-kitemviews-devel kf5-kservice-devel kf5-kwidgetsaddons-devel kf5-kwindowsystem-devel
BuildRequires: kf5-kcmutils-devel kf5-plasma-framework-devel kf5-kpackage-devel
BuildRequires: kf5-kwayland-devel kf5-kirigami-devel

Provides: kf5-breeze = %EVR
Obsoletes: kf5-breeze < %EVR

%description
Artwork, styles and assets for the Breeze visual style for the Plasma Desktop

%package common
Summary: %name common package
Group: System/Configuration/Other
BuildArch: noarch
Requires: kf5-filesystem
Provides: kf5-breeze-common = %EVR
Obsoletes: kf5-breeze-common < %EVR
%description common
%name common package

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
Requires: kf5-filesystem
Provides: kf5-breeze-devel = %EVR
Obsoletes: kf5-breeze-devel < %EVR
%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package -n %libbreezecommon
Group: System/Libraries
Summary: KF5 library
#Requires: %name-common = %EVR
%description -n %libbreezecommon
KF5 library


%prep
%setup -n %rname-%version
#%patch1 -p1

%build
%K5build \
    -DKDE_INSTALL_DATADIR=%_K5data \
    -DICON_INSTALL_DIR=%_iconsdir \
    #

%install
%K5install
%K5install_move data kconf_update wallpapers

%find_lang %name --all-name

%files -f %name.lang
%doc LICENSES/*
%_bindir/*5
%_K5bin/*
%_K5cf_bin/*
%_K5plug/plasma/kcms/breeze/*.so
%_K5plug/plasma/kcms/systemsettings*/*breeze*.so
%_K5plug/org.kde.kdecoration2/*.so
%_K5plug/styles/*.so
%_K5xdgapp/*breeze*.desktop
%_K5data/QtCurve/
%_K5data/kstyle/themes/*
%_K5data/color-schemes/*
%_iconsdir/?reeze*/
%_iconsdir/hicolor/*/apps/breeze-settings.*
%_K5cf_upd/*
%_K5wall/*

%files devel
%_libdir/cmake/Breeze/

%files -n %libbreezecommon
%_K5lib/libbreezecommon5.so.%breezecommon_sover
%_K5lib/libbreezecommon5.so.*

%changelog
