%define rname ksshaskpass
%define openssh_askpass_dir %_libexecdir/openssh

Name: plasma5-%rname
Version: 5.27.8
Release: alt1
Epoch: 1
%K5init altplace

Group: Graphical desktop/KDE
Summary: KDE Workspace 5 front-end for ssh-add
Url: http://www.kde.org
License: GPL-2.0-or-later

Requires(pre,postun): alternatives >= 0:0.4, %openssh_askpass_dir
Requires: ssh-provider-openssh-askpass-common
Provides: openssh-askpass-kf5 = %version-%release

Source: %rname-%version.tar
Source1: ksshaskpass-autostart
Source2: ksshaskpass.desktop

# Automatically added by buildreq on Sat Mar 21 2015 (-bi)
# optimized out: alternatives cmake cmake-modules docbook-dtds docbook-style-xsl elfutils kf5-kdoctools-devel libEGL-devel libGL-devel libcloog-isl4 libgpg-error libqt5-core libqt5-dbus libqt5-gui libqt5-widgets libqt5-x11extras libqt5-xml libstdc++-devel libxcbutil-keysyms python-base xml-common xml-utils
#BuildRequires: extra-cmake-modules gcc-c++ kf5-kconfig-devel kf5-kcoreaddons-devel kf5-kdelibs4support kf5-kdoctools kf5-kdoctools-devel kf5-ki18n-devel kf5-kwallet-devel kf5-kwidgetsaddons-devel kf5-kwindowsystem-devel python-module-google qt5-base-devel ruby ruby-stdlibs
BuildRequires(pre): rpm-build-kf5 rpm-build-ubt
BuildRequires: extra-cmake-modules gcc-c++ qt5-base-devel
BuildRequires: kf5-kconfig-devel kf5-kcoreaddons-devel kf5-kdelibs4support
BuildRequires: kf5-kdoctools kf5-kdoctools-devel
BuildRequires: kf5-ki18n-devel kf5-kwallet-devel kf5-kwidgetsaddons-devel kf5-kwindowsystem-devel

Provides: kf5-ksshaskpass = %EVR
Obsoletes: kf5-ksshaskpass < %EVR

%description
Ksshaskpass is a front-end for ssh-add which stores the password of the ssh key in KWallet.

%package common
Summary: %name common package
Group: System/Configuration/Other
BuildArch: noarch
Requires: kf5-filesystem
Provides: kf5-ksshaskpass-common = %EVR
Obsoletes: kf5-ksshaskpass-common < %EVR
%description common
%name common package

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
Provides: kf5-ksshaskpass-devel = %EVR
Obsoletes: kf5-ksshaskpass-devel < %EVR
%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package -n libkf5sshaskpass
Group: System/Libraries
Summary: KF5 library
Requires: %name-common = %version-%release
%description -n libkf5sshaskpass
KF5 library


%prep
%setup -n %rname-%version

%build
%K5build

%install
%K5install

mkdir -p %buildroot/%openssh_askpass_dir/
mv %buildroot/%_K5bin/%rname \
    %buildroot/%openssh_askpass_dir/%name
mkdir -p %buildroot/%_K5bin/
install -m 0755 %SOURCE1 %buildroot/%_K5bin/
mkdir -p %buildroot/%_K5start/
install -m 0644 %SOURCE2 %buildroot/%_K5start/

# setup alternative
mkdir -p %buildroot%_altdir
cat >%buildroot%_altdir/%name<<EOF
%openssh_askpass_dir/ssh-askpass        %openssh_askpass_dir/%name        40
EOF

%find_lang %name --all-name

%files -f %name.lang
%doc LICENSES/*
%_altdir/%name
%openssh_askpass_dir/%name
%_K5bin/ksshaskpass-autostart
%_K5start/ksshaskpass.desktop
#%_K5xdgapp/org.kde.ksshaskpass.desktop

%changelog
