%{expand: %(sed 's,^%%,%%global ,' /usr/lib/rpm/macros.d/ubt)}
%define ubt_id %__ubt_branch_id

%define ecm_ver %{get_version extra-cmake-modules}
%ifndef _unitdir_user
%define _unitdir_user %prefix/lib/systemd/user
%endif

%define rname polkit-kde-agent-1

Name: plasma5-polkit-kde-agent
Version: 5.27.8
Release: alt1
Epoch: 1
%K5init altplace

Group: Graphical desktop/KDE
Summary: KDE Workspace 5 PolicyKit authentication agent
Url: http://www.kde.org
License: GPL-2.0-or-later

Requires: polkit

Source: %rname-%version.tar
Patch1: alt-stay-on-top.patch
Patch2: alt-show-only-one-user-too.patch

# Automatically added by buildreq on Fri Feb 27 2015 (-bi)
# optimized out: cmake cmake-modules elfutils libEGL-devel libGL-devel libcloog-isl4 libjson-c libpolkit-qt5-agent libpolkit-qt5-core libpolkit-qt5-gui libqt5-core libqt5-dbus libqt5-gui libqt5-svg libqt5-widgets libqt5-x11extras libqt5-xml libstdc++-devel libxcbutil-keysyms python-base qt5-base-devel
#BuildRequires: extra-cmake-modules gcc-c++ kf5-kauth-devel kf5-kcodecs-devel kf5-kconfig-devel kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kcrash-devel kf5-kdbusaddons-devel kf5-kguiaddons-devel kf5-ki18n-devel kf5-kiconthemes-devel kf5-kitemviews-devel kf5-knotifications-devel kf5-kwidgetsaddons-devel kf5-kwindowsystem-devel libpolkitqt5-qt5-devel python-module-google ruby ruby-stdlibs
BuildRequires(pre): rpm-build-kf5 extra-cmake-modules
BuildRequires: gcc-c++
BuildRequires: polkitqt5-devel
BuildRequires: kf5-kauth-devel kf5-kcodecs-devel kf5-kconfig-devel kf5-kconfigwidgets-devel kf5-kcoreaddons-devel
BuildRequires: kf5-kdbusaddons-devel kf5-kguiaddons-devel kf5-ki18n-devel kf5-kiconthemes-devel kf5-kitemviews-devel
BuildRequires: kf5-knotifications-devel kf5-kwidgetsaddons-devel kf5-kwindowsystem-devel kf5-kcrash-devel

Provides: kf5-polkit-kde-agent = %EVR
Obsoletes: kf5-polkit-kde-agent < %EVR

%description
Provides Policy Kit Authentication Agent that nicely fits to KDE.

%package common
Summary: %name common package
Group: System/Configuration/Other
BuildArch: noarch
Requires: kf5-filesystem
Provides: kf5-polkit-kde-agent-common = %EVR
Obsoletes: kf5-polkit-kde-agent-common < %EVR
%description common
%name common package

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
Provides: kf5-polkit-kde-agent-devel = %EVR
Obsoletes: kf5-polkit-kde-agent-devel < %EVR
%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package -n libkf5polkit-kde-agent-1
Group: System/Libraries
Summary: KF5 library
Requires: %name-common = %version-%release
%description -n libkf5polkit-kde-agent-1
KF5 library


%prep
%setup -n %rname-%version
%patch1 -p1
%patch2 -p1

%build
%K5build \
    -DLIBEXEC_INSTALL_DIR=%_K5exec \
    #

%install
%K5install
%find_lang %name --all-name

%files -f %name.lang
%_K5exec/polkit-kde-authentication-agent-1
%_K5start/*polkit-kde-authentication-agent*.desktop
%_K5xdgapp/*polkit-kde-authentication-agent*.desktop
%_K5notif/policykit1-kde.notifyrc
%_K5if_ver_gteq %ecm_ver 5.73
%_unitdir_user/*.service
%endif

%changelog
