%define rname sddm-kcm

Name: plasma5-%rname
Version: 5.27.8
Release: alt1
Epoch: 1
%K5init altplace

Group: Graphical desktop/KDE
Summary: KDE Workspace 5 SDDM configuration module
Url: http://www.kde.org
License: GPL-2.0-or-later

Provides: kf5-sddm-kcm = %EVR
Obsoletes: kf5-sddm-kcm < %EVR
# kcmshell5 or systemsettings5
#Requires: kf5-kde-cli-tools or kf5-systemsettings
Requires: sddm

Source: %rname-%version.tar
Patch1: alt-uid-min-max.patch

# Automatically added by buildreq on Tue Mar 31 2015 (-bi)
# optimized out: cmake cmake-modules elfutils kf5-attica-devel libEGL-devel libGL-devel libICE-devel libSM-devel libX11-devel libXScrnSaver-devel libXau-devel libXcomposite-devel libXcursor-devel libXdamage-devel libXdmcp-devel libXext-devel libXfixes-devel libXft-devel libXi-devel libXinerama-devel libXmu-devel libXpm-devel libXrandr-devel libXrender-devel libXt-devel libXtst-devel libXv-devel libXxf86misc-devel libXxf86vm-devel libcloog-isl4 libqt5-core libqt5-dbus libqt5-designer libqt5-gui libqt5-network libqt5-qml libqt5-quick libqt5-quickwidgets libqt5-svg libqt5-widgets libqt5-x11extras libqt5-xml libstdc++-devel libxcb-devel libxcbutil-keysyms libxkbfile-devel pkg-config python-base qt5-base-devel ruby ruby-stdlibs xorg-kbproto-devel xorg-xf86miscproto-devel xorg-xproto-devel
#BuildRequires: extra-cmake-modules gcc-c++ kf5-kauth-devel kf5-kbookmarks-devel kf5-kcodecs-devel kf5-kcompletion-devel kf5-kconfig-devel kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kdbusaddons-devel kf5-kglobalaccel-devel kf5-kguiaddons-devel kf5-ki18n-devel kf5-kiconthemes-devel kf5-kio-devel kf5-kitemviews-devel kf5-kjobwidgets-devel kf5-kservice-devel kf5-ktextwidgets-devel kf5-kwidgetsaddons-devel kf5-kwindowsystem-devel kf5-kxmlgui-devel kf5-solid-devel kf5-sonnet-devel libxcbutil-image-devel python-module-google qt5-declarative-devel qt5-quick1-devel qt5-tools-devel qt5-x11extras-devel rpm-build-ruby
BuildRequires(pre): rpm-build-kf5 rpm-build-ubt
BuildRequires: extra-cmake-modules gcc-c++
BuildRequires: qt5-declarative-devel qt5-tools-devel qt5-x11extras-devel
BuildRequires: libxcbutil-image-devel
BuildRequires: kf5-kauth-devel kf5-kbookmarks-devel kf5-kcodecs-devel kf5-kcompletion-devel kf5-kconfig-devel kf5-kconfigwidgets-devel
BuildRequires: kf5-kcoreaddons-devel kf5-kdbusaddons-devel kf5-kglobalaccel-devel kf5-kguiaddons-devel kf5-ki18n-devel
BuildRequires: kf5-kiconthemes-devel kf5-kio-devel kf5-kitemviews-devel kf5-kjobwidgets-devel kf5-kservice-devel kf5-ktextwidgets-devel
BuildRequires: kf5-kwidgetsaddons-devel kf5-kwindowsystem-devel kf5-kxmlgui-devel kf5-solid-devel kf5-sonnet-devel
BuildRequires: kf5-karchive-devel kf5-knewstuff-devel kf5-kdeclarative-devel kf5-kcmutils-devel kf5-kpackage-devel

%description
SDDM configuration module.

%package common
Summary: %name common package
Group: System/Configuration/Other
BuildArch: noarch
Requires: kf5-filesystem
Provides: kf5-sddm-kcm-common = %EVR
Obsoletes: kf5-sddm-kcm-common < %EVR
%description common
%name common package

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
Provides: kf5-sddm-kcm-devel = %EVR
Obsoletes: kf5-sddm-kcm-devel < %EVR
%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package -n libkf5sddm-kcm
Group: System/Libraries
Summary: KF5 library
Requires: %name-common = %version-%release
%description -n libkf5sddm-kcm
KF5 library


%prep
%setup -n %rname-%version
%patch1 -p1

%build
%K5build \
    -DSDDM_CONFIG_FILE=/etc/X11/sddm/sddm.conf \
    -DSDDM_SYSTEM_CONFIG_DIR=%_datadir/sddm/conf.d \
    #

%install
%K5install
%K5install_move data sddm-kcm knsrcfiles kpackage
%find_lang %name --all-name

%files -f %name.lang
%doc LICENSES/*
%_K5data/knsrcfiles/*.knsrc
%_K5dbus/system.d/*.conf
%_K5bin/sddmthemeinstaller
%_K5plug/plasma/kcms/systemsettings/*.so
%_K5xdgapp/*.desktop
%_K5libexecdir/kauth/*
%_K5data/kpackage/kcms/kcm_sddm/
%_K5dbus_sys_srv/*.service
%_datadir/polkit-1/actions/*

%changelog
