%define rname systemsettings

%define systemsettingsview_sover 3
%define libsystemsettingsview libsystemsettingsview%systemsettingsview_sover

Name: plasma5-%rname
Version: 5.27.8
Release: alt1
%K5init altplace no_appdata

Group: Graphical desktop/KDE
Summary: KDE Workspace 5 settings
Url: http://www.kde.org
License: GPL-2.0-or-later

Requires: qml(org.kde.kcm) kf5-kirigami
Provides: kf5-systemsettings = %EVR
Obsoletes: kf5-systemsettings < %EVR

Source: %rname-%version.tar

# Automatically added by buildreq on Wed Mar 25 2015 (-bi)
# optimized out: cmake cmake-modules docbook-dtds docbook-style-xsl elfutils kf5-attica-devel kf5-kdoctools-devel libEGL-devel libGL-devel libcloog-isl4 libdbusmenu-qt52 libgpg-error libjson-c libqt5-core libqt5-dbus libqt5-gui libqt5-network libqt5-printsupport libqt5-svg libqt5-widgets libqt5-x11extras libqt5-xml libstdc++-devel libxcbutil-keysyms python-base ruby ruby-stdlibs xml-common xml-utils
#BuildRequires: extra-cmake-modules gcc-c++ kf5-karchive-devel kf5-kauth-devel kf5-kbookmarks-devel kf5-kcmutils-devel kf5-kcodecs-devel kf5-kcompletion-devel kf5-kconfig-devel kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kdbusaddons-devel kf5-kdelibs4support kf5-kdoctools kf5-kdoctools-devel kf5-kglobalaccel-devel kf5-kguiaddons-devel kf5-khtml-devel kf5-ki18n-devel kf5-kiconthemes-devel kf5-kio-devel kf5-kitemviews-devel kf5-kjobwidgets-devel kf5-kjs-devel kf5-knotifications-devel kf5-kparts-devel kf5-kservice-devel kf5-ktextwidgets-devel kf5-kwallet-devel kf5-kwidgetsaddons-devel kf5-kwindowsystem-devel kf5-kxmlgui-devel kf5-solid-devel kf5-sonnet-devel python-module-google qt5-base-devel rpm-build-ruby
BuildRequires(pre): rpm-build-kf5 rpm-build-ubt
BuildRequires: extra-cmake-modules gcc-c++ qt5-base-devel qt5-declarative-devel
BuildRequires: plasma5-workspace-devel
BuildRequires: kf5-karchive-devel kf5-kauth-devel kf5-kbookmarks-devel kf5-kcmutils-devel kf5-kcodecs-devel kf5-kcompletion-devel
BuildRequires: kf5-kconfig-devel kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kdbusaddons-devel
BuildRequires: kf5-kdoctools kf5-kdoctools-devel kf5-krunner-devel
BuildRequires: kf5-kglobalaccel-devel kf5-kguiaddons-devel kf5-ki18n-devel kf5-kiconthemes-devel kf5-kio-devel
BuildRequires: kf5-kitemviews-devel kf5-kjobwidgets-devel kf5-kjs-devel kf5-knotifications-devel kf5-kparts-devel kf5-kservice-devel
BuildRequires: kf5-ktextwidgets-devel kf5-kwallet-devel kf5-kwidgetsaddons-devel kf5-kwindowsystem-devel kf5-kxmlgui-devel
BuildRequires: kf5-solid-devel kf5-sonnet-devel kf5-kactivities-devel kf5-kactivities-stats-devel kf5-kirigami-devel
BuildRequires: kf5-kdeclarative-devel kf5-kpackage-devel kf5-kcrash-devel kf5-kitemmodels-devel

%description
KDE System Settings

%package common
Summary: %name common package
Group: System/Configuration/Other
BuildArch: noarch
Requires: kf5-filesystem
Provides: kf5-systemsettings-common = %EVR
Obsoletes: kf5-systemsettings-common < %EVR
%description common
%name common package

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
Provides: kf5-systemsettings-devel = %EVR
Obsoletes: kf5-systemsettings-devel < %EVR
%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package -n %libsystemsettingsview
Group: System/Libraries
Summary: KF5 library
Requires: %name-common = %version-%release
Provides: libsystemsettingsview = %version-%release
Obsoletes: libsystemsettingsview < %version-%release
%description -n %libsystemsettingsview
KF5 library


%prep
%setup -n %rname-%version

sed -i 's|\(^Name.*=.*\)|\1 KDE5|' app/systemsettings.desktop
sed -i '/^Name.*=/s/KDE/KDE5/' app/kdesystemsettings.desktop
sed -i 's|\(^Exec.*=\)\(.*\)|\1kde5 \2|' app/kdesystemsettings.desktop
sed -i '/EnabledByDefault/s|true|false|' runner/systemsettingsrunner.json

%build
%K5build \
    -DKDE_INSTALL_INCLUDEDIR=%_K5inc \
    #

%install
%K5install
%K5install_move data systemsettings kpackage kglobalaccel locale

[ -e %buildroot/%_K5bin/systemsettings ] \
    || ln -s systemsettings5 %buildroot/%_K5bin/systemsettings

mkdir -p %buildroot/%_desktopdir/kf5
mv %buildroot/%_kf5_xdgapp/kdesystemsettings.desktop %buildroot/%_desktopdir/kf5/


%find_lang %name --with-kde --all-name

%files common -f %name.lang
%doc LICENSES/*
%_datadir/qlogging-categories5/*.*categories

%files
%_bindir/*5
%_K5bin/*
%_K5plug/systemsettingsview/
%_K5plug/kf5/krunner/*.so
%_K5data/systemsettings/
%_K5data/kglobalaccel/*systemsettings*
%_K5data/kpackage/genericqml/org.kde.systemsettings.sidebar/
#%_K5srv/*.desktop
%_K5srvtyp/*.desktop
%_K5xmlgui/*
%_K5xdgapp/*.desktop
%_desktopdir/kf5/kdesystemsettings.desktop

#%files devel
#%_K5inc/systemsettingsview/
#%_K5link/lib*.so

%files -n %libsystemsettingsview
%_K5lib/libsystemsettingsview.so.%systemsettingsview_sover
%_K5lib/libsystemsettingsview.so.*

%changelog
