%ifndef _unitdir_user
%define _unitdir_user %prefix/lib/systemd/user
%endif

%define rname xdg-desktop-portal-kde
Name: plasma5-%rname
Version: 5.27.8
Release: alt4
%K5init altplace

Group: Graphical desktop/KDE
Summary: KDE5 xdg-desktop-portal
Url: http://www.kde.org
License: GPL-2.0-or-later

Provides: xdg-desktop-portal-kde = %version-%release

Requires: xdg-desktop-portal

Source: %rname-%version.tar
Source1: env.sh
Patch1: alt-show-preferred-apps.patch
Patch2: 0001-data-kde-portals.conf-Fallback-to-GTK-portals-for-Se.patch

# Automatically added by buildreq on Thu Feb 20 2020 (-bi)
# optimized out: clang7.0 cmake cmake-modules elfutils gcc-c++ glibc-kernheaders-generic glibc-kernheaders-x86 kf5-kauth-devel kf5-kbookmarks-devel kf5-kcodecs-devel kf5-kcompletion-devel kf5-kconfig-devel kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kitemviews-devel kf5-kjobwidgets-devel kf5-kservice-devel kf5-kwidgetsaddons-devel kf5-kwindowsystem-devel kf5-kxmlgui-devel kf5-solid-devel libdbusmenu-qt52 libglvnd-devel libgpg-error libqt5-concurrent libqt5-core libqt5-dbus libqt5-gui libqt5-network libqt5-printsupport libqt5-qml libqt5-quick libqt5-quickwidgets libqt5-svg libqt5-texttospeech libqt5-widgets libqt5-x11extras libqt5-xml libsasl2-3 libstdc++-devel libwayland-client libwayland-server libxcbutil-keysyms pipewire-libs pkg-config python-modules python2-base python3 python3-base qt5-base-devel qt5-declarative-devel rpm-build-python3 sh4
#BuildRequires: appstream extra-cmake-modules kf5-kdeclarative-devel kf5-ki18n-devel kf5-kio-devel kf5-kirigami-devel kf5-knotifications-devel kf5-kpackage-devel kf5-kwayland-devel kf5-plasma-framework-devel libcups-devel libepoxy-devel libgbm-devel libssl-devel pipewire-libs-devel python3-dev qt5-wayland-devel
BuildRequires(pre): rpm-build-kf5
BuildRequires: qt5-wayland-devel qt5-base-devel-static
BuildRequires: libcups-devel glib2-devel libepoxy-devel libgbm-devel libssl-devel pipewire-libs-devel
BuildRequires: extra-cmake-modules kf5-kdeclarative-devel kf5-ki18n-devel kf5-kio-devel kf5-kirigami-devel
BuildRequires: kf5-knotifications-devel kf5-kpackage-devel kf5-kwayland-devel kf5-plasma-framework-devel
BuildRequires: kf5-kiconthemes-devel
BuildRequires: wayland-protocols kde5-plasma-wayland-protocols
# python3-dev


%description
A backend implementation for [xdg-desktop-portal](http://github.com/flatpak/xdg-desktop-portal)
that is using Qt/KF5.


%prep
%setup -n %rname-%version
%patch1 -p1
%patch2 -p1

%build
%K5build

%install
%K5install
%K5install_move data xdg-desktop-portal-kde
mkdir -p %buildroot/%_K5xdgconf/plasma-workspace/env/
install -m 0755 %SOURCE1 %buildroot/%_K5xdgconf/plasma-workspace/env/%{name}.sh
%find_lang %name --all-name

%files -f %name.lang
%doc LICENSES/*
%_K5xdgapp/*portal*kde*.desktop
%_K5libexecdir/*portal*kde*
%_K5dbus_srv/*portal*kde*.service
%_K5notif/*portal*kde*.notifyrc
%_datadir/xdg-desktop-portal/portals/kde.portal
%_datadir/xdg-desktop-portal/*kde*.conf
%config(noreplace) %_K5xdgconf/plasma-workspace/env/*.sh
%_unitdir_user/*.service
%_datadir/qlogging-categories5/*.*categories

%changelog
