%define  oname PlayOnLinux

Name:    playonlinux
Version: 4.4
Release: alt1

Summary: Play your Windows games on Linux
License: GPLv3
Group:   Games/Other
Url:     http://www.playonlinux.com
Packager: Denis Medvedev <nbr@altlinux.org>

Source: %name-%version.tar
# Source-url: https://github.com/PlayOnLinux/POL-POM-4/archive/%version/POL-POM-4-%version.tar.gz
Source1: playonlinux.sh
Source2: %oname.desktop
Patch: playonlinux-remove-capture-plugin.patch
Patch1: playonlinux-4.4-gita8fe4bb.patch

BuildRequires: rpm-build-python3
Requires: ImageMagick-tools
Requires: wget
Requires: gettext
Requires: unzip
Requires: cabextract
Requires: xterm
Requires: binutils
Requires: icoutils
Requires: jq

%add_findreq_skiplist %_datadir/%name/bash/*
%add_findreq_skiplist %_datadir/%name/lib/scripts.lib
%add_python3_path %_datadir/%name/python

ExclusiveArch: %ix86

%description
PlayOnLinux is a piece of sofware which allow you to install
and use easily numerous games and software designed to run
with Microsoft(R)'s Windows(R). Indeed, currently, still few
games are compatible with GNU/Linux, and it could be a factor
preventing from migrating to this system. PlayOnLinux brings an
accessible and efficient solution to this problem, cost-free
and respectful of the free software.

%prep
%setup
%patch -p1
%patch1 -p1

%install
mkdir %buildroot
mkdir -p %buildroot%_bindir/
mkdir -p %buildroot%_datadir/%name
mkdir -p %buildroot%_datadir/desktop-directories
mkdir -p %buildroot%_desktopdir
mkdir -p %buildroot%_pixmapsdir

cp -a * %buildroot%_datadir/%name

install -p %SOURCE1 %buildroot%_bindir/%name
rm %buildroot%_datadir/%name/LICENCE
cp %SOURCE2 %buildroot%_desktopdir/%oname.desktop
cp etc/%name.png %buildroot%_pixmapsdir/%name.png
cp etc/PlayOnLinux.directory %buildroot%_datadir/desktop-directories/%oname.directory
rm -f %buildroot%_datadir/%name/bin/smile
mkdir -p %buildroot%_libdir/%name
ln -sf /lib/libldap-2.4.so.2 %buildroot%_libdir/%name/libldap-2.4.so.2
ln -sf /usr/lib/alsa-lib/libasound_module_conf_pulse.so %buildroot%_libdir/%name/libasound_module_conf_pulse.so
ln -sf /usr/lib/libpulse.so.0 %buildroot%_libdir/%name/libpulse.so.0
ln -sf /lib/libnss_db.so.2 %buildroot%_libdir/%name/libnss_db.so.2

%files
%doc LICENCE CHANGELOG.md README.md TRANSLATORS
%_bindir/%name
%_datadir/%name
%_desktopdir/%oname.desktop
%_pixmapsdir/%name.png
%_datadir/desktop-directories/%oname.directory
%_libdir/%name/*

%changelog
