Group: Development/Java
BuildRequires: /proc rpm-build-java
BuildRequires: jpackage-11-compat
# fedora bcond_with macro
%define bcond_with() %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}
# redefine altlinux specific with and without
%define with()         %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()      %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%bcond_without snappy

Name:           plexus-archiver
Version:        4.2.4
Release:        alt1_1jpp11
Epoch:          0
Summary:        Plexus Archiver Component
License:        ASL 2.0

URL:            https://github.com/codehaus-plexus/plexus-archiver
Source0:        %{url}/archive/plexus-archiver-%{version}.tar.gz

Patch0:         0001-Remove-support-for-snappy.patch

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(com.google.code.findbugs:jsr305)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.commons:commons-compress)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-metadata)
BuildRequires:  mvn(org.codehaus.plexus:plexus-container-default) >= 2.1.0
BuildRequires:  mvn(org.codehaus.plexus:plexus-io) >= 3.2.0
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils) >= 3.3.0
BuildRequires:  mvn(org.codehaus.plexus:plexus:pom:)
%if %{with snappy}
BuildRequires:  mvn(org.iq80.snappy:snappy)
%endif
BuildRequires:  mvn(org.tukaani:xz)
Source44: import.info

%description
The Plexus project seeks to create end-to-end developer tools for
writing applications. At the core is the container, which can be
embedded or for a full scale application server. There are many
reusable components for hibernate, form processing, jndi, i18n,
velocity, etc. Plexus also includes an application server which
is like a J2EE application server, without all the baggage.


%package javadoc
Group: Development/Java
Summary:        Javadoc for %{name}
BuildArch: noarch

%description javadoc
Javadoc for %{name}.


%prep
%setup -q -n %{name}-%{name}-%{version}
%mvn_file :%{name} plexus/archiver

%if %{without snappy}
%patch0 -p1
%pom_remove_dep org.iq80.snappy:snappy
rm -rf src/main/java/org/codehaus/plexus/archiver/snappy
rm -f src/main/java/org/codehaus/plexus/archiver/tar/SnappyTarFile.java
rm -f src/main/java/org/codehaus/plexus/archiver/tar/PlexusIoTarSnappyFileResourceCollection.java
%endif

# looks like this test hasn't been ported to plexus-containers 2+ yet:
rm src/test/java/org/codehaus/plexus/archiver/DuplicateFilesTest.java

%build
%mvn_build -f -- -Dmaven.compiler.source=1.8 -Dmaven.compiler.target=1.8 -Dmaven.javadoc.source=1.8 -Dmaven.compiler.release=8

%install
%mvn_install

%files -f .mfiles
%doc --no-dereference LICENSE

%files javadoc -f .mfiles-javadoc
%doc --no-dereference LICENSE

%changelog
