Name: potrace
Version: 1.16
Release: alt1

Summary: Potrace is a utility for transform bitmaps into vector graphics
License: GPLv2+
Group: Graphics
Url: http://%name.sourceforge.net

Source: http://downloads.sourceforge.net/%name/%name-%version.tar.gz

Requires: lib%name = %EVR

BuildRequires: zlib-devel

# for check
BuildRequires: ghostscript

%description
Potrace is a utility for tracing a bitmap, which means, transforming a bitmap
into a smooth, scalable image. The input is a portable bitmap (PBM), and the
default output is an encapsulated PostScript file (EPS). A typical use is to
create EPS files from scanned data, such as company or university logos,
handwritten notes, etc. The resulting image is not "jaggy" like a bitmap, but
smooth. It can then be rendered at any resolution.

%package -n lib%name
Summary: Potrace library
Group: System/Libraries

%description -n lib%name
Potrace is a utility for tracing a bitmap, which means, transforming a
bitmap into a smooth, scalable image.

This package provides shared Potrace library.

%package -n lib%name-devel
Summary: Potrace development files
Group: Development/C
Requires: lib%name = %EVR

%description -n lib%name-devel
Potrace is a utility for tracing a bitmap, which means, transforming a
bitmap into a smooth, scalable image.

This package provides files necessary to develop applications that use
Potrace library.


%prep
%setup
subst 's/ 1200/ 1500/;s/ 1000/ 1200/' check/pdf-check.sh check/postscript-check.sh

%build
%autoreconf
%configure \
	--with-libpotrace \
	--enable-shared \
	--disable-static \
	--with-pic \
	--enable-metric \
	--enable-a4
%make_build

%install
%makeinstall_std

%check
%make check

%files
%_bindir/mkbitmap
%_bindir/%name
%_man1dir/mkbitmap.1.*
%_man1dir/%name.1.*
%doc NEWS README ChangeLog doc/placement.pdf

%files -n lib%name
%_libdir/lib%name.so.*

%files -n lib%name-devel
%_includedir/potracelib.h
%_libdir/lib%name.so


%changelog
