Name: premake
Version: 4.3
Release: alt1.1
Summary: Cross-platform build configuration tool

Group: Development/Tools
License: BSD
Url: http://industriousone.com/premake
Source0: http://downloads.sourceforge.net/%name/premake-%version-src.zip
# This patch removes the bundeled Lua sources from the makefile to use the system Lua
Patch0: premake-4.3-system-lua-5.1.patch
# Add the missing manpage
Patch1: premake-4.3-manpage.patch
# for future use with lua5.3
Patch2: premake-4.3-system-lua.patch

#BuildRequires: lua-devel readline-devel

# Automatically added by buildreq on Sat Jun 11 2011
BuildRequires: lua5.1-devel libreadline-devel unzip

%description
Premake is a build configuration tool that can generate project files for:
 - GNU make
 - Code::Blocks
 - CodeLite
 - MonoDevelop
 - SharpDevelop
 - Apple XCode
 - Microsoft Visual Studio

%prep
%setup
%patch0 -p0
%patch1 -p0
# Inject optflags into CFLAGS
sed -i "s/^\s*CFLAGS\s*+=.*/CFLAGS += \$(CPPFLAGS) %optflags/" build/gmake.unix/Premake4.make
# Disable stripping the executable
sed -i "s/^\s*LDFLAGS\s*+= -s/LDFLAGS +=/" build/gmake.unix/Premake4.make
# Use the release build for running tests
sed -i "s/debug/release/" tests/test

%build
cd build/gmake.unix/
make verbose=true %{?_smp_mflags}

%install
rm -rf %buildroot
install -m 755 -Dp ./bin/release/premake4 %buildroot/%_bindir/premake4
install -m 644 -Dp ./premake4.1 %buildroot/%_mandir/man1/premake4.1

%clean
rm -rf %buildroot

%files
%_bindir/premake4
%_mandir/man1/premake4.1*
%doc LICENSE.txt README.txt CHANGES.txt

%changelog
