Name: profanity
Version: 0.9.5
Release: alt1
Summary: A console based jabber client inspired by irssi
Group: Networking/Instant messaging
License: GPLv3
Source: %version.tar.gz
# wget -q -O- http://www.profanity.im/configuration.html | sed -n '/\[ui]/,/<\/code>/{s@ *</\?.*>@@g;p}' > profrc
Source1: profrc
Patch: no_acx_pthread.patch
Patch1: otr_incorrect_atgs.patch
Url: http://www.profanity.im

# Automatically added by buildreq on Thu Jul 02 2020
# optimized out: glib2-devel glibc-kernheaders-generic glibc-kernheaders-x86 libX11-devel libgcrypt-devel libgdk-pixbuf libgdk-pixbuf-devel libgio-devel libgpg-error libgpg-error-devel libncurses-devel libsasl2-3 libtinfo-devel perl pkg-config python2-base sh4 xorg-proto-devel
BuildRequires: libXScrnSaver-devel libcurl-devel libmesode-devel libncursesw-devel libnotify-devel libotr-devel libreadline-devel libsqlite3-devel

BuildRequires: libcmocka-devel

# libmesode vs libstrophe

%description
%summary
  Supports XMPP chat services
  Command driven user interface
  MUC chat room support
  OTR message encryption
  Roster management
  Flexible resource and priority settings
  Desktop notifications
  Unicode support

%package X11
Group: Networking/Instant messaging
Summary: A console based jabber client inspired by irssi (X11 support)
Requires: %name = %version-%release
%description X11
XScrnSaver and notify support for %name

%package devel
Group: Development/C
Summary: A console based jabber client library
%description devel
A console based jabber client development suite

%prep
%setup
%patch -p1
%patch1 -p1
touch NEWS README AUTHORS ChangeLog
cp %SOURCE1 profrc.exmaple2

%build
%autoreconf
LIBS=-pterad %configure --with-libxml2 --enable-notifications --enable-otr

%make_build LDFLAGS=-pthread
mv %name %name.app

make distclean
%configure --with-libxml2 --disable-notifications --enable-otr --without-xscreensaver
%make_build LDFLAGS=-pthread

%install
%makeinstall
install %name.app %buildroot%_bindir/%name.app

%check
LC_ALL=C.UTF8 make check

%files
%doc themes profrc.example*
%_bindir/%name
%_man1dir/*
%_datadir/%name
%_libdir/*.so.*

%files X11
%_bindir/%name.app

%files devel
%_includedir/*
%_libdir/*.so

%changelog
