Name: putty
Version: 0.76
Release: alt1

Summary: Free SSH, Telnet and Rlogin client
License: MIT
Group: Networking/Remote access

Url: http://www.chiark.greenend.org.uk/~sgtatham/putty/
Source0: http://the.earth.li/~sgtatham/putty/latest/%name-%version.tar.gz
Source1: %name-icons.tar.bz2
Source2: http://the.earth.li/~sgtatham/putty/latest/%name-%version.tar.gz.gpg
Source3: putty.desktop
Source4: %name.watch
Packager: Michael Shigorin <mike@altlinux.org>

BuildRequires: libgtk+3-devel

%description
This is the Unix port of the popular Windows ssh client, PuTTY. It
supports flexible terminal setup, mid-session reconfiguration using
Ctrl-rightclick, multiple X11 authentication protocols, and various
other interesting things not provided by ssh in an xterm.

%prep
%setup
%setup -T -D -a1 -n %name-%version
sed -i 's|g_strncasecmp|g_ascii_strncasecmp|g' unix/gtkfont.c
sed -i 's|g_strcasecmp|g_ascii_strcasecmp|g' unix/gtkfont.c

%build
%add_optflags -Wall -Werror -Wstrict-aliasing -Wno-unused
%ifarch %e2k
# lcc 1.25.15: ftbfs workaround ('unreachable' macro ignored)
# reported upstream and as mcst#6021
%add_optflags -Wno-error=return-type -Wno-error=maybe-uninitialized
# glib2 deprecation warnings
%add_optflags -Wno-error=deprecated-declarations
%endif

cd unix
# no $DISPLAY at buildtime. Define RELEASE/SNAPSHOT/SVN_REV here.
%configure \
	--disable-gtktest \
	CFLAGS="%optflags -DRELEASE=%version" \
	LIBS="-lm"

%make_build

mkdir -p %buildroot{%_bindir,%_man1dir}
%makeinstall_std prefix=%prefix mandir=%_mandir

# icon
install -pDm644 ../putty48.png %buildroot%_liconsdir/%name.png
install -pDm644 ../putty32.png %buildroot%_niconsdir/%name.png
install -pDm644 ../putty16.png %buildroot%_miconsdir/%name.png

install -pDm644 %SOURCE3 %buildroot%_desktopdir/%name.desktop

%files
%doc LICENCE README
%_bindir/*
%_man1dir/*
%_desktopdir/*
%_miconsdir/*.png
%_niconsdir/*.png
%_liconsdir/*.png

%changelog
