Group: Games/Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-validate gcc-c++ pkgconfig(x11) qt5-base-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           puzzle-master
Version:        2.5.3
Release:        alt2_7
Summary:        Fun jigsaw puzzle game

License:        GPLv2+
URL:            https://github.com/Venemo/puzzle-master

Source0:        https://github.com/Venemo/puzzle-master/archive/v%{version}.tar.gz

BuildRequires: pkgconfig(Qt5Core), pkgconfig(Qt5Gui), pkgconfig(Qt5Quick)
BuildRequires: desktop-file-utils
Source44: import.info

%description
%{name} is a jigsaw puzzle game that lets you use your own
images (and contains some built-in ones) for generating puzzles.
You can decide the size and the difficulty of the puzzle.

%prep
%setup -q
%ifarch %e2k
# strip UTF-8 BOM for lcc < 1.24
find -type f -print0 -name '*.cpp' -o -name '*.hpp' -o -name '*.cc' -o -name '*.h' |
	xargs -r0 sed -ri 's,^\xEF\xBB\xBF,,'
%endif

%build
# These flags ensure that the files will be placed to the correct location
QMAKEFLAGS=''
QMAKEFLAGS+=' -after target.path=%{_bindir}'
QMAKEFLAGS+=' -after desktopfile.path=%{_datadir}/applications'
QMAKEFLAGS+=' -after iconfile.path=%{_datadir}/icons/hicolor/scalable/apps'
QMAKEFLAGS+=' -after appdatafile.path=%{_datadir}/appdata'

qmake-qt5 $QMAKEFLAGS
%make_build

%install
%{makeinstall_std} INSTALL_ROOT=$RPM_BUILD_ROOT
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%files
%{_bindir}/%{name}
%attr(644,root,root) %{_datadir}/applications/%{name}.desktop
%attr(644,root,root) %{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%attr(644,root,root) %{_datadir}/appdata/%{name}.appdata.xml
%doc LICENSE
%doc LICENSE-DOCS

%changelog
