Summary: An implementation the OpenBSD Blowfish password hashing algorithm
Version: 3.1.7
Release: alt4
%setup_python_module bcrypt
Name: python-module-bcrypt
Source0: %version.tar.gz
Source1: bfhash
Source2: bfhash.1
License: BSD
Group: Development/Python
Url: http://pypi.python.org/pypi/bcrypt

BuildPreReq: python-devel python-module-setuptools
BuildRequires: python-module-pytest
BuildPreReq: python-module-six python-module-cffi

%py_requires cffi

%description
py-bcrypt is an implementation the OpenBSD Blowfish password hashing
algorithm, as described in "A Future-Adaptable Password Scheme" by Niels
Provos and David Mazieres: http://www.openbsd.org/papers/bcrypt-paper.ps

This system hashes passwords using a version of Bruce Schneier's
Blowfish block cipher with modifications designed to raise the cost of
off-line password cracking. The computation cost of the algorithm is
parametised, so it can be increased as computers get faster.

%prep
%setup -n %modulename-%version

%build
%python_build_debug

%install
%python_install

%files
%doc *.rst
%python_sitelibdir/*

%check
PYTHONPATH=%buildroot%python_sitelibdir py.test

%changelog
