%global realname parsedatetime

Name: python-module-parsedatetime
Version: 2.4
Release: alt1

Summary: Parse human-readable date/time strings in Python

Group: Development/Python
License: ASL 2.0
Url: https://github.com/bear/%realname

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: https://github.com/bear/%realname/archive/v%version.tar.gz#/%realname-%version.tar.gz

BuildArch: noarch
BuildRequires: python-devel
BuildRequires: python-module-distribute
BuildRequires: python-module-epydoc

%description
parsedatetime is a python module that can parse human-readable date/time
strings.

%package doc
Group: Development/Python
Summary: Documentation for the parsedatetime python module

%description doc
This package contains the generated HTML documentation for the
parsedatetime python module

%prep
%setup -n %realname-%version

%build
%python_build

# Build documentation
epydoc --html --config epydoc.conf

%install
%python_install
# It makes no sense to ship all these tests in the package
# just use them during the build
rm -rf %buildroot%python_sitelibdir/%realname/tests

%check
#__python run_tests.py

%files
%doc LICENSE.txt
%doc AUTHORS.txt CHANGES.txt README.rst
%python_sitelibdir/%realname
%python_sitelibdir/%realname-%version-*.egg-info

%files doc
%doc docs/ examples/

%changelog
