Version: 3.2.3
Release: alt1

%setup_python_module tpg

%def_with python3
%def_enable doc

Summary: Toy Parser Generator is syntax analyzer under Python
Summary(ru_RU.UTF-8): Простой, но мощный синтаксический анализатор Toy Parser Generator
%define nameUC TPG
Name: %packagename
Source: TPG-%version.tar.gz
License: BSD
Group: Development/Python
Url: http://cdsoft.fr/tpg
Buildarch: noarch

# Automatically added by buildreq on Thu Feb 23 2012
# optimized out: ImageMagick-tools fontconfig ghostscript-classic ghostscript-common python-base python-modules python-modules-compiler python-modules-email tex-common texlive-base texlive-base-bin texlive-common texlive-generic-recommended texlive-latex-base texlive-latex-recommended texlive-xetex texmf-tex4ht
BuildRequires: python-devel

%if_enabled doc
BuildRequires: tex4ht texlive-collection-latexrecommended tex(a4wide.sty)
%endif

%if_with python3
BuildRequires(pre): rpm-build-python3
BuildPreReq: python3-devel
%endif

%description
Toy Parser Generator is a lexical and syntactic parser generator for Python.
This generator was born from a simple statement: YACC is to complex to use in
simple cases (calculators, configuration files, small programming languages, ...).

This module is built for python %_python_version

%description -l ru_RU.UTF-8
Toy Parser Generator -- это лексический и синтаксический анализатор,
порождающий код на Python. Идея автора была в том, чтобы в простых случаях
(калькуляторы, анализаторы конфигурационных файлов, встроенные языки
программирования) заменить YACC более простым и высокоуровневым инструментом.

Этот модуль собран для Python версии %_python_version

%package -n python3-module-%modulename
Summary: Toy Parser Generator is syntax analyzer under Python
Group: Development/Python3

%description -n python3-module-%modulename
Toy Parser Generator is a lexical and syntactic parser generator for Python.
This generator was born from a simple statement: YACC is to complex to use in
simple cases (calculators, configuration files, small programming languages, ...).

This module is built for python %_python_version

%prep
%setup -n %nameUC-%version

%if_with python3
cp -fR . ../python3
%endif

%build
%python_build

%if_enabled doc
(
	cd doc
	pdflatex tpg
	htlatex tpg
)
%endif

%if_with python3
pushd ../python3
%python3_build
popd
%endif

%install
%if_with python3
pushd ../python3
%python3_install
popd
pushd %buildroot%_bindir
for i in $(ls); do
	mv $i $i.py3
done
popd
%endif

%python_install

%files
%if_enabled doc
%doc doc/*.{png,pdf,html,css}
%endif
%doc examples
%_bindir/*
%if_with python3
%exclude %_bindir/*.py3
%endif
%python_sitelibdir/tpg*

%if_with python3
%files -n python3-module-%modulename
%if_enabled doc
%doc doc/*.{png,pdf,html,css}
%endif
%doc examples
%_bindir/*.py3
%python3_sitelibdir/tpg*
%endif

%changelog
