%define origname Cheetah

Summary: Template engine and code-generator
Name: python3-module-%origname
Version: 3.2.3
Release: alt3
Source0: Cheetah-%version.tar
License: MIT
Group: Development/Python3
URL: http://cheetahtemplate.org/
# https://github.com/CheetahTemplate3/cheetah3
#BuildArch: noarch

BuildRequires(pre): rpm-build-python3
BuildRequires: time
BuildPreReq: python3-module-distribute
BuildPreReq: python3-module-markdown
BuildPreReq: python3-module-sphinx

Conflicts: python-module-Cheetah < %EVR
Obsoletes: python-module-Cheetah < %EVR

%description
Cheetah is an open source template engine and code generation tool, written
in Python. It can be used standalone or combined with other tools and
frameworks. Web development is its principle use, but Cheetah is very
flexible and is also being used to generate C++ game code, Java, sql,
form emails and even Python code.

%package tests
Summary: Tests for Cheetah, template engine and code-generator
Group: Development/Python3
Requires: %name = %version-%release

%description tests
Cheetah is an open source template engine and code generation tool, written
in Python. It can be used standalone or combined with other tools and
frameworks. Web development is its principle use, but Cheetah is very
flexible and is also being used to generate C++ game code, Java, sql,
form emails and even Python code.

This package contains tests for Cheetah.

%prep
%setup -n Cheetah-%version

%build
%python3_build

export PYTHONPATH=$PWD
%make SPHINXBUILD="sphinx-build-3" -C docs html
mkdir man
cp -fR docs/_build/html/* man/

%install
%python3_install

%files
%doc *.rst man/
%_bindir/*
%python3_sitelibdir/*
%exclude %python3_sitelibdir/Cheetah/Tests

%files tests
%python3_sitelibdir/Cheetah/Tests
%exclude %python3_sitelibdir/Cheetah/Tests/Performance.py*
%changelog
