%define modulename FormEncode

%def_with doc

Name: python3-module-%modulename
Version: 1.3.1
Release: alt2
Epoch: 1

Summary: HTML form validation, generation, and convertion package for Python
License: PSF
Group: Development/Python3

URL: http://formencode.org
BuildArch: noarch

# git://github.com/formencode/formencode.git
Source0: %name-%version.tar

BuildRequires(pre): rpm-macros-sphinx3
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-dns python3-module-sphinx

%description
FormEncode validates and converts nested structures. It allows for
a declarative form of defining the validation, and decoupled processes
for filling and generating forms.

%package doc
Summary: This package contains documentation and examples for FormEncode
Group: Development/Documentation

%description doc
FormEncode validates and converts nested structures. It allows for
a declarative form of defining the validation, and decoupled processes
for filling and generating forms.

%package pickles
Summary: This package contains pickles for FormEncode
Group: Development/Python3

%description pickles
FormEncode validates and converts nested structures. It allows for
a declarative form of defining the validation, and decoupled processes
for filling and generating forms.

%prep
%setup

%prepare_sphinx3 .

%build
%python3_build

%install
%python3_install
rm -rf %buildroot%python3_sitelibdir/docs

%if_with doc
pushd docs
export PYTHONPATH=%buildroot%python3_sitelibdir
%make SPHINXBUILD="sphinx-build-3" html
%make SPHINXBUILD="sphinx-build-3" pickle
cp -fR _build/pickle %buildroot%python3_sitelibdir/formencode/
popd
%endif

%files
%doc docs/*.txt
%python3_sitelibdir/*
%if_with doc
%exclude %python3_sitelibdir/*/pickle
%endif

%if_with doc
%files doc
%doc docs/_build/html examples

%files pickles
%python3_sitelibdir/*/pickle
%endif

%changelog
