%define _unpackaged_files_terminate_build 1
%define pypi_name Pygments

%def_with check

Name: python3-module-Pygments
Version: 2.13.0
Release: alt1

Summary: Pygments is a syntax highlighting package written in Python

License: BSD
Group: Development/Python3
Url: https://pygments.org/
VCS: https://github.com/pygments/pygments.git

BuildArch: noarch

Source: %name-%version.tar
Source1: autobuild.watch
Patch0: %name-%version-alt.patch

BuildRequires(pre): rpm-build-python3

# build backend and its deps
BuildRequires: python3(setuptools)
BuildRequires: python3(wheel)

%if_with check
BuildRequires: python3(lxml)
BuildRequires: python3(pytest)
%endif

# PEP503 normalized name
Provides: python3-module-pygments = %EVR
# PyPI well known name
%py3_provides %pypi_name

%description
It is a generic syntax highlighter for general use in all kinds of
software such as forum systems, wikis or other applications that need
to prettify source code. Highlights are:
 * a wide range of common languages and markup formats is supported
 * special attention is paid to details, increasing quality by a fair amount
 * support for new languages and formats are added easily
 * a number of output formats, presently HTML, LaTeX, RTF, SVG and ANSI sequences
 * it is usable as a command-line tool and as a library

%prep
%setup
%autopatch -p1

%build
%pyproject_build

%install
%pyproject_install
mv %buildroot%_bindir/pygmentize %buildroot%_bindir/pygmentize3
ln -s pygmentize3 %buildroot%_bindir/pygmentize.py3

# only for build pygments doc
rm -fv %buildroot%python3_sitelibdir/pygments/sphinxext.py

%check
%tox_check_pyproject -- -vra

%files
%doc LICENSE
%_bindir/pygmentize3
%_bindir/pygmentize.py3
%python3_sitelibdir/pygments/
%python3_sitelibdir/%pypi_name-%version.dist-info/

%changelog
