%define oname Babel
# see babel/scripts/download_import_cldr.py
%define cldr_version 37
%define cldr_name cldr-%cldr_version

%def_with doc
%def_without check

Name:    python3-module-babel
Version: 2.9.0
Release: alt1
Epoch:   1

Summary: a collection of tools for internationalizing Python applications
License: BSD
Group: Development/Python3

Url: http://babel.pocoo.org/

# Source-url: %__pypi_url %oname
Source: %name-%version.tar

BuildArch: noarch

BuildRequires(pre): rpm-build-intro >= 2.2.5
BuildRequires(pre): rpm-build-python3
BuildRequires(pre): rpm-macros-sphinx3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-sphinx
BuildRequires: python3-module-pytz >= 2015.7
BuildRequires: %cldr_name-common >= %cldr_version

#BuildRequires: python3-module-pytest-cov python3-module-freezegun
#py3_requires pytz

%description
Babel is an integrated collection of utilities that assist in
internationalizing and localizing Python applications, with an emphasis
on web-based applications.
The functionality Babel provides for internationalization (I18n) and
localization (L10N) can be separated into two different aspects:
  * tools to build and work with gettext message catalogs, and
  * a Python interface to the CLDR (Common Locale Data Repository),
    providing access to various locale display names, localized number
    and date formatting, etc.

%prep
%setup

%if_with doc
%prepare_sphinx3 .
ln -s ../objects.inv docs/
%endif

%build
%__python3 scripts/import_cldr.py /usr/share/unicode/%cldr_name/common
%python3_build

%install
%python3_install
%python3_prune

%if_with doc
%make -C docs html SPHINXBUILD=sphinx-build-3
%endif

%if_with check
%check
%python3_test
%endif

%files
%doc AUTHORS CHANGES README.rst
%if_with doc
%doc docs/_build/html
%endif
%_bindir/pybabel
%python3_sitelibdir/*

%changelog
