%define _unpackaged_files_terminate_build 1

%define oname boto3
%def_without check

Name: python3-module-%oname
Version: 1.17.96
Release: alt1

Summary: The AWS SDK for Python

License: Apache-2.0
Group: Development/Python3
Url: https://pypi.org/project/boto3/

BuildArch: noarch

# Source-git: https://github.com/boto/boto3.git
Source: %name-%version.tar

Patch1: %oname-alt-docs.patch
Patch2: %oname-alt-unvendor.patch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-devel python3-module-setuptools python3-module-unittest2 python3-module-mock
BuildRequires: python3-module-botocore python3-module-html5lib python3-module-nose python3-module-pbr
BuildRequires: python3-module-sphinx
BuildRequires: python3(s3transfer)
BuildRequires: python3(six)

%description
Boto is the Amazon Web Services (AWS) Software Development Kit (SDK) for
Python, which allows Python developers to write software that makes use
of services like Amazon S3 and Amazon EC2.

WARNING: Boto 3 is in developer preview and should not be used in
production yet! Please try it out and give feedback by opening issues or
pull requests on this repository. Thanks!

%prep
%setup
%patch1 -p1
%patch2 -p1

%build
%python3_build_debug

%install
%python3_install

%check
# skip tests depending on network
rm -rf tests/integration

nosetests3

%files
%doc LICENSE
%doc *.rst
%python3_sitelibdir/%oname
%python3_sitelibdir/%oname-%version-py*.egg-info

%changelog
