%define _unpackaged_files_terminate_build 1

%define oname botocore

Name: python3-module-%oname
Version: 1.20.96
Release: alt1

Summary: The low-level, core functionality of boto 3

License: Apache-2.0
Group: Development/Python3
Url: https://pypi.org/project/botocore/

BuildArch: noarch

# Source-git: https://github.com/boto/botocore.git
Source: %name-%version.tar

Patch1: %oname-%version-alt-docsetup.patch
Patch3: %oname-%version-alt-no-vendored-packages.patch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-dateutil python3-module-html5lib python3-module-nose python3-module-pbr python3-module-setuptools
BuildRequires: python3-module-unittest2
BuildRequires: python3-module-requests python3-module-six python3-module-urllib3 python3-module-mock python3-module-docutils python3-module-jmespath
BuildRequires: python3(jsonschema)
BuildRequires: /usr/bin/py.test3

%py3_provides %oname

%description
A low-level interface to a growing number of Amazon Web Services. The
botocore package is the foundation for AWS-CLI.

%package docs
Summary: Documentation for %oname
Group: Development/Documentation
BuildArch: noarch

%description docs
A low-level interface to a growing number of Amazon Web Services. The
botocore package is the foundation for AWS-CLI.

This package contains documentation for %oname.

%prep
%setup
%patch1 -p1
%patch3 -p1

rm -rf botocore/vendored

#prepare_sphinx docs
#ln -s ../objects.inv docs/source/

%build
%python3_build_debug

%install
%python3_install

%check
# following test fails, remove it for now
rm -rf tests/functional/leak/test_resource_leaks.py
# remove tests requiring network
rm -rf tests/integration

py.test3

%files
%doc LICENSE.txt
%doc *.rst
%python3_sitelibdir/%oname
%python3_sitelibdir/%oname-%version-py*.egg-info

%changelog
