%define _unpackaged_files_terminate_build 1
%define pypi_name build
%define tomli %(%__python3 -c 'import sys;print(int(sys.version_info < (3, 11)))')

%def_with check

Name: python3-module-%pypi_name
Version: 0.8.0
Release: alt2

Summary: Simple, correct PEP 517 build frontend
License: MIT
Group: Development/Python3
# Source-git: https://github.com/pypa/build.git
Url: https://pypi.org/project/build

Source: %name-%version.tar
Patch0: %name-%version-alt.patch

BuildRequires(pre): rpm-build-python3

# build backend and its deps
BuildRequires: python3(setuptools)
BuildRequires: python3(wheel)

%if_with check
# install_requires:
BuildRequires: python3(packaging)
BuildRequires: python3(pep517)
%if %tomli
BuildRequires: python3(tomli)
%endif

BuildRequires: python3(pytest)
BuildRequires: python3(pytest_rerunfailures)
BuildRequires: python3(pytest_mock)
BuildRequires: python3(filelock)
BuildRequires: python3(toml)
%endif

BuildArch: noarch

%if %tomli
# rebuild against Python 3.11 is required to get rid of old dependency
%py3_requires tomli
%endif
%py3_requires packaging

%description
A simple, correct PEP 517 build frontend.

build will invoke the PEP 517 hooks to build a distribution package. It is a
simple build tool and does not perform any dependency management.

%package -n pyproject-build
Summary: Executable for python-build
Group: Development/Python3
# not autodetected dep
Requires: python3-module-%pypi_name

%description -n pyproject-build
%summary

%prep
%setup
%autopatch -p1

%build
%pyproject_build

%install
%pyproject_install

%check
%tox_check_pyproject

%files
%doc README.md
%python3_sitelibdir/build/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/

%files -n pyproject-build
%_bindir/pyproject-build

%changelog
