# vim: set ft=spec: -*- rpm-spec -*-

%define oname django-sekizai

Name: python3-module-%oname
Version: 2.0.0
Release: alt1
Summary: Django Template Blocks with extra functionality
License: BSD-3-Clause
Group: Development/Python3

Url: http://django-sekizai.readthedocs.org/
BuildArch: noarch

# https://pypi.org/project/django-sekizai/#files
Source: %oname-%version.tar.gz

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-django

%description
Sekizai means "blocks" in Japanese, and that's what this app provides. A fresh
look at blocks. With django-sekizai you can define placeholders where your
blocks get rendered and at different places in your templates append to those
blocks. This is especially useful for css and javascript. Your sub-templates can
now define css and Javascript files to be included, and the css will be nicely
put at the top and the Javascript to the bottom, just like you should. Also
sekizai will ignore any duplicate content in a single block.

%package tests
Summary: tests for Django sekizai
Group: Development/Python3
Requires: %name = %version-%release

%description tests
%summary

%prep
%setup -n %oname-%version

%build
%python3_build

%install
%python3_install
mv %buildroot%python3_sitelibdir/tests %buildroot%python3_sitelibdir/sekizai/

%files
%doc LICENSE.txt README.rst
%python3_sitelibdir/*
%exclude %python3_sitelibdir/sekizai/tests

%files tests
%python3_sitelibdir/sekizai/tests

%changelog
