%define _unpackaged_files_terminate_build 1
%define oname evelink

%def_without check

Name: python3-module-%oname
Version: 0.7.5
Release: alt3
Summary: Python Bindings for the EVE Online API
License: MIT
Group: Development/Python3
# Source-git: https://github.com/eve-val/evelink.git
Url: https://pypi.python.org/pypi/EVELink/

Source: %name-%version.tar
Patch0: evelink-async-fix.patch

BuildRequires(pre): rpm-build-python3

%if_with check
BuildRequires: python3-devel python3-module-setuptools
BuildRequires: python3-module-mock
BuildRequires: python3-module-nose
BuildRequires: python3-modules-sqlite3
BuildRequires: python3-module-html5lib
%endif

%py3_provides %oname

%add_findreq_skiplist %python3_sitelibdir/%oname/appengine/*
%add_findprov_skiplist %python3_sitelibdir/%oname/appengine/*
%add_python3_req_skip evelink.thirdparty.six.moves six.moves.configparser

BuildArch: noarch

%description
EVELink provides a means to access the EVE XML API from Python.

%prep
%setup
%patch0 -p1

%build
%python3_build_debug

%install
%python3_install
rm -f %buildroot/usr/LICENSE
rm -f %buildroot/usr/README.md

%check
python3 setup.py build_ext -i
nosetests3 -v

%files
%doc *.md
%_bindir/*
%python3_sitelibdir/*

%changelog
