%define _unpackaged_files_terminate_build 1
%define oname Flask

%def_enable check

Name: python3-module-flask
Version: 2.0.3
Release: alt2

Summary: Flask is a lightweight WSGI web application framework.
License: BSD-3-Clause
Group: Development/Python3
URL: https://palletsprojects.com/p/flask/
VCS:  https://github.com/pallets/flask

BuildRequires(pre): rpm-build-python3
%if_enabled check
BuildRequires: python3-module-pytest
BuildRequires: python3-module-tox
BuildRequires: python3-module-tox-no-deps
BuildRequires: python3-module-tox-console-scripts
BuildRequires: python3-module-jinja2
BuildRequires: python3-module-werkzeug >= 2.0
BuildRequires: python3-module-itsdangerous
BuildRequires: python3-module-click
%endif

# /usr/bin/flask
Obsoletes: python-module-flask
Conflicts: python-module-flask

BuildArch: noarch

Source0: %name-%version.tar

%description
Flask is a lightweight WSGI web application framework. It is designed to 
make getting started quick and easy, with the ability to scale up to complex 
applications. It began as a simple wrapper around Werkzeug and Jinja and 
has become one of the most popular Python web application frameworks.

%prep
%setup

%build
%python3_build

%install
%python3_install

%check
export PYTHONPATH=%buildroot%python3_sitelibdir/
export PIP_NO_INDEX=YES
export TOXENV=py3
tox.py3 --sitepackages --console-scripts --no-deps -vvr -- -vra

%files
%doc *.rst
%_bindir/flask
%python3_sitelibdir/flask/
%python3_sitelibdir/%oname-*.egg-info

%changelog
