%define oname gunicorn

Name: python3-module-%oname
Version: 20.1.0
Release: alt1

Summary: WSGI HTTP Server for UNIX

License: Mit
Group: Development/Python3
Url: http://pypi.python.org/pypi/gunicorn

# Source-url: %__pypi_url %oname
Source: %name-%version.tar

BuildArch: noarch

Conflicts: python-module-%oname
Provides: %oname = %version-%release

BuildRequires(pre): rpm-build-intro >= 2.2.4
BuildRequires(pre): rpm-build-python3 rpm-macros-sphinx3

# generated by epm --restore --dry-run from gunicorn/requirements_dev.txt
%py3_buildrequires sphinx
%py3_buildrequires sphinx_rtd_theme

# generated by 'epm restore --dry-run' from gunicorn/requirements_test.txt
#py3_buildrequires aiohttp
%py3_buildrequires gevent
%py3_buildrequires eventlet
%py3_buildrequires coverage
%py3_buildrequires pytest
%py3_buildrequires pytest-cov

# We depend on functioning pkg_resources.working_set.add_entry() and
# pkg_resources.load_entry_point(). These both work as of 3.0 which
# is the first version to support Python 3.4 which we require as a
# floor.

# generated by epm --restore --dry-run from gunicorn/setup.py install_requires
#py3_use setuptools >= 3.0

# added in setup.py
%py3_buildrequires mock

# python3-module-aiohtt >= 2.0 does not provide aiohttp.wsgi
%add_python3_req_skip aiohttp.wsgi

%description
Gunicorn 'Green Unicorn' is a Python WSGI HTTP Server for UNIX. It's a
pre-fork worker model ported from Ruby's Unicorn project. The Gunicorn
server is broadly compatible with various web frameworks, simply
implemented, light on server resource usage, and fairly speedy.

%package docs
Summary: Documentation for gunicorn
Group: Development/Documentation
BuildArch: noarch

%description docs
Gunicorn 'Green Unicorn' is a Python WSGI HTTP Server for UNIX. It's a
pre-fork worker model ported from Ruby's Unicorn project. The Gunicorn
server is broadly compatible with various web frameworks, simply
implemented, light on server resource usage, and fairly speedy.

This package contains documentation for gunicorn.

%prep
%setup

%prepare_sphinx3 docs
ln -s ../objects.inv docs/source/

%build
%python3_build

%install
%python3_install

# compibility
ln -s gunicorn %buildroot%_bindir/gunicorn.py3

export PYTHONPATH=%buildroot%python3_sitelibdir
%make -C docs html SPHINXBUILD=sphinx-build-3

%check
PYTHONPATH=$(pwd) py.test3

%files
%doc NOTICE THANKS *.rst
%_bindir/gunicorn
%_bindir/gunicorn.py3
%python3_sitelibdir/*

%files docs
%doc docs/build/html examples

%changelog
