%define _unpackaged_files_terminate_build 1
%define oname hamcrest

%def_with check

Name: python3-module-%oname
Version: 2.0.2
Release: alt2

Summary: Hamcrest framework for matcher objects
License: BSD
Group: Development/Python3

Url: https://pypi.org/project/PyHamcrest/
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>
# https://github.com/hamcrest/PyHamcrest.git
Source: %name-%version.tar
Patch: %name-%version-alt.patch
BuildArch: noarch

BuildRequires(pre): rpm-build-python3

%if_with check
BuildRequires: python3(mock)
BuildRequires: python3(numpy)
BuildRequires: python3(tox)
%endif

%description
PyHamcrest is a framework for writing matcher objects, allowing you to
declaratively define "match" rules. There are a number of situations
where matchers are invaluable, such as UI validation, or data filtering,
but it is in the area of writing flexible tests that matchers are most
commonly used.

%prep
%setup
%autopatch -p1

%build
%python3_build_debug

%install
%python3_install

%check
sed -i '/\[testenv\]$/a whitelist_externals =\
    \/bin\/cp\
    \/bin\/sed\
setenv =\
    py%{python_version_nodots python3}: _PYTEST_BIN=%_bindir\/py.test3\
commands_pre =\
    \/bin\/cp {env:_PYTEST_BIN:} \{envbindir\}\/py.test\
    sed -i \x271c #!\{envpython\}\x27 \{envbindir\}\/py.test' tox.ini
export PIP_NO_INDEX=YES
export TOXENV=py%{python_version_nodots python3}
tox.py3 --sitepackages -vvr

%files
%doc *.txt *.rst examples
%python3_sitelibdir/*

%changelog
