%define oname html5-parser

# obsoleted tests
%def_without check
# packaged gumbo is obsoleted
%def_without packaged_gumbo

Name: python3-module-html5-parser
Version: 0.4.9
Release: alt1

Summary: Fast C based HTML 5 parsing for python

Url: https://github.com/kovidgoyal/html5-parser
License: ASL 2.0
Group: Development/Python3


Packager: Vitaly Lipatov <lav@altlinux.ru>

# Source-url: %__pypi_url %oname
Source: %name-%version.tar

BuildRequires(pre): rpm-build-intro >= 2.2.4
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-devel python3-module-setuptools

%if_with packaged_gumbo
BuildRequires: libgumbo-devel
%endif

BuildRequires: libxml2-devel

# generated by epm --restore --dry-run from html5-parser/setup.py install_requires
%py3_use chardet
%py3_use lxml >= 3.8.0

# detectable
%py3_use beautifulsoup4



%description
A fast, standards compliant, C based, HTML 5 parser for python.
Over thirty times as fast as pure python based parsers, such as html5lib.

Based on Google gumbo-parser C library.

%prep
%setup
%if_with packaged_gumbo
rm -rfv gumbo
sed -i "s|src gumbo|src|" build.py
sed -i "s|'gumbo/gumbo.h',||" build.py
%endif

%build
%python3_build_debug

%install
%python3_install
%python3_prune

%check
%python3_test

%files
%doc README.rst
%python3_sitelibdir/*

%changelog
