%define _unpackaged_files_terminate_build 1
%define oname invoke

Name: python3-module-%oname
Version: 1.6.0
Release: alt2

Summary: Simple Python task execution
License: BSD-2-Clause
Group: Development/Python3
Url: https://www.pyinvoke.org/
BuildArch: noarch

# Source-git: https://github.com/pyinvoke/invoke.git
Source: %name-%version.tar
Patch1: %name-%version-alt.patch

BuildRequires(pre): rpm-build-python3

%py3_requires lexicon
%py3_requires six
%py3_requires yaml

%description
Invoke is a Python (2.6+ and 3.2+) task execution tool & library,
drawing inspiration from various sources to arrive at a powerful & clean
feature set.

%prep
%setup
%autopatch -p1

sed -i 's|#!/usr/bin/env python|#!/usr/bin/python3|' \
    $(find ./ -name '*.py')

# remove some vendored stuff
rm -r invoke/vendor/yaml{2,3}
rm -r invoke/vendor/lexicon
rm invoke/vendor/six.py
rm invoke/vendor/decorator.py

find . -name '*.py' | xargs sed -i \
   -e 's|from invoke\.vendor\.six\(.*\) import |from six\1 import |g'

%build
%python3_build

%install
%python3_install

%files
%doc *.rst
%_bindir/*
%python3_sitelibdir/*

%changelog
