%define _unpackaged_files_terminate_build 1
%define pypi_name jq

%def_with check

Name: python3-module-%pypi_name
Version: 1.4.0
Release: alt1

Summary: Python bindings for jq
License: BSD-2-Clause
Group: Development/Python3
Url: https://pypi.org/project/jq/
Vcs: https://github.com/mwilliamson/jq.py.git

Source0: %name-%version.tar
Source1: setup.py

BuildRequires(pre): rpm-build-python3

BuildRequires: python3(setuptools)
BuildRequires: python3(wheel)
BuildRequires: python3(Cython)

BuildRequires: libjq-devel
BuildRequires: liboniguruma-devel

%if_with check
BuildRequires: python3(pytest)
%endif

%py3_provides %pypi_name

%description
jq is a lightweight and flexible JSON processor.

This project contains Python bindings for jq.

%prep
%setup

# remove vendored libraries
rm -fvr deps

# provide self-written building instructions
cp -fv %SOURCE1 .
rm -fv pyproject.toml

%build
%pyproject_build

%install
%pyproject_install

%check
%tox_check_pyproject

%files
%doc *.rst
%python3_sitelibdir/*

%changelog
