%global oname jsonpath-rw

Name: python3-module-%oname
Version: 1.4.0
Release: alt3

Summary: Extended implementation of JSONPath for Python
License: ASL 2.0
Group: Development/Python
Url: https://github.com/kennknowles/python-jsonpath-rw

BuildArch: noarch

Source: %oname-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-ply
BuildRequires: python3-module-decorator
BuildRequires: python3-module-six

Conflicts: python-module-%oname

%description
This library provides a robust and significantly extended implementation of
JSONPath for Python, with a clear AST for meta-programming. It is tested with
Python 2.6, 2.7, 3.2, 3.3, and PyPy.

This library differs from other JSONPath implementations in that it is a full
language implementation, meaning the JSONPath expressions are first class
objects, easy to analyze, transform, parse, print, and extend.

%package doc
Summary: Documentation for %name
Group:  Development/Documentation

%description doc
Documentation for %name.

%prep
%setup -q -n %oname-%version

%build
%python3_build

%install
%python3_install

# Delete tests
rm -fr %buildroot%python_sitelibdir/*/tests
rm -fr %buildroot%python3_sitelibdir/*/tests

%files
%doc README.rst
%python3_sitelibdir/*
%_bindir/jsonpath.py

%changelog
