%define _unpackaged_files_terminate_build 1

%define oname jsonpickle

Name: python3-module-%oname
Version: 1.4.1
Release: alt1
Summary: Python library for serializing any arbitrary object graph into JSON
License: BSD-3-Clause
Group: Development/Python3
BuildArch: noarch
Url: https://pypi.org/project/jsonpickle/

# git://github.com/jsonpickle/jsonpickle.git
Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-devel python3-module-setuptools
BuildRequires: python3(setuptools_scm) python3(toml)
BuildRequires: python3-module-demjson python3-module-jsonlib
BuildRequires: python3-module-yajl python3-module-ujson
BuildRequires: python3-module-numpy
BuildRequires: python3-module-numpy-testing

%py3_provides %oname
%py3_requires demjson jsonlib yajl ujson

%description
jsonpickle converts complex Python objects to and from JSON.

%prep
%setup
sed -i 's|feedparser|speedparser|g' tests/*.py

%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%version
%python3_build_debug

%install
export SETUPTOOLS_SCM_PRETEND_VERSION=%version
%python3_install

%files
%doc LICENSE
%doc *.rst contrib
%python3_sitelibdir/%oname
%python3_sitelibdir/%oname-%version-py*.egg-info

%changelog
