%define oname ladon

Name: python3-module-%oname
Version: 0.9.40
Release: alt2

Summary: Several web service interfaces at once, including JSON-WSP, SOAP and JSON-RPC
License: LGPLv3
Group: Development/Python3
Url: https://pypi.python.org/pypi/ladon/
BuildArch: noarch

Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-jinja2
BuildRequires: python3(sphinx_bootstrap_theme)

%py3_provides %oname
%py3_requires jinja2 json


%description
Ladon is a framework for exposing python methods to several internet
service protocols. Once a method is ladonized it is automatically served
through all the interfaces that your ladon installation contains. Ladon
is easily extendable. Adding a new service interface is as easy as
adding a single module containing a class inheriting the BaseInterface
class.

%prep
%setup

sed -i 's|#!/usr/bin/env python|#!/usr/bin/env python3|' \
	$(find ./ -name '*.py')
sed -i 's|#!/usr/bin/python|#!/usr/bin/python3|' \
	$(find ./ -name '*.py')

%build
%python3_build_debug

%install
%python3_install

rm -rf %buildroot%python3_sitelibdir/*/test.* ||:
rm -rf %buildroot%python3_sitelibdir/*/*/test.* ||:

%check
python3 setup.py test

%files
%doc *.rst examples
%_bindir/*
%python3_sitelibdir/*


%changelog
