%define oname linkedin

Name: python3-module-%oname
Version: 4.2
Release: alt2

Summary: Python Interface to the LinkedIn API
License: MIT
Group: Development/Python3
Url: https://pypi.python.org/pypi/python-linkedin/
BuildArch: noarch

# https://github.com/ozgur/python-linkedin.git
Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-requests-oauthlib python-tools-2to3

%py3_provides %oname
%py3_requires requests requests_oauthlib json


%description
This library provides a pure Python interface to the LinkedIn Profile,
Group, Company, Jobs, Search, Share, Network and Invitation REST APIs.

%prep
%setup

find ./ -type f -name '*.py' -exec 2to3 -w -n '{}' +

sed -i 's|#!/usr/bin/env python|#!/usr/bin/env python3|' \
    $(find ./ -name '*.py')

%build
%python3_build_debug

%install
%python3_install

%check
%__python3 setup.py test

%files
%doc *.md *.rst examples/
%python3_sitelibdir/*


%changelog
