%define oname lmdb

%def_with check

Name: python3-module-%oname
Version: 1.3.0
Release: alt1

Summary: Universal Python binding for the LMDB 'Lightning' Database

License: OpenLDAP BSD
Group: Development/Python3
Url: https://pypi.python.org/pypi/lmdb/

# https://github.com/dw/py-lmdb.git
Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: liblmdb-devel
%if_with check
BuildRequires: python3-module-pytest
BuildRequires: python3-module-cffi
%endif

%description
Universal Python binding for the LMDB 'Lightning' Database.

%prep
%setup

%build
export LMDB_FORCE_SYSTEM=1
%python3_build

%install
export LMDB_FORCE_SYSTEM=1
%python3_install

%check
%__python3 setup.py build_ext -i
export PYTHONPATH=%buildroot%python3_sitelibdir
py.test3

%files
%doc ChangeLog *.md docs/*.rst examples LICENSE
%python3_sitelibdir/%oname
%python3_sitelibdir/%oname-%version-py%_python3_version.egg-info

%changelog
