%define oname python-magic
%define sover 1

Name: python3-module-magic
Version: 0.4.13
Release: alt3

Summary: File type identification using libmagic

License: MIT
Group: Development/Python3
Url: https://pypi.python.org/pypi/python-magic/

# Source-url: %__pypi_url %oname
Source: %name-%version.tar

BuildRequires(pre): rpm-build-intro >= 2.2.5
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools

%py3_provides %oname
Provides: python3-module-libmagic = %EVR
Obsoletes: python3-module-libmagic

Requires: %_libdir/libmagic.so.%sover

%description
This module uses ctypes to access the libmagic file type identification
library. It makes use of the local magic database and supports both
textual and MIME-type output.

%prep
%setup
sed -i "s|@64@|%_libsuff|" magic.py
sed -i "s|@SOVER@|%sover|" magic.py

%build
%python3_build_debug

%install
%python3_install
%python3_prune

%if "%_lib" == "lib64"
mv %buildroot%_libexecdir %buildroot%_libdir
%endif

%check
export LC_ALL=en_US.UTF-8
python3 setup.py test || :

%files
%doc *.md
%python3_sitelibdir/*

%changelog
