%def_disable snapshot
%define _unpackaged_files_terminate_build 1
%define modname markdown

%def_enable check

Name: python3-module-%modname
Version: 3.3.5
Release: alt1.1

Summary: Python implementation of Markdown text-to-HTML convertor.
Group: Development/Python3
License: BSD-3-Clause
Url: http://pypi.python.org/pypi/Markdown/

%if_disabled snapshot
Source: https://pypi.io/packages/source/M/Markdown/Markdown-%version.tar.gz
%else
Vcs: git://github.com/waylan/Python-Markdown.git
Source: Markdown-%version.tar
%endif

BuildArch: noarch
Requires: python3-module-Pygments
#markdown/util.py:    import importlib_metadata as metadata
Requires: python3(importlib_metadata)

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-devel python3-module-setuptools
BuildRequires: python3-module-yaml
BuildRequires: python3-module-nose python3-module-coverage
BuildRequires: python3-module-Pygments
%{?_enable_check:BuildRequires: python3(importlib_metadata)}

%description
Markdown is a plain text formatting syntax designed to be as readable as
possible while being structured enough to allow conversion to other formats.

This package contains Python implementation of markdown-to-HTML convertor.

%package docs
Summary: Documentation for Markdown
Group: Development/Documentation
BuildArch: noarch

%description docs
Markdown is a plain text formatting syntax designed to be as readable as
possible while being structured enough to allow conversion to other formats.

This package contains documentation for Markdown.

%prep
%setup -n Markdown-%version

%build
%python3_build

%install
%python3_install
mv %buildroot%_bindir/%{modname}_py \
	%buildroot%_bindir/%{modname}_py3

%check
export PYTHONPATH=%buildroot%python3_sitelibdir
%__python3 -m unittest discover tests
%buildroot%_bindir/%{modname}_py3 README.md >README.html

%files
%_bindir/%{modname}_py3
%python3_sitelibdir/*


%changelog
