%define _unpackaged_files_terminate_build 1

%define oname moto

Name: python3-module-%oname
Version: 1.3.16
Release: alt1

Summary: A library that allows your python tests to easily mock out the boto library
License: Apache-2.0
Group: Development/Python3
Url: https://pypi.org/project/moto/

BuildArch: noarch

# https://github.com/spulec/moto.git
Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-chardet python3-module-coverage
BuildRequires: python3-module-ecdsa
BuildRequires: python3(boto)
BuildRequires: python3(boto3)
BuildRequires: python3(botocore)
BuildRequires: python3(httpretty)
BuildRequires: python3(sure)
BuildRequires: python3-module-html5lib python3-module-mimeparse
BuildRequires: python3-module-nose python3-module-pbr
BuildRequires: python3-module-pycrypto python3-module-pytest
BuildRequires: python3-module-unittest2 python3-module-urllib3
BuildRequires: python3-module-yaml python3-module-yieldfrom.urllib3
BuildRequires: python3(werkzeug) python3(flask) python3(zipp) python3(responses)
BuildRequires: python3(xmltodict) python3(docker) python3(parameterized) python3(freezegun)
BuildRequires: python3(jose) python3(aws_xray_sdk)

%description
Moto is a library that allows your python tests to easily mock out the
boto library.

%prep
%setup
sed -i 's|^#!/usr/bin/env python$|#!/usr/bin/env python3|' \
    $(find ./ -name '*.py')

%build
%python3_build_debug

%install
%python3_install

%check
%__python3 setup.py test
nosetests3 -v ||:

%files
%doc LICENSE
%doc *.md
%_bindir/*
%python3_sitelibdir/%oname
%python3_sitelibdir/%oname-%version-py*.egg-info

%changelog
