%define oname novaclient

Name: python3-module-%oname
Version: 17.0.0
Release: alt4

Summary: Python API and CLI for OpenStack Nova

Group: Development/Python3
License: Apache-2.0
Url: http://docs.openstack.org/developer/python-%oname

Source: https://tarballs.openstack.org/python-%oname/python-%oname-%version.tar.gz

BuildArch: noarch

# ALT 38677
Conflicts: python-module-novaclient
Obsoletes: python-module-novaclient

Requires: python3-module-simplejson >= 3.5.1
Requires: python3-module-keystoneclient

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-devel
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-pbr >= 2.0.0
BuildRequires: python3-module-keystoneauth1 >= 3.5.0
BuildRequires: python3-module-iso8601 >= 0.1.11
BuildRequires: python3-module-oslo.serialization >= 2.18.0
BuildRequires: python3-module-oslo.utils >= 3.33.0
BuildRequires: python3-module-prettytable >= 0.7.2
BuildRequires: python3-module-simplejson >= 3.5.1
BuildRequires: python3-module-six >= 1.10.0
BuildRequires: python3-module-babel >= 2.3.4

BuildRequires: python3-module-keystoneclient >= 3.8.0
BuildRequires: python3-module-cinderclient >= 3.3.0
BuildRequires: python3-module-glanceclient >= 2.8.0
BuildRequires: python3-module-neutronclient >= 6.7.0

BuildRequires: python3-module-sphinx
BuildRequires: python3-module-reno >= 2.5.0
BuildRequires: python3-module-openstackdocstheme >= 1.18.1
BuildRequires: python3-module-sphinxcontrib-apidoc

%description
This is a client for the OpenStack Nova API. There's a Python API (the
novaclient module), and a command-line script (nova). Each implements
100 percent of the OpenStack Nova API.

%package tests
Summary: Tests for %oname
Group: Development/Python3
Requires: %name = %EVR

%description tests
This package contains tests for %oname.

%package doc
Summary: Documentation for OpenStack Nova API Client
Group: Development/Documentation

%description doc
This is a client for the OpenStack Nova API. There's a Python API (the
novaclient module), and a command-line script (nova). Each implements
100 percent of the OpenStack Nova API.

This package contains documentation for %oname.

%prep
%setup -n python-%oname-%version

# Remove bundled egg-info
rm -rf python_novaclient.egg-info

# Let RPM handle the requirements
rm -f {,test-}requirements.txt

# Prevent doc build warnings from causing a build failure
sed -i '/warning-is-error/d' setup.cfg

%build
%python3_build

export PYTHONPATH="$PWD"

# generate html docs
#sphinx-build-3 doc/source html
# generate man page
#sphinx-build-3 -b man doc/source man
# remove the sphinx-build leftovers
#rm -rf html/.{doctrees,buildinfo}

%install
%python3_install

# install man page
#install -p -D -m 644 man/nova.1 %buildroot%_man1dir/nova.1

# install bash completion
install -p -D -m 644 tools/nova.bash_completion \
    %buildroot%_sysconfdir/bash_completion.d/nova.bash_completion

%files
%doc *.rst LICENSE
%_bindir/nova
#_man1dir/nova*
%_sysconfdir/bash_completion.d/nova*
%python3_sitelibdir/*
%exclude %python3_sitelibdir/*/tests

%files tests
%python3_sitelibdir/*/tests

%files doc
#doc LICENSE html

%changelog
