%define oname oslo.db

Name: python3-module-%oname
Version: 6.0.0
Release: alt1
Summary: OpenStack oslo.db library
Group: Development/Python3
License: ASL 2.0
Url: http://docs.openstack.org/developer/%oname
Source: https://tarballs.openstack.org/%oname/%oname-%version.tar.gz
Source1: oslo.db.watch

BuildArch: noarch

Provides: python3-module-oslo-db = %EVR

Requires: python3-module-oslo.i18n >= 3.15.3
Requires: python3-module-migrate
Requires: python3-module-stevedore >= 1.20.0
Requires: python3-module-SQLAlchemy
Requires: python3-module-iso8601

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-devel
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-pbr >= 2.0.0
BuildRequires: python3-module-sphinx
BuildRequires: python3-module-openstackdocstheme >= 1.18.1
BuildRequires: python3-module-alembic >= 0.9.6
BuildRequires: python3-module-debtcollector >= 1.2.0
BuildRequires: python3-module-oslo.i18n >= 3.15.3
BuildRequires: python3-module-oslo.config >= 5.2.0
BuildRequires: python3-module-oslo.context >= 2.9.0
BuildRequires: python3-module-oslo.utils >= 3.33.0
BuildRequires: python3-module-migrate
BuildRequires: python3-module-migrate-tests
BuildRequires: python3-module-eventlet
BuildRequires: python3-module-oslotest
BuildRequires: python3-module-stevedore >= 1.20.0
BuildRequires: python3-module-six >= 1.10.0

BuildRequires: python3-module-testresources >= 2.0.0
BuildRequires: python3-module-testscenarios >= 0.4

%description
The OpenStack Oslo database handling library. Provides database connectivity
to the different backends and helper utils.

%package doc
Summary: Documentation for the Oslo database handling library
Group: Development/Documentation
Provides: python-module-oslo-db-doc = %EVR

%description doc
Documentation for the Oslo database handling library.

%package tests
Summary: Tests for the Oslo database handling library
Group: Development/Python3
Requires: %name = %EVR

%description tests
Tests for the Oslo database handling library.

%prep
%setup -n %oname-%version

%build
%python3_build

# generate html docs
#python setup.py build_sphinx
# remove the sphinx-build leftovers
#rm -rf doc/build/html/.{doctrees,buildinfo}

%install
%python3_install

%files
%doc CONTRIBUTING.rst HACKING.rst LICENSE PKG-INFO README.rst
%python3_sitelibdir/*
%exclude %python3_sitelibdir/*/test*
%exclude %python3_sitelibdir/*/*/test*

%files tests
%python3_sitelibdir/*/test*
%python3_sitelibdir/*/*/test*

%changelog
