%define _unpackaged_files_terminate_build 1
%define oname parse_type

%def_with check

Name: python3-module-%oname
Version: 0.5.6
Release: alt1
Summary: parse_type extends the parse module (opposite of string.format())
License: BSD
Group: Development/Python
BuildArch: noarch
Url: https://pypi.org/project/parse-type/

# https://github.com/jenisys/parse_type.git
Source: %name-%version.tar
Patch0: %name-%version-alt.patch

BuildRequires(pre): rpm-build-python3

%if_with check
BuildRequires: python3(parse)
BuildRequires: python3(tox)
BuildRequires: python3(tox_no_deps)
BuildRequires: python3(tox_console_scripts)
%endif

%py3_requires parse

%description
Simplifies to build parse types based on the parse module.

%prep
%setup
%autopatch -p1

%build
%python3_build

%install
%python3_install

%check
export PIP_NO_INDEX=YES
export TOXENV=py3
tox.py3 --sitepackages --console-scripts --no-deps -vvr -s false

%files
%doc *.rst
%python3_sitelibdir/parse_type/
%python3_sitelibdir/parse_type-%version-py%_python3_version.egg-info/

%changelog
