%define _upstream pyparted
%define oname parted

Name: python3-module-%oname
Version: 3.11.7
Release: alt1

Summary: Python bindings for libparted

Group: Development/Python3
License: GPL v2 or later
URL: https://github.com/rhinstaller/pyparted

# https://github.com/rhinstaller/pyparted.git
Source: %name-%version.tar

Provides: %_upstream

BuildRequires: libparted-devel
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-devel python3-module-setuptools

%description
pyparted is a set of native Python bindings for libparted.  libparted is the
library portion of the GNU parted project.  With pyparted, you can write
applications that interact with disk partition tables and filesystems.

The Python bindings are implemented in two layers.  Since libparted itself
is written in C without any real implementation of objects, a simple 1:1
mapping of externally accessible libparted functions was written.  This
mapping is provided in the _ped Python module.  You can use that module if
you want to, but it's really just meant for the larger parted module.

%prep
%setup

%build
%add_optflags -fno-strict-aliasing
%python3_build_debug

%install
%python3_install

%files
%doc AUTHORS NEWS README TODO
%python3_sitelibdir/parted
%python3_sitelibdir/*.so
%python3_sitelibdir/*.egg-info

%changelog
