%define _unpackaged_files_terminate_build 1
%define oname phonon

%def_disable check

Name: python3-module-%oname
Version: 3.1
Release: alt2

Summary: Provides easy, fault tolerant, distributed references with redis as a backend

License: MIT
Group: Development/Python3
Url: https://pypi.python.org/pypi/phonon/

Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

# Source-url: %__pypi_url %oname
Source: %name-%version.tar

BuildArch: noarch

BuildRequires(pre): rpm-build-intro >= 2.2.4
BuildRequires(pre): rpm-build-python3

# generated by epm --restore --dry-run from phonon/setup.py install_requires=[
%py3_use redis-py >= 2.10.5
%py3_use pytz >= 2014.10
%py3_use tornado >= 4.3

%if_with check
# generated by epm --restore --dry-run from phonon/setup.py tests_require=[
%py3_buildrequires funcsigs >= 0.4
%py3_buildrequires mock >= 1.3.0
%py3_buildrequires pbr >= 1.8.1
%endif

%description
The main goals of the Phonon project are

1. Provide a high-level abstraction for easy coordination in Python
2. Fault tolerance for network partitions, single, and multi- node
   failures
3. Failover for unreachable hosts
4. High availability and linear scaling

%prep
%setup

%build
%python3_build_debug

%install
%python3_install
%python3_prune

%check
%python3_test

%files
%doc PKG-INFO
%python3_sitelibdir/*

%changelog
