%define modulename pika

Name: python3-module-%modulename
Version: 1.2.1
Release: alt1

Summary: Pika is a pure-Python implementation of the AMQP 0-9-1 protocol.

License: BSD-3-Clause
Group: Development/Python3
Url: http://github.com/pika/pika

BuildArch: noarch

# Source-git: https://github.com/pika/pika.git
Source: %name-%version.tar

BuildRequires(pre): rpm-macros-sphinx3
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-sphinx

%py3_requires twisted.internet tornado

%description
Pika is a pure-Python implementation of the AMQP 0-9-1 protocol that
tries to stay fairly independent of the underlying network support
library.

%package docs
Summary: Documentation for %modulename
Group: Development/Documentation

%description docs
Pika is a pure-Python implementation of the AMQP 0-9-1 protocol that
tries to stay fairly independent of the underlying network support
library.

This package contains documentation for %modulename.

%prep
%setup

%prepare_sphinx3 .
ln -s ../objects.inv docs/

%build
%python3_build

# generate html docs
%__python3 setup.py build_sphinx
# remove the sphinx-build leftovers
rm -rf build/sphinx/html/.{doctrees,buildinfo}

%install
%python3_install

# Delete tests
rm -fr %buildroot%python3_sitelibdir/tests
rm -fr %buildroot%python3_sitelibdir/*/tests

%files
%doc *.rst
%python3_sitelibdir/*

%files docs
%doc build/sphinx/html/*

%changelog
