%set_python3_req_method strict
%define _unpackaged_files_terminate_build 1
%define pypi_name proxmoxer

Name: python3-module-%pypi_name
Version: 2.0.1
Release: alt1

Summary: Wrapper around Proxmox REST API v2
License: MIT
Group: Development/Python3
Url: https://github.com/proxmoxer/proxmoxer
BuildArch: noarch

Source: %name-%version.tar
Patch: %name-%version-alt.patch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3(setuptools)
BuildRequires: python3(wheel)
BuildRequires: python3(requests)
BuildRequires: python3(paramiko)

%py3_provides %pypi_name

%add_python3_req_skip httplib # python3(http) is used instead this
%add_python3_req_skip urlparse # python3(urllib) is used instead this

%description
Pythonic API for a Proxmox cluster manipulation.

%prep
%setup -q -n %name-%version

%build
%pyproject_build

%install
%pyproject_install

%files
%python3_sitelibdir/%pypi_name
%python3_sitelibdir/%pypi_name-%version.dist-info
%doc README.rst LICENSE.txt

%changelog
