%define oname purl

Name: python3-module-%oname
Version: 1.0.2
Release: alt2

Summary: An immutable URL class for easy URL-building and manipulation
License: MIT
Group: Development/Python3
Url: https://pypi.python.org/pypi/purl/
BuildArch: noarch

# https://github.com/codeinthehole/purl.git
Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-six python3-module-nose
BuildRequires: python3-module-pip python3-module-wheel
BuildRequires: python3-module-tox

%py3_provides %oname


%description
A simple, immutable URL class with a clean API for interrogation and
manipulation. Supports Python 2.6, 2.7, 3.3, 3.4 and pypy.

Also supports template URLs as per RFC 6570.

%prep
%setup

sed -i 's|#!/usr/bin/env python|#!/usr/bin/env python3|' \
    $(find ./ -name '*.py')

%build
%python3_build_debug

%install
%python3_install

%check
%__python3 setup.py test

%files
%doc AUTHORS *.rst docs/*.rst
%python3_sitelibdir/*


%changelog
