%define mname pyannote
%define oname %mname.core

Name: python3-module-%oname
Version: 3.5
Release: alt1

Summary: PyAnnote core
License: MIT
Group: Development/Python3
Url: https://pypi.python.org/pypi/pyannote.core/

# https://github.com/pyannote/pyannote-core.git
Source: %name-%version.tar
Patch0: fix-detect-version.patch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-typing_extensions
BuildRequires: python3-module-numpy python3-module-pandas
BuildRequires: python3-module-sortedcontainers
BuildRequires: python3-module-simplejson git

%py3_provides %mname
%py3_provides %mname.core


%description
PyAnnote is a Python module for collaborative annotation of multimodal
documents.

%prep
%setup
%patch0 -p1

touch version.py
echo '%version' >> version.py

%build
%python3_build_debug

%install
%python3_install

%if "%_libexecdir" != "%_libdir"
mv %buildroot%_libexecdir %buildroot%_libdir
%endif

install -p -m644 %mname/__init__.py \
	%buildroot%python3_sitelibdir/%mname/

%check
%if 0
%__python3 setup.py test
%endif

%files
%doc *.md doc
%python3_sitelibdir/%mname
%python3_sitelibdir/*.egg-info


%changelog
