%define oname pyhacrf

Name: python3-module-%oname
Version: 0.1.2
Release: alt2
Summary: Hidden alignment conditional random field, discriminative string edit distance
License: BSD
Group: Development/Python3
Url: https://pypi.python.org/pypi/pyhacrf

# https://github.com/dirko/pyhacrf.git
Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildPreReq: python3-devel python3-module-setuptools
BuildPreReq: python3-module-Cython libnumpy-py3-devel
BuildPreReq: python3-module-numpy-testing
BuildPreReq: python3-module-pylbfgs
BuildRequires: python3-module-pytest

%description
Hidden alignment conditional random field for classifying string pairs -
a learnable edit distance.

This package aims to implement the HACRF machine learning model with a
sklearn-like interface. It includes ways to fit a model to training
examples and score new example.

%prep
%setup

%build
%add_optflags -fno-strict-aliasing

cython3 %oname/algorithms.pyx
%python3_build_debug

%install
%python3_install

%check
%ifnarch %ix86
python3 setup.py test -v
python3 setup.py build_ext -i
py.test3 -vv
%endif

%files
%doc *.rst examples
%python3_sitelibdir/*

%changelog
