%define oname pylama

%def_with check

Name: python3-module-%oname
Version: 7.7.1
Release: alt3
Summary: pylama -- Code audit tool for python
License: LGPL
Group: Development/Python3
Url: https://pypi.python.org/pypi/pylama/

# https://github.com/klen/pylama.git
Source: %name-%version.tar
BuildArch: noarch

Patch1: pylama-alt-pydocstyle-compat-test.patch

BuildRequires(pre): rpm-build-python3
BuildRequires: git
BuildRequires: python3-devel python3-module-setuptools
BuildRequires: python3-module-ipdb python3-tools-pep8 python3-pyflakes
BuildRequires: pylint-py3 python3-module-nose
BuildRequires: python3(pytest) python3-module-pydocstyle

Conflicts: python-module-pylama < %EVR
Obsoletes: python-module-pylama < %EVR

%py3_provides %oname

%description
pylama -- Code audit tool for python.

%prep
%setup
%patch1 -p1

%build
export LC_ALL=en_US.UTF-8
%python3_build_debug

%install
export LC_ALL=en_US.UTF-8
%python3_install

# don't install tests in such directory please
rm -rf %buildroot%python3_sitelibdir/tests

%check
python3 setup.py test
nosetests3

%files
%doc AUTHORS Changelog *.rst
%_bindir/*
%python3_sitelibdir/%oname
%python3_sitelibdir/*.egg-info

%changelog
