%define oname pyrax

Name: python3-module-%oname
Version: 1.9.8
Release: alt1

Summary: Python language bindings for OpenStack Clouds

License: ASL 2.0
Group: Development/Python3
Url: https://github.com/rackspace/pyrax
BuildArch: noarch

Source: http://imcleod.fedorapeople.org/src/pyrax/pyrax-%version.tar
Patch0: 0001-rename-keyword.patch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-devel python3-module-setuptools
BuildRequires: python3-module-mock


%description
A library for working with most OpenStack-based cloud deployments, though it
originally targeted the Rackspace public cloud. For example, the code for
cloudfiles contains the ability to publish your content on Rackspace's CDN
network, even though CDN support is not part of OpenStack Swift. But if you
don't use any of the CDN-related code, your app will work fine on any
standard Swift deployment.

%package tests
Summary: Tests for %oname
Group: Development/Python3
Requires: %name = %EVR

%description tests
A library for working with most OpenStack-based cloud deployments, though it
originally targeted the Rackspace public cloud. For example, the code for
cloudfiles contains the ability to publish your content on Rackspace's CDN
network, even though CDN support is not part of OpenStack Swift. But if you
don't use any of the CDN-related code, your app will work fine on any
standard Swift deployment.

This package contains tests for %oname.

%prep
%setup -n pyrax-%version
%patch0 -p2

%build
sed -i -e 's|#!/usr/bin/env python|#!/usr/bin/env python3|' \
       -e 's|#!/usr/bin/python|#!/usr/bin/python3|' \
    $(find ./ -name '*.py')

%python3_build

%install
%python3_install

%files
%doc *.rst LICENSE docs/
%python3_sitelibdir/*


%changelog
