%define oname pyroute2

Name: python3-module-%oname
Version: 0.5.19
Release: alt1

Summary: Python Netlink library

Group: Development/Python3
License: GPLv2+, ASL 2.0
Url: https://github.com/svinota/pyroute2

Source: %oname-%version.tar

BuildArch: noarch

BuildRequires(pre): rpm-build-python3

%add_python3_req_skip pyroute2.bsd.rtmsocket
%add_python3_req_skip dhclient
%add_python3_req_skip netl

%description
Pyroute2 is a pure Python3 netlink library.
It requires only Python stdlib, no 3rd party libraries.
The library was started as an RTNL protocol implementation,
so the name is pyroute2, but now it supports many netlink protocols.

%package tests
Summary: Tests for %oname
Group: Development/Python3
Requires: %name = %EVR

%description tests
This package contains tests for %oname.

%prep
%setup -n %oname-%version

%build
%python3_build

# git describe is useless inside hasher, so make version file manually
echo '__version__ = "%version"' > pyroute2/config/version.py

%install
%python3_install
# install tests
cp -pr tests %buildroot%python3_sitelibdir/%oname/

# It is the file in the package whose name matches the format emacs or vim uses
# for backup and autosave files. It may have been installed by  accident.
find %buildroot \( -name '.*.swp' -o -name '#*#' -o -name '*~' \) -print -delete
# failsafe cleanup if the file is declared as %%doc
find . \( -name '.*.swp' -o -name '#*#' -o -name '*~' \) -print -delete

%files
%doc README.rst
%_bindir/*
%python3_sitelibdir/*
%exclude %python3_sitelibdir/*/tests

%files tests
%python3_sitelibdir/*/tests

%changelog
