%define oname pysubnettree

Summary: Provides maps subnets given in CIDR notation to Python objects
Name: python3-module-%oname
Version: 0.23
Release: alt2
Source: pysubnettree-%version.tar.gz
License: BSD-style
Group: Development/Python3
Url: http://www.icir.org/robin/pysubnettree
Packager: Slava Dubrovskiy <dubrsl@altlinux.ru>

BuildRequires(pre): rpm-build-python3
BuildRequires: gcc-c++

%description
The PySubnetTree package provides a Python data structure SubnetTree
which maps subnets given in CIDR notation to Python objects. Lookups are
performed by longest-prefix matching.

%prep
%setup -n pysubnettree-%version

%build
# Unfortunately build and install steps should be done at once
# because otherwise .pyo files won't get into INSTALLED_FILES
# record
%add_optflags -fno-strict-aliasing
%python3_build_debug \
    install --optimize=2 \
        --root=`pwd`/buildroot

%install
cp -pr buildroot %buildroot

install -d %buildroot%python3_sitelibdir
cp -fR buildroot/%python3_sitelibdir/* %buildroot%python3_sitelibdir/

unset RPM_PYTHON

%files
%doc CHANGES COPYING README
%python3_sitelibdir/*

%changelog
