%define _unpackaged_files_terminate_build 1
%define oname pytest-flask

%def_enable check

Name: python3-module-%oname
Version: 1.2.0
Release: alt1

Summary: A set of pytest fixtures to test Flask applications
License: MIT
Group: Development/Python3
Url: https://github.com/pytest-dev/pytest-flask
VCS: https://github.com/pytest-dev/pytest-flask

BuildArch: noarch

Source0: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-pip
BuildRequires: python3-module-flask
BuildRequires: python3-module-setuptools_scm
%if_enabled check
BuildRequires: pytest3
BuildRequires: python3-module-pytest
BuildRequires: python3-module-tox
BuildRequires: python3-module-tox-no-deps
BuildRequires: python3-module-tox-console-scripts
BuildRequires: python3-module-coverage
%endif

%py3_provides pytest_flask

%description
An extension of pytest test runner which provides a set of useful 
tools to simplify testing and development of the Flask extensions 
and applications.

%prep
%setup

%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%version
%python3_build

%install
export SETUPTOOLS_SCM_PRETEND_VERSION=%version
%python3_install

%check
export SETUPTOOLS_SCM_PRETEND_VERSION=%version
export PYTHONPATH=%buildroot%python3_sitelibdir/
export PIP_NO_INDEX=YES
export TOXENV=py3
tox.py3 --sitepackages --console-scripts --no-deps -vvr

%files
%doc LICENSE *.rst
%python3_sitelibdir/*


%changelog
