%def_disable snapshot
%define modname pyxdg
%def_enable check

Name: python3-module-%modname
Version: 0.27
Release: alt1

Summary: Implementations of freedesktop.org standards in Python 3
License: LGPL-2.0
Group: Development/Python3
Url: http://freedesktop.org/Software/pyxdg
Packager: Python Development Team <python@packages.altlinux.org>

%if_disabled snapshot
Vcs: https://github.com/takluyver/pyxdg.git
Source: https://github.com/takluyver/pyxdg/archive/rel-%version/%modname-%version.tar.gz
%else
Vcs: https://gitlab.freedesktop.org/xdg/pyxdg.git
Source: %modname-%version.tar
%endif

BuildArch: noarch

Requires: shared-mime-info
Provides: pyxdg = %version-%release

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-devel python3-module-setuptools
%{?_enable_check:BuildRequires: python3-module-nose shared-mime-info}

%description
PyXDG contains implementations of freedesktop.org standards in Python 3.

%prep
%setup -n %modname%{?_disable_snapshot:-rel}-%version

%build
%python3_build

%install
%python3_install

%check
PYTHONPATH=%buildroot%python3_sitelibdir nosetests-3

%files
%python3_sitelibdir/*
%doc AUTHORS ChangeLog README TODO


%changelog
