%define oname repoze.evolution

Name: python3-module-%oname
Version: 0.6
Release: alt3

Summary: Version-number-controlled evolution for database changes
License: BSD
Group: Development/Python3
Url: http://pypi.python.org/pypi/repoze.evolution/

Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3
%py3_requires repoze zope.interface


%description
`repoze.evolution` is a package which allows you to keep
persistent data structures (data in a relational database, on the
filesystem, in a persistent object store, etc) in sync with changes
made to software.  It does so by allowing you to create and use a
package full of monotonically named ``evolve`` scripts which modify
the data; each script brings the data up to some standard of a
software version.  It includes a "manager" implementation for ZODB,
and an interface which allows you to implement different types of
managers for different persistent data stores.

%package tests
Summary: Tests for repoze.evolution
Group: Development/Python3
Requires: %name = %version-%release
%py3_requires transaction sphinx

%description tests
`repoze.evolution` is a package which allows you to keep
persistent data structures (data in a relational database, on the
filesystem, in a persistent object store, etc) in sync with changes
made to software.  It does so by allowing you to create and use a
package full of monotonically named ``evolve`` scripts which modify
the data; each script brings the data up to some standard of a
software version.  It includes a "manager" implementation for ZODB,
and an interface which allows you to implement different types of
managers for different persistent data stores.

This package contains tests for repoze.evolution.

%prep
%setup

%build
%python3_build

%install
%python3_install

%if "%python3_sitelibdir_noarch" != "%python3_sitelibdir"
install -d %buildroot%python3_sitelibdir
mv %buildroot%python3_sitelibdir_noarch/* \
    %buildroot%python3_sitelibdir/
%endif

%files
%doc *.txt docs/*.rst
%python3_sitelibdir/*
%exclude %python3_sitelibdir/*.pth
%exclude %python3_sitelibdir/*/*/tests

%files tests
%python3_sitelibdir/*/*/tests


%changelog
