%define oname repoze.who-friendlyform

Name:           python3-module-%oname
Version:        1.0.8
Release:        alt6

Summary:        Collection of repoze.who friendly form plugins
Group:          Development/Python3
License:        BSD-derived
URL:            http://pypi.python.org/pypi/repoze.who-friendlyform/

Source:         %oname-%version.tar.gz

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-sphinx python-tools-2to3 gif2png

%py3_requires repoze.who zope.interface webob
%py3_provides repoze.who.plugins.friendlyform


%description
repoze.who-friendlyform is a repoze.who plugin which provides a
collection of developer-friendly form plugins, although for the time
being such a collection has only one item.

%package docs
Summary: Documentation for repoze.who-friendlyform
Group: Development/Documentation
BuildArch: noarch

%description docs
repoze.who-friendlyform is a repoze.who plugin which provides a
collection of developer-friendly form plugins, although for the time
being such a collection has only one item.

This package contains documentation for repoze.who-friendlyform.

%package pickles
Summary: Pickles for repoze.who-friendlyform
Group: Development/Python3

%description pickles
repoze.who-friendlyform is a repoze.who plugin which provides a
collection of developer-friendly form plugins, although for the time
being such a collection has only one item.

This package contains pickles for repoze.who-friendlyform.

%prep
%setup

sed -i 's|sphinx-build|sphinx-build-3|' docs/Makefile
sed -i 's|implements(|# implements(|' repoze/who/plugins/friendlyform.py

find ./ -type f -name '*.py' -exec 2to3 -w -n '{}' +

%build
%python3_build

export PYTHONPATH=$PWD
pushd docs/source/_static
gif2png logo_hi.gif
popd
%make -C docs html

%install
%python3_install

%if "%python3_sitelibdir_noarch" != "%python3_sitelibdir"
install -d %buildroot%python3_sitelibdir
mv %buildroot%python3_sitelibdir_noarch/* \
    %buildroot%python3_sitelibdir/
%endif

install -d %buildroot%python3_sitelibdir/%oname
cp -fR docs/build/pickle %buildroot%python3_sitelibdir/%oname/

%files
%doc *.txt PKG-INFO tests.py CONTRIBUTORS
%python3_sitelibdir/repoze.who_friendlyform*
%python3_sitelibdir/repoze/who/plugins/*
%exclude %python3_sitelibdir/*.pth

%files docs
#doc docs/build/latex/*.pdf
%doc docs/build/html

%files pickles
%dir %python3_sitelibdir/%oname
%python3_sitelibdir/%oname/pickle


%changelog
