%define oname repoze.workflow

Name: python3-module-%oname
Version: 1.0
Release: alt3

Summary: Declarative state machine for content-lifecycle workflows
License: BSD
Group: Development/Python3
Url: https://github.com/repoze/repoze.workflow
# https://github.com/repoze/repoze.workflow.git

Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: python-tools-2to3

%py3_requires repoze repoze.zcml zope.component zope.interface
%py3_requires zope.configuration


%description
repoze.workflow is a state machine and associated configuration system
useful for workflow-like applications.

%package tests
Summary: Tests for repoze.workflow
Group: Development/Python
Requires: %name = %version-%release
%py3_requires zope.testing repoze.sphinx.autointerface

%description tests
repoze.workflow is a state machine and associated configuration system
useful for workflow-like applications.

This package contains tests for repoze.workflow.

%prep
%setup

find ./ -type f -name '*.py' -exec 2to3 -w -n '{}' +

%build
%python3_build

%install
%python3_install

%if "%python3_sitelibdir_noarch" != "%python3_sitelibdir"
install -d %buildroot%python3_sitelibdir
mv %buildroot%python3_sitelibdir_noarch/* \
	%buildroot%python3_sitelibdir/
%endif

pushd ./repoze/workflow
install -p -m644 *.zcml \
	%buildroot%python3_sitelibdir/repoze/workflow/
install -p -m644 tests/fixtures/*.zcml \
	%buildroot%python3_sitelibdir/repoze/workflow/tests/fixtures/
popd

%files
%doc *.txt docs/*.rst *.rst
%python3_sitelibdir/*
%exclude %python3_sitelibdir/*.pth
%exclude %python3_sitelibdir/*/*/test*
%exclude %python3_sitelibdir/*/*/*/test*

%files tests
%python3_sitelibdir/*/*/test*
%python3_sitelibdir/*/*/*/test*


%changelog
