%define _unpackaged_files_terminate_build 1
%define oname rlr

Name: python3-module-%oname
Version: 2.4.3
Release: alt2
Summary: Regularized Logistic Regression
License: MIT
Group: Development/Python3
Url: https://pypi.python.org/pypi/rlr/
# https://github.com/datamade/rlr.git

Source: %oname-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-Cython libnumpy-py3-devel python3-module-nose python3-module-numpy-testing
BuildRequires: python3-module-pylbfgs python3(future)
BuildRequires: python3-module-html5lib python3-module-notebook

%py3_provides %oname
%py3_requires numpy pylbfgs


%description
A Cython implementation of L2 regularized logistic regression.

%prep
%setup -n %oname-%version

sed -i 's|#!/usr/bin/python|#!/usr/bin/python3|' \
    $(find ./ -name '*.py')

%build
%python3_build_debug

%install
%python3_install

%if "%_lib" == "lib64"
mv %buildroot%_libexecdir %buildroot%_libdir
%endif

%check
python3 setup.py build_ext -i
nosetests3 -v

%files
%python3_sitelibdir/*


%changelog
