%define oname rsa

Name: python3-module-rsa
Version: 4.6
Release: alt2

Summary: Pure-Python RSA implementation

License: ASLv2
Group: Development/Python3
Url: https://pypi.python.org/pypi/rsa/

# Source-url: %__pypi_url %oname
Source: %name-%version.tar

BuildArch: noarch

BuildRequires(pre): rpm-build-intro >= 2.2.4
BuildRequires(pre): rpm-build-python3

BuildRequires: python3-module-setuptools

BuildRequires: python3-module-unittest2
BuildRequires: python3-module-pytest
BuildRequires: python3-module-mock

# generated by epm --restore --dry-run from rsa/setup.py install_requires
%py3_use pyasn1 >= 0.1.3

# for tests
%py3_buildrequires mypy

%description
Python-RSA is a pure-Python RSA implementation. It supports encryption
and decryption, signing and verifying signatures, and key generation
according to PKCS#1 version 1.5. It can be used as a Python library as
well as on the commandline. The code was mostly written by Sybren A.
Stuvel.

%prep
%setup

%build
%python3_build_debug

%install
%python3_install
%python3_prune

%check
%python3_test

%files
%doc LICENSE README.md
%_bindir/*
%python3_sitelibdir/*

%changelog
