%define _unpackaged_files_terminate_build 1

%define oname setuptools_scm
%def_with check

Name: python3-module-%oname
Version: 6.0.1
Release: alt1
Summary: The blessed package to manage your versions by scm tags
License: MIT
Group: Development/Python3
BuildArch: noarch
Url: https://pypi.org/project/setuptools-scm/

# https://github.com/pypa/setuptools_scm.git
Source: %name-%version.tar
Patch1: %name-%version-alt.patch

BuildRequires(pre): rpm-build-python3

%if_with check
BuildRequires: git-core
BuildRequires: mercurial
BuildRequires: python3(pytest)
BuildRequires: python3(tox)
BuildRequires: python3(tox_no_deps)
BuildRequires: python3(tox_console_scripts)
%endif

%py3_provides setuptools-scm
Requires: git-core mercurial
%py3_requires setuptools

%description
setuptools_scm is a simple utility for the setup_requires feature of
setuptools for use in Mercurial and Git based projects.

It uses metadata from the SCM to generate the version of a project and
is able to list the files belonging to that project (which makes the
MANIFEST.in file unnecessary in many cases).

It falls back to PKG-INFO/.hg_archival.txt when necessary.

%prep
%setup
%patch1 -p1

%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%version

%python3_build_debug

%install
export SETUPTOOLS_SCM_PRETEND_VERSION=%version

%python3_install

%check
export SETUPTOOLS_SCM_PRETEND_VERSION=%version
export TESTS_NO_NETWORK=1
export PIP_NO_BUILD_ISOLATION=no
export PIP_NO_INDEX=YES
export TOX_TESTENV_PASSENV='TESTS_NO_NETWORK'
export TOXENV=py%{python_version_nodots python3}-test
tox.py3 --sitepackages --console-scripts --no-deps -vvr

%files
%doc *.rst
%python3_sitelibdir/*

%changelog
