%def_with docs
Name: python3-module-slixmpp
Version: 1.4.2
Release: alt2
Group: Development/Python3
License: BSD
Url: https://dev.louiz.org/projects/slixmpp
BuildRequires(pre): rpm-build-python3
BuildPreReq: python3-devel python3-module-setuptools gpg

Requires: python3-module-pyasn1-modules
Requires: python3-module-aiodns

%if_with docs
BuildRequires: python3-module-sphinx-sphinx-build-symlink python3-module-sphinx_rtd_theme
%endif

BuildRequires: gpg
Summary: XMPP library for Python 3.4+. It is a fork of SleekXMPP
Source: slixmpp-%version.tar.gz
Buildarch: noarch

%description
Slixmpp's goals is to only rewrite the core of the library (the low level
socket handling, the timers, the events dispatching) in order to remove all
threads.

%prep
%setup -n slixmpp-%version

%build
%python3_build

%if_with docs
python3 setup.py build_sphinx
%endif

%install
%python3_install

%check
python3 setup.py test

%files
%doc README.rst
%if_with docs
%doc build/sphinx/html
%endif
%python3_sitelibdir_noarch/*

%changelog
