%define _unpackaged_files_terminate_build 1
%define oname speedparser

%def_without check

Name: python3-module-%oname
Version: 0.2.0
Release: alt3.git20140816.qa1

Summary: feedparser but faster and worse
License: MIT
Group: Development/Python3
Url: https://github.com/jmoiron/speedparser

BuildArch: noarch

# https://github.com/jmoiron/speedparser.git
Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-tools
%if_with check
BuildRequires: python3-module-chardet
BuildRequires: python3-module-lxml
%endif

%description
Speedparser is a black-box "style" reimplementation of the Universal
Feed Parser. It uses some feedparser code for date and authors, but
mostly re-implements its data normalization algorithms based on
feedparser output. It uses lxml for feed parsing and for optional HTML
cleaning. Its compatibility with feedparser is very good for a strict
subset of fields, but poor for fields outside that subset.
See tests/speedparsertests.py for more information on which fields are
more or less compatible and which are not.

%prep
%setup
tar -xf tests/feeds.tar.bz2

find ./ -type f -name '*.py' -exec 2to3-%_python3_version -w -n '{}' +

%build
%python3_build

%install
%python3_install

%check
export PYTHONPATH=%buildroot%python3_sitelibdir
%__python3 setup.py test

%files
%doc *.rst docs/*.rst
%python3_sitelibdir/*

%changelog
