%define oname sqltap

Name: python3-module-%oname
Version: 0.3.6
Release: alt3

Summary: Profiling and introspection for applications using sqlalchemy
License: ASLv2.0
Group: Development/Python3
Url: https://pypi.python.org/pypi/sqltap/
# https://github.com/inconshreveable/sqltap.git
BuildArch: noarch

Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-devel python3-module-setuptools
BuildRequires: python3-module-SQLAlchemy python3-module-mako
BuildRequires: python3-module-nose python3-modules-sqlite3
BuildRequires: python3-module-werkzeug
BuildRequires: python3-module-html5lib python3-module-sphinx

%py3_provides %oname
%py3_requires sqlalchemy mako werkzeug


%description
sqltap is a library that allows you to profile and introspect the
queries that your application makes using SQLAlchemy.

sqltap helps you quickly understand:

* how many times a sql query is executed
* how much time your sql queries take
* where your application is issuing sql queries from

%prep
%setup

%build
%python3_build_debug

%install
%python3_install

%check
python3 setup.py test

%files
%doc *.md doc/source/*.rst
%python3_sitelibdir/*


%changelog
