%define oname stevedore

%def_disable check

Name: python3-module-%oname
Version: 1.32.0
Release: alt2
Summary: Manage dynamic plugins for Python applications
Group: Development/Python3
License: Apache-2.0
URL: http://docs.openstack.org/developer/stevedore/
Source: https://tarballs.openstack.org/%oname/%oname-%version.tar.gz
BuildArch: noarch

BuildRequires(pre): rpm-macros-sphinx3
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-devel
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-pbr >= 2.0.0
BuildRequires: python3-module-six >= 1.10.0
BuildRequires: python3-module-Pillow
BuildRequires: python3-module-oslotest
BuildRequires: python3-module-discover
BuildRequires: python3-module-testrepository
BuildRequires: python3-module-coverage
BuildRequires: python3-module-mock
BuildRequires: python3-module-mox3
BuildRequires: python3-module-mimeparse
BuildRequires: python3-module-sphinx-devel
BuildRequires: python3-module-openstackdocstheme >= 1.18.1
BuildRequires: python3-module-reno >= 2.5.0
BuildRequires: python3-module-bandit

%py3_provides %oname

%description
Manage dynamic plugins for Python applications

%package tests
Summary: Tests for %oname
Group: Development/Python3
Requires: %name = %EVR

%description tests
Manage dynamic plugins for Python applications

This package contains tests for %oname.

%package pickles
Summary: Pickles for %oname
Group: Development/Python3

%description pickles
Manage dynamic plugins for Python applications

This package contains pickles for %oname.

%package docs
Summary: Documentation for %oname
Group: Development/Documentation
BuildArch: noarch

%description docs
Manage dynamic plugins for Python applications

This package contains documentation for %oname.

%prep
%setup -n %oname-%version

%prepare_sphinx3 doc
ln -s ../objects.inv doc/source/

%build
%python3_build

%install
%python3_install

export PYTHONPATH=$PWD
export PBR_VERSION=$(pbr.py3 --version)
%make SPHINXBUILD="sphinx-build-3" -C doc pickle
%make SPHINXBUILD="sphinx-build-3" -C doc html

cp -fR doc/build/pickle %buildroot%python3_sitelibdir/%oname/

%check
python3 setup.py test
rm -fR build
export PYTHONPATH=$PWD
py.test-%_python3_version

%files
%doc README.rst LICENSE
%python3_sitelibdir/%oname
%python3_sitelibdir/*.egg-info
%exclude %python3_sitelibdir/%oname/pickle
%exclude %python3_sitelibdir/%oname/tests
%exclude %python3_sitelibdir/%oname/example
%exclude %python3_sitelibdir/%oname/example2

%files tests
%python3_sitelibdir/%oname/tests
%python3_sitelibdir/%oname/example
%python3_sitelibdir/%oname/example2

%files pickles
%python3_sitelibdir/%oname/pickle

%files docs
%doc doc/build/html/*

%changelog
