%define oname python-subunit

Name: python3-module-subunit
Version: 1.3.0
Release: alt3

Summary: Python implementation of subunit test streaming protocol

License: Apache or BSD
Group: Development/Python3
Url: http://pypi.python.org/pypi/python-subunit/

# Source-url: %__pypi_url %oname
Source: %name-%version.tar

BuildRequires(pre): rpm-build-intro >= 2.2.5
BuildRequires(pre): rpm-build-python3

BuildArch: noarch

BuildRequires: python3-devel python3-module-setuptools
BuildRequires: python3-module-testscenarios
BuildRequires: python3(hypothesis) python3(fixtures)
BuildRequires: python3-module-testtools

%add_python3_req_skip gtk pynotify
%add_python3_req_skip gtk.gdk

%description
Subunit is a streaming protocol for test results. The protocol is human
readable and easily generated and parsed. By design all the components
of the protocol conceptually fit into the xUnit TestCase->TestResult
interaction.

Subunit comes with command line filters to process a subunit stream and
language bindings for python, C, C++ and shell. Bindings are easy to
write for other languages.

%prep
%setup

%build
%python3_build

%install
%python3_install
%python3_prune

%check
#python3 setup.py test

%files
%doc NEWS README.rst
%_bindir/*
%python3_sitelibdir/*


%changelog
