%define oname swiftclient

Name: python3-module-%oname
Version: 3.9.0
Release: alt1

Summary: Client Library for OpenStack Object Storage API

Group: Development/Python3
License: Apache-2.0
Url: http://docs.openstack.org/developer/python-%oname

Source: https://tarballs.openstack.org/python-%oname/python-%oname-%version.tar.gz

BuildArch: noarch

Requires: python3-module-requests >= 1.1.0

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-devel
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-pbr
BuildRequires: python3-module-requests >= 1.1.0
BuildRequires: python3-module-six >= 1.9.0
BuildRequires: python3-module-keystoneclient >= 0.7.0

BuildRequires: python3-module-sphinx
BuildRequires: python3-module-keystoneauth1 >= 3.4.0
BuildRequires: python3-module-mock >= 1.2.0
BuildRequires: python3-module-reno >= 2.5.0
BuildRequires: python3-module-openstackdocstheme >= 1.18.1

# /usr/bin/swift collision with older swift-im rhbz#857900
Conflicts: swift < 2.0-alt1

%description
Client library and command line utility for interacting with Openstack
Object Storage API.

%package doc
Summary: Documentation for OpenStack Object Storage API Client
Group: Development/Documentation

%description doc
Client library and command line utility for interacting with Openstack
Object Storage API.

This package contains documentation for %oname.

%prep
%setup -n python-%oname-%version

# Let RPM handle the dependencies
rm -f test-requirements.txt requirements.txt

# Remove bundled egg-info
rm -rf python_swiftclient.egg-info

%build
%python3_build

export PYTHONPATH="$PWD"

# generate html docs
sphinx-build-3 doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%python3_install

# install man page
install -p -D -m 644 doc/manpages/swift.1 %buildroot%_man1dir/swift.1

# install bash completion
install -p -D -m 644 tools/swift.bash_completion \
    %buildroot%_sysconfdir/bash_completion.d/swift.bash_completion

%files
%doc *.rst LICENSE
%_bindir/swift
%_man1dir/swift.1*
%python3_sitelibdir/*
%_sysconfdir/bash_completion.d/swift*

%files doc
%doc LICENSE html

%changelog
