%global pypi_name testrepository

Name:           python3-module-%{pypi_name}
Version:        0.0.20
Release:        alt3

Summary:        A repository of test results
Group:          Development/Python3
License:        Apache-2.0
URL:            https://launchpad.net/testrepository
BuildArch:      noarch

Source0:        %{name}-%{version}.tar

BuildRequires(pre): rpm-build-python3
BuildPreReq: python3-module-html5lib python3-module-mimeparse
BuildPreReq: python3-module-pbr python3-module-unittest2
BuildPreReq: python3-module-fixtures python3-module-subunit
BuildPreReq: python3-module-testtools python3-module-extras

Conflicts: python-module-%pypi_name
Obsoletes: python-module-%pypi_name

%description
Provides a database of test results which can be used to
support easy developer workflows, supporting functionality
like isolating failing tests. Testrepository is compatible
with any test suite that can output subunit. This includes any
TAP test suite and any pyunit compatible test suite.

%prep
%setup
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%python3_build

%install
%python3_install

%files
%doc README.txt Apache-2.0
%{_bindir}/testr
%{python3_sitelibdir}/%{pypi_name}
%{python3_sitelibdir}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
