%define _unpackaged_files_terminate_build 1
%define modulename virtualenv
%define system_wheels_path %(%__python3 -c 'import os, sys, system_seed_wheels; sys.stdout.write(os.path.dirname(system_seed_wheels.__file__))')

%def_with check

Name: python3-module-%modulename
Version: 20.6.0
Release: alt1

Summary: Virtual Python Environment builder
License: MIT
Group: Development/Python3
# git://github.com/pypa/virtualenv.git
Url: http://pypi.python.org/pypi/virtualenv

Source: %name-%version.tar.gz
Patch: %name-%version-alt.patch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools_scm

%if_with check
# install_requires
BuildRequires: python3(importlib_metadata)
BuildRequires: python3(platformdirs)
BuildRequires: python3(distlib)
BuildRequires: python3(filelock)
BuildRequires: python3(six)

BuildRequires: python3(flaky)
BuildRequires: python3(packaging)
BuildRequires: python3(pytest_freezegun)
BuildRequires: python3(pytest_mock)
BuildRequires: python3(pytest_randomly)
BuildRequires: python3(pytest_timeout)
BuildRequires: python3(tox)
BuildRequires: python3(tox_no_deps)
BuildRequires: python3-module-system-seed-wheels-wheels
%endif

BuildArch: noarch

# system seed wheels
Requires: python3-module-system-seed-wheels-wheels

%description
Tool to create isolated Python environments.

With virtualenv it is became possible to keep separate set of python libraries
for each of your project.

Just exec "virtualenv /your/dir" and whole python enviroment (including
setuptools and easy_install) will be installed there. You could exec scripts
in newly created environment by invoking /your/dir/bin/python

%description -l ru_RU.UTF-8
Утилита для создания изолированных окружений для Python.

С Virtualenv вы можете создать независимые наборы библиотек для каждого
вашего проекта. Опционально вы можете запретить использование системных
библиотек.

Просто выполните "virtualenv /your/dir" и полное виртуальное окружение Python
будет создано в каталоге, который вы указали (setuptools  и easy_install будут
также установлены и при вызове будут устанавливать новые библиотеки в ваше
виртуальное окружение). Чтобы выполнить ваши скрипты в вновь созданном окружение
запускайте их при помощи /your/dir/bin/python

%prep
%setup
%patch -p1

# don't package win module
rm src/virtualenv/util/subprocess/_win_subprocess.py

# remove all bundled seed wheels
rm src/virtualenv/seed/wheels/embed/*.whl

%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%version
%python3_build

%install
export SETUPTOOLS_SCM_PRETEND_VERSION=%version
%python3_install
mv %buildroot%_bindir/{virtualenv,virtualenv3}

%check
export SETUPTOOLS_SCM_PRETEND_VERSION=%version
export PIP_NO_INDEX=YES
export PIP_NO_BUILD_ISOLATION=no
export PIP_FIND_LINKS=%system_wheels_path
export NO_INTERNET=yes
export TOX_TESTENV_PASSENV='SETUPTOOLS_SCM_PRETEND_VERSION PIP_NO_INDEX PIP_FIND_LINKS NO_INTERNET'
export TOXENV=py3
tox.py3 --sitepackages --no-deps -vvr -s false

%files
%doc README.md
%_bindir/virtualenv3
%python3_sitelibdir/virtualenv/
%python3_sitelibdir/virtualenv-%version-py%_python3_version.egg-info/

%changelog
