%define _unpackaged_files_terminate_build 1
%define oname watchdog

%def_with check

Name: python3-module-%oname
Version: 2.1.3
Release: alt1

Summary: Filesystem events monitoring
License: Apache-2.0
Group: Development/Python3
Url: https://pypi.org/project/watchdog/

BuildArch: noarch

# https://github.com/gorakhargosh/watchdog.git
Source: %name-%version.tar
Patch0: %name-%version-alt.patch

BuildRequires(pre): rpm-build-python3

%if_with check
BuildRequires: python3(flaky)
BuildRequires: python3(pytest)
BuildRequires: python3(pytest_timeout)
BuildRequires: python3(tox)
BuildRequires: python3(tox_no_deps)
%endif

%add_python3_req_skip AppKit FSEvents _watchdog_fsevents

Conflicts: python-module-%oname

%description
Python API and shell utilities to monitor file system events.

%prep
%setup
%autopatch -p1

%build
%python3_build_debug

%install
%python3_install

%check
export PIP_NO_BUILD_ISOLATION=no
export PIP_NO_INDEX=YES
export TOXENV=py3
tox.py3 --sitepackages --no-deps -vvr -s false

%files
%doc AUTHORS *.rst
%_bindir/watchmedo
%python3_sitelibdir/%oname/
%python3_sitelibdir/%oname-%version-py%_python3_version.egg-info/

%changelog
