%define _unpackaged_files_terminate_build 1
%define oname werkzeug

%def_enable check

Name: python3-module-%oname
Version: 2.0.3
Release: alt1

Summary: Werkzeug is one of the most advanced WSGI utility modules

License: BSD-3-Clause
Group: Development/Python3
URL: https://palletsprojects.com/p/werkzeug/
VCS: https://github.com/pallets/werkzeug

BuildArch: noarch

Source0: %name-%version.tar
Patch0: %name-%version-%release.patch

BuildRequires(pre): rpm-build-python3
%if_enabled check
BuildRequires: /proc
BuildRequires: pytest3
BuildRequires: python3-module-pytest
BuildRequires: python3-module-pytest-xprocess
BuildRequires: python3-module-tox
BuildRequires: python3-module-tox-no-deps
BuildRequires: python3-module-tox-console-scripts
%endif

%description
Werkzeug is a comprehensive WSGI web application library.
It began as a simple collection of various utilities for WSGI 
applications and has become one of the most advanced WSGI utility libraries.

Flask wraps Werkzeug, using it to handle the details of WSGI while providing
more structure and patterns for defining powerful applications.

%prep
%setup

%build
%python3_build

%install
%python3_install

%check
export PYTHONPATH=%buildroot%python3_sitelibdir/
export PIP_NO_INDEX=YES
export TOXENV=py3
# skip: test_debug - unresolved fixtures
# skip: test_serving - HTTPS and SSL related tests failed, reloader test hangs up
tox.py3 --sitepackages --console-scripts --no-deps -vvr -- \
-vra --ignore=tests/test_debug.py --ignore=tests/test_serving.py


%files
%doc *.rst
%python3_sitelibdir/*

%changelog
