%define oname whoosh
%define descr \
Whoosh is a fast, featureful full-text indexing and searching library \
implemented in pure Python. Programmers can use it to easily add search \
functionality to their applications and websites. Every part of how \
Whoosh works can be extended or replaced to meet your needs exactly.

Name: python3-module-%oname
Version: 2.7.4
Release: alt2

Summary: Fast pure-Python indexing and search library
Group: Development/Python3

License: BSD
URL: https://bitbucket.org/mchaput/whoosh/wiki/Home
# hg clone https://bitbucket.org/mchaput/whoosh
Source: %oname-%version.tar

BuildRequires(pre): rpm-build-python3

BuildArch: noarch

%add_python3_req_skip google
%add_python3_req_skip google.appengine.api
%add_python3_req_skip google.appengine.ext
%add_python3_req_skip whoosh.automata.fst
%filter_from_provides /^python3(whoosh.automata.nfa)/d
# ImportError: No module named 'whoosh.automata.fst'
%filter_from_provides /^python3(whoosh.filedb.gae)/d
# ImportError: No module named 'google'
%filter_from_provides /^python3(whoosh.support.bench)/d
# ImportError: cannot import name 'find_object'

%description
%descr

%package tests
Summary: Tests for %oname
Group: Development/Python3
Requires: %name = %version-%release
%py3_requires nose

%description tests
%descr

This package contains tests for %oname.

%prep
%setup

%build
%python3_build

%install
%python3_install
cp -fR src/whoosh/query src/whoosh/matching %buildroot%python3_sitelibdir/%oname/

%files
%doc *.txt
%python3_sitelibdir/*
%exclude %python3_sitelibdir/%oname/util/testing.py*

%files tests
%doc tests
%python3_sitelibdir/%oname/util/testing.py*

%changelog
