Name:           python3-module-xlrd
Version:        2.0.1
Release:        alt2.1
Summary:        Library to extract data from Microsoft Excel (TM) spreadsheet files

Group:          Development/Python3
License:        BSD
URL:            http://www.python-excel.org/
Source0:        xlrd-%version.tar
# VCS:		https://github.com/python-excel/xlrd

BuildArch:      noarch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-sphinx

Provides:	python3-xlrd = %version-%release
# Conflict over /usr/bin/runxlrd
Provides: 	python-module-xlrd = %EVR
Obsoletes: 	python-module-xlrd < %EVR

%description
Extract data from Excel spreadsheets (.xls and .xlsx, versions 2.0
onwards) on any platform.  Pure Python (2.6, 2.7, 3.2+).  Strong
support for Excel dates.  Unicode-aware.

%prep
%setup -q -n xlrd-%{version}

%build
export PYTHONPATH=`pwd`:$PYTHONPATH
make SPHINXBUILD="sphinx-build-3" -C docs man
%python3_build

%install
%python3_install
install -Dm0644 docs/_build/man/xlrd.1 %buildroot%_man1dir/xlrd.1

# add shebang and remove .py extension
subst 's|^#!.*|#!%__python3|' %buildroot%_bindir/runxlrd.py
mv %buildroot%_bindir/runxlrd{.py,}

%files
%doc README.rst
%_bindir/runxlrd
%python3_sitelibdir/xlrd/*
%python3_sitelibdir/*egg-info
%_man1dir/xlrd.1*

%changelog
