%define _unpackaged_files_terminate_build 1
%define oname zope.copy

%def_with check

Name: python3-module-%oname
Version: 4.2
Release: alt3

Summary: Pluggable object copying mechanism
License: ZPLv2.1
Group: Development/Python3
Url: http://pypi.python.org/pypi/zope.copy
#Git: https://github.com/zopefoundation/zope.copy.git

Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3

BuildRequires: python3-module-setuptools

%if_with check
BuildRequires: python3-module-zope.testing
BuildRequires: python3-module-zope.testrunner
BuildRequires: python3-module-zope.location
BuildRequires: python3-module-zope.component
%endif

%py3_requires zope

%description
This package provides a pluggable way to copy persistent objects. It was
once extracted from the zc.copy package to contain much less
dependencies. In fact, we only depend on zope.interface to provide
pluggability.

%package tests
Summary: Tests for %oname
Group: Development/Python3
Requires: %name = %EVR
%py3_requires zope.component
%py3_requires zope.location
%py3_requires zope.testing

%description tests
This package contains tests for %oname.

%prep
%setup

%build
%python3_build

%install
%python3_install
%if "%python3_sitelibdir_noarch" != "%python3_sitelibdir"
install -d %buildroot%python3_sitelibdir
mv %buildroot%python3_sitelibdir_noarch/* \
	%buildroot%python3_sitelibdir/
%endif

%check
export PYTHONPATH=src
zope-testrunner3 --test-path=src -vv

%files
%doc LICENSE.txt *.rst
%python3_sitelibdir/*
%exclude %python3_sitelibdir/*.pth
%exclude %python3_sitelibdir/zope/copy/tests

%files tests
%python3_sitelibdir/zope/copy/tests

%changelog
