%define _unpackaged_files_terminate_build 1
%define oname zope.datetime

# FIXME: one test always fails on i586
%ifarch %ix86 armh
%def_without check
%else
%def_with check
%endif

Name: python3-module-%oname
Version: 4.3.0
Release: alt1

Summary: Zope datetime

License: ZPLv2.1
Group: Development/Python3
Url: http://pypi.python.org/pypi/zope.datetime/
#Git: https://github.com/zopefoundation/zope.datetime.git

# Source-url: %__pypi_url %oname
Source: %name-%version.tar

BuildRequires(pre): rpm-build-intro >= 2.2.5
BuildRequires(pre): rpm-build-python3

BuildRequires: python3-devel
BuildRequires: python3-module-setuptools

%if_with check
BuildRequires: python3-module-tox
BuildRequires: python3-module-zope.testrunner
%endif

%py3_requires zope

%description
Commonly used date and time related utility functions.

%package tests
Summary: Tests for zope.datetime
Group: Development/Python3
Requires: %name = %EVR
%py3_requires zope.testing

%description tests
Commonly used date and time related utility functions.

This package contains tests for zope.datetime.

%prep
%setup

%build
%python3_build

%install
%python3_install
%python3_prune

%if "%python3_sitelibdir_noarch" != "%python3_sitelibdir"
install -d %buildroot%python3_sitelibdir
mv %buildroot%python3_sitelibdir_noarch/* \
	%buildroot%python3_sitelibdir/
%endif

%check
sed -i 's|zope-testrunner |zope-testrunner3 |g' tox.ini
sed -i '/\[testenv\]$/a whitelist_externals =\
    \/bin\/cp\
    \/bin\/sed\
setenv =\
    py%{python_version_nodots python3}: _PYTEST_BIN=%_bindir\/zope-testrunner3\
commands_pre =\
    \/bin\/cp {env:_PYTEST_BIN:} \{envbindir\}\/zope-testrunner3\
    \/bin\/sed -i \x271c #!\{envpython\}\x27 \{envbindir\}\/zope-testrunner3' tox.ini

tox.py3 --sitepackages -e py%{python_version_nodots python3} -v

%files
%doc *.txt *.rst
%python3_sitelibdir/*
%exclude %python3_sitelibdir/*.pth

%changelog
