%define oname zope.testing

%def_without check
%def_enable light_version

Name: python3-module-%oname
Version: 4.4.0
Release: alt3
Summary: Zope testing helpers
License: ZPL
Group: Development/Python3
Url: http://pypi.python.org/pypi/zope.testing/

# https://github.com/zopefoundation/zope.testing.git
Source: %name-%version.tar

%if_disabled light_version
#BuildPreReq: python-module-zope.testrunner
%endif
%if_with python3
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-pytest python3-module-zope.exceptions
%endif

%if_disabled light_version
#BuildPreReq: python3-module-zope.testrunner
#BuildPreReq: python-tools-2to3
%endif

%py3_requires zope.exceptions zope.interface
%if_disabled light_version
%py3_requires zope.testrunner
%endif

%description
This package provides a number of testing frameworks. It includes a
flexible test runner, and supports both doctest and unittest.

%prep
%setup

%build
%python3_build

%install
%python3_install

%if "%python3_sitelibdir_noarch" != "%python3_sitelibdir"
install -d %buildroot%python3_sitelibdir
mv %buildroot%python3_sitelibdir_noarch/* \
	%buildroot%python3_sitelibdir/
%endif

%check
python3 setup.py test

%files
%doc *.txt *.rst
%python3_sitelibdir/*
%exclude %python3_sitelibdir/*.pth

%changelog
