%define ltr libtorrent-rasterbar-devel
%define rel alt1

Name: qbittorrent
Version: 4.3.8
Epoch: 1
Release: %rel

#ExcludeArch: ppc64le

Summary: qBittorrent is a bittorrent client written in C++ / Qt5 using the good libtorrent library
Summary(ru_RU.UTF-8): qBittorrent - bittorrent клиент написанный на C++ / Qt5, использующий библиотеку libtorrent.
Summary(uk_UA.UTF-8): qBittorrent - bittorrent-клієнт, написаний на C++ / Qt5, використовує бібліотеку libtorrent.
License: GPLv2+
Group: Networking/File transfer
Url: http://qbittorrent.org

Source: %name-%version.tar.gz

BuildPreReq: desktop-file-utils

BuildRequires: boost-devel boost-filesystem boost-filesystem-devel boost-datetime boost-program-options-devel boost-asio-devel
BuildRequires: gcc-c++ qt5-base-devel qt5-tools qt5-svg-devel
BuildRequires: GeoIP-Lite-Country
BuildRequires: libnotify-devel
BuildRequires: zlib-devel

%if "%rel" == "alt0.M80P"
%define ltr libtorrent-rasterbar9-devel
%endif
BuildRequires: %ltr

Requires: python-modules-ctypes
Requires: GeoIP-Lite-Country

%description
qBittorrent is a bittorrent client written in C++ / Qt5 using the good
libtorrent-rasterbar library (By Arvid Nordberg). qBittorrent is
free / open-source software released under the GNU GPL license.
qBittorrent aims to be a good alternative to all other bittorrent
clients. The Author is Christophe Dumez, French Student in
computer science (IT).

%description -l ru_RU.UTF8
qBittorrent - клиент bittorrent написанный на C++ / Qt5, использующий
библиотеку libtorrent-rasterbar (Arvid Nordberg). qBittorrent свободное
ПО с открытым исходным кодом, распространяющийся под лицензией GNU GPL.
qBittorrent стремится быть хорошей альтернативой всем другим bittorrent
клиентам. Автор Christophe Dumez, французский студент в области IT.

%description -l uk_UA.UTF8
qBittorrent - клієнт bittorrent, написаний на C++ / Qt5, використовує
бібліотеку libtorrent-rasterbar (Arvid Nordberg). qBittorrent є вільне
ПЗ з відкритим вихідним кодом, розповсюджується під ліцензією GNU GPL.
qBittorrent прагне бути хорошою альтернативою всім іншим bittorrent
клієнтам. Автор Christophe Dumez, французьський студент в області IT.

%package nox
Summary: qbittorrent version without GUI (WebUI version)
Group: Networking/File transfer

%description nox
WebUI version of qbittorrent.

Default is to listen on tcp/8080 with admin/adminadmin credentials

%description -l ru_RU.UTF8 nox
Веб-интерфейс для qbittorrent

По умолчанию открывается порт 8080 с логином/паролем admin/adminadmin

%description -l uk_UA.UTF8 nox
Веб-інтерфейс для qbittorrent

За замовчанням доступний на порту 8080 з логіном/паролем admin/adminadmin

%prep
%setup -q
#-n qBittorrent-release-%version

%build
%ifarch %e2k ppc64le riscv64
sed -i 's,aarch64,&|riscv64|ppc64le|e2k,' m4/ax_boost_base.m4
%endif
./bootstrap.sh
%_configure_script --prefix=%buildroot%_usr
%make_build

%install
%make_install DESTDIR=%buildroot install
install -Dp -m 0644 ./dist/unix/org.qbittorrent.qBittorrent.desktop %buildroot%_desktopdir/org.qbittorrent.qBittorrent.desktop
make clean
%_configure_script --prefix=%buildroot%_usr --disable-gui
%make_build
%make_install DESTDIR=%buildroot install

%files nox
%_bindir/%name-nox
%_man1dir/%name-nox.*

%files
%doc AUTHORS COPYING INSTALL NEWS README.* TODO Changelog
%_bindir/%name
%_desktopdir/*
%_man1dir/%name.*
%_datadir/icons/hicolor/*/*/*
%_datadir/metainfo/*.xml

%changelog
