%def_disable snapshot
%def_disable qt6
# enable/disable JACK version support
%def_enable jack_version
%def_enable portaudio

Name: qjackctl
Version: 0.9.4
Release: alt1

Summary: Qjackctl is a programm to control the JACK sound server daemon
Summary(ru_RU.UTF-8): Qjackctl -- это программа для контроля над демоном JACK-сервера
Group: Sound
License: GPL-2.0-or-later
Url: https://%name.sourceforge.net

%if_enabled snapshot
Vcs: https://github.com/rncbc/qjackctl.git
Source: %name-%cvsdate.tar
%else
Source: https://prdownloads.sourceforge.net/%name/%name-%version.tar.gz
%endif

%define jack_ver 0.118
Requires: jackd >= %jack_ver

BuildRequires(pre): rpm-macros-cmake
BuildRequires: jackit-devel >= %jack_ver
BuildRequires: cmake gcc-c++ libalsa-devel
%{?_enable_portaudio:BuildRequires: pkgconfig(portaudio-2.0)}
BuildRequires: libX11-devel libXext-devel
%if_enabled qt6
BuildRequires: qt6-base-devel qt6-x11extras-devel qt6-tools-devel
%else
BuildRequires: qt5-base-devel qt5-x11extras-devel qt5-tools-devel
%endif

%description
Qjackctl -- is an easy to use GUI to low-latency JACK audio server. You
can change options of starting JACK, assign scripts to be executed on
start/stop of the server, connect/disconnect loaded JACK clients and
route MIDI inputs'outputs.

%description -l ru_RU.UTF-8
Qjackctl -- это удобная программа с графическим интерфейсом для
управления звуковым сервером JACK. С её помощью можно изменять параметры
запуска сервера, указывать сценарии, запускаемые после старта сервера, а
также коммутировать звуковые и MIDI входы и выходы подключенных
JACK-клиентов.

%prep
%setup -n %name-%version

# don't compress man pages
#sed -i '/@gzip/d' Makefile*

%build
%add_optflags %(getconf LFS_CFLAGS)
%cmake \
    %{?_enable_jack_version:-DCONFIG_JACK_VERSION=ON} \
    %{?_disable_portaudio:-DCONFIG_PORTAUDIO=OFF}
%nil
%cmake_build

%install
%cmake_install

%find_lang --with-qt --with-man --all-name --output=%name.lang %name

%files -f %name.lang
%_bindir/%name
%_datadir/applications/*
%dir %_datadir/%name
%dir %_datadir/%name/translations
%_iconsdir/hicolor/*/*/*.*
%_man1dir/*
%_datadir/metainfo/%name.appdata.xml
%doc AUTHORS ChangeLog README TODO

%changelog
