%define branch 0.12
%define svn svn10262

%define rel alt1

Version: %branch.14
Epoch: 1
Name: qmmp
Release: %rel.%svn
Summary: QMMP - Qt-based multimedia player
Summary(ru_RU.UTF8): Qmmp - мультимедиа проигрыватель на базе Qt
Summary(uk_UA.UTF8): Qmmp - мультимедіа програвач на базі Qt
License: GPLv2
Group: Sound
Packager: Motsyo Gennadi <drool@altlinux.ru>
Url: http://qmmp.ylsoftware.com/
Source0: %name-%branch.tar.bz2

Requires: unzip winamplike-skins lib%name = %version-%release

Provides: %name-out-pulseaudio %name-docs
Obsoletes: %name-out-pulseaudio %name-docs

BuildPreReq: rpm-build-wlskins doxygen

BuildRequires: cmake gcc-c++ libavformat-devel libmad-devel
BuildRequires: libcurl-devel libfaad-devel libmpg123-devel libmodplug-devel
BuildRequires: libmpcdec-devel libpulseaudio-devel >= 0.9.15 libqt4-devel
BuildRequires: libsoxr-devel libtag-devel >= 1.6 libvorbis-devel
BuildRequires: libwavpack-devel libalsa-devel libflac-devel libbs2b-devel >= 3.0
BuildRequires: libprojectM-devel >= 2.0.1 jackit-devel xorg-xf86miscproto-devel
BuildRequires: libenca-devel libcddb-devel libmms-devel >= 0.4

%if "%rel" != "alt1"
BuildRequires: libwildmidi-devel >= 0.2.3.4
%endif

BuildRequires: libgme-devel libGLU-devel libsidplayfp-devel >= 1.0.3 libshout2-devel
BuildRequires: libcdio-paranoia-devel libarchive-devel libopusfile-devel

ExcludeArch:	armh

%description
QMMP is an audio-player, written with help of Qt library.
The user interface is similar to winamp or xmms.

Supported formats:
- MPEG1 layer 2/3
- Ogg Vorbis
- Opus
- Native FLAC, Ogg FLAC
- Musepack
- WavePack
- tracker modules (mod, s3m, it, xm, etc)
- ADTS AAC
- CD Audio
- WMA, Monkey's Audio (and other formats provided by FFmpeg library)
- PCM WAVE (and other formats provided by libsndfile library)
- midi
- chiptune formats (AY, GBS, GYM, HES, KSS, NSF, NSFE, SAP, SPC, VGM, VGZ, VTX)

DSP effects:
- BS2B effect
- sample rate converter
- LADSPA effects
- extra stereo
- crossfade (Experimental)

Visual effects:
- projectM visualization
- spectrum analyzer

Output system support:
- OSS
- ALSA (Linux)
- Pulse Audio
- JACK
- WaveOut (Win32)

Other features:
- XMMS and Winamp 2.x skins support
- 10-band equalizer
- MP3, Vorbis, AAC, AAC+ streams support
- mms support
- MPRIS (1.0 and 2.0)
- removable device detection (via HAL or UDisks)
- video playback via Mplayer
- lyrics (using lyrics.wikia.com)
- cover art support
- CUE sheet support
- embedded CUE support (for FLAC and WavPack)
- multiple playlists
- automatic charset detection for cue files and ShoutCast metadata
- playlist formats: m3u, pls, xspf
- ReplayGain support
- Last.fm/Libre.fm scrobbler
- CDDB support

%description -l ru_RU.UTF8
Программа является аудио-плеером, написанным с использованием библиотеки Qt.
Пользовательский интерфейс сходный с winamp или xmms.

Поддерживаемые форматы:
- MPEG1 layer 2/3
- Ogg Vorbis
- Opus
- Native FLAC, Ogg FLAC
- Musepack
- WavePack
- трекерные форматы (mod, s3m, it, xm и т.д.)
- ADTS AAC
- CD Audio
- WMA, Monkey's Audio (и др. форматы библиотеки FFmpeg)
- PCM WAVE (и др. форматы библиотеки libsndfile)
- midi
- форматы звука игровых консолей (AY, GBS, GYM, HES, KSS, NSF, NSFE, SAP, SPC, VGM, VGZ, VTX)

Аудио-эффекты:
- эффект BS2B
- Передискретизация
- эффекты LADSPA
- расширение стереобазы
- плавный переход между треками (экспериментальный)

Визуальные эффекты:
- визуализация projectM
- анализатор спектра

Системы вывода звука:
- OSS
- ALSA (Linux)
- Pulse Audio
- JACK
- WaveOut (Win32)

Другие возможности:
- поддержка обложек XMMS и Winamp 2.x
- 10-полосный эквалайзер
- поддержка потоков MP3, Vorbis, AAC, AAC+
- поддержка протокола MMS
- MPRIS (1.0 и 2.0)
- автоопределение съёмных устройств (с помощью HAL или UDisks)
- воспроизведение видео с помощью Mplayer-а
- получение текстов песен с lyrics.wikia.com
- просмотр обложек
- поддержка CUE
- поддержка "встроенного" CUE (для файлов FLAC и WavPack)
- возможность использовать несколько списков воспроизведения
- автоматической определение кодировки для cue-файлов и ShoutCast-метаданных
- поддерживаемые форматы списков воспроизведения: m3u, pls, xspf
- поддержка ReplayGain
- скробблер Last.fm/Libre.fm
- поддержка CDDB

%description -l uk_UA.UTF8
Програма є аудіо-плеєром, написаним з використанням бібліотеки Qt.
Інтерфейс користувача подібний до winamp чи xmms.

Підтримувані формати:
- MPEG1 layer 2/3
- Ogg Vorbis
- Opus
- Native FLAC, Ogg FLAC
- Musepack
- WavePack
- трекерные форматы (mod, s3m, it, xm и т.д.)
- ADTS AAC
- CD Audio
- WMA, Monkey's Audio (та інші формати бібліотеки FFmpeg)
- PCM WAVE (та інші формати бібліотеки libsndfile)
- midi
- формати звуку ігрових консолей (AY, GBS, GYM, HES, KSS, NSF, NSFE, SAP, SPC, VGM, VGZ, VTX)

Аудіо-ефекти:
- Ефект BS2B
- Передискретизація
- Ефекти LADSPA
- розширення стереобази
- плавний перехід між треками (експериментально)

Візуальні ефекти:
- Візуалізація projectM
- Аналізатор спектру

Системы вывода звукаСистеми виведення звуку:
- OSS
- ALSA (Linux)
- Pulse Audio
- JACK
- WaveOut (Win32)

Інші можливості:
- Підтримка обкладинок Xmms і Winamp 2.x
- 10-смуговий еквалайзер
- Підтримка потоків MP3, Vorbis, AAC, AAC +
- Підтримка протоколу MMS (експериментальна)
- MPRIS
- Автовизначення знімних пристроїв (за допомогою HAL або UDisks)
- Відтворення відео за допомогою MPlayer-а
- Отримання текстів пісень з lyricsplugin.com
- Перегляд обкладинок
- Підтримка CUE
- Підтримка "вбудованого" CUE (для файлів FLAC і WavPack)
- Можливість використовувати декілька списків відтворення
- Автоматичне визначення кодування для cue-файлів і ShoutCast-метаданих
- Підтримувані формати списків відтворення: m3u, pls, xspf
- Підтримка ReplayGain
- Скробблер Last.fm/Libre.fm
- Підтримка CDDB

%package -n lib%name
Summary: Shared libraries for Qmmp
Group: System/Libraries

%description -n lib%name
Shared libraries for Qmmp

# Output plugins
%package -n %name-out-alsa
Summary: Qmmp ALSA Output Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-out-alsa
Qmmp ALSA Output Plugin

%package -n %name-out-oss
Summary: Qmmp OSS Output Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-out-oss
Qmmp OSS Output Plugin

%package -n %name-out-jack
Summary: Qmmp Jack Output Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-out-jack
Qmmp Jack Output Plugin

%package -n %name-out-qtmultimedia
Summary: Qmmp Qt Multimedia Output Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-out-qtmultimedia
Qmmp Qt Multimedia Output Plugin

%package -n %name-out-null
Summary: Qmmp Null Output Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-out-null
Qmmp Null Output Plugin

%package -n %name-out-icecast
Summary: Qmmp Icecast Output Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-out-icecast
Qmmp Icecast Output Plugin

# Input plugins
%package -n %name-in-ffmpeg
Summary: Qmmp FFMPEG Audio Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-in-ffmpeg
Qmmp FFMPEG Audio Plugin

%package -n %name-in-flac
Summary: Qmmp FLAC Audio Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-in-flac
Qmmp FLAC Audio Plugin

%package -n %name-in-musepack
Summary: Qmmp Musepack Audio Plugin
Group: Sound
Requires: qmmp = %version-%release libtag >= 1.6

%description -n %name-in-musepack
Qmmp Musepack Audio Plugin

%package -n %name-in-sndfile
Summary: Qmmp Sndfile Audio Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-in-sndfile
Qmmp Sndfile Audio Plugin

%package -n %name-in-wavpack
Summary: Qmmp WavPack Audio Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-in-wavpack
Qmmp WavPack Audio Plugin

%package -n %name-in-modplug
Summary: Qmmp ModPlug Audio Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-in-modplug
Qmmp ModPlug Audio Plugin

%package -n %name-in-cue
Summary: Qmmp Cue Audio Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-in-cue
Qmmp Cue Audio Plugin

%package -n %name-in-aac
Summary: Qmmp AAC Audio Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-in-aac
Qmmp AAC Audio Plugin

%package -n %name-in-mplayer
Summary: Qmmp MPlayer Plugin
Group: Video
Requires: qmmp = %version-%release mplayer

%description -n %name-in-mplayer
Qmmp MPlayer Plugin

%package -n %name-in-cdaudio
Summary: Qmmp CDAudio Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-in-cdaudio
Qmmp CDAudio Plugin

%if "%rel" != "alt1"
%package -n %name-in-midi
Summary: Qmmp Midi Plugin
Group: Sound
Requires: qmmp = %version-%release
Requires: libwildmidi


%description -n %name-in-midi
Qmmp Midi Plugin, used WildMidi
%endif

%package -n %name-in-gme
Summary: Qmmp GME Audio Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-in-gme
Qmmp GME Audio Plugin

%package -n %name-in-opus
Summary: Qmmp Opus Audio Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-in-opus
Qmmp Opus Audio Plugin

%package -n %name-in-sid
Summary: Qmmp SID Audio Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-in-sid
This plugin plays Commodore 64 music files using libsidplayfp library

%package -n %name-in-archive
Summary: Qmmp Archive Reader Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-in-archive
Qmmp Archive Reader Plugin

# Visualization plugins
%package -n %name-vis-analyzer
Summary: Qmmp Analyzer Visual Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-vis-analyzer
Qmmp Analyzer Visual Plugin

%package -n %name-vis-projectm
Summary: Qmmp ProjectM Visual Plugin
Group: Sound
Requires: qmmp = %version-%release libprojectM >= 2.0.1

%description -n %name-vis-projectm
Qmmp ProjectM Visual Plugin

# Effects plugins
%package -n %name-eff-soxr
Summary: Qmmp SoX Resampler Plugin
Group: Sound
Requires: qmmp = %version-%release
Provides: %name-eff-srconverter
Obsoletes: %name-eff-srconverter

%description -n %name-eff-soxr
Qmmp SoX Resampler Plugin

%package -n %name-eff-bs2b
Summary: Qmmp BS2B Effect Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-eff-bs2b
Qmmp BS2B Effect Plugin

%package -n %name-eff-ladspa
Summary: Qmmp LADSPA Effect Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-eff-ladspa
Qmmp LADSPA Effect Plugin

%package -n %name-eff-crossfade
Summary: Qmmp Crossfade Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-eff-crossfade
Qmmp Crossfade Plugin

%package -n %name-eff-extrastereo
Summary: Qmmp Extra Stereo Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-eff-extrastereo
Qmmp Extra Stereo Plugin

%package -n %name-eff-monotostereo
Summary: Qmmp Mono to Stereo Converter Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-eff-monotostereo
Qmmp Mono to Stereo Converter Plugin

%package -n %name-eff-filewriter
Summary: File Writer Plugin for Qmmp
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-eff-filewriter
File Writer Plugin for Qmmp

# Transports plugins
%package -n %name-http
Summary: Qmmp HTTP Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-http
Qmmp HTTP Plugin

%package -n %name-mms
Summary: Qmmp MMS Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-mms
Qmmp Plugin for MMS stream protocol support

# Interface plugins
%package -n %name-qsui
Summary: Qmmp Simple Ui - simple user interface based on standard widgets set
Summary(ru_RU.UTF8): Qmmp Simple Ui - простой пользовательский интерфейс с использованием стандартных элементов
Summary(uk_UA.UTF8): Qmmp Simple Ui - простий інтерфейс користувача з використанням стандартних елементів
Group: Sound
Requires: qmmp >= %version-%release
Provides: qmmp-plugin-pack-qsui
Obsoletes: qmmp-plugin-pack-qsui

%description -n %name-qsui
Qmmp Simple Ui - simple user interface based on standard widgets set for Qmmp.

%description -l ru_RU.UTF8 -n %name-qsui
Qmmp Simple Ui - простой пользовательский интерфейс с использованием стандартных элементов для Qmmp.

%description -l uk_UA.UTF8 -n %name-qsui
Qmmp Simple Ui - простий інтерфейс користувача з використанням стандартних елементів для Qmmp.


# General plugins
%package -n %name-converter
Summary: Qmmp Converter Plugin
Group: Sound
Requires: qmmp = %version-%release
Requires: /usr/bin/oggenc lame flac wavpack

%description -n %name-converter
Qmmp Converter Plugin. This plugin converts supported audio
files to other file formats using external command-line encoders.

%package -n %name-mpris
Summary: Qmmp MPRIS Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-mpris
Qmmp MPRIS Plugin

%package -n %name-notifier
Summary: Qmmp Notifier Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-notifier
Qmmp Notifier Plugin

%package -n %name-kdenotify
Summary: Qmmp notification plugin for KDE4
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-kdenotify
Qmmp notification plugin for KDE4

%package -n %name-scrobbler
Summary: Qmmp AudioScrobbler Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-scrobbler
Qmmp AudioScrobbler Plugin

%package -n %name-statusicon
Summary: Qmmp Status Icon Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-statusicon
Qmmp Status Icon Plugin

%package -n %name-lyrics
Summary: Qmmp Lyrics Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-lyrics
Qmmp Lyrics Plugin

%package -n %name-hal
Summary: Qmmp HAL Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-hal
Qmmp HAL Plugin

%package -n %name-hotkey
Summary: Qmmp Global Hotkey Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-hotkey
Qmmp Global Hotkey Plugin. This plugin adds support
for multimedia keys or global key combinations

%package -n %name-gnomehotkey
Summary: Qmmp Gnome Hotkey Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-gnomehotkey
Qmmp Gnome Hotkey Plugin. This plugin adds
support of the GNOME/Cinnamon hotkeys

%package -n %name-fileops
Summary: Qmmp file operations Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-fileops
Qmmp file operations Plugin

%package -n %name-covermanager
Summary: Qmmp cover manager Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-covermanager
Qmmp cover manager Plugin

%package -n %name-udisks
Summary: Qmmp UDisks Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-udisks
Qmmp UDisks Plugin

%package -n %name-streambrowser
Summary: Qmmp Stream Browser Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-streambrowser
This Qmmp plugin allows to add stream from IceCast stream directory

%package -n %name-copypaste
Summary: Qmmp Copy/Paste Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-copypaste
This plugin allows to copy selected tracks from one playlist to another

%package -n %name-trackchange
Summary: Qmmp Track Change Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-trackchange
This plugin executes external command when current track is changed

%package -n %name-rgscan
Summary: ReplayGain Scanner Plugin for Qmmp
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-rgscan
This plugin scans audio files and gives information for volume normalization

%package -n %name-history
Summary: Qmmp Listening History Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-history
This plugin collects information about listened tracks

%package -n lib%name-devel
Summary: Qmmp header files
Group: Development/C++
Requires: lib%name = %version-%release
Provides: %name-devel
Obsoletes: %name-devel

%description -n lib%name-devel
%name-devel contains the header files needed to develop
programs which make use of Qmmp.

%package -n %name-full
Summary: QMMP - Qt-based multimedia player
Group: Sound
Requires: qmmp qmmp-in-wavpack qmmp-mpris qmmp-notifier
Requires: qmmp-eff-soxr qmmp-in-ffmpeg qmmp-in-mplayer
Requires: qmmp-in-flac qmmp-out-alsa qmmp-in-modplug

%if "%rel" != "alt1"
Requires: qmmp-in-midi
%endif

Requires: qmmp-in-musepack qmmp-statusicon qmmp-in-sndfile qmmp-in-cue
Requires: qmmp-vis-analyzer qmmp-scrobbler qmmp-hal qmmp-hotkey qmmp-gnomehotkey
Requires: qmmp-eff-bs2b qmmp-vis-projectm qmmp-fileops qmmp-converter
Requires: qmmp-out-jack qmmp-out-oss qmmp-out-null qmmp-http qmmp-mms
Requires: qmmp-kdenotify qmmp-eff-ladspa qmmp-covermanager qmmp-rgscan
Requires: qmmp-eff-crossfade qmmp-udisks qmmp-in-gme qmmp-in-sid qmmp-history
Requires: qmmp-streambrowser qmmp-trackchange qmmp-copypaste qmmp-eff-extrastereo
Requires: qmmp-out-qtmultimedia qmmp-out-icecast qmmp-eff-filewriter qmmp-eff-monotostereo
Requires: qmmp-in-archive

%description -n %name-full
Virtual package for full installation Qmmp (exclude %name-devel).

%prep
%setup -q -n %name-%branch-svn

%build
# # with CMake
cmake \
	-DCMAKE_INSTALL_PREFIX=%prefix \
	-DCMAKE_CXX_FLAGS:STRING="%optflags" \
	-DCMAKE_C_FLAGS:STRING="%optflags" \
	-DQMMP_DEFAULT_OUTPUT=pulse \
	-DLIB_DIR:STRING=%_lib \
	-DUSE_OSS:BOOL=TRUE


%make_build VERBOSE=1

cd doc && doxygen Doxyfile

%install
# # with CMake
%make DESTDIR=%buildroot install

mkdir -p %buildroot%_datadir/%name-0
ln -s %_wlskindir %buildroot%_datadir/%name-0/skins
mkdir -p %buildroot/{%_miconsdir,%_niconsdir,%_liconsdir}

%files
%doc AUTHORS ChangeLog* README* doc/html
%dir %_libdir/%name-%branch
%dir %_libdir/%name-%branch/Input
%dir %_libdir/%name-%branch/Ui
%dir %_libdir/%name-%branch/Output
%dir %_libdir/%name-%branch/Engines
%dir %_libdir/%name-%branch/Transports
%dir %_libdir/%name-%branch/PlayListFormats
%dir %_libdir/%name-%branch/CommandLineOptions
%dir %_libdir/%name-%branch/FileDialogs
%dir %_libdir/%name-%branch/Effect
%dir %_libdir/%name-%branch/General
%dir %_libdir/%name-%branch/Visual
%_bindir/*
%_desktopdir/*
%_libdir/%name-%branch/Input/libmpeg*
%_libdir/%name-%branch/Input/libvorbis*
%_libdir/%name-%branch/Ui/libskinned*
%_libdir/%name-%branch/Output/libpulseaudio*
%_libdir/%name-%branch/PlayListFormats/*.so
%_libdir/%name-%branch/CommandLineOptions/*.so
%_libdir/%name-%branch/FileDialogs/*.so
%_datadir/%name-0/
%_iconsdir/hicolor/*/*/*.png
%_iconsdir/hicolor/scalable/apps/*
%_datadir/metainfo/*.xml

%files -n lib%name
%_libdir/*.so.0
%_libdir/*.so.0.12*

# Output plugins
%files -n %name-out-alsa
%_libdir/%name-%branch/Output/libalsa*

%files -n %name-out-oss
%_libdir/%name-%branch/Output/liboss*

%files -n %name-out-jack
%_libdir/%name-%branch/Output/libjack*

%files -n %name-out-qtmultimedia
%_libdir/%name-%branch/Output/libqtmultimedia*

%files -n %name-out-null
%_libdir/%name-%branch/Output/libnull*

%files -n %name-out-icecast
%_libdir/%name-%branch/Output/libshout*

# Input plugins
%files -n %name-in-ffmpeg
%_libdir/%name-%branch/Input/libffmpeg*

%files -n %name-in-flac
%_libdir/%name-%branch/Input/libflac*

%files -n %name-in-musepack
%_libdir/%name-%branch/Input/libmpc*

%files -n %name-in-sndfile
%_libdir/%name-%branch/Input/libsndfile*

%files -n %name-in-wavpack
%_libdir/%name-%branch/Input/libwavpack*

%files -n %name-in-cue
%_libdir/%name-%branch/Input/libcue*

%files -n %name-in-aac
%_libdir/%name-%branch/Input/libaac*

%files -n %name-in-modplug
%_libdir/%name-%branch/Input/libmodplug*

%files -n %name-in-mplayer
%_libdir/%name-%branch/Engines/libmplayer*

%files -n %name-in-cdaudio
%_libdir/%name-%branch/Input/libcdaudio*

%if "%rel" != "alt1"
%files -n %name-in-midi
%_libdir/%name-%branch/Input/libwildmidi*
%endif

%files -n %name-in-gme
%_libdir/%name-%branch/Input/libgme*

%files -n %name-in-sid
%_libdir/%name-%branch/Input/libsid*

%files -n %name-in-archive
%_libdir/%name-%branch/Input/libarchive*

%files -n %name-in-opus
%_libdir/%name-%branch/Input/libopus*

# Visualization plugins
%files -n %name-vis-analyzer
%_libdir/%name-%branch/Visual/libanalyzer*

%files -n %name-vis-projectm
%_libdir/%name-%branch/Visual/libprojectm*

# Effects plugins
%files -n %name-eff-soxr
%_libdir/%name-%branch/Effect/libsoxr*

%files -n %name-eff-bs2b
%_libdir/%name-%branch/Effect/libbs2b*

%files -n %name-eff-ladspa
%_libdir/%name-%branch/Effect/libladspa*

%files -n %name-eff-crossfade
%_libdir/%name-%branch/Effect/libcrossfade*

%files -n %name-eff-extrastereo
%_libdir/%name-%branch/Effect/libstereo*

%files -n %name-eff-monotostereo
%_libdir/%name-%branch/Effect/libmonotostereo*

%files -n %name-eff-filewriter
%_libdir/%name-%branch/Effect/libfilewriter*

# Transports plugins
%files -n %name-http
%_libdir/%name-%branch/Transports/libhttp*

%files -n %name-mms
%_libdir/%name-%branch/Transports/libmms*

# Interface plugins
%files -n %name-qsui
%_libdir/%name-%branch/Ui/libqsui*

# General plugins
%files -n %name-converter
%_libdir/%name-%branch/General/libconverter*

%files -n %name-mpris
%_libdir/%name-%branch/General/libmpris*

%files -n %name-notifier
%_libdir/%name-%branch/General/libnotifier*

%files -n %name-kdenotify
%_libdir/%name-%branch/General/libkdenotify*

%files -n %name-scrobbler
%_libdir/%name-%branch/General/libscrobbler*

%files -n %name-statusicon
%_libdir/%name-%branch/General/libstatusicon*

%files -n %name-lyrics
%_libdir/%name-%branch/General/liblyrics*

%files -n %name-hal
%_libdir/%name-%branch/General/libhal*

%files -n %name-hotkey
%_libdir/%name-%branch/General/libhotkey*

%files -n %name-gnomehotkey
%_libdir/%name-%branch/General/libgnomehotkey*

%files -n %name-fileops
%_libdir/%name-%branch/General/libfileops*

%files -n %name-covermanager
%_libdir/%name-%branch/General/libcovermanager*

%files -n %name-udisks
%_libdir/%name-%branch/General/libudisks*

%files -n %name-streambrowser
%_libdir/%name-%branch/General/libstreambrowser*

%files -n %name-trackchange
%_libdir/%name-%branch/General/libtrackchange*

%files -n %name-copypaste
%_libdir/%name-%branch/General/libcopypaste*

%files -n %name-history
%_libdir/%name-%branch/General/libhistory*

%files -n %name-rgscan
%_libdir/%name-%branch/General/librgscan*

%files -n lib%name-devel
%dir %_includedir/%name-0
%dir %_includedir/%name-0/qmmp
%dir %_includedir/%name-0/qmmpui
%_pkgconfigdir/*.pc
%_includedir/%name-0/%name/*.h
%_includedir/%name-0/%{name}ui/*.h
%_libdir/*.so

%files -n %name-full

%changelog
