%set_verify_elf_method textrel=relaxed

%define		branch 0.12
%define		svn svn9005

Version:	%branch.1
Name:		qmmp-plugin-pack
Release:	alt1.%svn
Summary:	Plugin pack is a set of extra plugins for Qmmp.
Summary(ru_RU.UTF8): Набор дополнительных модулей для Qmmp.
Summary(uk_UA.UTF8): Набір додаткових модулів для Qmmp.
License:	GPLv2
Group:		Sound
Packager:	Motsyo Gennadi <drool@altlinux.ru>
Url:		http://qmmp.ylsoftware.com/plugins_en.php
Source0:	%name-%branch.tar.bz2

BuildRequires:	libqt4-devel gcc-c++ libqmmp-devel >= %version libtag-devel >= 1.6 libxmp-devel yasm libsamplerate-devel

%description
Plugin pack is a set of extra plugins for Qmmp.

Plugins List
 - FFVideo - FFmpeg-based video plugin
 - FFap - enhanced Monkey's Audio (APE) decoder (24-bit samples and embedded cue support)
 - XMP - support for MOD, S3M, IT and others tracker formats
 - SRC - Qmmp Sample Rate Converter Plugin
 - Goom - Qmmp Goom Visual Plugin

%description -l ru_RU.UTF8
Набор дополнительных модулей для Qmmp.

Список модулей
 - FFVideo - плагин видео на базе FFmpeg
 - FFap - улучшенный декодер Monkey's Audio (APE) (поддержка 24-х бит и встроенного cue)
 - XMP - поддержка для MOD, S3M, IT и прочих трекерных форматов
 - SRC - модуль конвертера Sample Rate для Qmmp
 - Goom - Модуль визуализации Goom для Qmmp

%description -l uk_UA.UTF8
Набір додаткових модулів для Qmmp.

Перелік модулів
 - FFVideo - плагін відео на базі FFmpeg
 - FFap - покращений декодер Monkey's Audio (APE) (підтримка 24-х біт та вбудованого cue)
 - XMP - підтримка для MOD, S3M, IT та інших трекерних форматів
 - SRC - модуль конвертера Sample Rate для Qmmp
 - Goom - Модуль візуалізації Goom для Qmmp

%package -n %name-in-ffvideo
Summary: FFVideo - FFmpeg-based video plugin
Summary(ru_RU.UTF8): FFVideo - плагин видео на базе FFmpeg
Summary(uk_UA.UTF8): FFVideo - плагін відео на базі FFmpeg
Group: Video
Requires: qmmp >= %version-%release

%description -n %name-in-ffvideo
FFVideo - FFmpeg-based video plugin

%description -l ru_RU.UTF8 -n %name-in-ffvideo
FFVideo - плагин видео на базе FFmpeg

%description -l uk_UA.UTF8 -n %name-in-ffvideo
FFVideo - плагін відео на базі FFmpeg

%package -n %name-in-ffap
Summary: FFap - enhanced Monkey's Audio (APE) decoder (24-bit samples and embedded cue support)
Summary(ru_RU.UTF8): FFap - улучшенный декодер Monkey's Audio (APE) (поддержка 24-х бит и встроенного cue)
Summary(uk_UA.UTF8): FFap - покращений декодер Monkey's Audio (APE) (підтримка 24-х біт та вбудованого cue)
Group: Sound
Requires: qmmp >= %version-%release

%description -n %name-in-ffap
FFap - enhanced Monkey's Audio (APE) decoder (24-bit samples and embedded cue support) for Qmmp.

%description -l ru_RU.UTF8 -n %name-in-ffap
FFap - улучшенный декодер Monkey's Audio (APE) (поддержка 24-х бит и встроенного cue) для Qmmp.

%description -l uk_UA.UTF8 -n %name-in-ffap
FFap - покращений декодер Monkey's Audio (APE) (підтримка 24-х біт та вбудованого cue) для Qmmp.

%package -n %name-in-xmp
Summary: XMP - support for MOD, S3M, IT and others tracker formats
Summary(ru_RU.UTF8): XMP - поддержка для MOD, S3M, IT и прочих трекерных форматов
Summary(uk_UA.UTF8): XMP - підтримка для MOD, S3M, IT та інших трекерних форматів
Group: Sound
Requires: qmmp >= %version-%release

%description -n %name-in-xmp
XMP - support for MOD, S3M, IT and others tracker formats

%description -l ru_RU.UTF8 -n %name-in-xmp
XMP - поддержка для MOD, S3M, IT и прочих трекерных форматов

%description -l uk_UA.UTF8 -n %name-in-xmp
XMP - підтримка для MOD, S3M, IT та інших трекерних форматів

%package -n %name-eff-src
Summary: SRC - Qmmp Sample Rate Converter Plugin
Summary(ru_RU.UTF8): SRC - модуль конвертера Sample Rate для Qmmp
Summary(uk_UA.UTF8): SRC - модуль конвертера Sample Rate для Qmmp
Group: Sound
Requires: qmmp >= %version-%release

%description -n %name-eff-src
SRC - Qmmp Sample Rate Converter Plugin

%description -l ru_RU.UTF8 -n %name-eff-src
SRC - модуль конвертера Sample Rate для Qmmp

%description -l uk_UA.UTF8 -n %name-eff-src
SRC - модуль конвертера Sample Rate для Qmmp

%package -n %name-vis-goom
Summary: Qmmp Goom Visual Plugin
Summary(ru_RU.UTF8): Модуль визуализации Goom для Qmmp
Summary(uk_UA.UTF8): Модуль візуалізації Goom для Qmmp
Group: Sound
Requires: qmmp >= %version-%release

%description -n %name-vis-goom
Qmmp Goom Visual Plugin

%description -l ru_RU.UTF8 -n %name-vis-goom
Модуль визуализации Goom для Qmmp

%description -l uk_UA.UTF8 -n %name-vis-goom
Модуль візуалізації Goom для Qmmp

%prep
%setup -q -n %name-svn

%build
export PATH=$PATH:%_qt4dir/bin
# #qmake-qt4 "QMAKE_CFLAGS+=%optflags" "QMAKE_CXXFLAGS+=%optflags" LIB_DIR=/%_lib INCLUDEPATH+="%_libdir/ffmpeg-static/include" %name.pro
qmake-qt4 "QMAKE_CFLAGS+=%optflags" "QMAKE_CXXFLAGS+=%optflags" LIB_DIR=/%_lib DISABLED_PLUGINS+=FFVIDEO_PLUGIN %name.pro
%make_build VERBOSE=1

%install
%make INSTALL_ROOT=%buildroot%prefix install

# #%files -n %name-in-ffvideo
# #%_libdir/qmmp/Engines/libffvideo.so

%files -n %name-in-ffap
%_libdir/qmmp-%branch/Input/libffap.so

%files -n %name-in-xmp
%_libdir/qmmp-%branch/Input/libxmp.so

%files -n %name-eff-src
%_libdir/qmmp-%branch/Effect/libsrconverter.so

%files -n %name-vis-goom
%_libdir/qmmp-%branch/Visual/libgoom.so

%changelog
