%def_with check
%def_with pdfdoc

%define soname 28
Summary: Command-line tools and library for transforming PDF files
Name: qpdf
Version: 10.4.0
Release: alt1
License: Apache-2.0
Group: System/Base
Url: http://qpdf.sourceforge.net/
Source0: http://downloads.sourceforge.net/sourceforge/qpdf/qpdf-%version.tar
Source1: %name.watch
Patch0: %name-%version-%release.patch

BuildRequires: zlib-devel xml-utils xsltproc docbook-style-xsl
BuildRequires: pcre-devel
BuildRequires: libjpeg-devel
BuildRequires: perl-base
BuildRequires: libgnutls-devel

# for autoreconf
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: gcc-c++

%if_with pdfdoc
BuildRequires: /usr/bin/fop
%endif

%if_with check
# for testing
BuildRequires: perl(Digest/SHA.pm)
BuildRequires: /usr/bin/gs
BuildRequires: /usr/bin/tiffcmp
%endif

Requires: lib%name%soname = %EVR

%package -n lib%name%soname
Summary: QPDF library for transforming PDF files
Group: System/Libraries

%package -n lib%name-devel
Summary: Development files for QPDF library
Group: Development/C
Requires: lib%name%soname = %EVR

%package doc
Summary: QPDF Manual
Group: Documentation
BuildArch: noarch

%description
QPDF is a command-line program that does structural, content-preserving
transformations on PDF files. It could have been called something
like pdf-to-pdf. It includes support for merging and splitting PDFs
and to manipulate the list of pages in a PDF file. It is not a PDF viewer
or a program capable of converting PDF into other formats.

%description -n lib%name%soname
QPDF is a C++ library that inspect and manipulate the structure of PDF files.
It can encrypt and linearize files, expose the internals of a PDF file,
and do many other operations useful to PDF developers.

%description -n lib%name-devel
Header files and libraries necessary
for developing programs using the QPDF library.

%description doc
QPDF Manual

%prep
%setup
%patch0 -p1

%build
%autoreconf -fisv -I m4/

%configure --disable-static \
	   --enable-html-doc \
	   --enable-crypto-gnutls \
	   --disable-implicit-crypto \
	   --disable-check-autofiles \
%if_with check
	   --enable-show-failed-test-output \
	   --enable-test-compare-images \
           --enable-show-failed-test-output \
%endif
	   --with-docbook-xsl=%_datadir/xml/docbook/xsl-stylesheets

%make

%install
%makeinstall
rm -rf %buildroot%_docdir/qpdf

%check
make check


%files
%_bindir/fix-qdf
%_bindir/qpdf
%_bindir/zlib-flate
%_mandir/man1/*

%files -n lib%name%soname
%doc README.md TODO ChangeLog LICENSE.txt
%_libdir/libqpdf*.so.%{soname}*

%files -n lib%name-devel
%doc examples/*.cc examples/*.c
%_includedir/*
%_libdir/libqpdf*.so
%_libdir/pkgconfig/libqpdf.pc

%files doc
%doc doc/qpdf-manual.html doc/stylesheet.css

%changelog
