
Name: qstardict
Version: 1.4
Release: alt1

Group: System/Internationalization
Summary: QStarDict Qt clone of StarDict
License: GPL-3.0-or-later
Url: http://qstardict.ylsoftware.com

Provides: qstardict-kde5
Obsoletes: qstardict-kde5 <= %EVR

Source: %name-%version.tar
Source10: qstardict-ru_RU.ts
Patch1: alt-l10n.patch

# Automatically added by buildreq on Mon Dec 18 2017 (-bi)
# optimized out: desktop-file-utils elfutils gcc-c++ glib2-devel glibc-kernheaders-generic glibc-kernheaders-x86 kde5-kcalcore-devel kde5-kcontacts-devel kde5-kmime-devel kde5-libkleo-devel kf5-attica-devel kf5-kauth-devel kf5-kbookmarks-devel kf5-kcodecs-devel kf5-kcompletion-devel kf5-kconfig-devel kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-ki18n-devel kf5-kitemviews-devel kf5-kjobwidgets-devel kf5-kjs-devel kf5-kservice-devel kf5-kwidgetsaddons-devel kf5-kwindowsystem-devel kf5-kxmlgui-devel kf5-solid-devel kf5-sonnet-devel libGL-devel libX11-devel libdbusmenu-qt52 libgpg-error libqt5-core libqt5-dbus libqt5-gui libqt5-network libqt5-printsupport libqt5-widgets libqt5-x11extras libqt5-xml libstdc++-devel libxcb-devel libxcbutil-keysyms perl pkg-config python-base python-modules python3 python3-base python3-module-yieldfrom qt5-base-common qt5-base-devel qt5-declarative-devel qt5-location-devel qt5-tools qt5-webchannel-devel rpm-build-python3 ruby ruby-stdlibs xorg-kbproto-devel xorg-xproto-devel
#BuildRequires: kde5-akonadi-calendar-devel kde5-akonadi-contacts-devel kde5-akonadi-devel kde5-akonadi-mime-devel kde5-akonadi-notes-devel kde5-calendarsupport-devel kde5-eventviews-devel kde5-grantleetheme-devel kde5-incidenceeditor-devel kde5-kalarmcal-devel kde5-kcalutils-devel kde5-kdav-devel kde5-kdb-devel kde5-kholidays-devel kde5-kidentitymanagement-devel kde5-kimap-devel kde5-kmailtransport-devel kde5-kmbox-devel kde5-kpimtextedit-devel kde5-ktnef-devel kde5-libgravatar-devel kde5-libkcddb-devel kde5-libkdepim-devel kde5-libksieve-devel kde5-mailcommon-devel kde5-mailimporter-devel kde5-marble-devel kde5-messagelib-devel kde5-pim-apps-libs-devel kde5-pimcommon-devel kde5-syndication-devel kf5-kactivities-devel kf5-kactivities-stats-devel kf5-karchive-devel kf5-kcmutils-devel kf5-kcrash-devel kf5-kdbusaddons-devel kf5-kdeclarative-devel kf5-kdesu-devel kf5-kdiagram-devel kf5-kdnssd-devel kf5-kemoticons-devel kf5-kglobalaccel-devel kf5-kguiaddons-devel kf5-khtml-devel kf5-kiconthemes-devel kf5-kidletime-devel kf5-kio-devel kf5-kirigami-devel kf5-kitemmodels-devel kf5-kjsembed-devel kf5-knewstuff-devel kf5-knotifications-devel kf5-knotifyconfig-devel kf5-kparts-devel kf5-kplotting-devel kf5-kpty-devel kf5-kreport-devel kf5-kross-devel kf5-krunner-devel kf5-ktexteditor-devel kf5-ktextwidgets-devel kf5-kunitconversion-devel kf5-kwallet-devel kf5-kwayland-devel kf5-kxmlrpcclient-devel kf5-libkgapi-devel kf5-libkscreen-devel kf5-modemmanager-qt-devel kf5-networkmanager-qt-devel kf5-prison-devel kf5-syntax-highlighting-devel kf5-threadweaver-devel python-module-google python3-dev python3-module-zope qt5-connectivity-devel qt5-multimedia-devel qt5-phonon-devel qt5-quickcontrols2-devel qt5-script-devel qt5-sensors-devel qt5-serialport-devel qt5-speech-devel qt5-svg-devel qt5-tools-devel qt5-wayland-devel qt5-webengine-devel qt5-webkit-devel qt5-websockets-devel qt5-x11extras-devel qt5-xmlpatterns-devel rpm-build-ruby zlib-devel
BuildRequires(pre): rpm-build-kf5
BuildRequires: glib2-devel qt5-base-devel qt5-tools zlib-devel libzim-devel
BuildRequires: desktop-file-utils

Provides: stardict = 2.4.5

%description
QStarDict is a dictionary application for learning foreign languages written
using Qt.

The main features:
* Support of Kiwix dictionaries
* Support of StarDict 2.x and 3.x dictionaries
* Background mode
* Showing translations for words selected by mouse in any application in
  a popup window
* Pronuncation of words

%package kde5
Group: Graphical desktop/KDE
Summary: QStarDict KDE Plasma integration
Requires: %name
%description kde5
QStarDict KDE Plasma integration

%prep
%setup
%patch1 -p1
#cat %SOURCE10 > translations/qstardict-ru_RU.ts

%build
%qmake_qt5 \
    PLUGINS_DIR=%_libdir/%name/plugins \
    DOCS_DIR=%_datadir/%name/docs \
    #
%make

%install
%installqt5

desktop-file-install --dir %buildroot%_desktopdir \
	--remove-category=Utility \
	--add-category=TextTools \
	--add-category=Office \
	%buildroot%_desktopdir/qstardict.desktop

%find_lang %name --all-name --with-qt

%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog THANKS
%_bindir/%name
%dir %_datadir/%name/
%dir %_datadir/%name/translations/
%_datadir/%name/docs/
%_desktopdir/*.desktop
%_iconsdir/*/*/apps/%{name}.*
%dir %_libdir/%name/
%dir %_libdir/%name/plugins/
%_libdir/%name/plugins/*.so

%changelog
