Name: qucs
Version: 0.0.19
Release: alt3

Summary: Circuit simulator
License: GPL
Group: Education

Url: http://qucs.sourceforge.net/
# https://sourceforge.net/projects/%name/files/%name/%version/%name-%version.tar.gz
# Vcs: https://github.com/Qucs/qucs/
Source0: https://sourceforge.net/projects/%name/files/%name/%version/%name-%version.tar
Source1: %name.desktop
Source2: qucs-tango-icons.tar
Source3: qucs-icons.tar
Patch0: qucs-0.0.17-norecode.patch
#Patch1: %name-%version-alt-build.patch
Patch2: qucs-0.0.19-alt-e2k.patch

# WTF libqt4-devel
BuildRequires: libqt4-devel
BuildRequires: mot-adms
BuildRequires: chrpath

# Automatically added by buildreq on Tue Jan 14 2014
# optimized out: fontconfig libICE-devel libSM-devel libX11-devel libqt4-core libqt4-devel libqt4-gui libqt4-network libqt4-qt3support libqt4-sql libqt4-xml libstdc++-devel xorg-xproto-devel
BuildRequires: flex gcc-c++ gperf imake xorg-cf-files

Requires: %name-data = %version-%release

%description
Qucs is a circuit simulator with graphical user interface.  The
software aims to support all kinds of circuit simulation types,
e.g. DC, AC, S-parameter and harmonic balance analysis.

%package data
Group:	 Education
Summary: Data files for Qucs, a circuit simulator
Buildarch: noarch

%description data
Data files  for Qucs, a circuit simulator.

%package -n libqucs
Group:	 Education
Summary: Supplemental library for Qucs, a circuit simulator

%description -n libqucs
Supplemental library for Qucs, a circuit simulator.

%package -n libqucs-devel
Group:	Development/C++
Summary: Development environment for Qucs, a circuit simulator

%description -n libqucs-devel
Development environment for Qucs, a circuit simulator.

%prep
%setup
tar -xf %SOURCE2 -C qucs
##patch -p1
#patch1 -p2
%ifarch %e2k
%patch2 -p2
%endif

%build
./bootstrap
%configure --disable-doc
%make_build RCC=rcc-qt4

%install
mkdir -p %buildroot%_defaultdocdir/%name-%version
%makeinstall_std

install -pD -m644 %SOURCE1 %buildroot%_desktopdir/%name.desktop
mkdir -p %buildroot%_iconsdir
tar -xf %SOURCE3 -C %buildroot%_iconsdir

for l in $(find %buildroot%_datadir/%name/lang -name \*.qm); do
    echo -n $l | sed 's,.*_\(.*\)\.qm,%%lang\(\1\) ,'
    echo $l | sed "s,%buildroot,,"
done > %name.lang

# TODO: disable rpath properly
chrpath -d %buildroot%_bindir/qucsconv
chrpath -d %buildroot%_bindir/qucsator

%files -f %name.lang
%doc NEWS.md README.md
%_bindir/*
%_desktopdir/*
%_iconsdir/hicolor/*/apps/*
%_man1dir/*

%files data
%dir %_datadir/%name
%dir %_datadir/%name/lang
# XXX GONE?
##_datadir/%name/bitmaps
%_datadir/%name/library
%_datadir/%name/tline
%_datadir/%name/octave
%dir %_datadir/%name/docs
#_datadir/%name/docs/???*
%_datadir/%name-core
%_datadir/%name/examples
%_datadir/%name/docs/en
%lang(de) %_datadir/%name/docs/de
%lang(es) %_datadir/%name/docs/es
%lang(fr) %_datadir/%name/docs/fr
%lang(ru) %_datadir/%name/docs/ru
%lang(uk) %_datadir/%name/docs/uk
%lang(cs) %_datadir/%name/docs/cs
%lang(pt) %_datadir/%name/docs/pt

%files -n libqucs
%_libdir/*.so.*

%files -n libqucs-devel
%_libdir/*.so
%_includedir/qucs-core

%changelog
