Summary: A reverse engineering framework
Name: radare2
Version: 5.2.1
Release: alt1
License: LGPL-3.0-or-later
Group: Development/Tools
Url: http://radare.org/
Source: %name-%version.tar
Packager: Nikita Ermakov <arei@altlinux.org>

BuildRequires: libzip-devel zlib-devel libmagic-devel git-core libnss-mdns python3-module-yieldfrom java-devel-default jna python-devel capstone-devel libxxhash-devel liblz4-devel meson openssl-devel libuv-devel libtree-sitter-devel

# bundled sdb ./shlr/sdb/README.md
# bundled js0n ./shlr/sdb/src/json/README
# bundled openbsdregex libr/util/regex/README
# bundled tcc ./shlr/tcc/README.md
# bundled binutils 2.13  ./libr/asm/arch/tricore/README.md
#                        ./libr/asm/arch/ppc/gnu/
#                        ./libr/asm/arch/arm/gnu/
# bundled vavrdisasm 1.6 ./libr/asm/arch/avr/README

%description
A reverse engineering framework and command line tools.

%package devel
Summary: Development files for %name
License: LGPL-3.0-or-later
Group: Development/Tools
Requires: %name = %version-%release
%description devel
Development files for %name package.

%prep
%setup

%build
%meson                               \
  -Dr2_gittip=%version-%release      \
  -Duse_sys_magic=true               \
  -Duse_sys_zip=true                 \
  -Duse_sys_zlib=true                \
  -Duse_sys_lz4=true                 \
  -Duse_sys_xxhash=true              \
  -Duse_sys_openssl=true             \
  -Duse_libuv=true                   \
  -Duse_sys_capstone=true            \
  -Duse_sys_tree_sitter=true
%meson_build

%install
%meson_install
# Remove package manager
rm %buildroot/%_bindir/r2pm
# Copy r_jemalloc to the include directory
cp -r shlr/heap/include/r_jemalloc %buildroot/%_includedir/

%files devel
%_libdir/pkgconfig/*.pc
%_includedir/libr/
%_includedir/r_jemalloc/

%files
%doc DEVELOPERS.md COPYING COPYING.LESSER CONTRIBUTING.md README.md
%doc %_docdir/%{name}
%_bindir/*
%_libdir/libr*.so*
%_datadir/%name/
%_mandir/man1/*
%_mandir/man7/*
%_datadir/zsh

%changelog
