%ifndef _gtkdocdir
%define _gtkdocdir %_datadir/gtk-doc/html
%endif

%define sover 3
Name: rasqal
Version: 0.9.32
Release: alt3

Group: System/Libraries
Summary: Rasqal RDF Query Library
License: LGPL v2.1+ or GPL v2+ or Apache v2.0+
Url: http://librdf.org/rasqal/

Source: http://download.librdf.org/source/%name-%version.tar
Patch1: rasqal-0.9.29-alt-automake.patch

# Automatically added by buildreq on Thu Sep 01 2011 (-bi)
# optimized out: elfutils libgmp-devel libxml2-devel pkg-config
#BuildRequires: flex glibc-devel-static gtk-doc libmpfr-devel libpcre-devel raptor2-devel
BuildRequires: flex glibc-devel gtk-doc libmpfr-devel libpcre-devel raptor2-devel
BuildRequires: libuuid-devel

%description
RDF Query Language.

%package -n lib%name%sover
Summary: %name core library
Group: System/Libraries
Provides: librasqal = %EVR
Obsoletes: librasqal < %EVR
%description -n lib%name%sover
%name core library.

%package -n lib%name-devel
Summary: Header files for the Rasqal RDF query library
Group: Development/C
Provides: rasqal-devel = %EVR
Obsoletes: rasqal-devel < %EVR
%description  -n lib%name-devel
Header files for the Rasqal RDF query library.

%package  -n lib%name-devel-static
Summary: Static Rasqal library
Group: Development/C
Requires: lib%name-devel = %version-%release
%description  -n lib%name-devel-static
Static Rasqal library.

%prep
%setup -q
%patch1 -p1

%build
%autoreconf
cp -f %_datadir/automake/config.* .
%configure \
	--disable-static \
	--enable-datatypes \
	--enable-release \
	--with-html-dir=%_gtkdocdir \
	--with-raptor=system \
	--with-triples-source=raptor
# don't use redland as triples-source, as it would cause linking loop

%make_build

%install
%makeinstall_std

%files
%_bindir/roqet
%_man1dir/roqet.1*

%files -n lib%name%sover
%doc AUTHORS ChangeLog LICENSE.txt NEWS README
%_libdir/librasqal.so.%sover
%_libdir/librasqal.so.%sover.*

%files -n lib%name-devel
%_bindir/rasqal-config
%_libdir/librasqal.so
#%_libdir/librasqal.la
%_includedir/rasqal/
%_pkgconfigdir/rasqal.pc
%_man1dir/rasqal-config.1*
%_man3dir/librasqal.3*
%_gtkdocdir/rasqal/

#%files devel-static
#%_libdir/librasqal.a

%changelog
