Summary: Small, fast daemon to serve DNSBLs
Name: rbldnsd
Version: 0.998
Release: alt2
License: GPLv2+
Group: System/Servers
Url: http://www.corpit.ru/mjt/rbldnsd.html
# http://git.corpit.ru/?p=rbldnsd.git
Source0: http://www.corpit.ru/mjt/rbldnsd/rbldnsd_%version.tar.gz
Source1: rbldnsd.init

BuildRequires: gawk, zlib-devel

Packager: L.A. Kostis <lakostis@altlinux.ru>

%description
Rbldnsd is a small, authoritative-only DNS nameserver designed to serve
DNS-based blocklists (DNSBLs). It may handle IP-based and name-based
blocklists.

%prep
%setup -n %name-%version
sed -i	-e 's@/var/lib/rbldns\([/ ]\)@%_localstatedir/rbldnsd\1@g' \
		-e 's@\(-r/[a-z/]*\) -b@\1 -q -b@g' debian/rbldnsd.default

%build
# this is not an autotools-generated configure script, and does not support --libdir
CFLAGS="%optflags" ./configure
%make_build

%install
mkdir -p %buildroot{%_sbindir,%_mandir/man8,%_initdir,%_sysconfdir/sysconfig}
mkdir -p %buildroot%_localstatedir/rbldnsd
install -m 755 rbldnsd			%buildroot%_sbindir
install -m 644 rbldnsd.8			%buildroot%_mandir/man8
install -m 644 debian/rbldnsd.default	%buildroot%_sysconfdir/sysconfig/rbldnsd
install -m 755 %SOURCE1			%buildroot%_initdir/rbldnsd

%pre
/usr/sbin/groupadd -r rbldns ||:
/usr/sbin/useradd -r -g rbldns -d %_localstatedir/lib/rbldnsd \
		  -s /dev/null -c "rbldns daemon" rbldns ||:

%post
%post_service rbldnsd

%preun
%preun_service rbldnsd

%files
%doc README.user NEWS TODO debian/changelog CHANGES-0.81
%_sbindir/rbldnsd
%_mandir/man8/rbldnsd.8*
%attr(710,root,rbldns) %dir %_localstatedir/rbldnsd/
%config(noreplace) %_sysconfdir/sysconfig/rbldnsd
%_initdir/rbldnsd

%changelog
