Name: rocksndiamonds
Version: 4.2.3.1
Release: alt1

Summary: A boulderdash like game
License: GPL-2.0
Group: Games/Arcade

Url: http://www.artsoft.org/rocksndiamonds
Source: %name-%version.tar.gz
Source1: %name.desktop
Source2: %name.1
Source10: %name.16.png
Source11: %name.32.png
Source12: %name.48.png

Requires: %name-data = %version-%release

# Automatically added by buildreq on Tue Sep 09 2008 (-bi)
BuildRequires: libSDL2-devel libSDL2_image-devel libSDL2_mixer-devel libSDL2_net-devel
BuildRequires: zlib-devel libsmpeg-devel

%description
Arcade style game for Unix, DOS and Windows.

A game like "Boulderdash" (C64) or "Emerald Mine" (Amiga).
Included are many levels known from the games "Boulderdash",
"Emerald Mine", "Sokoban", "Supaplex" and "DX-Boulderdash",
level elements for "Diamond Caves II" style games
and a lot of new levels designed by other players.

Some features:
 - joystick support for Linux, FreeBSD and DOS/Windows
 - local multiplayer support for all supported platforms
 - network multiplayer support for Unix platform
 - soft scrolling with 50 frames/s
 - stereo sound effects and music
 - music module support for SDL version (Unix/Win32)
 - fullscreen support for SDL version (Unix/Win32)
 - lots of additional levels available (over 10.000)
 - complete source code included under GNU GPL

%package data
Summary: Rocks'N'Diamonds levels
License: GPL
Group: Games/Arcade
BuildArch: noarch

%description data
This package contains levels for Rocks'N'Diamonds

%prep
%setup

%build
%define _pkgdatadir %_gamesdatadir/%name
%make_build OPTIONS="%optflags" X11_PATH="%_x11dir" RO_GAME_DIR="%_pkgdatadir"

%install
install -pD -m755 %name %buildroot%_gamesbindir/%name
test -r "%name.1" && \
install -pD -m644 %name.1 %buildroot%_mandir/man1/%name.1 || \
install -pD -m644 %SOURCE2 %buildroot%_mandir/man1/%name.1
install -pD -m644 %SOURCE1 %buildroot%_desktopdir/%name.desktop

mkdir -p %buildroot%_pkgdatadir
cp -a docs graphics levels sounds music  %buildroot%_pkgdatadir

install -m644 %SOURCE10 -D %buildroot/%_miconsdir/%name.png
install -m644 %SOURCE11 -D %buildroot/%_niconsdir/%name.png
install -m644 %SOURCE12 -D %buildroot/%_liconsdir/%name.png

%files
%_gamesbindir/*
%_desktopdir/%name.desktop
%_iconsdir/*/*/*/*.png
%doc ChangeLog
%_man1dir/*

%files data
%_pkgdatadir

%changelog
