Name:     root6
Version:  6.19.01
Release:  alt3

Summary:  C++ data analysis framework and interpreter from CERN.
License:  %lgpl21plus
Group:    Sciences/Physics
Url:      http://github.com/root-project/root.git
Packager: Nikita Ermakov <arei@altlinux.org>
Source:   %name-%version.tar
Patch1: alt-patches.patch

BuildPreReq: rpm-macros-cmake rpm-build-licenses
BuildRequires: python3 python3-dev libnumpy-py3-devel
BuildRequires: cmake libAfterImage libftgl2 libfftw3-devel libfreetype liblz4-devel libGLEW2.1 libpcre3 zlib-devel liblzma-devel liblz4-devel libxxhash-devel libpcre-devel libgsl /proc
BuildRequires: libAfterImage-devel tbb-devel gcc-c++
BuildRequires: libX11-devel libXft-devel libXpm-devel libXext-devel
BuildRequires: libtiff-devel libSM-devel libICE-devel libGL-devel libjpeg-devel libpng-devel

# Drop python2.7(gdb) autogenerated require.
AutoReqProv: nopython
Requires: gcc-c++

ExcludeArch: %ix86

# Bundled llvm 5.0.0.

# libCling does not link directly with the ROOT libraries but contains undefined symbols from ROOT.
%set_verify_elf_skiplist /usr/lib64/libCling.so

%description
C++ data analysis framework and interpreter from CERN.

%prep
%setup
%patch1 -p1

%build
%cmake -DCMAKE_INSTALL_LIBDIR=%_libdir \
       -DCMAKE_INSTALL_SYSCONFDIR=%_sysconfdir \
       -DCMAKE_INSTALL_DATAROOTDIR=%_datadir \
       -DCMAKE_INSTALL_MANDIR=%_mandir \
       -DCMAKE_INSTALL_INCLUDEDIR=%_includedir \
       -DCMAKE_INSTALL_DATADIR=%_datadir/root6 \
       -DCMAKE_INSTALL_MACRODIR=%_datadir/root6/macros \
       -DCMAKE_BUILD_TYPE=RelWithDebInfo \
       -DPYTHON_EXECUTABLE=/usr/bin/python3 \
       -Dpython_version=3 \
       -Dpython=OFF \
       -Dalien=OFF \
       -Dbonjour=OFF \
       -Dbuiltin_afterimage=OFF \
       -Dbuiltin_fftw3=OFF\
       -Dbuiltin_ftgl=OFF \
       -Dbuiltin_freetype=OFF \
       -Dbuiltin_glew=OFF \
       -Dbuiltin_pcre=OFF \
       -Dbuiltin_zlib=OFF \
       -Dbuiltin_lzma=OFF \
       -Dbuiltin_xxhash=OFF \
       -Dbuiltin_lz4=OFF \
       -Dbuiltin_llvm=ON \
       -Dbuildin_tbb=OFF \
       -Dbuiltin_xrootd=OFF \
       -Dcastor=OFF \
       -Dccache=ON \
       -Dchirp=OFF \
       -Dclad=OFF \
       -Ddcache=OFF \
       -Dfitsio=OFF \
       -Dfail-on-missin=ON \
       -Dgfal=OFF \
       -Dglite=OFF \
       -Dgviz=OFF \
       -Dhdfs=OFF \
       -Dkrb5=OFF \
       -Dldap=OFF \
       -Dmonalisa=OFF \
       -Dmysql=OFF \
       -Dodbc=OFF \
       -Dopengl=OFF \
       -Doracle=OFF \
       -Dpgsql=OFF \
       -Dpythia6=OFF \
       -Dpythia8=OFF \
       -Drfio=OFF \
       -Dsapdb=OFF \
       -Dsqlite=OFF \
       -Dsrp=OFF \
       -Dssl=OFF \
       -Dtmva=OFF \
       -Dxrootd=OFF \
       -Dvdt=OFF \
       -Dx11=ON \
       -Dgnuinstall=ON
%cmake_build

%install
%cmakeinstall_std
# TODO: fix it later
rm -f %buildroot/usr/lib64/libRooFitCore.so-gdb*
rm -f %buildroot/usr/lib64/libCore.so-gdb.*

%files
%dir %_datadir/root6/
%_datadir/root6/*
%_includedir/*
%_bindir/*
%_libdir/*
%_man1dir/*
%_sysconfdir/*

%changelog
