Name: rp-pppoe
Version: 3.15
Release: alt1

License: GPLv2+
Url: https://dianne.skoll.ca/projects/rp-pppoe/
Summary: PPP Over Ethernet (xDSL support)
Summary(ru_RU.UTF-8): PPP через Ethernet (поддержка xDSL)
Group: Networking/Other

Source: %name-%version.tar
Source1: alt-tkpppoe.desktop
Source2: tkpppoe.xpm
Source3: firewall-masq-iptables
Source4: firewall-standalone-iptables
Source6: pppoe-wrapper.control
Source7: %name-MINI-HOWTOs.tar

Patch0: %name-%version-%release.patch

BuildPreReq: ppp

# Automatically added by buildreq on Wed Oct 12 2005
BuildRequires: libpcap-devel

%define _unpackaged_files_terminate_build 1

%description
PPPoE (Point-to-Point Protocol over Ethernet) is a protocol used by
many ADSL Internet Service Providers.

%description -l ru_RU.UTF-8
PPPoE (Point-to-Point Protocol через Ethernet) это протокол, используемый
многими Поставщиками Услуг Интернет по ADSL.

%package base
Summary: PPP Over Ethernet (xDSL support)
Group: Networking/Remote access

%description base
PPPoE (Point-to-Point Protocol over Ethernet) is a protocol used by
many ADSL Internet Service Providers. Roaring Penguin has a free
client for Linux systems to connect to PPPoE service providers.

This package contains basic utilites.

%package client
BuildArch: noarch
Summary: PPP Over Ethernet (xDSL support)
Summary(ru_RU.UTF-8): PPP через Ethernet (поддержка xDSL)
Group: Networking/Other
Requires: ppp >= 2.3.7
Requires: openresolv
Requires: %name-base = %EVR
Provides: rp-pppoe = %EVR
Obsoletes: rp-pppoe < %EVR

%description client
PPPoE (Point-to-Point Protocol over Ethernet) is a protocol used by
many ADSL Internet Service Providers. Roaring Penguin has a free
client for Linux systems to connect to PPPoE service providers.

The client is a user-mode program and does not require any kernel
modifications. It is fully compliant with RFC 2516, the official PPPoE
specification.

%description client -l ru_RU.UTF-8
PPPoE (Point-to-Point Protocol через Ethernet) это протокол, используемый
многими Поставщиками Услуг Интернет по ADSL. Roaring Penguin
предоставляет свободного клиента для Linux-систем для установки соединения
с поставщиками услуг PPPoE.

%package server
Summary: PPP Over Ethernet (xDSL support)
Summary(ru_RU.UTF-8): PPP через Ethernet (поддержка xDSL)
Group: Networking/Other
Requires: ppp >= 2.3.7
Conflicts: %name-base < %EVR
Conflicts: %name-base > %EVR

%description server
pppoe-server is a user-space server for PPPoE (Point-to-Point Protocol over Ethernet)
for Linux and other UNIX systems.

%description server -l ru_RU.UTF-8
pppoe-server это PPPoE-сервер (Point-to-Point Protocol over Ethernet) для Linux и других UNIX-систем.

%package gui
Summary: Tk interface for PPP Over Ethernet Client (xDSL support)
Summary(ru_RU.UTF-8): Tk интерфейс к Клиенту PPP через Ethernet (поддержка xDSL)
Group: Networking/Other
Requires: %name-client = %version-%release tk

%description gui
This is a graphical wrapper around the rp-pppoe PPPoE client. PPPoE is
a protocol used by many DSL Internet Service Providers.

%description gui -l ru_RU.UTF-8
Графическая оболочка для клиента PPPoE. PPPoE это протокол, используемый многими
Поставщиками Услуг Интернет по ADSL.

%prep
%setup -q -a7
%patch0 -p1

%build
pushd src
%autoreconf
%configure
popd
%make_build -C src
%make_build -C gui

%install
%makeinstall_std -C src
%makeinstall_std -C gui

install -p -m664 -D %SOURCE1 %buildroot%_desktopdir/%name-gui.desktop
install -p -m644 -D %SOURCE2 %buildroot%_niconsdir/tkpppoe.xpm
install -p -m644 %SOURCE3 %buildroot%_sysconfdir/ppp/
install -p -m644 %SOURCE4 %buildroot%_sysconfdir/ppp/
install -p -m755 -D %SOURCE6 %buildroot%_sysconfdir/control.d/facilities/pppoe-wrapper

cat > %buildroot%_sysconfdir/ppp/pppoe-lost << EOF
#!/bin/sh
echo -n \`date +"%%b %%d %%T"\`" " >> /var/log/ppp/pppoe-lost.log
echo "PPPoE session reconnect"  >> /var/log/ppp/pppoe-lost.log
EOF

%files base
%_sbindir/pppoe
%_sbindir/pppoe-sniff
%_sbindir/pppoe-relay
%_man8dir/pppoe.*
%_man8dir/pppoe-relay.*
%_man8dir/pppoe-sniff.*

%files client
%attr(750,root,root) %_sysconfdir/ppp/pppoe-lost
%config(noreplace) %_sysconfdir/ppp/pppoe.conf
%config(noreplace) %_sysconfdir/ppp/firewall*
%config(noreplace) %_initdir/pppoe
%_sbindir/pppoe-connect
%_sbindir/pppoe-start
%_sbindir/pppoe-stop
%_sbindir/pppoe-setup
%_sbindir/pppoe-status
%_man5dir/*
%_man8dir/pppoe-connect.*
%_man8dir/pppoe-setup.*
%_man8dir/pppoe-start.*
%_man8dir/pppoe-stop.*
%_man8dir/pppoe-status.*
%doc doc/CHANGES doc/HOW-TO-CONNECT README USB-ADSL-MINI-HOWTO.sgml

%preun client
/sbin/chkconfig --del pppoe

%files server
%config(noreplace) %_sysconfdir/ppp/pppoe-server-options
%_sbindir/pppoe-server
%_man8dir/pppoe-server.8*
%doc SERVPOET PPPoE-SERVER-MINI-HOWTO.sgml

%files gui
%config %_sysconfdir/control.d/facilities/pppoe-wrapper
%dir %_sysconfdir/ppp/rp-pppoe-gui
%dir %_datadir/tkpppoe
%_bindir/tkpppoe
%attr(4711,root,root) %_sbindir/pppoe-wrapper
%_desktopdir/%name-gui.desktop
%_niconsdir/tkpppoe.xpm
%_datadir/tkpppoe/*.msg
%dir %_docdir/tkpppoe
%_docdir/tkpppoe/*.png
%_docdir/tkpppoe/tkpppoe.html
%_man1dir/*

%exclude %_sysconfdir/ppp/plugins/README
%exclude %_defaultdocdir/rp-pppoe-%version/

%pre gui
%pre_control pppoe-wrapper

%post gui
%post_control pppoe-wrapper

%changelog
