%def_with bootstrap

Name: rpm-build-perl
Version: 0.84
Release: alt20

Summary: RPM helper scripts to calculate Perl dependencies
License: GPLv2+
Group: Development/Other

URL: %CPAN %name
Source: %name-%version.tar.gz

# Automatically added by buildreq on Thu Nov 17 2011
BuildRequires: perl-Encode-JP perl-Encode-KR perl-Filter perl-Try-Tiny perl-devel

# for .perl.req to work with ExtUtils::Makefile
# Unparsable version '0.1.9' for prerequisite Pod::Weaver::Plugin::Include treated as 0.1 (CPAN::Meta::Requirements not available) at Makefile.PL line 58.
Requires: perl(CPAN/Meta/Requirements.pm)

%if_with bootstrap
BuildArch: noarch
%endif

%description
These herlper scripts will look at perl source files in your package,
and will use this information to generate automatic Requires and Provides
tags for the package.

%prep
%setup
%if_with bootstrap
rm -r ConstOptree
%endif

%build
%perl_vendor_build

%install
%perl_vendor_install INSTALLSCRIPT=%_rpmlibdir INSTALLVENDORSCRIPT=%_rpmlibdir
%if_with bootstrap
    mv %buildroot%perl_vendor_privlib/fake.pm %buildroot%_rpmlibdir/
%else
    mv %buildroot%perl_vendor_archlib/fake.pm %buildroot%_rpmlibdir/
%endif

mkdir -p %buildroot%_rpmmacrosdir
install -pm644 perl5-alt-rpm-macros %buildroot%_rpmmacrosdir/perl5
install -pm644 macros.env %buildroot%_rpmmacrosdir/perl5.env

%files
%doc README.ALT
%_rpmlibdir/perl.req
%_rpmlibdir/perl.req.files
%_rpmlibdir/perl.prov
%_rpmlibdir/perl.prov.files
%_rpmlibdir/perl.clean
%_rpmlibdir/fake.pm
%if_with bootstrap
%dir %perl_vendor_privlib/B
%perl_vendor_privlib/B/Walker.pm
%perl_vendor_privlib/B/PerlReq.pm
%perl_vendor_privlib/B/Clobbers.pm
%dir %perl_vendor_privlib/PerlReq
%perl_vendor_privlib/PerlReq/Utils.pm
%else
%dir %perl_vendor_archlib/B
%perl_vendor_archlib/B/Walker.pm
%perl_vendor_archlib/B/ConstOptree.pm
%perl_vendor_archlib/B/PerlReq.pm
%perl_vendor_archlib/B/Clobbers.pm
%dir %perl_vendor_autolib/B
%dir %perl_vendor_autolib/B/ConstOptree
%perl_vendor_autolib/B/ConstOptree/ConstOptree.so
%dir %perl_vendor_archlib/PerlReq
%perl_vendor_archlib/PerlReq/Utils.pm
%endif
%config %_rpmmacrosdir/perl5
%config %_rpmmacrosdir/perl5.env

%changelog
