Name: rpm2html
Version: 1.11.2
Release: alt1

Summary: Translates an RPM database and dependency information into HTML
License: W3C Copyright (BSD like).
Group: Text tools

Url: http://rufus.w3.org/linux/rpm2html/
# repacked http://download.savannah.gnu.org/releases/rpm2html/rpm2html-%version.tar.gz
Source0: %name-%version.tar

# Debian
Patch10: manpage.patch
Patch11: rpm-4.9.patch
Patch12: fix-segfault.patch
Patch13: cve-syntax.patch
Patch14: fix-strndup.patch
Patch15: int_32.patch

# Automatically added by buildreq on Mon Jan 05 2009
BuildRequires: bzlib-devel libdb4.7-devel librpm-devel libxml2-devel
BuildPreReq: zlib-devel

%description
The rpm2html utility automatically generates web pages that describe a
set of RPM packages.  The goals of rpm2html are to identify the
dependencies between various packages, and to find the package(s) that
will provide the resources needed to install a given package.  Rpm2html
analyzes the provides and requires of the given set of RPMs, and then
shows the dependency cross-references using hypertext links.  Rpm2html
can now dump the metadata associated with RPM files into standard RDF
files.

%prep
%setup
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1

%add_findreq_skiplist %_datadir/%name

%build
%autoreconf
%configure
%make_build

%install
mkdir -pv %buildroot/var/www/html/rpm2html/local
install -d %buildroot%_datadir/%name
install -pD -m755 %name %buildroot%_bindir/%name
install -pD -m644 %name.config  %buildroot%_sysconfdir/%name.config
install -pD -m644 %name.1  %buildroot%_man1dir/%name.1
subst 's@url\=\/rpm2html@url=/var/www/html/rpm2html@g' \
	%buildroot/etc/rpm2html.config

%files
%doc CHANGES BUGS Copyright INSTALL PRINCIPLES README* TODO
%doc rpm2html-cdrom.config rpm2html-en.config
%config %_sysconfdir/%name.config
%_datadir/%name
%_man1dir/*
%_bindir/%name
/var/www/html/rpm2html

%changelog
