Epoch: 0
Group: Development/Java
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-java
BuildRequires: unzip
# END SourceDeps(oneline)
BuildRequires: /proc rpm-build-java
BuildRequires: jpackage-1.8-compat
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           sablecc
Version:        3.7
Release:        alt1_9jpp8
Summary:        A parser generator written in Java
License:        LGPLv2+
URL:            http://sablecc.org
# https://github.com/SableCC/sablecc
Source0:        http://downloads.sourceforge.net/sablecc/sablecc-3.7.zip
#Source1:        http://repo1.maven.org/maven2/sablecc/sablecc/3.2/sablecc-3.2.pom
Patch0:         sablecc-fsf-addr.patch
BuildArch:      noarch

BuildRequires:  ant
BuildRequires:  javapackages-local
Source44: import.info

%description
SableCC is a parser generator which generates object-oriented frameworks for
building compilers, interpreters and other text parsers. SableCC keeps a clean
separation between machine and user code which leads to a shorter development 
cycle.

%prep
%setup -q 
%patch0 -p1
# The ant task has to be unpacked and sanitized prior to the main build. 
tar xzf %{name}-anttask-1.0.1.tar.gz
find -name "*.jar" -delete
find -name "*.class" -delete
rm %{name}-anttask-1.0.1.tar.gz

sed -i "s|lib/%{name}.jar|%{_javadir}/%{name}.jar|" bin/%{name}

%mvn_file %{name}:%{name} %{name}

%build
# Build the ant task and copy *only* that class into the main
# classes directory.  Don't copy everything, because there's a 
# namespace collision that will break the build.
pushd %{name}-anttask-1.0.1
ant 
mkdir -p ../classes/org/sablecc/ant/taskdef/
cp classes/org/sablecc/ant/taskdef/Sablecc.class ../classes/org/sablecc/ant/taskdef/
popd

# the define here prevents ant from redownloading the deleted tarball
ant -Dsablecc-anttask_available=true jar

%install
%mvn_artifact %{name}:%{name}:%{version} lib/%{name}.jar
%mvn_install

mkdir -p %{buildroot}%{_bindir}
install -pm 0755 bin/%{name} %{buildroot}%{_bindir}/%{name}

%files -f .mfiles
%{_bindir}/%{name}
%doc README.html ChangeLog AUTHORS THANKS
%doc --no-dereference LICENSE COPYING-LESSER
%doc doc/*

%changelog
