%define real_name Sablot

Name: sablotron
Version: 1.0.3
Release: alt2

Summary: XSLT, XPath and DOM processor

License: GPL
Group: System/Base
Url: https://github.com/hyperthunk/Sablotron

Packager: Boris Savelev <boris@altlinux.org>

Source: http://download-1.gingerall.cz/download/sablot/Sablot-%version.tar
Patch: lib%name-alt-link.patch

# Automatically added by buildreq on Wed May 13 2009
BuildRequires: gcc-c++ libexpat-devel libjs-devel libncurses-devel libreadline-devel perl-XML-Parser

%description
Sablotron is an XML (XSLT 1.0, XPath 1.0, DOM Level2) processor.
It is written in C++ by Ginger Alliance.

%package -n lib%name
Summary: Libraries for %name
Group: Development/C++

%description -n lib%name
This package contains the libraries for %name.

%package -n lib%name-devel
Summary: Header files, libraries and development documentation for %name
Group: Development/C++
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package contains the header files, and development
documentation for %name.

%package -n lib%name-devel-static
Summary: Static libraries for %name
Group: Development/C++
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
This package contains the static libraries for %name.

%prep
%setup -n %real_name-%version
%patch0 -p2

%build
touch NEWS AUTHORS ChangeLog
%autoreconf
export CPLUS_INCLUDE_PATH="%_includedir/js"
export SABLOT_GPL="1"
%configure \
	--enable-javascript \
	--with-readline \
	--enable-debugger
%make_build

%install
%makeinstall_std
rm -rf %buildroot%_datadir/doc/html/

%files
%doc README* RELEASE doc/misc/DEBUGGER doc/misc/NOTES src/TODO
%_man1dir/sabcmd.1*
%_bindir/sabcmd

%files -n lib%name
%_libdir/libsablot.so.*

%files -n lib%name-devel
%doc doc/apidoc/jsdom-ref doc/apidoc/sablot doc/apidoc/sxp
%_bindir/sablot-config
%_libdir/libsablot.so
%_includedir/*.h

%files -n lib%name-devel-static
%_libdir/libsablot.a

%changelog
