Name: scanmem
Version: 0.17
Release: alt1

Summary: Simple debugging utility
License: GPLv2
Group: Development/Debuggers
Url: http://taviso.decsystem.org/
Packager: Valentin Rosavitskiy <valintinr@altlinux.org>

Source: %name-%version.tar
Patch0: scanmem-0.15.4-alt2-fix-desktop-files.patch
Patch1: scanmem-0.15.4-alt-gameconqueror-libscanmem-soname.patch

BuildRequires(pre): rpm-build-python3
BuildRequires: libreadline-devel intltool /proc

%filter_from_requires /^python2.*/d

%add_python3_req_skip backend consts hexview misc

%description
scanmem is a simple interactive debugging utility for linux, used to
locate the address of a variable in an executing process. This can be
used for the analysis or modification of a hostile process on a
compromised machine, reverse engineering, or as a "pokefinder"
to cheat at video games.

%package -n gameconqueror
Group: Development/Debuggers
BuildArch: noarch
Summary: CheatEngline-alike interface for scanmem
Requires: %name = %version-%release

%description -n gameconqueror
GameConqueror aims to provide a CheatEngline-alike interface for
scanmem, it's user-friendly and easy to use.
GameConqueror is written in PyGTK.

%package -n lib%name
Summary: Library for %name
Group: System/Libraries

%description -n lib%name
This package contains shared library used by %name

%package -n lib%name-devel
Summary: Development package that includes the %name symlincs for sharedlib
Group: Development/C

%description -n lib%name-devel
The devel package contains the symlincs for sharedlib

%prep
%setup
%patch0 -p2
%patch1 -p2

sed -i 's|^#!.*python|&3|' gui/GameConqueror.py

%build
./autogen.sh
%configure \
	--enable-gui \
	--docdir=%_docdir/%name-%version \
	--disable-static \
	#
%make

%install
%makeinstall_std

%find_lang GameConqueror

%files
%_bindir/scanmem
%_man1dir/scanmem.1.*
%doc ChangeLog COPYING NEWS README TODO

%files -n lib%name
%_libdir/libscanmem.so.*

%files -n lib%name-devel
%_libdir/libscanmem.so

%files -n gameconqueror -f GameConqueror.lang
%_bindir/gameconqueror
%_datadir/gameconqueror/
%_datadir/applications/GameConqueror.desktop
%_mandir/man1/gameconqueror.1*
%_datadir/icons/hicolor/*/apps/GameConqueror.png
%_datadir/polkit-1/actions/org.freedesktop.gameconqueror.policy
%_datadir/appdata/GameConqueror.appdata.xml

%changelog
