Name: scantailor
Version: 1.0.18
Release: alt1

Summary: Scan processing software
License: GPL
Group: Graphics
Url: https://github.com/vigri/scantailor-advanced

# Source-url: https://github.com/vigri/scantailor-advanced/archive/refs/tags/v%version.tar.gz
Source: %name-%version.tar
Source1: %name.desktop

# Automatically added by buildreq on Fri Apr 10 2009
BuildRequires: boost-devel-headers boost-intrusive-devel cmake gcc-c++
BuildRequires: zlib-devel libXft-devel libXmu-devel libXpm-devel libjpeg-devel libtiff-devel libpng-devel
BuildRequires: qt5-base-devel qt5-tools-devel qt5-svg-devel libqt5-core libqt5-network libqt5-gui qt5-imageformats

%description
scantailor-advanced is a book scan processing software.
ScanTailor Advanced is the version that merges the features
of the ScanTailor Featured and ScanTailor Enhanced versions,
brings new ones and fixes.
It splits scanned pages, aligns, and converts to b/w from
grayscale. It has GUI interface. Analogs of this
program are ScanKromsator (written by kamerade bolega,
currently discontinued), BookRestorer.

%description -l ru_RU.UTF-8
Scantailor - программа для обработки отсканированных
книг. Эта программа может разделять развороты, выравнивать
страницы и переводить в ч/б из градаций серого. Имеет
GUI интерфейс. Наиболее известными аналогами
программы является ScanKromsator (написан камрадом bolega,
сейчас не развивается) и BookRestorer.

%prep
%setup
subst "s|scantailor-advanced|%name|" CMakeLists.txt
# remove project's options
subst "s|.*add_compile_options.*||" CMakeLists.txt

%build
%cmake
%cmake_build

%install
%cmakeinstall_std
mv %buildroot%_iconsdir/hicolor/scalable/apps/ScanTailor.svg %buildroot%_iconsdir/hicolor/scalable/apps/%name.svg
rm -f %buildroot%_desktopdir/scantailor.desktop
install -pm644 -D %SOURCE1 %buildroot%_desktopdir/%name.desktop

%files
%_bindir/%name
%dir %_datadir/%name/
%_datadir/%name/translations/
%_desktopdir/%name.desktop
/usr/share/mime/packages/scantailor-project.xml
%_iconsdir/hicolor/scalable/apps/%name.svg

%changelog
