Name: scummvm
Version: 2.2.0
Release: alt2

Summary: Graphic adventure game interpreter
Group: Games/Adventure
License: GPLv2
Url: http://www.scummvm.org

Source: %name-%version.tar.gz
Patch: scummvm-1.3.0-mp2player.patch
Patch1: scummvm-2.2.0-Fluidsynth2.2.patch

Provides: %_gamesdatadir/%name

# Automatically added by buildreq on Sun Oct 04 2020
# optimized out: glib2-devel glibc-kernheaders-generic glibc-kernheaders-x86 libSDL-devel libX11-devel libatk-devel libcairo-devel libcairo-gobject libcairo-gobject-devel libfreetype-devel libgdk-pixbuf libgdk-pixbuf-devel libgio-devel libharfbuzz-devel libogg-devel libpango-devel libpng-devel libsasl2-3 libstdc++-devel pkg-config python2-base sh4 xorg-proto-devel zlib-devel
BuildRequires: gcc-c++ git-core libSDL_net-devel liba52-devel libalsa-devel libcurl-devel libfaad-devel libflac-devel libfluidsynth-devel libgtk+3-devel libjpeg-devel libmad-devel libmpeg2-devel libreadline-devel libtheora-devel libvorbis-devel

%description
ScummVM is a collection of interpreters, capable of emulating several
adventure game engines. ScummVM mainly supports games created using
SCUMM (Script Creation Utility for Maniac Mansion), used in various
LucasArts games such as Monkey Island, Day of the Tentacle, and others.

%prep
%setup
%patch -p1
%patch1 -p1

%build
export CXXFLAGS=-DFS_API_VERSION=0x0202
./configure \
	--prefix=%prefix \
	--bindir=%_bindir \
	--mandir=%_mandir \
	--libdir=%_libdir \
	--enable-release \
	--enable-c++11 \
	--enable-plugins --default-dynamic \
	--disable-nasm --disable-tremor \
	--enable-text-console \
	--enable-all-engines \
	--enable-vkeybd
%make_build

%install
%makeinstall_std

# Menu, themes and extra files
install -pD -m644 dists/%name.desktop %buildroot%_datadir/applications/%name.desktop
mkdir -p %buildroot%_datadir/%name
install -p -m644 dists/engine-data/*.dat %buildroot%_datadir/%name/
install -p -m644 dists/engine-data/*.cpt %buildroot%_datadir/%name/
install -p -m644 dists/engine-data/*.tbl %buildroot%_datadir/%name/

install -D dists/maemo/scummvm64.png %buildroot%_iconsdir/hicolor/64x64/apps/%name.png
install -D dists/maemo/scummvm48.png %buildroot%_iconsdir/hicolor/48x48/apps/%name.png
install -D icons/scummvm.svg %buildroot%_iconsdir/hicolor/scalable/apps/%name.svg

%files
%doc AUTHORS* README* NEWS* TODO* COPYING*
%exclude %_defaultdocdir/%name
%_bindir/scummvm
%_man6dir/scummvm.6*
%_datadir/pixmaps/scummvm.xpm
%_datadir/applications/%name.desktop
%_datadir/metainfo/*
%_iconsdir/hicolor/*/apps/*
%dir %_libdir/%name
%_libdir/%name/*
%dir %_datadir/%name
%_datadir/%name/*

%changelog
