Name: seafile-client
Version: 8.0.3
Release: alt1

Summary: Seafile gui client on QT bassed

Group: Networking/File transfer
License: Apache License
Url: https://github.com/haiwen/seafile-client

Packager: Denis Baranov <baraka@altlinux.ru>

# Source-url: https://github.com/haiwen/seafile-client/archive/v%version.tar.gz
Source: %name-%version.tar

Source1: seafile.desktop

Patch: seafile-client-no-return-error.patch
Patch2: 86ebea086c6b78738b3140c922c909331d2b9a94.patch

Requires: seafile >= %version

# manually removed: git-core i586-libxcb libfreetype-infinality python-module-mwlib ruby ruby-stdlibs python-module-google python3-dev python3-module-yieldfrom python3-module-zope 
# Automatically added by buildreq on Tue May 17 2016
# optimized out: cmake cmake-modules gcc-c++ glib2-devel libEGL-devel libGL-devel libevent-devel libgio-devel libgpg-error libjansson-devel libqt5-core libqt5-dbus libqt5-gui libqt5-network libqt5-test libqt5-widgets libqt5-xml libsearpc-devel libstdc++-devel libuuid-devel pkg-config python-base python-modules python3 python3-base  qt5-tools
BuildRequires: cmake doxygen graphviz libsqlite3-devel libssl-devel zlib-devel
BuildRequires: qt5-imageformats qt5-tools-devel

BuildRequires: qt5-base-devel

BuildRequires(pre): rpm-macros-cmake

BuildRequires: libevent-devel >= 2.0
BuildRequires: libseafile-devel >= %version

Conflicts: libseafile <= 2.0.4

%description
Seafile desktop gui client.
Seafile is a full-fledged document collaboration platform.

%prep
%setup
%patch -p2
%patch2 -p1
# https://github.com/haiwen/seafile-client/pull/1346
subst '1iADD_DEFINITIONS(-DGLIB_VERSION_MIN_REQUIRED=GLIB_VERSION_2_26)' CMakeLists.txt
cp %SOURCE1 data/

%build
PATH=%_qt5_bindir:$PATH %cmake_insource
%make_build

%install
%makeinstall_std
ln -s seafile-applet %buildroot%_bindir/%name

%find_lang %name

%files -f %name.lang
%_bindir/seafile-applet
%_bindir/%name
%_desktopdir/*
%_iconsdir/hicolor/*/apps/*
%_pixmapsdir/*

%changelog
