Name: seaview
Version: 5.0.4
Release: alt1
Summary: Graphical multiple sequence alignment editor
Packager: Ilya Mashkin <oddity@altlinux.ru>
Group: Sciences/Biology
License: GPLv2+
Url: http://pbil.univ-lyon1.fr/software/seaview.html
Source0: ftp://pbil.univ-lyon1.fr/pub/mol_phylogeny/seaview/seaview-%version.tar.gz
Source1: seaview.desktop
Patch0:         seaview-chris.patch

# Automatically added by buildreq on Wed Apr 27 2016
# optimized out: fontconfig libX11-devel libstdc++-devel python-base python-modules python3 python3-base xorg-xproto-devel
BuildRequires: gcc-c++ libfltk-devel python3-dev zlib-devel libXinerama-devel
BuildRequires: libpng-devel libjpeg-devel libXrender-devel libXcursor-devel
BuildRequires: libXfixes-devel libXext-devel libXft-devel fontconfig-devel

%description
SeaView is a graphical multiple sequence alignment editor developed by Manolo
Gouy.  SeaView is able to read and write various alignment formats (NEXUS, MSF,
CLUSTAL, FASTA, PHYLIP, MASE).  It allows to manually edit the alignment, and
also to run DOT-PLOT or CLUSTALW/MUSCLE programs to locally improve the
alignment.

%prep
%setup -q -n seaview

%patch0 -p 1 -b .chris

chmod -x *.cxx
chmod -x csrc/*.[ch]

sed -i 's|^\(CFLAGS.*\)|\1 -g -DFL_LIBRARY|' Makefile

%build
%make_build

%check

%install
mkdir -p $RPM_BUILD_ROOT%_datadir/seaview
mkdir -p $RPM_BUILD_ROOT%_bindir
mkdir -p $RPM_BUILD_ROOT/%_mandir/man1
mkdir -p $RPM_BUILD_ROOT%_datadir/applications/
install -m 755 seaview $RPM_BUILD_ROOT/%_bindir
install -m 644 seaview.html $RPM_BUILD_ROOT%_datadir/seaview/
install -m 644  %SOURCE1 $RPM_BUILD_ROOT%_datadir/applications/
mkdir -p $RPM_BUILD_ROOT%_datadir/pixmaps/
install -m 0644 -p seaview.xpm $RPM_BUILD_ROOT%_datadir/pixmaps/seaview.xpm
install -m 644 seaview.1 $RPM_BUILD_ROOT/%_mandir/man1

%files
%doc seaview.1.xml example.nxs
%_bindir/seaview
%_datadir/seaview/
%_datadir/applications/%name.desktop
%_datadir/pixmaps/%name.xpm
%_man1dir/*

%changelog
