Name:     settings-s
Version:  0.4.2
Release:  alt1

Summary:  settings for custom distro
License:  GPLv2
Group:    Other
Url:      http://git.altlinux.org/people/nbr/packages/settings-s.git

Packager: Denis Medvedev <nbr@altlinux.org>

Source:   %name-%version.tar

BuildArch: noarch
Requires:  checker

%description
These are settings for custom distro.

%package -n integ
Summary: integrity checker script and settings
Group: System/Configuration/Other
Requires: systemd
Requires: osec-cronjob >= 1.3.1-alt2

%description -n integ
Integrity check setup only

%package -n installer-integ-stage2
Summary: Run integrity check after install
Group: System/Configuration/Other

%description -n installer-integ-stage2
Run integrity check after install (installer files).

%package -n installer-integ-stage3
Summary: Run integrity check after install
Group: System/Configuration/Other
Requires: integ = %version-%release

%description -n installer-integ-stage3
Run integrity check after install (chroot files).

%prep
%setup

%install
mkdir -p %buildroot%_datadir/install2/postinstall.d
mkdir -p %buildroot/sbin
mkdir -p %buildroot%_unitdir
mkdir -p %buildroot/%_sysconfdir/firsttime.d
mkdir -p %buildroot/lib/systemd/system-preset
mkdir -p %buildroot/%_sysconfdir/osec/integalert

install -Dm 0644 65-integrity.preset %buildroot/lib/systemd/system-preset/
install -Dm 0755 65-settings.sh  %buildroot%_datadir/install2/postinstall.d/
install -Dm 0755 90-integrity-init.sh  %buildroot%_datadir/install2/postinstall.d/
install -Dm 0644 integalert.service %buildroot%_unitdir/
install -Dm 0700 integalert %buildroot/sbin/
install -D -m 0600 dirs.conf %buildroot/%_sysconfdir/osec/integalert/dirs.conf


%post -n integ
if [ $1 -ge 2 ]; then
    if systemctl -q is-enabled integalert.service; then
        systemctl daemon-reload
        systemctl -q preset integalert.service
    fi
fi

%files
%_datadir/install2/postinstall.d/65-settings.sh

%files -n installer-integ-stage2
%_datadir/install2/postinstall.d/90-integrity-init.sh

%files -n installer-integ-stage3

%files -n integ
%_unitdir/integalert.service
/lib/systemd/system-preset/65-integrity.preset
/sbin/integalert
%dir %_sysconfdir/osec/integalert
%config(noreplace) %_sysconfdir/osec/integalert/*.conf


%changelog
