%global _unpackaged_files_terminate_build 1

Name: smartmontools
Version: 7.2
Release: alt1

Summary: Control and monitor storage systems using S.M.A.R.T.
License: GPLv2+
Group: Monitoring

Url: http://smartmontools.sourceforge.net

# http://download.sourceforge.net/smartmontools/smartmontools-%version.tar.gz
Source0: smartmontools-%version.tar
Source1: smartd.init
Source2: smartd.sysconfig
Source3: smartmontools-update-drivedb

Patch1: smartmontools-alt-conf.patch
Patch2: smartmontools-alt-service.patch

Obsoletes: smartctl
Obsoletes: smartd
Obsoletes: ucsc-smartsuite
Obsoletes: smartsuite

# Automatically added by buildreq on Thu Mar 13 2008
BuildRequires: gcc-c++
BuildRequires: libsystemd-devel

%description
This package contains two utility programs (smartctl and smartd) to
control and monitor storage systems using the Self-Monitoring, Analysis
and Reporting Technology System (S.M.A.R.T.) built into most modern
ATA and SCSI hard disks.  It is derived from the smartsuite package,
and includes support for ATA/ATAPI-5 disks.

%package update-drivedb
Summary: Install drivedb update script and cron task
Group: Monitoring
Requires: %name
Requires: gnupg curl crontabs

%description update-drivedb
This package contains script to update drive database and verify it
using GnuPG. Monthly cronjob is also provided.

Use this package when your smart output contains Unknown_Attribute
records: the drive database is updated much faster than
smartmontools themselves.

%prep
%setup
%patch1 -p1
%patch2 -p1
fgrep -lZ /usr/local/bin/mail *.in |
	xargs -r0 sed -i 's,/usr/local/bin/mail,/bin/mail,g' --
fgrep -lZ /usr/local/etc/sysconfig *.am *.in |
	xargs -r0 sed -i 's,/usr/local/etc/sysconfig,/etc/sysconfig,g' --

%build
%define docdir %_docdir/%name-%version
%configure --docdir=%docdir \
	--with-libsystemd \
	--with-systemdsystemunitdir=%systemd_unitdir
%make_build \
	BUILD_INFO='"(%distribution %version-%release)"'

%install
%makeinstall_std

chmod 600 %buildroot%_sysconfdir/smartd.conf

install -pD -m755 %_sourcedir/smartd.init \
	%buildroot%_initdir/smartd
install -pD -m644 %_sourcedir/smartd.sysconfig \
	%buildroot%_sysconfdir/sysconfig/smartd

rm %buildroot%docdir/{ChangeLog,COPYING,INSTALL}

install -pD -m755 %_sourcedir/smartmontools-update-drivedb \
	%buildroot%_sysconfdir/cron.monthly/smartmontools-update-drivedb

%post
%post_service smartd

%preun
%preun_service smartd

%files
%_sbindir/smartd
%_sbindir/smartctl
%_initdir/smartd
%systemd_unitdir/smartd.service
%_man8dir/smartctl.*
%_man8dir/smartd.*
%_man5dir/smartd.conf.*
%config(noreplace) %_sysconfdir/smartd.conf
%config(noreplace) %_sysconfdir/sysconfig/smartd
%config(noreplace) %_sysconfdir/smartd_warning.sh
%docdir

%files update-drivedb
%_sbindir/update-smart-drivedb
%_datadir/%name
%_man8dir/update-smart-drivedb.*
%_sysconfdir/cron.monthly/smartmontools-update-drivedb

%changelog
