%define _unpackaged_files_terminate_build 1

Name: source-highlight
Version: 3.1.9
Release: alt1.git.904949c
Summary: syntax highlighting for source documents
License: GPL-3.0+
Group: Text tools
Url: http://www.gnu.org/software/src-highlite/

# git://git.savannah.gnu.org/src-highlite.git
Source: %name-%version.tar

BuildRequires: boost-devel gcc-c++ ctags help2man doxygen texlive-collection-basic texinfo
BuildRequires: flex

%description
This program, given a source file, produces a document
with syntax highlighting.  Both source languages and output formats
can be specified with a simple syntax and added dynamically.  At the
moment this package can handle many programming languages, such as,
e.g., Java, C/C++, Prolog, Perl, Php3, Python, Flex, ChangeLog, etc.
as source languages, and some output formats such, as, e.g., HTML,
XHTML, LaTeX, etc.

%package -n lib%name
Summary: source highlighting library
Group: Development/C++

%description -n lib%name
This package contains the data files used by the libsource-highlight
library, which is the library that underlies the source-highlight
program suite. The library converts source code to a document with
syntax highlighting and supports many file formats. The library can be
used by other C++ programs to get source code highlighting capabilities.

%package -n lib%name-devel
Summary: Header files for libsource-highlight library
Group: Development/C++
Requires: lib%name = %EVR

%description -n lib%name-devel
This is a development package for lib%name. It includes
headers and documentation.

%package -n bash-completion-%name
Summary: Bash completion for %name
Group: Development/Other
BuildArch: noarch

%description -n bash-completion-%name
%summary

%prep
%setup

%build
%autoreconf
%configure \
	--enable-static=no \
	--enable-maintainer-mode \
	--with-boost-regex=boost_regex \
	--with-doxygen

%make_build

%install
%makeinstall_std

%files
%_bindir/*
%_datadir/%name
%_mandir/man?/*
%_defaultdocdir/%name
%_infodir/%name.info*

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%doc lib/srchilite/html
%_includedir/srchilite
%_libdir/*.so
%_pkgconfigdir/*.pc
%_infodir/%name-lib*

%files -n bash-completion-%name
%dir %_sysconfdir/bash_completion.d
%_sysconfdir/bash_completion.d/*

%changelog
