Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:      spatialindex
Version:   1.8.5
Release:   alt1_12
Summary:   Spatial index library 
License:   MIT
URL:       http://libspatialindex.org
Source0:   http://download.osgeo.org/lib%{name}/%{name}-src-%{version}.tar.bz2
# https://github.com/libspatialindex/libspatialindex/pull/108
Patch0001: fix-oob-crash.patch

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:    ctest cmake
Source44: import.info

%description
Spatialindex provides a general framework for developing spatial indices.
Currently it defines generic interfaces, provides simple main memory and
disk based storage managers and a robust implementation of an R*-tree,
an MVR-tree and a TPR-tree.

%package devel
Group: Development/Other
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
Development files for %{name}.


%prep
%setup -q -n %{name}-src-%{version}
%patch1 -p1


%build
%{fedora_cmake} .
%make_build


%install
make install DESTDIR=%{buildroot}


# Tests must be run manually and seemingly are not built yet
# See changelog 2011-10-11





%files 
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/lib%{name}*.so.*

%files devel
%{_includedir}/%{name}
%{_libdir}/lib%{name}*.so


%changelog
