%define name speedtest-cli
%define version 2.1.3
%define release alt2

Name: %name
Version: %version
Release: %release

Summary: Network bandwidth testing tool
License: Apache-2.0
Group: System/Configuration/Networking
Url: https://github.com/sivel/speedtest-cli
BuildArch: noarch

Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3

%description
Command line interface for testing internet bandwidth using
speedtest.net

%prep
%setup -q

sed -i 's|#!/usr/bin/env python|#!/usr/bin/env python3|' \
    $(find ./ -name '*.py')

%build
%install
mkdir -p %buildroot%_bindir
install -m755 speedtest.py %buildroot%_bindir/%name

mkdir -p %buildroot%_desktopdir
cat > %buildroot%_desktopdir/%name.desktop <<EOF
[Desktop Entry]
Version=1.0
Type=Application
Name=speedtest-cli
Comment=CLI for speedtest.net
Icon=%name
Exec=%name
Terminal=true
Categories=Settings;HardwareSettings;
EOF

%files
%_bindir/*
%doc README.rst CONTRIBUTING.md
%_desktopdir/%name.desktop

%changelog
