Group: Development/Java
# BEGIN SourceDeps(oneline):
BuildRequires: rpm-build-java unzip
# END SourceDeps(oneline)
BuildRequires: /proc
BuildRequires: jpackage-generic-compat
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           spin
Version:        1.5
Release:        alt2_19jpp8
Summary:        A transparent threading solution for non-freezing Swing applications
License:        LGPLv2
Url:            http://spin.sourceforge.net/
BuildArch:      noarch

Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}-all.zip
Patch0:         %{name}-pom_xml.patch

BuildRequires:  maven-local
BuildRequires:  jpackage-utils
BuildRequires:  java-devel >= 1.6.0

BuildRequires:  cglib
BuildRequires:  objectweb-asm
Source44: import.info

%description
Spin is a small library that concentrates on offering a powerful solution
to build non-freezing Swing applications. Spin enforces good application
design by separating the GUI and non-visual components through interfaces.
If it is used wisely in an application framework, the GUI programmers will
never have to think about threads again.

%package javadoc
Group: Development/Java
Summary:        Javadoc for %{name}
BuildArch: noarch

%description javadoc
Documentation for the spin Java library.

%prep
%setup -q
# Remove pre-build jar files
rm -rf lib
# Compile against the correct version of cglib
%patch0 -p1

%mvn_file : %{name}

%build
# One of the tests tries to access the X display
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc license.txt

%files javadoc -f .mfiles-javadoc
%doc license.txt

%changelog
