Name: spt3
Version: 0.5
Release: alt2
Group: Development/Other
Summary: Tools for creating Sisyphus-based solutions
License: GPL
Packager: Mikhail Yakshin <greycat@altlinux.org>
Source: %name-%version.tar.bz2
BuildArch: noarch

# Self dependencies
Requires: %name-profiles = %version-%release
Requires: %name-tasks = %version-%release

%package profiles
Summary: Sample profiles for %name
Group: Development/Other

%package tasks
Summary: Low-level tasks of %name
Group: Development/Other

# Because of obsoleted --save-fakeroot
Requires: hasher >= 1.0.35-alt1
Requires: hasher-priv >= 1.2.2-alt1

# Because of isolinux-config
# (required in repository, not in host system)
# Requires: syslinux >= 3.31-alt1

%description
Tools for creating solutions (live CDs/DVDs, installable systems,
network boot clients, OpenVZ images, rescue discs, etc) based on
Sisyphus open-source package repository.

%name is a complete package that includes everything.

%description profiles
Sample profiles for %name (high-level instructions on how to build a
particular Sisyphus-based system or solution).

You'll require %name package to run these profiles.

%description tasks
Low-level tasks are basic building blocks for %name build process. Each
task has a clearly defined interface: function, input and output. Tasks
can be combined using profiles (see %name-profiles package for sample
profiles) to achieve building complete solutions.

To get generic high-level runner for these tasks and to get
documentation, install %name. For sample profiles, install
%name-profiles.

%prep
%setup

%build
mv bin/spt bin/spt3

%install
mkdir -p %buildroot{%_datadir/%name,%_bindir}
cp -a share/* %buildroot%_datadir/%name
install -m755 bin/* %buildroot%_bindir

%files
%_bindir/spt3
%_bindir/spt-deploy-*
%doc doc/*

%files profiles
%doc profiles

%files tasks
%_bindir/spt-boot-*
%_bindir/spt-clean
%_bindir/spt-create-repo
%_bindir/spt-*-chroot
%_bindir/spt-pack-*
%_bindir/spt-run-scripts
%dir %_datadir/%name
%_datadir/%name/*

%changelog
