Name: spyder
Version: 4.0.1
Release: alt2

Summary: Scientific Python Development Environment

License: MIT
Group: Development/Python
Url: https://www.spyder-ide.org/

# Source0-url: https://github.com/spyder-ide/spyder/archive/v%version.tar.gz
Source0: %name-%version.tar
Source1: %name.desktop

#add_python_req_skip _winreg

BuildArch: noarch

BuildRequires(pre): rpm-build-python3

Requires: python3-module-matplotlib-qt5
#Requires: python3-module-%name-plugins
# IPython bug
#Requires: python-module-zmq

BuildRequires: python3-module-sphinx

%description
Spyder is a Python development environment with tons of features:

* Editor - Multi-language editor with function/class browser, code
  analysis (pyflakes and pylint are currently supported),
  horizontal/vertical splitting, etc.

* Documentation viewer - Automatically show documentation (if
  available, or source code otherwise) for any class instantiation or
  function call made in a Python shell (interactive/external console,
  see below).

* Interactive console - Python shell with workspace support (variable
  explorer with GUI based editors: dictionary editor, array editor,
  ...) and matplotlib figures integration.

* External console (separate process) - Run Python scripts
  (interactive, debugging or normal mode) or open a Python interpreter
  with variable explorer and documentation viewer support (a basic
  terminal window may also be opened with the external console)

* File/directories explorer

* Find in files feature - Supports regular expressions and mercurial
  repositories

* History log

Spyder may also be used as a PyQt4 extension library (module 'spyderlib').
For example, the Python interactive shell widget used in Spyder may be
embedded in your own PyQt4 application.

%package -n python3-module-%name
Group: Development/Python
Summary: Supplemental python module for %name
%description -n python3-module-%name
Supplemental python module for %name

%package -n python3-module-%name-plugins
Group: Development/Python
Summary: Plugins module for %name
Requires: pylint, python-module-rope
%description -n python3-module-%name-plugins
Plugins module for %name

%prep
%setup

%build
%python3_build

%install
%python3_install

install -d -m755 %buildroot%_datadir/applications
#install -d -m755 %buildroot%_datadir/pixmaps

install -D -m644 %SOURCE1 %buildroot%_desktopdir/%name.desktop
# TODO png
install -D -m644 spyder/images/spyder.svg %buildroot%_iconsdir/hires/scalable/apps/%name.svg
rm -fv %buildroot/usr/share/icons/*.png
rm -fv %buildroot%python3_sitelibdir/spyder/utils/introspection/old_fallback.py
rm -rf %buildroot%_bindir/spyder_win_post_install.py

%files
%doc README.md
%_desktopdir/*.desktop
%_iconsdir/hires/*/apps/*
#_pixmapsdir/spyder.png
%_datadir/metainfo/*
%_bindir/spyder3
%python3_sitelibdir/%name-*egg-info

%files -n python3-module-%name
# TODO strange place for documentation
#python_sitelibdir/spyderlib/doc
%python3_sitelibdir/spyder/

#files -n python3-module-%name-plugins
#python3_sitelibdir/spyderplugins/

%changelog
