Name: stellarium
Version: 0.21.0
Release: alt1.1

Summary: Astronomical Sky Simulator

License: GPLv2
Group: Education
Url: http://www.stellarium.org/

Source: %name-%version.tar

BuildRequires: rpm-macros-cmake

BuildRequires: cmake perl-Pod-Usage zlib-devel libdrm-devel
BuildRequires: qt5-script-devel qt5-serialport-devel qt5-multimedia-devel
BuildRequires: qt5-tools-devel qt5-location-devel
BuildRequires: fonts-ttf-dejavu

%ifnarch %e2k
%define _optlevel s
%endif

%description
Stellarium is a free software available for Windows, Linux/Unix and MacOSX.
It renders 3D photo-realistic skies in real time. With stellarium, you
really see what you can see with your eyes, binoculars or a small
telescope.

%prep
%setup
%ifarch %e2k
# lcc doesn't ignore unicode bom
find -type f -print0 | xargs -r0 -- sed -i '1s/^\xEF\xBB\xBF//'
%endif

%build
%cmake -DQT5_LIBS=%_libdir/qt5 -DCMAKE_INSTALL_PREFIX=/usr
%cmake_build

%install
%cmake_install

# See ALT 25353
find %buildroot -name 'DejaVuSans*.ttf' -delete

%find_lang %name
%find_lang %name-skycultures

%files -f %name.lang
%doc ChangeLog README*
%_bindir/%name
%_datadir/%name
%_mandir/man1/%name.1.xz
%_datadir/applications/*.desktop
%_datadir/metainfo/*.appdata.xml
%_datadir/icons/hicolor/*/apps/%name.png
%_datadir/mime/packages/stellarium.xml

%changelog
