%define py_vers_nodot %{python_version_nodots python3}

Name: summain
Version: 0.20
Release: alt2

Summary: File manifest generator
License: GPLv3+
Group: File tools
Url: http://liw.fi/%name/
Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://code.liw.fi/debian/pool/main/s/%name/%{name}_%version.orig.tar.gz
Patch0: port-to-python3.patch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-devel libattr-devel
BuildRequires: python3-module-cliapp >= 1.20160724-alt3

Requires: python3-module-cliapp >= 1.20160724-alt3


%description
Summain generates file manifests, which contain metadata about the
files, and a checksum of their content for regular files. The manifest
can be generated for a directory tree at different points in time and
compared (with diff) to see if something has changed.

%prep
%setup
%patch0 -p2

%build
%python3_build_debug

# Generate manpages
make summain.1

%install
%python3_install

# fix permission
chmod 755 %buildroot%python3_sitelibdir/_summain.cpython-%{py_vers_nodot}.so

%check
# exit 0
# TODO: add and use python_check
%__python3 setup.py check

%files
%doc COPYING NEWS README
%_man1dir/summain.1*
%_bindir/summain
%python3_sitelibdir/*


%changelog
