Name:    task-edu
Version: 1.5.9
Release: alt12

Summary(ru_RU.UTF-8): Базовый образовательный комплект
Summary: Educational software (base set)
License: GPL-3.0+
Group:   Education

URL:     http://altlinux.org/education

# Education (base part)
Requires: task-edu-lite = %EVR
%ifarch x86_64 aarch64
Requires: blender
%endif
Requires: clamav
Requires: clamav-db
Requires: clamtk
Requires: dosbox
%ifarch %ix86 x86_64
Requires: freebasic
Requires: fpc
Requires: fpc-ide
Requires: pascalabcnet
Requires: kchmviewer
%endif
Requires: brasero
%ifarch %ix86 x86_64 %e2k
Requires: veyon
%endif
# Big educational software
%ifarch %ix86 x86_64
Requires: lazarus
Requires: gambas-full
%endif

%description
%{summary}.

%package lite
Summary(ru_RU.UTF-8): Базовый набор образовательного ПО, облегчённый для rootfs
Summary: Basic set of educational software, lightweight for rootfs
Group: Education
# Education (base part)
Requires: audacity
Requires: bluefish
Requires: codeblocks
Requires: codeblocks-contrib
Requires: dia
Requires: fbreader
%ifnarch %e2k
Requires: goldendict
%else
Requires: stardict
%endif
Requires: dict-mueller7-utf8
Requires: gcc
Requires: inkscape
Requires: gimp
Requires: gimp-help-ru
Requires: gimp-plugin-gutenprint
Requires: gimp-plugin-refocus-it
Requires: java-devel
Requires: kdenlive
Requires: scribus
%ifnarch %e2k
Requires: shotwell
%endif
Requires: logisim
Requires: basic256
Requires: geany
Requires: geany-themes
%ifnarch %e2k
Requires: geany-plugins
%else
Requires: freemind
%endif
Requires: gnome-games-klotski
Requires: gnome-games-mahjongg
%ifnarch %e2k
Requires: gnome-games-aisleriot
%endif
Requires: xsane
Requires: xsane-gimp2
Requires: xsane-doc-ru
Requires: simple-scan
%ifnarch armh
Requires: imagination
%endif
Requires: connector
%ifarch x86_64 aarch64
Requires: chromium
%endif
Requires: fonts-otf-mozilla-fira
Requires: itest
Requires: kumir2
# Big educational software
%if_with fortran
Requires: octave
%endif
Requires: gnuplot-qt
%ifnarch ppc64le
Requires: wxMaxima
%endif
# OCR
Requires: gimagereader-gtk
Requires: tesseract
Requires: tesseract-langpack-ru
Requires: tesseract-langpack-en
# KDE5 localization and profile
Requires: kde5-profile
Requires: qt5-translations
%ifnarch %e2k
Requires: kde5-khelpcenter
%endif
# Content filter and antivirus
Requires: netpolice-filter
Requires: netpolice-main
# For Skydns
%ifnarch %e2k
Requires: ddclient
%endif
Requires: perl-IO-Socket-SSL
# For search exercises
Requires: docx2txt odt2txt
# Mass management and remote assistance
%ifnarch %e2k
Requires: puppet
%endif
%ifarch x86_64 aarch64
Requires: x11spice
Requires: openssh-server
%endif
# LibreOffice
%ifnarch %e2k
%define lo_name LibreOffice-still
%else
%define lo_name LibreOffice
%endif
%ifnarch armh
Requires: %{lo_name}-extensions
Requires: %{lo_name}-integrated
Requires: %{lo_name}-gtk3
Requires: %{lo_name}-langpack-ru
Requires: libreoffice-languagetool
%endif
Requires: mythes-ru
Requires: hyphen-ru
Requires: gst-plugins-bad
Requires: gst-plugins-ugly
Requires: pentaho-reporting-flow-engine
Requires: perl-DBD-mysql
Requires: postgresql-jdbc
Requires: mysql-connector-java
# Mozilla
%ifnarch armh
Requires: thunderbird
%endif
%description lite
%{summary}.

%package tools
Summary(ru_RU.UTF-8): Вспомогательные программы для Альт Образование
Summary: Utilities for ALT Education
Group: Other
%ifnarch %e2k armh
Requires: grub-customizer
%endif
# Electronic board support
%ifarch %ix86 x86_64
Requires: starboard-preinstall
%endif
%ifarch %ix86 x86_64
Requires: bumblebee
%endif
%ifarch %ix86 x86_64
Requires: virtualbox-guest-utils
Requires: xorg-dri-intel
%endif
%ifnarch armh
Requires: adp
%endif
%ifarch %e2k
Requires: rtc
%endif
%description tools
%{summary}.

%package preschool
Summary(ru_RU.UTF-8): Образовательное программное обеспечение (дошкольное образование)
Summary: Educational software (preschool)
Group: Education
Requires: gcompris-qt
Requires: gcompris-qt-voices-ru
# wait for python3 version
#Requires: childsplay
#Requires: childsplay-alphabet_sounds_ru
Requires: tuxpaint
Requires: kde5-khangman
Requires: kde5-kanagram
# KDE5 localization and profile
Requires: kde5-profile
Requires: qt5-translations
%ifnarch %e2k
Requires: kde5-khelpcenter
%endif
%description preschool
%{summary}.

%package gradeschool
Summary(ru_RU.UTF-8): Образовательное программное обеспечение (начальная школа)
Summary: Educational software (gradeschool)
Group: Education
Requires: task-edu
Requires: kde5-profile
Requires: kde5-kolourpaint
Requires: kde5-ktouch
Requires: gcompris-qt
Requires: gcompris-qt-voices-ru
Requires: trikStudio
Requires: trikStudio-data
Requires: kde5-kbruch
Requires: abiword
Requires: python3-tools
Requires: python3-module-pygame
Requires: python3-module-pygame-doc
Requires: python3-modules-curses
Requires: afce
# KDE5 localization and profile
Requires: kde5-profile
Requires: qt5-translations
%ifarch %e2k
Requires: scratch
%endif
%ifarch %ix86 x86_64
Requires: scratch-desktop
%endif
%ifnarch %e2k
Requires: kde5-khelpcenter
Requires: trikStudioJunior
%endif
%description gradeschool
%{summary}.

%package highschool
Summary(ru_RU.UTF-8): Образовательное программное обеспечение (cредняя школа)
Summary: Educational software (highschool)
Group: Education
Requires: task-edu
Requires: kumir2
Requires: codeblocks
Requires: kde5-profile
Requires: kde5-kolourpaint
%ifarch %ix86 x86_64
Requires: lazarus
Requires: openscad
%endif
%ifarch %ix86 x86_64 %e2k
Requires: synfigstudio
%endif
Requires: dia
Requires: trikStudio
Requires: kde5-marble
%ifnarch ppc64le
Requires: wxMaxima
%endif
Requires: bluefish
Requires: afce
# KDE5 localization and profile
Requires: kde5-profile
Requires: qt5-translations
%ifarch %e2k
Requires: scratch
%endif
%ifarch %ix86 x86_64
Requires: scratch-desktop
%endif
%ifnarch %e2k
Requires: qcad
Requires: kde5-khelpcenter
%endif
%ifarch %ix86 x86_64 aarch64 ppc64le
Requires: freecad
%endif
Requires: python3-tools
Requires: pip
%description highschool
%{summary}.

%package secondary-vocational
Summary(ru_RU.UTF-8): Образовательное программное обеспечение (среднее профессиональное образование)
Summary: Educational software (secondary vocational)
Group: Education
Requires: inkscape
Requires: gimp
Requires: gimp-help-ru
Requires: gimp-plugin-gutenprint
Requires: gimp-plugin-refocus-it
%ifarch x86_64 aarch64 %e2k
Requires: blender
%endif
Requires: scribus
Requires: codeblocks
%ifarch %ix86 x86_64
Requires: lazarus
Requires: scilab
%endif
%ifnarch %e2k armh
Requires: freecad
Requires: qcad
%endif
%ifnarch ppc64le
Requires: wxMaxima
%endif
Requires: octave
Requires: gnuplot-qt
%ifnarch %e2k %ix86 armh ppc64le
Requires: qt-creator
Requires: qt-creator-doc
%endif
Requires: cmake
Requires: ninja-build
Requires: qt5-base-devel
Requires: qt5-base-doc
#Requires: Eclipse
#Requires: Texmacs
Requires: logisim
Requires: fritzing
Requires: projectlibre
Requires: python3-tools
Requires: python3-module-pygame
Requires: python3-module-pygame-doc
Requires: python3-modules-curses
Requires: pip
%description secondary-vocational
%{summary}.

%package university
Summary(ru_RU.UTF-8): Образовательное программное обеспечение (высшее образование)
Summary: Educational software (university)
Group: Education
Requires: inkscape
Requires: gimp
Requires: gimp-help-ru
Requires: gimp-plugin-gutenprint
Requires: gimp-plugin-refocus-it
%ifarch x86_64 aarch64
Requires: blender
%endif
Requires: scribus
Requires: codeblocks
%ifnarch %e2k %ix86 armh ppc64le
Requires: qt-creator
Requires: qt-creator-doc
%endif
Requires: cmake
Requires: ninja-build
Requires: qt5-base-devel
Requires: qt5-base-doc
#Requires: Eclipse
%ifarch %ix86 x86_64
Requires: lazarus
Requires: gambas-full
Requires: monodevelop
Requires: openscad
Requires: scilab
%endif
Requires: swi-prolog
#Requires: Texmacs
%ifnarch ppc64le
Requires: wxMaxima
%endif
Requires: octave
Requires: gnuplot-qt
%ifnarch %e2k
Requires: qcad
%endif
%ifnarch %e2k armh
Requires: freecad
Requires: qgis3
Requires: qgis3-grass
Requires: qgis3-python
%endif
Requires: projectlibre
Requires: openmpi
Requires: fritzing
Requires: python3-tools
Requires: python3-module-pygame
Requires: python3-module-pygame-doc
Requires: python3-modules-curses
Requires: pip
%description university
%{summary}.

%package kde5
Summary(ru_RU.UTF-8): Среда KDE5 для Альт Образование
Summary: KDE5 for Alt Education
Group: Education
Requires: kde5
Requires: kf5-plasma-workspace
Requires: kde5-network-manager-nm
Requires: libqimageblitz5
Requires: kde5-krfb
%ifnarch ppc64le
Requires: kde5-parley
%endif
Requires: kde5-kanagram
Requires: kde5-khangman
Requires: kde5-kwordquiz
Requires: kde5-kturtle
Requires: kde5-marble
Requires: kde5-step
Requires: kde5-kig
Requires: kde5-kmplot
Requires: kde5-kalgebra
Requires: kde5-cantor
Requires: kde5-rocs
Requires: kde5-kbruch
Requires: kde5-kgeography
Requires: kde5-ktouch
Requires: kde5-minuet
Requires: kde5-runtime
Requires: kde5-printing
Requires: kde5-scanning
Requires: kde5-connect
%ifnarch armh
Requires: %{lo_name}-kde5
%endif
%ifnarch %e2k ppc64le
Requires: nextcloud-client-kde5
%endif
Requires: branding-alt-education-kde-settings
%description kde5
%{summary}.

%package teacher
Summary(ru_RU.UTF-8): Образовательное программное обеспечение (для учителей)
Summary: Software for teachers
Group: Education
%ifnarch armh
Requires: veyon
%endif
Requires: itest-server
Requires: ansible
%ifnarch %e2k armh
Requires: semaphore
%endif
Requires: virt-viewer
Requires: OpenBoard
Requires: touchegg
%description teacher
%{summary}.

%package server-apps
Summary(ru_RU.UTF-8): Образовательное программное обеспечение (серверные приложения)
Summary: Server applications for education
Group: Education
%ifnarch %e2k armh
Requires: semaphore
%endif
Requires: mariadb-server
Requires: mariadb-client
Requires: nano
Requires: dansguardian
Requires: perl-DBD-mysql
#Requires: ejudge
Requires: ejabberd
Requires: alterator-datetime
Requires: alterator-console
Requires: apache2
Requires: apache2-httpd-worker
#Requires: installed-db-office-server-mediawiki
Requires: installed-db-office-server-nextcloud
Requires: installed-db-office-server-moodle
Requires: moodle-qtype_coderunner
Requires: alt-domain-server
Requires: alterator-fbi
#Requires: alterator-bacula
Requires: alterator-ca
Requires: alterator-bind
Requires: alterator-dhcp
Requires: alterator-firsttime
Requires: alterator-kdc
Requires: alterator-ldap-groups
Requires: alterator-ldap-users
Requires: alterator-mirror
Requires: alterator-net-domain
Requires: alterator-net-eth
Requires: alterator-net-pppoe
Requires: alterator-net-pptp
%ifarch %ix86 x86_64
Requires: alterator-netinst
%endif
Requires: alterator-net-openvpn
Requires: alterator-net-routing
Requires: alterator-net-bond
Requires: alterator-net-bridge
Requires: alterator-net-iptables
Requires: alterator-openldap
Requires: alterator-openvpn-server
Requires: alterator-squid
Requires: alterator-squidmill
Requires: alterator-quota
Requires: alterator-trust
Requires: alterator-vsftpd
Requires: alterator-xinetd
Requires: alterator-postfix-dovecot
Requires: alterator-ulogd
Requires: anonftp
Requires: samba4
Requires: xauth
# Terminal services
Requires: xrdp
Requires: pulseaudio-module-xrdp
%ifarch %ix86 x86_64
Requires: docker-ce
Requires: lsb
%endif
Requires: tcpdump
%description server-apps
%{summary}.

%package video-conferencing
Summary(ru_RU.UTF-8): Образовательное программное обеспечение (сервер видеоконференций)
Summary: Video-conferencing server for education
Group: Education
Requires: prosody
Requires: jitsi-meet-doc
Requires: jitsi-meet-prosody
Requires: jitsi-meet-web
Requires: jitsi-meet-web-config
Requires: jitsi-videobridge
%ifarch x86_64
Requires: jicofo
%endif
%description video-conferencing
%{summary}.

%package school
Summary(ru_RU.UTF-8): Образовательное программное обеспечение для школ
Summary: Complete list of education software for schools
Group:   Education
Requires: task-edu
Requires: task-edu-gradeschool
Requires: task-edu-highschool
Requires: task-edu-teacher
%description school
%{summary}.

%files

%files lite

%files tools

%files preschool

%files gradeschool

%files highschool
 
%files secondary-vocational

%files university

%ifnarch %e2k
%files kde5
%endif

%files teacher

%files server-apps

%ifnarch %e2k %ix86 armh
%files video-conferencing
%endif

%files school

%changelog
