Name: tatham-puzzles
Version: 20180227
Release: alt1
License: MIT
Group: Games/Puzzles
Url: http://www.chiark.greenend.org.uk/~sgtatham/puzzles/
Source: puzzles-r%version.tar.gz
Source1: %name.patchmakefile.sed
# See Makefile for obtaining wget command
Source2: www.chiark.greenend.org.uk.tar
Source3: %name.sh
Source4: CHANGELOG.txt

Summary: A collection of small one-player puzzle games
Summary(ru_RU.UTF-8): Коллекция небольших логических головоломок

# Automatically added by buildreq on Sun Oct 11 2009
BuildRequires: ImageMagick-tools fonts-type1-urw libgtk+2-devel xvfb-run xauth halibut
# explicitly added texinfo for info files
BuildRequires: texinfo

%description
A collection of little puzzle games you can pop up in a window and play for two or three minutes while you take a break from whatever else you were doing.
Their names: Black Box, Bridges, Cube, Dominosa, Fifteen, Filling, Flip, Flood, Galaxies, Guess, Inertia, Keen, Light Up, Loopy, Magnets, Map, Mines, Net, Netslide, Palisade, Pattern, Pearl, Pegs, Range, Rectangles, Same Game, Signpost, Singles, Sixteen, Slant, Solo, Tents, Towers, Tracks, Twiddle, Undead, Unequal, Unruly, Untangle. Rules, descriptions and tips can be found in documentation.

%description -l ru_RU.UTF-8
Коллекция из небольших логических головоломок класса "открой в окошке, потыкай пять минут -- отдохни"; сложность можно настроить.
Названия головоломок: Black Box, Bridges, Cube, Dominosa, Fifteen, Filling, Flip, Flood, Galaxies, Guess, Inertia, Keen, Light Up, Loopy, Magnets, Map, Mines, Net, Netslide, Palisade, Pattern, Pearl, Pegs, Range, Rectangles, Same Game, Signpost, Singles, Sixteen, Slant, Solo, Tents, Towers, Tracks, Twiddle, Undead, Unequal, Unruly, Untangle. Rules, descriptions and tips can be found in documentation.
Описания, правила и подсказки -- в докуметации.
%package -n %name-solvers
Summary: Stand-alone solvers for some of the %name puzzles
Summary(ru_RU.UTF-8): Набор "решалок" к некоторым головоломкам из %name
Group: Games/Puzzles

%description -n %name-solvers
Stand-alone solvers for some of the %name puzzles.

%description -l ru_RU.UTF-8 -n %name-solvers
Набор "решалок" к некоторым головоломкам из %name.

# TODO separate puzzles/js into another package
# TODO separate docs
# TODO add help links and/or text into launcher
# TODO separate all the desktop files into mandatory package in the sake of launcher

%prep
%setup -n puzzles-r%version -a2
./mkfiles.pl

sed '/^IN=/s@.*@IN="%_defaultdocdir/%name-%version/index.html"@
/^GBD=/s@.*@GBD="%_gamesbindir"@' < %SOURCE3 > %name

cat > mkicons <<@@@
( cd icons
make
%make_build web pngicons
for S in 16 32 48; do
  mkdir \$S
  for N in *\${S}d24.png; do
    ln \$N \$S/\${N%%-*}.png
  done
done
)
@@@
chmod +x mkicons

cp %SOURCE4 .

%build
%autoreconf
%configure --bindir=%_gamesbindir
%make_build

xvfb-run ./mkicons
sh %SOURCE3 desktop

# hack a little
##sed -i 's/Icon=rectangles/Icon=rect/' rectangles.desktop

halibut --info=%name.info puzzles.but
sed -i '/^$/a\
INFO-DIR-SECTION Games\
START-INFO-DIR-ENTRY\
* %name: (%name).	A collection of small one-player puzzle games\
END-INFO-DIR-ENTRY\
' %name.info

%install
mkdir -p %buildroot/%_gamesbindir %buildroot%_desktopdir %buildroot%_miconsdir %buildroot%_liconsdir %buildroot%_niconsdir %buildroot%_pixmapsdir/%name %buildroot%_infodir
%makeinstall bindir=%buildroot/%_gamesbindir
#-f Makefile.linux
install -m755 *solver %buildroot/%_gamesbindir/
install -m 755 %name %buildroot/%_gamesbindir/
install *.desktop %buildroot%_desktopdir/
install icons/16/*.png %buildroot%_miconsdir/
install icons/32/*.png %buildroot%_niconsdir/
install icons/48/*.png %buildroot%_liconsdir/
install icons/*-*se*.png %buildroot%_pixmapsdir/%name/
install *.info* %buildroot%_infodir/

%files -n %name-solvers
%_gamesbindir/*solver

%files
%doc README *.txt www.chiark.greenend.org.uk/~sgtatham/puzzles/* 
#icons/*-web.png
%exclude %_gamesbindir/*solver
%_gamesbindir/*
%_desktopdir/*
%_miconsdir/*
%_niconsdir/*
%_liconsdir/*
%dir %_pixmapsdir/%name
%_pixmapsdir/%name/*
%_infodir/*%{name}*

%changelog
