Name: telnet
Version: 3.0
Release: alt10

Summary: The client program for the telnet remote login protocol
License: BSD-style
Group: Networking/Remote access
Url: http://git.altlinux.org/people/ldv/packages/telnet.git

Source0: telnet-%version-20011117.tar
Source1: telnetd.xinetd
Source2: telnetd.eps

Patch1: telnet-3.0-owl-linux.patch
Patch2: telnet-3.0-owl-no-mini_inetd.patch
Patch3: telnet-3.0-owl-ipv4-only.patch
Patch4: telnet-3.0-owl-bound.patch
Patch5: telnet-3.0-owl-env-export.patch
Patch6: telnet-3.0-owl-env-DISPLAY.patch
Patch7: telnet-3.0-owl-drop-root.patch
Patch8: telnet-3.0-alt-tinfo.patch

BuildRequires: libtinfo-devel

%description
Telnet was a popular protocol for logging into remote systems over
the Internet.  This package provides a command line telnet client.

%package server
Summary: The server program for the telnet remote login protocol
Group: System/Servers
PreReq: shadow-utils
Requires: /var/empty

%description server
Telnet was a popular protocol for logging into remote systems over
the Internet.  This package provides a telnet daemon, which will
support remote logins into the host machine.

%prep
%setup

%patch1 -p1
%patch2 -p1
#patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
install -pm644 %_sourcedir/telnetd.eps .

%build
export CFLAGS="-c $RPM_OPT_FLAGS $(getconf LFS_CFLAGS)"
%make_build

%install
install -pD -m755 usr.bin/telnet/telnet %buildroot%_bindir/telnet
install -pD -m644 usr.bin/telnet/telnet.1 %buildroot%_man1dir/telnet.1

install -pD -m700 libexec/telnetd/telnetd %buildroot%_sbindir/telnetd
install -pD -m644 libexec/telnetd/telnetd.8 %buildroot%_man8dir/telnetd.8

install -pD -m640 %_sourcedir/telnetd.xinetd \
	%buildroot%_sysconfdir/xinetd.d/telnetd

%define _unpackaged_files_terminate_build 1
%define _stripped_files_terminate_build 1
%set_verify_elf_method strict

%pre server
/usr/sbin/groupadd -r -f telnetd
/usr/sbin/useradd -r -g telnetd -d / -s /dev/null -n telnetd >/dev/null 2>&1 ||:

%files
%_bindir/telnet
%_man1dir/*

%files server
%config(noreplace) %_sysconfdir/xinetd.d/telnetd
%_sbindir/telnetd
%_man8dir/*
%doc telnetd.eps

%changelog
