# change to %nil for release
%define beta %nil
Name: testdisk
Version: 7.1
Release: alt3

Summary: Tool to check and undelete partition

License: GPLv2+
Group: System/Configuration/Hardware
Url: http://www.cgsecurity.org/wiki/TestDisk

# Source-url: http://www.cgsecurity.org/%name-%version%beta.tar.bz2
Source: %name-%version.tar

# manually removed: python3 ruby ruby-stdlibs
# Automatically added by buildreq on Sun Apr 02 2017
# optimized out: gcc-c++ glibc-devel-static gnu-config libcom_err-devel libncurses-devel libntfs-3g libqt5-core libqt5-gui libqt5-widgets libqt5-xml libstdc++-devel libtinfo-devel pkg-config python-base python-modules python3 python3-base zlib-devel
BuildRequires: libe2fs-devel libjpeg-devel libncursesw-devel libntfs-3g-devel libossp-uuid-devel libprogsreiserfs-devel libuuid-devel
%if_with ewf
BuildRequires: libewf-devel
%endif
BuildRequires: qt5-base-devel qt5-tools zlib-devel

Provides: testdisk-doc = %name-%version
Obsoletes: testdisk-doc < 6.14

%description
Tool to check and undelete partition. Works with the following
partitions:
 - BeFS ( BeOS )
 - BSD disklabel ( FreeBSD/OpenBSD/NetBSD )
 - CramFS (Compressed File System)
 - DOS/Windows FAT12, FAT16 and FAT32
 - HFS, Hierarchical File System
 - JFS, IBM's Journaled File System
 - Linux Ext2 and Ext3
 - Linux Raid
 - Linux Swap (versions 1 and 2)
 - LVM and LVM2, Linux Logical Volume Manager
 - Netware NSS
 - NTFS ( Windows NT/2K/XP/2003 )
 - ReiserFS 3.5 and 3.6
 - UFS (Sun/BSD/...)
 - XFS, SGI's Journaled File System

See online documentation at:
http://www.cgsecurity.org/wiki/TestDisk

%package -n photorec
Summary: Data recovery software
Group: File tools

%description -n photorec
PhotoRec is file data recovery software designed to recover lost files
including video, documents and archives from Hard Disks and CDRom and lost
pictures (thus, its 'Photo Recovery' name) from digital camera memory.

PhotoRec ignores the filesystem and goes after the underlying data, so it
will still work even if your media's filesystem has been severely damaged
or re-formatted.

See online documentation at:
http://www.cgsecurity.org/wiki/PhotoRec

%package -n qphotorec
Summary: GUI for PhotoRec, a data recovery software
Group: File tools

%description -n qphotorec
QPhotoRec is file data recovery GUI software designed to recover lost files
including video, documents and archives from Hard Disks and CDRom and lost
pictures (thus, its 'Photo Recovery' name) from digital camera memory.

See online documentation at:
http://www.cgsecurity.org/wiki/PhotoRec

%prep
%setup
%add_optflags

%build
%configure
%make_build

%install
%makeinstall_std
rm -rf %buildroot%_mandir/zh_CN/

%files
%_bindir/testdisk
%_bindir/fidentify
%_man8dir/testdisk*
%_man8dir/fidentify*
%doc %_docdir/testdisk/

%files -n photorec
%_bindir/photorec
%_man8dir/photorec*

%files -n qphotorec
%_bindir/qphotorec
%_desktopdir/qphotorec.desktop
%_iconsdir/hicolor/48x48/apps/qphotorec.png
%_iconsdir//hicolor/scalable/apps/qphotorec.svg

%_man8dir/qphotorec*

%changelog
