Name: texworks
Version: 0.6.8
Release: alt1

Summary: A simple IDE for authoring TeX documents
Summary(ru_RU.UTF-8): Простой редактор для документов TeX

License: GPL-2.0
Group: Publishing
Url: http://tug.org/texworks/

Packager: Grigory Ustinov <grenka@altlinux.org>

BuildRequires: gcc-c++ qt5-base-devel qt5-script-devel qt5-tools-devel-static
BuildRequires: libhunspell-devel libdbus-devel libpoppler-qt5-devel unzip cmake
BuildRequires: qt5-declarative-devel zlib-devel

Source0: %name-%version.tar
Source1: texworks-alt-icons.tar
Source2: TeXworks-manual-en.pdf

Patch1: %name-0.6.7-desktop.patch

%description
TeXworks is an environment for authoring TeX (LaTeX, ConTeXt, etc)
documents, with a Unicode-based, TeX-aware editor, integrated PDF
viewer, and a clean, simple interface accessible to casual
and non-technical users.

You may install the texlive-* packages to make this program useful.

%description -l ru_RU.UTF-8
TeXworks - это простой редактор для работы с TeX документами (LaTeX,
ConTeXt и другие) с возможностью просмотра скомпилированных
PDF-документов и простым интерфейсом, понятным даже для
начинающих осваивать TeX.

Для того, чтобы использовать TeXworks вам также понадобится установить
пакеты texlive-*.

%package doc
Summary: Documentation for TeXworks
Summary(ru_RU.UTF-8): Документация для редактора TeXworks
Group: Publishing
Requires: %name = %version-%release
BuildArch: noarch

%description doc
User manual for TeXworks editor.

%description doc -l ru_RU.UTF-8
Документация к редактору TeXworks.

%prep
%setup -a1
%patch1 -p2

%build
%cmake_insource -DDESIRED_QT_VERSION=5
%make

%install
%makeinstall_std
install -m 644 -D texworks-alt-icons/TeXworks-16x16.png %buildroot%_miconsdir/TeXworks.png
install -m 644 -D texworks-alt-icons/TeXworks-32x32.png %buildroot%_niconsdir/TeXworks.png
install -m 644 -D texworks-alt-icons/TeXworks-48x48.png %buildroot%_liconsdir/TeXworks.png
install -m 644 -D %SOURCE2 %buildroot/%_docdir/%name

%files
%_bindir/%name
%_desktopdir/%name.desktop
%_miconsdir/*
%_niconsdir/*
%_liconsdir/*
%_iconsdir/hicolor/64x64
%_iconsdir/hicolor/128x128
%_iconsdir/hicolor/512x512
%_datadir/metainfo
%_man1dir/*
%_docdir/%name
%exclude %_docdir/%name/TeXworks-manual-en.pdf

%files doc
%_docdir/%name/TeXworks-manual-en.pdf

%changelog
