Name: tig
Version: 2.5.4
Release: alt1

Summary: text-mode interface for git
License: GPLv2+
Group: Development/Other

URL: http://jonas.nitro.dk/tig/
Source: tig-%version.tar
Patch: tig-%version-%release.patch

Requires: git-core

# Automatically added by buildreq on Sat Nov 23 2019
BuildRequires: asciidoc libncursesw-devel libreadline-devel xmlto

%description
Tig is a git repository browser that additionally can act as a pager
for output from various git commands.

When browsing repositories, it uses the underlying git commands to
present the user with various views, such as summarized revision log
and showing the commit with the log message, diffstat, and the diff.

Using it as a pager, it will display input from stdin and colorize it.

%prep
%setup -q
%patch -p1

%build
autoreconf
%configure
make V=1 src/tig doc-man

%install
install -pD -m755 src/tig %buildroot%_bindir/tig
install -pD -m644 doc/tig.1 %buildroot%_man1dir/tig.1
install -pD -m644 doc/tigrc.5 %buildroot%_man5dir/tigrc.5
install -pD -m644 doc/tigmanual.7 %buildroot%_man7dir/tigmanual.7

%files
%doc NEWS.adoc README.adoc
%_bindir/tig
%_man1dir/tig.1*
%_man5dir/tigrc.5*
%_man7dir/tigmanual.7*

%changelog
