%define _unpackaged_files_terminate_build 1
%define IF_ver_gteq() %if "%(rpmvercmp '%1' '%2')" >= "0"
%{expand: %(sed 's,^%%,%%global ,' /usr/lib/rpm/macros.d/ubt)}
%define ubt_id %__ubt_branch_id

%IF_ver_gteq %ubt_id M110
%def_disable use_xvt
%else
%def_enable use_xvt
%endif

Name: timeshift
Version: 23.06.2
Summary: System restore tool for Linux
Release: alt3
License: GPLv3
Group: Archiving/Backup
URL: https://github.com/linuxmint/timeshift
Source: %name-%version.tar
Source1: firsttime-snapshot.sh
Patch1: alt-use-xvt.patch
Patch2: alt-fix-41711.patch
Patch3: alt-fix-41055.patch

BuildRequires(pre): rpm-build-ubt
BuildRequires(pre): rpm-macros-meson
BuildRequires: cmake
BuildRequires: meson
BuildRequires: vala
BuildRequires: libgee0.8-devel
BuildRequires: libjson-glib-devel
BuildRequires: libvte3-devel
BuildRequires: libxapps-devel
BuildRequires: help2man
Requires: rsync

%description
System restore tool for Linux. Creates filesystem snapshots using
rsync+hardlinks, or BTRFS snapshots. Supports scheduled snapshots, multiple back
up levels, and exclude filters. Snapshots can be restored while system is
running or from Live CD/USB.

%prep
%setup
%if_enabled use_xvt
%patch1 -p1
%endif
%patch2 -p1
%patch3 -p1

%build
%meson
%meson_build

%install
%meson_install
#firsttime script, start with zz, as it should be executed as late as possible
install -m755 -pD %SOURCE1 %buildroot%_sysconfdir/firsttime.d/zz-firsttime-snapshot.sh
%find_lang %name

%files -f %name.lang
%_bindir/%name
%_bindir/%name-gtk
%_bindir/%name-launcher
%_datadir/%name/images/*
%_sysconfdir/%name/default.json
%_desktopdir/%name-gtk.desktop
%_iconsdir/hicolor/*/apps/%name.png
%_datadir/metainfo/%name.appdata.xml
%_pixmapsdir/%name.png
%_datadir/polkit-1/actions/in.teejeetech.pkexec.timeshift.policy
%_sysconfdir/firsttime.d/zz-firsttime-snapshot.sh
%_man1dir/%name-gtk.1.xz
%_man1dir/%name.1.xz
%doc README.md

%changelog
