Name: tla
Version: 1.3.5
Release: alt1.1.qa2
#define subver -fix-1
%define subver %nil

Summary: GNU Arch -- revision control system
License: GPL
Group: Development/Other
Url: http://gnuarch.org/
Packager: Alexey Voinov <voins@altlinux.ru>

# ftp://ftp.gnu.org/pub/gnu/gnu-arch/tla-%version%subver.tar.gz
Source: tla-%version%subver.tar
Source1: tla.1
Source2: tla-gpg-check.1

Patch0: tla-1.3.5-neon.patch
Patch1: tla-1.3.5-neon-327111.patch

Requires: diffutils >= 2.8.1, patch, tar
BuildRequires: libneon-devel

%description
Gnu arch is a modern and remarkable revision control system.  It helps
programmers to coordinate and share their changes to a project's
source code.  It helps project managers to organize, track, and control
multi-branch development.  It supports both centralized and distributed
projects.

%package docs
Summary: GNU Arch documentation
Group: Development/Other
BuildArch: noarch

%description docs
GNU Arch documentation in HTML format.

%prep
%setup -q -n %name-%version%subver
%patch0 -p1
%patch1 -p1

# Remove unused code.
rm -rf src/{expat,libneon}

# Fix HTML docs.
find -type f -name \*.html -print0 |
	xargs -r0 grep -lZ '<!--[^>]*>' -- |
	xargs -r0 subst -p '/^[[:space:]]*<!--[^>]*>[[:space:]]*$/ d' --

cp -a /usr/share/gnu-config/config.guess src/build-tools/gnu/

%build
cd src
mkdir build
cd build
../configure --prefix=%_prefix 
make

%install
install -pD -m755 src/build/tla/tla/tla %buildroot%_bindir/tla
install -pm755 src/tla/=gpg-check.awk %buildroot%_bindir/tla-gpg-check

pushd src/docs-tla/
find -type f '(' -name '*.html' -or -name '*.css' ')' -exec \
	install -pD -m644 '{}' %buildroot%_docdir/%name-%version/'{}' ';'
popd

mkdir -p %buildroot%_man1dir
install -pm644 %_sourcedir/tla{,-gpg-check}.1 %buildroot%_man1dir/

%files
%_bindir/*
%_man1dir/*

%files docs
%doc %_docdir/%name-%version/

%changelog
