Name: tora
Version: 3.2
Release: alt8.gitf31e755f
Summary: TOra is an open-source multi-platform database management GUI
License: GPL
Group: Databases
Url: https://github.com/tora-tool/tora/wiki

ExclusiveArch: %ix86 x86_64

# https://github.com/tora-tool/tora.git
Source: %name-%version.tar
Source2: %name.png

BuildRequires(pre): rpm-macros-cmake
BuildRequires: cmake gcc-c++ postgresql-devel boost-devel libferrisloki-devel
BuildRequires: qt5-base-devel qt5-tools-devel libqscintilla2-qt5-devel

%description
TOra is a Toolkit for Oracle which aims to help the DBA or
developer of database applications. Features PL/SQL debugger,
SQL worksheet with syntax highlighting, DB browser and a full
set of DBA tools. TOra also includes support for MySQL and Postgres.

%prep
%setup

%build
%cmake_insource \
	-DWANT_INTERNAL_QSCINTILLA=OFF \
	-DWANT_INTERNAL_LOKI=OFF \
	-DENABLE_ORACLE=0 \
	-DLOKI_LIBRARY="$(pkg-config --variable=libdir ferrisloki)/libferrisloki.so" \
	-DLOKI_INCLUDE_DIR="$(pkg-config --variable=includedir ferrisloki)/FerrisLoki"

%make_build

%install
%makeinstall_std
mkdir -p %buildroot/{%_liconsdir,%_desktopdir}

install -pm 644 %SOURCE2 %buildroot%_liconsdir/%name.png
install -pm 644 src/tora.desktop %buildroot%_desktopdir/%name.desktop

%files
%doc AUTHORS ChangeLog COPYING* copyright.txt ISSUES README README.md 
%_bindir/*
%_datadir/%name-%version
%_liconsdir/*
%_desktopdir/*

%changelog
