Name: trustme
Version: 0.7
Release: alt7

Summary: Encrypted notepad
License: %gpl2only
BuildArch: noarch

Group: Editors

Source: %{name}_%version.tar.gz
Patch1: trustme-commit-on-lock.patch
Patch2: trustme-multiple-db.patch


BuildRequires(pre): rpm-build-licenses rpm-build-python
BuildRequires: libgcrypt python-module-pygtk python-modules-encodings python-module-gcrypt

BuildRequires: desktop-file-utils

%description
Encrypted notepad, also used on Maemo

%prep
%setup -q -n %{name}_%version
%patch1 -p2
%patch2 -p2

sed -i '1 c#!/usr/bin/env python' ./trustme.py ./mktest.py ./Crypto/Cipher/tests.py ./TrustMe/DataStore.py
sed -i '/compileall/ d' makefile

# fix python shebangs
find . -type f -print0 |
    xargs -r0 grep -lZ '^#![[:space:]]*%_bindir/.*python$' -- |
    xargs -r0 sed -E -i '1 s@^(#![[:space:]]*)%_bindir/(env[[:space:]]+)?python$@\1%__python@' --

%build
make build

%install
make DESTDIR=%buildroot install
install %name.desktop %buildroot%_desktopdir/
desktop-file-install --dir %buildroot%_desktopdir \
	--add-category=Utility \
	--add-category=TextEditor \
	%buildroot%_desktopdir/trustme.desktop

%files
%_bindir/%name
%_datadir/%name
%_desktopdir/%name.desktop
%_iconsdir/hicolor/scalable/apps/%name.png

%changelog
