Name: tuxracer
Version: 0.61
Release: alt13.qa4

Packager: Victor Forsyuk <force@altlinux.org>

Summary: Tux Racer
License: GPL-2.0+
# Games/Sports was Mandriva choice... well, this is "racing" game, so may share
# rpm group with racing simulators. Other logical choice - Arcade (as in desktop
# menu grouping). Ok, rpm grouping is not so important ;)
Group: Games/Sports

URL: http://tuxracer.sourceforge.net/
Source0: http://downloads.sourceforge.net/tuxracer/tuxracer-%version.tar.gz
Source1: http://downloads.sourceforge.net/tuxracer/tuxracer-data-%version.tar.gz
Source2: tuxracer-16.xpm
Source3: tuxracer-32.xpm
Source4: tuxracer-48.xpm
Source5: tuxracer.desktop
Source10: http://www.brcha.iz.rs/data/projects/RoadsOfSerbia/RoadsOfSerbia.tar.bz2
Patch3: tuxracer-0.61-gcc33.patch
Patch4: tuxracer-alt-use-newer-autoconf.patch

BuildRequires: gcc-c++ imake libGL-devel libSDL-devel libSDL_mixer-devel libXext-devel libXi-devel libXmu-devel tcl-devel xorg-cf-files

Requires: %name-gamedata

%description
Tux Racer is a simple OpenGL-based racing game featuring Tux. The object of the
game is to slide down a snow- and ice-covered mountain as quickly as possible,
avoiding the trees and rocks that will slow you down.

%package gamedata
Summary: Tux Racer game data
License: GPLv2+
Group: Games/Sports
BuildArch: noarch

%description gamedata
Data files for Tux Racer racing game.

%prep
%setup -a 1 -a 10
%patch3 -p1
%patch4 -p2

# Fix CFLAGS
%define _optlevel 3
%add_optflags %optflags_kernel %optflags_notraceback %optflags_fastmath

# cosmetic: eliminate gcc warnings
subst 's/malign/falign/g' configure.in

%build
mv configure.in configure.ac
%autoreconf

export CPPFLAGS="-DGLX_GLXEXT_LEGACY"
%configure \
	--datadir=%_gamesdatadir/tuxracer \
	--bindir=%_gamesbindir \
	--with-data-dir=%_gamesdatadir/tuxracer \
	--with-tcl-libs=%_tcllibdir
%make_build

%install
%makeinstall datadir=%buildroot%_gamesdatadir/tuxracer bindir=%buildroot%_gamesbindir

mkdir -p %buildroot%_gamesdatadir/tuxracer
cp -a tuxracer-data-%version/* %buildroot%_gamesdatadir/tuxracer
chmod -R a+rX %buildroot%_gamesdatadir
cp -a Roads\ Of\ Serbia/ %buildroot%_gamesdatadir/tuxracer/courses/contrib/roads_of_serbia

install -pD -m644 %SOURCE2 %buildroot%_miconsdir/tuxracer.xpm
install -pD -m644 %SOURCE3 %buildroot%_niconsdir/tuxracer.xpm
install -pD -m644 %SOURCE4 %buildroot%_liconsdir/tuxracer.xpm
install -pD -m644 %SOURCE5 %buildroot%_desktopdir/tuxracer.desktop

%files
%_gamesbindir/tuxracer
%_desktopdir/*
%_niconsdir/*
%_liconsdir/*
%_miconsdir/*

%files gamedata
%_gamesdatadir/tuxracer/

%changelog
