Name: u-boot-tools
Version: 2023.07
Release: alt1

Summary: Das U-Boot
License: GPLv2+
Group: System/Kernel and hardware

ExclusiveArch: armh aarch64 mipsel riscv64 %ix86 x86_64

Provides: uboot-tools = %version-%release
Obsoletes: uboot-tools

Source: %name-%version-%release.tar

BuildRequires: dtc flex libgnutls-devel libssl-devel libtinfo-devel libuuid-devel
BuildRequires: python3(setuptools)
BuildRequires: python3(libfdt)

%description
boot loader for embedded boards based on PowerPC, ARM, MIPS and several
other processors, which can be installed in a boot ROM and used to
initialize and test the hardware or to download and run application code.
This package contains U-Boot tools.

%prep
%setup

%build
%make_build DTC=%_bindir/dtc NO_SDL=1 tools-only_defconfig tools-all

%install
mkdir -p %buildroot%_bindir
install -pm0644 -D tools/env/fw_env.config %buildroot%_sysconfdir/fw_env.config
install -pm0755 tools/{dumpimage,fdtgrep,gen_eth_addr,kwboot,mkimage,mkenvimage,env/fw_printenv} %buildroot%_bindir/
ln -s fw_printenv %buildroot%_bindir/fw_setenv

%files
%config(noreplace) %_sysconfdir/fw_env.config
%_bindir/*

%changelog
