Name:		uchardet
Version:	0.0.5
Release:	alt1.1

Summary:	Universal charset detection

Group:		Development/Tools
License:	MPLv1.1
Url:		https://github.com/BYVoid/uchardet

# Source-url: https://github.com/BYVoid/uchardet/archive/v%version.tar.gz
Source:	%name-%version.tar

Requires:	lib%name = %EVR

# Automatically added by buildreq on Tue Oct 15 2013 (-bi)
# optimized out: cmake-modules elfutils libstdc++-devel pkg-config
BuildRequires: cmake gcc-c++

%description
uchardet is a C language binding of the original C++ implementation of the
universal charset detection library by Mozilla. uchardet is an encoding
detector library, which takes a sequence of bytes in an unknown character
encoding without any additional information, and attempts to determine the
encoding of the text.

%package -n lib%name
Summary: %name shared library
Group: System/Libraries

%description -n lib%name
This package contains shared library required by %name

%package -n lib%name-devel
Summary: Development files for uchardet
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
Header files and Libraries for the package uchardet.

%package -n lib%name-devel-static
Summary: Static library for uchardet
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
Static library to build statically linked applications that lib%name

%prep
%setup

%build
%cmake_insource -DCMAKE_BUILD_TYPE=Release \
                -DCMAKE_INSTALL_LIBDIR=%_libdir
%make_build

%install
%makeinstall_std

%files
%doc COPYING AUTHORS
%_bindir/%name
%_mandir/man1/%name.1.*

%files -n lib%name
%_libdir/lib%name.so.*

%files -n lib%name-devel
%_includedir/%name
%_libdir/lib%name.so
%_libdir/pkgconfig/%name.pc

%files -n lib%name-devel-static
%_libdir/lib%name.a

%changelog
