Name: ucl
Version: 1.03
Release: alt4
Packager: Fr. Br. George <george@altlinux.ru>
Summary: The UCL Compression Library
License: GPL
Group: System/Libraries
Url: http://www.oberhumer.com/opensource/ucl

Source: %url/download/%name-%version.tar.bz2

BuildPreReq: gcc-c++

%description
UCL implements a number of algorithms with the following features:
- Decompression is simple and *very* fast.
- Requires no memory for decompression.
- The decompressors can be squeezed into less than 200 bytes of code.
- Focuses on compression levels for generating pre-compressed data which
  achieve a quite competitive compression ratio.
- Allows you to dial up extra compression at a speed cost in the compressor.
  The speed of the decompressor is not reduced.
- Algorithm is thread safe.
- Algorithm is lossless.
UCL supports in-place decompression.

%package -n lib%name
Summary: The UCL Compression Library
Group: System/Libraries

%description -n lib%name
UCL implements a number of algorithms with the following features:
- Decompression is simple and *very* fast.
- Requires no memory for decompression.
- The decompressors can be squeezed into less than 200 bytes of code.
- Focuses on compression levels for generating pre-compressed data which
  achieve a quite competitive compression ratio.
- Allows you to dial up extra compression at a speed cost in the compressor.
  The speed of the decompressor is not reduced.
- Algorithm is thread safe.
- Algorithm is lossless.
UCL supports in-place decompression.

%package -n lib%name-devel
Summary: The UCL Compression Library - development environment
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
UCL implements a number of algorithms with the following features:
- Decompression is simple and *very* fast.
- Requires no memory for decompression.
- The decompressors can be squeezed into less than 200 bytes of code.
- Focuses on compression levels for generating pre-compressed data which
  achieve a quite competitive compression ratio.
- Allows you to dial up extra compression at a speed cost in the compressor.
  The speed of the decompressor is not reduced.
- Algorithm is thread safe.
- Algorithm is lossless.
UCL supports in-place decompression.

This package contains the %name development library and header files.

%prep
%setup

%build
%add_optflags "-std=c90"
%configure --enable-shared --disable-static
%make_build

%install
%makeinstall

%files -n lib%name
%doc AUTHORS NEWS README THANKS TODO upx/00README.UPX
%_libdir/*.so.*

%files -n lib%name-devel
%_libdir/*.so
%_includedir/*

%changelog
