Epoch: 0
Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires: unzip zip
# END SourceDeps(oneline)
BuildRequires: /proc rpm-build-java
BuildRequires: jpackage-11-compat
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		uddi4j
Version:	2.0.5
Release:	alt2_24jpp11
Summary:	Universal Description, Discovery and Integration registry API for Java
License:	IBM
URL:		http://sourceforge.net/projects/uddi4j/

Source0:	http://downloads.sf.net/project/uddi4j/uddi4j/%{version}/uddi4j-src-%{version}.zip
Source1:	%{name}-MANIFEST.MF

# A couple of utf8 incompatible chars prevent compile
Patch0:		uddi4j-remove-nonutf8-chars.patch

BuildArch:	noarch

BuildRequires:	ant
BuildRequires:	javapackages-local
Source44: import.info

%description
UDDI4J is a Java class library that provides an API to interact with a 
UDDI (Universal Description, Discovery and Integration) registry.

%package javadoc
Group: Development/Java
Summary:	Javadocs for %{name}
BuildArch: noarch

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}
%patch0 -p1

find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

# Disable java 8 doclinting
sed -i -e '/<javadoc/aadditionalparam="-Xdoclint:none"' build.xml

%build
ant -Dant.build.javac.source=1.8 -Dant.build.javac.target=1.8  -Djavac.executable=javac compile javadocs

%install
# inject OSGi manifests
mkdir -p META-INF
cp -p %{SOURCE1} META-INF/MANIFEST.MF
touch META-INF/MANIFEST.MF
zip -u build/lib/%{name}.jar META-INF/MANIFEST.MF

%mvn_artifact "org.uddi4j:uddi4j:%{version}" build/lib/uddi4j.jar
%mvn_file ":uddi4j" uddi4j
%mvn_install -J build/javadocs

%files -f .mfiles
%doc --no-dereference LICENSE.html
%doc ReleaseNotes.html

%files javadoc -f .mfiles-javadoc
%doc --no-dereference LICENSE.html

%changelog
