Name: unfs3
Version: 0.9.22
Release: alt6

Summary: UNFS3 user-space NFSv3 server
License: BSD-3-Clause
Group: System/Servers

Url: http://unfs3.sourceforge.net
Source0: %name-%version.tar.gz
Source1: unfs3.init
Source2: unfs3.monit
Source100: unfs3.watch

# https://abf.io/import/unfs3/raw/rosa2019.1/unfs3-0.9.22-tirpc.patch
Patch: unfs3-0.9.22-tirpc.patch

Packager: Michael Shigorin <mike@altlinux.org>

# Automatically added by buildreq on Tue Dec 04 2007
BuildRequires: flex libtirpc-devel

Requires: monit-base
Conflicts: nfs-server nfs-server-userland

%description
UNFS3 is a user-space implementation of the NFS
(Network File System) version 3 server specification.

This implementation has specific support for clustering
and removable media.

%prep
%setup
%patch -p1

%build
%add_optflags `pkg-config --cflags libtirpc`
%add_optflags -fcommon
%configure --enable-cluster
%make

%install
%makeinstall
install -pDm755 %SOURCE1 %buildroot%_initdir/nfs
install -pDm644 %SOURCE2 %buildroot%_sysconfdir/monitrc.d/%name.auto

%files
%doc CREDITS README README.nfsroot LICENSE NEWS contrib doc
%_sbindir/unfsd
%_man7dir/*
%_man8dir/*
%_initdir/*
%_sysconfdir/monitrc.d/%name.auto

%post
%post_service nfs

%preun
%preun_service nfs

%changelog
