Group: Games/Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install perl(English.pm) zlib-devel
# END SourceDeps(oneline)
BuildRequires: boost-python-devel
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           vegastrike
Version:        0.5.1
Release:        alt10_35.r1
Summary:        3D OpenGL spaceflight simulator
License:        GPLv2+
URL:            http://vegastrike.sourceforge.net/
#Source0:        http://downloads.sourceforge.net/%{name}/%{name}-src-%{version}.tar.bz2
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-src-%{version}.r1.tar.bz2
# Found in the mandriva srpm, origin Debian ?
Source1:        %{name}-manpages.tar.bz2
Source2:        %{name}-wrapper.sh
Source3:        %{name}.desktop
Source4:        %{name}.appdata.xml
Patch0:         vegastrike-0.5.1-char-fix.patch
Patch1:         vegastrike-0.5.1-paths-fix.patch
Patch2:         vegastrike-0.4.2-posh-fix.patch
Patch3:         vegastrike-0.4.2-vssetup-fix.patch
Patch4:         vegastrike-0.4.3-64-bit.patch
Patch5:         vegastrike-0.5.1-openal.patch
Patch6:         vegastrike-0.5.1-sys-python.patch
Patch8:         vegastrike-0.5.1-gcc44.patch
Patch9:         vegastrike-0.5.0-glext.patch
Patch14:        vegastrike-0.5.1-gcc47.patch
Patch15:        vegastrike-0.5.1-music.patch
Patch16:        vegastrike-0.5.1-gcc48.patch
Patch17:        vegastrike-0.5.1-boost154.patch
Patch18:        vegastrike-aarch64.patch
Patch19:        vegastrike-0.5.1-gcc6.patch
# https://sourceforge.net/p/vegastrike/patches/70/
Patch20:        vegastrike-0.5.1-gcc7.patch
BuildRequires:  gcc-c++
BuildRequires:  libGLU-devel libfreeglut-devel libXi-devel libXmu-devel libgtk+2-devel
BuildRequires:  libjpeg-devel libpng-devel boost-complete libexpat-devel python-devel
BuildRequires:  boost-python-devel
BuildRequires:  libSDL_mixer-devel libopenal-devel libalut-devel
BuildRequires:  libvorbis-devel libogre-devel cegui-devel desktop-file-utils
BuildRequires:  libappstream-glib
Requires:       %{name}-data = %{version}, xdg-utils, opengl-games-utils
Source44: import.info
Patch33: vegastrike-0.5.1-alt-SharedPool.patch
Patch34: vegastrike-0.5.1.r1-alt-perl522.patch
Patch35: vegastrike-0.5.1-alt-flags.patch
Patch36: vegastrike-0.5.1-alt-e2k.patch

%description
Vega Strike is a GPL 3D OpenGL Action RPG space sim that allows a player to
trade and bounty hunt. You start in an old beat up Wayfarer cargo ship, with
endless possibility before you and just enough cash to scrape together a life.
Yet danger lurks in the space beyond.


%prep
%setup -q -a 1 -n %{name}-src-%{version}.r1
%patch0 -p0
%patch1 -p0
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p0
%patch6 -p0
%patch8 -p0
%patch9 -p1
%patch14 -p1
%patch15 -p3
%patch16 -p0
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
iconv -f ISO-8859-1 -t UTF-8 README > README.tmp
touch -r README README.tmp
mv README.tmp README
sed -i 's/-lboost_python/-lboost_python27/g' Makefile.am
# we want to use the system version of expat.h
rm objconv/mesher/expat.h
%patch33 -p2
%patch34 -p1
%patch35 -p2
%ifarch %e2k
%patch36 -p1
%endif


%build
export LDFLAGS="$LDFLAGS -Wl,--no-as-needed"
export CXXFLAGS="$RPM_OPT_FLAGS -fsigned-char"
%autoreconf
%configure --with-data-dir=%{_datadir}/%{name} --with-boost=system \
  --enable-release --enable-flags="-DBOOST_PYTHON_NO_PY_SIGNATURES $RPM_OPT_FLAGS -fsigned-char" --disable-ffmpeg \
  --enable-stencil-buffer
%make_build


%install
#make install PREFIX=$RPM_BUILD_ROOT doesn't work
%makeinstall
install -p -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}

mkdir -p $RPM_BUILD_ROOT%{_libexecdir}/%{name}
chmod +x $RPM_BUILD_ROOT%{_prefix}/objconv/*
mv $RPM_BUILD_ROOT%{_prefix}/objconv/* \
  $RPM_BUILD_ROOT%{_libexecdir}/%{name}
for i in asteroidgen base_maker mesh_xml mesher replace tempgen trisort \
         vsrextract vsrmake; do
  mv $RPM_BUILD_ROOT%{_bindir}/$i $RPM_BUILD_ROOT%{_libexecdir}/%{name}
done

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man6
install -p -m 644 *.6 $RPM_BUILD_ROOT%{_mandir}/man6

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --dir $RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE3}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
install -p -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_datadir}/appdata
appstream-util validate-relax --nonet \
  $RPM_BUILD_ROOT%{_datadir}/appdata/%{name}.appdata.xml


%files
%doc AUTHORS DOCUMENTATION README ToDo.txt
%doc --no-dereference COPYING
%{_bindir}/vega*
%{_bindir}/vs*
%{_libexecdir}/%{name}
%{_mandir}/man6/*
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop


%changelog
