Name: vidalia
Version: 0.3.1
Release: alt1.1
Summary: GUI controller for the Tor Onion Routing Network
Group: Networking/Other
License: GPLv2+
Url: https://www.torproject.org/vidalia/

Packager: Ilya Mashkin <oddity@altlinux.ru>
Source: https://www.torproject.org/%name/dist/%name-%version.tar
Source1: %name.desktop
Patch0:         vidalia-0.3.1-fix-paths.patch
Patch1:         vidalia-0.3.1-gcc-4.7.patch
Patch2:         vidalia-0.3.1-TorSettings.h.patch
%set_gcc_version 5

BuildRequires(pre): rpm-macros-qt4

# Automatically added by buildreq on Mon Sep 27 2010 (-bb)
BuildRequires: cmake desktop-file-utils gcc5-c++ qt4-designer doxygen qt4-devel

Requires: tor
Requires: icon-theme-hicolor

%description
Vidalia is a cross-platform controller GUI for Tor, built using the Qt
framework. Vidalia allows you to start and stop Tor, view the status of
Tor at a glance, and monitor Tor's bandwidth usage. Vidalia also makes
it easy to contribute to the Tor network by helping you setup a Tor
server, if you wish.

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build

export PATH=%_qt4dir/bin:$PATH
# fix DSOLinking
%__subst '/torcontrol/a \ \ z' src/vidalia/CMakeLists.txt
%cmake

%cmake_build

%install
%cmake_install

install -Dpm0644 doc/%name.1 \
	%buildroot%_man1dir/%name.1

desktop-file-install --dir %buildroot%_desktopdir %SOURCE1

chmod -x contrib/*

%files
%doc CHANGELOG CREDITS LICENSE* README
%doc contrib
%_bindir/%name
%_man1dir/%{name}*
%_desktopdir/%name.desktop
%_iconsdir/hicolor/*/apps/%name.png

%changelog
