Name: weechat
Version: 3.0
Release: alt1

Summary: fast, light & extensible IRC client
License: GPL-3.0
Group: Networking/IRC

URL: http://www.weechat.org/
Source: %name-%version.tar
Patch0: weechat-alt-python.patch

Packager: Alexey Gladkov <legion@altlinux.ru>

# Automatically added by buildreq on Thu Oct 20 2011
BuildRequires: asciidoc asciidoc-a2x
BuildRequires: libaspell-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgnutls-devel
BuildRequires: lua-devel
BuildRequires: libcurl-devel
BuildRequires: zlib-devel
BuildRequires: libncursesw-devel
BuildRequires: perl-devel
BuildRequires: python3-devel
BuildRequires: tcl-devel

Obsoletes: weechat-plugin-ruby <= 2.6-alt1

%description
WeeChat is a fast, light and extensible chat client. It runs on many
platforms (including Linux, BSD and Mac OS).
WeeChat is:
- modular: a lightweight core with plugins around
- multi-protocols: IRC and Jabber (other soon)
- extensible: C plugins and scripts (Perl, Python, Ruby, Lua and Tcl)
- free software: released under GPLv3 license
- fully documented: user's guide, API, FAQ,.. translated in many languages
Development is very active, and bug fixes are very fast!

%package plugin-aspell
Summary: Aspell plugin for weechat
Group: Networking/IRC
Requires: %name = %version-%release

%description plugin-aspell
This package contains aspell plugin for weechat.

%package plugin-lua
Summary: Lua plugin for weechat
Group: Networking/IRC
Requires: %name = %version-%release

%description plugin-lua
This package contains lua plugin for weechat.

%package plugin-perl
Summary: Perl plugin for weechat
Group: Networking/IRC
Requires: %name = %version-%release

%description plugin-perl
This package contains perl plugin for weechat.

%package plugin-python
Summary: Python plugin for weechat
Group: Networking/IRC
Requires: %name = %version-%release

%description plugin-python
This package contains python plugin for weechat.

%package plugin-tcl
Summary: Tcl plugin for weechat
Group: Networking/IRC
Requires: %name = %version-%release

%description plugin-tcl
This package contains tcl plugin for weechat.

%prep
%setup
#patch0 -p2

# build plugins as plugins, not libs
find ./src/plugins -name "Makefile*" -print0 | xargs -r0 subst 's,\(\-module\),\1 -avoid-version,' --

%build
./autogen.sh

%configure \
	--enable-threads \
	--enable-exec \
	--enable-buflist \
	--enable-perl \
	--disable-ruby \
	--enable-lua \
	--enable-python \
	--disable-python2 \
	--enable-gnutls \
	--enable-aspell \
	--enable-man \
	--enable-doc

%make_build

%install
%make_install DESTDIR=%buildroot install

rm -rf -- \
	%buildroot/%_includedir \
	%buildroot/%_pkgconfigdir \
#

find %buildroot -name '*.la' -delete
find %buildroot -name '*.a' -delete

%find_lang %name

%files -f %name.lang
%_bindir/*
%dir %_libdir/%name
%dir %_libdir/%name/plugins
%_iconsdir/hicolor/*/apps/%name.png
%_libdir/%name/plugins/alias.so
%_libdir/%name/plugins/buflist.so
%_libdir/%name/plugins/charset.so
%_libdir/%name/plugins/fifo.so
%_libdir/%name/plugins/fset.so
%_libdir/%name/plugins/exec.so
%_libdir/%name/plugins/script.so
%_libdir/%name/plugins/irc.so
%_libdir/%name/plugins/logger.so
%_libdir/%name/plugins/relay.so
%_libdir/%name/plugins/xfer.so
%_libdir/%name/plugins/trigger.so
#_mandir/man*/*
#_defaultdocdir/%name

%files plugin-aspell
%_libdir/%name/plugins/spell.so

%files plugin-lua
%_libdir/%name/plugins/lua.so

%files plugin-perl
%_libdir/%name/plugins/perl.so

%files plugin-python
%_libdir/%name/plugins/python.so

%files plugin-tcl
%_libdir/%name/plugins/tcl.so

%changelog
