Name: whois
Version: 5.5.10
Release: alt1

Summary: Intelligent WHOIS client
License: GPLv2+
Group: Networking/Other
Url: http://www.linux.it/~md/software

# git://git.altlinux.org/gears/w/whois.git
Source: %name-%version-%release.tar

BuildRequires: libcrypt-devel libidn2-devel perl-autodie

%description
This package provides a commandline client for the WHOIS (RFC 3912)
protocol, which queries online servers for information such as contact
details for domains and IP address assignments.

This version of the WHOIS client tries to guess the right server to ask
for the specified object.

%package -n mkpasswd
Summary: A front end to the password hashing function crypt(3)
Group: Text tools

%description -n mkpasswd
mkpasswd hashes the given password with the crypt(3) function
using the given salt.

%prep
%setup -n %name-%version-%release
gzip -9k debian/changelog

%build
%make_build \
	CFLAGS="%optflags $(getconf LFS_CFLAGS)" \
	CONFIG_FILE=/etc/whois.conf \
	HAVE_ICONV=1

%install
%make_install install BASEDIR=%buildroot
install -Dpm644 whois.conf %buildroot/etc/whois.conf

%define _unpackaged_files_terminate_build 1
%define _stripped_files_terminate_build 1
%set_verify_elf_method strict

%find_lang %name

%files -f %name.lang
%doc README debian/changelog.gz debian/copyright
%_bindir/whois
%_mandir/man?/whois.*
%config(noreplace) /etc/whois.conf

%files -n mkpasswd
%_bindir/mkpasswd
%_mandir/man?/mkpasswd.*

%changelog
