Epoch: 0
Group: Development/Java
BuildRequires: /proc rpm-build-java
BuildRequires: jpackage-1.8-compat
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:          xapool
Version:       1.5.0
Release:       alt4_15jpp8
Summary:       Open source XA JDBC Pool
License:       LGPLv2+
URL:           http://xapool.ow2.org/
# wget http://download.forge.objectweb.org/xapool/xapool-1.5.0-src.tgz
# tar -xf xapool-1.5.0-src.tgz
# find xapool-1.5.0-src -name "*.jar" -delete
# find xapool-1.5.0-src -name "*.class" -delete
# find xapool-1.5.0-src -name "*.java~" -delete
# rm -rf $(find xapool-1.5.0-src -name "CVS")
# tar czf xapool-1.5.0-src-clean.tar.gz xapool-1.5.0-src
Source0:       %{name}-%{version}-src-clean.tar.gz
Source1:       http://repo1.maven.org/maven2/com/experlog/%{name}/%{version}/%{name}-%{version}.pom
# disable p6spy howl-logger oracle classes12 support
Patch0:        %{name}-%{version}-build.patch
Patch1:        %{name}-%{version}-jdk7.patch

BuildRequires: ant
BuildRequires: apache-commons-logging
BuildRequires: geronimo-jta
BuildRequires: javapackages-local

BuildArch:     noarch
Source44: import.info

%description
XAPool is a software component which allows to:

 - Store objects with a Generic Pool
 - Export a DataSource (javax.sql.DataSource)
 - Export a XADataSource (javax.sql.XADataSource)

%package javadoc
Group: Development/Java
Summary:       Javadoc for %{name}
BuildArch: noarch

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}-src
find . -name "*.jar" -delete
find . -name "*.class" -delete
find . -name "*.java~" -delete

rm -rf $(find . -name "CVS")

%patch0 -p0
%patch1 -p1
sed -i "s|Class-Path: idb.jar classes12.jar jta-spec1_0_1.jar log4j.jar commons-logging.jar p6psy.jar||" archive/xapool.mf

ln -sf $(build-classpath commons-logging) externals/
ln -sf $(build-classpath geronimo-jta) externals/

rm -r src/org/enhydra/jdbc/instantdb \
  src/org/enhydra/jdbc/oracle

%mvn_file com.experlog:%{name} %{name}

%build

ant dist

%install
%mvn_artifact %{SOURCE1} output/dist/lib/%{name}.jar
%mvn_install -J output/dist/jdoc

%files -f .mfiles
%doc README.txt

%files javadoc -f .mfiles-javadoc

%changelog
