%def_disable bootstrap

Name: xfce4
Version: 4.18
Release: alt3
Summary: Set of Xfce4 Desktop installers.
License: GPLv2+
Group: Graphical desktop/XFce
URL: https://www.xfce.org
Packager: Xfce Team <xfce@packages.altlinux.org>


%description
A set of virtual packages for Xfce4 Desktop installation.

%package common
Summary: Common directories for Xfce4 Desktop Environment.
Group: Graphical desktop/XFce

%description common
This package contains common directories for Xfce4 Desktop
Environment.

%package minimal
Summary: Minimal installation of Xfce4 Desktop
Summary(ru_RU.UTF8): Минимальная установка Xfce4
Group: Graphical desktop/XFce
BuildArch: noarch
Requires: xfce4-panel
Requires: xfce4-session
Requires: xfce4-settings
Requires: xfconf-utils
Requires: xfdesktop
Requires: xfwm4

%description minimal
%name-minimal is a virtual package to provide minimal installation
of Xfce4 Desktop.

%description -l ru_RU.UTF8
%name-minimal устанавливает минимальный набор пакетов необходимых
для работы с окружением рабочего стола Xfce 4.

%package default
Summary: Default installation of Xfce4 Desktop
Group: Graphical desktop/XFce
BuildArch: noarch
Requires: %name-minimal = %version-%release
Requires: xfce4-power-manager
Requires: xfce4-appfinder
Requires: xfce4-notifyd
Requires: xfce4-taskmanager
Requires: xfce4-terminal
Requires: tumbler
Requires: thunar
Requires: thunar-volman-plugin
Requires: thunar-media-tags-plugin
Requires: thunar-archive-plugin
# Icon themes
Requires: icon-theme-adwaita
# It was proposed as default GTK theme for Xfce-4.14.
Requires: gtk2-theme-greybird
Requires: gtk3-theme-greybird
Requires: xfwm4-theme-greybird
Requires: xfce4-notifyd-theme-greybird
# for trash and network in Thunar
Requires: gvfs gvfs-backends

%description default
%name-default is a virtual package to provide default installation
of Xfce4 Desktop.

%define commonreqs \
Requires: xfwm4-themes \
Requires: xfce4-dict \
Requires: orage \
Requires: xfce4-screenshooter \
Requires: xarchiver \
Requires: ristretto \
Requires: mousepad \
Requires: parole \
Requires: catfish \
Requires: xfce4-panel-profiles \
# Panel plugins \
Requires: xfce4-battery-plugin \
Requires: xfce4-calculator-plugin \
Requires: xfce4-cpufreq-plugin \
Requires: xfce4-cpugraph-plugin \
Requires: xfce4-diskperf-plugin \
Requires: xfce4-docklike-plugin \
Requires: xfce4-eyes-plugin \
Requires: xfce4-fsguard-plugin \
Requires: xfce4-genmon-plugin \
Requires: xfce4-mailwatch-plugin \
Requires: xfce4-mount-plugin \
Requires: xfce4-netload-plugin \
Requires: xfce4-notes-plugin \
Requires: xfce4-notification-plugin \
Requires: xfce4-places-plugin \
Requires: xfce4-sensors-plugin \
Requires: xfce4-smartbookmark-plugin \
Requires: xfce4-stopwatch-plugin \
Requires: xfce4-systemload-plugin \
Requires: xfce4-time-out-plugin \
Requires: xfce4-timer-plugin \
Requires: xfce4-verve-plugin \
Requires: xfce4-weather-plugin \
Requires: xfce4-whiskermenu-plugin \
Requires: xfce4-xkb-plugin

%package full
Summary: Full installation of Xfce4 Desktop
Group: Graphical desktop/XFce
BuildArch: noarch
Requires: %name-default = %version-%release
Requires: xfce-polkit
#Requires: xfce4-screensaver
#Requires: desktop-screensaver-modules-xscreensaver
#Requires: desktop-screensaver-modules-xscreensaver-gl
%commonreqs
Requires: xfce4-clipman-plugin
Requires: xfce4-pulseaudio-plugin
# For xfce4-pulseaudio-plugin
Requires: pavucontrol

# No xfce4-mpc-plugin on aarch64
#Requires: xfce4-mpc-plugin

# Thunar plugins
# It requires additional configuration in /etc/samba/smb.conf.
#Requires: thunar-shares-plugin

%description full
%name-full is a virtual package to provide full installation
of Xfce4 Desktop.

%package regular
Summary: Virtual package for use in the regular-xfce distro
Group: Graphical desktop/XFce
BuildArch: noarch
Requires: %name-default = %version-%release
Requires: gnome-icon-theme
Requires: gnome-themes-extra
%commonreqs

%description regular
%summary

%install
mkdir -p %buildroot/%_datadir/xfce4
mkdir -p %buildroot/%_libdir/xfce4
mkdir -p %buildroot/%_sysconfdir/xdg/xfce4

%files common
%dir %_datadir/xfce4
%dir %_libdir/xfce4
%dir %_sysconfdir/xdg/xfce4

%if_disabled bootstrap
%files minimal
%files default
%files full
%files regular
%endif

%changelog
