Name: xfce4-xkb-plugin
Version: 0.8.3
Release: alt1

Summary: XKB layout switch plugin for the Xfce panel
Summary(ru_RU.UTF-8): Дополнение для панели Xfce для работы с раскладками клавиатуры
License: BSD-2-Clause
Group: Graphical desktop/XFce
Url: https://docs.xfce.org/panel-plugins/xfce4-xkb-plugin
Packager: Xfce Team <xfce@packages.altlinux.org>

Vcs: https://gitlab.xfce.org/panel-plugins/xfce4-xkb-plugin.git
Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildPreReq: rpm-build-xfce4 xfce4-dev-tools
BuildPreReq: libxfce4panel-gtk3-devel libxfce4ui-gtk3-devel libgarcon-devel
BuildRequires: librsvg-devel libwnck3-devel libxklavier-devel xorg-cf-files libnotify-devel

Requires: xfce4-panel

%define _unpackaged_files_terminate_build 1

%description
%name is the indicator and switcher of keyboard layout for XKB on the
XFce panel.

%description -l ru_RU.UTF-8
Данный пакет содержит в себе дополнение для панели Xfce позволяющее
работать с раскладками клавиатуры.
Возможности:
* выбор вариантов отображения текущей раскладки (флаг/буквенный вариант)
* гибкая настройка управления раскладкой (глобально, для каждого
  приложения или для каждого окна).


%prep
%setup
%patch -p1

%build
# Don't use git tag in version.
%xfce4_drop_gitvtag xkb_version_tag configure.ac.in
%xfce4reconf
%configure \
    --enable-debug=minimum
%make_build

%install
%makeinstall_std
%find_lang %name

%files -f %name.lang
%doc README.md AUTHORS COPYING NEWS
%_libdir/xfce4/panel/plugins/*.so
%dir %_datadir/xfce4/xkb
%dir %_datadir/xfce4/xkb/flags
%_datadir/xfce4/xkb/flags/*
%_datadir/xfce4/panel/plugins/*.desktop
%_iconsdir/hicolor/*/apps/*

%exclude %_libdir/xfce4/panel/plugins/*.la
# Seems glibc doesn't support uz@Latn
%exclude %_datadir/locale/uz@Latn/LC_MESSAGES/xfce4-xkb-plugin.mo

%changelog
