%define xf86 XFree86

Name: xfs
Version: 1.2.0
Release: alt1
Epoch: 1
Summary: X font server
License: MIT/X11
Group: System/X11
Url: http://xorg.freedesktop.org

Obsoletes: xtt %xf86-xfs xorg-x11-xfs
Provides: %xf86-xfs = 4.4 xorg-x11-xfs = %epoch:%version-%release
Conflicts: chkfontpath
Requires: xfsinfo fslsfonts
Requires: libXfont >= 1.3.0 fonts-bitmap-misc >= 7.0.0-alt2 setup >= 2.2.11-alt1
PreReq: shadow-utils

Source: %name-%version.tar.bz2

Source1: %name.config
Source2: %name.init
Source3: %name.sysconfig

# Automatically added by buildreq on Thu Mar 22 2018
# optimized out: glibc-kernheaders-generic glibc-kernheaders-x86 perl pkg-config python-base xorg-fontsproto-devel xorg-xproto-devel
BuildRequires: libXfont2-devel xorg-xtrans-devel

BuildRequires: xorg-fontsproto-devel xorg-xproto-devel xorg-font-utils xorg-util-macros

%description
Xfs is the X Window System font server.  It supplies fonts to X  Window
System display servers.

%prep
%setup

cp %SOURCE1 %SOURCE2 %SOURCE3 .

%build
%autoreconf
%configure \
	%{subst_enable ipv6}

%make_build

%install
%make DESTDIR=%buildroot install

install -pD -m644 %name.sysconfig %buildroot%_sysconfdir/sysconfig/%name
install -pD -m755 %name.init %buildroot%_initdir/%name
install -pD -m644 %name.config %buildroot%_sysconfdir/X11/fs/config

%pre
%_sbindir/groupadd -r -f xfs >/dev/null 2>&1 ||:
%_sbindir/useradd -r -g xfs -d /etc/X11/fs -s /dev/null -c "X Font Server" -n xfs >/dev/null 2>&1 ||:

%post
%post_service %name

%preun
%preun_service %name
%files
%dir %_sysconfdir/X11/fs
%config(noreplace) %_sysconfdir/X11/fs/config
%config(noreplace) %_sysconfdir/sysconfig/%name
%config %_initdir/%name
%_bindir/*
%_man1dir/*

%changelog
