Name: xinitrc
Version: 2.4.47
Release: alt2

Summary: The default startup scripts for the X Window System
License: GPL
Group: System/X11

Source: %name-%version.tar

Provides: %_sysconfdir/X11/xinit.d, %_sysconfdir/X11/wmsession.d, %_sysconfdir/X11/wms-methods.d
Provides: %_sysconfdir/X11/xsession.user.d
Requires: app-defaults >= 0:0.2, xvt
Conflicts: kde-settings < 3.1.0-alt3, kdebase < 3.0.2-alt5, kde-config < 1.0-alt5
Conflicts: initscripts < 1:5.49.1-alt1
Conflicts: systemd < 1:214-alt8

%description
The %name package contains system scripts used to start
X Window System session.

%prep
%setup

%build
%make_build -C po
make -C src rundm CFLAGS="%optflags"

%install
install -pD -m755 src/rundm %buildroot%_sbindir/rundm
mkdir -p %buildroot%_sysconfdir/X11/wmsession.d
mkdir -p %buildroot%_sysconfdir/X11/wms-methods.d
mkdir -p %buildroot%_sysconfdir/X11/xsession.user.d

cp -av install/* %buildroot/
%make_install install -C po
%find_lang xrootwarn

%post
if [ $1 -eq 1 ]; then
	/sbin/chkconfig --add dm
fi
if grep -qs '^x:5:' /etc/inittab; then
	/sbin/chkconfig --add dm
	sed -i 's/^x:5:/#x:5:/' /etc/inittab
fi

%preun
if [ $1 -eq 0 ]; then
	/sbin/chkconfig --del dm
fi

%triggerpostun -- initscripts < 1:5.49.1-alt1
/sbin/chkconfig --add dm

%triggerun -- xinitrc < 2.4.39
/sbin/chkconfig --del update_wms

%files -f xrootwarn.lang
%_sbindir/*
%_bindir/*
%_sysconfdir/X11/wmsession.d
%_sysconfdir/X11/wms-methods.d
%_sysconfdir/X11/xsession.user.d
%_rpmlibdir/*
%_initdir/*
%_unitdir/*
%config %_sysconfdir/X11/Xsession
%config %_sysconfdir/X11/prefdm
%config(noreplace) %_sysconfdir/sysconfig/*
%config(noreplace) %_sysconfdir/X11/xinit*
%config(noreplace) %_sysconfdir/X11/xdm/*

%changelog
