Name: xmedcon
Version: 0.21.1
Release: alt1
Summary: A medical image conversion utility and library
License: GPLv2 and LGPLv2.1
Group: Graphics

Url: http://xmedcon.sourceforge.net

Source0: %name-%version.tar
Source1: %name.desktop
Source2: %name.png

BuildRequires: gcc-c++ libgtk+3-devel libpng-devel

%description
This project stands for Medical Image Conversion and is released under the
GNU's (L)GPL license. It bundles the C sourcecode, a library, a flexible
command-line utility and a graphical front-end based on the amazing Gtk+
toolkit.

Its main purpose is image conversion while preserving valuable medical
study information. The currently supported formats are: Acr/Nema 2.0,
Analyze (SPM), Concorde/uPET, DICOM 3.0, CTI ECAT 6/7, InterFile 3.3
and PNG or Gif87a/89a towards desktop applications.

%package devel
Summary: Static libraries and header files for (X)MedCon development
Group: Development/C
Requires: xmedcon = %version-%release

%description devel

The xmedcon-devel package contains the header files and static libraries
necessary for developing programs that make use of the (X)MedCon library
(libmdc).

%prep
%setup -q

%build
%configure --disable-static
sed -ri 's/^(hardcode_libdir_flag_spec|runpath_var)=.*/\1=/' libtool
%make_build

%install
%makeinstall
install -pD -m744 %SOURCE1 %buildroot%_datadir/applications/%name.desktop
install -pD -m644 %SOURCE2 %buildroot%_liconsdir/%name.png

%files
%doc ChangeLog COPYING COPYING.LIB README REMARKS AUTHORS
%_bindir/*
%_libdir/*so.*
%_sysconfdir/*
%_man1dir/*
%_liconsdir/%name.png
%_datadir/applications/%name.desktop
%_datadir/appdata/%name.appdata.xml

%files devel
%doc README COPYING COPYING.LIB
%_man3dir/*
%_man4dir/*
%_includedir/*
%_libdir/*.so
%_datadir/aclocal/*

%changelog
