%def_with tex_subpkg

Name: xmlto
Version: 0.0.28
Release: alt2

Summary: A tool for converting XML files to various formats.
Group: Publishing
License: %gpl2plus
Url: https://fedorahosted.org/%name/

# VCS: http://svn.fedorahosted.org/svn/xmlto/
Source: https://fedorahosted.org/releases/x/m/%name/%name-%version.tar.gz

Requires: docbook-style-xsl >= 1.56
%{!?_with_tex_subpkg:Requires: passivetex >= 20040310}
Requires: docbook-dtds libpaper xml-utils xsltproc

BuildRequires(pre): rpm-build-licenses
BuildRequires: libpaper docbook-dtds docbook-style-xsl flex xsltproc

%description
This is a package for converting XML files to various formats using XSL
stylesheets.

%if_with tex_subpkg
%package tex
Group: Publishing
Summary: A set of %name backends with TeX requirements
BuildArch: noarch
Requires: passivetex
Requires: %name = %version-%release

%description tex
This subpackage contains %name backend scripts which do require
PassiveTeX/TeX for functionality.
%endif

%prep
%setup

%build
%autoreconf
%configure
%make_build
bzip2 --keep --best --force ChangeLog

%install
%makeinstall_std

%check
%make check

%files
%doc AUTHORS ChangeLog.* FAQ NEWS THANKS
%_bindir/*
%_man1dir/*
%_datadir/%name
%if_with tex_subpkg
%exclude %_datadir/%name/format/fo/dvi
%exclude %_datadir/%name/format/fo/ps
%exclude %_datadir/%name/format/fo/pdf

%files tex
%_datadir/%name/format/fo/dvi
%_datadir/%name/format/fo/ps
%_datadir/%name/format/fo/pdf
%endif


%changelog
