Name: xmount
Version: 0.7.6
Release: alt2.1
Summary: A on-the-fly convert for multiple hard disk image types

Group: Archiving/Other
License: GPLv3+
Url: https://www.pinguin.lu/index.php
Packager: Artyom Bystrov <arbars@altlinux.org>

Source: %name-%version.tar.gz
Patch0: xmount-suffix.patch
Patch1: xmount-cflags.patch

BuildRequires: gcc-c++
BuildRequires: libfuse-devel
BuildRequires: libewf-devel
BuildRequires: libaff-devel
BuildRequires: zlib-devel
BuildRequires: ctest cmake

%description
xmount allows you to convert on-the-fly between multiple input
and output hard disk image types. xmount creates a virtual file
system using FUSE (Filesystem in Userspace) that contains a virtual
representation of the input image. The virtual representation can
be in raw DD, VirtualBox's virtual disk file format or in VmWare's
VMDK file format. Input images can be raw DD, EWF (Expert Witness
Compression Format) or AFF (Advanced Forensic Format) files. In
addition, xmount also supports virtual write access to the output
files that is redirected to a cache file. This makes it possible
to boot acquired hard disk images using QEMU, KVM, VirtualBox,
VmWare, or alike.

%prep -n %name-%version
%setup
%patch0 -p1
%patch1 -p1

# Fix perm
chmod -x src/xmount.*

%build

%cmake \
    -DCMAKE_BUILD_TYPE=Release \
    -DCMAKE_SKIP_RPATH=ON \
    #

%cmake_build

%install
%cmake_install

%files
%doc AUTHORS ChangeLog NEWS README ROADMAP TODO COPYING
%_mandir/man*/%name.*
%_bindir/%name
%_libdir/xmount


%changelog
