Name:		xmrig
Version:	6.16.4
Release:	alt0.p10.1
Summary:	RandomX, CryptoNight, AstroBWT and Argon2 miner
Url:		https://github.com/xmrig/xmrig
Group:		Office
License:	GPLv3
Source0:	%name.tar.xz

Patch0:		%name-6.3.0-minimum_donate_0.diff
Patch1:		%name-5.10.0-Wno-class-memaccess_alt_rm.diff
Patch2:		%name-6.8.1-maes_armh.diff

BuildRequires:	cmake gcc-c++ libmicrohttpd-devel libssl-devel-static libstdc++-devel-static libuv-devel libkrb5-devel zlib-devel libcpuid-devel libhwloc-devel >= 2.5

ExcludeArch:	ppc64le armh

%description
XMRig is a high performance, open source, cross platform RandomX, KawPow, CryptoNight
and AstroBWT unified miner and RandomX benchmark: https://xmrig.com/benchmark

Originally based on cpuminer-multi with heavy optimizations/rewrites
and removing a lot of legacy code, since version 1.0.0 complete rewritten from scratch
on C++.

%prep
%setup -n %name
%patch0 -p1
%patch1 -p1

%ifarch armh
# To fix "unrecognized command-line option '-maes'" for armh
%patch2 -p1
%endif

%build
mkdir ./build && cd ./build
cmake		../. \
		-DCMAKE_BUILD_TYPE=Release \
		-DCMAKE_CXX_FLAGS:STRING="%optflags" \
		-DCMAKE_C_FLAGS:STRING="%optflags" \
		-DWITH_HWLOC=ON \
		-DWITH_EMBEDDED_CONFIG=ON
%make_build

%install
cd ./build
install -Dp -m 0755 ./%name %buildroot%_bindir/%name

%files
%doc LICENSE README.md CHANGELOG.md src/config.json
%_bindir/*

%changelog
