Summary: X11 environment recorder
Name: xnee
Version: 3.19
Release: alt3
Group: System/X11

License: GPLv3+
Url: http://www.gnu.org/software/xnee/
Source0: http://ftp.gnu.org/gnu/xnee/xnee-%version.tar.gz
Patch: xnee-3.19-alt-cnee-info.patch
Patch1: xnee-gcc10.patch

# Automatically added by buildreq on Thu Jan 28 2021
# optimized out: fontconfig fontconfig-devel ghostscript-classic glib2-devel glibc-kernheaders-generic glibc-kernheaders-x86 gnu-config libImageMagick6-common libX11-devel libX11-locales libXext-devel libXfixes-devel libXi-devel libatk-devel libcairo-devel libfreetype-devel libgdk-pixbuf libgdk-pixbuf-devel libgio-devel libgpg-error libharfbuzz-devel libpango-devel libsasl2-3 perl perl-Encode perl-Text-Unidecode perl-Unicode-EastAsianWidth perl-Unicode-Normalize perl-libintl perl-parent pkg-config python2-base sh4 tex-common texlive texlive-collection-basic texlive-dist xorg-proto-devel
BuildRequires: ImageMagick-tools dia fonts-ttf-dejavu ghostscript-common ghostscript-utils glibc-devel-static imake libICE-devel libXtst-devel libgtk+2-devel makeinfo texi2dvi texi2html xorg-cf-files

BuildRequires: xvfb-run xdpyinfo texlive-dist

%description
A suite of programs that can record, replay and distribute
user actions under the X11 environment. Think of it as a
robot that can imitate the job you just did.

%package libs
Summary: The shared libraries required for Xnee clients
Group: System/Libraries

%description libs
The xnee-lib package provides the essential shared libraries for any
Xnee client program or interface.

%package devel
Summary: Files needed for building applications with libxnee
Group: Development/C

%description devel
The xnee-devel package includes header files and libraries
necessary for developing programs which use the xnee-lib library.

%package -n cnee
Summary: Command-line interface of Xnee
Group: System/X11

%description -n cnee
Command-line interface of a suite of programs that can record,
replay and distribute user actions under the X11 environment. Think
of it as a robot that can imitate the job you just did.

%prep
%setup
%patch -p1
%patch1 -p1
cat > %name.desktop <<@@@
[Desktop Entry]
Name=Xnee
GenericName=X11 Recorder
Comment=Replay action under X11 environment
Exec=gnee
Icon=xnee
Terminal=false
Type=Application
Categories=Utility;
@@@

%build
%autoreconf
%configure --disable-gnome-applet      	\
	   --enable-man                	\
           --enable-doc                	\
           --enable-gui                	\
  	   --enable-xinput2		\
	   --enable-cli      		\
           --enable-lib                \
	   --disable-static \
	   --disable-static-programs
#           --enable-static=no          \
#           --enable-static-programs=no
%make_build LIBS="-lX11 -lXi -lXtst"

%install
%make DESTDIR=%buildroot install install-info install-html install-pdf
mkdir -p %buildroot%_includedir/libxnee
install -pm 644 libxnee/include/libxnee/*.h %buildroot%_includedir/libxnee/
install -D %name.desktop %buildroot%_desktopdir/%name.desktop

%check
xvfb-run make check

%files
%_bindir/gnee
%_datadir/pixmaps/xnee.png
%_datadir/pixmaps/xnee.xpm
%_datadir/applications/xnee.desktop
%_datadir/xnee/
%_mandir/man1/[^c]*
%_infodir/[^c]*

%files libs
%doc AUTHORS BUGS COPYING EXAMPLES FAQ NEWS TODO ChangeLog
%_libdir/libxnee.so.*
%_libdir/libtestcb.so.*

%files devel
%_libdir/libxnee.so
%_libdir/libtestcb.so
%_includedir/libxnee/

%files -n cnee
%_bindir/cnee
%_mandir/man1/cnee.1*
%_infodir/cnee*

%changelog
