Name: xorg-drv-ati
Version: 19.1.0
Release: alt2
Epoch: 4
Summary: ATI video driver
License: MIT/X11
Group: System/X11
Url: http://xorg.freedesktop.org
Packager: Valery Inozemtsev <shrek@altlinux.ru>

Requires: XORG_ABI_VIDEODRV = %get_xorg_abi_videodrv
Requires: xorg-drv-radeon
%ifnarch %e2k aarch64 armh
Requires: xorg-drv-r128 xorg-drv-mach64
%endif

Source0: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires(Pre): xorg-sdk
BuildRequires: libGL-devel libgbm-devel libXext-devel xorg-proto-devel libudev-devel

%description
ati  is an Xorg wrapper driver for ATI video cards.  It autodetects whether your hardware has a Radeon,
Rage 128, or Mach64 or earlier class of chipset, and loads the radeon(4), r128(4) driver as appropriate.

The  ati  driver  supports  Radeon, Rage 128, and Mach64 and earlier chipsets by loading those drivers.
See those manpages for specific cards supported.

%package -n xorg-drv-radeon
Summary: ATI RADEON video driver
Group: System/X11
Requires: XORG_ABI_VIDEODRV = %get_xorg_abi_videodrv
%ifnarch %e2k armh
Requires: xorg-dri-radeon
%endif

%description -n xorg-drv-radeon
radeon is an Xorg driver for ATI RADEON based video cards. It contains full support for 8, 15, 16 and 24 bit pixel
depths, dual-head setup, flat panel, hardware 2D acceleration, hardware 3D acceleration, hardware cursor, XV extension,
and the Xinerama extension.

%prep
%setup -q
%patch -p1

%build
%autoreconf
%configure \
	--with-xorg-module-dir=%_x11modulesdir \
	--disable-static

%make_build

%install
%make DESTDIR=%buildroot install

%files
%_x11modulesdir/drivers/ati_drv.so
%_man4dir/ati.4*

%files -n xorg-drv-radeon
%_x11modulesdir/drivers/radeon_drv.so
%_xorgsysconfigdir/*
%_man4dir/radeon.4*

%changelog
