%def_disable xvmc

Name: xorg-drv-intel
Version: 2.99.917
Release: alt1.20200421
Epoch: 8
Summary: Intel integrated graphics chipsets
License: MIT/X11
Group: System/X11
Url: http://xorg.freedesktop.org
Packager: Valery Inozemtsev <shrek@altlinux.ru>

Requires: XORG_ABI_VIDEODRV = %get_xorg_abi_videodrv
Requires: xorg-dri-intel

Source: %name-%version.tar
Patch: %name-%version-%release.patch

ExclusiveArch: %ix86 x86_64
BuildRequires(Pre): xorg-sdk
BuildRequires: libGL-devel libX11-devel libXext-devel libXvMC-devel libXcursor-devel libXdamage-devel libXinerama-devel
BuildRequires: libXrandr-devel libXtst-devel xorg-proto-devel libxshmfence-devel libXrender-devel libxcbutil-devel
BuildRequires: xorg-util-macros libXfixes-devel libudev-devel intel-gen4asm libXScrnSaver-devel libXcomposite-devel
BuildRequires: libXxf86vm-devel libXfont2-devel

%description
intel  is  an  Xorg  driver  for  Intel  integrated  graphics
chipsets.  The driver supports depths 8, 15, 16  and  24.   All  visual
types are supported in depth 8.  For the i810/i815 other depths support
the TrueColor and DirectColor visuals.  For the 830M  and  later,  only
the  TrueColor  visual  is  supported  for  depths greater than 8.  The
driver supports hardware accelerated 3D via the Direct Rendering Infra-
structure  (DRI),  but only in depth 16 for the i810/i815 and depths 16
and 24 for the 830M and later

%prep
%setup -q
%patch -p1

%build
%autoreconf
%configure \
	--libexecdir=%_prefix/libexec \
	--with-xorg-module-dir=%_x11modulesdir \
	--enable-kms-only \
	--with-default-dri=3 \
	%{subst_enable xvmc} \
	--disable-static

%make_build

%install
%make DESTDIR=%buildroot install

%files
%doc AUTHORS README NEWS
%_bindir/intel-virtual-output
%_x11modulesdir/drivers/*.so
%_prefix/libexec/xf86-video-intel-backlight-helper
%_datadir/polkit-1/actions/org.x.xf86-video-intel.backlight-helper.policy
%_man4dir/i*.4*
%if_enabled xvmc
%_libdir/*.so.*
%endif

%changelog
