Name: xorg-drv-mga
Version: 2.0.0
Release: alt1
Epoch: 1
Summary: Matrox video driver
License: MIT/X11
Group: System/X11
Url: http://xorg.freedesktop.org
Packager: Valery Inozemtsev <shrek@altlinux.ru>

Requires: XORG_ABI_VIDEODRV = %get_xorg_abi_videodrv

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires(Pre): xorg-sdk
BuildRequires: xorg-proto-devel

%description
mga is an Xorg driver for Matrox video cards.  The driver is
fully accelerated, and provides support for the  following  framebuffer
depths:  8, 15, 16, 24, and an 8+24 overlay mode.  All visual types are
supported for depth 8, and both TrueColor and DirectColor  visuals  are
supported  for the other depths except 8+24 mode which supports Pseudo-
Color, GrayScale and TrueColor.   Multi-card  configurations  are  sup-
ported.   XVideo  is  supported  on G200 and newer systems, with either
TexturedVideo or video overlay.  The second head of dual-head cards  is
supported  for  the G450 and G550.  Support for the second head on G400
cards requires a binary-only "mga_hal" module that  is  available  from
Matrox  <http://www.matrox.com>, and may be on the CD supplied with the
card.  That module also provides various other enhancements, and may be
necessary  to  use  the  DVI  (digital)  output  on the G550 (and other
cards).

%prep
%setup -q
%patch -p1

%build
%autoreconf
%configure \
	--with-xorg-module-dir="%_x11modulesdir" \
	--disable-dri \
	--disable-static

%make_build

%install
%make DESTDIR=%buildroot install

%files
%_x11modulesdir/drivers/*.so
%_man4dir/*

%changelog
