Name: xorg-drv-r128
Version: 6.10.2
Release: alt1
Epoch: 4
Summary: ATI Rage 128 video driver
License: MIT/X11
Group: System/X11
Url: http://xorg.freedesktop.org
Packager: Valery Inozemtsev <shrek@altlinux.ru>

Requires: XORG_ABI_VIDEODRV = %get_xorg_abi_videodrv

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires(pre): xorg-sdk
BuildRequires: libXext-devel xorg-proto-devel

%description
r128 is an Xorg driver for ATI Rage 128 based video cards. It contains full support for 8, 15, 16 and 24 bit pixel
depths, hardware acceleration of drawing primitives, hardware cursor, video modes up to 1800x1440@70Hz, doublescan
modes (e.g., 320x200 and 320x240), gamma correction at all pixel depths, a fully programming dot clock and robust text
mode restoration for VT switching. Dualhead is supported on M3/M4 mobile chips.

%prep
%setup -q
%patch -p1

%build
%autoreconf
%configure \
	--with-xorg-module-dir=%_x11modulesdir \
	--disable-dri \
	--disable-static

%make_build

%install
%make DESTDIR=%buildroot install

%files
%_x11modulesdir/drivers/r128_drv.so
%_man4dir/r128.4*

%changelog
