Name: xorg-xtrans-devel
Version: 1.4.0
Release: alt1

Summary: Abstract network code for X
License: MIT/X11
Group: Development/C
Url: http://xorg.freedesktop.org

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Provides: xtrans = %version-%release

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildArch: noarch
BuildRequires: xmlto xorg-sgml-doctools xorg-util-macros

%description
%name is a library of code that is shared among various X packages to
handle network protocol transport in a modular fashion, allowing a
single place to add new transport types.  It is used by the X server,
libX11, libICE, the X font server, and related components.

It is however, *NOT* a shared library, but code which each consumer
includes and builds it's own copy of with various #ifdef flags to make
each copy slightly different.  To support this in the modular build
system, this package simply installs the C source files into
%_includedir/X11/Xtrans and installs a pkg-config file and an
autoconf m4 macro file with the flags needed to use it.

%prep
%setup -q
%patch -p1

%build
%autoreconf
%configure \
	--host= \
	--build=

%install
%make DESTDIR=%buildroot install

%files
%dir %_docdir/xtrans
%_docdir/xtrans/*.html
%_includedir/X11
%_datadir/pkgconfig/*.pc
%_datadir/aclocal/*.m4

%changelog
