%def_without xmms
Name: xosd
Version: 2.2.14
Release: alt10

Summary: X On Screen Display, displays XMMS status information
License: GPLv2
Group: Sound
Url: http://sourceforge.net/projects/libxosd/
Packager: Evgenii Terechkov <evg@altlinux.ru>

Source: %name-%version.tar
Patch1: xosd-2.2.14-Do-not-install-some-manual-pages-twice.patch
Patch2: %name-2.2.14-alt-aclocal-quoting.patch

# Automatically added by buildreq on Thu Nov 08 2007 (-bi)
BuildRequires: gcc-c++ imake libXinerama-devel libXt-devel xorg-cf-files libXext-devel
%ifdef xmms
BuildRequires: gdk-pixbuf-devel libxmms-devel
%endif

%description
This is a X On Screen Display library, modules and utilities.

%package -n lib%name
Group: System/Libraries
Summary: Library for displaying information in an OSD

%package -n lib%name-devel
Group: Development/C
Summary: Header files for developing programs using libxosd
Requires: lib%name = %version-%release

%package -n lib%name-devel-static
Group: Development/C
Summary: Development libraries for static linking using libxosd
Requires: lib%name-devel = %version-%release

%package -n xmms-osd
Group: Sound
Summary: X On Screen Display utilities
Requires: lib%name = %version-%release
Requires: xmms
Provides: xmms-xosd = %version-%release

%package -n %name-utils
Group: Graphics
Summary: X On Screen Display, displays any information using libxosd
Requires: lib%name = %version-%release

%description -n lib%name
This package contains the shared library of xosd, it is requires by programs
that display it's output in a TV set's on screen display fashion.

%description -n lib%name-devel
This package contains the header files you need to develop programs based on
libxosd that display it's output in a TV set's on screen display fashion.

%description -n lib%name-devel-static
This package contains the development libraries for static linking
necessary to develop %name application.

This package contains the header files you need to develop programs based on
libxosd that display it's output in a TV set's on screen display fashion.

%description -n xmms-osd
This package contains an xmms plugin to display various things whenever they
change (volume, track, paused/shuffle/repeat,...) in a TV set's on screen
display fashion.

%description -n %name-utils
This package contains an osd_cat.

%prep
%setup
%patch1 -p1
%patch2 -p1

%__subst 's|-rpath \$(libdir)||' src/libxosd/Makefile.in
%if_without xmms
# XMMS is dead, gdk-pixbuf-0 is dead. Dropping xmms plug-in.
sed -i -e '/AM_PATH_GTK/,+1 d' -e '/AM_PATH_XMMS/,+1 d' \
    -e '/AM_PATH_GDK_PIXBUF/,+1 d' configure.ac
# Update config.sub to support aarch64, Redhat bug #926836
%autoreconf
%endif

%build
%configure --enable-new-plugin --disable-beep_media_player_plugin --disable-dependency-tracking
%make_build

%install
make install DESTDIR=%buildroot
%if_without xmms
rm -rf %buildroot%_datadir/%name/
%endif

%files -n lib%name
%_libdir/*.so.*
%doc ChangeLog README AUTHORS TODO

%files -n lib%name-devel
%_bindir/%name-config
#%_libdir/*.la
%_includedir/%name.h
%_datadir/aclocal/lib%name.m4
%_man1dir/%{name}*
%_man3dir/%{name}*
%_libdir/lib%name.so

%files -n lib%name-devel-static
%_libdir/*.a

%if_with xmms
%files -n xmms-osd
%xmms_generaldir/*
%dir %_datadir/%name
%_datadir/%name/*.png
%endif

%files -n %name-utils
%_bindir/osd_cat
%_man1dir/osd_cat.1*

%changelog
