Name: xsane
Version: 0.999
Release: alt6.2

Summary: XSane is a graphical frontend for scanners. It uses the library SANE
Summary(ru_RU.UTF-8): Xsane -- это графическая программа для сканирования, использующая библиотеку SANE

License: GPL
Group: Graphics
Url: http://www.xsane.org

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://www.xsane.org/download/%name-%version.tar
Source1: %name-16x16.xpm
Source3: %name-%version.ru.po
Patch1: %name-0.996-ubuntu.patch
Patch2: %name-0.998-alt-libpng15.patch
Patch3: xsane-0.999-lcms2.patch
Patch4: xsane-0.999-alt-fix-broken-icon.patch
Patch5: alt-gimp_acquire_menu-ru.patch
# Debian
Patch10: 0105-deb_gimp_acquire_menu.patch
Patch11: 0125-desktop_file.patch

BuildPreReq: libjpeg-devel libusb-devel libpng-devel

# Automatically added by buildreq on Fri Jul 10 2009
BuildRequires: libgimp-devel libgphoto2-devel libjpeg-devel liblcms2-devel libsane-devel libtiff-devel

# for po recoding
BuildPreReq: recode
# for help
#Requires: webclient

%description
XSane is a graphical frontend for SANE library,
which provides access to scanners, digital cameras,
and other capture devices.  XSane is written in GTK+
and provides control for performing the scan and
then manipulating the captured image.
Install this if you want a graphical frontend for
sane for use in the X Window System.

%description -l ru_RU.UTF-8
XSane -- это графический интерфейс к библиотеке SANE,
которая предоставляет доступ к сканерам, цифровым камерам и другим
устройствам ввода изображения. XSane написана на GTK+ и позволяет
управлять сканированием и обработкой полученного изображения.
Установите XSane, если вы хотите получить графическую оболочку
для sane, работающую в системе X Window.

%package gimp2
Summary: A GIMP2 plug-in which provides the SANE scanner interface
Summary(ru_RU.UTF-8): 	Модуль для GIMP2, позволяющий сканировать через SANE.
Group: Graphics
Provides: %name-gimp
Requires: %name = %version-%release, gimp2

%description gimp2
This package provides the regular XSane frontend for the SANE scanner
nterface, but it works as a GIMP2 plug-in.  You must have GIMP2
installed to use this package.

%description gimp2 -l ru_RU.UTF-8
Этот пакет предоставляет обычный фронтенд XSane для сканирования
через интерфейс SANE, который работает как модуль для GIMP2.
Вам потребуется установить GIMP2 для использования этого пакета.

%package doc
Summary: Documentation for XSANE
Summary(ru_RU.UTF-8): Документация для XSANE
Group: Graphics
BuildArch: noarch
Requires: %name = %version-%release
Requires: sane-doc

%description doc
Documentation for XSANE

%description doc -l ru_RU.UTF-8
Документация для XSANE

%prep
%setup
#%patch1 -p1
%patch2 -p2
%patch3 -p1
%patch4 -p2
%patch5 -p1
%patch10 -p1
%patch11 -p1
cp -f %SOURCE3 po/ru.po
#__subst "s|\"/usr/local/share/sane/|\"%_docdir/sane/|" doc/sane-backends-doc.html

# Set browser by default
%__subst 's|BROWSER "netscape|BROWSER "url_handler.sh|g' src/xsane.h

%build
%configure --enable-gtk2 --enable-gimp --enable-lcms
%make_build xsanedocdir=%_docdir/%name

%install
%makeinstall_std xsanedocdir=%_docdir/%name

install -d %buildroot/%_libdir/gimp/2.0/plug-ins
ln -s %_bindir/%name %buildroot/%_libdir/gimp/2.0/plug-ins/%name

install -p -m644 -D %SOURCE1 %buildroot%_miconsdir/%name.xpm
install -p -m644 -D src/%name-32x32.xpm %buildroot%_niconsdir/%name.xpm
install -p -m644 -D src/%name-48x48.xpm %buildroot%_liconsdir/%name.xpm

install -p -m644 -D src/%name.desktop %buildroot%_desktopdir/%name.desktop

# use modern backends list from SANE project
rm -f %buildroot/%_docdir/%name/sane-backends-doc.html
ln -s %_docdir/sane-backends/sane-backends.html %buildroot/%_docdir/%name/sane-backends-doc.html


%find_lang %name

%files -f %name.lang
%doc %name.[A-Z]*
%_bindir/%name
%_datadir/sane/*
%_man1dir/*
%_desktopdir/*
%_niconsdir/*.xpm
%_liconsdir/*.xpm
%_miconsdir/*.xpm
%_pixmapsdir/*.xpm
#%doc %name.*

%files doc
%_docdir/%name/

%files gimp2
%_libdir/gimp/2.0/plug-ins/%name

%changelog
