Name: zhu3d
Version: 4.2.6
Release: alt1

Summary: OpenGL-based equation viewer and solver

License: GPLv2+
Group: Sciences/Mathematics
Url: http://kde-apps.org/content/show.php?content=43071

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://prdownloads.sourceforge.net/sourceforge/zhu3d/%name-%version.tar
Source1: %name.desktop
Patch1: %name-debug-and-link.patch

%define zdir %buildroot%_datadir/%name/

# Automatically added by buildreq on Mon Jun 23 2008
BuildRequires: gcc-c++ libqt4-devel

Requires: desktop-file-utils
BuildPreReq: desktop-file-utils

%description
With Zhu3D you interactively can view and animate functions,
isosurfaces and a further independent parametric system.
Numerical solutions of equation systems can be found with
a precise and reliable adaptive random search. The
OpenGL-viewer supports zooming, scaling, rotating and
translating as well as filed lightning or surface properties.
Special effects are transparency, textures, fog and motion blur.

%prep
%setup
%patch1 -p2

%build
export PATH=%_qt4dir/bin:$PATH
export QTDIR=%_qt4dir/
qmake
%make_build

%install
mkdir -p %zdir/{work/textures,system/languages}
mkdir -p %buildroot%_iconsdir/hicolor/64x64/apps

install -D %name %buildroot%_bindir/%name
install -D %SOURCE1 %buildroot%_desktopdir/%name.desktop
install work/*.zhu %zdir/work
install work/textures/* %zdir/work/textures
install system/*.zhu %zdir/system
install system/languages/*.qm %zdir/system/languages
install system/icons/%name.png %buildroot%_iconsdir/hicolor/64x64/apps/%name.png

#useless file
rm -f %zdir/work/.directory

%files
%doc doc/ readme.txt
%_bindir/%name
%dir %_datadir/%name/
%dir %_datadir/%name/work/
%dir %_datadir/%name/work/textures/
%dir %_datadir/%name/system/
%dir %_datadir/%name/system/languages/
%_datadir/%name/work/*.zhu
%_datadir/%name/work/textures/*.jpg
%_datadir/%name/work/textures/*.txt
%_datadir/%name/system/*.zhu
%_iconsdir/hicolor/64x64/apps/*.png
%_desktopdir/%name.desktop
%lang(de) %_datadir/%name/system/languages/%{name}_de.qm
%lang(es) %_datadir/%name/system/languages/%{name}_es.qm
%lang(fr) %_datadir/%name/system/languages/%{name}_fr.qm
%lang(zh) %_datadir/%name/system/languages/%{name}_zh.qm

%changelog
