%define oname dnspython

# Testing requires network access
%def_without check

Name: python3-module-dns
Version: 1.16.0
Release: alt2
Epoch: 1

Summary: DNS toolkit

License: BSD-like
Group: Development/Python
Url: http://www.dnspython.org

# Source-url: %__pypi_url %oname
# Source-url: https://pypi.org/packages/source/d/dnspython/dnspython-%version.zip
Source: %name-%version.tar

BuildArch: noarch

BuildRequires(pre): rpm-build-intro >= 2.2.4
BuildRequires(pre): rpm-build-python3

BuildRequires: python3-module-setuptools

# optional
%add_python3_req_skip curio curio.socket

%description
dnspython is a DNS toolkit for Python. It supports almost all
record types. It can be used for queries, zone transfers, and dynamic
updates.  It supports TSIG authenticated messages and EDNS0.

dnspython provides both high and low level access to DNS. The high
level classes perform queries for data of a given name, type, and
class, and return an answer set.  The low level classes allow
direct manipulation of DNS zones, messages, names, and records.

%prep
%setup
rm -f examples/._*

%build
%python3_build

%install
%python3_install
%python3_prune

%check
%make PYTHONPATH="../:$PYTHONPATH" check -C tests

%files
%doc README.md examples/ LICENSE
%python3_sitelibdir/*

%changelog
