# needs dnspython
%def_without check

Name:           python3-module-pymongo
Version:        4.3.3
Release:        alt1

Summary:        Python driver for MongoDB

Group:          Development/Python3
# All code is ASL 2.0 except bson/time64*.{c,h} which is MIT
License:        Apache-2.0 and MIT
URL:            http://api.mongodb.org/python
Source0:        http://pypi.python.org/packages/source/p/pymongo/pymongo-%{version}.tar.gz

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel

Requires:       python3-module-bson = %EVR

%description
The Python driver for MongoDB.

%package -n python3-module-gridfs
Summary:        Python GridFS driver for MongoDB
Group:          Development/Python3
Requires:       python3-module-pymongo = %EVR

%description -n python3-module-gridfs
GridFS is a storage specification for large objects in MongoDB.  This package
contains the python3 version of this module.

%package -n python3-module-bson
Summary:        Python bson library
Group:          Development/Python3

%description -n python3-module-bson
BSON is a binary-encoded serialization of JSON-like documents. BSON is designed
to be lightweight, traversable, and efficient. BSON, like JSON, supports the
embedding of objects and arrays within other objects and arrays.  This package
contains the python3 version of this module.

%prep
%setup -n pymongo-%{version}

%build
%pyproject_build

%install
%pyproject_install

%check
%tox_create_default_config
%tox_check_pyproject

%files
%doc LICENSE README.rst doc
%python3_sitelibdir/pymongo
%python3_sitelibdir/%{pyproject_distinfo pymongo}

%files -n python3-module-gridfs
%doc LICENSE README.rst doc
%python3_sitelibdir/gridfs

%files -n python3-module-bson
%doc LICENSE README.rst doc
%python3_sitelibdir/bson

%changelog
